# -*- coding: utf-8 -*-
from globals import *
from const import *
import npc
from types import *

#*********************************************************************
#		aktuelle revison: Rev 8, 08.07.2004
#*********************************************************************

#Misc
def MercenaryDenyTalk(id,type='default'):
	gender = object.get_attribute("ALTER_EGO","gender")
	dialog.init_dialog(type=DIALOGSMALL)
	if type == 'default':
		if gender == MALE:
			dialog.add_text(text='MERCENERY_DEFAULT_DENY', speaker=id, follower='ENDDIALOG')
		else:
			dialog.add_text(text='MERCENERY_DEFAULT_DENY_F', speaker=id, follower='ENDDIALOG')
	else:
		if gender == MALE:
			dialog.add_text(text='MERCENERY_USEITEM_DENY', speaker=id, follower='ENDDIALOG')
		else:
			dialog.add_text(text='MERCENERY_USEITEM_DENY_F', speaker=id, follower='ENDDIALOG')
	dialog.start(False)
####################
# Dialog Scheduler #
####################
def on_approach( target, operator ):
	if dialog.is_dialog_active():
	  return
	if target == "MICHAEL_COLLINS":
		object.cancel_commandos( object = "MICHAEL_COLLINS" )
		initDlg_001_ErstkontaktMichael()
			
#################
# Dialoge       #
#################
def onDlg_001_End():
	if( data().ExpGiven == False ):
		data().ExpGiven = True
		character.add_experience_party(data().ExpMike )
		if( was_zone_entered( "zone_2.zone_2" ) ):
			if( system.get_qb_entry_state(data("zone_2.zone_2").QB_020 ) == UNCOMPLETE ):
				system.set_qb_entry_state(data("zone_2.zone_2").QB_020, COMPLETE)
		

#Dialog 001: Der Spieler kennt Mike noch nicht
def initDlg_001_ErstkontaktMichael():
	
	dialog.init_dialog(type=DIALOGLARGE)
	
	dialog.add_text(text='D_001_T_001', speaker="ALTER_EGO")
	dialog.add_text(text='D_001_T_002', speaker="MICHAEL_COLLINS", follower='D_001_C_001')
	
	dialog.add_choice(text='D_001_C_001_1', follower='D_001_T_003')
	dialog.add_choice(text='D_001_C_001_2', follower='D_001_T_007')
	dialog.add_choice(text='D_001_C_001_3', follower='D_001_T_007')
	
	dialog.add_text(text='D_001_T_003', speaker="MICHAEL_COLLINS")
	
	dialog.add_choice(text='D_001_C_002_1', follower='D_001_T_004')
	dialog.add_choice(text='D_001_C_002_2', follower='D_001_T_010')
	dialog.add_choice(text='D_001_C_002_3', follower='ENDDIALOG', callback = onDlg_001_End)
	
	dialog.add_text(text='D_001_T_004', speaker="MICHAEL_COLLINS")
	
	dialog.add_choice(text='D_001_C_003_1', follower='D_001_T_005')
	dialog.add_choice(text='D_001_C_003_2', follower='ENDDIALOG', callback = onDlg_001_End)
	
	dialog.add_text(text='D_001_T_005', speaker="MICHAEL_COLLINS")
	
	dialog.add_choice(text='D_001_C_004_2', follower='D_001_T_011')
	dialog.add_choice(text='D_001_C_004_3', follower='ENDDIALOG', callback = onDlg_001_End)
	
	dialog.add_text(text='D_001_T_007', speaker="MICHAEL_COLLINS", follower='ENDDIALOG', callback = onDlg_001_End)
	
	dialog.add_text(text='D_001_T_010', speaker="MICHAEL_COLLINS", follower='ENDDIALOG', callback = onDlg_001_End)
	
	dialog.add_text(text='D_001_T_011', speaker="MICHAEL_COLLINS", follower='ENDDIALOG', callback = onDlg_001_End)
	
	dialog.add_text(text='D_001_T_012', speaker="ALTER_EGO", follower='D_001_T_004')
	
	if data().KnowMichael:
		dialog.jump_to(follower="D_001_T_012")
	else:
		data().KnowMichael = True  # Jetzt kennt Michael(Mike) den Spieler und umgekehrt
	
	dialog.start(check_dialog=False)

