# -*- coding: utf-8 -*-
from globals import *
import const
from const import *
from types import *
import npc
import schedules
import object
from dynamic_camera import *

#*** aktuelle revison: Rev 3, 15.06.2004 *********************************

def on_approach( id, partymemberid ):
	if dialog.is_dialog_active():
		return
	
	if id == 'MERCENARY_STORM' and data().Storm_Erstes_Mal:
		data().Storm_Erstes_Mal = False
		init_Dlg_Strom_Aufnahme()
		
	if id == 'MERCENARY_SAND'  and data().Sand_Erstes_Mal:
		data().Sand_Erstes_Mal = False
		init_Dlg_Sand_Aufnahme()
		
	
	if (id=="GEORGE_P_SMYTHES" and data().SmythesActive == True):
		if(data().AshtonBeobachtet == False):
			initDlg_001_SmythesAlsInfoPC()
		elif(data().AshtonBeobachtet == True and data().SmythesAuftrag == False):
			initCutscene_Dlg_002_SpielerHatAshtonBeobachtet()
		elif(data().SmythesAuftrag == True and data().AshtonTot == False):
			initDlg_003_AshtonNichtUmgelegt()
		elif(data().SmythesAuftrag == True and data().AshtonTot == True and data().AnhaengerTot == 0):
			initDlg_004_AshtonUmgelegt()
		elif(data().SmythesAuftrag == True and data().AnhaengerTot == 7):
			initDlg_005_SmythesBetteltUmGnade()
			data().SmythesActive = False
		return
	
	if schedules.Dialog(id, partymemberid):
		return

def init_Dlg_Strom_Aufnahme():
	dialog.init_dialog(type=DIALOGLARGE)
	dialog.add_text(text='MERCENARY_STORM_INTERVIEW_T_001', speaker="MERCENARY_STORM")
	dialog.add_choice(text='MERCENARY_STORM_INTERVIEW_C_001_1', follower = 'MERCENARY_STORM_INTERVIEW_T_002')
	dialog.add_choice(text='MERCENARY_STORM_INTERVIEW_C_001_4', follower='ENDDIALOG')
	dialog.add_text(text='MERCENARY_STORM_INTERVIEW_T_002', speaker="MERCENARY_STORM", follower='ENDDIALOG', callback = init_Dlg_Strom_Aufnahme_2)
	
	dialog.start(False)

def init_Dlg_Strom_Aufnahme_2():
	dialog.init_dialog(type=DIALOGLARGE)
	dialog.add_choice(text='MERCENARY_STORM_INTERVIEW_C_001_2', follower='MERCENARY_STORM_INTERVIEW_T_003')
	dialog.add_choice(text='MERCENARY_STORM_INTERVIEW_C_001_3', follower='MERCENARY_STORM_INTERVIEW_T_004')
	dialog.add_choice(text='MERCENARY_STORM_INTERVIEW_C_001_4', follower='ENDDIALOG')
	dialog.add_text(text='MERCENARY_STORM_INTERVIEW_T_003', speaker="MERCENARY_STORM", follower='MERCENARY_STORM_INTERVIEW_C_001_2')
	if 'MERCENARY_SAND' not in system.get_pcs():
		dialog.add_text(text='MERCENARY_STORM_INTERVIEW_T_004', speaker="MERCENARY_STORM", follower='MERCENARY_STORM_INTERVIEW_T_005')
	else:
		dialog.add_text(text='MERCENARY_STORM_INTERVIEW_T_004', speaker="MERCENARY_STORM", follower='ENDDIALOG', callback = Storm_Aufnahme)
	dialog.add_text(text='MERCENARY_STORM_INTERVIEW_T_005', speaker="MERCENARY_STORM", follower='ENDDIALOG', callback = Storm_Aufnahme)
	
	dialog.start(False)

def Storm_Aufnahme():
	if (len(system.get_pcs()) < 6):
		system.switch_party("MERCENARY_STORM", "UISPIELER")
		prohibit_activity('MERCENARY_STORM', step_away=True)
		
def init_Dlg_Sand_Aufnahme():
	dialog.init_dialog(type=DIALOGLARGE)
	dialog.add_text(text='MERCENARY_SAND_INTERVIEW_T_001', speaker="MERCENARY_SAND")
	
	dialog.add_choice(text='MERCENARY_SAND_INTERVIEW_C_001_1', follower='MERCENARY_SAND_INTERVIEW_T_002')
	dialog.add_choice(text='MERCENARY_SAND_INTERVIEW_C_001_4', follower='ENDDIALOG')
	dialog.add_text(text='MERCENARY_SAND_INTERVIEW_T_002', speaker="MERCENARY_SAND", follower='ENDDIALOG', callback = init_Dlg_Sand_Aufnahme_2)
	
	dialog.start(False)

def init_Dlg_Sand_Aufnahme_2():
	dialog.init_dialog(type=DIALOGLARGE)
	dialog.add_choice(text='MERCENARY_SAND_INTERVIEW_C_001_2', follower='MERCENARY_SAND_INTERVIEW_T_003')
	dialog.add_choice(text='MERCENARY_SAND_INTERVIEW_C_001_3', follower='MERCENARY_SAND_INTERVIEW_T_004')
	dialog.add_choice(text='MERCENARY_SAND_INTERVIEW_C_001_4', follower='ENDDIALOG')
	dialog.add_text(text='MERCENARY_SAND_INTERVIEW_T_003', speaker="MERCENARY_SAND", follower='MERCENARY_SAND_INTERVIEW_C_001_2')
	
	if 'MERCENARY_STORM' not in system.get_pcs():
		dialog.add_text(text='MERCENARY_SAND_INTERVIEW_T_004', speaker="MERCENARY_SAND", follower='MERCENARY_SAND_INTERVIEW_T_005')
	
	else:
		dialog.add_text(text='MERCENARY_SAND_INTERVIEW_T_004', speaker="MERCENARY_SAND", follower='ENDDIALOG', callback = Sand_Aufnahme)
	
	dialog.add_text(text='MERCENARY_SAND_INTERVIEW_T_005', speaker="MERCENARY_SAND", follower='ENDDIALOG', callback = Sand_Aufnahme)
	
	dialog.start(False)

def Sand_Aufnahme():
	if (len(system.get_pcs()) < 6):
		system.switch_party("MERCENARY_SAND", "UISPIELER")
		prohibit_activity('MERCENARY_SAND', step_away=True)
		

def initDlg_001_SmythesAlsInfoPC():
	dialog.init_dialog(type=DIALOGLARGE)
	dialog.add_choice(text='D_001_C_001_1', follower='D_001_T_001')
	dialog.add_choice(text='D_001_C_001_2', follower='D_001_T_008')
	dialog.add_choice(text='D_001_C_001_3', follower='D_001_T_011')
	
	dialog.add_text(text='D_001_T_001', speaker="GEORGE_P_SMYTHES", follower='D_001_C_002')
	dialog.add_choice(text='D_001_C_002_1', follower='D_001_T_012')
	dialog.add_choice(text='D_001_C_002_2', follower='D_001_T_013')
	dialog.add_choice(text='D_001_C_002_3', follower='D_001_T_002')
	dialog.add_choice(text='D_001_C_002_4', follower='ENDDIALOG')
	
	dialog.add_text(text='D_001_T_002', speaker="GEORGE_P_SMYTHES", follower='D_001_T_003')
	dialog.add_text(text='D_001_T_003', speaker="ALTER_EGO", follower='D_001_T_004')
	dialog.add_text(text='D_001_T_004', speaker="GEORGE_P_SMYTHES", follower='D_001_C_003')
	dialog.add_choice(text='D_001_C_003_1', follower='D_001_T_005')
	dialog.add_choice(text='D_001_C_003_2', follower='ENDDIALOG')
	
	dialog.add_text(text='D_001_T_005', speaker="GEORGE_P_SMYTHES", follower='D_001_C_004')
	dialog.add_choice(text='D_001_C_004_1', follower='D_001_T_014')
	dialog.add_choice(text='D_001_C_004_2', follower='D_001_T_006')
	
	dialog.add_text(text='D_001_T_006', speaker="GEORGE_P_SMYTHES", follower='D_001_T_007')
	dialog.add_text(text='D_001_T_007', speaker="ALTER_EGO", follower='ENDDIALOG')
	
	dialog.add_text(text='D_001_T_008', speaker="GEORGE_P_SMYTHES", follower='D_001_T_009')
	dialog.add_text(text='D_001_T_009', speaker="ALTER_EGO", follower='D_001_T_010')
	dialog.add_text(text='D_001_T_010', speaker="GEORGE_P_SMYTHES", follower='D_001_C_005')
	dialog.add_choice(text='D_001_C_005_1', follower='D_001_T_002')
	dialog.add_choice(text='D_001_C_005_2', follower='ENDDIALOG')
	
	dialog.add_text(text='D_001_T_011', speaker="GEORGE_P_SMYTHES", follower='D_001_C_002')
	dialog.add_text(text='D_001_T_012', speaker="GEORGE_P_SMYTHES", follower='ENDDIALOG')
	dialog.add_text(text='D_001_T_013', speaker="GEORGE_P_SMYTHES", follower='D_001_T_009')
	dialog.add_text(text='D_001_T_014', speaker="GEORGE_P_SMYTHES", follower='D_001_C_005')
	dialog.start()

def initCutscene_Dlg_002_SpielerHatAshtonBeobachtet():
	## fixme: cutscene
	system.start_cutscene()
	init_cutscene("ALTER_EGO","GEORGE_P_SMYTHES", dx=1.0, dy=1.5)
	object.turn_to_object("ALTER_EGO", "GEORGE_P_SMYTHES", callback=["ONEND", onDlg_002_StartDialog])

def onDlg_002_StartDialog(char_id):
	set_conversation("ALTER_EGO", "GEORGE_P_SMYTHES", mode="medium")
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_002_T_001', speaker="ALTER_EGO", follower='D_002_T_002', callback=Lambda('set_conversation("GEORGE_P_SMYTHES","ALTER_EGO", mode="medium")'))
	dialog.add_text(text='D_002_T_002', speaker="GEORGE_P_SMYTHES", follower='D_002_T_003', callback=Lambda('set_conversation("ALTER_EGO", "GEORGE_P_SMYTHES",mode="close")'))
	dialog.add_text(text='D_002_T_003', speaker="ALTER_EGO", follower='D_002_T_004', callback=Lambda('set_conversation("GEORGE_P_SMYTHES","ALTER_EGO", mode="close")'))
	dialog.add_text(text='D_002_T_004', speaker="GEORGE_P_SMYTHES", follower='D_002_T_005', callback=Lambda('set_conversation("ALTER_EGO", "GEORGE_P_SMYTHES",mode="close")'))
	dialog.add_text(text='D_002_T_005', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_002_End)
	dialog.start()
	data().SmythesAuftrag = True

def onDlg_002_End():
    object.set_immortal_state("ASHTON", False)
    allow_activity("GEORGE_P_SMYTHES")
    end_cutscene(chars=["ALTER_EGO","GEORGE_P_SMYTHES"])
    system.set_qb_entry_state( data().QB_001, INACTIVE )
    system.set_qb_entry_state( data().QB_002, UNCOMPLETE )
    system.set_mission_time("23:00:00")
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_001_CS_002', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

def initDlg_003_AshtonNichtUmgelegt():
	dialog.init_dialog(type=DIALOGSMALL)	
	dialog.add_text(text='D_003_T_001', speaker="GEORGE_P_SMYTHES", follower='D_003_T_002')
	dialog.add_text(text='D_003_T_002', speaker="ALTER_EGO", follower='ENDDIALOG')
	dialog.start()

def initDlg_004_AshtonUmgelegt():
	dialog.init_dialog(type=DIALOGLARGE)
	dialog.add_text(text='D_004_T_001', speaker="GEORGE_P_SMYTHES", follower='D_004_C_001')
	dialog.add_choice(text='D_004_C_001_1', follower='ENDDIALOG')
	dialog.add_choice(text='D_004_C_001_2', follower='D_004_T_002')
	dialog.add_text(text='D_004_T_002', speaker="GEORGE_P_SMYTHES", follower='ENDDIALOG', callback=Lambda('initFight()'))
	dialog.start()

def initDlg_005_SmythesBetteltUmGnade():
	dialog.init_dialog(type=DIALOGLARGE)
	dialog.add_text(text='D_005_T_001', speaker="GEORGE_P_SMYTHES", follower='D_005_C_001')
	dialog.add_choice(text='D_005_C_001_1', follower='ENDDIALOG', callback=Lambda('initFightSmythes()'))
	dialog.add_choice(text='D_005_C_001_2', follower='D_005_T_002')
	dialog.add_text(text='D_005_T_002', speaker="GEORGE_P_SMYTHES", follower='D_005_T_003')
	dialog.add_text(text='D_005_T_003', speaker="ALTER_EGO", follower='D_005_C_002')
	dialog.add_choice(text='D_005_C_002_1', follower='ENDDIALOG', callback=Lambda('initFightSmythes()'))
	dialog.add_choice(text='D_005_C_002_2', follower='ENDDIALOG', callback=SmythesFlieht)
	dialog.start()
	object.set_immortal_state("GEORGE_P_SMYTHES", False)
	system.notify_timer(data().Timer_Satz,data().Timervalue_Satz)
	
def initDlg_006_SpielerWundertSichUeberSmythes():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_006_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
	dialog.start()
	
#Erstmal nur Harold. Muß auf gesamte Gemeinde geändert werden!!!
def initCutscene_Dlg_010_DieAndacht():
	const.AndachtLaeuft = True
#	for id in TANPCS_ANDACHT:
#		set_activity(id,WORK_LOOP)
#		prohibit_activity(id)
#	prohibit_activity("JACK_SQZ3")
#	prohibit_activity("CAROLINE")
#	set_activity("JACK_SQZ3", WORK_LOOP)
#	set_activity("CAROLINE", WORK_LOOP)
	object.cancel_commandos("ALTER_EGO")
	system.start_cutscene()
	# Harold als Gemeinde sprechen lassen - wärend der Andacht
	object.set_attributes("HAROLD",name=globaltext.NAME_GEMEINDE)
	set_conversation("GEORGE_P_SMYTHES",cam_x=-3, cam_y=3, mode="far-up", animate=False)
	object.set_position('ALTER_EGO', 336.60, 258.29)
	object.move_to("ALTER_EGO", 331.43, 256.59, grid="landscape", speed=MT_SLOW)
	object.turn_to_object("ALTER_EGO", "GEORGE_P_SMYTHES")
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_010_T_001', speaker="ALTER_EGO", follower='D_010_T_002', callback=Lambda('set_camera(CAMVIEW_ANDACHT)'))
	dialog.add_text(text='D_010_T_002', speaker="GEORGE_P_SMYTHES", follower='D_010_T_003')
	dialog.add_text(text='D_010_T_003', speaker="HAROLD", follower='D_010_T_004')
	dialog.add_text(text='D_010_T_004', speaker="GEORGE_P_SMYTHES", follower='D_010_T_005')
	dialog.add_text(text='D_010_T_005', speaker="HAROLD", follower='D_010_T_006')
	dialog.add_text(text='D_010_T_006', speaker="GEORGE_P_SMYTHES", follower='D_010_T_007')
	dialog.add_text(text='D_010_T_007', speaker="HAROLD", follower='D_010_T_008')
	dialog.add_text(text='D_010_T_008', speaker="GEORGE_P_SMYTHES", follower='D_010_T_009')
	dialog.add_text(text='D_010_T_009', speaker="HAROLD", follower='D_010_T_010')
	dialog.add_text(text='D_010_T_010', speaker="GEORGE_P_SMYTHES", follower='D_010_T_011')
	dialog.add_text(text='D_010_T_011', speaker="GEORGE_P_SMYTHES", follower='D_010_T_012')
	dialog.add_text(text='D_010_T_012', speaker="HAROLD", follower='D_010_T_013')
	dialog.add_text(text='D_010_T_013', speaker="GEORGE_P_SMYTHES", follower='D_010_T_014')
	dialog.add_text(text='D_010_T_014', speaker="HAROLD", follower='D_010_T_015')
	dialog.add_text(text='D_010_T_015', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_010_End)
	dialog.start(False)

def onDlg_010_End():
	end_cutscene()
	object.set_attributes("HAROLD",name=globaltext.NAME_HAROLD)
#	for id in TANPCS_ANDACHT:
#		allow_activity(id)
#	allow_activity("JACK_SQZ3")
#	allow_activity("CAROLINE")
	const.AndachtLaeuft = False

def on_dialog_007_init_ganger():
	object.cancel_commandos("GANGER_1")
	prohibit_activity("GANGER_1", False)
	#object.set_position("GANGER_1", 339.73, 212.03)
	object.move_to("GANGER_1", 353.64, 225.66)#, grid="landscape", speed=MT_SLOW, callback=["ONEND",on_dialog_007_checked_start])
	
	object.cancel_commandos("GANGER_2")
	prohibit_activity("GANGER_2", False)
	#object.set_position("GANGER_2", 343.48, 212.74)
	object.move_to("GANGER_2", 355.10, 223.83)#, grid="landscape", speed=MT_SLOW, callback=["ONEND",on_dialog_007_checked_start])
	on_dialog_007_checked_start("GANGER_1")
	on_dialog_007_checked_start("GANGER_2")


def on_dialog_007_init_ae_and_ashton():
	object.cancel_commandos("ASHTON")
	prohibit_activity("ASHTON", False)
	object.set_position("ASHTON", 360.84, 228.13)
	object.move_to("ASHTON", 355.60, 225.88, grid="landscape", speed=MT_SLOW, callback=["ONEND",on_dialog_007_checked_start])
	object.cancel_commandos("ALTER_EGO")
	character.change_body_mode(char="ALTER_EGO", bodymode='KNEEL')
	object.set_position("ALTER_EGO", 367.44, 238.97)
	object.move_to("ALTER_EGO", 361.66, 236.33, grid="landscape", speed=MT_SLOW, callback=["ONEND",on_dialog_007_checked_start])
	object.turn_to_object("ALTER_EGO", "ASHTON")

def on_dialog_007_init_party():
	poses = [[367.66, 240.68],
			[366.71, 242.38],
			[363.21, 242.68],
			[361.12, 242.32],
			[365.19, 243.95]]
	i = 0
	for id in system.get_pcs():
		if id != "ALTER_EGO":
			p = poses[i]
			i += 1
			if i == len(poses):
				i = 0
			object.cancel_commandos(id)
			object.set_position(id, p[0], p[1])
			object.turn_to_object(id, "ASHTON")
			character.change_body_mode(char=id, bodymode='KNEEL')

def on_dialog_007_checked_start(char):
	if not hasattr(data(), "check_start_counter_d_007"):
		data().check_start_counter_d_007 = 0
	data().check_start_counter_d_007 += 1
	if data().check_start_counter_d_007 == 4:
		onDlg_007_StartDialog(char)

def initCutscene_Dlg_007_SpielerBeobachtetAshton():
	data().standup_in_cutscene = False
	system.start_cutscene()
	on_dialog_007_init_ganger()
	on_dialog_007_init_ae_and_ashton()
	system.set_camera_view(CAMVIEW_ASHTON_VERKAUFT)
	on_dialog_007_init_party()

def onDlg_007_StartDialog(char_id):
	dialog.init_dialog(type=DIALOGSMALL)
	set_conversation("ASHTON","GANGER_1", new_camera=False, first_obj="ASHTON")
	dialog.add_text(text='D_007_T_001', speaker="ASHTON", callback=Lambda('set_conversation("GANGER_1", "ASHTON", mode="medium")'))
	dialog.add_text(text='D_007_T_002', speaker="GANGER_1", callback=Lambda('set_conversation("GANGER_2", "ASHTON", mode="close")'))
	dialog.add_text(text='D_007_T_003', speaker="GANGER_2", callback=Lambda('set_conversation("ASHTON", "GANGER_2", mode="close")'))
	dialog.add_text(text='D_007_T_004', speaker="ASHTON", callback=Lambda('set_conversation("GANGER_2", "ASHTON", mode="medium")'))
	dialog.add_text(text='D_007_T_005', speaker="GANGER_2", callback=Lambda('set_conversation("ASHTON", "GANGER_2", mode="close")'))
	dialog.add_text(text='D_007_T_006', speaker="ASHTON", callback=Lambda('set_conversation("GANGER_1", "ASHTON", mode="close")'))
	dialog.add_text(text='D_007_T_007', speaker="GANGER_1", follower='ENDDIALOG', callback=onDlg_007_End)
	dialog.start(False)

def onDlg_007_End():
    set_conversation(first_obj="ALTER_EGO")
    end_cutscene(chars=["ASHTON","GANGER_1", "GANGER_2"])
    GangerGehen()
    if data().MitSmythesGesprochen:
        initDlg_017_SpielerWillAshtonVerpfeifen()
    else:
        if (system.get_qb_entry_state(data().QB_002) != UNCOMPLETE and system.get_qb_entry_state(data().QB_003) != UNCOMPLETE):
            initDlg_018_SpielerRiechtVerrat()
            system.set_mission_time("09:00:00")
            object.set_position("GEORGE_P_SMYTHES", 407, 271)

    allow_activity("GANGER_1")
    allow_activity("GANGER_2")
    data().ashton_klaut_diesel = False

def onDlg_017_End():
	system.set_qb_entry_state( data().QB_001, UNCOMPLETE )

def onDlg_018_End():
	system.set_qb_entry_state( data().QB_001, UNCOMPLETE )

def initDlg_017_SpielerWillAshtonVerpfeifen():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_017_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_017_End )
	dialog.start()
	
def initDlg_018_SpielerRiechtVerrat():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_018_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_018_End )
	dialog.start()
	
def initDlg_008_SpielerHegtVerdacht():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_008_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
	dialog.start()
	
def initDlg_009_SpielerWirdMisstrauischer():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_009_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
	dialog.start()

def initCutscene_Dlg_011_VermessungErsterPunkt():
	object.cancel_commandos("ALTER_EGO")
	## Waffe einstecken
	const.prim_weapon_id = character.get_primary_weapon("ALTER_EGO")
	character.un_equip("ALTER_EGO",const.prim_weapon_id)
	system.start_cutscene()
	set_conversation("ALTER_EGO", cam_x = 1, cam_y = 1, mode = 'medium')
	object.turn_to_object("ALTER_EGO", "Z4 MYRIAMS_THEODOLIT")
	character.play_animation("ALTER_EGO", "CM_STEHEN_VERMESSEN")
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_011_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_011_End)
	dialog.start()
	
def onDlg_011_End():
	## Waffe wider in die Hand nehmen
	character.equip("ALTER_EGO",const.prim_weapon_id)
	end_cutscene()

def initCutscene_Dlg_012_VermessungZweiterPunkt():
	object.cancel_commandos("ALTER_EGO")
	## Waffe einstecken
	const.prim_weapon_id = character.get_primary_weapon("ALTER_EGO")
	character.un_equip("ALTER_EGO",const.prim_weapon_id)
	system.start_cutscene()
	set_conversation("ALTER_EGO", cam_x = 1, cam_y = 1, mode = 'medium')
	object.turn_to_object("ALTER_EGO", "Z4 MYRIAMS_THEODOLIT")
	character.play_animation("ALTER_EGO", "CM_STEHEN_VERMESSEN")
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_012_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_012_End)
	dialog.start()

def onDlg_012_End():
	## Waffe wider in die Hand nehmen
	character.equip("ALTER_EGO",const.prim_weapon_id)
	end_cutscene()

def initCutscene_Dlg_013_VermessungDritterPunkt():
	object.cancel_commandos("ALTER_EGO")
	## Waffe einstecken
	const.prim_weapon_id = character.get_primary_weapon("ALTER_EGO")
	character.un_equip("ALTER_EGO",const.prim_weapon_id)
	system.start_cutscene()
	set_conversation("ALTER_EGO", cam_x = 1, cam_y = 1, mode = 'medium')
	object.turn_to_object("ALTER_EGO", "Z4 MYRIAMS_THEODOLIT")
	character.play_animation("ALTER_EGO", "CM_STEHEN_VERMESSEN")
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_013_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_013_End)
	dialog.start()

def onDlg_013_End():
	## Waffe wider in die Hand nehmen
	character.equip("ALTER_EGO",const.prim_weapon_id)
	end_cutscene()
	
def initDlg_014_NoerdlicherVermessungspunkt():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_014_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
	dialog.start()
	
def initDlg_015_WestlicherVermessungspunkt():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_015_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
	dialog.start()

def initDlg_016_SuedlicherVermessungspunkt():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_016_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
	dialog.start()
	
def initFight():
	character.set_approachable_state("GEORGE_P_SMYTHES",NOTAPPROACHABLE)
	pcs = system.get_pcs()
	pos = object.get_position("GEORGE_P_SMYTHES")

	for id in TANPCS_ANDACHT:
		if id != "GEORGE_P_SMYTHES":
			object.cancel_commandos(id)
			prohibit_activity(id)
		
	object.set_position("WILLIAM_SQZ3",	pos[0] + 10, pos[1] + 10)
	object.set_position("HAROLD",		pos[0] - 10, pos[1] + 10)
	object.set_position("JEREMY",		pos[0] - 10, pos[1] - 10)
	object.set_position("MATTHEW",		pos[0] + 10, pos[1] - 10)
	object.set_position("HUCKLEBERRY",	pos[0] +  9, pos[1] +  9)
	object.set_position("CARLTON",		pos[0] +  9, pos[1] -  9)
	object.set_position("EMMA",		pos[0] -  9, pos[1] +  9)
		
	for id in TANPCS_ANDACHT:
		if id != "GEORGE_P_SMYTHES":
			object.set_immortal_state(id, False)
			object.set_attribute(id,"foes",["UISPIELER"])
			object.attack(id, "ALTER_EGO")
			object.move_to_object(id, "ALTER_EGO")
		object.turn_to_object(id,"ALTER_EGO")

	try:
		character.equip("WILLIAM_SQZ3", equipment='SET_SIMONOV_SKS')
		character.equip("HAROLD", equipment='SET_RUSTY_IRON_ROD')
		character.equip("JEREMY", equipment='SET_AXE')
		character.equip("MATTHEW", equipment='SET_BRASS_KNUCKLES')
		character.equip("HUCKLEBERRY", equipment='SET_GIANT_KNIFE')
	except Exception, e:
		return

		
def initFightSmythes():
	object.set_immortal_state("GEORGE_P_SMYTHES", False)
	pcs = system.get_pcs()
	object.cancel_commandos("GEORGE_P_SMYTHES")
	prohibit_activity("GEORGE_P_SMYTHES")
	character.equip("GEORGE_P_SMYTHES", equipment="SET_BASEBALL_BAT")
	object.set_attribute("GEORGE_P_SMYTHES","foes",["UISPIELER"])
	object.attack("GEORGE_P_SMYTHES",random.choice(pcs))
	system.set_qb_entry_state( data().QB_002, COMPLETE )
	system.set_qb_entry_state( data().QB_003, INACTIVE )
	character.add_experience_party( data().ExpAshtonQuest )

def GangerGehen():
	object.move_to("GANGER_2", 249.18,196.56, grid="landscape",speed= MT_SLOW, callback=["ONEND", Deactivate])
	object.move_to("GANGER_1", 248.93,197.96, grid="landscape", speed=MT_SLOW, callback=["ONEND", Deactivate])
	object.move_to("ASHTON", 354.53, 234.12, grid="landscape", speed=MT_SLOW)
	object.move_to("ASHTON", 353.05, 266.32, grid="landscape", speed=MT_SLOW)
	object.move_to("ASHTON", 310.56, 324.60, grid="landscape", speed=MT_SLOW, callback=["ONEND",onGangerAndAshtonLeft])

def onGangerAndAshtonLeft(char_id):
	allow_activity(char_id)
	data().AshtonUndGangerZusammen = False

def Deactivate(id):
	object.set_active_state(id, 0)
	
def SmythesFlieht():
    object.move_to("GEORGE_P_SMYTHES", 411, 210, "landscape", MT_FAST, callback=["ONEND", Deactivate])
    system.set_qb_entry_state( data().QB_002, COMPLETE )
    system.set_qb_entry_state( data().QB_003, INACTIVE )
    character.add_experience_party( data().ExpAshtonQuest )

def initDlg_force_quete_1():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_001_CS_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback=system.set_mission_time("23:00:00") )
    dialog.start()

def Dlg_quete_fin():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_001_CS_003', speaker="ALTER_EGO", follower='ENDDIALOG', callback=system.set_mission_time("09:00:00") )
    dialog.start()
