# -*- coding: utf-8 -*-
from globals import *
from const import *
import npc
from dynamic_camera import *
from daily_routine import *
import sqzone_6
import enemy_script
import re
import cs_function as cs

#TOTU Fans zum Arenaeingang schiken, Cutcene vor Kampf richtig gestallten

def on_approach(target, operator):
    if dialog.is_dialog_active():
        return
    if (target == "WACHE_001" or target == "WACHE_002"):
        if (data().WacheSchonAngesprochen == 0):
            data().WacheSchonAngesprochen = 1
            initCutscene_004_SpielerSprichtWacheErstmalsAn(target)
        else:    
            initDlg_004_SpielerSprichtWacheEinWeiteresMalAn(target)
    if (target == "MARCO"):
        if ( data().MarcoAngesprochen == 0):
            data().MarcoAngesprochen = 1
            object.cancel_commandos( "MARCO" )
            object.turn_to_object("MARCO","ALTER_EGO", callback = ["ONEND", Lambda('initDlg_007_SprichtMarcoErstmalsAn()')])
        else:
            if ( data().IstChampion == 0):
                initDlg_008_SprichtMarcoNochmalsAn()
            else:
                initDlg_009_SpielerSprichtMarcoAlsChampionAn()
    
    for substring in FANS_ID:
        if ((target == substring) and (data().HatGekaempft == 0)):
            initDlg_014_FansAngesprochenUnbekannt(target)
        elif ((target == substring) and (data().HatGekaempft == 1) and (data().IstChampion == 0)):
            initDlg_015_FansAngesprochenBekannt(target)
        elif ((target == substring) and (data().HatGekaempft == 1) and (data().IstChampion == 1)):
            initDlg_016_FansAngesprochenChampion(target)
    
    for substring in ARENA_KAEMPFER_ID:
        if ((target == substring) and (data().HatGekaempft == 0)):
            initDlg_017_KaempferAngesprochenUnbekannt(target)
        elif ((target == substring) and (data().HatGekaempft == 1) and (data().IstChampion == 0)):
            initDlg_018_KaempferAngesprochenBekannt(target)
        elif ((target == substring) and (data().HatGekaempft == 1) and (data().IstChampion == 1)):
            initDlg_019_KaempferAngesprochenChampion(target)

#Spieler spricht Wache erstmals an
def initCutscene_004_SpielerSprichtWacheErstmalsAn(target):
    object.cancel_commandos(target)
    system.start_cutscene()
    system.set_camera_view( CAMVIEW_004 )
    object.move_to("ALTER_EGO", 288.29, 268.37)
    if (target == "WACHE_001"):
        object.turn_to_object("ALTER_EGO","WACHE_001", callback = ["ONEND",Lambda('object.turn_to_object("WACHE_001","ALTER_EGO", callback=["ONEND",onDlg_004_SpielerSprichtWacheErstmalsAn])')])
    else:
        object.turn_to_object("ALTER_EGO","WACHE_002", callback = ["ONEND",Lambda('object.turn_to_object("WACHE_002","ALTER_EGO", callback=["ONEND",onDlg_004_SpielerSprichtWacheErstmalsAn])')])
    
def onDlg_004_SpielerSprichtWacheErstmalsAn(target):
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_004_T_001', speaker=target)
    dialog.add_text(text='D_004_T_002', speaker="ALTER_EGO")
    dialog.add_text(text='D_004_T_003', speaker=target, follower='ENDDIALOG', callback = Lambda('onDlg_004_Ende()'))
    dialog.start()

def onDlg_004_Ende():
    end_cutscene(chars=["WACHE_001", "WACHE_002", "ALTER_EGO"])
    object.turn_to_direction("WACHE_001", 177)
    object.turn_to_direction("WACHE_002", 185)

#Spieler spricht eine Wache ein weiteres mal an    
def initDlg_004_SpielerSprichtWacheEinWeiteresMalAn(target):
    object.cancel_commandos(target)
    if (target == "WACHE_001"):
        object.turn_to_object("ALTER_EGO","WACHE_001", callback = ["ONEND",Lambda('object.turn_to_object("WACHE_001","ALTER_EGO", callback=["ONEND",onDlg_004_SpielerSprichtWacheEinWeiteresMalAn])')])
    else:
        object.turn_to_object("ALTER_EGO","WACHE_002", callback = ["ONEND",Lambda('object.turn_to_object("WACHE_002","ALTER_EGO", callback=["ONEND",onDlg_004_SpielerSprichtWacheEinWeiteresMalAn])')])
    
def onDlg_004_SpielerSprichtWacheEinWeiteresMalAn(target):
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_005_T_001', speaker=target, follower='ENDDIALOG')
    dialog.start()

#Spieler spricht Marco erstmals an
def initDlg_007_SprichtMarcoErstmalsAn():
    dialog.init_dialog( type = DIALOGLARGE )
    if ( object.get_attribute("ALTER_EGO",'gender') == MALE):
        dialog.add_text( text = 'D_007_T_001', speaker ="MARCO", follower = 'D_007_T_002')
    else:
        dialog.add_text( text = 'D_007_T_001F', speaker ="MARCO", follower = 'D_007_T_002')
    dialog.add_text( text = 'D_007_T_002', speaker ="ALTER_EGO")
    dialog.add_text( text = 'D_007_T_003', speaker ="MARCO", follower='D_007_C_001')
    
    dialog.add_choice( text = 'D_007_C_001_1', follower = 'D_007_T_004')
    dialog.add_choice( text = 'D_007_C_001_2', follower = 'D_007_T_008')
    dialog.add_choice( text = 'D_007_C_001_3', follower = 'ENDDIALOG', callback = onDlg_End_1)
    
    dialog.add_text( text = 'D_007_T_004', speaker ="MARCO")
    dialog.add_text( text = 'D_007_T_005', speaker ="ALTER_EGO")
    dialog.add_text( text = 'D_007_T_006', speaker ="MARCO", follower='D_007_C_002_1')
    
    dialog.add_choice( text = 'D_007_C_002_1', follower = 'ENDDIALOG', callback = onDlg_End_2_1_0)
    dialog.add_choice( text = 'D_007_C_002_2', follower = 'ENDDIALOG', callback = onDlg_End_1)
    
    dialog.add_text( text = 'D_007_T_008', speaker ="MARCO")
    dialog.add_text( text = 'D_007_T_009', speaker ="ALTER_EGO")
    dialog.add_text( text = 'D_007_T_010', speaker ="MARCO", follower = 'D_007_C_002_1')
    dialog.start(False)
    
def onDlg_End_2_1_0():
    if( was_zone_entered( "zone_6.zone_6" ) ):
        if not system.get_qb_entry_state(data("zone_6.zone_6").QB_021) == INACTIVE:
            system.set_qb_entry_state(data("zone_6.zone_6").QB_021, INACTIVE )
        if not system.get_qb_entry_state(data("zone_6.zone_6").QB_022) == UNCOMPLETE:
            system.set_qb_entry_state(data("zone_6.zone_6").QB_022, UNCOMPLETE )
    onDlg_End_2()

#Spieler spricht Marco nochmals an
def initDlg_008_SprichtMarcoNochmalsAn():
    dialog.init_dialog( type = DIALOGLARGE )
    # Spieler hat noch nicht gekämpft
    if ( data().HatGekaempft == 0):
        if ( object.get_attribute("ALTER_EGO",'gender') == MALE):
            dialog.add_text( text = 'D_008_T_002', speaker ="MARCO", follower = 'D_008_C_001_1')
        else:
            dialog.add_text( text = 'D_008_T_002F', speaker ="MARCO", follower = 'D_008_C_001_1')
    #Spieler hat schon gekämpft
    else:
        dialog.add_text( text = 'D_008_T_001', speaker ="MARCO", follower = 'D_008_C_001_1')
    dialog.add_choice( text = 'D_008_C_001_1', follower = 'ENDDIALOG', callback = onDlg_End_2_1_0)
    dialog.add_choice( text = 'D_008_C_001_2', follower = 'ENDDIALOG', callback = onDlg_End_1)
    
    dialog.start(False)
    
# Spieler spricht Marco als Champion an
def initDlg_009_SpielerSprichtMarcoAlsChampionAn():
    dialog.init_dialog( type = DIALOGLARGE )
    dialog.add_text( text = 'D_009_T_001', speaker ="MARCO")
    dialog.add_text( text = 'D_009_T_002', speaker ="MARCO", follower = 'D_009_C_001_1')
    
    if object.get_attribute('ALTER_EGO', 'speech') >= 85:
        dialog.add_choice( text = 'D_009_C_001_1', follower = 'D_009_T_005')
    else:
        dialog.add_choice( text = 'D_009_C_001_1', follower = 'D_009_T_004')
        
    dialog.add_choice( text = 'D_009_C_001_2', follower = 'ENDDIALOG', callback = onDlg_End_2_1_0)
    dialog.add_choice( text = 'D_009_C_001_3', follower = 'ENDDIALOG', callback = onDlg_End_1)
    
    dialog.add_text( text = 'D_009_T_004', speaker ="MARCO", follower = 'D_009_C_002_1')
    
    dialog.add_choice( text = 'D_009_C_002_1', follower = 'ENDDIALOG', callback = onDlg_End_2_1_0)
    dialog.add_choice( text = 'D_009_C_002_2', follower = 'ENDDIALOG', callback = onDlg_End_1)
    
    dialog.add_text( text = 'D_009_T_005', speaker ="MARCO")
    dialog.add_choice( text = 'D_009_C_003_1', follower = 'ENDDIALOG', callback = onDlg_End_3)
    dialog.add_choice( text = 'D_009_C_003_2', follower = 'ENDDIALOG', callback = onDlg_End_1)
    
    dialog.start(False)

# Spieler spricht Fans an ohne gekämpft zu haben
def initDlg_014_FansAngesprochenUnbekannt(target):
    onDlg_014_FansAngesprochenUnbekannt(target)
    #object.turn_to_object(target,"ALTER_EGO", callback = ["ONEND", onDlg_014_FansAngesprochenUnbekannt])

def onDlg_014_FansAngesprochenUnbekannt(target):    
    dialog.init_dialog(type=DIALOGSMALL)
    DlgString = 'D_014_T_0'+random.choice(DLG_ID_014_FANS_ONE_KAMPF)
    dialog.add_text( text = DlgString, speaker = target, follower = 'ENDDIALOG')
    dialog.start()

# Spieler spricht Fan an nach dem er gekämpft hat
def initDlg_015_FansAngesprochenBekannt(target):
    onDlg_015_FansAngesprochenBekannt(target)
    #object.turn_to_object(target,"ALTER_EGO", callback = ["ONEND", onDlg_015_FansAngesprochenBekannt])
    
def onDlg_015_FansAngesprochenBekannt(target): 
    dialog.init_dialog(type=DIALOGSMALL)
    DlgString = 'D_015_T_0'+random.choice(DLG_ID_014_FANS_MIT_KAMPF)
    dialog.add_text( text = DlgString, speaker = target, follower = 'ENDDIALOG')
    
    dialog.start()

# Spieler spricht Fan an nach dem er Champion geworden ist
def initDlg_016_FansAngesprochenChampion(target):
    onDlg_016_FansAngesprochenChampion(target)
    #object.turn_to_object(target,"ALTER_EGO", callback = ["ONEND", onDlg_016_FansAngesprochenChampion])
    
def onDlg_016_FansAngesprochenChampion(target):
    dialog.init_dialog(type=DIALOGSMALL)
    DlgString = 'D_016_T_0'+random.choice(DLG_ID_014_FANS_CHAMPION)
    dialog.add_text( text = DlgString, speaker = target, follower = 'ENDDIALOG')
    
    dialog.start()

def initDlg_017_KaempferAngesprochenUnbekannt(target):
    onDlg_017_KaempferAngesprochenUnbekannt(target)
    #object.turn_to_object(target,"ALTER_EGO", callback = ["ONEND", onDlg_017_KaempferAngesprochenUnbekannt])

def onDlg_017_KaempferAngesprochenUnbekannt(target):
    dialog.init_dialog(type=DIALOGSMALL)
    DlgString = 'D_017_T_0'+random.choice(DLG_ID_017_KAEMPFER_OHNE_KAMPF)
    dialog.add_text( text = DlgString, speaker = target, follower = 'ENDDIALOG')
    
    dialog.start()
    
def initDlg_018_KaempferAngesprochenBekannt(target):
    onDlg_018_KaempferAngesprochenBekannt(target)
    #object.turn_to_object(target,"ALTER_EGO", callback = ["ONEND", onDlg_018_KaempferAngesprochenBekannt])

def onDlg_018_KaempferAngesprochenBekannt(target):
    dialog.init_dialog(type=DIALOGSMALL)
    DlgString = 'D_018_T_0'+random.choice(DLG_ID_018_KAEMPFER_MIT_KAMPF)
    dialog.add_text( text = DlgString, speaker = target, follower = 'ENDDIALOG')
    
    dialog.start()
    
def initDlg_019_KaempferAngesprochenChampion(target):
    onDlg_019_KaempferAngesprochenChampion(target)
    #object.turn_to_object(target,"ALTER_EGO", callback = ["ONEND", onDlg_019_KaempferAngesprochenChampion])

def onDlg_019_KaempferAngesprochenChampion(target):
    dialog.init_dialog(type=DIALOGSMALL)
    DlgString = 'D_019_T_0'+random.choice(DLG_ID_019_KAEMPFER_CHAMPION)
    dialog.add_text( text = DlgString, speaker = target, follower = 'ENDDIALOG')
    
    dialog.start()

# Spieler kämpft nicht
def onDlg_End_1():
    data().Kampf = True
    Fans_Holen()
    Marco()
    data().Marco_Da = False
    data().StartpositionKaempft = 1
    data().ARENA_KAEMPFER_OHNE_AE[0] = random.choice(ARENA_KAEMPFER_ID)
    data().ARENA_KAEMPFER_OHNE_AE[1] = random.choice(ARENA_KAEMPFER_ID)
    while (data().ARENA_KAEMPFER_OHNE_AE[0] == data().ARENA_KAEMPFER_OHNE_AE[1]):
        data().ARENA_KAEMPFER_OHNE_AE[1] = random.choice(ARENA_KAEMPFER_ID)
    object.cancel_commandos(data().ARENA_KAEMPFER_OHNE_AE[0])
    object.cancel_commandos(data().ARENA_KAEMPFER_OHNE_AE[1])
    prohibit_activity(data().ARENA_KAEMPFER_OHNE_AE[0])
    prohibit_activity(data().ARENA_KAEMPFER_OHNE_AE[1])
    monDlg_Move(data().ARENA_KAEMPFER_OHNE_AE[0], data().ARENA_KAEMPFER_OHNE_AE[1])
    
def onDlg_End_3():
    data().ExtraMunition.append(random.choice(MUNITION))
    data().ExtraMunition.append(random.choice(MUNITION))
    data().ExtraMunition.append(random.choice(MUNITION))
    onDlg_End_2()

# Spieler kämpft
def onDlg_End_2():
    data().Kampf = True
    Fans_Holen()
    Marco()
    data().Marco_Da = False
    data().Ego_Im_Kampf = True
    data().StartpositionKaempft = 1
    data().HatGekaempft = 1
    system.start_cutscene()
    system.set_camera_view( CAMVIEW_001 )
    # wenn EGO bereits 2 Kämpfe gewonnen hat tritt er gegen den Champion an
    if (data().KAEMPFE_GEWONNEN == 2):
        for KAEMPFER_NAME_TEMP in ARENA_KAEMPFER_ID:
            if (object.get_attribute(KAEMPFER_NAME_TEMP, 'Champion') == 1):
                Kaempfer_001 = KAEMPFER_NAME_TEMP
                break
    else: # alternativ wird einer ermittelt der kein Champion ist
        KAEMPFER_NAME_TEMP = random.choice(ARENA_KAEMPFER_ID)
        while (object.get_attribute(KAEMPFER_NAME_TEMP, 'Champion') == 1) :
            KAEMPFER_NAME_TEMP = random.choice(ARENA_KAEMPFER_ID)
    prohibit_activity(KAEMPFER_NAME_TEMP)
    monDlg_Move(KAEMPFER_NAME_TEMP, 'ALTER_EGO')
    
    
def monDlg_Move(KAEMPFER_NAME_TEMP, KAEMPFER_2):
    object.move_to(KAEMPFER_2, 316.65, 344.12, callback = ["ONEND", Lambda('onDlg_End_2_1("%s", "%s")'%(KAEMPFER_2, KAEMPFER_NAME_TEMP))])
    object.move_to(KAEMPFER_2, 332.67, 334.42)
    object.step_to(KAEMPFER_2, 333.23, 338.31, callback = ["ONEND", Lambda('onDlg_End_2_1_1("%s", "%s", "%s")'%(KAEMPFER_2, KAEMPFER_NAME_TEMP, KAEMPFER_2))])
    object.move_to(KAEMPFER_NAME_TEMP, 316.65, 344.12, callback = ["ONEND", Lambda('onDlg_End_2_1("%s", "%s")'%(KAEMPFER_2, KAEMPFER_NAME_TEMP))])
    object.move_to(KAEMPFER_NAME_TEMP, 332.67, 334.42)
    object.step_to(KAEMPFER_NAME_TEMP, 333.23, 338.31, callback = ["ONEND", Lambda('onDlg_End_2_1_1("%s", "%s", "%s")'%(KAEMPFER_2, KAEMPFER_NAME_TEMP, KAEMPFER_NAME_TEMP))])
    
def onDlg_End_2_1(KAEMPFER_2, Kaempfer_Id):
    data().Count_2 += 1
    if data().Count_2 == 1:
        if KAEMPFER_2 == 'ALTER_EGO':
            system.set_camera_view([340.59518432617187, 321.20846557617187, 13.072158813476562, -0.41194072365760803, 0.87826186418533325, -0.2428189218044281])
        enemy_script.delay(2, Lambda('object.play_animation("SQZONE_6_BUILDING_460", "ANIM_ARENA_TUER_OPEN")'))
        object.play_animation("SQZONE_6_BUILDING_631", "ANIM_GENERIC_DOOR1_ALTERNATIV_OPEN")
    if data().Count_2 == 2:
        data().Count_2 = 0
    
def onDlg_End_2_1_1(KAEMPFER_2, Kaempfer_Id, AKTUELLER_ID):
    data().Count_3 += 1
    if data().Count_3 == 2:
        data().Count_3 = 0
        object.step_to(AKTUELLER_ID, 334.39, 348.86)
        object.step_away(AKTUELLER_ID, callback = ["ONEND", Lambda('onDlg_End_2_2("%s", "%s")'%(KAEMPFER_2, Kaempfer_Id))])
    if data().Count_3 == 1:
        object.step_to(AKTUELLER_ID, 334.39, 348.86, callback = ['ONEND', Lambda('object.step_away("%s")'%AKTUELLER_ID)])
        object.move_to(AKTUELLER_ID, 334.45, 350.91, callback = ["ONEND", Lambda('onDlg_End_2_2("%s", "%s")'%(KAEMPFER_2, Kaempfer_Id))])
        if KAEMPFER_2 == 'ALTER_EGO' or Kaempfer_Id == 'ALTER_EGO':
            system.set_camera_view(CAMVIEW_003)
    
    
def onDlg_End_2_2(KAEMPFER_2, Kaempfer_Id):
    data().Count += 1
    if data().Count == 1:
        pass
    if data().Count == 2:
        data().Count = 0
        object.play_animation('BUILDING_460', 'ANIM_ARENA_TUER_CLOSE')
        object.play_animation('SQZONE_6_BUILDING_631', 'ANIM_GENERIC_DOOR1_ALTERNATIV_CLOSE')
        #object.cancel_commandos(KAEMPFER_2)
        
        #object.set_position(KAEMPFER_2, 332.92, 349.21)
        object.move_to(KAEMPFER_2, 333.00, 355.53, callback = ['ONEND', Lambda('object.turn_to_object("%s", "%s")'%(Kaempfer_Id, KAEMPFER_2))])
        #object.cancel_commandos(Kaempfer_Id)
        #object.set_position(Kaempfer_Id, 335.85, 349.39)
        if KAEMPFER_2 == 'ALTER_EGO':
            object.move_to(Kaempfer_Id, 336.58, 355.53, callback = [["ONEND", onDlg_020_AnsagerSagtKampfAnMitALTER_EGO], 
                                                               ['ONEND', Lambda('object.turn_to_object("ALTER_EGO", "%s")'%Kaempfer_Id)]])
        else:
            object.move_to(Kaempfer_Id, 336.58, 355.53, callback = [["ONEND", onDlg_020_AnsagerSagtKampfAnOhneALTER_EGO], 
                                                               ['ONEND', Lambda('object.turn_to_object("%s", "%s")'%(KAEMPFER_2, Kaempfer_Id))]])
                                                               

#wenn Spieler am Kampf teilnimmt    
def onDlg_020_AnsagerSagtKampfAnMitALTER_EGO(Kaempfer_Id):
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text( text = 'D_020_T_001', speaker = "ANSAGER", callback = Aplause)
    #Ansage Kämpfer 1
    dialog.add_text( text = 'D_020_T_0'+onDlg_020_Ansage_Kaempfer(Kaempfer_Id), speaker = 'ANSAGER', callback = Aplause)
    #Ansage für Spieler ( ALTER_EGO )
    if( object.get_attribute('ALTER_EGO','gender') == MALE):
        if(data().IstChampion == 0):
            DlgString = 'D_020_T_0'+random.choice(DLGVIEW_020_KAMPFANSAGE_ALTER_EGO_NICHT_CHAMPION_MALE)
            dialog.add_text( text = DlgString, speaker = 'ANSAGER', callback = Aplause)
        else:
            dialog.add_text( text = 'D_020_T_044', speaker = 'ANSAGER', callback = Aplause)
    else:
        if(data().IstChampion == 0):
            DlgString = 'D_020_T_0'+random.choice(DLGVIEW_020_KAMPFANSAGE_ALTER_EGO_NICHT_CHAMPION_FEMALE)
            dialog.add_text( text = DlgString, speaker = 'ANSAGER', callback = Aplause)
        else:
            dialog.add_text( text = 'D_020_T_045', speaker = 'ANSAGER', callback = Aplause)
    Mein_String = 'Kampf_Mit_EGO("'+ Kaempfer_Id +'")'
    dialog.add_text( text = 'D_020_T_050', speaker = 'ANSAGER', follower = 'ENDDIALOG', callback =[Lambda('WaffenDeaktivieren()'), Lambda(Mein_String)])
    dialog.start(False)
    # da der Kampf ohne Waffen geschehen soll werden alle Waffen UnEquipt  ***Lambda('WaffenDeaktivieren()')***

#wenn Spieler nicht am Kampf teilnimmt    
def onDlg_020_AnsagerSagtKampfAnOhneALTER_EGO(id): #id wird in der Funktion nicht benutztdialog.init_dialog(type = DIALOGSMALL)
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text( text = 'D_020_T_001', speaker = "ANSAGER", callback = Aplause)
    #Ansage Kämpfer 1
    dialog.add_text( text = 'D_020_T_0'+onDlg_020_Ansage_Kaempfer(data().ARENA_KAEMPFER_OHNE_AE[0]), speaker = 'ANSAGER', callback = Aplause)
    #Ansage Kämpfer 2
    dialog.add_text( text = 'D_020_T_0'+onDlg_020_Ansage_Kaempfer(data().ARENA_KAEMPFER_OHNE_AE[1]), speaker = 'ANSAGER', callback = Aplause)
    Mein_String = 'Kampf_Ohne_EGO("'+ data().ARENA_KAEMPFER_OHNE_AE[0] +'","'+ data().ARENA_KAEMPFER_OHNE_AE[1] +'")'
    dialog.add_text( text = 'D_020_T_050', speaker = 'ANSAGER', follower = 'ENDDIALOG', callback =[Lambda(Mein_String)])
    dialog.start()
    
def Aplause():
    sounds.play_3d_sound_object(sfx_id="audience_applause",object='SQZONE_6_BUILDING_460')
    sounds.play_3d_sound_object(sfx_id="audience_applause",object='SQZONE_6_BUILDING_460')
    sounds.play_3d_sound_object(sfx_id="audience_applause",object='SQZONE_6_BUILDING_460')
    

# wählt den Dialog für die Ansage von Kämpfer 1 und 2 aus
def onDlg_020_Ansage_Kaempfer(Kaempfer1_Id):
    if( data().StartpositionKaempft == 1):
        temp = 10
        data().StartpositionKaempft = 2
    else:
        temp = 30
        data().StartpositionKaempft = 1
    if (Kaempfer1_Id == 'RADLEY'):
        if( object.get_attribute('RADLEY','Champion') == 0):
            return str(temp + 0)
        else:
            return str(temp + 1)
    elif(Kaempfer1_Id == 'IRVING'):
        if( object.get_attribute('IRVING','Champion') == 0):
            return str(temp + 2)
        else:
            return str(temp + 3)
    elif(Kaempfer1_Id == 'DANTON'):
        if( object.get_attribute('DANTON','Champion') == 0):
            return str(temp + 4)
        else:
            return str(temp + 5)
    elif(Kaempfer1_Id == 'SABRINA'):
        if( object.get_attribute('SABRINA','Champion') == 0):
            return str(temp + 6)
        else:
            return str(temp + 7)
    elif(Kaempfer1_Id == 'KEAGAN'):
        if( object.get_attribute('KEAGAN','Champion') == 0):
            return str(temp + 8)
        else:
            return str(temp + 9)

# Spieler betrachtet Baracken
def initDlg_001_Betrachten_Der_Baracken():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text( text = 'D_001_T_001', speaker = "ALTER_EGO", follower = 'ENDDIALOG')
    dialog.start()

# Spieler betrachtet Haus von Marco nachdem Baracken besichtigt wurden
def initDlg_002_Haus_Ist_Besser_Als_Unterkuenfte():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text = 'D_002_T_001', speaker = 'ALTER_EGO', follower = 'ENDDIALOG', callback = [Lambda('data().Haus_Marco_Betrachtet = 1')])
    
    dialog.start()

# Spieler betrachtet Haus von Marco bevor Baracken betrachtet wurden
def initDlg_003_Haus_Gefaellt_Spieler():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text = 'D_003_T_001', speaker = 'ALTER_EGO', follower = 'ENDDIALOG', callback = [Lambda('data().Haus_Marco_Betrachtet = 1')])
    
    dialog.start()

def initDlg_021_Sieger_Wird_Verkuendet(id_1, id_2):
    text_id = onDlg_021_Sieger(id_1, id_2)
    text_id = 'D_021_T_' + text_id
    
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text = text_id, speaker = 'MARCO', follower = 'ENDDIALOG', callback = [Lambda('sqzone_6.Kampf_End_0_0("%s", "%s")' %(id_1, id_2))])
    sounds.play_3d_sound_object(sfx_id="audience_applause",object='SQZONE_6_BUILDING_460')
    sounds.play_3d_sound_object(sfx_id="audience_applause",object='SQZONE_6_BUILDING_460')
    sounds.play_3d_sound_object(sfx_id="audience_applause",object='SQZONE_6_BUILDING_460')
    dialog.start()
    
# wählt den Dialog für die Ansage von Kämpfer 1 und 2 aus
def onDlg_021_Sieger(id_1, id_2):
    if id_1 == 'ALTER_EGO':
        data().War_Campion = False
    if id_2 != 'ALTER_EGO':
        if  object.get_attribute(id_2,'Champion') == 0:
            if   (id_2 == 'RADLEY'):
                return '001'
            elif (id_2 == 'IRVING'):
                return '003'
            elif (id_2 == 'DANTON'):
                return '005'
            elif (id_2 == 'SABRINA'):
                return '007'
            elif (id_2 == 'KEAGAN'):
                return '009'
    if id_2 == 'ALTER_EGO' and data().IstChampion == 0 and not data().War_Campion:
        if object.get_attribute(id_2,'gender') == 'male':
            return '011'
        else:
            return '011F'
    else:
        if   (id_2 == 'RADLEY'):
            return '002'
        elif (id_2 == 'IRVING'):
            return '004'
        elif (id_2 == 'DANTON'):
            return '006'
        elif (id_2 == 'SABRINA'):
            return '008'
        elif (id_2 == 'KEAGAN'):
            return '010'
        elif (id_2 == 'ALTER_EGO'):
            if not data().War_Campion:
                data().War_Campion = True
                if object.get_attribute(id_2,'gender') == 'male':
                    return '012'
                else:
                    return '012F'
            else:
                if object.get_attribute(id_2,'gender') == 'male':
                    return '013'
                else:
                    return '013F'

# zum deaktivieren der Waffen die die party in der Hand und im inventory haben könnte
def WaffenDeaktivieren():
    for id in system.get_pcs():
        if not object.count_in_inventory('SQZONE_6_BUILDING_460', id + '_BACKPACK'):
            object.create_item_in_inventory('SQZONE_6_BUILDING_460', 'SET_BIG_BACKPACK', id + '_BACKPACK')
        INVENTORY = object.get_inventory_id_list(id)
        for Invent in INVENTORY:
            if (character.is_equiped(id, Invent)):
                try:
                    if object.has_attribute(Invent, "weapon_type"):
                        character.un_equip(id, Invent)
                        object.transfer_item(id, Invent, id + '_BACKPACK')
                        data().Waffen.append([Invent, True])
                except ValueError:
                    pass
        for Invent_id in object.get_inventory_id_list(id):
            if object.has_attribute(Invent_id, 'weapon_type'):
                object.transfer_item(id, Invent_id, id + '_BACKPACK')
                data().Waffen.append([Invent_id, False])
        data().PartyWaffen[id] = data().Waffen
        data().Waffen = []

# j'ai doubl la cloture car j'ai la flegme de chercher le bug. Surtout que, ne parlant pas l'allemand, je ne comprend rien  leurs commentaires et  leurs noms de variable
# c'est comme faire la diffrence entre ghbrejhgbewfgtyz et ghbrejhgbevfgtyz
def fin_quete22():# cloture la quete de l'arne
    if( was_zone_entered( "zone_6.zone_6" ) ):
        if( system.get_qb_entry_state(data("zone_6.zone_6").QB_022 ) == UNCOMPLETE ):
            system.set_qb_entry_state(data("zone_6.zone_6").QB_022, COMPLETE )
            character.add_experience_party( data().Exp_Champion )

# auswählen der Siegprämie die der Spieler für einen gewonnen Kampf erhält
def EGO_Kampf_Gewonnen(Kaempfer_Id, Gewinner):
    object.set_attribute(Kaempfer_Id, 'foes', None)
    # object.set_immortal_state(Kaempfer_Id, True)
    if (data().IstChampion == 1):                # Ego ist bereits Champion
        # nur Auswahl
        EGO_Preis_Fundus(Kaempfer_Id, Gewinner)            # auswahl aus dem Fundus
        fin_quete22()# doubl la fin de la qute
    elif (data().KAEMPFE_GEWONNEN == 2):            # hatte bisher 2 Kämpfe gewonnen
        # wird zum Champion gemacht + Auswahl
        data().IstChampion = 1                # wird zum Champion erklärt
        object.set_attribute(Kaempfer_Id, 'Champion', 0)    # ehemaliger Champion ist es nicht länger
        EGO_Preis_Waehlen(Kaempfer_Id, Gewinner)            # auswahl aus Gegner Inventory
        fin_quete22()
#
    elif (data().KAEMPFE_GEWONNEN < 2):            # hatte bisher weniger als 2 Kämpfe gewonnen 
        # 'data().KAEMPFE_GEWONNE + 1' + Auswahl
        data().KAEMPFE_GEWONNEN += 1            
        EGO_Preis_Waehlen(Kaempfer_Id, Gewinner)            # auswahl aus Gegner Inventory

# wenn er verloren hat nimmt sich der Gener Ausrüstung vom Spieler weg
def EGO_Kampf_Verloren(Kaempfer_Id):
    object.set_attribute('ALTER_EGO', 'hitpoints', 5)
    object.set_immortal_state(Kaempfer_Id, True)
    data().Ego_Im_Kampf = False
    if (data().IstChampion == 1):                # falls Ego Champion ist
        data().IstChampion = 0                # ist ers jetzt nicht mehr
        object.set_attribute(Kaempfer_Id, 'Champion', 1)    # der andere Kämpfer wird zum Champion
        data().KAEMPFE_GEWONNEN = 0            # Ego muss wieder 3 Kämpfe absolvieren    
    Gegner_Preis_Waehlen(Kaempfer_Id)

# Wenn Ego sich beim Gegner bedienen darf
def EGO_Preis_Waehlen(Kaempfer_Id, Gewinner):
    system.item_panel('ALTER_EGO', Kaempfer_Id ,  
                    callback_close = Lambda('sqzone_6.Kampf_End("%s", "%s")'%(Kaempfer_Id, Gewinner)),
                    callback_cancel = Lambda('sqzone_6.Kampf_End("%s", "%s")'%(Kaempfer_Id, Gewinner)))        # Gegnerisches Inventory öffnen
    #sqzone_6.Kampf_End(Kaempfer_Id, Gewinner)
    allow_activity(Kaempfer_Id)
    
# Wenn Gegner sich bei Ego bedienen darf
def Gegner_Preis_Waehlen(Kaempfer_Id):
    INVENT_LIST = object.get_inventory_id_list('ALTER_EGO')    # Liste der Items die der Ego im Inventory hat
    for id in INVENT_LIST:
        if not object.has_attribute(id, "generic_item"):
            object.transfer_item('ALTER_EGO', id, Kaempfer_Id)
    sqzone_6.Kampf_End('ALTER_EGO', Kaempfer_Id)
    

# Wenn Ego sich im Fundus bedienen darf
def EGO_Preis_Fundus(Kaempfer_Id, Gewinner):
    clear_inventory()
    FUNDUS_TEMP = []
    for x in range(0, 53, 1):
        if len(FUNDUS_TEMP) <= 17:
            if random.randint(0,1):
                FUNDUS_TEMP.append(FUNDUS[x])
        else:
            pass
    object.create_item_in_inventory(object='FUNDUS', equipment =  FUNDUS_TEMP)
    system.item_panel('ALTER_EGO', 'FUNDUS' ,  
                    callback_close = Lambda('sqzone_6.Kampf_End("%s", "%s")'%(Kaempfer_Id, Gewinner)),
                    callback_cancel = Lambda('sqzone_6.Kampf_End("%s", "%s")'%(Kaempfer_Id, Gewinner)))        # Gegnerisches Inventory öffnen
    #sqzone_6.Kampf_End(Kaempfer_Id, Gewinner)
    allow_activity(Kaempfer_Id)

def Preis_Waehlen_Ohne_Ego(Kaempfer_Verloren, Kaempfer_Gewonnen):
    object.set_attribute(Kaempfer_Gewonnen, 'foes', None)
    object.set_immortal_state(Kaempfer_Gewonnen, True)
    object.set_attribute(Kaempfer_Verloren, 'foes', None)
    object.set_immortal_state(Kaempfer_Verloren, True)
    INVENT_LIST = object.get_inventory_id_list(Kaempfer_Verloren)
    #print INVENT_LIST
    if not (len(INVENT_LIST) == 0):                # ob die Liste leer ist
        INVENT = random.choice(INVENT_LIST)        # wählt ein Item aus der Liste aus
        object.transfer_item(Kaempfer_Verloren, INVENT, Kaempfer_Gewonnen)
    sqzone_6.Kampf_End(Kaempfer_Verloren, Kaempfer_Gewonnen)
    

def Kampf_Mit_EGO(Kaempfer_Id):
    object.set_attribute(Kaempfer_Id, 'foes', ['ALTER_EGO'])
    object.set_immortal_state(Kaempfer_Id, False)
    data().Gegner = Kaempfer_Id
    system.end_cutscene()

def Kampf_Ohne_EGO(Kaempfer_1_Id, Kaempfer_2_Id):
    object.set_attribute(Kaempfer_1_Id, 'foes', [Kaempfer_2_Id])
    object.set_immortal_state(Kaempfer_1_Id, False)
    object.set_attribute(Kaempfer_2_Id, 'foes', [Kaempfer_1_Id])
    object.set_immortal_state(Kaempfer_2_Id, False)
        
def Fans_Holen():
    for x in range(1,21,1):
        if random.randint(0,1):
            if x <=9:
                id_ = 'data().FAN_00'+ str(x) +'_INACT'
                data().Fans_Inactive.append('FAN_00'+ str(x))
            else:
                id_ = 'data().FAN_0'+ str(x) +'_INACT'
                data().Fans_Inactive.append('FAN_0'+ str(x))
            eval(compile(id_ +'= True', 'string', 'exec'))

def Fans_Holen_End():
    for id in data().Fans_Inactive:
        data().Fans_Inactive.remove(id)
        object.set_active_state(id, True)
        enemy_script.delay(2, Lambda('Fans_Holen_End_1("%s")'%id))
        
def Fans_Holen_End_1(id):
    object.step_to(id,334.54, 369.80, callback = ['ONEND', Lambda('object.step_away("%s")'%id)])
    allow_activity(id)
    id_ = 'data().' + id +'_INACT'
    eval(compile(id_ +'= False', 'string', 'exec'))


def Marco():
    prohibit_activity('MARCO')
    object.cancel_commandos('MARCO')
    character.set_approachable_state('MARCO', NOTAPPROACHABLE)
    object.move_to('MARCO',333.07, 369.97, speed = MT_FAST)
    object.move_to_object('MARCO', 'BUILDING_460', 'dmyp_001', callback = ['ONEND', Marco_1])
    
def Marco_1(id):
    enemy_script.delay(2, Lambda('object.set_active_state("MARCO", False)'))
    
def Marco_End():
    object.set_active_state("MARCO", True)
    enemy_script.delay(2, Lambda('Marco_End_1()'))
    
def Marco_End_1():
    object.step_to('MARCO',333.07, 369.97, callback = ['ONEND', Lambda('object.step_away("MARCO")')])
    allow_activity('MARCO')
    object.move_to("MARCO", 308.41, 366.56, callback = ['ONEND', Lambda('character.set_approachable_state("MARCO", APPROACHABLE)')])
    enemy_script.delay(20, Lambda('Marco_Check()'))
    
def Marco_Check():
    if not data().Marco_Da:
        if object.get_distance_to_position('MARCO', 334.19, 371.14) < 5:
            Marco_End()
        else:
            data().Marco_Da = True
    
## clears inventory
def clear_inventory():
    counter = 0
    inventory = object.get_inventory_list("FUNDUS")
    for item in inventory:
        if len(item[0]):
            object.remove_item_from_inventory("FUNDUS",item)

