# -*- coding: utf-8 -*-
from globals import *
from const import *
import npc
import schedules
import char_autogeneration
from dynamic_camera import *
import enemy_script

#***  act. Revision 46, 30.09.2004 **********************************************
# todo: mercenary hire dialogs

def onEnd_IDCard():
	MercPos = [ 	[416.8,292.5],#[ 455.90, 292.50 ],
			[417.2,290.7],#[ 460.97, 303.26 ],
			[417.0,286.9],#[ 454.12, 303.75 ],
			[417.5,289.2],#[ 450.68, 294.71 ],
			[418.5,290.7]]#[ 446.42, 293.86 ]]

	if( data().Dlg_016_Done == 0 ):
		data().Dlg_016_Done = 1
		data().wesley_cs_after_idcards = True
		initDlg_016_Wesley_SoldierChoice()
	else:

		index = 0
		for EachPC in system.get_pcs():
			if( EachPC != "ALTER_EGO" ):
				prohibit_activity( EachPC )
				object.set_immortal_state( EachPC, False )
				object.step_away(EachPC)
				object.move_to( object = EachPC, x = MercPos[ index ][ 0 ], y = MercPos[ index ][ 1 ], grid="landscape", speed = MT_SLOW )
				object.turn_to_object(EachPC, "ALTER_EGO")
				index += 1

	system.add_to_uiselection( idlist = system.get_pcs() )
	data().SelectMercenaries = 1

def add_to_party(charid=None):
	pass

def onEnd_IDCardAgain():
	MercPos = [ 	[416.8,292.5],#[ 455.90, 292.50 ],
			[417.2,290.7],#[ 460.97, 303.26 ],
			[417.0,286.9],#[ 454.12, 303.75 ],
			[417.5,289.2],#[ 450.68, 294.71 ],
			[418.5,290.7]]#[ 446.42, 293.86 ]]

	index = 0
	for EachPC in system.get_pcs():
		if( EachPC != "ALTER_EGO" ):
			prohibit_activity( EachPC )
			object.set_immortal_state( EachPC, False )
			object.step_away(EachPC)
			object.move_to( object = EachPC, x = MercPos[ index ][ 0 ], y = MercPos[ index ][ 1 ], grid="landscape", speed = MT_SLOW )
			object.turn_to_object(EachPC, "ALTER_EGO")
			index += 1

	system.add_to_uiselection( idlist = system.get_pcs() )

def on_approach( target, operator ):
	if dialog.is_dialog_active():
		return
	
	# Exekutions dialoge steuern:
	##############################
	if((data().Execution < 3) and (
			target in PRESIDENT_TEAM_IDS
			or target in NPC_IDS
			or target in MERCENARY_IDS
			or target in ADDITIONAL_NPC_EXEIDS)):
		return True
	
	if((data().Execution < 100) and (
			target in NPC_IDS
			or target in MERCENARY_IDS
			or target in ADDITIONAL_NPC_EXEIDS)):
		TVal = -1
		while( TVal == -1 ):
			TVal = random.randint( 0, 9 )
			if( data().ExecutionTalkDone[ TVal ] > 0 ):
				TVal = -1
		# init dialog for mercs
		if target in MERCENARY_IDS:
			text = "D_051_T_001"
		# init dialog for gaffers
		else:
			text = data().ExecutionTalk[TVal]
			if object.get_attribute(target, "gender") == "male":
				prefixes = ["GAFFER_01", "GAFFER_02", "GAFFER_03"]
			else:
				prefixes = ["GAFFER_04", "GAFFER_05"]
			prefix = random.choice(prefixes)
			if not object.has_attribute(target, "voice_id"):
				object.set_attribute(target, "voice_id", prefix)
		
		dialog.init_dialog(type=DIALOGSMALL)
		dialog.add_text(text=text, speaker=target, follower="ENDDIALOG")
		dialog.start()
		
		data().ExecutionTalkADone += 1
		data().ExecutionTalkDone[ TVal ] = 1
		if( data().ExecutionTalkADone >= 10 ):
			data().ExecutionTalkADone = 0
			TVal2 = 0
			while( TVal2 < 10 ):
				data().ExecutionTalkDone[ TVal2 ] = 0
				TVal2 += 1
		return True
		
	
	if not target in ("PRESIDENT_HAYES","WESLEY","LUCAS","DRILL_INSTRUCTOR"):
		if schedules.Dialog( target, operator ):
			return

	# Dialoge mit dem Prï¿½sidenten-Guard 01
	if target == "PRESIDENT_GUARD_01":
		if( data().SpokeToPresident > 0 ):
		 	initDlg_026_Guard01_TalkAfterPresident()
		elif( data().SpokeToPresidentGuard02 > 0 and
			 data().SpokeToPresidentGuard01 == 0 ):
			initDlg_006_Guard01_TalkOther()
		elif( data().SpokeToPresidentGuard01 > 0 ):
		 	initDlg_004_Guard01_TalkRetry()
		else:
			initDlg_002_Guard01_Talk()

	if target == "PRESIDENT_GUARD_02":
		if( data().SpokeToPresident > 0 ):
			initDlg_027_Guard02_TalkAfterPresident()
		elif( data().SpokeToPresidentGuard01 > 0 and
				 data().SpokeToPresidentGuard02 == 0 ):
			initDlg_007_Guard02_TalkOther()
		elif( data().SpokeToPresidentGuard02 > 0 ):
			initDlg_005_Guard02_TalkRetry()
		else:
			initDlg_003_Guard02_Talk()

	if target == "PRESIDENT_COMPANION_01":
		initDlg_008_CompanionIgnoresPlayer( target )

	if target == "PRESIDENT_COMPANION_02":
		initDlg_008_CompanionIgnoresPlayer( target )

	if target == "GUARD_CAMP_01":
		if( data().SpokeToPresident > 0 ):
			initDlg_048_WestGuardNerved()
		elif( data().TalkWestGuard == 0 ):
			initDlg_044_WestGuardPresident()
			data().TalkWestGuard = 1
		else:
			initDlg_046_WestGuardAgain()

	if target == "GUARD_CAMP_02":
		if( data().SpokeToPresident > 0 ):
			initDlg_049_EastGuardNerved()
		elif( data().TalkEastGuard == 0 ):
			initDlg_045_EastGuardPresident()
			data().TalkEastGuard = 1
		else:
			initDlg_047_EastGuardAgain()

	if target == "PRESIDENT_HAYES":
		if( data().ReceivedPassportQuest > 0 and
			data().ReceivedPassport == 0 ):
			initDlg_010_President_GetPassport()
		elif( 	data().ReceivedPassport == 1 and
				data().SelectMercenariesQuest == 0 ):
			#system.end_cutscene()
			initDlg_012_President_StoryIntro()
			pass
		elif(   data().ReceivedPassport == 1 and
				data().SelectMercenariesQuest == 1 and
				data().SelectMercenaries == 0
			):
			initDlg_041_PresidentWesley()
		elif (	data().ReceivedPassport > 0 and
				data().SelectMercenaries > 0 and
				data().Phoenix_Info == True
			):
			initDlg_057_PraesidentInformiertUeberSchatten()	
		else:
			initDlg_009_President_PassportInfo()
			
	if target == "WESLEY":
		if( data().SelectMercenaries > 0 and
			data().Phoenix_Info == False):
			initDlg_042_WesleyAnswersQuestions()

		elif (	data().SelectMercenaries > 0 and
				data().Phoenix_Info == True):
			if data().WesleyHatVerkackt:
				initDlg_056_SpielerIgnoriertWesley()
			else:
				initCutscene_054_WesleyGesteht()

	if target == "NICK":
		initDlg_052_NickGibtInformationen()

	if target == "LUCAS":
		if data().ReceivedPassportQuest == 0:
			if data().LucasChatWithouthPassportQuest == 0:
				initDlg_020_Lucas_TalkWithoutReason()
			else:
				initDlg_021_Lucas_TalkWithoutReason_Again()
		elif data().ReceivedPassport > 0:
			initDlg_022_Lucas_After_Passport()
		else:
			initDlg_014_SpielerWillEinenPassHaben()

	if target == "DRILL_INSTRUCTOR":
		if data().TutorialCycle == 0:
			initDlg_017_Instructor_StartTutorial()
		else:
			initDlg_029_Instructor_StartTutorial()

	if target in ["GUARD_QUARTERS_01","GUARD_QUARTERS_02"]:
		if data().SpokeToQuartersGuard == 0:
			initDlg_018_GuardQuarters_Guests(target)
		else:
			initDlg_030_GuardQuarters_GuestsAgain(target)

	if (target in MERCENARY_IDS):
		if( data().SpokeToPresident == 0 ):
			InitDlg_028_Mercenary_President( target )
		else:
			if not data().wesley_hat_gestanden:
				if data().Cutscene_PresidentnachPassausgabeGestartet:
					InitDlg_025_Mercenary_Wesley( target )
				else:
					initDlg_058_Mercenary_Wesley_NotHome( target )
			else:
				if not target in system.get_pcs():
					#system.switch_party(target, "UISPIELER")
					import global_character;
					global_character.mercenary_invitation(operator,target)


# kommt, wenn man sich dem Präsidentenhaus nähert -> da darf man nämlich nicht durch
def initDlg_001_ReachRangePresidentHouse( id ):
	system.start_cutscene()
	system.set_camera_view( CamView_PresHouse )
	object.cancel_commandos("PRESIDENT_GUARD_01")
	object.turn_to_object("PRESIDENT_GUARD_01","ALTER_EGO")
	for id in system.get_pcs():
		object.cancel_commandos(id)
		object.turn_to_object(id,"PRESIDENT_GUARD_01")
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text( text = 'D_001_T_001', speaker = 'PRESIDENT_GUARD_01', follower = 'ENDDIALOG', callback = onDlg_001_End )
	dialog.start()

def onDlg_001_End():
	object.turn_to_direction("PRESIDENT_GUARD_01",globals.DIR_EAST)
	system.notify_timer( data().Timer_PresidentWarning, data().Timervalue_PresidentWarning )
	end_cutscene(chars=[])


def initDlg_002_Guard01_Talk():
	dialog.init_dialog(type=DIALOGLARGE)
	# dialog.set_speaker(speaker = "PRESIDENT_GUARD_01", picture='president_guard_01.png')

	dialog.add_choice( text = "D_002_C_001_1", follower = "D_002_T_001" )
	dialog.add_choice( text = "D_002_C_001_2", follower = "D_002_T_002" )
	dialog.add_choice( text = "D_002_C_001_3", follower = "ENDDIALOG", callback = onDlg_003_End  )

	dialog.add_text( text = "D_002_T_001", speaker = "PRESIDENT_GUARD_01", follower = "D_002_C_002" )
	dialog.add_text( text = "D_002_T_002", speaker = "PRESIDENT_GUARD_01", follower = "D_002_C_002" )

	dialog.add_choice( text = "D_002_C_002_1", follower = "D_002_T_003" )
	dialog.add_choice( text = "D_002_C_002_2", follower = "D_002_T_004" )
	dialog.add_choice( text = "D_002_C_002_3", follower = "ENDDIALOG", callback = onDlg_003_End  )

	dialog.add_text( text = "D_002_T_003", speaker = "PRESIDENT_GUARD_01", follower = "ENDDIALOG", callback = onDlg_002_End )
	dialog.add_text( text = "D_002_T_004", speaker = "PRESIDENT_GUARD_01", follower = "ENDDIALOG", callback = onDlg_002_End )

	dialog.start()


def onDlg_002_End():
	# system.notify_timer( data().Timer_President, data().Timervalue_President )
	data().SpokeToPresidentGuard01 = 1


def initDlg_003_Guard02_Talk():
	dialog.init_dialog(type=DIALOGLARGE)
	# dialog.set_speaker(speaker = "PRESIDENT_GUARD_02", picture='president_guard_02.png')

	dialog.add_choice( text = "D_003_C_001_1", follower = "D_003_T_001" )
	dialog.add_choice( text = "D_003_C_001_2", follower = "D_003_T_002" )
	dialog.add_choice( text = "D_003_C_001_3", follower = "ENDDIALOG", callback = onDlg_003_End  )

	dialog.add_text( text = "D_003_T_001", speaker = "PRESIDENT_GUARD_02", follower = "D_003_C_002" )
	dialog.add_text( text = "D_003_T_002", speaker = "PRESIDENT_GUARD_02", follower = "D_003_C_002" )

	dialog.add_choice( text = "D_003_C_002_1", follower = "D_003_T_003" )
	dialog.add_choice( text = "D_003_C_002_2", follower = "D_003_T_004" )
	dialog.add_choice( text = "D_003_C_002_3", follower = "ENDDIALOG", callback = onDlg_003_End  )

	dialog.add_text( text = "D_003_T_003", speaker = "PRESIDENT_GUARD_02", follower = "ENDDIALOG", callback = onDlg_003_End )
	dialog.add_text( text = "D_003_T_004", speaker = "PRESIDENT_GUARD_02", follower = "ENDDIALOG", callback = onDlg_003_End )

	dialog.start()

def onDlg_003_End():
	# system.notify_timer( data().Timer_President, data().Timervalue_President )
	data().SpokeToPresidentGuard02 = 1

def initDlg_004_Guard01_TalkRetry():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text( text = "D_004_T_001", speaker = "PRESIDENT_GUARD_01", follower = "ENDDIALOG" )
	dialog.start()

def initDlg_005_Guard02_TalkRetry():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text( text = "D_005_T_001", speaker = "PRESIDENT_GUARD_02", follower = "ENDDIALOG" )
	dialog.start()

def initDlg_006_Guard01_TalkOther():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text( text = "D_006_T_001", speaker = "PRESIDENT_GUARD_01", follower = "ENDDIALOG", callback = onDlg_006_End )
	dialog.start()

def onDlg_006_End():
	data().SpokeToPresidentGuard01 = 1

def initDlg_007_Guard02_TalkOther():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text( text = "D_007_T_001", speaker = "PRESIDENT_GUARD_02", follower = "ENDDIALOG", callback = onDlg_007_End )
	dialog.start()

def onDlg_007_End():
	data().SpokeToPresidentGuard02 = 1

def initDlg_026_Guard01_TalkAfterPresident():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text( text = "D_026_T_001", speaker = "PRESIDENT_GUARD_01", follower = "ENDDIALOG" )
	dialog.start()

def initDlg_027_Guard02_TalkAfterPresident():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text( text = "D_027_T_001", speaker = "PRESIDENT_GUARD_02", follower = "ENDDIALOG" )
	dialog.start()

def initDlg_008_CompanionIgnoresPlayer( target ):
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text( text = "D_008_T_001", speaker = target )
	dialog.add_text( text = "D_008_T_002", speaker = "ALTER_EGO", follower = "ENDDIALOG" )
	dialog.start()

def initDlg_009_President_PassportInfo():
	object.cancel_commandos("PRESIDENT_HAYES")
	object.turn_to_object("PRESIDENT_HAYES","ALTER_EGO",callback=["ONEND", Lambda('onDlg_009_StartDialog("ALTER_EGO")')])

def onDlg_009_StartDialog(char):
	isMale = (object.get_attribute("ALTER_EGO","gender")==MALE)
	dialog.init_dialog(type=DIALOGLARGE)
	# dialog.set_speaker(speaker = "PRESIDENT_HAYES", picture='president_hayes.png')
	dialog.add_choice( text = "D_009_C_001_5", follower = "D_009_T_011" )
	if isMale:
		dialog.add_choice( text = "D_009_C_001_1", follower = "D_009_T_001" )
		dialog.add_choice( text = "D_009_C_001_2", follower = "D_009_T_005" )
		if( data().Dlg_009_Ch03_inactive == 0 ):
			dialog.add_choice( text = "D_009_C_001_3", follower = "D_009_T_010" )

	else:
		dialog.add_choice( text = "D_009_C_001_1", follower = "D_009_T_001F" )
		dialog.add_choice( text = "D_009_C_001_2", follower = "D_009_T_005" )	
		if( data().Dlg_009_Ch03_inactive == 0 ):
			dialog.add_choice( text = "D_009_C_001_3", follower = "D_009_T_010F" )

	dialog.add_choice( text = "D_009_C_001_4", follower = "ENDDIALOG", callback = onDlg_009_End1 )
	
	if isMale:
		dialog.add_text( text = "D_009_T_001", speaker = "PRESIDENT_HAYES", follower = "D_009_C_002" )
		dialog.add_choice( text = "D_009_C_002_1", follower = "D_009_T_002" )
		dialog.add_choice( text = "D_009_C_002_2", follower = "D_009_T_003" )
		dialog.add_choice( text = "D_009_C_002_3", follower = "ENDDIALOG", callback = onDlg_009_End1 )
		dialog.add_text( text = "D_009_T_002", speaker = "PRESIDENT_HAYES", follower = "ENDDIALOG", callback = onDlg_009_End2 )
		dialog.add_text( text = "D_009_T_003", speaker = "PRESIDENT_HAYES", follower = "ENDDIALOG", callback = onDlg_009_End2 )
		dialog.add_text( text = "D_009_T_005", speaker = "PRESIDENT_HAYES", follower = "D_009_C_003" )
		dialog.add_choice( text = "D_009_C_003_1", follower = "D_009_T_006" )
		dialog.add_choice( text = "D_009_C_003_2", follower = "D_009_T_008" )
		dialog.add_choice( text = "D_009_C_003_3", follower = "ENDDIALOG", callback = onDlg_009_End1 )
		dialog.add_text( text = "D_009_T_006", speaker = "PRESIDENT_HAYES", follower = "ENDDIALOG", callback = onDlg_009_End2 )
		dialog.add_text( text = "D_009_T_008", speaker = "PRESIDENT_HAYES", follower = "ENDDIALOG", callback = onDlg_009_End2 )
		if( data().Dlg_009_Ch03_inactive == 0 ):
			dialog.add_text( text = "D_009_T_010", speaker = "PRESIDENT_HAYES", follower = "ENDDIALOG", callback = onDlg_009_End3 )

	else:
		dialog.add_text( text = "D_009_T_001F", speaker = "PRESIDENT_HAYES", follower = "D_009_C_002" )
		dialog.add_choice( text = "D_009_C_002_1", follower = "D_009_T_002F" )
		dialog.add_choice( text = "D_009_C_002_2F", follower = "D_009_T_003F" )
		dialog.add_choice( text = "D_009_C_002_3", follower = "ENDDIALOG", callback = onDlg_009_End1 )
		dialog.add_text( text = "D_009_T_002F", speaker = "PRESIDENT_HAYES", follower = "ENDDIALOG", callback = onDlg_009_End2 )
		dialog.add_text( text = "D_009_T_003F", speaker = "PRESIDENT_HAYES", follower = "ENDDIALOG", callback = onDlg_009_End2 )
		dialog.add_text( text = "D_009_T_005", speaker = "PRESIDENT_HAYES", follower = "D_009_C_003" )
		dialog.add_choice( text = "D_009_C_003_1", follower = "D_009_T_006F" )
		dialog.add_choice( text = "D_009_C_003_2", follower = "D_009_T_008F" )
		dialog.add_choice( text = "D_009_C_003_3", follower = "ENDDIALOG", callback = onDlg_009_End1 )
		dialog.add_text( text = "D_009_T_006F", speaker = "PRESIDENT_HAYES", follower = "ENDDIALOG", callback = onDlg_009_End2 )
		dialog.add_text( text = "D_009_T_008F", speaker = "PRESIDENT_HAYES", follower = "ENDDIALOG", callback = onDlg_009_End2 )
		if( data().Dlg_009_Ch03_inactive == 0 ):
			dialog.add_text( text = "D_009_T_010F", speaker = "PRESIDENT_HAYES", follower = "ENDDIALOG", callback = onDlg_009_End3 )

	dialog.add_text( text = "D_009_T_011", speaker = "PRESIDENT_HAYES", follower = "D_009_C_001" )
	dialog.start(False)

def onDlg_009_End1():
	pass
	#system.set_qb_entry_state( data().QB_001, COMPLETE )
	#system.set_qb_entry_state( data().QB_002, UNCOMPLETE )
	#data().SpokeToPresident = 1

def onDlg_009_End2():
	system.set_qb_entry_state( data().QB_001, COMPLETE )
	system.set_qb_entry_state( data().QB_002, UNCOMPLETE )
	onDlg_009_marker()
	data().SpokeToPresident = 1
	data().ReceivedPassportQuest = 1
	# Ziel 2 aktiv schalten
	# Plakette ins Inventar

def onDlg_009_marker():
	if not data().player_knows_passausgabestelle:
		data().player_knows_passausgabestelle = True
		system.add_minimap_marker(471,370,"MM_002")#Lucas passport issuing office

def onDlg_009_End3():
	# data().SpokeToPresident = 1
	data().ReducedEquipment = 1
	data().Dlg_009_Ch03_inactive = 1
	# data().ReceivedPassportQuest = 1
	# Choice C_001_3 fehlt bei Neustart
	# Wesley rückt wesentlich weniger Equipment raus


def initDlg_010_President_GetPassport():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text( text = "D_010_T_001", speaker = "PRESIDENT_HAYES", follower = "ENDDIALOG" )
	dialog.start()


def initDlg_011_President_Companions():
	dialog.init_dialog(type=DIALOGSMALL)
	set_conversation("PRESIDENT_HAYES","ALTER_EGO",mode='medium')
	if object.get_attribute("ALTER_EGO","gender")==MALE:
		dialog.add_text( text = "D_011_T_001", speaker = "PRESIDENT_HAYES", callback =  onDlg_011_AlterEgoGibtPass)
	else:
		dialog.add_text( text = "D_011_T_001F", speaker = "PRESIDENT_HAYES", callback =  onDlg_011_AlterEgoGibtPass)
	dialog.add_text( text = "D_011_T_002", speaker = "ALTER_EGO", callback = onDlg_011_AlterEgoStecktPassEin)
	dialog.add_text( text = "D_011_T_003", speaker = "PRESIDENT_HAYES", follower = "ENDDIALOG", callback = onDlg_011_End )
	dialog.start()

def onDlg_011_AlterEgoStecktPassEin():
	#character.un_equip_direct("ALTER_EGO","SET_PLAYING_CARD")
	#object.remove_item_from_inventory("ALTER_EGO", "SET_PLAYING_CARD")
	set_conversation("PRESIDENT_HAYES","ALTER_EGO",mode="close")

def onDlg_011_AlterEgoGibtPass():
	set_conversation("ALTER_EGO","PRESIDENT_HAYES",mode="close",animate=False)
	#object.cancel_commandos("ALTER_EGO")
	#object.create_item_in_inventory("ALTER_EGO", "SET_PLAYING_CARD")
	#character.equip_direct("ALTER_EGO","SET_PLAYING_CARD")
	#character.play_animation("ALTER_EGO","CM_STEHEN_TASCHENDIEBSTAHL_VORN")

def onDlg_011_End():
	end_cutscene(chars=["PRESIDENT_HAYES","ALTER_EGO"])
	initDlg_012_President_StoryIntro()

def initDlg_012_President_StoryIntro():

	data().CT_D_012_C_001 = 4
	data().CT_D_012_C_002 = 2
	data().CT_D_012_C_003 = 3
	data().CT_D_012_C_004 = 2
	data().CT_D_012_C_005 = 2

	dialog.init_dialog(type=DIALOGLARGE)

	# This Part of the dialogue is now Dlg_011
	# dialog.add_text( text = "D_012_T_001", speaker = "PRESIDENT_HAYES" )
	# dialog.add_text( text = "D_012_T_002", speaker = "ALTER_EGO" )
	# dialog.add_text( text = "D_012_T_003", speaker = "PRESIDENT_HAYES", follower = "D_012_C_001" )

	dialog.add_choice( text = "D_012_C_001_1", follower = "D_012_T_004", callback = onDlg_012_CountDown_Choice_001 )
	
	if object.get_attribute("ALTER_EGO","gender")==MALE:
		dialog.add_choice( text = "D_012_C_001_2", follower = "D_012_T_021", callback = onDlg_012_CountDown_Choice_001 )
	else:
		dialog.add_choice( text = "D_012_C_001_2", follower = "D_012_T_021F", callback = onDlg_012_CountDown_Choice_001 )

	dialog.add_choice( text = "D_012_C_001_3", follower = "D_012_T_025", callback = onDlg_012_CountDown_Choice_001 )
	dialog.add_choice( text = "D_012_C_001_4", follower = "ENDDIALOG", callback = onDlg_012_CountDown_Choice_001 )

	dialog.add_text( text = "D_012_T_004", speaker = "PRESIDENT_HAYES" )
	dialog.add_text( text = "D_012_T_005", speaker = "PRESIDENT_HAYES", follower = "D_012_C_002_1"  )

	dialog.add_choice( text = "D_012_C_002_1", follower = "D_012_T_007", callback = onDlg_012_CountDown_Choice_002 )
	dialog.add_choice( text = "D_012_C_002_2", follower = "D_012_T_010", callback = onDlg_012_CountDown_Choice_002 )
	dialog.add_choice( text = "D_012_C_002_3", follower = "ENDDIALOG", callback = onDlg_012_End4 )

	dialog.add_text( text = "D_012_T_007", speaker = "PRESIDENT_HAYES", follower = "D_012_C_003" )
	dialog.add_text( text = "D_012_T_010", speaker = "PRESIDENT_HAYES", follower = "D_012_C_004" )

	dialog.add_choice( text = "D_012_C_003_1", follower = "D_012_T_012", callback = onDlg_012_CountDown_Choice_002 )
	dialog.add_choice( text = "D_012_C_003_2", follower = "D_012_T_015", callback = onDlg_012_CountDown_Choice_002 )
	dialog.add_choice( text = "D_012_C_003_3", follower = "ENDDIALOG", callback = onDlg_012_End5 )

	dialog.add_text( text = "D_012_T_012", speaker = "PRESIDENT_HAYES", follower = "D_012_C_002", callback = onDlg_012_BackToC002 )

	dialog.add_text( text = "D_012_T_015", speaker = "PRESIDENT_HAYES", follower = "D_012_C_003", callback = onDlg_012_BackToC002 )

	dialog.add_choice( text = "D_012_C_004_1", follower = "D_012_T_017", callback = onDlg_012_CountDown_Choice_004 )
	dialog.add_choice( text = "D_012_C_004_2", follower = "D_012_T_019", callback = onDlg_012_CountDown_Choice_004 )

	dialog.add_text( text = "D_012_T_017", speaker = "PRESIDENT_HAYES", follower = "D_012_C_004", callback = onDlg_012_BackToC004 )

	dialog.add_text( text = "D_012_T_019", speaker = "PRESIDENT_HAYES", follower = "D_012_C_004", callback = onDlg_012_BackToC004 )

	if object.get_attribute("ALTER_EGO","gender")==MALE:
		dialog.add_text( text = "D_012_T_021", speaker = "PRESIDENT_HAYES", follower = "D_012_C_005" )
	else:
		dialog.add_text( text = "D_012_T_021F", speaker = "PRESIDENT_HAYES", follower = "D_012_C_005" )

	dialog.add_choice( text = "D_012_C_005_1", follower = "D_012_T_023", callback = onDlg_012_CountDown_Choice_005 )
	dialog.add_choice( text = "D_012_C_005_2", follower = "ENDDIALOG", callback = onDlg_012_End6 )

	dialog.add_text( text = "D_012_T_023", speaker = "PRESIDENT_HAYES", follower = "D_012_C_001" )
	dialog.add_text( text = "D_012_T_025", speaker = "PRESIDENT_HAYES", follower = "D_012_T_030" )
	dialog.add_text( text = "D_012_T_030", speaker = "PRESIDENT_HAYES", follower = "ENDDIALOG", callback = onDlg_012_End2 )

	if( data().Dlg_012_StartStatus == 1 ):
		dialog.add_text( text = "D_012_T_027", speaker = "ALTER_EGO", follower = "D_012_C_002" )
		dialog.jump_to(follower='D_012_T_027')
	elif( data().Dlg_012_StartStatus == 2 ):
		dialog.add_text( text = "D_012_T_028", speaker = "PRESIDENT_HAYES", follower = "D_012_C_003" )
		dialog.jump_to(follower='D_012_T_028')
	elif( data().Dlg_012_StartStatus == 3 ):
		dialog.add_text( text = "D_012_T_029", speaker = "ALTER_EGO", follower = "D_012_T_023" )
		dialog.jump_to(follower='D_012_T_029')
	dialog.start( False )
	object.set_active_state( "WESLEY", ACTIVE )
	onDlg_012_marker()
	system.notify_region_entered( region="REGION_WESLEY", objectid="ALTER_EGO" )
	object.set_position("WESLEY",412.0,293.0)
	
def onDlg_012_marker():
	if not data().player_knows_soeldnercamp:
		data().player_knows_soeldnercamp = True
		system.add_minimap_marker(438,284,"MM_003")#Wesley’s mercenary camp

def onDlg_012_End2():
	system.set_qb_entry_state( data().QB_003, UNCOMPLETE )
	data().SelectMercenariesQuest = 1
	system.notify_timer( data().Timer_PresidentComment, data().Timervalue_PresidentComment )

	object.move_to( object="PRESIDENT_HAYES", x = 372, y = 562.7, grid="landscape", speed = MT_SLOW,callback=["ONEND",DeActivate])
	object.move_to( object="PRESIDENT_COMPANION_01", x = 372, y = 560.7, grid="landscape", speed = MT_SLOW,callback=["ONEND",DeActivate])
	object.move_to( object="PRESIDENT_COMPANION_02", x = 376, y = 564.6, grid="landscape", speed = MT_SLOW,callback=["ONEND",DeActivate])
	data().CompanionsLeave = 1
	# Dialogende
	# Prï¿½sident verschwindet auf Nimmerwiedersehen
	# Ziel 3 wird aktiv

def DeActivate(id):
	object.set_active_state( id, INACTIVE )

def onDlg_012_End4():
	data().Dlg_012_StartStatus = 1
	# Dialogabbruch
	# Wiederaufnahme bei T_027


def onDlg_012_End5():
	data().Dlg_012_StartStatus = 2
	# Dialogabbruch
	# Wiederaufnahme bei T_028


def onDlg_012_End6():
	data().Dlg_012_StartStatus = 3
	# Dialogabbruch
	# Wiederaufnahme bei T_029


def onDlg_012_BackToC004():
	if data().CT_D_012_C_004 > 0:
		dialog.jump_to(follower='D_012_C_004')
	elif data().CT_D_012_C_002 > 0:
		dialog.jump_to(follower='D_012_C_002')
	else:
		dialog.jump_to(follower='D_012_C_001')

def onDlg_012_BackToC002():
	if data().CT_D_012_C_002 > 0:
		dialog.jump_to(follower='D_012_C_002')
	else:
		dialog.jump_to(follower='D_012_C_001')


def onDlg_012_CountDown_Choice_001():
	data().CT_D_012_C_001 -= 1


def onDlg_012_CountDown_Choice_002():
	data().CT_D_012_C_002 -= 1


def onDlg_012_CountDown_Choice_003():
	data().CT_D_012_C_003 -= 1


def onDlg_012_CountDown_Choice_004():
	data().CT_D_012_C_004 -= 1


def onDlg_012_CountDown_Choice_005():
	data().CT_D_012_C_005 -= 1


def initDlg_013_PlayerLikesPresident():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text( text = "D_013_T_001", speaker = "ALTER_EGO", follower = "ENDDIALOG" )
	dialog.start()

def is_male():
	return (object.get_attribute("ALTER_EGO","gender")==MALE)

#[M] Dialog 014: Der Spieler will einen Pass haben
def initDlg_014_SpielerWillEinenPassHaben():
	dialog.init_dialog(DIALOGLARGE)
	dialog.add_choice(text='D_014_C_001_1', follower='D_014_T_001')
	if is_male():
		dialog.add_choice(text='D_014_C_001_2', follower='D_014_T_002')
	else:
		dialog.add_choice(text='D_014_C_001_2', follower='D_014_T_002F')
	dialog.add_choice(text='D_014_C_001_3', follower='ENDDIALOG', callback=onDlg_014_Ende1)
	dialog.add_text(text='D_014_T_001', speaker='LUCAS', follower='D_014_C_003')
	if is_male():
		dialog.add_text(text='D_014_T_002', speaker='LUCAS', follower='D_014_C_002')
	else:
		dialog.add_text(text='D_014_T_002F', speaker='LUCAS', follower='D_014_C_002')
	dialog.add_choice(text='D_014_C_002_1', follower='D_014_T_003')
	dialog.add_choice(text='D_014_C_002_2', follower='ENDDIALOG', callback=onDlg_014_Ende1)
	dialog.add_text(text='D_014_T_003', speaker='LUCAS', follower='D_014_C_003')
	dialog.add_choice(text='D_014_C_003_1', follower='ENDDIALOG', callback=onDlg_014_Ende2)
	dialog.add_choice(text='D_014_C_003_2', follower='D_014_T_004')
	dialog.add_choice(text='D_014_C_003_3', follower='ENDDIALOG', callback=onDlg_014_Ende4)
	dialog.add_text(text='D_014_T_004', speaker='LUCAS', follower='D_014_C_004')
	dialog.add_choice(text='D_014_C_004_1', follower='ENDDIALOG', callback=Lambda('onDlg_014_Ende3(0)'))
	dialog.add_choice(text='D_014_C_004_2', follower='ENDDIALOG', callback=Lambda('onDlg_014_Ende3(1)'))
	dialog.add_choice(text='D_014_C_004_3', follower='ENDDIALOG', callback=Lambda('onDlg_014_Ende3(2)'))
	dialog.add_choice(text='D_014_C_004_4', follower='ENDDIALOG', callback=onDlg_014_Ende2)
	dialog.add_choice(text='D_014_C_004_5', follower='ENDDIALOG', callback=onDlg_014_Ende4)
	dialog.add_text(text='D_014_T_005', speaker='LUCAS', follower='D_014_C_003')
	if data().d_014_restart_t_005:
		dialog.jump_to('D_014_T_005')
	dialog.start(False)

def onDlg_014_Ende1():
	pass

def onDlg_014_Ende2():
	onDlg_014_End2(char_screen=True)

def onDlg_014_Ende3(char_type):
	char_autogeneration.create_typed_character("ALTER_EGO", char_type)
	onDlg_014_End2(char_screen=False)

def onDlg_014_Ende4():
	data().d_014_restart_t_005 = True

def activate_president_and_team():
	for id in PRESIDENT_TEAM_IDS:
		object.set_active_state(id,ACTIVE)
		object.cancel_commandos(id)
	
	object.set_position(PRESIDENT_TEAM_IDS[0],466.0,380.0)
	object.set_position(PRESIDENT_TEAM_IDS[1],467.0,381.0)
	object.set_position(PRESIDENT_TEAM_IDS[2],465.0,381.0)
	
	object.turn_to_direction(PRESIDENT_TEAM_IDS[0], globals.DIR_NORTH)
	object.turn_to_direction(PRESIDENT_TEAM_IDS[1], globals.DIR_NORTH)
	object.turn_to_direction(PRESIDENT_TEAM_IDS[2], globals.DIR_NORTH)


def onDlg_014_End2(char_screen=True):
	data().ReceivedPassport = 1
	#activate_president_and_team()
	system.notify_region_entered(region=data().Region_Lucas, objectid="ALTER_EGO",permanent=False)	
	system.set_qb_entry_state( data().QB_002, COMPLETE )
	if char_screen:
		system.display_character_screen( "ALTER_EGO", callback = onCharScreen_End1 )
	else:
		onCharScreen_End1()
	
	if( data().Execution < 100 ):
		import zone_1
		zone_1.endExecution()

def onCharScreen_End1():
	import const
	character.add_experience_party(data().Exp_PassAusstellung)

def initDlg_020_Lucas_TalkWithoutReason():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text( text = "D_020_T_001", speaker = "LUCAS", follower = "ENDDIALOG", callback = onDlg_020_End )
	dialog.start()


def onDlg_020_End():
	data().LucasChatWithouthPassportQuest = 1


def initDlg_021_Lucas_TalkWithoutReason_Again():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text( text = "D_021_T_001", speaker = "LUCAS", follower = "ENDDIALOG" )
	dialog.start()


def initDlg_022_Lucas_After_Passport():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text( text = "D_022_T_001", speaker = "LUCAS", follower = "ENDDIALOG" )
	dialog.start()

def Random1345():
	Val = random.randint( 1, 5 )

	while( Val == 2 ):
		Val = random.randint( 1, 5 )

	return( Val )

#setzt ae weg von wesley
def onDlg_015_SetPlayerPosition():
	direction = object.get_direction("ALTER_EGO")
	object.set_position("ALTER_EGO",411.8,291.0)
	object.set_scale("ALTER_EGO", data().saved_ae_scale)
	object.set_direction("ALTER_EGO",direction)
	set_conversation("ALTER_EGO","WESLEY",mode="close_deep")

def cv_wesley():
	system.set_camera_view([409.617431640625, 289.2598876953125, 9.6058378219604492, 0.63399589061737061, 0.76105606555938721, -0.13726980984210968])

def init_dialog_015_ae_sieht_wesley():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text( text = "D_015_T_001", speaker = "ALTER_EGO", follower='ENDDIALOG', callback=initDlg_015_Wesley_CharCreate)
	dialog.start()
	
def initDlg_015_Wesley_CharCreate(char=None):
	gender = object.get_attribute( "ALTER_EGO", "gender" )
	dialog.init_dialog(type=DIALOGSMALL)
	if( gender == "male" ):
		dialog.add_text( text = "D_015_T_002", speaker = "WESLEY", callback = onDlg_015_SetPlayerPosition) #system.set_camera_view(CAMVIEW_WESLEY_INTRO2)'))
	else:
		dialog.add_text( text = "D_015_T_002F", speaker = "WESLEY", callback = onDlg_015_SetPlayerPosition) #system.set_camera_view(CAMVIEW_WESLEY_INTRO2)'))
	dialog.add_text( text = "D_015_T_003", speaker = "ALTER_EGO", callback = Lambda('cv_wesley(); set_conversation("WESLEY","ALTER_EGO",mode="medium_deep", new_camera=False)'))
	dialog.add_text( text = "D_015_T_004", speaker = "WESLEY", callback =  Lambda('set_conversation("ALTER_EGO","WESLEY",mode="close_deep")'))
	dialog.add_text( text = "D_015_T_005", speaker = "ALTER_EGO", callback = Lambda('set_conversation("WESLEY","ALTER_EGO",mode="close_deep")'))
	dialog.add_text( text = "D_015_T_006", speaker = "WESLEY", callback = Lambda('set_conversation("ALTER_EGO","WESLEY",mode="medium_deep")'))
	dialog.add_text( text = "D_015_T_007", speaker = "ALTER_EGO", callback = Lambda('set_conversation("WESLEY","ALTER_EGO",mode="close_deep")'))
	dialog.add_text( text = "D_015_T_008", speaker = "WESLEY", callback = Lambda('set_conversation("ALTER_EGO","WESLEY",mode="close_deep")'))
	dialog.add_text( text = "D_015_T_009", speaker = "ALTER_EGO", callback = Lambda('cv_wesley(); set_conversation("WESLEY","ALTER_EGO",mode="medium_deep", new_camera=False)'))
	dialog.add_text( text = "D_015_T_010", speaker = "WESLEY", callback = Lambda('set_conversation("ALTER_EGO","WESLEY",mode="close_deep")'))
	dialog.add_text( text = "D_015_T_011", speaker = "ALTER_EGO", callback = Lambda('cv_wesley(); set_conversation("WESLEY","ALTER_EGO",mode="medium_deep", new_camera=False)'))
	dialog.add_text( text = "D_015_T_012", speaker = "WESLEY", callback = Lambda('set_conversation("ALTER_EGO","WESLEY",mode="close_deep")'))
	dialog.add_text( text = "D_015_T_013", speaker = "ALTER_EGO", callback = Lambda('set_conversation("WESLEY","ALTER_EGO",mode="close_deep")'))
	dialog.add_text( text = "D_015_T_014", speaker = "WESLEY", follower = "ENDDIALOG", callback = onDlg_015_End1 )
	dialog.start( )

	# bei dieser Gelegenheit deaktivieren wir nun den Präsident und seine Begleiter
	object.set_active_state( object = "PRESIDENT_HAYES", state = INACTIVE )
	object.set_active_state( object = "PRESIDENT_COMPANION_01", state = INACTIVE )
	object.set_active_state( object = "PRESIDENT_COMPANION_02", state = INACTIVE )


def onDlg_015_End1():
	data().AlterEgoTalking = False
	data().WesleyTalking = False
	object.set_active_state("UNDEAD_1",ACTIVE)
	object.set_active_state("UNDEAD_2",ACTIVE)
	object.set_active_state("UNDEAD_3",ACTIVE)
	data().wesley_hinweis_grab = True
	system.notify_region_entered( region="REGION_GRAVE_01_N", partyid="UISPIELER" )
	system.notify_region_entered( region="REGION_GRAVE_01_S", partyid="UISPIELER" )
	end_cutscene(chars=["WESLEY","ALTER_EGO"])
	onDlg_015_marker()
	initDlg_042_WesleyAnswersQuestions()

def onDlg_015_marker():
	if not data().player_knows_grab:
		data().player_knows_grab = True
		system.add_minimap_marker(566,356,"MM_005")#Father’s grave

def initDlg_042_WesleyAnswersQuestions():
	object.cancel_commandos("WESLEY")
	if data().d_042_c_001_9_active:
		prohibit_activity("WESLEY")
	object.turn_to_object("WESLEY", "ALTER_EGO", callback=["ONEND", onDlg_042_StartDialog])

def onDlg_042_StartDialog(char_id):
	gender = object.get_attribute( "ALTER_EGO", "gender" )

	dialog.init_dialog(type=DIALOGLARGE)

	# if all choices are chosen, then only one single textline appears and the IDCard starts
	if( data().Dlg_Started > 0
		and data().Dlg_042_C1 > 0
		and data().Dlg_042_C2 > 0
		and data().Dlg_042_C4 > 0
		and data().Dlg_042_C5 > 0
		and data().Dlg_042_C6 > 0
		and data().Dlg_042_C7 > 0 ):
		dialog.add_text( text = "D_042_T_034", speaker = "ALTER_EGO", follower = "D_042_T_033" )
		dialog.jump_to( follower = "D_042_T_034" )

	# when you re-visit Wesley and there are choices left, then another start text appears
	elif( data().Dlg_Started > 0 ):
		dialog.add_text( text = "D_042_T_032", speaker = "WESLEY", follower = "D_042_C_001" )
	if( data().Dlg_042_C1 == 0 ):
		dialog.add_choice( text = "D_042_C_001_1", order= 9, follower = "D_042_T_001", callback = onDlg_042_C1 )
	if( data().Dlg_042_C2 == 0 ):
		dialog.add_choice( text = "D_042_C_001_2", order= 8, follower = "D_042_T_005", callback = onDlg_042_C2 )
	if( data().Dlg_042_C4 == 0
		and data().Dlg_042_C2 > 0 ):
		dialog.add_choice( text = "D_042_C_001_4", order= 7, follower = "D_042_T_018", callback = onDlg_042_C4 )
	if( data().Dlg_042_C5 == 0
		and data().Dlg_042_C4 > 0 ):
		dialog.add_choice( text = "D_042_C_001_5", order= 6, follower = "D_042_T_019", callback = onDlg_042_C5 )
	if( data().Dlg_042_C6 == 0
		and data().Dlg_042_C5 > 0 ):
		dialog.add_choice( text = "D_042_C_001_6", order= 5, follower = "D_042_T_020", callback = onDlg_042_C6 )
	if( data().Dlg_042_C7 == 0
		and data().Dlg_042_C6 > 0 ):
		dialog.add_choice( text = "D_042_C_001_7", order= 4, follower = "D_042_T_029", callback = onDlg_042_C7 )
	if( data().Dlg_042_C8 == 0
		and data().Dlg_042_C3 > 0 ):
		dialog.add_choice( text = "D_042_C_001_8", order= 3, follower = "D_042_T_033" )
	if data().d_042_c_001_9_active:
		dialog.add_choice( text = "D_042_C_001_9", order= 2, follower = "ENDDIALOG", callback=Lambda('allow_activity("WESLEY")') )
	if( data().Dlg_042_C3 == 0 ):
		if data().Dlg_042_C6 > 0:
			dialog.add_choice( text = "D_042_C_001_3", order= 1, follower = "D_042_T_035", callback = onDlg_042_C3 )
		else:
			dialog.add_choice( text = "D_042_C_001_3", order= 1, follower = "D_042_T_028", callback = onDlg_042_C3 )
		
	dialog.add_text( text = "D_042_T_001", speaker = "WESLEY" )
	dialog.add_text( text = "D_042_T_002", speaker = "ALTER_EGO" )
	dialog.add_text( text = "D_042_T_003", speaker = "WESLEY" )
	dialog.add_text( text = "D_042_T_004", speaker = "ALTER_EGO", follower = "D_042_C_001" )

	dialog.add_text( text = "D_042_T_005", speaker = "WESLEY" )
	dialog.add_text( text = "D_042_T_006", speaker = "ALTER_EGO" )
	dialog.add_text( text = "D_042_T_007", speaker = "WESLEY" )
	dialog.add_text( text = "D_042_T_008", speaker = "ALTER_EGO" )
	dialog.add_text( text = "D_042_T_009", speaker = "WESLEY" )
	dialog.add_text( text = "D_042_T_010", speaker = "ALTER_EGO" )

	if( gender == "male" ):
		dialog.add_text( text = "D_042_T_011", speaker = "WESLEY" )
	else:
		dialog.add_text( text = "D_042_T_011F", speaker = "WESLEY" )

	dialog.add_text( text = "D_042_T_012", speaker = "ALTER_EGO" )
	dialog.add_text( text = "D_042_T_013", speaker = "WESLEY" )
	dialog.add_text( text = "D_042_T_014", speaker = "ALTER_EGO" )
	dialog.add_text( text = "D_042_T_015", speaker = "WESLEY" )
	dialog.add_text( text = "D_042_T_016", speaker = "ALTER_EGO" )
	dialog.add_text( text = "D_042_T_017", speaker = "WESLEY", follower = "D_042_C_001" )

	dialog.add_text( text = "D_042_T_018", speaker = "WESLEY", follower = "D_042_C_001" )

	dialog.add_text( text = "D_042_T_019", speaker = "WESLEY", follower = "D_042_C_001" )

	dialog.add_text( text = "D_042_T_020", speaker = "WESLEY", follower = "D_042_T_031" )
	dialog.add_text( text = "D_042_T_031", speaker = "ALTER_EGO", follower = "D_042_T_021" )
	dialog.add_text( text = "D_042_T_021", speaker = "WESLEY" )
	dialog.add_text( text = "D_042_T_022", speaker = "ALTER_EGO" )
	dialog.add_text( text = "D_042_T_023", speaker = "WESLEY" )
	dialog.add_text( text = "D_042_T_024", speaker = "ALTER_EGO" )
	dialog.add_text( text = "D_042_T_025", speaker = "WESLEY" )
	dialog.add_text( text = "D_042_T_026", speaker = "ALTER_EGO" )
	if (gender == MALE):
		dialog.add_text( text = "D_042_T_027", speaker = "WESLEY", follower = "D_042_C_001" )
	else:
		dialog.add_text( text = "D_042_T_027F", speaker = "WESLEY", follower = "D_042_C_001" )

	dialog.add_text( text = "D_042_T_028", speaker = "WESLEY" )
	dialog.add_text( text = "D_042_T_029", speaker = "WESLEY" )
	dialog.add_text( text = "D_042_T_030", speaker = "ALTER_EGO", follower = "ENDDIALOG", callback = onDlg_042_Ende3 )

	dialog.add_text( text = "D_042_T_032", speaker = "WESLEY", follower = "D_042_C_001" )
	dialog.add_text( text = "D_042_T_033", speaker = "WESLEY", follower = "ENDDIALOG", callback = onDlg_042_Ende3 )
	
	dialog.add_text( text = "D_042_T_035", speaker = "WESLEY")
	dialog.add_text( text = "D_042_T_036", speaker = "ALTER_EGO", follower = "ENDDIALOG", callback = onDlg_042_Ende3 )

	dialog.start( False )
	data().Dlg_Started = 1

def onDlg_042_C1():
	data().Dlg_042_C1 = 1

def onDlg_042_C2():
	dialog.add_choice( text = "D_042_C_001_4", order= 7, follower = "D_042_T_018", callback = onDlg_042_C4 )
	data().Dlg_042_C2 = 1

def onDlg_042_C3():
	data().Dlg_042_C3 = 1

def onDlg_042_C4():
	data().Dlg_042_C4 = 1
	dialog.add_choice( text = "D_042_C_001_5", order= 6, follower = "D_042_T_019", callback = onDlg_042_C5 )

def onDlg_042_C5():
	data().Dlg_042_C5 = 1
	dialog.add_choice( text = "D_042_C_001_6", order= 5, follower = "D_042_T_020", callback = onDlg_042_C6 )

def onDlg_042_C6():
	data().Dlg_042_C6 = 1
	dialog.add_choice( text = "D_042_C_001_7", order= 4, follower = "D_042_T_029", callback = onDlg_042_C7 )

def onDlg_042_C7():
	data().Dlg_042_C7 = 1

def onDlg_042_Ende3():
	if system.get_qb_entry_state(data().QB_003) in [UNCOMPLETE, INACTIVE]:
		system.set_qb_entry_state( data().QB_003, COMPLETE )
	if system.get_qb_entry_state(data().QB_004) in [UNCOMPLETE, INACTIVE]:
		system.set_qb_entry_state( data().QB_004, UNCOMPLETE )
	if system.get_qb_entry_state(data().QB_005) in [UNCOMPLETE, INACTIVE]:
		system.set_qb_entry_state( data().QB_005, UNCOMPLETE )
	set_zone_enabled("zone_2",True)
	mercs = ["MERCENARY_AGNES", "MERCENARY_CARMEN", "MERCENARY_VASQUEZ", "MERCENARY_IVANA", "MERCENARY_SALLY", "MERCENARY_BUTCH", "MERCENARY_FRANCIS", "MERCENARY_VICTOR" ]
	idlist = []
	for merc in mercs:
		if (merc in system.get_npcs()) or (merc in system.get_pcs()): 
			if not object.is_destroyed(merc):
				idlist.append(merc)
	if len(idlist):
		system.idcard( idlist = idlist , callback = onEnd_IDCard )
	else:
		onEnd_IDCard()
	data().d_042_c_001_9_active = True

def initDlg_016_Wesley_SoldierChoice():
	import const
	system.start_cutscene()
	cv_wesley()
	set_conversation("WESLEY","ALTER_EGO",mode="medium_deep", new_camera=False)
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text( text = "D_016_T_001", speaker = "WESLEY", callback = Lambda('set_conversation("ALTER_EGO","WESLEY",mode="close_deep")'))
	dialog.add_text( text = "D_016_T_002", speaker = "ALTER_EGO", callback = Lambda('set_conversation("WESLEY","ALTER_EGO",mode="close_deep")'))
	if object.get_attribute("ALTER_EGO","gender")==MALE:
		dialog.add_text( text = "D_016_T_003", speaker = "WESLEY", follower = "ENDDIALOG", callback = onDlg_016_End1 )
	else:
		dialog.add_text( text = "D_016_T_003F", speaker = "WESLEY", follower = "ENDDIALOG", callback = onDlg_016_End1 )
	dialog.start()

def onDlg_016_End1():
	MercPos = [ [416.8,292.5],
				[417.2,290.7],
				[417.0,286.9],
				[417.5,289.2],
				[418.5,290.7]]

	data().WesleyLastDialogSpoken = True
	end_cutscene(chars=["WESLEY","ALTER_EGO"])
	data().wesley_cs_after_idcards = False
	#	1x walter_ppk
	#	2x ammopack_7_65_mm
	#	2x meat_cooked_tiny
	#	2x water skin
	#	1x medipack_small
	object.create_item_in_inventory("ALTER_EGO",
		["SET_WALTER_PPK","SET_AMMOPACK_7_65_MM","SET_AMMOPACK_7_65_MM",
		 "SET_MEAT_COOKED_TINY","SET_MEAT_COOKED_TINY",
		 "SET_WATER_SKIN","SET_WATER_SKIN","SET_MEDIPACK_SMALL"])


	index = 0
	for EachPC in system.get_pcs():
		if( EachPC != "ALTER_EGO" ):
			prohibit_activity( EachPC )
			object.set_immortal_state( EachPC, False )
			object.step_away(EachPC)
			object.move_to( object = EachPC, x = MercPos[ index ][ 0 ], y = MercPos[ index ][ 1 ], grid="landscape", speed = MT_SLOW )
			object.turn_to_object(EachPC, "ALTER_EGO")
			index += 1

	system.add_to_uiselection( idlist = system.get_pcs() )
	system.add_text( globaltext.MESSAGE_MAP_AVAILABLE )
	data().map_available = True
	object.step_away("ALTER_EGO")

def initDlg_025_Mercenaries_GoToWesley( target ):
	dialog.init_dialog(type=DIALOGSMALL)

	TVal = random.randint( 0, 4 )

	if( TVal == 0 ):
		dialog.add_text( text = "D_025_T_001", speaker = target, follower = "ENDDIALOG" )
	elif( TVal == 1 ):
		dialog.add_text( text = "D_025_T_002", speaker = target, follower = "ENDDIALOG" )
	elif( TVal == 2 ):
		dialog.add_text( text = "D_025_T_003", speaker = target, follower = "ENDDIALOG" )
	elif( TVal == 3 ):
		dialog.add_text( text = "D_025_T_004", speaker = target, follower = "ENDDIALOG" )
	elif( TVal == 4 ):
		dialog.add_text( text = "D_025_T_005", speaker = target, follower = "ENDDIALOG" )

	dialog.start()


def initDlg_028_Mercenaries_GoToPresident( target ):
	dialog.init_dialog(type=DIALOGSMALL)

	TVal = random.randint( 0, 4 )

	if( TVal == 0 ):
		dialog.add_text( text = "D_028_T_001", speaker = target, follower = "ENDDIALOG" )
	elif( TVal == 1 ):
		dialog.add_text( text = "D_028_T_002", speaker = target, follower = "ENDDIALOG" )
	elif( TVal == 2 ):
		dialog.add_text( text = "D_028_T_003", speaker = target, follower = "ENDDIALOG" )
	elif( TVal == 3 ):
		dialog.add_text( text = "D_028_T_004", speaker = target, follower = "ENDDIALOG" )
	elif( TVal == 4 ):
		dialog.add_text( text = "D_028_T_005", speaker = target, follower = "ENDDIALOG" )

	dialog.start()


def initDlg_017_Instructor_StartTutorial():
	dialog.init_dialog(type=DIALOGLARGE)
	dialog.add_choice( text = "D_017_C_001_1", follower = "D_017_T_001" )
	dialog.add_choice( text = "D_017_C_001_2", follower = "ENDDIALOG" )
	dialog.add_text( text = "D_017_T_001", speaker = "DRILL_INSTRUCTOR", follower = "ENDDIALOG", callback = onDlg_017_End1 )
	dialog.start()


def onDlg_017_End1():
	if not data().training_activated:
		data().TutorialCycle += 1
		system.notify_region_entered( region="REGION_TUTORIAL_START", objectid="ALTER_EGO")
		#data().training_activated = True

def initDlg_029_Instructor_StartTutorial():
	dialog.init_dialog( type = DIALOGLARGE )
	dialog.add_choice( text = "D_029_C_001_1", follower = "D_029_T_001" )
	dialog.add_choice( text = "D_029_C_001_2", follower = "ENDDIALOG" )
	dialog.add_text( text = "D_029_T_001", speaker ="DRILL_INSTRUCTOR", follower = "ENDDIALOG", callback = onDlg_029_End1 )
	dialog.start()

def onDlg_029_End1():
	if not data().training_activated:
		data().TutorialCycle += 1
		system.notify_region_entered( region="REGION_TUTORIAL_START", objectid="ALTER_EGO")
		#data().training_activated = True

def initDlg_018_GuardQuarters_Guests(guard):
	dialog.init_dialog( type = DIALOGLARGE )
	dialog.add_choice( text = "D_018_C_001_1", follower = "D_018_T_001" )
	dialog.add_choice( text = "D_018_C_001_2", follower = "ENDDIALOG", callback = onDlg_18_Ende1 )
	dialog.add_text( text = "D_018_T_001", speaker = guard, follower = "D_018_C_002" )
	dialog.add_choice( text = "D_018_C_002_1", follower = "D_018_T_002" )
	dialog.add_choice( text = "D_018_C_002_2", follower = "ENDDIALOG", callback = onDlg_18_Ende1 )
	dialog.add_text( text = "D_018_T_002", speaker = guard )
	dialog.add_text( text = "D_018_T_003", speaker = "ALTER_EGO", follower = "ENDDIALOG", callback = onDlg_18_End )
	dialog.start()

def onDlg_18_Ende1():
	data().SpokeToQuartersGuard = 1

def onDlg_18_End():
	data().SpokeToQuartersGuard = 1
	initDlg_019_GuardQuarters_Scientists()

def initDlg_019_GuardQuarters_Scientists():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text( text = "D_019_T_001", speaker = "ALTER_EGO", follower = "ENDDIALOG" )
	dialog.start()

def initDlg_030_GuardQuarters_GuestsAgain(guard):
	dialog.init_dialog( type = DIALOGSMALL )
	dialog.add_text( text = "D_030_T_001", speaker = guard, follower = "ENDDIALOG" )
	dialog.start()


def InitDlg_028_Mercenary_President( target ):
	dialog.init_dialog(type=DIALOGSMALL)

	TVal = random.randint( 0, 4 )

	if( TVal == 0 ):
		dialog.add_text( text = "D_028_T_001", speaker = target, follower = "ENDDIALOG" )
	elif ( TVal == 1 ):
		dialog.add_text( text = "D_028_T_002", speaker = target, follower = "ENDDIALOG" )
	elif ( TVal == 2 ):
		dialog.add_text( text = "D_028_T_003", speaker = target, follower = "ENDDIALOG" )
	elif ( TVal == 3 ):
		dialog.add_text( text = "D_028_T_004", speaker = target, follower = "ENDDIALOG" )
	elif ( TVal == 4 ):
		dialog.add_text( text = "D_028_T_005", speaker = target, follower = "ENDDIALOG" )

	dialog.start()

def InitDlg_025_Mercenary_Wesley( target ):
	dialog.init_dialog(type=DIALOGSMALL)

	TVal = random.randint( 0, 4 )

	if( TVal == 0 ):
		dialog.add_text( text = "D_025_T_001", speaker = target, follower = "ENDDIALOG" )
	elif ( TVal == 1 ):
		dialog.add_text( text = "D_025_T_002", speaker = target, follower = "ENDDIALOG" )
	elif ( TVal == 2 ):
		dialog.add_text( text = "D_025_T_003", speaker = target, follower = "ENDDIALOG" )
	elif ( TVal == 3 ):
		dialog.add_text( text = "D_025_T_004", speaker = target, follower = "ENDDIALOG" )
	elif ( TVal == 4 ):
		dialog.add_text( text = "D_025_T_005", speaker = target, follower = "ENDDIALOG" )

	dialog.start()

#[NM]Dialog 058: Die Söldner schicken den Spieler zu Wesley, der allerdings nicht da ist
def initDlg_058_Mercenary_Wesley_NotHome(target):
	r = random.randint(1,5)
	text = 'D_058_T_00'+str(r)
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text( text = text, speaker = target, follower = "ENDDIALOG" )
	dialog.start()

def initDlg_031_FathersGrave_Detect(pc_id, region):
	data().grave_entered_region = region
	system.start_cutscene()
	if region == "REGION_GRAVE_01_S":
		system.set_camera_view(CAMVIEW_UNDEAD_INTRO)
		if pc_id != "ALTER_EGO":
			object.cancel_commandos("ALTER_EGO")
			object.set_position("ALTER_EGO",562.9,390.1)
			object.move_to("ALTER_EGO",563.3,386.1, callback=["ONEND", onDlg_031_StartDialog])
		else:
			object.move_to("ALTER_EGO",563.3,386.1, callback=["ONEND", onDlg_031_StartDialog])
	else:
		system.set_camera_view(CAMVIEW_UNDEAD_INTRO_NORTH)
		if pc_id != "ALTER_EGO":
			object.cancel_commandos("ALTER_EGO")
			object.set_position("ALTER_EGO",561.3,331.4)
			object.move_to("ALTER_EGO",561.3,333.78, callback=["ONEND", onDlg_031_StartDialog])
		else:
			object.move_to("ALTER_EGO",561.3,333.78, callback=["ONEND", onDlg_031_StartDialog])
		

def onDlg_031_StartDialog(char_id):
	dialog.init_dialog( type = DIALOGSMALL )
	dialog.add_text( text = "D_031_T_001", speaker = "ALTER_EGO", follower = "ENDDIALOG",callback=initCutscene_053_SpielerSprichtUndeadsAn)
	dialog.start()

def initDlg_032_FathersGrave_Talk():
	system.start_cutscene()
	system.set_camera_view(CAMVIEW_GRAVE)
	object.move_to("ALTER_EGO", 564.54, 357.54, speed=MT_SLOW)
	i=0.0
	for id in system.get_pcs():
		if (id != "ALTER_EGO"):
			i=i+1.0
			object.cancel_commandos(id)
			if (object.get_distance(id, "ALTER_EGO") <= 15.0):
				if (i <3.0):
					object.move_to(id, 563.6, 356.0-i, speed=MT_SLOW)
				else:
					object.move_to(id, 562.6, 359.0-i, speed=MT_SLOW)	
				object.turn_to_object(id, "BUILDING_1957")
	object.turn_to_object("ALTER_EGO", "BUILDING_1957", callback=["ONEND", onDlg_032_StartDialog])

def onDlg_032_StartDialog(char_id):
	oldmode = character.get_body_mode("ALTER_EGO")
	character.change_body_mode("ALTER_EGO","KNEEL")
	dialog.init_dialog( type = DIALOGSMALL )
	dialog.add_text( text = "D_032_T_001", speaker = "ALTER_EGO" )
	dialog.add_text( text = "D_032_T_002", speaker = "ALTER_EGO", follower = "ENDDIALOG",callback=Lambda('onDlg_032_Ende(mode="%s")' %oldmode))
	dialog.start()
	
def onDlg_032_Ende(mode=None):
	system.set_qb_entry_state( data().QB_005, COMPLETE )
	if system.is_cutscene():
		end_cutscene(chars=[])
	character.add_experience_party(data().Exp_GrabDesVaters)
	if mode != None:
		character.change_body_mode("ALTER_EGO",mode)

def initDlg_033_Instructor_SessionOne():
	dialog.init_dialog( type = DIALOGSMALL )
	dialog.add_text( text = "D_033_T_001", speaker ="DRILL_INSTRUCTOR" )
	dialog.add_text( text = "D_033_T_002", speaker ="DRILL_INSTRUCTOR", callback = training_move_watcher_1 )
	dialog.add_text( text = "D_033_T_003", speaker ="DRILL_INSTRUCTOR" )
	dialog.add_text( text = "D_033_T_004", speaker ="DRILL_INSTRUCTOR", follower = "ENDDIALOG", callback=Lambda('data().training_activated = True'))
	dialog.start()

#to weapons
def training_move_watcher_1():
	object.cancel_commandos('DRILL_INSTRUCTOR')
	object.move_to("DRILL_INSTRUCTOR", 297.46, 306.67, speed=MT_FAST, grid="landscape")
	object.turn_to_object("DRILL_INSTRUCTOR", "ALTER_EGO")

#into first parcelle
def training_move_watcher_2():
	training_halt_partychars()
	object.move_to('DRILL_INSTRUCTOR', 294.62, 356.8, speed=MT_FAST, grid="landscape")
	object.turn_to_direction('DRILL_INSTRUCTOR', globals.DIR_WEST)
	character.play_animation('DRILL_INSTRUCTOR', 'CM_STEHEN_TASCHENDIEBSTAHL_VORN', callback=["ONEND", training_open_gate_1])

def training_open_gate_1(char=None):
	training_open_parcelle_1()

def training_halt_partychars():
	data().pcs = system.get_pcs()
	for pc in data().pcs:
		if pc != "ALTER_EGO":
			prohibit_activity(pc)
			system.switch_party(pc, "NPCS")

def training_unhalt_partychars():
	for pc in data().pcs:
		if pc != "ALTER_EGO":
			system.switch_party(pc, "UISPIELER")
	enemy_script.delay(2.0, Lambda('training_deactivate_weapons()'))
	
def training_enter_gate_1(char=None):
	object.cancel_commandos('DRILL_INSTRUCTOR')
	object.move_to("DRILL_INSTRUCTOR", 286.62, 348.46, speed=MT_FAST, grid="landscape")
	object.turn_to_object("DRILL_INSTRUCTOR", "ALTER_EGO")

#into 2nd parcelle
def training_move_watcher_3():
	object.cancel_commandos('DRILL_INSTRUCTOR')
	object.move_to("DRILL_INSTRUCTOR", 254.37, 339.34, speed=MT_FAST, grid="landscape")
	object.turn_to_object("DRILL_INSTRUCTOR", "ALTER_EGO")

#into 2nd parcelle start
def training_move_watcher_4():
	object.move_to('DRILL_INSTRUCTOR', 271.7, 347.4, speed=MT_FAST, grid="landscape")
	object.turn_to_direction('DRILL_INSTRUCTOR', globals.DIR_SOUTH_WEST)
	character.play_animation('DRILL_INSTRUCTOR', 'CM_STEHEN_TASCHENDIEBSTAHL_VORN', callback=["ONEND", training_open_gate_2])

def training_open_gate_2(char=None):
	training_open_parcelle_2()

def training_enter_gate_2(char=None):
	object.move_to("DRILL_INSTRUCTOR", 268.37, 362.12, speed=MT_FAST, grid="landscape")
	object.turn_to_object("DRILL_INSTRUCTOR", "ALTER_EGO")

def training_init_weapons():
	if (data().training_activated == True):
		training_init()
		for wp in data().training_weapons:
			if wp != data().training_weapons[6]:
				if object.exists(wp):
					object.set_active_state(wp, 1)
		
		if not object.exists(data().training_weapons[0]):
			system.create_object('SET_SPECIAL_38', 296.0, 304.5, data().training_weapons[0], direction=126)
		if not object.exists(data().training_weapons[1]):
			system.create_object('SET_SPECIAL_38', 296.0, 304.0, data().training_weapons[1], direction=290)
		if not object.exists(data().training_weapons[2]):
			system.create_object('SET_KNIFE', 295.5, 303.5,data().training_weapons[2], direction=24)
		if not object.exists(data().training_weapons[3]):
			system.create_object('SET_KNIFE', 295.5, 303.0, data().training_weapons[3], direction=80)
		if not object.exists(data().training_weapons[4]):
			system.create_object('SET_AMMOPACK_38', 295.82, 302.08, data().training_weapons[4], direction=285)
		if not object.exists(data().training_weapons[5]):
			system.create_object('SET_AMMOPACK_38', 295.83, 302.53, data().training_weapons[5], direction=170)

def initDlg_034_Instructor_SessionTwo():
	training_move_watcher_2()
	dialog.init_dialog( type = DIALOGSMALL )
	dialog.add_text( text = "D_034_T_001", speaker ="DRILL_INSTRUCTOR", follower = "ENDDIALOG")
	dialog.start()

def training_open_parcelle_1():
	object.play_animation('BUILDING_1850','ANIM_ROLLADEN', callback=['ONEND',training_deactivate])
	system.notify_region_entered('REGION_TUTORIAL_PARZELLE_1', objectid="ALTER_EGO")
	training_activate_parcelle(1,False)
	training_activate_parcelle(2,True)
	training_activate_parcelle(3,True)

def training_init():
	data().training_climbing_allowed= False
	data().training_sector_done 	= 0
	data().training_aims_hit 		= 0
	data().training_done			= False
	data().training_aim_7_killed    = False
	data().training_weapons_taken	= False
	data().training_di_return = False    
	
	for pappkamerad in data().training_pappkameraden:
		object.set_immortal_state(pappkamerad, False)
		object.set_attribute(pappkamerad, "hitpoints", 1)
		object.play_animation(pappkamerad, 'ANIM_PAPPKAMERAD_BACKFLIP', callback=["ONEND", training_activate_pappkamerad])

def training_activate_pappkamerad(id):
	object.set_immortal_state(id, True)

def training_deactivate(id):
	if id.endswith('BUILDING_1850'):
		training_enter_gate_1()
		object.set_active_state(id, 0)
		object.set_active_state('rolladen_1_offen',1)
	elif id.endswith('BUILDING_1851'):
		training_enter_gate_2()
		object.set_active_state(id, 0)
		object.set_active_state('rolladen_2_offen',1)

def training_activate(id):
	object.set_active_state(id, True)

def training_activate_parcelle(parcelle=1, state=False):
	pappkamerads = []
	if parcelle == 1:
		pappkamerads = ['BUILDING_2058','BUILDING_2059']
	elif parcelle == 2:
		pappkamerads = ['BUILDING_2060','BUILDING_2061','BUILDING_2062','BUILDING_2064']
	elif parcelle == 3:
		pappkamerads = ['BUILDING_2063']
		data().training_climbing_allowed = True
	
	for pappkamerad in pappkamerads:
		object.set_immortal_state(pappkamerad,state)

def training_done():
	if not data().training_di_return:
		training_instructor_leave(callback='training_done()')
	else:
		training_activate('BUILDING_1850')
		object.set_active_state('rolladen_1_offen',0)
		object.play_animation('BUILDING_1850','ANIM_ROLLADEN_CLOSE')
		training_activate('BUILDING_1851')
		object.set_active_state('rolladen_2_offen',0)
		object.play_animation('BUILDING_1851','ANIM_ROLLADEN_CLOSE', callback=['ONEND', Lambda('training_unhalt_partychars()')])
		data().training_activated = False
		
def initDlg_035_Instructor_SessionThree():
	training_move_watcher_4()
	dialog.init_dialog( type = DIALOGSMALL )
	dialog.add_text( text = "D_035_T_001", speaker ="DRILL_INSTRUCTOR" )
	dialog.add_text( text = "D_035_T_002", speaker ="DRILL_INSTRUCTOR", follower = "ENDDIALOG")
	dialog.start()

def training_open_parcelle_2():
	object.play_animation('BUILDING_1851','ANIM_ROLLADEN', callback=['ONEND',training_deactivate])
	training_activate_parcelle(1,True)
	training_activate_parcelle(2,False)
	training_activate_parcelle(3,False)
	system.notify_region_entered('REGION_TUTORIAL_PARZELLE_2', objectid="ALTER_EGO")
	if not object.exists(data().training_weapons[6]):
		system.create_object('SET_MOLOTOV_COCKTAIL',257.27,336.38,data().training_weapons[6])
	else:
		object.set_active_state(data().training_weapons[6],1)

def initDlg_036_Instructor_SessionFour():
	training_move_watcher_3()
	dialog.init_dialog( type = DIALOGSMALL )
	dialog.add_text( text = "D_036_T_001", speaker ="DRILL_INSTRUCTOR")
	dialog.add_text( text = "D_036_T_002", speaker ="DRILL_INSTRUCTOR")
	dialog.add_text( text = "D_036_T_003", speaker ="DRILL_INSTRUCTOR")
	dialog.add_text( text = "D_036_T_004", speaker ="ALTER_EGO", follower = "ENDDIALOG")
	dialog.start()

def initDlg_037_Instructor_SessionFive():
	dialog.init_dialog( type = DIALOGSMALL )
	dialog.add_text( text = "D_037_T_001", speaker ="DRILL_INSTRUCTOR", follower = "ENDDIALOG" )
	dialog.start()

def training_instructor_leave(callback=None):
	object.cancel_commandos('DRILL_INSTRUCTOR')
	if callback == None:
		object.move_to('DRILL_INSTRUCTOR', 297.34, 347.16, grid="landscape", speed=MT_FAST, callback=['ONEND', Lambda('data().training_di_return = True')])
	else:
		object.move_to('DRILL_INSTRUCTOR', 297.34, 347.16, grid="landscape", speed=MT_FAST, callback=['ONEND', Lambda('data().training_di_return = True;'+callback)])
	object.turn_to_direction('DRILL_INSTRUCTOR', globals.DIR_EAST)

def initDlg_038_Instructor_SessionSix():
	training_instructor_leave()
	dialog.init_dialog( type = DIALOGSMALL )
	if object.get_attribute("ALTER_EGO","gender")==MALE:
		dialog.add_text( text = "D_038_T_001", speaker ="DRILL_INSTRUCTOR" )
	else:
		dialog.add_text( text = "D_038_T_001F", speaker ="DRILL_INSTRUCTOR" )
	dialog.add_text( text = "D_038_T_002", speaker ="DRILL_INSTRUCTOR" )
	dialog.add_text( text = "D_038_T_003", speaker ="DRILL_INSTRUCTOR", follower = "ENDDIALOG" )
	dialog.start()

def initDlg_039_Instructor_ParcourCancelled():
	character.set_approachable_state("DRILL_INSTRUCTOR", 1)
	dialog.init_dialog( type = DIALOGSMALL )
	dialog.add_text( text = "D_039_T_001", speaker ="DRILL_INSTRUCTOR", follower = "ENDDIALOG")#, callback=training_deactivate_weapons)
	dialog.start()

def initDlg_040_Instructor_ParcourEnd():
	data().training_done = True
	character.set_approachable_state("DRILL_INSTRUCTOR", 1)
	dialog.init_dialog( type = DIALOGSMALL )
	dialog.add_text( text = "D_040_T_001", speaker ="DRILL_INSTRUCTOR", follower = "ENDDIALOG")#, callback=training_deactivate_weapons)
	dialog.start()

def training_deactivate_weapons(param=None):
	for id in system.get_pcs():
		for wp in data().training_weapons:
			if object.count_in_inventory(id, wp):
				object.remove_item_from_inventory(id, wp)
	
	for wp in data().training_weapons:
		if object.exists(wp):
			object.set_active_state(wp, 0)


def initDlg_041_PresidentWesley():
	dialog.init_dialog( type = DIALOGSMALL )
	dialog.add_text( text = "D_041_T_001", speaker ="PRESIDENT_HAYES", follower = "ENDDIALOG" )
	dialog.start()


def initDlg_043_WestGuardIntro():
	object.turn_to_object("ALTER_EGO", "GUARD_CAMP_01", callback=["ONEND",onDLg_043_StartDialog])
	object.cancel_commandos( object = "GUARD_CAMP_01" )
	object.turn_to_object("GUARD_CAMP_01", "ALTER_EGO")


def onDLg_043_StartDialog(char_id):
	set_conversation("GUARD_CAMP_01","ALTER_EGO",new_camera=False)
	dialog.init_dialog( type = DIALOGSMALL )
	dialog.add_text( text = "D_043_T_001", speaker ="GUARD_CAMP_01", callback = Lambda('set_conversation("ALTER_EGO", "GUARD_CAMP_01", new_camera=False); system.set_camera_view( CamView_Wache_Spieler1 )'))#CA )'),
	dialog.add_text( text = "D_043_T_002", speaker ="ALTER_EGO", callback = Lambda('set_conversation("GUARD_CAMP_01", "ALTER_EGO", new_camera=False); system.set_camera_view( CAMVIEW_WACHE_2 )'))#CamView_Wache )'),
	dialog.add_text( text = "D_043_T_003", speaker ="GUARD_CAMP_01", callback = Lambda('set_conversation("ALTER_EGO", "GUARD_CAMP_01", new_camera=False); system.set_camera_view( CamView_Wache_Spieler1 )'))
	dialog.add_text( text = "D_043_T_004", speaker ="ALTER_EGO", follower = "ENDDIALOG", callback = onDlg_043_End )
	dialog.start()


def onDlg_043_End():
	data().AlterEgoTalking = False
	end_cutscene(chars=["ALTER_EGO","GUARD_CAMP_01"])
	onDlg_043_marker()
	system.set_qb_entry_state( data().QB_001, UNCOMPLETE )


def onDlg_043_marker():
	if not data().player_knows_exekutionsplatz:
		data().player_knows_exekutionsplatz = True
		system.add_minimap_marker(378,434,"MM_001")#Execution court
	if not data().player_knows_trainingsgelaende:
		data().player_knows_trainingsgelaende = True
		system.add_minimap_marker(319,321,"MM_004")#Training area ##todo: spaeter freischalten


def initDlg_044_WestGuardPresident():
	dialog.init_dialog( type = DIALOGSMALL )
	dialog.add_text( text = "D_044_T_001", speaker ="GUARD_CAMP_01", follower = "ENDDIALOG" )
	dialog.start()


def initDlg_046_WestGuardAgain():
	dialog.init_dialog( type = DIALOGSMALL )
	dialog.add_text( text = "D_046_T_001", speaker ="GUARD_CAMP_01", follower = "ENDDIALOG" )
	dialog.start()


def initDlg_045_EastGuardPresident():
	dialog.init_dialog( type = DIALOGSMALL )
	dialog.add_text( text = "D_045_T_001", speaker ="GUARD_CAMP_02", follower = "ENDDIALOG" )
	dialog.start()


def initDlg_047_EastGuardAgain():
	dialog.init_dialog( type = DIALOGSMALL )
	dialog.add_text( text = "D_047_T_001", speaker ="GUARD_CAMP_02", follower = "ENDDIALOG" )
	dialog.start()


def initDlg_048_WestGuardNerved():
	dialog.init_dialog( type = DIALOGSMALL )
	dialog.add_text( text = "D_048_T_001", speaker ="GUARD_CAMP_01", follower = "ENDDIALOG" )
	dialog.start()


def initDlg_049_EastGuardNerved():
	dialog.init_dialog( type = DIALOGSMALL )
	dialog.add_text( text = "D_049_T_001", speaker ="GUARD_CAMP_02", follower = "ENDDIALOG" )
	dialog.start()

def initDlg_050_Speaker():
	dialog.init_dialog( type = DIALOGSMALL )
	dialog.add_text( text = "D_050_T_001", speaker ="ZONE_1_BUILDING_2071" )
	dialog.add_text( text = "D_050_T_002", speaker ="ZONE_1_BUILDING_2071", follower = "ENDDIALOG", callback = onDlg_050_End )
	dialog.start()

def onDlg_050_End():
	character.set_approachable_state("PRESIDENT_HAYES",APPROACHABLE)
	data().Execution = 3
	system.notify_timer( data().Timer_Execution, data().Timervalue_ExecutionWaitMusicEnd )

## Dialog 053: Der Spieler spricht die seltsamen Gestalten an
def initCutscene_053_SpielerSprichtUndeadsAn():
	onCutscene_053_SetCam(1)
	if data().grave_entered_region == "REGION_GRAVE_01_N":
		for undead in UNDEAD_IDS:
			prohibit_activity(undead)
			onCutscene_053_UndeadMove(id)
		
	object.cancel_commandos("ALTER_EGO")
	if data().grave_entered_region == "REGION_GRAVE_01_S":
		#object.set_position("ALTER_EGO",564.69,370.0)
		object.move_to("ALTER_EGO",564.69,368.71,"landscape",MT_FAST)
	else:
		#object.set_position("ALTER_EGO",562.6,338.0)
		object.move_to("ALTER_EGO",562.6,341.96,"landscape",MT_FAST)
	object.turn_to_object("ALTER_EGO","UNDEAD_1",callback=["ONEND",onCutscene_053_UndeadNotifyPlayer])

def onCutscene_053_UndeadNotifyPlayer(id):
	onCutscene_053_Text1()
	if data().grave_entered_region == "REGION_GRAVE_01_S":
		for undead in UNDEAD_IDS:
			prohibit_activity(undead)
			onCutscene_053_UndeadMove(id)

def onCutscene_053_Text1():
	dialog.init_dialog( type = DIALOGSMALL )
	dialog.add_text( text = 'D_053_T_001', speaker ="ALTER_EGO", follower='ENDDIALOG', callback=onCutscene_053_Text1_Ende)
	dialog.start()

def onCutscene_053_Text1_Ende():
	onCutscene_053_SetCam(3)
	onCutscene_053_Text2("ALTER_EGO")
	if data().grave_entered_region == "REGION_GRAVE_01_S":
		object.move_to("ALTER_EGO",563.8, 341.8,"landscape",MT_FAST)#,callback=["ONEND",onCutscene_053_Text2])
	else:
		object.move_to("ALTER_EGO",564.0, 360.5,"landscape",MT_FAST)#,callback=["ONEND",onCutscene_053_Text2])

def onCutscene_053_Text2(id):
	dialog.init_dialog( type = DIALOGSMALL )
	dialog.add_text( text = 'D_053_T_002', speaker ="ALTER_EGO", follower='ENDDIALOG', callback=onCutscene_053_Text3)
	dialog.start()

def onCutscene_053_Text3(id):
	onCutscene_053_SetCam(4)
	object.turn_to_object("ALTER_EGO","UNDEAD_1")
	dialog.init_dialog( type = DIALOGSMALL )
	dialog.add_text(text='D_053_T_003', speaker ="ALTER_EGO", follower='ENDDIALOG',callback=onDlg_053_EndeGelaende)
	dialog.start()

def onDlg_053_EndeGelaende():
	if system.is_cutscene():
		end_cutscene(chars=[])
	system.notify_region_entered( region="REGION_GRAVE_02", objectid="ALTER_EGO")

## Dialog 053: Untote laufen davon
def onCutscene_053_UndeadMove(id):
	if data().grave_entered_region == "REGION_GRAVE_01_S":
		for undead in UNDEAD_IDS:
			object.move_to(undead,564.7,334.6,"landscape",MT_FAST)
			object.move_to(undead,567.2,288.4,"landscape",MT_FAST)
			object.move_to(undead,602.0,257.0,"landscape",MT_FAST, callback=["ONEND",onCutscene_053_UndeadDisappear])
	else:
		for undead in UNDEAD_IDS:
			object.move_to(undead, 573, 374, "landscape", MT_FAST)
			object.move_to(undead, 575, 384, "landscape", MT_FAST)
			object.move_to(undead, 574, 420, "landscape", MT_FAST)
			object.move_to(undead, 611, 433, "landscape", MT_FAST, callback=["ONEND",onCutscene_053_UndeadDisappear])		

## Dialog 053: Untote verschwinden
def onCutscene_053_UndeadDisappear(id):
	object.set_active_state(id,INACTIVE)

## Dialog 053: Camera setzen
def onCutscene_053_SetCam(number):
	if number == 1:
		if data().grave_entered_region == "REGION_GRAVE_01_S":
			system.set_camera_view(CAMVIEW_UNDEAD1)
		else:
			system.set_camera_view(CAMVIEW_UNDEAD1_NORTH)
	elif number == 2:
		if data().grave_entered_region == "REGION_GRAVE_01_S":
			system.set_camera_view(CAMVIEW_UNDEAD2)
		else:
			system.set_camera_view(CAMVIEW_UNDEAD2_NORTH)
	elif number == 3:
		if data().grave_entered_region == "REGION_GRAVE_01_S":
			system.set_camera_view(CAMVIEW_UNDEAD3)
		else:
			system.set_camera_view(CAMVIEW_UNDEAD2_NORTH)
	elif number == 4:
		if data().grave_entered_region == "REGION_GRAVE_01_S":
			system.set_camera_view(CAMVIEW_UNDEAD4)
		else:
			system.set_camera_view(CAMVIEW_UNDEAD4_NORTH)

## Dialog 052: Der alte Nick weiß so einiges
def initDlg_052_NickGibtInformationen():
	dialog.init_dialog( type = DIALOGLARGE )
	dialog.add_text( text = 'D_052_T_001', speaker ="NICK")
	dialog.add_text( text = 'D_052_T_002', speaker ="ALTER_EGO")
	dialog.add_text( text = 'D_052_T_003', speaker ="NICK", follower='D_052_C_001')
	dialog.add_choice( text = 'D_052_C_001_1', follower='D_052_T_004')
	dialog.add_choice( text = 'D_052_C_001_2', follower='D_052_T_007')
	dialog.add_choice( text = 'D_052_C_001_3', follower='D_052_T_010')
	dialog.add_choice( text = 'D_052_C_001_4', follower='D_052_T_013')
	dialog.add_choice( text = 'D_052_C_001_5', follower='D_052_T_014')
	dialog.add_text( text = 'D_052_T_004', speaker ="NICK")
	dialog.add_text( text = 'D_052_T_005', speaker ="ALTER_EGO")
	dialog.add_text( text = 'D_052_T_006', speaker ="NICK", follower='D_052_C_001')
	dialog.add_text( text = 'D_052_T_007', speaker ="NICK")
	dialog.add_text( text = 'D_052_T_008', speaker ="ALTER_EGO")
	dialog.add_text( text = 'D_052_T_009', speaker ="NICK", follower='D_052_C_001')
	dialog.add_text( text = 'D_052_T_010', speaker ="NICK")
	dialog.add_text( text = 'D_052_T_011', speaker ="ALTER_EGO")
	dialog.add_text( text = 'D_052_T_012', speaker ="NICK", follower='D_052_C_001')
	dialog.add_text( text = 'D_052_T_013', speaker ="NICK", follower='D_052_C_001')
	dialog.add_text( text = 'D_052_T_014', speaker ="NICK", follower='ENDDIALOG',callback=Lambda('data().D_052_T_015_Restart = True'))
	dialog.add_text( text = 'D_052_T_015', speaker ="NICK", follower='D_052_C_001')
	if data().D_052_T_015_Restart:
		dialog.jump_to('D_052_T_015')
	dialog.start(False)

## Dialog 054: Wesley gesteht
def initCutscene_054_WesleyGesteht():
	data().wesley_ae_reached = 0
	data().wesley_hat_gestanden = True
	object.cancel_commandos("WESLEY")
	prohibit_activity("WESLEY")
	system.start_cutscene()
	init_cutscene("ALTER_EGO", "WESLEY", dx=1.4, dy=-1.4)
	object.turn_to_object("ALTER_EGO", "WESLEY", callback=["ONEND",initCutscene_054_WesleyGesteht_DialogStart])
	object.turn_to_object("WESLEY", "ALTER_EGO", callback=["ONEND",initCutscene_054_WesleyGesteht_DialogStart])

def initCutscene_054_WesleyGesteht_DialogStart(id):
	data().wesley_ae_reached += 1
	if data().wesley_ae_reached >= 2:
		set_conversation("ALTER_EGO","WESLEY",mode="medium_deep")
		dialog.init_dialog( type = DIALOGSMALL )
		dialog.add_text( text = 'D_054_T_001', speaker ="ALTER_EGO",callback=Lambda('set_conversation("WESLEY","ALTER_EGO",mode="medium_deep")'))
		dialog.add_text( text = 'D_054_T_002', speaker ="WESLEY",callback=Lambda('set_conversation("ALTER_EGO","WESLEY",mode="medium_deep")'))
		dialog.add_text( text = 'D_054_T_003', speaker ="ALTER_EGO",callback=Lambda('set_conversation("WESLEY","ALTER_EGO",mode="medium_deep")'))
		dialog.add_text( text = 'D_054_T_004', speaker ="WESLEY",callback=Lambda('set_conversation("ALTER_EGO","WESLEY",mode="close_deep")'))
		dialog.add_text( text = 'D_054_T_005', speaker ="ALTER_EGO",callback=Lambda('set_conversation("WESLEY","ALTER_EGO",mode="close_deep")'))
		dialog.add_text( text = 'D_054_T_006', speaker ="WESLEY",callback=Lambda('set_conversation("ALTER_EGO","WESLEY",mode="close_deep")'))
		dialog.add_text( text = 'D_054_T_007', speaker ="ALTER_EGO",callback=Lambda('set_conversation("WESLEY","ALTER_EGO",mode="close_deep")'))
		dialog.add_text( text = 'D_054_T_008', speaker ="WESLEY", follower='ENDDIALOG',callback=onCutscene_054_NextDialog)
		dialog.start()

## Dialog 054: Ende, naechster Dialog wird aufgerufen
def onCutscene_054_NextDialog():
	end_cutscene(chars=["ALTER_EGO", "WESLEY"])
	initDlg_055_WesleyWinselt()

## Dialog 055: Wesley winselt um Gnade
def initDlg_055_WesleyWinselt():
	dialog.init_dialog( type = DIALOGLARGE )
	dialog.add_text( text = 'D_055_T_001', speaker ="ALTER_EGO")
	dialog.add_text( text = 'D_055_T_002', speaker ="WESLEY")
	dialog.add_text( text = 'D_055_T_003', speaker ="ALTER_EGO")
	dialog.add_text( text = 'D_055_T_004', speaker ="WESLEY", follower='D_055_C_001')
	if object.get_attribute("ALTER_EGO","gender") == MALE:
		dialog.add_choice( text = 'D_055_C_001_1', follower='D_055_T_005')
		dialog.add_choice( text = 'D_055_C_001_2', follower='ENDDIALOG',callback=onDlg_055_WesleyGreiftAn)
		dialog.add_text( text = 'D_055_T_005', speaker ="WESLEY")
	else:
		dialog.add_choice( text = 'D_055_C_001_1', follower='D_055_T_005F')
		dialog.add_choice( text = 'D_055_C_001_2', follower='ENDDIALOG',callback=onDlg_055_WesleyGreiftAn)
		dialog.add_text( text = 'D_055_T_005F', speaker ="WESLEY")
	dialog.add_text( text = 'D_055_T_006', speaker ="ALTER_EGO", follower='ENDDIALOG',callback=onDlg_055_WeselyHautAb)
	dialog.start(False)

def onDlg_055_WeselyHautAb():
	system.notify_region_entered( region="REGION_START_AREA", partyid="UISPIELER")
	if was_zone_entered("zone_5.zone_5"):
		system.set_qb_entry_state(data("zone_5.zone_5").QB_016, COMPLETE)
	object.step_away("WESLEY")
	data().WesleyHatVerkackt = True
	#for num in [0,1,2]:
	#	object.set_active_state(PRESIDENT_TEAM_IDS[num],1)
	for wp in WAYPOINTS_WESLEY_FLUCHT:
		if wp ==WAYPOINTS_WESLEY_FLUCHT[-1]:
			object.move_to("WESLEY", wp[0],wp[1], grid="landscape", speed=MT_SLOW, callback=["ONEND", deactivate])
		else:
			object.move_to("WESLEY", wp[0],wp[1], grid="landscape", speed=MT_SLOW)
	
## Dialog 055: Ende 1. Wesley greift Spieler an
def onDlg_055_WesleyGreiftAn():
	system.notify_region_entered( region="REGION_START_AREA", partyid="UISPIELER")
	if was_zone_entered("zone_5.zone_5"):
		system.set_qb_entry_state(data("zone_5.zone_5").QB_016, COMPLETE)
	object.step_away("WESLEY")
	object.set_immortal_state("WESLEY", False)
	object.create_item_in_inventory("WESLEY",["SET_HK_USP_45","SET_AMMOPACK_45"])
	character.equip_direct("WESLEY","SET_HK_USP_45", direct_ammo_load=True)
	object.set_attribute("WESLEY","foes",["UISPIELER"])
	object.attack("WESLEY", "ALTER_EGO")
	#for num in [0,1,2]:
	#	object.set_active_state(PRESIDENT_TEAM_IDS[num],1)
	
## Dialog 056: Der Spieler redet nicht mehr mit Wesley
def initDlg_056_SpielerIgnoriertWesley():
	dialog.init_dialog( type = DIALOGSMALL )
	dialog.add_text( text = 'D_056_T_001', speaker ="ALTER_EGO", follower='ENDDIALOG')
	dialog.start(False)

## Dialog 057: Der Präsident hat Informationen über die Schatten
def initDlg_057_PraesidentInformiertUeberSchatten():
	object.cancel_commandos("PRESIDENT_HAYES")
	dialog.init_dialog( type = DIALOGLARGE )
	if object.get_attribute("ALTER_EGO","gender") == MALE:
		dialog.add_text( text = 'D_057_T_001', speaker ="PRESIDENT_HAYES", follower='D_057_T_002')
	else:
		dialog.add_text( text = 'D_057_T_001F', speaker ="PRESIDENT_HAYES", follower='D_057_T_002')
	dialog.add_text( text = 'D_057_T_002', speaker ="ALTER_EGO")
	dialog.add_text( text = 'D_057_T_003', speaker ="PRESIDENT_HAYES")
	dialog.add_text( text = 'D_057_T_004', speaker ="ALTER_EGO", follower='D_057_C_001')
	dialog.add_choice( text = 'D_057_C_001_1', order=4, follower='D_057_T_007', callback=Lambda('data().D_057_C_001_1_Ausgeloest = True'))
	dialog.add_choice( text = 'D_057_C_001_2', order=3, follower='D_057_T_010', callback=Lambda('data().D_057_C_001_2_Ausgeloest = True'))
	dialog.add_choice( text = 'D_057_C_001_3', order=2, follower='D_057_T_013', callback=Lambda('data().D_057_C_001_3_Ausgeloest = True'))
	
	dialog.add_text( text = 'D_057_T_007', speaker ="PRESIDENT_HAYES", follower='D_057_C_001', callback=onDlg_057_CheckLastChoice)
	dialog.add_text( text = 'D_057_T_010', speaker ="PRESIDENT_HAYES")
	dialog.add_text( text = 'D_057_T_011', speaker ="ALTER_EGO")
	dialog.add_text( text = 'D_057_T_012', speaker ="PRESIDENT_HAYES", follower='D_057_C_001', callback=onDlg_057_CheckLastChoice)
	dialog.add_text( text = 'D_057_T_013', speaker ="PRESIDENT_HAYES")
	dialog.add_text( text = 'D_057_T_014', speaker ="PRESIDENT_HAYES", follower='D_057_C_001', callback=onDlg_057_CheckLastChoice)
	dialog.add_text( text = 'D_057_T_016', speaker ="PRESIDENT_HAYES", follower='ENDDIALOG', callback=onDlg_057_PresidentRunAway)
	dialog.start(False)

## Dialog 057: Der Präsident hat einen Termin und muss weg
def onDlg_057_PresidentRunAway():
	set_zone_enabled("zzone_3",True)
	enemy_script.delay(1.5, Lambda('on_dialog_057_makepresidentmove()'))
	
	if object.is_active(PRESIDENT_TEAM_IDS[1]):
		object.cancel_commandos(PRESIDENT_TEAM_IDS[1])
		object.move_to(PRESIDENT_TEAM_IDS[1],372.0,566.0,grid="landscape",speed=MT_SLOW,callback=["ONEND",deactivate])
	
	if object.is_active(PRESIDENT_TEAM_IDS[2]):
		object.cancel_commandos(PRESIDENT_TEAM_IDS[2])
		object.move_to(PRESIDENT_TEAM_IDS[2],372.0,567.0,grid="landscape",speed=MT_SLOW,callback=["ONEND",deactivate])
	

def on_dialog_057_makepresidentmove():
	object.cancel_commandos("PRESIDENT_HAYES")
	object.move_to("PRESIDENT_HAYES",372.0,565.0,grid="landscape",speed=MT_SLOW,callback=["ONEND",deactivate])

def deactivate(id):
	if "zzone_3" in sys.data.zone_enabled:
		object.set_active_state(id, INACTIVE)

## Dialog 057: Prüfen ob letzte Choice anwendbar
def onDlg_057_CheckLastChoice():
	if (data().D_057_C_001_1_Ausgeloest and
		data().D_057_C_001_2_Ausgeloest and
		data().D_057_C_001_3_Ausgeloest):
		dialog.add_choice( text = 'D_057_C_001_4', order=1, follower='D_057_T_016')

#[NM] Dialog 059: Der Spieler will zum Grab des Vaters
def initDlg_059_SpielerWillZumGrabDesVaters():
	dialog.init_dialog( type = DIALOGSMALL )
	dialog.add_text( text = 'D_059_T_001', speaker ="ALTER_EGO", follower='ENDDIALOG')
	dialog.start()
	
#[NM] Dialog 060: Das GNO-Camp ist verlassen
def initDlg_060_DasGNOCampIstVerlassen():
	dialog.init_dialog( type = DIALOGSMALL )
	dialog.add_text( text = 'D_060_T_001', speaker ="ALTER_EGO", follower='ENDDIALOG')
	dialog.start()

