# -*- coding: utf-8 -*-
from globals import *
from const import *
import npc
from types import *
import schedules
from dynamic_camera import *
import zone_2
from enemy_script import *
import cs_function as cs
bookdo = 'loop'

#*** act revision: Revision 54, 6.08.2004 *************************************

# äöü (better)

def MercenaryDenyTalk(id,type='default'):
	gender = object.get_attribute("ALTER_EGO","gender")
	dialog.init_dialog(type=DIALOGSMALL)
	if type == 'default':
		if gender == MALE:
			dialog.add_text(text='MERCENERY_DEFAULT_DENY', speaker=id, follower='ENDDIALOG')
		else:
			dialog.add_text(text='MERCENERY_DEFAULT_DENY_F', speaker=id, follower='ENDDIALOG')
	else:
		if gender == MALE:
			dialog.add_text(text='MERCENERY_USEITEM_DENY', speaker=id, follower='ENDDIALOG')
		else:
			dialog.add_text(text='MERCENERY_USEITEM_DENY_F', speaker=id, follower='ENDDIALOG')
	dialog.start(False)

def on_approach(id, partymemberid):
	if dialog.is_dialog_active():
		return
	target = id
	operator = partymemberid
	
	if dialog.is_dialog_active():
		return
	
	if id == 'MERCENARY_MILTON' and data().Milton_Erstes_Mal:
		data().Milton_Erstes_Mal = False
		init_Dlg_Milton_Aufnahme()
	
	if ((id in data().village1) or (id in data().village1_ta_npcs)):
		if(id == "BEN" or id == "JAY" or id == "BOBBY"): 
			if data().BenDorfPlatz == 3:
				initDlg_084_DoeflerFlucht(id)
				return
			elif data().BenDorfPlatz == 4:
				if id == "BEN":
					if not data().ben_normal_dialog:
						initDlg_085_DoeflerHeimkehr(id)
						return
				else:
					initDlg_085_DoeflerHeimkehr(id)
					return

	if schedules.Dialog(id, partymemberid):
		return
	

	if id=="MARTY":
		if system.get_qb_entry_state(data().QB_011) == INACTIVE:
			initDlg_087_SpielerWillMartyNichtAnprechen()
		elif system.get_qb_entry_state(data().QB_011) in [COMPLETE, UNCOMPLETE]:
			initDlg_073_MartyWeitere()
			
	if id=="FREDO":
		#object.cancel_commandos(target)
		#object.turn_to_object(target, operator, callback=["ONEND", 
		dialoglayout_fredo()#])

	if id=="DAVID":	
		#Dialoge mit David dem Aussteiger
		#object.cancel_commandos(target)
		#object.turn_to_object(target, operator, callback=["ONEND", 
		dialoglayout_david()#])

	if id=="TRADER":
		#Handelsscreen aufrufen
		system.trading_screen(id,partymemberid)

	if id=="BOBBY":												#Dialog mit Bobby
		#object.cancel_commandos(target)
		#object.turn_to_object(target, operator, callback=["ONEND", 
		dialoglayout_bobby()#])

	if id=="BEN":
		#object.cancel_commandos(target)
		#object.turn_to_object(target, operator, callback=["ONEND", 
		dialoglayout_ben()#])

	if id=="JAY":
		#object.cancel_commandos(target)
		#object.turn_to_object(target, operator, callback=["ONEND", 
		dialoglayout_jay()#])

	if id=="SARA":
		#object.cancel_commandos(target)
		#object.turn_to_object(target, operator, callback=["ONEND", 
		dialoglayout_sara()#])

	if id=="REPORTER":
		#object.cancel_commandos(target)
		#object.turn_to_object(target, operator, callback=["ONEND", 
		dialoglayout_reporter()#])

	if id=="TIMETRAVELLER":
		#object.cancel_commandos(target)
		#object.turn_to_object(target, operator, callback=["ONEND", 
		dialoglayout_tiberius(char=operator)#])

	if id=="RATMEAT_TRADER":
		#object.cancel_commandos(target)
		#object.turn_to_object(target, operator, callback=["ONEND", 
		dialoglayout_ratmeattrader()#])

def init_Dlg_Milton_Aufnahme():
	
	dialog.init_dialog(type=DIALOGLARGE)
	dialog.add_text(text='MERCENARY_MILTON_INTERVIEW_T_001', speaker="MERCENARY_MILTON")
	dialog.add_choice(text='MERCENARY_MILTON_INTERVIEW_C_001_1', follower = 'MERCENARY_MILTON_INTERVIEW_T_002')
	dialog.add_choice(text='MERCENARY_MILTON_INTERVIEW_C_001_4', follower = 'ENDDIALOG')
	dialog.add_text(text='MERCENARY_MILTON_INTERVIEW_T_002', speaker="MERCENARY_MILTON", follower='ENDDIALOG', callback = init_Dlg_Milton_Aufnahme_2)
	dialog.start()
	
def init_Dlg_Milton_Aufnahme_2():
	dialog.init_dialog(type=DIALOGLARGE)
	dialog.add_choice(text='MERCENARY_MILTON_INTERVIEW_C_001_2', follower = 'MERCENARY_MILTON_INTERVIEW_T_003')
	dialog.add_choice(text='MERCENARY_MILTON_INTERVIEW_C_001_3', follower = 'MERCENARY_MILTON_INTERVIEW_T_004')
	dialog.add_choice(text='MERCENARY_MILTON_INTERVIEW_C_001_4', follower = 'ENDDIALOG')
	dialog.add_text(text='MERCENARY_MILTON_INTERVIEW_T_003', speaker="MERCENARY_MILTON", follower = 'MERCENARY_MILTON_INTERVIEW_C_001_2')
	if was_zone_entered('zone_8.zone_8'):
		if data('zone_8.zone_8').BruchMitHayes:
			dialog.add_text(text='MERCENARY_MILTON_INTERVIEW_T_004', speaker="MERCENARY_MILTON", follower = 'MERCENARY_MILTON_INTERVIEW_T_007')
		else:
			dialog.add_text(text='MERCENARY_MILTON_INTERVIEW_T_004', speaker="MERCENARY_MILTON", follower = 'MERCENARY_MILTON_INTERVIEW_T_005')
	else:
		dialog.add_text(text='MERCENARY_MILTON_INTERVIEW_T_004', speaker="MERCENARY_MILTON", follower = 'MERCENARY_MILTON_INTERVIEW_T_005')
	dialog.add_text(text='MERCENARY_MILTON_INTERVIEW_T_005', speaker="ALTER_EGO")
	dialog.add_text(text='MERCENARY_MILTON_INTERVIEW_T_006', speaker="MERCENARY_MILTON", follower = 'ENDDIALOG', callback = Milton_Aufnahme)
	dialog.add_text(text='MERCENARY_MILTON_INTERVIEW_T_007', speaker="ALTER_EGO")
	dialog.add_text(text='MERCENARY_MILTON_INTERVIEW_T_008', speaker="MERCENARY_MILTON", follower = 'ENDDIALOG', callback = Milton_Aufnahme)
	
	dialog.start(False)

def Milton_Aufnahme():
	if (len(system.get_pcs()) < 6):
		system.switch_party("MERCENARY_MILTON", "UISPIELER")

def has_big_gun_equipped(char_id):
	inventory = object.get_inventory_ids(char_id)
	for item in inventory:
		if len(item[0]):
			item_type = item[0][0]
			#print item_type
			if object.has_attribute(item_type, "weapon_type"):
				if character.is_equiped(char=char_id, equipment=item_type):
					if object.get_attribute(item_type,"weapon_type") in ["schwer","sniper"]:
						return True
	return False
	
#*** dialoglayouts

# fredo
def dialoglayout_fredo(char=None):
	if not is_zone_enabled("zzone_1"):
		initDlg_081_FredoInformationen()
	else:
		initDlg_082_FredoBoese()

# bobby
def dialoglayout_bobby(char=None):
	if system.get_qb_entry_state(data().QB_006)==IMPOSSIBLE:
		initDlg_075_WolfTotSpielerAngst()
	elif data().WolfGerettet==-1:
		initDlg_022_Bobby()
	elif data().WolfGerettet==0:
		initDlg_025_BobbyWolfNochNichtGefunden()
	elif data().WolfGerettet==1:
		initCutscene_026_BobbyWolfGefunden()
	elif data().WolfGerettet==2:
		initDlg_027_BobbyWolfGefundenWeitere()
	elif data().WolfGerettet==-2:
		initDlg_071_BobbyQuestAbgelehntWeitere()

# sara
def dialoglayout_sara(char=None):
	if data().TochterAussteigerGerettet==1:
		initDlg_018_SaraRettung()
	elif data().TochterAussteigerGerettet>1:
		initDlg_019_SaraWeitere()

# reporter
def dialoglayout_reporter(char=None):
		if (data().Schlagzeilen==-1 or
			data().Schlagzeilen==-2):
			initDlg_028_Reporter()
		elif data().Schlagzeilen==0:
			if (data().AussteigerGerettet > 0 and
				data().DorfGerettet > 0 and
				data().WolfGerettet > 0 and
				data().ZeitMaschine > 0 and
				data().Rattenfleisch > 0):
				initCutscene_031_ReporterAlleSchlagzeilen()
				system.add_minimap_marker(845.17, 329.47,"MM_005")# Verlassenes Fabrikgelände
			else:
				if (data().ZeitMaschine==0 and
					not data().ReporterPlixCapacitor and
					data().MartyPlixKompensator == 0):
					initCutscene_040_ReporterPlixKompensator()
				else:
					if data().Reporter==0:
						initCutscene_030_ReporterNochNichtAlleSchlagzeilen()
					else:
						initDlg_029_ReporterNochNichtAlleSchlagzeilenWeitere()
		elif data().Schlagzeilen==1:
			if (data().ZeitMaschine==0 and
				not data().ReporterPlixCapacitor and
				data().MartyPlixKompensator == 0):
				initCutscene_040_ReporterPlixKompensator()
			else:
				initDlg_046_ReporterQuestGeloestWeitere()
		elif data().Schlagzeilen==-3:
			initDlg_072_ReporterBeschaeftigt()

# timetraveller
def dialoglayout_tiberius(char=None):
	if data().ZeitMaschine<0:
		initDlg_036_TimeTraveller()
	elif cs.group_as_obj( data().Obj_FluxCompensator ):
		cs.tranf_item_party( data().Obj_FluxCompensator,"TIMETRAVELLER" )
		initCutscene_Dlg_038_TimeTravellerPlixCapacitor()
	elif data().ZeitMaschine==0:
		initDlg_049_PlixCapacitorNochNichtGefunden()

# jay
def dialoglayout_jay(char=None):
	if data().DorfGerettet > 0:
		if data().BenHinweisSprengstoff==-2:
			initDlg_069_JayVeraergertDorfrettung()
		else:
			initDlg_047_JayBedanktSich()
	else:
		if data().BenHinweisSprengstoff==-1:
			initDlg_053_JayBevorBen()
		elif data().BenHinweisSprengstoff==1:
			initDlg_011_Jay()

# david
def dialoglayout_david(char=None):
	if data().AussteigerGerettet==-1:
		initDlg_091_SpielerWillNichtImKampfMitDavidSprechen()
	elif data().AussteigerGerettet==1:
		initDlg_006_Aussteiger()
	elif (data().TochterAussteigerGerettet==-1 or
			data().TochterAussteigerGerettet==0):
				if data().DorfGerettet >= 1:
					initCutscene_Dlg_077_AussteigerTochterNochNichtGerettetDorfGerettet()
				else:
					initCutscene_Dlg_007_AussteigerTochterNochNichtGerettet()
	elif (data().TochterAussteigerGerettet>=1 and
			not data().DavidDankRettungSara):
		initCutscene_Dlg_008_AussteigerTochterGerettet()
	elif (data().TochterAussteigerGerettet>=1 and
			data().DavidDankRettungSara):
		initDlg_009_AussteigerTochterGerettetWeitere()
	#elif data().TochterAussteigerGerettet==-2:
	#	initDlg_058_TochterNichtVomSpielerGerettet()

# ben
def dialoglayout_ben(char=None):
	if data().AussteigerGerettet==-1:
		initDlg_050_BenBevorAussteiger()
	elif (
		(
			(data().AussteigerGerettet>=1 and system.get_qb_entry_state(data().QB_003) == UNCOMPLETE) or
			(data().TagebuchGelesen and system.get_qb_entry_state(data().QB_015) == UNCOMPLETE) or
			(data().TagebuchGelesen and system.get_qb_entry_state(data().QB_016) == UNCOMPLETE) or
			(data().TagebuchGelesen and system.get_qb_entry_state(data().QB_018) == UNCOMPLETE)
		) and
		   	data().DorfGerettet==-1 ):
		if not object.is_destroyed("DAVID"):
			initDlg_010_Ben()
		else:
			initDlg_078_BenDavidTot()
	elif (data().DorfGerettet==1 and
			data().TochterAussteigerGerettet==-1):
		initCutscene_012_BenBedanktSichSaraVermisst()
	elif (data().DorfGerettet>=1 and
			data().TochterAussteigerGerettet>=1 and
			data().BenDankRettungSara==0):
		if not object.is_destroyed("DAVID"):
			initDlg_051_BenBedanktSichDorfGerettetSaraGefunden()
		else:
			initDlg_079_BenHinweisWaffenlagerNachdorfUndSaraRettung()
	elif (data().DorfGerettet==1 and
			data().TochterAussteigerGerettet==0):
		initCutscene_015_BenBedanktSichNachfrageSara()
	elif (data().DorfGerettet>=1 and
			data().TochterAussteigerGerettet>=1 and
			data().BenDankRettungSara==1):
		initDlg_020_BenBedanktSichWeitere()
	elif (data().DorfGerettet==2 and
			data().TochterAussteigerGerettet==0):
		initDlg_054_BenKommentarSaraNochNichtGefunden()
	elif data().DorfGerettet==0:
		# man hat ahnung, dass jay den sprengstoff hat
		if data().BenHinweisSprengstoff == 1:
			initDlg_068_BenDorfplatz()
		# man weiss nix von dem sprengstoff
		else:
			initDlg_055_BenBeschaeftigt()
	else:
		print "DLG 3"
		initDlg_055_BenBeschaeftigt()

# ratmeat trader
def dialoglayout_ratmeattrader(char=None):
	if (data().Rattenfleisch==-1 or
		data().Rattenfleisch==-2):
		initDlg_033_RatMeatTrader()
	elif data().Rattenfleisch==0:
		if data().WoelfeKilled>=3:
			initDlg_035_RatMeatTraderWegFrei()
		else:
			initDlg_034_RatMeatTraderWegNochNichtFrei()
	elif data().Rattenfleisch==1:
		initDlg_048_RatMeatTraderDankbar()

### MAINQUEST: AUSSTEIGER ###
def onDlg_001_SprengungHuette():
	destroy_building_david()
	for id in system.get_pcs():
		if id != "ALTER_EGO":
			object.cancel_commandos(id)
			object.turn_to_object(id, "BUILDING_2098")
			r = random.randint(0,10)
			if not r:
				if has_big_gun_equipped(id):
					character.play_animation(id, "CM_NPC_STEHEN_MIT_WAFFE_SCHUETZEN")
				else:
					character.play_animation(id, "CM_NPC_STEHEN_MIT_ARMEN_SCHUETZEN")
	if was_zone_entered("zone_1.zone_1"):
		system.set_qb_entry_text(data("zone_1.zone_1").QB_004,id_reward="ZONE1_AIM_04_REWARD_01")
		system.set_qb_entry_state(data("zone_1.zone_1").QB_004,COMPLETE)	 #Eintrag im Questbook als erfuellt markieren
	system.set_qb_entry_state(data().QB_002,UNCOMPLETE) #neuen Eintrag im Questbook anzeigen

def initCutscene_Dlg_001_HuetteEntdeckt():
	system.start_cutscene()
	system.set_camera_view(CAMVIEW_DAVID_INTRO_SPRENGUNG)
	object.set_position("ALTER_EGO", 452.50,709.05)
	object.move_to("ALTER_EGO", 450.7,707.0, "landscape", MT_FAST, callback=["ONEND", initDlg_001_HuetteEntdeckt])
	object.turn_to_object("ALTER_EGO","BUILDING_2098")
	for id in system.get_pcs():
		if id != "ALTER_EGO":
			object.move_to(id,452.24,708.20, speed=MT_SLOW)
			object.turn_to_object(id,"BUILDING_2098")

def onDlg_001_HuetteEntdecktKruemmen():
	object.cancel_commandos("ALTER_EGO")
	if has_big_gun_equipped("ALTER_EGO"):
		character.play_animation("ALTER_EGO", "CM_NPC_STEHEN_MIT_WAFFE_SCHUETZEN")
	else:
		character.play_animation("ALTER_EGO", "CM_NPC_STEHEN_MIT_ARMEN_SCHUETZEN")

def initDlg_001_HuetteEntdeckt(id):
	dialog.init_dialog(type=DIALOGSMALL)
	enemy_script.delay(7.25, Lambda('on_dialog_001_explosion()'))
	dialog.add_text(text='D_001_T_001', speaker="ALTER_EGO")
	dialog.add_text(text='D_001_T_002', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_001_End)
	dialog.start()

def on_dialog_001_explosion():
	onDlg_001_SprengungHuette()
	onDlg_001_HuetteEntdecktKruemmen()

def onDlg_001_End():
	end_cutscene(chars=[])
	system.notify_region_entered(data().Region_InformantHuette,partyid="UISPIELER")

def initCutscene_Dlg_002_RatskullsEntdeckt():
	system.start_cutscene()
	system.set_camera_view(CAMVIEW_DAVID_INTRO_RATSKULLS)
	object.cancel_commandos("ALTER_EGO")
	object.set_position("ALTER_EGO", 416.88, 698.73)
	character.change_body_mode("ALTER_EGO","KNEEL")
	object.move_to("ALTER_EGO", 421.0, 692.5, "landscape", MT_SLOW)
	object.turn_to_object("ALTER_EGO","RATSKULL_SQUAD_LEADER", callback=["ONEND",initDlg_002_RatskullsEntdeckt])

	for id in system.get_pcs():
		if id != "ALTER_EGO":
			object.cancel_commandos(id)
			object.set_position(id, 416.8, 700.0)
			character.change_body_mode(id,"KNEEL")
			object.move_to(id, 417.0,693.00, speed=MT_SLOW)
#			x = 415.01 y = 693.85
			object.turn_to_object(id, "RATSKULL_SQUAD_LEADER")
			
def initDlg_002_RatskullsEntdeckt(id):
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_002_T_001', speaker="ALTER_EGO")
	dialog.add_text(text='D_002_T_002', speaker="ALTER_EGO", follower='ENDDIALOG',
			callback=onDlg_002_Ende)
	dialog.start()

"""
## fuer den fix von bug 10791
def on_dialog_002_move():
	object.step_to("DAVID",433.74, 668.31, speed=MT_SLOW)
	object.step_to("RATSKULL_SQUAD_LEADER",432.86,669.70, speed=MT_SLOW)
	object.turn_to_object("DAVID","RATSKULL_SQUAD_LEADER")
	object.turn_to_object("RATSKULL_SQUAD_LEADER","DAVID")
"""

def onDlg_002_Ende():
	#on_dialog_002_move()
	system.notify_timer(data().Timer_RatskullsBelauschen, data().Timervalue_RatskullsBelauschen)
	if was_zone_entered("zone_1.zone_1"):
		system.set_qb_entry_state(data("zone_1.zone_1").QB_004, INACTIVE)
	system.set_qb_entry_state(data().QB_002, UNCOMPLETE)
	system.fade(globals.FADE_OUT)

def onDlg_003_End():
	system.fade(globals.FADE_OUT)
	end_cutscene(chars=["DAVID", "RATSKULL_SQUAD_LEADER"])
	system.notify_timer(data().Timer_David,data().Timervalue_David)
	set_conversation(first_obj="ALTER_EGO")
	system.fade(globals.FADE_IN)

def initCutscene_Dlg_003_RatskullsBelauschen():
	#setDavidRutskull_AETalk()
	system.fade(globals.FADE_IN)
	set_conversation("RATSKULL_SQUAD_LEADER", "DAVID", mode="close_deep", first_obj="DAVID")
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_003_T_001', speaker="RATSKULL_SQUAD_LEADER", callback=Lambda('set_conversation("DAVID", "RATSKULL_SQUAD_LEADER", mode="medium_deep");'))
	dialog.add_text(text='D_003_T_002', speaker="DAVID", callback=Lambda('delayed_set_conversation(2.75,"RATSKULL_SQUAD_LEADER", "DAVID", mode="medium_deep")'))
	dialog.add_text(text='D_003_T_003', speaker="RATSKULL_SQUAD_LEADER", follower='ENDDIALOG', callback=Dlg_003_RatskullsBelauschenPosWechsel)
	dialog.start()

def Dlg_003_RatskullsBelauschenPosWechsel():
	object.cancel_commandos("RATSKULL_SQUAD_LEADER")
	pos = object.get_position("DAVID")
	system.set_camera_view(CAMVIEW_DAVID_AUTSCH)#data().CamView_Aussteiger)
	object.step_to("RATSKULL_SQUAD_LEADER",pos[0]-0.6,pos[1]-0.5,speed=MT_SLOW)
	object.cancel_commandos("DAVID")
	object.turn_to_object("RATSKULL_SQUAD_LEADER", "DAVID", callback=["ONEND",Dlg_003_RatskullsBelauschenSchlag])

def Dlg_003_RatskullsBelauschenSchlag(id):
	system.notify_timer(data().Timer_DavidAutsch, data().Timervalue_DavidAutsch)
	character.play_animation("RATSKULL_002","CM_STEHEN_GESTE_AMBIENT_WAFFENLOS")
	character.play_animation("RATSKULL_002","CM_STEHEN_GESTE_ARME_VERSCHRAENKEN_WAFFENLOS")
	character.play_animation("RATSKULL_SQUAD_LEADER", "CM_NPC_STEHEN_SCHLAGEN")

def onDlg_003_RatskullsBelauschenSchlagAbfangen():
	sounds.play_3d_sound_object(sfx_id="hit_stomach",object="RATSKULL_SQUAD_LEADER",loop=False)
	data().delay_reason = "david_got_hit"
	system.notify_timer(data().Timer_Delay, 390)
	object.cancel_commandos("DAVID")
	character.play_animation("DAVID", "CM_NPC_STEHEN_KRUEMMEN_START")
	character.play_animation("DAVID", "CM_NPC_STEHEN_KRUEMMEN_ENDE", callback=["ONEND", david_reposition])
	object.turn_to_object("RATSKULL_SQUAD_LEADER", "DAVID", callback=["ONEND",Dlg_003_RatskullsBelauschenFortsetzung])

def david_reposition(char):
#	delay(5.0,Lambda('system.fade(globals.FADE_OUT)'))
	system.set_camera_view(CAMVIEW_DAVID_AUTSCH_RS_AFTER)
	#character.play_animation(char, "CM_NPC_STEHEN_KRUEMMEN_BACKFLIP", callback=["ONEND", david_reposition_2])
	david_reposition_2(char)

def david_reposition_2(char):
	pos = object.get_position(char)
	object.set_position(char, pos[0]+0.25, pos[1])
#	system.fade(globals.FADE_IN)
	pass

def Dlg_003_RatskullsBelauschenFortsetzung(id):
	character.equip("RATSKULL_SQUAD_LEADER","SET_WALTER_PPK")
	object.turn_to_object("RATSKULL_SQUAD_LEADER", "DAVID")
	object.turn_to_object( "DAVID", "RATSKULL_SQUAD_LEADER")
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_003_T_004', speaker="RATSKULL_SQUAD_LEADER", follower='D_003_T_006')#, callback=delayed_new_camera)
	dialog.add_text(text='D_003_T_006', speaker="RATSKULL_SQUAD_LEADER", follower='D_003_T_008', callback=Lambda('set_conversation("DAVID", "RATSKULL_SQUAD_LEADER",mode="medium_deep")'))
	dialog.add_text(text='D_003_T_008', speaker="DAVID", callback=set_new_squadleader_position)
	dialog.add_text(text='D_003_T_009', speaker="RATSKULL_SQUAD_LEADER", follower='D_003_T_011', callback=Lambda('set_conversation("DAVID", "RATSKULL_SQUAD_LEADER", mode="medium_deep", first_obj="DAVID")'))
	dialog.add_text(text='D_003_T_011', speaker="DAVID",callback=setCam)
	dialog.add_text(text='D_003_T_012', speaker="RATSKULL_SQUAD_LEADER", follower='D_003_T_014', callback=Lambda('set_conversation("RATSKULL_SQUAD_LEADER", "DAVID", mode="close")'))
#	dialog.add_text(text='D_003_T_012', speaker="RATSKULL_SQUAD_LEADER", follower='D_003_T_014', callback=Lambda('set_conversation("RATSKULL_SQUAD_LEADER", "DAVID", mode="close_deep")'))
	dialog.add_text(text='D_003_T_014', speaker="RATSKULL_SQUAD_LEADER", follower='ENDDIALOG',
			callback=onDlg_003_End)
#	system.fade(globals.FADE_OUT)
	dialog.start()

def setCam():
	system.set_camera_view([436.54300000000001, 670.46400000000006, 1.4990000000000001, -0.97899999999999998, -0.014999999999999999, -0.14799999999999999])
	
def delayed_set_conversation(de=0.0, talker = None, listener = None,  mode = "far"):
	if de > 0.0:
		delay(de, Lambda('set_conversation(talker = "%s", listener = "%s", mode = "%s")'%(talker, listener, mode)))
	else:
		set_conversation(talker, listener, mode)
	
						
def delayed_new_camera():
	enemy_script.delay(1.5, Lambda('set_conversation("RATSKULL_SQUAD_LEADER","DAVID", mode="medium_deep")'))

def set_new_squadleader_position():
	pos = object.get_position("DAVID")
	object.set_position("RATSKULL_SQUAD_LEADER", pos[0]-1.0, pos[1]-1.0)
	set_conversation("RATSKULL_SQUAD_LEADER", "DAVID", mode="close",first_obj="RATSKULL_002")
	
def initDlg_004_DavidGetoetet():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_004_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
	dialog.start()

def onDlg_005_End(as_cutscene):
	if as_cutscene:
		end_cutscene(chars=[])
		data().TagebuchGelesen = 1
		system.set_qb_entry_state(data().QB_015, UNCOMPLETE)
		#system.set_qb_entry_state(data().QB_003,UNCOMPLETE)

def buchLoop(char):
	global bookdo
	if not data().TagebuchGelesen == 1:
		if bookdo == 'loop':
			character.play_animation("ALTER_EGO", "CM_NPC_STEHEN_BUCH_LESEN_LOOP",callback=["ONEND",Lambda('buchLoop("ALTER_EGO")')])
		elif bookdo == 'scrape':
			character.play_animation("ALTER_EGO", "CM_NPC_STEHEN_BUCH_LESEN_KRATZEN_LOOP",callback=["ONEND",Lambda('buchLoop("ALTER_EGO")')])
			bookdo = 'loop'
		elif bookdo == 'turnOver':
			character.play_animation("ALTER_EGO", "CM_NPC_STEHEN_BUCH_LESEN_UMBLAETTERN_LOOP",callback=["ONEND",Lambda('buchLoop("ALTER_EGO")')])
			bookdo = 'loop'
		else:
			character.play_animation("ALTER_EGO", "CM_NPC_STEHEN_BUCH_LESEN_LOOP",callback=["ONEND",Lambda('buchLoop("ALTER_EGO")')])
	else:
		character.play_animation("ALTER_EGO", "CM_NPC_STEHEN_BUCH_LESEN_ENDE")
		pass
	

def buchLesen():
	object.cancel_commandos("ALTER_EGO")
	character.play_animation("ALTER_EGO", "CM_NPC_STEHEN_BUCH_LESEN_START",callback=["ONEND",Lambda('buchLoop("ALTER_EGO")')])
	readBookTurnOver(3.3)
	
def changeBookDo(do):
	global bookdo
	bookdo = do
	
def readBookTurnOver(de):
	if de > 0.0:
		delay(de,Lambda("changeBookDo('turnOver')"))
	else:
		changeBookDo('turnOver')
		pass

def readBookScrape(de):
	if de > 0.0:
		delay(de,Lambda("changeBookDo('scrape')"))
	else:
		changeBookDo('scrape')
		pass

def initCutscene_Dlg_005_Diary(as_cutscene=True):
	if as_cutscene:
		system.start_cutscene()
		system.set_camera_view(CAMVIEW_TAGEBUCH)
		object.turn_to_direction("ALTER_EGO",globals.DIR_EAST)
		for id in system.get_pcs():
			if id != "ALTER_EGO":
				object.turn_to_object(id, "ALTER_EGO")
	
	buchLesen()
	dialog.init_dialog(type=DIALOGSMALL)
	if as_cutscene:
		dialog.add_text(text='D_005_T_001', speaker="ALTER_EGO", callback=Lambda('readBookTurnOver(7.0); readBookScrape(17.0); readBookScrape(22.5); readBookTurnOver(24.0);'))
	dialog.add_text(text='D_005_T_002', speaker="ALTER_EGO",follower='D_005_T_004', callback=Lambda('readBookTurnOver(15.8); readBookTurnOver(18.5);'))
	if as_cutscene:
		dialog.add_text(text='D_005_T_004', speaker="ALTER_EGO",follower='D_005_T_006', callback=Lambda('system.set_camera_view(CAMVIEW_TAGEBUCH_CLOSE);readBookTurnOver(1.8); readBookTurnOver(12.5); readBookScrape(19.0);'))
	else:
		dialog.add_text(text='D_005_T_004', speaker="ALTER_EGO",follower='D_005_T_006')

	if object.get_attribute("ALTER_EGO", "gender" )==MALE:
		dialog.add_text(text='D_005_T_006', speaker="ALTER_EGO",follower='D_005_T_008', callback=Lambda('readBookTurnOver(0.01); readBookTurnOver(5.0);'))
	else:
		dialog.add_text(text='D_005_T_006', speaker="ALTER_EGO",follower='D_005_T_008F', callback=Lambda('readBookTurnOver(0.01)'))

	if object.get_attribute("ALTER_EGO", "gender" )==MALE:
		dialog.add_text(text='D_005_T_008', speaker="ALTER_EGO", follower='D_005_T_010', callback=Lambda('readBookTurnOver(0.0)'))
	else:
		dialog.add_text(text='D_005_T_008F', speaker="ALTER_EGO", follower='D_005_T_010F', callback=Lambda('readBookTurnOver(0.0)'))

	if object.get_attribute("ALTER_EGO", "gender" )==MALE:
		dialog.add_text(text='D_005_T_010', speaker="ALTER_EGO",follower='D_005_T_011', callback=Lambda('readBookTurnOver(0.0)'))
	else:
		dialog.add_text(text='D_005_T_010F', speaker="ALTER_EGO",follower='D_005_T_011', callback=Lambda('readBookTurnOver(0.0)'))
	if as_cutscene:
		dialog.add_text(text='D_005_T_011', speaker="ALTER_EGO", follower='ENDDIALOG', callback=Lambda("onDlg_005_End(1);"))
	else:
		dialog.add_text(text='D_005_T_011', speaker="ALTER_EGO", follower='ENDDIALOG', callback=Lambda("onDlg_005_End(0);"))
	dialog.start(False)
	
def onDlg_006_End():
	data().AussteigerGerettet = 2
	if was_zone_entered("zone_1.zone_1"):
		system.set_qb_entry_text(data("zone_1.zone_1").QB_004,id_reward="ZONE1_AIM_04_REWARD_01")
		system.set_qb_entry_state(data("zone_1.zone_1").QB_004,COMPLETE)
	system.set_qb_entry_state(data().QB_002,INACTIVE)
	system.set_qb_entry_state(data().QB_003,UNCOMPLETE)
	system.set_qb_entry_state(data().QB_012,UNCOMPLETE)
	onDlg_006_marker()
	character.add_experience_party( data().Exp_Aussteiger )
	object.set_immortal_state('DAVID', True)

def onDlg_006_marker():
	if not data().player_knows_David:
		data().player_knows_David = True
		system.add_minimap_marker(418,679,"MM_001")#House of David the dropout

def onDlg_006_Choice3():
	data().Dialog_006_Choice_3 += 1
	if data().Dialog_006_Choice_3 == 2:
		dialog.jump_to(follower='D_006_T_015')

def initDlg_006_Aussteiger():
	dialog.init_dialog(type=DIALOGLARGE)
	dialog.add_text(text='D_006_T_001', speaker="DAVID", follower='D_006_C_001')
	dialog.add_choice(text='D_006_C_001_1', follower='D_006_T_002')
	dialog.add_choice(text='D_006_C_001_2', follower='D_006_T_003')
	dialog.add_choice(text='D_006_C_001_3', follower='D_006_T_004')

	dialog.add_text(text='D_006_T_002', speaker="DAVID", follower='D_006_T_005')
	dialog.add_text(text='D_006_T_003', speaker="DAVID", follower='D_006_T_005')
	dialog.add_text(text='D_006_T_004', speaker="DAVID", follower='D_006_T_005')
	dialog.add_text(text='D_006_T_005', speaker="ALTER_EGO")
	dialog.add_text(text='D_006_T_006', speaker="DAVID", follower='D_006_C_002')

	dialog.add_choice(text='D_006_C_002_1', follower='D_006_T_007')
	dialog.add_choice(text='D_006_C_002_2', follower='D_006_T_008')
	dialog.add_choice(text='D_006_C_002_3', follower='D_006_T_009')

	dialog.add_text(text='D_006_T_007', speaker="DAVID", follower='D_006_C_002')
	dialog.add_text(text='D_006_T_008', speaker="DAVID", follower='D_006_C_002')
	dialog.add_text(text='D_006_T_009', speaker="DAVID", follower='D_006_C_002',
			callback=Lambda("dialog.add_choice(text='D_006_C_002_4', follower='D_006_T_010')"))

	dialog.add_text(text='D_006_T_010', speaker="DAVID")
	dialog.add_text(text='D_006_T_011', speaker="ALTER_EGO")
	dialog.add_text(text='D_006_T_012', speaker="DAVID", follower='D_006_C_003')

	dialog.add_choice(text='D_006_C_003_1', follower='D_006_T_013' )
	dialog.add_choice(text='D_006_C_003_2', follower='D_006_T_014' )

	dialog.add_text(text='D_006_T_013', speaker="DAVID", follower='D_006_C_003',callback=onDlg_006_Choice3)
	dialog.add_text(text='D_006_T_014', speaker="DAVID", follower='D_006_C_003',callback=onDlg_006_Choice3)

	dialog.add_text(text='D_006_T_015', speaker="ALTER_EGO")
	dialog.add_text(text='D_006_T_016', speaker="DAVID")
	dialog.add_text(text='D_006_T_017', speaker="ALTER_EGO")
	dialog.add_text(text='D_006_T_018', speaker="DAVID")
	dialog.add_text(text='D_006_T_019', speaker="ALTER_EGO", follower='ENDDIALOG',
			callback=onDlg_006_End)

	dialog.start(check_dialog=False)

def initCutscene_Dlg_007_AussteigerTochterNochNichtGerettet():
	system.start_cutscene()
	init_cutscene("ALTER_EGO","DAVID",dx=-1.0, dy=-1.3)
	object.turn_to_object("ALTER_EGO","DAVID", callback=["ONEND", onDlg_007_StartDialog])

def onDlg_007_StartDialog(char_id):
	set_conversation("DAVID", "ALTER_EGO", mode="medium")
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_007_T_001', speaker="DAVID", callback=Lambda('set_conversation("ALTER_EGO", "DAVID", mode="close")'))
	dialog.add_text(text='D_007_T_002', speaker="ALTER_EGO", callback=Lambda('set_conversation("DAVID", "ALTER_EGO", mode="medium")'))
	dialog.add_text(text='D_007_T_003', speaker="DAVID", follower='ENDDIALOG', callback=[
			Lambda('end_cutscene(chars=["DAVID", "ALTER_EGO"])'),
			Lambda('object.cancel_commandos("DAVID"); allow_activity("DAVID")')])
	dialog.start()

def initCutscene_Dlg_077_AussteigerTochterNochNichtGerettetDorfGerettet():
	system.start_cutscene()
	init_cutscene("ALTER_EGO","DAVID",dx=-1.0, dy=-1.3)
	object.turn_to_object("ALTER_EGO","DAVID", callback=["ONEND", onDlg_077_StartDialog])
		
def onDlg_077_StartDialog(char_id):
	set_conversation("DAVID", "ALTER_EGO", mode="medium")
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_077_T_001', speaker="DAVID", callback=Lambda('set_conversation("ALTER_EGO", "DAVID", mode="close")'))
	dialog.add_text(text='D_077_T_002', speaker="ALTER_EGO", callback=Lambda('set_conversation("DAVID", "ALTER_EGO", mode="close")'))
	dialog.add_text(text='D_077_T_003', speaker="DAVID", follower='ENDDIALOG', callback=[
			Lambda('end_cutscene(chars=["DAVID","ALTER_EGO"])'),
			Lambda('object.cancel_commandos("DAVID"); allow_activity("DAVID")')])
	dialog.start()

def onDlg_008_End():
	end_cutscene(chars=["DAVID","ALTER_EGO"])
	allow_activity("DAVID")
	data().DavidDankRettungSara = True
	if not data().zone_4_on:
		set_zone_enabled('zone_4',True)
		data().zone_4_on = True
	system.set_qb_entry_state(data().QB_012, COMPLETE)
	system.set_qb_entry_state(data().QB_019, INACTIVE)
	system.set_qb_entry_state(data().QB_014, UNCOMPLETE)
	
	if data().zone_4_on and data().zone_3_on:
		system.notify_timer(data().Timer_MainquestKommentar,data().Timervalue_MainquestKommentar)

def initCutscene_Dlg_008_AussteigerTochterGerettet():
	system.start_cutscene()
	init_cutscene("ALTER_EGO","DAVID",dx=-1.0, dy=-1.3)
	object.turn_to_object("ALTER_EGO","DAVID", callback=["ONEND", onDlg_008_StartDialog])

def onDlg_008_StartDialog(char_id):
	set_conversation("DAVID", "ALTER_EGO", mode="medium")
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_008_T_001', speaker="DAVID", callback=Lambda('set_conversation("ALTER_EGO", "DAVID", mode="close")'))
	dialog.add_text(text='D_008_T_002', speaker="ALTER_EGO", callback=Lambda('set_conversation("DAVID", "ALTER_EGO", mode="close")'))
	dialog.add_text(text='D_008_T_003', speaker="DAVID", callback=Lambda('set_conversation("ALTER_EGO", "DAVID", mode="close")'))
	dialog.add_text(text='D_008_T_004', speaker="ALTER_EGO", callback=Lambda('set_conversation("DAVID", "ALTER_EGO", mode="close")'))
	dialog.add_text(text='D_008_T_005', speaker="DAVID", callback=Lambda('set_conversation("ALTER_EGO", "DAVID", mode="close")'))
	dialog.add_text(text='D_008_T_006', speaker="ALTER_EGO", follower='ENDDIALOG',callback=onDlg_008_End)
	dialog.start()

def initDlg_009_AussteigerTochterGerettetWeitere():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_009_T_001', speaker="DAVID", follower='ENDDIALOG')
	dialog.start()

### MAINQUEST: DORFRETTUNG ###
def initDlg_050_BenBevorAussteiger():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_050_T_001', speaker="ALTER_EGO")
	dialog.add_text(text='D_050_T_002', speaker="BEN", follower='ENDDIALOG')
	
	dialog.start()
	
def onDlg_010_Exit_Sara():
	if data().TochterAussteigerGerettet==-1:
		data().TochterAussteigerGerettet = 0
		system.set_qb_entry_state(data().QB_012,UNCOMPLETE)
		system.notify_region_entered(data().Region_Sara,partyid="UISPIELER")
		

def onDlg_010_Exit_HinweisSprengstoff():
	data().BenHinweisSprengstoff = 1

def onDlg_010_BenPruefeStartEvakuierung():
	data().BenEvakuierung+=1
	if data().BenEvakuierung<2:
		onDlg_010_RestartC001()
	data().BenDorfPlatz = 1
	data().DorfGerettet = 0
	system.notify_timer(data().Timer_DorfAngriff,
		data().Timervalue_DorfAngriff)
	if system.get_qb_entry_state(data().QB_004) == INACTIVE:
		system.set_qb_entry_state(data().QB_004,UNCOMPLETE)
		system.set_qb_entry_state(data().QB_003,INACTIVE)
	
		prohibit_activity("BEN")
		object.move_to("BEN",650,560, "landscape",MT_SLOW, callback=["ONEND",BenGibtAlarm])
		#Ben bewegt sich langsam zur Dorfmitte

def BenGibtAlarm(id):
	if data().BenDorfPlatz==1:
		system.notify_timer(data().Timer_BenGibtAlarm,data().Timervalue_BenGibtAlarm)
		data().BenDorfPlatz = 2

def initDlg_010_Ben():
	dialog.init_dialog(type=DIALOGLARGE)
	dialog.add_text(text='D_010_T_017', speaker="ALTER_EGO")
	dialog.add_text(text='D_010_T_018', speaker="BEN", follower='D_010_C_001', callback=Lambda('data().BenBegruessung = True'))
	if not data().d_010_c_001[0]:
		dialog.add_choice(text='D_010_C_001_1', follower='D_010_T_001', callback=Lambda('data().d_010_c_001[0]=True'))
	if data().TochterAussteigerGerettet==-1 and not data().d_010_c_001[1]:
		dialog.add_choice(text='D_010_C_001_2', follower='D_010_T_007', callback=Lambda('data().d_010_c_001[1]=True'))
	if data().BenHinweisSprengstoff==-1 and not data().d_010_c_001[2]:
		dialog.add_choice(text='D_010_C_001_3', follower='D_010_T_011', callback=Lambda('data().d_010_c_001[2]=True'))
	dialog.add_choice(text='D_010_C_001_4', follower='ENDDIALOG', callback=Lambda('data().d_010_c_001[3]=True'))
	dialog.add_text(text='D_010_T_001', speaker="BEN", follower='D_010_C_002')
	dialog.add_choice(text='D_010_C_002_1', follower='D_010_T_003')
	dialog.add_choice(text='D_010_C_002_2', follower='D_010_T_002')
	dialog.add_choice(text='D_010_C_002_3', follower='ENDDIALOG')
	dialog.add_text(text='D_010_T_002', speaker="BEN", follower='ENDDIALOG')
	dialog.add_text(text='D_010_T_003', speaker="BEN")
	dialog.add_text(text='D_010_T_004', speaker="ALTER_EGO")
	dialog.add_text(text='D_010_T_005', speaker="BEN", follower='D_010_C_003')
	dialog.add_choice(text='D_010_C_003_1', follower='D_010_T_006')
	dialog.add_choice(text='D_010_C_003_2', follower='ENDDIALOG')
	dialog.add_text(text='D_010_T_006', speaker="BEN", follower='ENDDIALOG',callback=onDlg_010_BenPruefeStartEvakuierung)
	dialog.add_text(text='D_010_T_007', speaker="BEN")
	dialog.add_text(text='D_010_T_008', speaker="ALTER_EGO")
	dialog.add_text(text='D_010_T_009', speaker="BEN")
	dialog.add_text(text='D_010_T_010', speaker="ALTER_EGO", follower='D_010_C_001',
			callback=onDlg_010_Exit_Sara)
	dialog.add_text(text='D_010_T_011', speaker="BEN", follower='D_010_C_004')
	if not data().d_010_c_004[0]:
		dialog.add_choice(text='D_010_C_004_1', follower='D_010_T_012', callback=Lambda('data().d_010_c_004[0]=True'))
	dialog.add_choice(text='D_010_C_004_2', follower='ENDDIALOG', callback=Lambda('data().d_010_restart_t_019=True'))
	dialog.add_text(text='D_010_T_012', speaker="BEN")
	dialog.add_text(text='D_010_T_013', speaker="ALTER_EGO", follower="ENDDIALOG", callback=onDlg_010_EndeNext)

	dialog.add_text(text='D_010_T_019', speaker="ALTER_EGO")
	dialog.add_text(text='D_010_T_020', speaker="BEN", follower='D_010_C_004')
	if data().d_010_start_c001:
		dialog.jump_to('D_010_C_001')
	elif data().d_010_restart_t_019:
		dialog.jump_to('D_010_T_019')
	elif data().BenBegruessung:
		dialog.jump_to('D_010_C_001')
	dialog.start(False)

def onDlg_010_EndeNext():
	dialog.init_dialog(type=DIALOGLARGE)
	if data().d_010_c_001[0]:
		dialog.add_text(text='D_010_T_014', speaker="BEN", follower='D_010_T_015')
	else:
		dialog.add_text(text='D_010_T_014', speaker="BEN", follower='D_010_T_016')
	dialog.add_text(text='D_010_T_015', speaker="ALTER_EGO", follower='ENDDIALOG', callback=[onDlg_010_Exit_HinweisSprengstoff,onDlg_010_BenPruefeStartEvakuierung])
	dialog.add_text(text='D_010_T_016', speaker="ALTER_EGO", follower='D_010_T_021')
	dialog.add_text(text='D_010_T_021', speaker="BEN", follower='ENDDIALOG', callback=[onDlg_010_RestartC001, onDlg_010_Exit_HinweisSprengstoff])
	onDlg_010_marker()
	dialog.start(False)

def onDlg_010_marker():
	if not data().player_knows_Ben:
		data().player_knows_Ben = True
		system.add_minimap_marker(667,530,"MM_002")#House of Ben the village elder

def onDlg_010_RestartC001():
	data().d_010_start_c001 = True
	initDlg_010_Ben()

def initDlg_078_BenDavidTot():
	print "Dialog Ben David Tot"
	onDlg_010_marker()
	dialog.init_dialog(type=DIALOGLARGE)
	dialog.add_text(text='D_078_T_001', speaker="BEN")
	dialog.add_text(text='D_078_T_002', speaker="ALTER_EGO")
	dialog.add_text(text='D_078_T_003', speaker="BEN", follower='D_078_C_001')
	if not data().d_078_c_001[0]:
		dialog.add_choice(text='D_078_C_001_1', follower='D_078_T_008', callback=Lambda('data().d_078_c_001[0]=True'))
	if not data().d_078_c_001_2_gewaehlt:
		dialog.add_choice(text='D_078_C_001_2', follower='D_078_T_004', callback=Lambda('data().d_078_c_001_2_gewaehlt=True'))
	if not data().d_078_c_001[1]:
		dialog.add_choice(text='D_078_C_001_3', follower='D_078_T_009', callback=Lambda('data().d_078_c_001[2]=True'))
	if not data().d_078_c_001[3]:
		if data().d_078_c_001_2_gewaehlt:
			dialog.add_choice(text='D_078_C_001_4', follower='D_078_T_018', callback=Lambda('data().d_078_c_001[3]=True'))
		else:
			dialog.add_choice(text='D_078_C_001_4', follower='D_078_T_021', callback=Lambda('data().d_078_c_001[3]=True'))
	dialog.add_choice(text='D_078_C_001_5', follower='ENDDIALOG', callback=Lambda('data().d_078_restart_c_001=True'))
	dialog.add_text(text='D_078_T_004', speaker="BEN")
	dialog.add_text(text='D_078_T_005', speaker="ALTER_EGO")
	dialog.add_text(text='D_078_T_006', speaker="BEN")
	dialog.add_text(text='D_078_T_007', speaker="ALTER_EGO", follower='D_078_C_001', callback=onDlg_078_Exit_Sara)
	dialog.add_text(text='D_078_T_008', speaker="BEN", follower='D_078_C_003')
	dialog.add_text(text='D_078_T_009', speaker="BEN", follower='D_078_C_002')
	dialog.add_choice(text='D_078_C_002_1', follower='D_078_T_011')
	dialog.add_choice(text='D_078_C_002_2', follower='ENDDIALOG', callback=Lambda('data().d_078_restart_t_010 = True'))
	dialog.add_text(text='D_078_T_010', speaker="ALTER_EGO", follower='D_078_C_002')
	dialog.add_text(text='D_078_T_011', speaker="BEN")
	dialog.add_text(text='D_078_T_012', speaker="ALTER_EGO")
	dialog.add_text(text='D_078_T_013', speaker="BEN")
	dialog.add_text(text='D_078_T_014', speaker="ALTER_EGO", follower='D_078_C_001',callback=[onDlg_078_Exit_HinweisSprengstoff,onDlg_078_BenPruefeStartEvakuierung])
	dialog.add_choice(text='D_078_C_003_1', follower='D_078_T_017')
	dialog.add_choice(text='D_078_C_003_2', follower='ENDDIALOG', callback=Lambda('data().d_078_restart_t_015 = True'))
	dialog.add_text(text='D_078_T_015', speaker="BEN")
	dialog.add_text(text='D_078_T_016', speaker="ALTER_EGO")
	dialog.add_text(text='D_078_T_017', speaker="BEN", follower='D_078_C_001',callback=onDlg_078_BenPruefeStartEvakuierung)
	dialog.add_text(text='D_078_T_018', speaker="BEN")
	dialog.add_text(text='D_078_T_019', speaker="ALTER_EGO")
	dialog.add_text(text='D_078_T_020', speaker="BEN", follower='D_078_C_001', callback=onDlg_078_Exit_Sara)
	dialog.add_text(text='D_078_T_021', speaker="BEN", follower='D_078_T_019')
	if data().d_078_restart_t_015:
		dialog.jump_to('D_078_T_015')
	elif data().d_078_restart_t_010:
		dialog.jump_to('D_078_T_010')
	elif data().d_078_restart_c_001:
		dialog.jump_to('D_078_C_001')
	dialog.start(False)


def onDlg_078_BenPruefeStartEvakuierung():
	data().BenEvakuierung+=1
	if data().BenEvakuierung==2:
		dialog.jump_to(follower='ENDDIALOG')
	data().BenDorfPlatz = 1
	data().DorfGerettet = 0
	system.notify_timer(data().Timer_DorfAngriff,
		data().Timervalue_DorfAngriff)
	if system.get_qb_entry_state(data().QB_004) == INACTIVE:
		system.set_qb_entry_state(data().QB_004,UNCOMPLETE)
	
	#Ben bewegt sich langsam zur Dorfmitte
	prohibit_activity("BEN")
	object.move_to("BEN",650,560, "landscape",MT_SLOW, callback=["ONEND",BenGibtAlarm])

def onDlg_078_Exit_Sara():
	if data().TochterAussteigerGerettet==-1:
		data().TochterAussteigerGerettet = 0
		system.set_qb_entry_state(data().QB_015,INACTIVE)
		system.set_qb_entry_state(data().QB_016,UNCOMPLETE)
		system.notify_region_entered(data().Region_Sara,partyid="UISPIELER")

def onDlg_078_Exit_HinweisSprengstoff():
	data().BenHinweisSprengstoff = 1

def onDlg_012_SaraQuestAngenommen():
	data().DorfGerettet = 2
	if data().TochterAussteigerGerettet==-1:
		system.set_qb_entry_state(data().QB_012,UNCOMPLETE)
		data().TochterAussteigerGerettet = 0
		system.notify_region_entered(data().Region_Sara,partyid="UISPIELER")
		#print "onDlg_012_SaraQuestAngenommen"

def SaraVonDorfBewohnernGerettet():
	data().DorfGerettet = 2
	data().TochterAussteigerGerettet = -2
	object.set_active_state("SARA",INACTIVE)
	for id in data().ratskulls_camp:
		object.set_active_state(id,ACTIVE)
		object.destroy(id)

def onDlg_012_SaraQuestNichtAngenommen():
	SaraVonDorfBewohnernGerettet()

def initCutscene_012_BenBedanktSichSaraVermisst():
	system.start_cutscene()
	if object.get_grid("BEN") != "landscape":
		object.cancel_commandos("ALTER_EGO")
		object.set_position("ALTER_EGO", 663.6,536.4)
		object.cancel_commandos("BEN")
		object.set_position("BEN", 664.2, 538.5)
		object.turn_to_object("BEN", "ALTER_EGO")
	else:
		init_cutscene("ALTER_EGO","BEN",dx=-1.4, dy=1.4)
	object.turn_to_object("ALTER_EGO","BEN",callback=["ONEND",onDlg_012_StartDialog])

def onDlg_012_StartDialog(char_id):
	set_conversation("ALTER_EGO", "BEN", mode="medium_deep")
	dialog.init_dialog(type=DIALOGSMALL)
	if data().DoerflerKilled == 0:
		dialog.add_text(text='D_012_T_001', speaker="ALTER_EGO", follower='D_012_T_002', callback=Lambda('set_conversation("BEN", "ALTER_EGO", mode="medium_deep")'))
	else:
		dialog.add_text(text='D_012_T_001', speaker="ALTER_EGO", follower='D_012_T_008', callback=Lambda('set_conversation("BEN", "ALTER_EGO", mode="medium_deep")'))
	dialog.add_text(text='D_012_T_002', speaker="BEN", follower='D_012_T_009', callback=Lambda('set_conversation("ALTER_EGO", "BEN", mode="medium_deep")'))
	dialog.add_text(text='D_012_T_009', speaker="ALTER_EGO", follower='D_012_T_003', callback=Lambda('set_conversation("BEN", "ALTER_EGO", mode="close_deep")'))
	dialog.add_text(text='D_012_T_003', speaker="BEN", follower='D_012_T_005', callback=Lambda('set_conversation("ALTER_EGO", "BEN", mode="close_deep")'))
	dialog.add_text(text='D_012_T_005', speaker="ALTER_EGO", callback=Lambda('set_conversation("BEN", "ALTER_EGO", mode="close_deep")'))
	dialog.add_text(text='D_012_T_006', speaker="BEN", follower='D_012_T_010', callback=Lambda('set_conversation("ALTER_EGO", "BEN", mode="close_deep")'))
	dialog.add_text(text='D_012_T_010', speaker="ALTER_EGO", follower='D_012_T_007', callback=Lambda('set_conversation("BEN", "ALTER_EGO", mode="medium_deep")'))
	dialog.add_text(text='D_012_T_007', speaker="BEN", follower='ENDDIALOG',callback=onDlg_012_Ende)
	dialog.add_text(text='D_012_T_008', speaker="BEN", follower='D_012_T_003')
	dialog.start(False)
	
def onDlg_012_Ende():
	onDlg_012_SaraQuestAngenommen()
	end_cutscene(chars=["BEN", "ALTER_EGO"])
	allow_activity("BEN")

def onDlg_015_SaraQuestNichtAngenommen():
	SaraVonDorfBewohnernGerettet()
	system.set_qb_entry_state(data().QB_012,IMPOSSIBLE)
	data().DorfGerettet = 2

def onDlg_015_SaraQuestAngenommen():
	data().DorfGerettet = 2
	if data().TochterAussteigerGerettet==-1:
		system.set_qb_entry_state(data().QB_012,UNCOMPLETE)
		data().TochterAussteigerGerettet = 0
		system.notify_region_entered(data().Region_Sara,partyid="UISPIELER")
		#print "onDlg_015_SaraQuestAngenommen"

def initCutscene_015_BenBedanktSichNachfrageSara():
	system.start_cutscene()
	init_cutscene("ALTER_EGO","BEN",dx=-1.0, dy=1.3)
	object.turn_to_object("ALTER_EGO","BEN",callback=["ONEND",onDlg_015_StartDialog])

def onDlg_015_StartDialog(char_id):
	dialog.init_dialog(type=DIALOGSMALL)
	set_conversation("ALTER_EGO", "BEN", mode="medium_deep")
	if data().DoerflerKilled == 0:
		dialog.add_text(text='D_015_T_001', speaker="ALTER_EGO", follower='D_015_T_002', callback=Lambda('set_conversation("BEN", "ALTER_EGO", mode="medium_deep")'))
	else:
		dialog.add_text(text='D_015_T_001', speaker="ALTER_EGO", follower='D_015_T_006', callback=Lambda('set_conversation("BEN", "ALTER_EGO", mode="close_deep")'))
	dialog.add_text(text='D_015_T_002', speaker="BEN", follower='D_015_T_005', callback=Lambda('set_conversation("ALTER_EGO", "BEN", mode="close_deep")'))
	dialog.add_text(text='D_015_T_005', speaker="ALTER_EGO", follower='D_015_T_004', callback=Lambda('set_conversation("BEN", "ALTER_EGO", mode="close_deep")'))
	dialog.add_text(text='D_015_T_004', speaker="BEN", follower='ENDDIALOG', callback=onDlg_015_Ende)
	dialog.add_text(text='D_015_T_006', speaker="BEN", follower='D_015_T_005')
	dialog.start(False)

def onDlg_015_Ende():
	onDlg_015_SaraQuestAngenommen()
	end_cutscene(chars=["BEN", "ALTER_EGO"])
	allow_activity("BEN")
	
def onDlg_051_Ende1():
	data().BenDankRettungSara = 1

def onDlg_051_Ende3():
	object.create_item_in_inventory("ALTER_EGO", [	"SET_AMMOPACK_7_65_MM","SET_AMMOPACK_7_65_MM",
												"SET_AMMOPACK_38",
												"SET_AMMOPACK_44","SET_AMMOPACK_44"])

def onDlg_051_Ende2():
	data().BenDankRettungSara = 1
	initDlg_074_SpielerSprichtSichMutZu()

def initDlg_051_BenBedanktSichDorfGerettetSaraGefunden():
	dialog.init_dialog(type=DIALOGLARGE)
	dialog.add_text(text='D_051_T_001', speaker="BEN", follower='D_051_C_001')
	dialog.add_choice(text='D_051_C_001_1', follower='D_051_T_002')
	dialog.add_choice(text='D_051_C_001_2', follower='D_051_T_004')
	dialog.add_text(text='D_051_T_002', speaker="BEN", follower='D_051_C_002')
	dialog.add_choice(text='D_051_C_002_1', follower='D_051_T_003')
	dialog.add_choice(text='D_051_C_002_2', follower='D_051_T_004')
	if object.get_attribute("ALTER_EGO", "speech") > 70:
		dialog.add_choice(text='D_051_C_002_3', follower='D_051_T_008')
	else:
		dialog.add_choice(text='D_051_C_002_3', follower='D_051_T_009')
	dialog.add_text(text='D_051_T_003', speaker="BEN", follower='ENDDIALOG',
			callback=onDlg_051_Ende1)
	dialog.add_text(text='D_051_T_004', speaker="BEN", follower='D_051_T_005')
	dialog.add_text(text='D_051_T_005', speaker="ALTER_EGO", follower='D_051_T_006')
	dialog.add_text(text='D_051_T_006', speaker="BEN", follower='D_051_T_007')
	dialog.add_text(text='D_051_T_007', speaker="ALTER_EGO", follower='ENDDIALOG',
			callback=onDlg_051_Ende2)
	dialog.add_text(text='D_051_T_008', speaker="BEN", follower='ENDDIALOG', callback=onDlg_051_Ende3)
	dialog.add_text(text='D_051_T_009', speaker="BEN", follower='ENDDIALOG', callback=onDlg_051_Ende1)
	dialog.start(False)

def initDlg_079_BenHinweisWaffenlagerNachdorfUndSaraRettung():
	dialog.init_dialog(type=DIALOGLARGE)
	dialog.add_text(text='D_079_T_001', speaker="BEN", follower='D_079_C_001')
	dialog.add_choice(text='D_079_C_001_1', follower='D_079_T_002')
	dialog.add_choice(text='D_079_C_001_2', follower='D_079_T_005')
	if object.get_attribute("ALTER_EGO", "speech")>70:
		dialog.add_choice(text='D_079_C_001_3', follower='D_079_T_013')
	else:
		dialog.add_choice(text='D_079_C_001_3', follower='D_079_T_014')
	dialog.add_text(text='D_079_T_002', speaker="BEN")
	dialog.add_text(text='D_079_T_003', speaker="ALTER_EGO")
	dialog.add_text(text='D_079_T_004', speaker="BEN", follower='D_079_T_011')#, callback=onDlg_079_Ende1)
	dialog.add_text(text='D_079_T_005', speaker="BEN", callback=Lambda('set_zone_enabled("zone_4",True)'))
	dialog.add_text(text='D_079_T_006', speaker="ALTER_EGO")
	dialog.add_text(text='D_079_T_007', speaker="BEN")
	dialog.add_text(text='D_079_T_008', speaker="ALTER_EGO")
	dialog.add_text(text='D_079_T_009', speaker="BEN")
	dialog.add_text(text='D_079_T_010', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_079_Ende2)
	dialog.add_text(text='D_079_T_011', speaker="ALTER_EGO", follower='D_079_T_012')
	dialog.add_text(text='D_079_T_012', speaker="BEN", follower='ENDDIALOG', callback=onDlg_079_Ende1)
	dialog.add_text(text='D_079_T_013', speaker="BEN", follower='D_079_T_015', callback=onDlg_079_GetAmmo)
	dialog.add_text(text='D_079_T_014', speaker="BEN", follower='D_079_T_011')
	dialog.add_text(text='D_079_T_015', speaker="ALTER_EGO", follower='D_079_T_012')
	dialog.start(False)

def onDlg_079_GetAmmo():
	object.create_item_in_inventory("ALTER_EGO", ["SET_AMMOPACK_7_65_MM","SET_AMMOPACK_7_65_MM", "SET_AMMOPACK_38", "SET_AMMOPACK_44","SET_AMMOPACK_44" ])

def onDlg_079_Ende1():
	data().BenDankRettungSara = 1
	system.set_qb_entry_state(data().QB_018, INACTIVE)
	system.set_qb_entry_state(data().QB_016, COMPLETE)
	system.set_qb_entry_state(data().QB_014, UNCOMPLETE)
	set_zone_enabled("zone_4",True)

def onDlg_079_Ende2():
#	data().BenDankRettungSara = 1
#	system.set_qb_entry_state(data().QB_018, COMPLETE)
#	system.set_qb_entry_state(data().QB_016, INACTIVE)
#	system.set_qb_entry_state(data().QB_014, UNCOMPLETE)
#	set_zone_enabled("zone_4",True)
	onDlg_079_Ende1()
	initDlg_074_SpielerSprichtSichMutZu()

def initDlg_074_SpielerSprichtSichMutZu():
	system.set_qb_entry_state(data().QB_018,INACTIVE)
	system.set_qb_entry_state(data().QB_016,COMPLETE)
	#waffenlager? drogenlabor!!
	if object.is_destroyed("DAVID"):
		system.set_qb_entry_state(data().QB_014,UNCOMPLETE)
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_074_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
	dialog.start()

def initDlg_020_BenBedanktSichWeitere():
	data().BenDankRettungSara = 2
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_020_T_001', speaker="BEN", follower='ENDDIALOG')
	dialog.start()

def initDlg_054_BenKommentarSaraNochNichtGefunden():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_054_T_001', speaker="BEN", follower='ENDDIALOG')
	dialog.start()

def initDlg_055_BenBeschaeftigt():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_055_T_001', speaker="BEN", follower='ENDDIALOG')
	dialog.start()

def initDlg_068_BenDorfplatz():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_068_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
	dialog.start()

def initDlg_053_JayBevorBen():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_053_T_001', speaker="JAY", follower='ENDDIALOG')
	dialog.start()

def initDlg_047_JayBedanktSich():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_047_T_001', speaker="JAY", follower='ENDDIALOG')
	dialog.start()

def onDlg_011_JayGibtSprengstoff():
	object.create_item_in_inventory("JAY","SET_C4_REMOTE_CONTROL")
	object.transfer_item("JAY","SET_C4_REMOTE_CONTROL","ALTER_EGO")
	data().BenHinweisSprengstoff = 2
	character.set_approachable_state("JAY",NOTAPPROACHABLE)

def onDlg_011_JayVeraergert():
	character.set_approachable_state("JAY",NOTAPPROACHABLE)
	data().BenHinweisSprengstoff =-2

def initDlg_011_Jay():
	dialog.init_dialog(type=DIALOGLARGE)
	if object.get_attribute("ALTER_EGO", "speech") > 60:
		dialog.add_choice(text='D_011_C_001_1', follower='D_011_T_007')
	else:
		dialog.add_choice(text='D_011_C_001_1', follower='D_011_T_002')
	dialog.add_choice(text='D_011_C_001_2', follower='ENDDIALOG')
	dialog.add_text(text='D_011_T_002', speaker="JAY", follower='D_011_C_002')
	dialog.add_choice(text='D_011_C_002_1', follower='D_011_T_004')
	dialog.add_choice(text='D_011_C_002_2', follower='D_011_T_003')
	dialog.add_text(text='D_011_T_003', speaker="JAY", follower='ENDDIALOG',
			callback=onDlg_011_JayVeraergert)
	dialog.add_text(text='D_011_T_004', speaker="JAY")
	dialog.add_text(text='D_011_T_005', speaker="ALTER_EGO")
	dialog.add_text(text='D_011_T_006', speaker="JAY", follower='ENDDIALOG',
			callback=onDlg_011_JayGibtSprengstoff)
			
	dialog.add_text(text='D_011_T_007', speaker="JAY")
	dialog.add_text(text='D_011_T_008', speaker="ALTER_EGO")
	dialog.add_text(text='D_011_T_009', speaker="JAY", follower='ENDDIALOG',callback=onDlg_011_JayGibtSprengstoff)
	dialog.start(False)

def initDlg_069_JayVeraergertDorfrettung():
	dialog.init_dialog(type=DIALOGLARGE)
	dialog.add_text(text='D_069_T_001', speaker="JAY", follower='ENDDIALOG')
	dialog.start()

def onDlg_044_SucheDorfBewohnerStartCountDown():
	system.notify_timer(data().Timer_RatskullDorfbewohnerSuchen,data().Timervalue_RatskullDorfbewohnerSuchen)
	end_cutscene(chars=["RATSKULL_011", "RATSKULL_012","RATSKULL_013", "RATSKULL_014"])

def initCutscene_Dlg_044_RatskullsTrauern():
	for id in ["RATSKULL_011", "RATSKULL_012","RATSKULL_013", "RATSKULL_014"]:
		if object.is_fighting(id):
			return
	system.start_cutscene()
	#system.set_camera_view(data().CamView_Gehaengter)
	system.set_camera_view(CAMVIEW_RATSKULLS_INTRO)
	set_conversation(first_obj="RATSKULL_012")
	object.turn_to_object("RATSKULL_011",data().Obj_RatskullCorpse)
	object.turn_to_object("RATSKULL_012",data().Obj_RatskullCorpse)
	object.turn_to_object("RATSKULL_013",data().Obj_RatskullCorpse)
	object.turn_to_object("RATSKULL_014",data().Obj_RatskullCorpse)

	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_044_T_001', speaker="RATSKULL_013", callback=Lambda('object.cancel_commandos("RATSKULL_012")')) #,Lambda('set_conversation("RATSKULL_011","RATSKULL_013",mode="medium")')])
	dialog.add_text(text='D_044_T_002', speaker="RATSKULL_011", callback=Lambda('set_camera(CAMVIEW_RS_DISKUSS_1); set_conversation("RATSKULL_012","RATSKULL_011",mode="medium", new_camera=False)'))
	dialog.add_text(text='D_044_T_003', speaker="RATSKULL_012", callback=Lambda('set_conversation(first_obj="RATSKULL_013")'))
	dialog.add_text(text='D_044_T_004', speaker="RATSKULL_013", callback=Lambda('set_camera(CAMVIEW_RS_DISKUSS_2); set_conversation("RATSKULL_014","RATSKULL_013",mode="medium", new_camera=False)'))
	dialog.add_text(text='D_044_T_005', speaker="RATSKULL_014", callback=Lambda('set_conversation("RATSKULL_013","RATSKULL_014",mode="close")'))
	dialog.add_text(text='D_044_T_006', speaker="RATSKULL_013", callback=Lambda('set_conversation("RATSKULL_014","RATSKULL_013",mode="close")'))
	dialog.add_text(text='D_044_T_007', speaker="RATSKULL_014", callback=Lambda('set_conversation("RATSKULL_013","RATSKULL_014",mode="close")'))
	dialog.add_text(text='D_044_T_008', speaker="RATSKULL_013",
			follower='ENDDIALOG', callback=[onDlg_044_SucheDorfBewohnerStartCountDown, Lambda('set_conversation(first_obj="ALTER_EGO")')])
	dialog.start()

def initCutscene_Dlg_043_KommentarGehaengter():
	system.start_cutscene()
	system.set_camera_view(CAMVIEW_GEHAENGTER)
	object.cancel_commandos("ALTER_EGO")
	object.set_position("ALTER_EGO", 636.79, 559.00)
	object.move_to("ALTER_EGO", 639.45, 558.63, "landscape", MT_FAST)
	for id in system.get_pcs():
		if id != "ALTER_EGO":
			object.cancel_commandos(id)
			object.turn_to_object(id,"BUILDING_3750")
	
	object.turn_to_object("ALTER_EGO","BUILDING_3750", callback=["ONEND", initDlg_043_KommentarGehaengter])

def initDlg_043_KommentarGehaengter(id):
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_043_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_043_End)
	dialog.start()

def onDlg_043_End():
	end_cutscene(chars=[])

def initDlg_045_VerwunderungExplosion():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_045_T_001', speaker="RATSKULL_015")
	dialog.add_text(text='D_045_T_002', speaker="RATSKULL_016")
	dialog.add_text(text='D_045_T_003', speaker="RATSKULL_015",
			follower='ENDDIALOG')
	dialog.start()

def StartSucheHolzstapel():
	end_cutscene(chars=["RATSKULL_011", "RATSKULL_012","RATSKULL_013", "RATSKULL_014"])
	onStartSucheHolzstapelRennenLos()

def onStartSucheHolzstapelRennenLos():
	for id in data().ratskulls_village:
		if id in data().route_active_for.keys():
			data().route_active_for[id] = False
		if not object.is_destroyed(id):
			object.cancel_commandos(id)
			prohibit_activity(id)
			RoutedMoveTo(id=id,route=ROUTE_DORFBEWOHNER_FLUCHT,speed=MT_FAST)
	villagers = []
	for id in data().village1 + VILLAGE1_TA_ADDS:
		if not id in VILLAGE1_G4:
			villagers.append(id)

	for id in villagers:
		object.set_immortal_state(id,0)
	
	PCs = system.get_pcs()
	for id in data().ratskulls_village:
		object.set_attribute( id, attribute="foes", value=["UISPIELER"] + villagers)

def initCutscene_Dlg_060_DorfbewohnerNichtGefunden():
	if not object.is_destroyed("RATSKULL_011"):
		object.move_to("RATSKULL_011",636.5,557.4,"landscape",MT_SLOW)
		object.turn_to_object("RATSKULL_011","RATSKULL_012", callback=["ONEND", onDlg_060_CheckAllRatsBack])
	if not object.is_destroyed("RATSKULL_012"):
		object.move_to("RATSKULL_012",635.29,558.37,"landscape",MT_SLOW)
		object.turn_to_object("RATSKULL_012","RATSKULL_013", callback=["ONEND", onDlg_060_CheckAllRatsBack])
	if not object.is_destroyed("RATSKULL_013"):
		object.move_to("RATSKULL_013",637.89,558.54,"landscape",MT_SLOW)
		object.turn_to_object("RATSKULL_013","RATSKULL_012", callback=["ONEND", onDlg_060_CheckAllRatsBack])
	if not object.is_destroyed("RATSKULL_014"):
		object.move_to("RATSKULL_014",636.09,559.34,"landscape",MT_SLOW)
		object.turn_to_object("RATSKULL_014","RATSKULL_012", callback=["ONEND", onDlg_060_CheckAllRatsBack])
	data().RatSkullsGehaengter = -2

def onDlg_060_StartDialog():
	system.start_cutscene()
	set_conversation(first_obj="RATSKULL_013")
	system.set_camera_view(CAMVIEW_RS_BEFORE_KILL)
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_060_T_001', speaker="RATSKULL_012")
	dialog.add_text(text='D_060_T_002', speaker="RATSKULL_013", callback=Lambda('set_camera(CAMVIEW_RS_BEFORE_KILL2); set_conversation("RATSKULL_014","RATSKULL_012",new_camera=False)'))
	dialog.add_text(text='D_060_T_003', speaker="RATSKULL_011", callback=Lambda('set_conversation("RATSKULL_013","RATSKULL_011",mode="close_deep")'))
	dialog.add_text(text='D_060_T_004', speaker="RATSKULL_013",
			follower='ENDDIALOG', callback=[Lambda('set_conversation(first_obj="ALTER_EGO")'),StartSucheHolzstapel])
	dialog.start()

def onDlg_060_CheckAllRatsBack(char_id):
	data().ratskulls_return_after_seeking += 1
	if data().ratskulls_return_after_seeking == 4:
		if not data().SpielerEntdeckt:
			onDlg_060_StartDialog()

### MAINQUEST: SARA RETTEN ###
def onSaraAufDemHeimweg():
	object.cancel_commandos("SARA")
	## Sarah geht ins Dorf, wenn dieses gerettet
	if (system.get_qb_entry_state(data().QB_004)==COMPLETE):
		object.move_to("SARA",795.0,851.0, "landscape",MT_FAST)
		object.move_to("SARA",637.0,616.0, "landscape",MT_FAST)
		object.move_to("SARA",609.0,563.0, "landscape",MT_FAST)
		object.move_to("SARA",653.0,560.0, "landscape",MT_FAST)
		object.move_to("SARA",666.3,530.2, "landscape",MT_FAST, callback=["ONEND", activateSaraTA])
		object.turn_to_direction("SARA",globals.DIR_WEST)
	## Sarah geht geht zu Ben, wenn Dorf noch nicht gerettet
	else:
		object.move_to("SARA",779.0,812.0, "landscape",MT_FAST)
		object.move_to("SARA",784.0,706.0, "landscape",MT_FAST)
		object.move_to("SARA",739.0,656.0, "landscape",MT_FAST)
		object.move_to("SARA",726.9,566.7, "landscape",MT_FAST, callback=["ONEND", activateSaraTA])
		object.turn_to_direction("SARA",globals.DIR_WEST)
		character.set_approachable_state("SARA",NOTAPPROACHABLE)
	character.add_experience_party( data().Exp_Sara )
	
	if system.get_qb_entry_state(data().QB_012) == UNCOMPLETE:
		system.set_qb_entry_state(data().QB_012, INACTIVE)
		system.set_qb_entry_state(data().QB_019, UNCOMPLETE)
	if system.get_qb_entry_state(data().QB_016) == UNCOMPLETE:
		system.set_qb_entry_state(data().QB_016, INACTIVE)
		system.set_qb_entry_state(data().QB_018, UNCOMPLETE)

def activateSaraTA(id):
	allow_activity("SARA")

def SaraStartRettung(objectid=None):
	if objectid != "ALTER_EGO":
		object.cancel_commandos("ALTER_EGO")
		d = [1,1]
		pos = object.get_position(objectid)
		pos_rs = object.get_position("RATSKULL_006")
		if pos_rs[0] < pos[0]:
			d[0] = 0-d[0]
		if pos_rs[1] < pos[1]:
			d[1] = 0-d[1]
		object.set_position("ALTER_EGO", pos[0]+d[0],pos[1]+d[1])
	
	object.set_active_state("RATSKULL_006",ACTIVE)
	object.set_active_state("RATSKULL_007",ACTIVE)
	object.set_active_state("SARA",ACTIVE)
	prohibit_activity("SARA")
	initCutscene_Dlg_017_SaraRatSkulls()

def initDlg_018_SaraRettung():
	data().TochterAussteigerGerettet = 2
	dialog.init_dialog(type=DIALOGLARGE)
	dialog.add_text(text='D_018_T_001', speaker="SARA")
	dialog.add_text(text='D_018_T_002', speaker="ALTER_EGO")
	dialog.add_text(text='D_018_T_003', speaker="SARA", follower='D_018_C_001')
	dialog.add_choice(text='D_018_C_001_1', follower='D_018_T_004')
	dialog.add_choice(text='D_018_C_001_2', follower='ENDDIALOG', callback=onSaraAufDemHeimweg)
	dialog.add_text(text='D_018_T_004', speaker="SARA")
	dialog.add_text(text='D_018_T_005', speaker="ALTER_EGO")
	dialog.add_text(text='D_018_T_006', speaker="SARA")
	dialog.add_text(text='D_018_T_007', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onSaraAufDemHeimweg)
	dialog.start()

def initDlg_019_SaraWeitere():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_019_T_001', speaker="SARA", follower='ENDDIALOG')
	dialog.start()

def initCutscene_063_DorfbewohnerTotSaraQuestNichtAngenommen():
	data().SpeicherPosX = object.get_x("ALTER_EGO")
	data().SpeicherPosY = object.get_y("ALTER_EGO")
	object.cancel_commandos("ALTER_EGO")
	system.start_cutscene()
	system.set_camera_view(data().CamView_SaraVomDorfGerettet)
	object.set_position("ALTER_EGO", 784.84, 846.85)
	object.move_to("ALTER_EGO", 799.66, 853.26, "landscape", MT_FAST, callback=["ONEND", initDlg_063_DorfbewohnerTotSaraQuestNichtAngenommen])
	object.turn_to_object("ALTER_EGO","BUILDING_3379")

def initDlg_063_DorfbewohnerTotSaraQuestNichtAngenommen(char_id):
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_063_T_001', speaker="ALTER_EGO")
	dialog.add_text(text='D_063_T_002', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_063_End)
	dialog.start()

def onDlg_063_End():
	object.set_position("ALTER_EGO", data().SpeicherPosX, data().SpeicherPosY)
	end_cutscene(chars=[])

def initCutscene_Dlg_017_SaraRatSkulls():
	#system.set_camera_view(data().CamView_RatskullCamp)
	system.set_camera_view(CAMVIEW_RS_SARA_INTRO)
	system.start_cutscene()
	set_conversation(first_obj = "RATSKULL_006")
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_017_T_001', speaker="RATSKULL_006", callback=Lambda('set_camera(CAMVIEW_RS_SARA_S); set_conversation("SARA","RATSKULL_006", new_camera=False)'))
	dialog.add_text(text='D_017_T_002', speaker="SARA", callback=Lambda('set_camera(CAMVIEW_RS_SARA_R6);set_conversation("RATSKULL_006","SARA", mode="medium", new_camera=False)'))
	dialog.add_text(text='D_017_T_003', speaker="RATSKULL_006", callback=Lambda('set_camera(CAMVIEW_RS_SARA_S);set_conversation("SARA","RATSKULL_006", mode="medium", new_camera=False)'))
	dialog.add_text(text='D_017_T_004', speaker="SARA", callback=Lambda('set_camera(CAMVIEW_RS_SARA_R7);set_conversation(first_obj = "RATSKULL_007"); set_conversation("RATSKULL_007","SARA", mode="medium", new_camera=False)'))
	dialog.add_text(text='D_017_T_005', speaker="RATSKULL_007", callback=Lambda('set_camera(CAMVIEW_RS_SARA_R6);set_conversation(first_obj = "RATSKULL_006"); set_conversation("RATSKULL_006","RATSKULL_007", mode="medium", new_camera=False)'))
	dialog.add_text(text='D_017_T_006', speaker="RATSKULL_006", callback=Lambda('set_camera(CAMVIEW_RS_SARA_S);set_conversation("SARA","RATSKULL_006", mode="medium", new_camera=False)'))
	dialog.add_text(text='D_017_T_007', speaker="SARA", callback=Lambda('set_camera(CAMVIEW_RS_SARA_R6);set_conversation("RATSKULL_006","SARA", mode="medium", new_camera=False)'))
	dialog.add_text(text='D_017_T_008', speaker="RATSKULL_006", callback=Lambda('set_camera(CAMVIEW_RS_SARA_INTRO)'))
	dialog.add_text(text='D_017_T_009', speaker="ALTER_EGO", follower='ENDDIALOG',
			callback=Lambda('set_conversation(first_obj = "ALTER_EGO"); end_cutscene(chars=["SARA", "RATSKULL_006","RATSKULL_007"])'))
	onDlg_017_marker()
	dialog.start()

def onDlg_017_marker():
	if not data().player_knows_Ratskull_Lager:
		data().player_knows_Ratskull_Lager = True
		system.add_minimap_marker(805.77, 857.47,"MM_003")#Ratskull camp
	
def initDlg_021_ZettelGefunden():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_021_T_001', speaker="ALTER_EGO")
	dialog.add_text(text='D_021_T_002', speaker="ALTER_EGO")
	dialog.add_text(text='D_021_T_003', speaker="ALTER_EGO", follower='ENDDIALOG',callback=onDlg_021_Ende)
	dialog.start()

def onDlg_021_Ende():
	if not data().zone_3_on:
		set_zone_enabled("zone_3",True)
		data().zone_3_on = True
		system.set_qb_entry_state(data().QB_013, UNCOMPLETE)

### NEBENQUEST: WOLF ZURUECKBRINGEN ###
def onDlg_022_BobbySucheNachWolf():
	system.set_qb_entry_state(data().QB_005,UNCOMPLETE)
	data().WolfGerettet = 0
	system.notify_region_entered(data().Region_WolfSighted,objectid="ALTER_EGO")

def onDlg_022_BobbyQuestAbgelehnt():
	data().WolfGerettet = -2
	object.move_to("BOBBY",628.28,582.54, "landscape",MT_SLOW)

def initDlg_022_Bobby():
	dialog.init_dialog(type=DIALOGLARGE)
	dialog.add_choice(text='D_022_C_001_1', follower='D_022_T_001')
	dialog.add_choice(text='D_022_C_001_2', follower='ENDDIALOG',
			callback=onDlg_022_BobbyQuestAbgelehnt)
	dialog.add_text(text='D_022_T_001', speaker="BOBBY", follower='D_022_C_002')
	dialog.add_choice(text='D_022_C_002_1', follower='D_022_T_002')
	dialog.add_choice(text='D_022_C_002_2', follower='ENDDIALOG',
			callback=onDlg_022_BobbyQuestAbgelehnt)
	dialog.add_text(text='D_022_T_002', speaker="BOBBY")
	dialog.add_text(text='D_022_T_003', speaker="ALTER_EGO")
	dialog.add_text(text='D_022_T_004', speaker="BOBBY")
	dialog.add_text(text='D_022_T_005', speaker="ALTER_EGO")
	dialog.add_text(text='D_022_T_006', speaker="BOBBY")
	dialog.add_text(text='D_022_T_007', speaker="ALTER_EGO")
	dialog.add_text(text='D_022_T_008', speaker="BOBBY")
	dialog.add_text(text='D_022_T_009', speaker="ALTER_EGO", follower='ENDDIALOG',
			callback=onDlg_022_BobbySucheNachWolf)
	dialog.start()

def initCutscene_023_WolfEntdeckt():
	data().SpeicherPosX = object.get_x("ALTER_EGO")
	data().SpeicherPosY = object.get_y("ALTER_EGO")
	# SetPositon Testen Dominik
	object.cancel_commandos("ALTER_EGO")

	system.set_camera_view(data().CamView_Wolf)
	system.start_cutscene()
	object.set_position("ALTER_EGO", 718.79, 606.24)
	object.move_to("ALTER_EGO", 706.11, 612.56, "landscape", MT_FAST)
	object.turn_to_object("ALTER_EGO","BUILDING_1109", callback=["ONEND",initDlg_023_WolfEntdeckt])

def initDlg_023_WolfEntdeckt(id):
	#print ">>> wolf sehen"
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_023_T_001', speaker="ALTER_EGO")
	dialog.add_text(text='D_023_T_002', speaker="ALTER_EGO", follower='ENDDIALOG',
			callback=onDlg_023_End)
	if object.is_moving("WOLF_VARI"):
		object.cancel_commandos("WOLF_VARI")
	dialog.start()

def onDlg_023_End():
	system.set_qb_entry_state(data().QB_005,INACTIVE)					#Questbookeintrag als erledigt markieren
	system.set_qb_entry_state(data().QB_006,UNCOMPLETE)				#Questbookeintrag hinzufuegen
	object.set_position("ALTER_EGO", data().SpeicherPosX, data().SpeicherPosY)
	end_cutscene(chars=[])

def initCutscene_024_WolfLocken():
	object.cancel_commandos("WOLF_VARI")
	system.start_cutscene()
	system.set_camera_view(data().CamView_Wolf)
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_024_T_001', speaker="ALTER_EGO", follower='D_024_T_003', callback=Lambda('object.turn_to_object("WOLF_VARI","ALTER_EGO")'))
	dialog.add_text(text='D_024_T_003', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_024_WolfLocken)
	dialog.start()

def onDlg_024_WolfLocken():
	object.move_to("ALTER_EGO", 704.00, 623.00, "landscape", MT_FAST)
	object.turn_to_object("ALTER_EGO","WOLF_VARI", callback=["ONEND",initDlg_024_WolfLocken])

def initDlg_024_WolfLocken(id):
	system.notify_timer(data().Timer_WolfRueckkehr,data().Timervalue_WolfRueckkehr)
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_024_T_005', speaker="ALTER_EGO")
	dialog.add_text(text='D_024_T_006', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_024_End)
	dialog.start()

def onDlg_024_End():
	end_cutscene(chars=[])

def onDlg_042_WolfGehtZuFleisch():
	object.move_to_object("WOLF_VARI",data().Obj_RatMeat_Drop,"",MT_SLOW)
	object.turn_to_object("WOLF_VARI",data().Obj_RatMeat_Drop, callback=["ONEND",onDlg_042_WolfFrisstFleisch])

def onDlg_042_WolfFrisstFleisch(id):
	if data().Obj_RatMeat_Drop!="":
		object.set_active_state(data().Obj_RatMeat_Drop,INACTIVE)
	onDlg_042_WolfRenntWeg()

def onDlg_042_WolfRenntWeg():
	object.turn_to_object("WOLF_VARI","BUILDING_2014", callback=["ONEND",initDlg_042_Dialogende])
	object.move_to("WOLF_VARI", 726, 758, "landscape", MT_FAST, callback=["ONEND",onDlg_042_WolfWirdFeindlich])

def onDlg_042_WolfWirdFeindlich(id):
	object.set_attribute("WOLF_VARI", attribute="foes", value=["UISPIELER"])

def onDlg_042_End():
	end_cutscene(chars=[])

def initCutscene_042_FleischAufBoden():
	#initDlg_042_FleischAufBoden():
	system.start_cutscene()
	system.set_camera_view(data().CamView_Wolf)
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_042_T_001', speaker="ALTER_EGO")
	dialog.add_text(text='D_042_T_002', speaker="ALTER_EGO", follower='ENDDIALOG',
			callback=onDlg_042_WolfGehtZuFleisch)
	dialog.start()

def initDlg_042_Dialogende(id):
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_042_T_003', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_042_End)
	dialog.start()

def initDlg_025_BobbyWolfNochNichtGefunden():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_025_T_001', speaker="BOBBY")
	dialog.add_text(text='D_025_T_002', speaker="ALTER_EGO", follower='ENDDIALOG')
	dialog.start()

def onDlg_026_End():
	end_cutscene(chars=["BOBBY", "ALTER_EGO"])
	allow_activity("BOBBY")
	object.set_attribute("BOBBY", "dialog_face", "bobby.png")
	data().WolfGerettet = 2
	system.set_qb_entry_state(data().QB_006,COMPLETE)		#Questbookeintrag als erfuellt markieren
	character.add_experience_party( data().Exp_Wolf )		#Exp. verteilen

def initCutscene_026_BobbyWolfGefunden():
	system.start_cutscene()
	object.cancel_commandos("WOLF_VARI")
	init_cutscene("ALTER_EGO","BOBBY",dx=1.3,dy=1.0)
	object.turn_to_object("ALTER_EGO","BOBBY",callback=["ONEND",initDlg_026_BobbyWolfGefunden])

def initDlg_026_BobbyWolfGefunden(char_id):
	set_conversation('BOBBY', 'ALTER_EGO', mode="close")
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_026_T_001', speaker="BOBBY", callback=Lambda('set_conversation("ALTER_EGO", "BOBBY", mode="close")'))
	dialog.add_text(text='D_026_T_002', speaker="ALTER_EGO", callback=Lambda('set_conversation("BOBBY", "ALTER_EGO", mode="close")'))
	dialog.add_text(text='D_026_T_003', speaker="BOBBY", callback=Lambda('set_conversation("ALTER_EGO", "BOBBY", mode="close")'))
	dialog.add_text(text='D_026_T_004', speaker="ALTER_EGO", follower='ENDDIALOG',
			callback=onDlg_026_End)
	dialog.start()

def initDlg_027_BobbyWolfGefundenWeitere():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_027_T_001', speaker="BOBBY")
	dialog.add_text(text='D_027_T_002', speaker="ALTER_EGO", follower='ENDDIALOG')
	dialog.start()

def initDlg_071_BobbyQuestAbgelehntWeitere():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_071_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
	dialog.start()

## Der Spieler will Bobby nicht sagen, dass sein Wolf tot ist
def initDlg_075_WolfTotSpielerAngst():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_075_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
	dialog.start()

### NEBENQUEST: SCHLAGZEILEN BESORGEN ###
def onDlg_028_QuestAngenommen():
	data().Schlagzeilen = 0
	system.set_qb_entry_state(data().QB_007,UNCOMPLETE)
	system.set_qb_entry_text(data().QB_007,'ZONE2_AIM_07_NAME')
	zone_2.UpdateQBEntry_007Text()
	system.notify_timer(data().Timer_Schlagzeilen,data().Timervalue_Schlagzeilen)

def onDlg_028_Verabschiedung_Rueckkehr():
	data().Schlagzeilen = -2

def onDlg_028_Verabschiedung_KeineRueckkehr():
	data().Schlagzeilen = -3

def initDlg_028_Reporter():
	onDlg_028_marker()
	dialog.init_dialog(type=DIALOGLARGE)

	if data().Schlagzeilen==-1:
		dialog.add_text(text='D_028_T_001', speaker="ALTER_EGO")
		dialog.add_text(text='D_028_T_002', speaker="REPORTER", follower='D_028_C_001')
		dialog.add_choice(text='D_028_C_001_1', follower='D_028_T_003')
		dialog.add_choice(text='D_028_C_001_2', follower='D_028_T_003')
		dialog.add_choice(text='D_028_C_001_3', follower='ENDDIALOG')
		dialog.add_text(text='D_028_T_003', speaker="REPORTER", follower='D_028_C_002')
		dialog.add_choice(text='D_028_C_002_1', follower='D_028_T_005')
		dialog.add_choice(text='D_028_C_002_2', follower='ENDDIALOG',
				callback=onDlg_028_Verabschiedung_Rueckkehr)
	else:
		dialog.add_text(text='D_028_T_004', speaker="ALTER_EGO")

	dialog.add_text(text='D_028_T_005', speaker="REPORTER", follower='D_028_C_003')
	dialog.add_choice(text='D_028_C_003_1', follower='D_028_T_007')
	dialog.add_choice(text='D_028_C_003_2', follower='D_028_T_006')
	dialog.add_text(text='D_028_T_006', speaker="REPORTER", follower='ENDDIALOG',
			callback=onDlg_028_Verabschiedung_KeineRueckkehr)
	dialog.add_text(text='D_028_T_007', speaker="REPORTER")
	dialog.add_text(text='D_028_T_008', speaker="ALTER_EGO")
	dialog.add_text(text='D_028_T_009', speaker="REPORTER", follower='D_028_C_004')
	dialog.add_choice(text='D_028_C_004_1', follower='D_028_T_011')
	dialog.add_choice(text='D_028_C_004_2', follower='D_028_T_010')
	dialog.add_text(text='D_028_T_010', speaker="REPORTER", follower='ENDDIALOG',
			callback=onDlg_028_Verabschiedung_KeineRueckkehr)
	dialog.add_text(text='D_028_T_011', speaker="REPORTER")
	dialog.add_text(text='D_028_T_012', speaker="REPORTER", follower='D_028_C_005')
	dialog.add_choice(text='D_028_C_005_1', follower='ENDDIALOG', callback=onDlg_028_QuestAngenommen)
	dialog.add_choice(text='D_028_C_005_2', follower='D_028_T_013')
	dialog.add_text(text='D_028_T_013', speaker="REPORTER", follower='ENDDIALOG',
			callback=onDlg_028_Verabschiedung_KeineRueckkehr)
	dialog.start()

def onDlg_028_marker():
	if not data().player_knows_Reporters:
		data().player_knows_Reporters = True
		system.add_minimap_marker(486.12, 545.57,"MM_004")#House of the reporter

def initCutscene_031_ReporterAlleSchlagzeilen():
	system.start_cutscene()
	init_cutscene("ALTER_EGO", "REPORTER", dx=1.0, dy=1.3)
	object.turn_to_object("ALTER_EGO","REPORTER", callback=["ONEND",initDlg_031_ReporterAlleSchlagzeilen])

def initDlg_031_ReporterAlleSchlagzeilen(id):
	set_conversation("REPORTER","ALTER_EGO",mode="medium_deep")
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_031_T_001', speaker="REPORTER", callback=Lambda('set_conversation("ALTER_EGO","REPORTER",mode="medium_deep")'))
	dialog.add_text(text='D_031_T_002', speaker="ALTER_EGO", callback=Lambda('set_conversation("ALTER_EGO","REPORTER", new_camera=False, mode="close_deep")'))
	dialog.add_text(text='D_031_T_003', speaker="ALTER_EGO", callback=Lambda('set_conversation("ALTER_EGO","REPORTER", mode="medium_deep")'))
	dialog.add_text(text='D_031_T_004', speaker="ALTER_EGO", callback=Lambda('set_conversation("ALTER_EGO","REPORTER", new_camera=False, mode="close_deep")'))
	dialog.add_text(text='D_031_T_005', speaker="ALTER_EGO", callback=Lambda('set_conversation("ALTER_EGO","REPORTER", mode="close_deep")'))
	dialog.add_text(text='D_031_T_006', speaker="ALTER_EGO", callback=Lambda('set_conversation("ALTER_EGO","REPORTER", new_camera=False, mode="close_deep")'))
	dialog.add_text(text='D_031_T_007', speaker="ALTER_EGO", callback=Lambda('set_conversation("REPORTER","ALTER_EGO", mode="close_deep")'))
	dialog.add_text(text='D_031_T_008', speaker="REPORTER", callback=Lambda('set_conversation("ALTER_EGO","REPORTER", mode="medium_deep")'))
	dialog.add_text(text='D_031_T_009', speaker="ALTER_EGO", callback=Lambda('set_conversation("ALTER_EGO","REPORTER", mode="close_deep")'))
	dialog.add_text(text='D_031_T_010', speaker="ALTER_EGO", callback=Lambda('set_conversation("REPORTER","ALTER_EGO", mode="medium_deep")'))
	dialog.add_text(text='D_031_T_011', speaker="REPORTER", callback=Lambda('set_conversation("ALTER_EGO", "REPORTER", mode="close_deep")'))
	dialog.add_text(text='D_031_T_012', speaker="ALTER_EGO", follower='ENDDIALOG',
			callback=onDlg_031_End)
	dialog.start()

def onDlg_031_End():
	end_cutscene(chars=["REPORTER", "ALTER_EGO"])
	allow_activity("REPORTER")
	data().Schlagzeilen = 1
	system.add_minimap_marker(845.17, 329.47,"MM_005")# Verlassenes Fabrikgelände
	system.set_qb_entry_state(data().QB_008,INACTIVE)
	zone_2.UpdateQBEntry_007Text()
	system.set_qb_entry_state(data().QB_007,COMPLETE)
	character.add_experience_party( data().Exp_Schlagzeilen )

def initDlg_029_ReporterNochNichtAlleSchlagzeilenWeitere():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_029_T_001', speaker="REPORTER")
	dialog.add_text(text='D_029_T_002', speaker="ALTER_EGO", follower='ENDDIALOG')
	dialog.start()

def initCutscene_030_ReporterNochNichtAlleSchlagzeilen():
	system.start_cutscene()
	init_cutscene("ALTER_EGO", "REPORTER", dx=1.0, dy=1.3)
	object.turn_to_object("ALTER_EGO","REPORTER", callback=["ONEND",initDlg_030_ReporterNochNichtAlleSchlagzeilen])

def initDlg_030_ReporterNochNichtAlleSchlagzeilen(id):
	set_conversation("ALTER_EGO","REPORTER",mode="medium_deep")
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_030_T_001', speaker="ALTER_EGO", callback=Lambda('set_conversation("REPORTER","ALTER_EGO",mode="close_deep")'))
	dialog.add_text(text='D_030_T_002', speaker="REPORTER", callback=Lambda('set_conversation("ALTER_EGO","REPORTER",mode="close_deep")'))
	dialog.add_text(text='D_030_T_003', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_030_End)
	dialog.start()

def onDlg_030_End():
	data().Reporter+=1
	end_cutscene(chars=["REPORTER", "ALTER_EGO"])
	allow_activity("REPORTER")

def initCutscene_040_ReporterPlixKompensator():
	system.start_cutscene()
	init_cutscene("ALTER_EGO", "REPORTER", dx=1.0, dy=1.3)
	object.turn_to_object("ALTER_EGO","REPORTER", callback=["ONEND",initDlg_040_ReporterPlixKompensator])

def initDlg_040_ReporterPlixKompensator(id):
	set_conversation("ALTER_EGO","REPORTER",mode="close_deep")
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_040_T_001', speaker="ALTER_EGO", callback=Lambda('set_conversation("REPORTER","ALTER_EGO",mode="close_deep")'))
	dialog.add_text(text='D_040_T_002', speaker="REPORTER", follower='ENDDIALOG', callback=onDlg_040_End)
	dialog.start()

def onDlg_040_End():
	data().ReporterPlixCapacitor = True
	end_cutscene(chars=["REPORTER", "ALTER_EGO"])
	allow_activity("REPORTER")

def initDlg_046_ReporterQuestGeloestWeitere():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_046_T_001', speaker="REPORTER", follower='ENDDIALOG')
	dialog.start()

def initDlg_072_ReporterBeschaeftigt():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_072_T_001', speaker="REPORTER", follower='ENDDIALOG')
	dialog.start()

def initDlg_032_BenachrichtigungAlleSchlagzeilen():
	if not dialog.is_dialog_active():
		dialog.init_dialog(type=DIALOGSMALL)
		dialog.add_text(text='D_032_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
		dialog.start()
		system.set_qb_entry_state(data().QB_007,INACTIVE)
		system.set_qb_entry_state(data().QB_008,UNCOMPLETE)
	else:
		enemy_script.delay(3.0, Lambda('initDlg_032_BenachrichtigungAlleSchlagzeilen()'))

### NEBENQUEST: ZEITMASCHINE REPARIEREN ###
def onDlg_036_TimeTravellerAbschied_Rueckkehr1():
	data().ZeitMaschine=-2

def onDlg_036_TimeTravellerAbschied_Rueckkehr2():
	data().ZeitMaschine=-3

def onDlg_036_TimeTravellerQuestAngenommen():
	data().ZeitMaschine=0
	system.set_qb_entry_state(data().QB_011,UNCOMPLETE)
	system.create_object("SET_PLIX_COMPENSATOR",506.38,544.44,id=data().Obj_FluxCompensator)
	object.set_attribute(object=data().Obj_FluxCompensator, attribute="generic_item", value=False)
	#object.set_active_state("MARTY",ACTIVE)
	system.notify_region_entered(data().Region_Marty,objectid="ALTER_EGO")
	system.notify_timer(data().Timer_TT_D_088_Kommentar,data().Timervalue_TT_D_088_Kommentar)

def initDlg_036_TimeTraveller():
	dialog.init_dialog(type=DIALOGLARGE)

	if data().ZeitMaschine==-1:
		dialog.add_text(text='D_036_T_001', speaker="ALTER_EGO")
		dialog.add_text(text='D_036_T_002', speaker="TIMETRAVELLER", follower='D_036_C_001')
		dialog.add_choice(text='D_036_C_001_1', follower='D_036_T_005')
		dialog.add_choice(text='D_036_C_001_2', follower='D_036_T_004')
		dialog.add_choice(text='D_036_C_001_3', follower='ENDDIALOG',
				callback=onDlg_036_TimeTravellerAbschied_Rueckkehr1)

	if data().ZeitMaschine==-2:
		dialog.add_text(text='D_036_T_003', speaker="ALTER_EGO", follower='D_036_T_005')

	if (data().ZeitMaschine==-1 or
		data().ZeitMaschine==-2):
		dialog.add_text(text='D_036_T_004', speaker="TIMETRAVELLER", follower='D_036_C_002')
		dialog.add_choice(text='D_036_C_002_1', follower='D_036_T_005')
		dialog.add_choice(text='D_036_C_002_2', follower='ENDDIALOG',
				callback=onDlg_036_TimeTravellerAbschied_Rueckkehr1)
		dialog.add_text(text='D_036_T_005', speaker="TIMETRAVELLER")
		dialog.add_text(text='D_036_T_006', speaker="ALTER_EGO")
		dialog.add_text(text='D_036_T_007', speaker="TIMETRAVELLER", follower='D_036_C_003')
		dialog.add_choice(text='D_036_C_003_1', follower='D_036_T_011')
		dialog.add_choice(text='D_036_C_003_2', follower='D_036_T_011')
		dialog.add_choice(text='D_036_C_003_3', follower='D_036_T_014')
		dialog.add_choice(text='D_036_C_003_4', follower='ENDDIALOG',
				callback=onDlg_036_TimeTravellerAbschied_Rueckkehr2)

	if data().ZeitMaschine==-3:
		dialog.add_text(text='D_036_T_008', speaker="ALTER_EGO")
		dialog.add_text(text='D_036_T_009', speaker="TIMETRAVELLER")
		dialog.add_text(text='D_036_T_010', speaker="ALTER_EGO")

	dialog.add_text(text='D_036_T_011', speaker="TIMETRAVELLER")
	dialog.add_text(text='D_036_T_012', speaker="ALTER_EGO")
	dialog.add_text(text='D_036_T_013', speaker="TIMETRAVELLER", follower='ENDDIALOG',
			callback=onDlg_036_TimeTravellerQuestAngenommen)
	
	dialog.add_text(text='D_036_T_014', speaker="TIMETRAVELLER")
	dialog.add_text(text='D_036_T_015', speaker="ALTER_EGO")
	dialog.add_text(text='D_036_T_016', speaker="TIMETRAVELLER", follower='ENDDIALOG', callback=onDlg_036_EndeSqzone1)
	dialog.start(False)

def onDlg_036_EndeSqzone1():
	system.set_qb_entry_state(data().QB_020,UNCOMPLETE)
	set_zone_enabled("sqzone_1", True)
	data().ZeitMaschine=-3
	
def onDlg_039_TimeTravellerQuestEnde():
	system.set_qb_entry_state(data().QB_011,COMPLETE)
	character.add_experience_party( data().Exp_Zeitmaschine )
	data().ZeitMaschine = 1

def initDlg_039_TimeTravellerZeitsprung():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_039_T_001', speaker="ALTER_EGO", follower='ENDDIALOG',
			callback=onDlg_039_TimeTravellerQuestEnde)
	dialog.start()

def onDlg_038_TimeTravellerZeitsprung():
	system.set_camera_view(CAMVIEW_TT_INTRO)
	object.cancel_commandos("TIMETRAVELLER")
	object.cancel_commandos("ALTER_EGO")
	for id in system.get_pcs():
		if not id=="ALTER_EGO":
			if object.get_distance(id,"ALTER_EGO") >= 30.0:
				pass
			else:
				object.move_to(id,373.99,315.08,"landscape",MT_FAST)
				object.turn_to_object(id,"CAR_TIMETRAVELLER")
		else:
			object.move_to(id,373.99,315.08,"landscape",MT_FAST)
			object.turn_to_object(id,"CAR_TIMETRAVELLER")

	object.move_to("VILLAGE2_PETE",		getCutsceneXVal("VILLAGE2_PETE"), 		335.16, "landscape", MT_FAST)
	object.move_to("VILLAGE2_LUKE",		getCutsceneXVal("VILLAGE2_LUKE"), 		329.39, "landscape", MT_FAST)
	object.move_to("VILLAGE2_DOLORES",	getCutsceneXVal("VILLAGE2_DOLORES"),	326.74, "landscape", MT_FAST)
	object.move_to("VILLAGE2_MANDY",	getCutsceneXVal("VILLAGE2_MANDY"), 		323.01, "landscape", MT_FAST)
	object.move_to("VILLAGE2_SAMMY",	getCutsceneXVal("VILLAGE2_SAMMY"), 		326.74, "landscape", MT_FAST)
	object.move_to("VILLAGE2_CARL",		getCutsceneXVal("VILLAGE2_CARL"), 		324.03, "landscape", MT_FAST)
	object.move_to("VILLAGE2_ELVIRA",	getCutsceneXVal("VILLAGE2_ELVIRA"), 	317.50, "landscape", MT_FAST)
	object.move_to("VILLAGE2_ABRAHAM",	getCutsceneXVal("VILLAGE2_ABRAHAM"), 	335.16, "landscape", MT_FAST)
	object.move_to("VILLAGE2_ROSALIND",	getCutsceneXVal("VILLAGE2_ROSALIND"), 	329.39, "landscape", MT_FAST)
	object.move_to("VILLAGE2_WERNER",	getCutsceneXVal("VILLAGE2_WERNER"), 	323.01, "landscape", MT_FAST)
	object.move_to("VILLAGE2_PHINEAS",	getCutsceneXVal("VILLAGE2_PHINEAS"), 	317.50, "landscape", MT_FAST)
	object.move_to("VILLAGE2_FREDERIKE",getCutsceneXVal("VILLAGE2_FREDERIKE"), 	323.01, "landscape", MT_FAST)
	
	for id in data().village2_ta_npcs:
		object.turn_to_object(id,"CAR_TIMETRAVELLER")

	character.set_approachable_state("TIMETRAVELLER",NOTAPPROACHABLE)
	CS_TimeTraveller()
	#loot
	loot = ["SET_WALTER_PPK","SET_MEDIPACK_SMALL","SET_COOKING_POT",
			"SET_ELECTRIC_KETTLE","SET_HEADPHONE","SET_COMPUTER_KEYBOARD",
			"SET_BROKEN_POCKET_CALCULATOR"]

	x,y = object.get_x("ALTER_EGO"),object.get_y("ALTER_EGO")
	for id in loot:
		system.create_object(
		equipmenttype=id,
		x=x-1+random.random(),
		y=y+1+random.random())

def getCutsceneXVal(id):
	nx = 0.0
	x = object.get_x(id)
	if x > 375.0:
		nx = 393.0+random.randint(1,2)
	else:
		nx = 375.0-random.randint(1,2)
	return nx

def initCutscene_Dlg_038_TimeTravellerPlixCapacitor():
	system.start_cutscene()
	system.set_camera_view(CAMVIEW_TT_INTRO)
	
	for id in data().village2_ta_npcs:
		object.cancel_commandos(id)
		prohibit_activity(id)
	
	object.move_to("VILLAGE2_FRIDA",	getCutsceneXVal("VILLAGE2_FRIDA"), 	317.50, "landscape", MT_FAST)
	object.move_to("VILLAGE2_STAN",		getCutsceneXVal("VILLAGE2_STAN"), 	329.39, "landscape", MT_FAST)
	object.move_to("VILLAGE2_JANETTE",	getCutsceneXVal("VILLAGE2_JANETTE"), 	335.16, "landscape", MT_FAST)
	prohibit_activity("TIMETRAVELLER")
	
	object.move_to("ALTER_EGO", 369.93, 312.45,"landscape",MT_SLOW)
	object.move_to("TIMETRAVELLER", 370.81, 311.36,"landscape",MT_SLOW)
	
	data().TT_starting = True
	
	object.turn_to_object("TIMETRAVELLER","ALTER_EGO", callback=["ONEND",onDlg_038_CheckStartDialog])
	object.turn_to_object("ALTER_EGO","TIMETRAVELLER", callback=["ONEND",onDlg_038_CheckStartDialog])


def onDlg_038_CheckStartDialog(char_id):
	data().init_timetraveller_cutscene += 1
	if data().init_timetraveller_cutscene >= 2:
		onDlg_038_StartDialog(char_id)

def onDlg_038_StartDialog(char_id):
	dialog.init_dialog(type=DIALOGSMALL)
	set_conversation("TIMETRAVELLER","ALTER_EGO", mode="medium_deep")
	dialog.add_text(text='D_038_T_001', speaker="TIMETRAVELLER", callback=Lambda('set_conversation("ALTER_EGO","TIMETRAVELLER", mode="close")'))
	dialog.add_text(text='D_038_T_002', speaker="ALTER_EGO", callback=Lambda('set_conversation("TIMETRAVELLER","ALTER_EGO", mode="medium_deep")'))
	dialog.add_text(text='D_038_T_003', speaker="TIMETRAVELLER", follower='ENDDIALOG',callback=onDlg_038_TimeTravellerZeitsprung)
	dialog.start()

def onDlg_037_Comment(id):
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_037_T_010', speaker="ALTER_EGO",follower='ENDDIALOG',
			callback=Lambda('end_cutscene(chars=[])'))
	dialog.start(False)

def initCutscene_Dlg_037_PlixCapacitor():
	system.start_cutscene()
	system.set_camera_view(CAMVIEW_MARTY_INTRO)
	object.cancel_commandos("ALTER_EGO")
	object.move_to("ALTER_EGO",510.0, 545.0,"landscape",MT_FAST)
	object.turn_to_object("ALTER_EGO","MARTY", callback=["ONEND", onDlg_037_StartDialog])

def onDlg_037_StartDialog(char_id):
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_037_T_001', speaker="ALTER_EGO",
			callback=[
				Lambda('object.move_to("ALTER_EGO", 509.28, 542.72, "landscape", MT_SLOW)'),
				Lambda('object.turn_to_object("ALTER_EGO", "MARTY")'),
				Lambda('prohibit_activity("MARTY", False)')]) #Marty ansprechen
	dialog.add_text(text='D_037_T_002', speaker="ALTER_EGO", callback=Lambda('set_conversation("MARTY","ALTER_EGO", mode="medium", new_camera=True)'))
	dialog.add_text(text='D_037_T_003', speaker="MARTY", callback=Lambda('set_conversation("ALTER_EGO","MARTY", mode="medium", new_camera=True)'))
	dialog.add_text(text='D_037_T_004', speaker="ALTER_EGO", callback=Lambda('set_conversation("MARTY","ALTER_EGO", mode="medium", new_camera=True)'))
	dialog.add_text(text='D_037_T_005', speaker="MARTY", callback=Lambda('set_conversation("ALTER_EGO","MARTY", mode="close", new_camera=True)'))
	dialog.add_text(text='D_037_T_006', speaker="ALTER_EGO", callback=Lambda('set_conversation("MARTY","ALTER_EGO", mode="close", new_camera=True)'))
	dialog.add_text(text='D_037_T_007', speaker="MARTY", callback=Lambda('set_conversation("ALTER_EGO","MARTY", mode="close", new_camera=True)'))
	dialog.add_text(text='D_037_T_008', speaker="ALTER_EGO", callback=Lambda('set_conversation("MARTY","ALTER_EGO", mode="close", new_camera=True)'))
	dialog.add_text(text='D_037_T_009', speaker="MARTY",follower='ENDDIALOG',
		callback=[Lambda('system.set_camera_view(data().CamView_Marty)'),
				Lambda('object.cancel_commandos("ALTER_EGO")'),
				Lambda('object.move_to("ALTER_EGO", 507.26, 545.01, "landscape", MT_SLOW,["ONEND",onDlg_037_Comment])'), #AE geht zum Plix-Kompensator
				Lambda('object.turn_to_position("ALTER_EGO", 505.40, 543.63)'), #AE dreht sich zum Plix-Kompensator
				Lambda('object.turn_to_position("MARTY", 510.36, 540.87)'), #Marty dreht sich weg
				Lambda('data().MartyPlixKompensator = True'),
				Lambda('allow_activity("MARTY")')])
	dialog.start()

def initDlg_049_PlixCapacitorNochNichtGefunden():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_049_T_001', speaker="TIMETRAVELLER")
	dialog.add_text(text='D_049_T_002', speaker="ALTER_EGO", follower='ENDDIALOG')
	dialog.start()

### NEBENQUEST: RATTENFLEISCH SICHERN ###
def onDlg_033_RatMeatTraderBeginQuest():
	if not data().WoelfeKilled>=3:
		system.set_qb_entry_state(data().QB_009,UNCOMPLETE)
	else:
		system.set_qb_entry_state(data().QB_009,INACTIVE)
		system.set_qb_entry_state(data().QB_010,UNCOMPLETE)
	data().Rattenfleisch = 0

def onDlg_033_RatMeatTraderVerabschiedung_Rueckkehr():
	data().Rattenfleisch = -2

def onDlg_033_RatMeatTraderVerabschiedung_KeineRueckkehr():
	data().Rattenfleisch = -3
	character.set_approachable_state("RATMEAT_TRADER",NOTAPPROACHABLE)

def initDlg_033_RatMeatTrader():
	dialog.init_dialog(type=DIALOGLARGE)

	if data().Rattenfleisch==-1:
		dialog.add_text(text='D_033_T_001', speaker="RATMEAT_TRADER", follower='D_033_C_001')
		dialog.add_choice(text='D_033_C_001_1', follower='D_033_T_003')
		dialog.add_choice(text='D_033_C_001_2', follower='D_033_T_002')
		dialog.add_text(text='D_033_T_002', speaker="RATMEAT_TRADER", follower='D_033_C_002')
		dialog.add_text(text='D_033_T_003', speaker="RATMEAT_TRADER", follower='D_033_C_002')
		dialog.add_choice(text='D_033_C_002_1', follower='D_033_T_004')
		dialog.add_choice(text='D_033_C_002_2', follower='ENDDIALOG',
				callback=onDlg_033_RatMeatTraderVerabschiedung_Rueckkehr)

	if data().Rattenfleisch==-2:
		dialog.add_text(text='D_033_T_010', speaker="ALTER_EGO", follower='D_033_T_004')

	dialog.add_text(text='D_033_T_004', speaker="RATMEAT_TRADER", follower='D_033_C_003')
	dialog.add_choice(text='D_033_C_003_1', follower='D_033_T_008')
	dialog.add_choice(text='D_033_C_003_2', follower='D_033_T_005')
	dialog.add_choice(text='D_033_C_003_3', follower='D_033_T_009')
	dialog.add_choice(text='D_033_C_003_4', follower='ENDDIALOG', callback=onDlg_033_RatMeatTraderVerabschiedung_KeineRueckkehr)
	dialog.add_text(text='D_033_T_005', speaker="RATMEAT_TRADER")
	dialog.add_text(text='D_033_T_006', speaker="ALTER_EGO")
	dialog.add_text(text='D_033_T_007', speaker="RATMEAT_TRADER", follower='ENDDIALOG', callback=onDlg_033_RatMeatTraderBeginQuest)
	dialog.add_text(text='D_033_T_008', speaker="RATMEAT_TRADER", follower='ENDDIALOG', callback=onDlg_033_RatMeatTraderBeginQuest)
	dialog.add_text(text='D_033_T_009', speaker="RATMEAT_TRADER", follower='D_033_C_003')
	dialog.start()

def initDlg_034_RatMeatTraderWegNochNichtFrei():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_034_T_001', speaker="RATMEAT_TRADER")
	dialog.add_text(text='D_034_T_002', speaker="ALTER_EGO", follower='ENDDIALOG')
	dialog.start()

def onDlg_035_RatMeatTraderExtraBelohnung():
	object.create_item_in_inventory("RATMEAT_TRADER","SET_RAT_MEAT")
	object.create_item_in_inventory("RATMEAT_TRADER","SET_RAT_MEAT")
	object.create_item_in_inventory("RATMEAT_TRADER","SET_RAT_MEAT")
	object.transfer_item("RATMEAT_TRADER","SET_RAT_MEAT","ALTER_EGO")
	object.transfer_item("RATMEAT_TRADER","SET_RAT_MEAT","ALTER_EGO")
	object.transfer_item("RATMEAT_TRADER","SET_RAT_MEAT","ALTER_EGO")
	character.add_experience_party( data().Exp_Rattenfleisch )
	system.set_qb_entry_text(data().QB_009,id_reward="ZONE2_AIM_09_REWARD_01")
	system.set_qb_entry_state(data().QB_009,COMPLETE)
	system.set_qb_entry_state(data().QB_010,INACTIVE)
	data().Rattenfleisch = 1

def onDlg_035_RatMeatTraderBelohnung():
	object.create_item_in_inventory("RATMEAT_TRADER","SET_RAT_MEAT")
	object.transfer_item("RATMEAT_TRADER","SET_RAT_MEAT","ALTER_EGO")
	character.add_experience_party( data().Exp_Rattenfleisch )
	system.set_qb_entry_text(data().QB_009,id_reward="ZONE2_AIM_09_REWARD_02")
	system.set_qb_entry_state(data().QB_009,COMPLETE)
	system.set_qb_entry_state(data().QB_010,INACTIVE)
	data().Rattenfleisch = 1

def onDlg_035_RatMeatTraderOhneBelohnung():
	character.add_experience_party( data().Exp_Rattenfleisch )
	system.set_qb_entry_text(data().QB_009,id_reward="ZONE2_AIM_09_REWARD_02")
	system.set_qb_entry_state(data().QB_009,COMPLETE)
	system.set_qb_entry_state(data().QB_010,INACTIVE)
	data().Rattenfleisch = 1

def initDlg_035_RatMeatTraderWegFrei():
	dialog.init_dialog(type=DIALOGLARGE)
	dialog.add_text(text='D_035_T_001', speaker="ALTER_EGO")
	dialog.add_text(text='D_035_T_002', speaker="RATMEAT_TRADER", follower='D_035_C_001')
	dialog.add_choice(text='D_035_C_001_1', follower='ENDDIALOG',
			callback=onDlg_035_RatMeatTraderBelohnung)
	if object.get_attribute("ALTER_EGO", "speech") > 65:
		dialog.add_choice(text='D_035_C_001_2', follower='D_035_T_003')
	else:
		dialog.add_choice(text='D_035_C_001_2', follower='D_035_T_004')
	dialog.add_choice(text='D_035_C_001_3', follower='ENDDIALOG',
			callback=onDlg_035_RatMeatTraderOhneBelohnung)
	
	dialog.add_text(text='D_035_T_003', speaker="RATMEAT_TRADER", follower='ENDDIALOG',
			callback=onDlg_035_RatMeatTraderExtraBelohnung)
	dialog.add_text(text='D_035_T_004', speaker="RATMEAT_TRADER", follower='ENDDIALOG',
			callback=onDlg_035_RatMeatTraderOhneBelohnung)
	dialog.start(False)

def initDlg_048_RatMeatTraderDankbar():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_048_T_001', speaker="RATMEAT_TRADER", follower='ENDDIALOG')
	dialog.start()

def initDlg_080_FredoAutoDialog():
	if get_location("FREDO") == 1:
		prohibit_activity("FREDO")
	dialog.init_dialog(type=DIALOGSMALL)
	textid = 'D_080_T_00%d' % data().Fredo_Dialogtext
	data().Fredo_Dialogtext += 1
	if data().Fredo_Dialogtext > 5:
		data().Fredo_Dialogtext = 1;
	dialog.add_text(text=textid, speaker="FREDO", follower='ENDDIALOG', callback=Lambda('system.notify_timer(data().Timer_Fredo,data().Timervalue_Fredo)'))
	dialog.start()

def initDlg_081_FredoInformationen():
	data().Fredo_angesprochen = True
	dialog.init_dialog(type=DIALOGLARGE)
	dialog.add_text(text='D_081_T_001', speaker="ALTER_EGO")
	dialog.add_text(text='D_081_T_002', speaker="FREDO", follower='D_081_C_001')
	dialog.add_choice(text='D_081_C_001_1', follower='D_081_T_003')
	dialog.add_choice(text='D_081_C_001_2', follower='D_081_T_008')
	dialog.add_choice(text='D_081_C_001_3', follower='D_081_T_011')
	dialog.add_choice(text='D_081_C_001_4', follower='D_081_T_009')
	dialog.add_choice(text='D_081_C_001_5', follower='ENDDIALOG', callback=onDlg_081_RestartSwitch)
	dialog.add_text(text='D_081_T_003', speaker="FREDO", follower='D_081_C_002')
	dialog.add_choice(text='D_081_C_002_1', follower='D_081_T_004')
	dialog.add_choice(text='D_081_C_002_2', follower='ENDDIALOG', callback=onDlg_081_RestartSwitch)		
	dialog.add_text(text='D_081_T_004', speaker="FREDO", follower='D_081_C_003')
	dialog.add_choice(text='D_081_C_003_1', follower='D_081_T_005')
	dialog.add_choice(text='D_081_C_003_2', follower='ENDDIALOG', callback=onDlg_081_RestartSwitch)
	dialog.add_text(text='D_081_T_005', speaker="FREDO", follower='D_081_C_004')
	dialog.add_choice(text='D_081_C_004_1', follower='D_081_T_006')
	dialog.add_choice(text='D_081_C_004_2', follower='ENDDIALOG', callback=onDlg_081_RestartSwitch)
	dialog.add_text(text='D_081_T_006', speaker="FREDO")
	dialog.add_text(text='D_081_T_007', speaker="ALTER_EGO", follower='D_081_C_001', callback=onDlg_081_Zzone1On)
	dialog.add_text(text='D_081_T_008', speaker="FREDO", follower='D_081_C_001')
	dialog.add_text(text='D_081_T_009', speaker="FREDO", follower='D_081_C_001')
	dialog.add_text(text='D_081_T_010', speaker="ALTER_EGO", follower='D_081_C_001')
	dialog.add_text(text='D_081_T_011', speaker="FREDO", follower='D_081_C_001')
	if data().d_081_restart_t_010:
		dialog.jump_to('D_081_T_010')
	dialog.start(False)

def onDlg_081_RestartSwitch():
	data().d_081_restart_t_010 = True

def onDlg_081_Zzone1On():
	set_zone_enabled('zzone_1',True)
	system.set_qb_entry_state(data().QB_021, UNCOMPLETE)

# [NM] Dialog 082: Fredo hat dem Spieler schon gesagt, wo sich die Siedlung befindet
def initDlg_082_FredoBoese():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_082_T_001', speaker="FREDO", follower='ENDDIALOG')
	dialog.start()

## [NM] Dialog 085: Die Dörfler kehren heim
def initDlg_085_DoeflerHeimkehr(speaker):
	set_voice_id(speaker)
	dialog.init_dialog(type=DIALOGSMALL)
	textid = 'D_085_T_00%d' % data().Doerfler_Rettungskommentar
	data().Doerfler_Rettungskommentar += 1
	if data().Doerfler_Rettungskommentar > 5:
		data().Doerfler_Rettungskommentar = 1;
	dialog.add_text(text=textid, speaker=speaker, follower='ENDDIALOG')
	dialog.start()

def set_voice_id(char):
	if object.get_attribute(char, "gender") == "male":
		if char == "BOBBY":
			vid = "DOERFLER_01"
		else:
			vid = random.choice(["DOERFLER_02", "DOERFLER_03"])
		if not object.has_attribute(char, "voice_id"):
			object.set_attribute(char, "voice_id", vid)
	else:
		pass

## [NM] Dialog 084: Die Dörfler sind in heller Panik
def initDlg_084_DoeflerFlucht(speaker):
	set_voice_id(speaker)
	dialog.init_dialog(type=DIALOGSMALL)
	textid = 'D_084_T_00%d' % data().Doerfler_Rettungskommentar
	data().Doerfler_Rettungskommentar += 1
	if data().Doerfler_Rettungskommentar > 5:
		data().Doerfler_Rettungskommentar = 1;
	dialog.add_text(text=textid, speaker=speaker, follower='ENDDIALOG')
	dialog.start()

def initDlg_086_SpielerKommentiertDorfVernichtung():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_086_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
	dialog.start()

def initDlg_087_SpielerWillMartyNichtAnprechen():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_087_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
	dialog.start()

def initDlg_088_SpielerKommentiertTT():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_088_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
	dialog.start()

def initDlg_061_SchlagzeileRettungAussteiger():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_061_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
	dialog.start()

def initDlg_064_SchlagzeileDorfRettung():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_064_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
	dialog.start()

def initDlg_065_SchlagzeileWolf():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_065_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
	dialog.start()

def initDlg_066_SchlagzeileRattenfleisch():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_066_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
	dialog.start()

def initDlg_067_SchlagzeileZeitmaschine():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_067_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
	dialog.start()

def initCutscene_Dlg_062_WoelfeGesehen():
	system.start_cutscene()
	system.set_camera_view(CAMVIEW_WOLVES_RATMEAT)
	system.notify_timer(data().Timer_WolvesCamSwitch,data().Timervalue_WolvesCamSwitch)
	object.cancel_commandos("ALTER_EGO")
	object.set_position("ALTER_EGO",465.5,311.0)
	object.move_to("ALTER_EGO",469.6,311.0,"landscape",MT_FAST,callback=["ONEND", onDlg_062_StartDialog])

def onDlg_062_StartDialog(char_id):
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_062_T_001', speaker="ALTER_EGO", follower='ENDDIALOG',
			callback=Lambda('end_cutscene(chars=[])'))
	dialog.start()

def initDlg_073_MartyWeitere():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_073_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
	dialog.start()

def onDlg_045_End():
	end_cutscene(chars=["RATSKULL_015", "RATSKULL_005"])

def initCutscene_Dlg_045_Wachenverwundert():
	system.start_cutscene()
	object.turn_to_object("RATSKULL_005","RATSKULL_015")
	object.turn_to_object("RATSKULL_015","RATSKULL_005")
	system.set_camera_view(CAMVIEW_RATSKULLS_WONDER)
	set_conversation("RATSKULL_015", "RATSKULL_005", new_camera=False)
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_045_T_001', speaker="RATSKULL_015", callback=Lambda('set_conversation("RATSKULL_005", "RATSKULL_015", new_camera=False)'))
	dialog.add_text(text='D_045_T_002', speaker="RATSKULL_005", callback=Lambda('set_conversation("RATSKULL_015", "RATSKULL_005", new_camera=False)'))
	dialog.add_text(text='D_045_T_003', speaker="RATSKULL_015",
		follower='ENDDIALOG', callback = onDlg_045_End)
	dialog.start()
	
#[NM] Dialog 089: Der Spieler überlegt seine Optionen
def initDlg_089_SpielerUeberlegtOption():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_089_T_001', speaker="ALTER_EGO",follower='ENDDIALOG')
	dialog.start()
	

#########################
# Cutscene Timetraveller
#########################
def onCS_TimeTraveller_End():
	end_cutscene(chars=[])
	#Kommentar des Spielers nach kurzer Zeit einblenden
	system.notify_timer(data().Timer_TimeTravellerTimeJump,data().Timervalue_TimeTravellerTimeJump)
	data().ZeitmaschineZerstoert=1
	#character.remove_from_vehicle("TIMETRAVELLER",380.26,229.70)
	object.set_active_state("CAR_TIMETRAVELLER",INACTIVE)
	object.set_position_free("TIMETRAVELLER", 458.82, 409.71, 0.0, "landscape", "zone_10.zone_10")
	data().Time_Traveler_Gestartet = True

	for id in data().village2_ta_npcs:
		#object.step_away(id)
		#print ">>> allow activity for id", id
		allow_activity(id)

def onCS_TimeTraveller_StartEndTimer(id):
	system.notify_timer(data().Timer_CS_TimeTraveller_End,data().Timervalue_CS_TimeTraveller_End)
	object.set_active_state("TIMETRAVELLER_EXPLOSION",INACTIVE)

def onCS_TimeTraveller_Explosion(id):
	sounds.play_3d_sound_object(sfx_id="explosion_timemachine",
		object="CAR_TIMETRAVELLER")
	object.set_active_state("CAR_TIMETRAVELLER",INACTIVE)
	object.set_active_state("TIMETRAVELLER_EXPLOSION",ACTIVE)
	object.play_animation("TIMETRAVELLER_EXPLOSION","TIMEMACHINE_ZERSTOEREN",["ONEND",onCS_TimeTraveller_StartEndTimer])
	

def onCS_GetIn():
	object.set_position("CAR_TIMETRAVELLER",387.09,340.64)
	object.set_direction("CAR_TIMETRAVELLER",167)
	object.play_animation("CAR_TIMETRAVELLER", "TIMEMACHINE_FAHRT",["ONEND",onCS_TimeTraveller_Explosion])
	sounds.play_3d_sound_object(sfx_id="timemachine", object="CAR_TIMETRAVELLER")

	system.set_camera_view(data().CamView_TimeTraveller)
	system.fade(FADE_IN)

	#fx
	x = 381.90
	y = 325.23
	for i in range(50):
		time_start = 2200 + i*20
		time_end = 5500 + random.randint( 0, 20 ) * 100;
		fx_fire = [FX_FIRE_SHAPE,time_start,time_end,0.1+(random.random()/5.0),	0,0]
		system.start_effect(x,y,0,x,y,1,parameter=fx_fire)
		system.start_effect(x+1.9,y,0,x,y,1,parameter=fx_fire)
		y-=0.9
		x-=0.20

def CS_TimeTraveller_FadeOut():
	system.fade(FADE_OUT)

def CS_TimeTraveller():
	object.move_to("TIMETRAVELLER",369.41, 308.18)
	object.turn_to_object("TIMETRAVELLER","CAR_TIMETRAVELLER")
	system.notify_timer(data().Timer_CS_TimeTraveller,6500)
	system.notify_timer(data().Timer_CS_TimeTraveller_FadeOut,5000)

#########################
# Cutscene Marty
#########################
def CS_Marty():
	initCutscene_Dlg_037_PlixCapacitor()

#####################################################################

## moves a char along a specified route #####################################
# moves a char along a specified route, might be used for looping patrols
# params:
#    id			 - id of the mover
#    route		 - route for moving (list waypoints with [x,y] position)
#    patrol_type - type of patrol
#      'none' 	> simple routed moveto, mover stops at end
#    speed		 - speed for moving
#    cancel		 - if True: cancels former commandos of mover
#############################################################################
def RoutedMoveTo(id,route,patrol_type='none',speed=MT_SLOW, cancel=True):
	#print "[debug RoutedMoveTo()",id,patrol_type,"]"
	#print "[debug route:",str(route),"]"

	if cancel:
		object.cancel_commandos(id)

	object.set_attribute(id,"route",route)
	object.set_attribute(id,"route_type",patrol_type)
	object.set_attribute(id,"route_speed",speed)

	if id in ["RATSKULL_003","RATSKULL_004","RATSKULL_010"] and patrol_type == 'none':
		for index in range(0,len(route)):
			if index == len(route)-1:
				lambdastring = 'data().route_active_for["%s"] = True' %(id)
				object.move_to(id,route[index][0],route[index][1],"landscape",speed,callback=["ONEND",Lambda(lambdastring)])
			else:
				object.move_to(id,route[index][0],route[index][1],"landscape",speed)
	else:
		for waypoint in route:
			object.move_to(id,waypoint[0],waypoint[1],"landscape",speed)

def on_destroy_building_david_end(id):
	object.fade_node(object="BUILDING_DAVID_SPRENGUNG",node="parts",time=300)
	
def on_destroy_building_david_start(id):
	system.start_effect_object(object="BUILDING_DAVID_SPRENGUNG",node="main_explosion",parameter=[FX_EXPLOSION_COMBO_1,150,1300,3.0,90.0])
	system.start_effect_object(object="BUILDING_DAVID_SPRENGUNG",node="fenster_explosion01",parameter=[FX_EXPLOSION_COMBO_1,0,1000,1.5,30.0])
	system.start_effect_object(object="BUILDING_DAVID_SPRENGUNG",node="fenster_explosion02",parameter=[FX_EXPLOSION_COMBO_1,0,1000,1.5,30.0])
	system.start_effect_object(object="BUILDING_DAVID_SPRENGUNG",node="fenster_explosion03",parameter=[FX_EXPLOSION_COMBO_1,0,1000,1.5,30.0])
	system.start_effect_object(object="BUILDING_DAVID_SPRENGUNG",node="fenster_explosion04",parameter=[FX_EXPLOSION_COMBO_1,0,1000,1.5,30.0])
	system.start_effect_object(object="BUILDING_DAVID_SPRENGUNG",node="fenster_explosion05",parameter=[FX_EXPLOSION_COMBO_1,0,1000,1.5,30.0])
	system.start_effect_object(object="BUILDING_DAVID_SPRENGUNG",node="fenster_explosion06",parameter=[FX_EXPLOSION_COMBO_1,0,1000,1.5,30.0])
	system.start_effect_object(object="BUILDING_DAVID_SPRENGUNG",node="main_explosion",parameter=[FX_EXPLOSION_SMOKE,100,1200,4.0,90.0])
	sounds.play_3d_sound_object(sfx_id="explosion_house_david",
		object="BUILDING_DAVID_SPRENGUNG")

def destroy_building_david():
	object.set_active_state(object="BUILDING_181", state=INACTIVE)
	object.set_active_state(object="BUILDING_DAVID_SPRENGUNG", state=ACTIVE)
	object.set_immortal_state("BUILDING_DAVID_SPRENGUNG", True)
	object.play_animation(
		object="BUILDING_DAVID_SPRENGUNG",
		animation="ANIM_WALDHAUS_S2",
		callback=[["ONEND",on_destroy_building_david_end],
		["ONSTART",on_destroy_building_david_start]])			

#[NM] Dialog 090: Der Spieler untersucht die Zeitmaschine
def initDlg_090_SpielerUntersuchtZeitmaschine():
	dialog.init_dialog(DIALOGSMALL)
	dialog.add_text(text='D_090_T_001', speaker='ALTER_EGO', follower='ENDDIALOG')
	dialog.start()

#[NM] Dialog 091: Der Spieler will nicht während des Kampfes mit David sprechen
def initDlg_091_SpielerWillNichtImKampfMitDavidSprechen():
	dialog.init_dialog(DIALOGSMALL)
	dialog.add_text(text='D_091_T_001', speaker='ALTER_EGO', follower='ENDDIALOG')
	dialog.start()
	
#[NM]Dialog 092: Der Spieler ärgert sich über den Tod des Aussteigers, Variante: Selbst getötet
def initDlg_092_SpielerHatDavidSelbstgetoetet():
	dialog.init_dialog(DIALOGSMALL)
	dialog.add_text(text='D_092_T_001', speaker='ALTER_EGO', follower='ENDDIALOG')
	dialog.start()
		
