# -*- coding: utf-8 -*-
from globals import *

#*********************************************************************
#	aktuelle revison: Revision 37, 6.09.2004
#*********************************************************************
def init_data():
	data().gate_open = False
	data().region_wohnwagen_entered = False
	data().region_wohnwagen_notified = False
	data().drugmen_now_have_a_daily_routine = False
	data().SPIELER_WEISS_VON_DROGENKURIEREN = False
	data().d_087_start_c_002 = False
	data().alter_ego_rampage = False
	data().scientists_rescued = False
	### Minimap Marker ###
	data().player_knows_leila			= False
	data().player_knows_adrian			= False
	data().player_knows_chuck			= False
	data().player_knows_geiselcamp			= False
	data().player_knows_jim_bob			= False
	######################

	data().gate_comment_152_153_given	= False
	data().leila_comment_given			= False
	data().player_needs_password		= False
	data().hostages_rescued				= False
	data().d_031_restart_c_001			= False
	
	data().AttendsToPerformance = []
	data().PerformancePositionTaken = []
	data().PerformanceWatchingPositions = (
		[517.31, 518.14, 514.95, 516.45, 515.29, 516.09],
		[563.90, 566.28, 562.88, 565.92, 565.20, 563.48])
	
	data().colin_questende	= False
	data().colin_doomed		= False
	### foe lists ###
	data().HostageCampRatSkulls = []
	data().FortRatSkulls = []
	#combat helper
	data().FortRSRunner = ""
	data().FortAlert = 0
	
	
	data().EnemyDefaultOccupation = {}
	# format: {id : ["occupationID", occupationData, jobState]
	#
	# jobState:
	#	""			after level start
	#	"working"	job started
	#	"alerted"	job stopped because of indirect threat
	#	"engaging"	job stopped because of direct threat
	#
	# for on guard:
	#	occupationID: "guard"
	#	data: (x, y, mainDirection)
	#
	# for patrols:
	#	occupationID: "patrol"
	#	data: [currentPosition, [(x,y),...]]
	#
	# for ainimations:
	#	occupationID: "animation"
	#	data: [(x,y, direction), "startAni", "loopAni", "stopAni", "without"]
	#		without is unequiped before the animation is started (eg. the weapon)
	
	### switches ###
	#fight
	data().Fort_liberated = False
	data().Fort_escape_flag = False
	#Junk
	data().FireAlert = False
	#Colin Quest
	data().Dad_killers_are_foes = False
	data().One_time_only_D098 = True
	#Soap Quest
	data().Start_D024_with_020 = False
	data().One_time_only_D026 = True
	data().Soap_stolen = False
	data().Soap_traded = False
	#Haricut quest
	data().d_031_c_001_4_active = False
	data().d_031_c_001_5_active = False
	data().d_031_c_001_6_active = False
	data().d_031_c_001 = [False, False, False, False, False]
	data().Start_D031_with_019 = False
	data().One_time_only_D029 = True
	data().One_time_only_D033 = True
	#Dana
	data().Start_D020_with_023 = False
	data().One_time_only_D019 = True
	data().One_time_only_D020 = True
	data().One_time_only_D021 = True
	#Jim-Bob
	data().JIMBOB_AMORE = False #umbenannt
	data().JIMBOB_AMORE_FINISH_TIME = 0
	data().JIMBOB_DANA_DIRTY = False
	#JIMBOB_AMORE_TEIL2 = False #nicht benötigt
	data().One_time_only_D009 = True
	#Chuck
	data().One_time_only_D037C0012 = True
	data().One_time_only_add_D037C0024 = True
	data().One_time_only_D035 = True
	data().Thresher_sabotaged = False
	data().Chuck_knows = False
	data().Chuck_repairs = False
	data().Jacket_stolen = False
	data().Thresher_repared = False
	data().One_time_only_D043 = True
	data().One_time_only_D051 = True
	data().One_time_only_D040 = True
	data().One_Time_Only_D050 = True
	data().Chuck_is_away = False
	data().Animate_Thresher = False
	data().treshner_sound_playing = False
	data().region_comment_given = {
		"REGION_CHUCK"      : [False, False],
		"REGION_THRESNER"   : [False],
		"REGION_FIRE_ALERT" : [False],
	}
	data().dialog_queue = None
	
	#RS-Camp:
	data().player_knows_password = False
	data().drugcar_bug_installed = False
	data().Drug_state = 'unkown'
	data().GetInGuard = True
	data().Camp_escape_flag = True
	data().drugmans_inactive = 0
	#Leila:
	data().LEILA_WILL_HELFEN = False
	data().One_time_only_D004 = True
	data().One_time_only_D070 = True
	#SPIELER_WEISS_VON_DROGENKURIEREN = False #nicht benötigt
	#Nigel:
	data().Start_D073_with_C001 = False
	data().Start_D073_with_C002 = False
	data().One_time_only_D073C0022 = True
	data().One_time_only_D073C0023 = True
	data().One_time_only_D073C0024 = True
	data().One_time_only_D073C0025 = False
	data().One_time_only_095 = True
	data().player_knows_market_sign = False
	#Adrian:
	data().Start_D078_with_T004 = False
	data().Start_D078_with_T015 = False
	data().Adrian_plays_with_puppies = False
	data().adrian_drunken = False
	data().Adrian_no_more_booze = False
	#William:
	data().One_time_only_D083 = True
	#Myriam:
	data().myriam_approached = 0
	data().myriam_quest_status = -1
	
	# DrogenCutscene
	data().DrogenAutoCutscene = False
	data().DrogenKurriereAbfahrt = False
	data().counter_drugmen_leila_in_caravan = 0
	
	### Counter ###
	data().Dialog_042 = 1
	data().Dialog_092 = 1
	data().AlertCount = 0
	data().counter_chuck_region_enter = 0
	
	### Timer ###
	data().Chuckwalk = 1
	data().Timer_TICK = 2
	data().Timer_Fort_Alert = 3
	data().Timervalue_TICK = 10000
	data().Timervalue_Fort_Alert = 30*1000
	data().Timer_Misc = range(100, 250)
	data().ActiveMisc={}
	data().Timercount_Fort_Alert = 0
	data().Drug_timer = 4
	data().Drug_timer_TICK = 5000
	data().Timer_DialogQueue = 5
	data().Timervalue_DialogQueue = 2 * 1000
	
	
	#drogenkuriere neu
	data().Timer_DrugCarStart = 8
	data().Timer_DrugCarLeaveLeila = 9
	data().Timer_DrugCarLeaveDruglab = 10
	data().Timervalue_DrugCarCheck = 5 * 1000
	data().drugcar_started = False
	data().drugcar_cutscene = False
	
	data().soap_picked_up = False
	data().ratfurjacket_picked_up = False
	data().teddy_picked_up = False
	
	data().Timer_BusTorAnimation = 6
	data().Timervalue_BusTorAnimation = 125
	data().gate_state = "closed"
	data().tor_anmation_frames = []
	data().tor_animation_frame = 0
	data().player_has_entered_fort = False
	
	data().Timer_Cutscene = 7
	data().Timervalue_Cutscene = 2 * 1000
	data().cutscene_name = None
	
	
	#ta
	data().Spaziergang = -1
	
	### Questbook ###
	# Beschaffe dir das Passwort für die Festung.
	data().QB_002 = -1
	# Beschaffe dir das Passwort für die Festung. Finde einen Weg, dieses Passwort von Laylas Stammkunden, die täglich in die Festung fahren, zu bekommen.
	data().QB_003 = -1
	# Verkupple Jim-Bob mit Dana, um die Wanze zu erhalten.
	data().QB_004 = -1
	# Besorge ein Stück Seife, um Jim-Bob zu waschen.
	data().QB_005 = -1
	# Verschaffe Jim-Bob eine vernünftige Frisur
	data().QB_006 = -1
	# Treibe schicke Kleidung für Jim-Bob auf.
	data().QB_007 = -1
	# Besorge die Rattenfelljacke von Müller Chuck für Jim-Bob.
	data().QB_008 = -1
	# Es ist alles beisammen, um aus Jim-Bob einen ansehnlichen Kerl zu machen. Geh zu ihm hin und sprich mit ihm!
	data().QB_009 = -1
	# Dringe in das Fort ein und vernichte das Drogenlabor.
	data().QB_010 = -1
	# Rette die Angehörigen der Wissenschaftler aus den Klauen der Ratskulls.
	data().QB_011 = -1
	# Die Wissenschaftler wissen, wo sich das Hauptquartier der Ratskulls befindet. Bringe diese Informationen aus ihnen heraus!
	data().QB_012 = -1
	# Sorge dafür, dass Adrian, der Alleinunterhalter, auf dem Marktplatz von Hayden Valley auftritt.
	data().QB_013 = -1
	# Besorge einen Talisman für Adrian.
	data().QB_014 = -1
	# Besorge Schnaps für Adrian.
	data().QB_015 = -1
	# Sprich mit Nigel, dem Marktbesitzer wegen der Belohnung für deine Hilfe bei Adrian.
	data().QB_016 = -1
	# Sprich mit Nigel, dem Marktbesitzer wegen der Belohnung für deine 'Hilfe' bei Adrian.
	data().QB_017 = -1
	# Finde heraus, was mit Colins Vater passiert ist.
	data().QB_018 = -1
	# Überbringe Colin die schlechte Nachricht, dass sein Vater tot ist.
	data().QB_019 = -1
	# Die zwielichtige Gestalt in Hayden Valley hat dich zu Skeeze geschickt, um diesen zu töten. Skeezes Anwesen befindet sich im Süden der Zone.
	data().QB_020 = -1
	# Kehre zurück zur zwielichtigen Gestalt in Hayden Valley, um deine opulente Belohnung für die Eliminierung von Skeeze in Empfang zu nehmen.
	data().QB_021 = -1
	# Finde heraus, was es mit den Kreaturen der Nacht auf sich hat – und beseitige die Gefahr.
	data().QB_022 = -1
	
	
	data().main_char = "ALTER_EGO"
	
	### Experience ###
	data().Exp_SeifeBeschafft = 125
	data().Exp_FrisurOrganisiert = 125
	data().Exp_JackeBeschafft = 250
	data().Exp_WanzeBekommen = 350
	data().Exp_PasswortErfahren = 400
	data().Exp_LaborEingenommen = 400
	data().Exp_GeiselnBefreitUndHQLocationBekommen = 400
	data().Exp_AdrianUeberlebt = 300
	data().Exp_AdrianTot = 100
	data().Exp_KetteZurueckgebracht = 200
	data().Exp_KartographerQuest = 300
	
	### Special Animation Control ###
	data().PlayAnimation = {}
	
	### Fuer Spawn-Animals ###
	data().Timer_SpawnTimeChecker		= 666
	data().Timervalue_SpawnTimeChecker   	= 10 * 60 * 1000.0 * globals.hour_real_to_game
	data().SpawnAnimalsSpawned		= False
	data().SpawnAnimals			= ["WOLF_1","WOLF_2","WOLF_3","WOLF_4","WOLF_5","WOLF_6"]
	
	
	
	data().Region_Hostages_Close = False
	# keno
	data().Keno_Erstes_Mal = True
	data().Keno_has_his_Sally = False
	
	data().Region_Fort_Gate = False
	data().Region_Fort_Gate_Angelegt = False

### Regions ###
# Tierareale
#data().Region_Hirsche1     = "REGION_HIRSCHE1"
#data().Region_Hirsche2     = "REGION_HIRSCHE2"
#data().Region_Woelfe       = "REGION_WOELFE"
Region_Hostagecamp = (204, 512, 305, 596)


### values ###
LUIS_MINIMAL_CHARISMA = 15 #< überzeugt Luis umsonst Jim-Bob zu frisieren
CHUCK_MINIMAL_TECHNIC = 70 #< kann die Mühle reparieren
MAREN_MINIMAL_PICKPOCKET = 74 #< Kann Seife stehlen
JAIL_MINIMAL_PICKLOCK = 70 #< kann Knast ohne Schlüssel öffnen
MEAT_ACCEPTED_FOR_QUESTS = ('SET_MEAT_RAW_TINY',
							'SET_MEAT_COOKED_TINY',
							'SET_MEAT_RAW_SMALL',
							'SET_MEAT_COOKED_SMALL',
							'SET_MEAT_RAW',
							'SET_MEAT_COOKED',
							'SET_MEAT_RAW_BIG',
							'SET_MEAT_COOKED_BIG',
							'SET_MEAT_RAW_HUMONGOUS',
							'SET_MEAT_COOKED_HUMONGOUS')
AMMONITION_ACEPTED_BY_MAREN = ('SET_AMMOPACK_9_MM','SET_AMMOPACK_9_MM_DUMDUM')
### rewards ###
#COLINQUEST_

### NPC lists ###
HAYDN_VALLEY_CHARS = ("CHUCK", "NIGEL",
					  "DANA", "WILLIAM", "TOM", "ANDY", "STEVEN", "PEGGY",
					  "SHEILA", "DOROTHY", "SUSAN", "MATTHEW", "BENITO",
					  "THOMAS", "NICOLE", "VINCENT", "SIMEON", "PEDRO",
					  "PINKUS", "LEE", "FALK", "DORIS")
CASA_VERDE_CHARS = ("JIMBOB", "LUIS", "MAREN", "MILES", "FRED", "TIM", "RUDOLPH",
					"MARY", "CAREN", "ELVIRA", "HULDA", "JON",
					"GUNNAR", "ROLF", "KANE", "TYRON", "JUDY",
					"JAFFAR") #for ANDY
NPCS_WITH_SCHEDULE = ("TOM", "ANDY", "STEVEN", "PEGGY", "SHEILA", "DOROTHY",
					  "SUSAN", "MATTHEW", "FRED", "TIM", "RUDOLPH", "MARY",
					  "CAREN", "ELVIRA", "HULDA", "JON", "GUNNAR", "ROLF",
					  "KANE", "TYRON", "JUDY", "JAFFAR", "BENITO",
					  "THOMAS", "NICOLE", "VINCENT", "SIMEON", "PEDRO",
					  "PINKUS", "LEE", "FALK", "DORIS")
SCIENTISTS = ("JEFF", "WISSENSCHAFTLER1", "WISSENSCHAFTLER2")
SCIENTISTS_FAMILIES = ("NED", "LAURA", "GEISEL1", "GEISEL2", "GEISEL3")


DrugCarWaypoints1 = [
	 (759.88,554.06),
	 (766.14,533.66),
	 (758.02,514.30),
	 (746.20,497.85),
	 (730.35,481.14),
	 (706.43,451.58),
	 (684.47,416.90),
	 (657.33,401.04),
	 (622.55,417.77),
	 (600.31,418.59),
	 (557.32,411.30),
	 (527.72,403.70),
	 (494.43,417.53),
	 (454.95,450.05),
	 (436.24,458.05),
	 (403.87,460.58),
	 (371.32,457.79),
	 (351.38,456.01),
	 (345.73,450.69)]
DrugCarWaypoints2 = [
	(346.63,448.67),
	(340.06,434.95),
	(332.51,411.89),
	(321.91,384.27),
	(315.00,370.90)]
DrugCarWaypoints3 = [
	(312.16,358.56),
	(308.90,343.44),
	(304.20,321.79),
	(302.28,299.85)]
	#solution - see DRUCCAR_WAYPOINTS_TURN
	#(315.80,289.51),
	#(318.80,284.51),
	#(332.34,284.85)]
DrugCarWaypoints4 = [
	(321.91,384.27),
	(316.00,367.90)]
DrugCarWaypoints5 = [
	(314.82,293.36),
	(296.30,304.63),#(295.25,302.15),
	(304.16,321.73),
	(308.72,343.33),
	(313.24,358.08)]

DRUCCAR_WAYPOINTS_TURN = {
	"forward" : [	[315.81, 289.56],
					[326.99, 292.31],
					[348.75, 307.76]],
	"reverse" : [	[335.03, 299.06],
					[330.89, 295.94],
					[329.51, 291.97],
					[330.49, 286.49],
					[334.26, 282.02]],
	"park" : 	[	[315.81, 289.56],
					[326.99, 292.31],
					[341.02, 301.51]],
}

DrugCarWaypointsBack = DrugCarWaypoints1 + DrugCarWaypoints2
DrugCarWaypointsBack.reverse()

#print "\n\nwp back reverse\n",str(DrugCarWaypointsBack)
#print "\n\nwp 1\n",str(DrugCarWaypoints1)
#print "\n\nwp 2\n",str(DrugCarWaypoints2)

ScientistsExodusWaypoints = (
	(311.90, 360.59),
	(321.95, 390.39),
	(318.43, 397.81),
	(302.80, 400.75),
	(286.15, 404.36),
	( 52.16, 391.42))

ChuckWalkWaypoints = (
	(643.49, 477.30),
	(603.59, 460.20),
	(575.60, 459.24),
	(554.10, 460.06),
	(512.03, 498.13),
	(494.54, 488.56),
	(506.66, 470.42),
	(521.65, 453.53),
	(547.98, 459.76),
	(576.29, 460.30),
	(600.95, 459.12),
	(642.57, 476.83))


FORT_ALERT_POINT = (316.44, 303.95)
FORT_ALERT_OBJECT = 'BUILDING_1208'


FIRE_PLACES = ('BUILDING_3735',
			   'BUILDING_3555',
			   'BUILDING_1135',
			   'BUILDING_3636',
			   'BUILDING_9606')
FIRE_BARRELS= ('BUILDING_113',
			   'BUILDING_2438',
			   'BUILDING_1084',
			   'BUILDING_296',
			   'BUILDING_3695')

### Objects ###
OBJECT_THRESHER   = "BUILDING_4082"
OBJECT_STAGE	  = "BUILDING_3918"
OBJECT_FIRE_ALERT = "BUILDING_3916"
OBJECT_PRISON	  = 'BUILDING_3923'

#Tagesablauf Aliase
HOUSE_PEGGY_TOM = 'BUILDING_3720'
HOUSE_PEGGY_TOM_FRONT_POINT = (531.68, 565.99)
HOUSE_SHEILA_ANDY = 'BUILDING_1029'
HOUSE_SHEILA_ANDY_FRONT_POINT = (482.64, 495.65)
HOUSE_DOROTHY_STEVEN = 'BUILDING_2082'
HOUSE_DOROTHY_STEVEN_FRONT_POINT = (524.68, 553.71)
HOUSE_MATTHEW = 'BUILDING_848'
HOUSE_MATTHEW_FRONT_POINT = (512.03, 489.12)
HOUSE_FRED = 'BUILDING_3868'
HOUSE_FRED_FRONT_POINT = (640.68, 247.59)
HOUSE_TIM = 'BUILDING_495'
HOUSE_TIM_FRONT_POINT = (659.83, 370.17)
HOUSE_MARY = 'BUILDING_227'
HOUSE_MARY_ENTRY_POINT = (686.76, 298.66)
HOUSE_CAREN = 'BUILDING_303'
HOUSE_CAREN_ENTRY_POINT = (641.51, 357.19)
HOUSE_JIMBOB_ELVIRA = 'BUILDING_3666'
HOUSE_JIMBOB_ELVIRA_ENTRY_POINT = (658.68, 324.16)
HOUSE_HULDA_JON = 'BUILDING_3674'
HOUSE_HULDA_JON_ENTRY_POINT = (657.58, 352.09)

FIREPLACE_HV1 = 'BUILDING_3735'
FIREPLACE_CV1 = 'BUILDING_3555'

BENCH_HV_WELL = 'BUILDING_2181'
BENCH_HV_MARKET = 'BUILDING_3750'
BENCH_CV_FIRE_LEFT = 'BUILDING_3559'
BENCH_CV_FIRE_MIDDLE = 'BUILDING_3870'
BENCH_CV_FIRE_RIGHT = 'BUILDING_3558'
BENCH_CV_JIMBOBS_BARN = 'BUILDING_585'
BENCH_CV_LUIS_HOUSE = 'BUILDING_3508'

CHIPPING_BLOCK_SHEILA_ANDY = 'BUILDING_3783' #hv
CHIPPING_BLOCK_HV_STEVEN = 'BUILDING_3891'
CHIPPING_BLOCK_CV_CONSITE = 'BUILDING_445'
CHIPPING_BLOCK_CV_JIMBOB = 'BUILDING_3911'

WASHING_TABLE_CV = 'BUILDING_4083'

SAWING_WOOD_CV = 'BUILDING_4085'

FEEDING_POINT_HV_DOROTHY = 	(493.49, 584.03)
FEEDING_TROUGH_HV_DOROTHY = 'BUILDING_3909'
FEEDING_TROUGH_CV_MARY = 'BUILDING_3551'

SAND_HEAP_HV1 = 'BUILDING_3884'
SAND_HEAP_CV1 = 'BUILDING_3407'
SAND_HEAP_CV2 = 'BUILDING_3912'

HUNTINGROUND_HV1_ENTRY = (433.84, 513.87)
HUNTINGROUND_HV1_ANIMAL_DIRECTION = 270

HV_POKER_POINTS = 	   ((516.96, 576.47),
						(519.08, 576.57),
						(517.87, 578.46),
						(517.83, 576.91))
SHEILA_RANDOM_POINTS = ((512.17, 581.85),
						(521.07, 535.12),
						(530.28, 563.39),
						(503.45, 537.30),
						(520.80, 541.85),
						(518.80, 514.07),
						(497.93, 493.68),
						(521.64, 454.44))
WAY_FROM_HV_TO_CV =    [(529.91, 443.68),
						(527.71, 444.25),
						(599.76, 421.67),
						(643.31, 391.27),
						(651.74, 371.84)]
WAY_FROM_CV_TO_HV = WAY_FROM_HV_TO_CV
WAY_FROM_CV_TO_HV.reverse()
SUSAN_GUT_POINT = 		(477.00, 495.00)
PLACE_NEAR_FIRE_TOM = 	(520.99, 578.40)
PLACE_NEAR_FIRE_MATTHEW=(517.14, 578.29)

PATH_TURN_START = [[737.08, 570.58],
					[725.46, 571.44],
					[705.70, 575.89],
					[694.85, 587.62],
					[704.71, 597.03],
					[717.16, 596.96],
					[731.28, 585.60],
					[738.21, 575.44]]

### CameraTracks ###

### CameraViews ###
CamView_Maren 				= [686.912,  268.999,   9.670, -0.651, -0.707, -0.275]
CamView_Maren_AE			= [680.712,  268.799,   9.670,  0.669, -0.685, -0.285]
CamView_Luis				= [682.945,  291.802,  10.077,  1.881, -0.102, -0.553]
CamView_Luis_AE				= [685.838,  287.661,  10.103,  0.078,  1.882, -0.473]
CamView_Jimbo_Intro1		= [684.092,  329.917,  11.663,  1.233, -1.460, -0.590]
CamView_Jimbo_Jimbo1		= [687.717,  326.832,   9.427+1,  1.191, -1.506, -0.258]
CamView_Jimbo_AE1			= [691.954,  326.103,   9.742+1.5, -1.698, -0.982, -0.516]
CamView_JimLui_Jimbo		= [685.762,  288.903,  10.675+2,  0.561,  1.780, -0.718]
CamView_JimLui_Intro		= [679.248,  296.239,  14.641+1,  1.777, -0.806, -1.239]
CamView_Jimbo_Bath			= [686.924,  331.412,  13.934,  1.686,  0.933, -0.535]
CamView_Jimbo_Intro2		= [700.6385498046875, 308.78677368164062, 12.474082946777344, -0.64925378561019897, 0.71910816431045532, -0.2476954460144043]
CamView_Jimbo_Jimbo2		= [673.874,  314.313,   9.325,  1.736,  0.890, -0.239]
CamView_Jimbo_AE2			= [675.600,  318.793,   9.612,  0.974, -1.844, -0.377]
CamView_Adrian_Home_Adr		= [538.630,  248.187,  27.750,  1.758, -0.358, -0.420]
CamView_Adrian_Home_AE		= [541.824,  252.168,  27.644,  0.286, -1.906, -0.307]
CamView_Adrian_Home_Leave	= [540.324,  240.832,  27.672-2,  0.520,  1.849, -0.355]
CamView_AdrMarket_Intro		= [514.959,  563.252,  24.650-1.5,  0.099,  1.907, -0.594]
CamView_AdrMarket_Nigel		= [517.340,  566.530,  23.278-1.5,  0.099,  1.907, -0.594]
CamView_AdrMarket_Adr		= [520.141,  568.439,  22.614-1.5, -1.124,  1.150, -0.394]
CamView_AdrMarket_AE		= [521.508,  571.470,  23.194-1.5, -1.908, -0.276, -0.574]
CamView_AdrStage_Adrian		= [513.683,  564.224,  23.639-1.2,  0.545, -0.838, -0.251]
CamView_AdrStage_DAC		= [520.362,  558.427,  23.639-1.2, -0.878,  0.442, -0.345]
CamView_AdrStage_DB			= [517.778,  556.131,  23.639-1.2,  0.016,  0.999, -0.305]
CamView_ThresherEnry		= [644.66, 472.36, 23.80-0.5,  0.88,  0.44, -0.12]
CamView_ThresherTotal		= [647.12, 475.99, 24.50-1,  0.96,  0.17, -0.21]
CamView_ThresherDialogAE	= [553.47, 452.91, 27.94, -0.59,  0.77, -0.21]
CamView_ThresherDialogChuck = [547.56, 453.55, 27.94,  0.63,  0.73, -0.21]
CamView_Fort_Gate			= [314.35, 386.70, 19.51,  0.09, -0.97, -0.21]
CamView_Camp_Hostages		= [251.91, 555.59, 28.99, -0.90,  0.36, -0.21]
CamView_Camp_AE				= [232.23, 570.40, 33.00,  0.72, -0.58, -0.37]
CamView_Drug_Leila_view1	= [360.52, 450.01, 16.37, -0.90,  0.36, -0.21]
CamView_Drug_Leila_view2	= [346.84, 466.33, 17.07,  0.28, -0.93, -0.21]
CamView_Drug_Leila_view3	= [323.07, 475.55, 17.29,  0.86, -0.44, -0.21]
CamView_Drug_Gate_view1 	= [302.54, 380.83, 18.62,  0.87, -0.46, -0.13]

CAMVIEW_FORT_TALK_RSGUARD = [317.60760498046875, 376.51290893554687, 17.977436065673828, -0.55398446321487427, -0.82276087999343872, -0.12714456021785736]
CAMVIEW_FORT_ENTER_SMALL = [314.35003662109375, 386.70004272460937, 19.510004043579102, 0.090308383107185364, -0.97336453199386597, -0.21072721481323242]#[318.481689453125, 378.87701416015625, 18.127620697021484, -0.31518417596817017, -0.94179737567901611, -0.11694687604904175]
CAMVIEW_FORT_ENTER_LARGE = [314.35003662109375, 383.70001220703125, 19.010002136230469, 0.040895093232393265, -0.98739516735076904, -0.15289996564388275]

CAMVIEW_GEISELCAMP_AE = [241.22998046875, 564.40008544921875, 24.499998092651367, 0.50437432527542114, -0.8510277271270752, -0.146145299077034]
CAMVIEW_GEISELCAMP_FAMILY = [246.91006469726562, 558.59014892578125, 24.990016937255859, -0.76376247406005859, 0.6271061897277832, -0.15298596024513245]

legalRestAreas =  [ ( 553.55, 347.11 ), ( 700.85, 576.58 ), ( 587.78, 554.07 ), ( 413.47, 545.32 ), ( 409.47, 547.51 ) ]
noRestAreas = []
	
