# -*- coding: utf-8 -*-
from globals import *
from text import *
import npc
import const
import schedules
from dynamic_camera import *
import enemy_script
import zone_6
import cs_function as cs
import comments as co

#*** aktuelle revison: Revision 53, 28.09.2004 *********************************

def on_approach( target, operator ):
    if dialog.is_dialog_active():
        return
    if (not target in const.NEBENQUEST_NPCS or
        not target in const.MAINQUEST_NPCS):
        if schedules.Dialog(target, operator):
            return

    direction = object.get_direction(target)

    if target == 'MERCENARY_DEBORAH' and data().Deborah_Erstes_Mal:
# data().Deborah_Erstes_Mal = False
        init_Dlg_Deborah_Aufnahme()

    if target == "LEICA":
        if data().leica_folgt or data().leica_sitzt:
            initDlg_145_SpielerRedetMitLeica()

# Dialoglayout Caleb
    if target == "CALEB":
        if data().MitCalebGesprochen == 0:
            initCutscene_001_CalebGeleitetSpielerZuNomaden()
        elif (system.get_qb_entry_state(data().QB_004) == INACTIVE):
            if data().caleb_rennt:
                initDlg_057_SpielerWillCalebNichtAufhalten()
            else:
                initDlg_143_SpielerWillCalebNichtSprechen()
        elif (system.get_qb_entry_state(data().QB_004) == UNCOMPLETE and system.get_qb_entry_state(data().QB_002) == COMPLETE  and system.get_qb_entry_state(data().QB_004) == UNCOMPLETE):
            initDlg_008_CalebWillFliehen()
        elif (system.get_qb_entry_state(data().QB_004) == COMPLETE):
            initDlg_058_CalebWillVerschwinden()

# Dialoglayout Joshua
    if target == "JOSHUA":
        object.cancel_commandos(target)
        object.turn_to_object(target, operator, callback=["ONEND", dialoglayout_joshua])

# Dialoglayout Fatma und Peco
    if target in ["FATMA","PECO"]:
        if data().FatmaUndPecoAnsprechbar and not system.get_qb_entry_state(data().QB_003)==COMPLETE:
            if data().MitFatmaGesprochen == 0:
                initDlg_007_Fatma_VerhoerDerFamilieCalebs()
            else:
                initDlg_049_Fatma_NixMehrZuSagen()
        else:
            initDlg_064_SpielerWillNichtMitFatmaPecoOderSprechen()

    if target == "GERDA":
        initDlg_133_GerdaBesitztSchoeneAepfel()

    if target == "ARIK":
        if not data().arik_intro:
            initCutscene_137_ArikIstBlind()
        elif (data().arik_intro and 
            ((system.get_qb_entry_state(data().QB_004) in [INACTIVE,UNCOMPLETE]) and 
                not data().leica_folgt)):
            initDlg_138_SpielerMieteEinenHundVonArik()
        else:
            initDlg_147_SpielerHatNixMehrMitArikZuBereden()

    if target == "HORATIO":
        if cs.group_has_1_of(["Z6 DS_1","Z6 DS_2","Z6 DS_3","Z6 DS_4","Z6 DS_5"])\
            and system.get_qb_entry_state(data().QB_018)==UNCOMPLETE:
            Dlg_091_Horatio_chaman()
        else:
            initDlg_091_SpielerErfaehrtVonHoratiosDorf()

    if target in ["HUGO", "HADLEY", "HENRIETTA"]:
        initDlg_158_HoratiosBegleiterVerweisenAufHoratio(target)

    if target == "SUE":
        system.trading_screen(target,operator)

# Dialoglayout Bill
    if target == "BILL":
        object.cancel_commandos(target)
        object.turn_to_object(target, operator, callback=["ONEND", dialoglayout_bill])

# Dialoglayout Doppelgänger
    if target == "DOUBLEGANGER_GENERAL":
        if (system.get_qb_entry_state(data().QB_002) == UNCOMPLETE or
        not data().KonvoiZerstoert):
            initCutscene_004_DoppelgaengerEnttarntUndGetoetet()

# Dialoglayout General der Schatten
## Kampf als Auslöser
    if (target == "GENERAL_OF_THE_SHADOWS" and data().MitGeneralGesprochen == 0):
        initDlg_010_General_Spott()

# Dialoglayout Manny der Wirt
    if target == "MANNY":
        object.cancel_commandos(target)
        object.turn_to_object(target, operator, callback=["ONEND", dialoglayout_manny])
        if not data().player_knows_Camp_Region:
            data().player_knows_Camp_Region = True
            system.add_minimap_marker(495.13, 851.05,"MM_012")# Camp der vertriebenen Stadtbewohner

# Dialoglayout Madison der Bürgermeister
    if target == "MADISON":
        object.cancel_commandos(target)
        object.turn_to_object(target, operator, callback=["ONEND", dialoglayout_madison])
        if not data().player_knows_Camp_Region:
            data().player_knows_Camp_Region = True
            system.add_minimap_marker(495.13, 851.05,"MM_012")# Camp der vertriebenen Stadtbewohner

# Dialoglayout Adian der Heiler
    if target == "ADIAN":
        if data().wildpferdequest_schlafmittel_benoetigt:
            if not data().adian_hat_valium:
                initDlg_073_SpielerWillSchlafmittel()
            else:
                if not cs.group_has_1_of(["Z6 DS_1","Z6 DS_2","Z6 DS_3","Z6 DS_4","Z6 DS_5"]):
                    initDlg_074_SpielerHatKeineEinwegspritzen()
                else:
                    initDlg_075_SpielerHatEinwegspritzenBesorgt()

        elif (system.get_qb_entry_state(data().QB_007) == UNCOMPLETE):
            initCutscene_014_SpielerBegegnetDemHeiler()
        elif (system.get_qb_entry_state(data().QB_008) == UNCOMPLETE):
            initDlg_015_Adian_FrageNachFell()
        elif (system.get_qb_entry_state(data().QB_008) == COMPLETE):
            initDlg_016_Adian_DankeFuerFell()
        else:
            initDlg_071_SpielerMagAidanNichtAnsprechen()

# Dialoglayout Gauner Dick, Donald und Colin
    if target in ("DICK","DONALD_Z6","COLIN_Z6"):
        if (system.get_qb_entry_state(data().QB_012) == UNCOMPLETE or 
            system.get_qb_entry_state(data().QB_017) == UNCOMPLETE or data().SpielerMachtWasErWill):
            object.turn_to_object("ALTER_EGO","DICK")
            if not data().gauner_erster_dialog:
                initDlg_022_Gauner_DiskussionMitDieben()
            else:
                if data().Gauner_tragen_selber:
                    initDlg_079_SpielerWillNichtSchnapsnasenNichtBeimTransportStoeren()
                else:
                    initDlg_077_SpielerWillNichtMitBesoffenenSprechen()
        elif (system.get_qb_entry_state(data().QB_012) == INACTIVE and
            system.get_qb_entry_state(data().QB_017) == INACTIVE):
            initDlg_077_SpielerWillNichtMitBesoffenenSprechen()
        else:
            initDlg_078_SpielerWillNichtMitNuechternenSchnapsnasenSprechen()

## Dialoge mit Abraham und Co
    elif target=="ABRAHAM":
        if not data().abraham_aufbruchtimer_aktiv:
            data().abraham_aufbruchtimer_aktiv = True
            system.notify_timer(data().Timer_AbrahamUndCoBrechenAuf,data().Timervalue_AbrahamUndCoBrechenAuf)

        if not data().abraham_quest_angenommen:
            object.cancel_commandos(target)
            object.turn_to_object(target, operator, callback=["ONEND", Lambda('initDlg_093_AbrahamHatEinenTraum()')])
        else:
            initDlg_100_AbrahamWillNichtReden()

    elif target=="MICKEY":
        if not data().abraham_quest_angenommen:
            object.cancel_commandos(target)
            object.turn_to_object(target, operator, callback=["ONEND", Lambda('initDlg_094_MickeyVerweisAufAbraham()')])
        else:
            initDlg_108_MickeyWillRaschWeiter()

    elif target=="SUE_Z7":
        if not data().abraham_quest_angenommen:
            object.cancel_commandos(target)
            object.turn_to_object(target, operator, callback=["ONEND", Lambda('initDlg_095_SueVerweisAufAbraham()')])
        else:
            initDlg_109_SueWillRaschWeiter()

    elif target=="FJODR":
        if not data().abraham_quest_angenommen:
            object.cancel_commandos(target)
            object.turn_to_object(target, operator)
            if not object.is_destroyed("ABRAHAM"):
                object.cancel_commandos("ABRAHAM")
                object.turn_to_object("ABRAHAM", operator, callback=["ONEND", Lambda('initDlg_096_FjodrKannNichtSprechen()')])
        else:
            initDlg_110_FjodrHatNixZuSagen()

    elif target=="OWEN":
        object.cancel_commandos(target)
        object.turn_to_object(target, operator, callback=["ONEND", dialoglayout_owen])

    elif target in const.KINDERGANG_NPCS.keys():
        if not target == "ALEXA":
            initDlg_Kind(target)
        else:
            if (data().MitAlexaGesprochen == 0):
                initCutscene_018_Alexa_Vorstellung()
            elif (system.get_qb_entry_state(data().QB_010) == INACTIVE and
                data().MitAlexaGesprochen != 0):
                initDlg_035_Alexa_SpielerWillNichtHelfen()
            elif (system.get_qb_entry_state(data().QB_010) == UNCOMPLETE and
            system.get_qb_entry_state(data().QB_011) == INACTIVE):
                initDlg_036_Alexa_AufforderungZurLKWBefreiung()
            elif (system.get_qb_entry_state(data().QB_011) == UNCOMPLETE):
                initDlg_019_Alexa_BedanktMitMinen()
            elif (system.get_qb_entry_state(data().QB_010) == IMPOSSIBLE):
                initDlg_037_Alexa_SpielerZuLangsam()
            else:
                initDlg_039_Alexa_SpielerHatGeholfen()

def init_Dlg_Deborah_Aufnahme():

    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='MERCENARY_DEBORAH_INTERVIEW_T_001', speaker="MERCENARY_DEBORAH")
    dialog.add_choice(text='MERCENARY_DEBORAH_INTERVIEW_C_001_1', follower = 'MERCENARY_DEBORAH_INTERVIEW_T_002')
    dialog.add_choice(text='MERCENARY_DEBORAH_INTERVIEW_C_001_4', follower = 'ENDDIALOG')
    dialog.add_text(text='MERCENARY_DEBORAH_INTERVIEW_T_002', speaker="MERCENARY_DEBORAH", follower='ENDDIALOG', callback = init_Dlg_Deborah_Aufnahme_2)
    dialog.start()

def init_Dlg_Deborah_Aufnahme_2():

    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_choice(text='MERCENARY_DEBORAH_INTERVIEW_C_001_2', follower = 'MERCENARY_DEBORAH_INTERVIEW_T_003')
    dialog.add_choice(text='MERCENARY_DEBORAH_INTERVIEW_C_001_3', follower = 'MERCENARY_DEBORAH_INTERVIEW_T_004')
    dialog.add_choice(text='MERCENARY_DEBORAH_INTERVIEW_C_001_4', follower = 'ENDDIALOG')
    dialog.add_text(text='MERCENARY_DEBORAH_INTERVIEW_T_003', speaker="MERCENARY_DEBORAH", follower = 'MERCENARY_DEBORAH_INTERVIEW_C_001_2')
    if was_zone_entered('zone_8.zone_8'):
        if data('zone_8.zone_8').BruchMitHayes:
            dialog.add_text(text='MERCENARY_DEBORAH_INTERVIEW_T_004', speaker="MERCENARY_DEBORAH", follower = 'MERCENARY_DEBORAH_INTERVIEW_T_007')
        else:
            dialog.add_text(text='MERCENARY_DEBORAH_INTERVIEW_T_004', speaker="MERCENARY_DEBORAH", follower = 'MERCENARY_DEBORAH_INTERVIEW_T_005')
    else:
        dialog.add_text(text='MERCENARY_DEBORAH_INTERVIEW_T_004', speaker="MERCENARY_DEBORAH", follower = 'MERCENARY_DEBORAH_INTERVIEW_T_005')
    dialog.add_text(text='MERCENARY_DEBORAH_INTERVIEW_T_005', speaker="ALTER_EGO")
    dialog.add_text(text='MERCENARY_DEBORAH_INTERVIEW_T_006', speaker="MERCENARY_DEBORAH", follower = 'ENDDIALOG', callback = Deborah_Aufnahme)
    dialog.add_text(text='MERCENARY_DEBORAH_INTERVIEW_T_007', speaker="ALTER_EGO", follower = 'MERCENARY_DEBORAH_INTERVIEW_T_006')

    dialog.start(False)

def Deborah_Aufnahme():
    if (len(system.get_pcs()) < 6):
        system.switch_party("MERCENARY_DEBORAH", "UISPIELER")


#*** dialoglayouts
# owen
def dialoglayout_owen(char):
    if (data().owen_gesprochen == 0):
        initDlg_097_SpielerWillNixTrinken()
    elif not data().zzone_4_betreten:
        if data().owen_quest_verpasst:
            initDlg_098_WirtInformiertSpieler()
        elif data().abraham_quest_angenommen:
            initDlg_099_OwenFragtNachDerGruppe()
        else:
            initDlg_097_SpielerWillNixTrinken()
    else:
        if data().owen_quest_verpasst:
            initDlg_098_WirtInformiertSpieler()
        else:
            initDlg_097_SpielerWillNixTrinken()

# bill
def dialoglayout_bill(char):
    if (system.get_qb_entry_state(data().QB_002) in [UNCOMPLETE, COMPLETE]):
        if (data().MitBillGesprochen == 0 and not data().KonvoiZerstoert):
            initDlg_031_Bill_Vorstellung()
        elif (data().MitBillGesprochen == 1 and not data().KonvoiZerstoert):
            initDlg_032_Bill_InfosUeberKonvoi()
        else:
            if not data().bill_default:
                initDlg_034_Bill_HatGeknallt()
                data().bill_default = True
            else:
                initDlg_144_BillHatNichtsZuSagen()
    else:
        initDlg_144_BillHatNichtsZuSagen()

# joshua
def dialoglayout_joshua(char):
    if (system.get_qb_entry_state(data().QB_001)==UNCOMPLETE):
        if not data().spieler_hat_wildpferd:
            if not data().d_059_ende:
                initDlg_059_JoshuaWillNichtEinfachSoHelfen()
            else:
                initDlg_060_SpielerHatKeinWildpferd()
        else:
            initDlg_002_InformationenVonJoshua()

    elif system.get_qb_entry_state(data().QB_015) == UNCOMPLETE:
        if not data().spieler_hat_wildpferd:
                initDlg_060_SpielerHatKeinWildpferd()
        else:
            initDlg_002_InformationenVonJoshua()

    elif (system.get_qb_entry_state(data().QB_002)==UNCOMPLETE):
        initDlg_061_SpielerHatKonvoiNochNichtUeberfallen()

    elif (system.get_qb_entry_state(data().QB_003)==UNCOMPLETE):
        if not data().CalebVerdaechtigt:
            initCutscene_005_BerichtUeberVerratUndVerdachtAufCaleb()
        else:
            initDlg_006_Joshua_WurdeVerraeterGefunden()

    elif (system.get_qb_entry_state(data().QB_004)==UNCOMPLETE):
        initDlg_006_Joshua_WurdeVerraeterGefunden()

    elif ((system.get_qb_entry_state(data().QB_004)==COMPLETE or (system.get_qb_entry_state(data().QB_004)==INACTIVE and system.get_qb_entry_state(data().QB_003)==COMPLETE)) and
          data().VerraeterGefunden and not data().JoshuaUeberErfolgBerichtet and not object.is_destroyed('CALEB')):
              initCutscene_048_FreudeDassVerraeterGestellt()

#elif (object.get_attribute("ALTER_EGO","speech") < 80):
    elif (system.get_qb_entry_state(data().QB_007)==INACTIVE):
        initDlg_013_Joshua_BitteBringHeilerZurueck()

    elif (system.get_qb_entry_state(data().QB_007)==UNCOMPLETE):
        initDlg_062_SpielerHatAidanNichtGetroffen()

    elif (system.get_qb_entry_state(data().QB_007)==COMPLETE):
        initDlg_063_SpielerHatAidanZurueckGebracht()
    else:
        initDlg_003_Joshua_NixZuSagen()
#else:
#    initDlg_003_Joshua_NixZuSagen()

# manny
def dialoglayout_manny(char):
    if (system.get_qb_entry_state(data().QB_005) in (INACTIVE,UNCOMPLETE)):
        initDlg_053_Manny_SauerAufSchatten()
        data().player_knows_Camp_Region = True
    elif ((system.get_qb_entry_state(data().QB_005) == COMPLETE or data().copperhill_befreit) and 
        ( system.get_qb_entry_state(data().QB_012) == INACTIVE and
         system.get_qb_entry_state(data().QB_017) == INACTIVE)):
        initDlg_020_Manny_SpielerSollWhiskeyBeschaffen()
    elif (system.get_qb_entry_state(data().QB_012) == UNCOMPLETE or
        system.get_qb_entry_state(data().QB_017) == UNCOMPLETE):
        if data().Gauner_tragen_selber and data().GaunerReturnWhiskey:
            initCutscene_024_WirtEmpfaengtSpilerMitJubel()
        elif data().Gauner_haben_Spieler_belogen:
            initCutscene_025_SpielerSagtMannyDassKeinWhiskeyMehrDaIst()
        elif cs.group_has_1_of(["Z6 BURBONWHISKEYFASS","Z6 SINGLEMALTWHISKEYFASS","Z6 SCOTCHWHISKEYFASS"]) == 3:
            initDlg_023_Manny_SpielerHatWhiskey()
        else:
            initDlg_021_Manny_FrageNachWhiskey()
    elif (system.get_qb_entry_state(data().QB_012) == IMPOSSIBLE or
        system.get_qb_entry_state(data().QB_017) == IMPOSSIBLE):
        initDlg_027_Manny_Ruiniert()
    elif (system.get_qb_entry_state(data().QB_012) == COMPLETE or
        system.get_qb_entry_state(data().QB_017) == COMPLETE):
        initDlg_026_Manny_Danke()

# madison
def dialoglayout_madison(char):
    if not data().copperhill_befreit:
        initDlg_066_MadisonWillNachCHZurueck()
        data().player_knows_Camp_Region = True
    else:
        if (system.get_qb_entry_state(data().QB_013) == INACTIVE):
            if data().madison_verkackt:
                initDlg_067_SpielerWillMadisonNichtSprechen()
            else:
                initDlg_040_Madison_SpielerUmHilfeBitten()
        elif ((system.get_qb_entry_state(data().QB_013) == UNCOMPLETE or
            system.get_qb_entry_state(data().QB_014) == UNCOMPLETE) and
            data().GeneratorRepariert == 0):
            initDlg_052_Madison_FortschrittsAuskunft()

        elif (system.get_qb_entry_state(data().QB_013) == UNCOMPLETE and
            data().GeneratorRepariert == 1):
            initCutscene_044_BuergermeisterFreutSichDassGeneratorWiederLaeuft_1()
        elif (system.get_qb_entry_state(data().QB_014) == UNCOMPLETE and
            data().GeneratorRepariert == 2):
            initCutscene_047_BuergermeisterFreutSichDassGeneratorWiederLaeuft_2()
        else:
            initDlg_067_SpielerWillMadisonNichtSprechen()


# DIALOGE mit CALEB
## [NM/CS]Dialog 001: Caleb will den Spieler zum Anführer der Nomaden bringen
def initCutscene_001_CalebGeleitetSpielerZuNomaden():
    for id in system.get_pcs():
        if id != "ALTER_EGO":
            object.turn_to_object(id,"CALEB")
    dialog.init_dialog(type=DIALOGSMALL)
    set_conversation("CALEB","ALTER_EGO",mode="medium")
    dialog.add_text(text='D_001_T_001', speaker="CALEB",callback=Lambda('set_conversation("ALTER_EGO","CALEB",mode="medium")'))
    dialog.add_text(text='D_001_T_002', speaker="ALTER_EGO",callback=Lambda('set_conversation("CALEB","ALTER_EGO",mode="medium")'))
    dialog.add_text(text='D_001_T_003', speaker="CALEB",callback=Lambda('set_conversation("ALTER_EGO","CALEB",mode="medium")'))
    dialog.add_text(text='D_001_T_004', speaker="ALTER_EGO",callback=Lambda('set_conversation("CALEB","ALTER_EGO",mode="close")'))
    dialog.add_text(text='D_001_T_005', speaker="CALEB",callback=Lambda('set_conversation("ALTER_EGO","CALEB",mode="close")'))
    dialog.add_text(text='D_001_T_006', speaker="ALTER_EGO", follower='ENDDIALOG',callback=onDlg_001_Ende1)
    dialog.start()

# Dialog 001: Ende 1 - CALEB läuft zum Lager.
def onDlg_001_Ende1():
    end_cutscene(chars=["CALEB", "ALTER_EGO"])
    object.cancel_commandos("CALEB")
    data().caleb_rennt = True
    for wp in const.WAYPOINTS_CALEB_TO_JOSHUA:
        if wp == const.WAYPOINTS_CALEB_TO_JOSHUA[-1]:
            object.move_to("CALEB",wp[0],wp[1], "landscape", callback=["ONEND",on_CalebMove_Ende])
        else:
            object.move_to("CALEB",wp[0],wp[1], "landscape")
    data().MitCalebGesprochen = 1

def on_CalebMove_Ende(char_id):
    x,y=object.get_x("JOSHUA"),object.get_y("JOSHUA")
    object.move_to("CALEB",x+0.2,y+1.5,"landscape",MT_SLOW, callback=["ONEND",Lambda('object.turn_to_direction("CALEB",globals.DIR_EAST)')])
    data().caleb_rennt = False

#[NM] Dialog 057: Der Spieler will Caleb nicht aufhalten
def initDlg_057_SpielerWillCalebNichtAufhalten():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_057_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[NM] Dialog 058: Caleb will verschwinden
def initDlg_058_CalebWillVerschwinden():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_058_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[NM] Dialog 143: Der Spieler will nicht mit Caleb sprechen.
def initDlg_143_SpielerWillCalebNichtSprechen():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_143_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

def on_dialog_008_enter_hoehle():
    for c in const.POSES_HOEHLE.keys():
        wps = const.POSES_HOEHLE[c]
        if c != "PARTY":
            if c == "ALTER_EGO":
                on_dialog_008_spieler_sieht_caleb()
                object.turn_to_object(c, "CALEB")
            else:
                object.turn_to_object(c, "ALTER_EGO")
        else:
            i = 0
            for pc in system.get_pcs():
                w = wps[i]
                if pc != "ALTER_EGO":
                    if object.get_distance(pc, "ALTER_EGO") < 35.0:
                        if object.get_grid(pc) == 'landscape':
                            object.move_to(pc, w[0], w[1], speed=MT_SLOW, grid="landscape")
                        else:
                            object.move_to(pc, 731.57, 228.53, speed=MT_SLOW, grid = object.get_grid(pc))
                        object.turn_to_object(pc, "ALTER_EGO")
                        i += 1
                        if (i > (len(wps)-1)):
                            i = 0


def on_dialog_008_init_caleb():
    object.set_active_state("CALEB", ACTIVE)
    object.set_position_free("CALEB", 732.43, 228.49, 0.0, grid="ZONE_6_BUILDING_6200_INTERIOR_GRID")

## verschiedene Kamerapositionen
## Caleb läuft vor dem AE davon, Cam wird gesetzt
def initDlg_008_CalebWillFliehen():
    on_dialog_008_enter_hoehle()
    data().is_cbm_cutscene = False
    on_dialog_008_init_caleb()
    data().CalebEntdeckt = True
    system.start_cutscene()
    system.set_camera_view(const.CAMVIEW_HOEHLE_INNEN)
    object.turn_to_object("CALEB","ALTER_EGO")

## Dialog 008: Caleb gesteht den Spieler verraten zu haben. Die Position des Generals (Copper Hill) wird verraten.
def on_dialog_008_spieler_sieht_caleb(char=None):
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_008_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback=on_dialog_008_caleb_flieht)
    dialog.start()

def on_dialog_008_caleb_flieht():
    system.set_camera_view(const.CAMVIEW_HOEHLE_AUSSEN)
    enemy_script.delay(0.7, Lambda('on_dialog_008_caleb_hat_angst()'))
    object.move_to("CALEB",727.83, 232.09, grid="landscape",speed=MT_FAST, callback=['ONEND',on_dialog_008_check_start])
    object.turn_to_object("CALEB", "ALTER_EGO")
    object.move_to("ALTER_EGO",729.35, 233.27, grid="landscape", speed=MT_SLOW, callback=["ONEND", on_dialog_008_check_start])

def on_dialog_008_caleb_hat_angst():
    if not hasattr(data(), "caleb_spieler_da_counter"):
        data().caleb_spieler_da_counter = 0
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_008_T_002', speaker="CALEB",follower='ENDDIALOG')
    dialog.start()

def on_dialog_008_check_start(char=None):
    object.turn_to_object("CALEB","ALTER_EGO")
    object.turn_to_object("ALTER_EGO","CALEB")
    if not hasattr(data(), "caleb_spieler_da_counter"):
        data().caleb_spieler_da_counter = 0
    data().caleb_spieler_da_counter += 1
    if data().caleb_spieler_da_counter == 2:
        data().caleb_spieler_da_counter = 0
        enemy_script.delay(1.0, Lambda('on_dialog_008_start_dialog()'))

def on_dialog_008_start_dialog():
    dialog.init_dialog(type=DIALOGSMALL)
    set_conversation("ALTER_EGO", "CALEB", mode="medium_deep", animate=False)
    dialog.add_text(text='D_008_T_003', speaker="ALTER_EGO",callback=Lambda('set_conversation("CALEB","ALTER_EGO",mode="medium_deep")'))
    if data().copperhill_befreit:
        dialog.add_text(text='D_008_T_004', speaker="CALEB", follower='D_008_T_007', callback=Lambda('set_conversation("ALTER_EGO","CALEB",mode="close_deep")'))
    else:
        dialog.add_text(text='D_008_T_004', speaker="CALEB", follower='D_008_T_005', callback=Lambda('set_conversation("ALTER_EGO","CALEB",mode="close_deep")'))

    dialog.add_text(text='D_008_T_005', speaker="ALTER_EGO",callback=Lambda('set_conversation("CALEB","ALTER_EGO",mode="close_deep")'))
    if (data().SchattenCopperHillGetoetet < 7): 
        dialog.add_text(text='D_008_T_006', speaker="CALEB", follower='D_008_T_011',callback=Lambda('set_conversation("CALEB","ALTER_EGO",mode="close_deep")'))
    else:
        dialog.add_text(text='D_008_T_006', speaker="CALEB", follower='D_008_T_009', callback=Lambda('set_conversation("ALTER_EGO","CALEB",mode="close_deep")'))
    dialog.add_text(text='D_008_T_007', speaker="ALTER_EGO", follower='D_008_T_009',callback=Lambda('set_conversation("CALEB","ALTER_EGO",mode="close_deep")'))

    dialog.add_text(text='D_008_T_011', speaker="ALTER_EGO",callback=Lambda('set_conversation("CALEB","ALTER_EGO",mode="close_deep")'))
    dialog.add_text(text='D_008_T_008', speaker="CALEB", callback=Lambda('set_conversation("ALTER_EGO","CALEB",mode="close_deep")'))
    dialog.add_text(text='D_008_T_009', speaker="ALTER_EGO",callback=Lambda('set_conversation("CALEB","ALTER_EGO",mode="close_deep")'))
    dialog.add_text(text='D_008_T_010', speaker="CALEB", follower='ENDDIALOG', callback=onDlg_008_StartDlg_152)
    dialog.start(False)

def onDlg_008_CalebDrehtSichAb():
    object.turn_to_direction("CALEB",globals.DIR_NORTH)

def onDlg_008_StartDlg_152():
    for pc in system.get_pcs():
#        print 'char = ', pc
        if object.get_grid(pc) == 'ZONE_6_BUILDING_6200_INTERIOR_GRID':
            object.cancel_commandos(pc)
            object.step_to(pc, 730.13, 230.84, callback = ['ONEND', Lambda('object.step_away("%s")'%pc)])
    onDlg_008_Ende1()

# Dialog 008 Ende 1
def onDlg_008_Ende1():
    end_cutscene(chars=["CALEB", "ALTER_EGO"])
    system.set_qb_entry_state(data().QB_004,INACTIVE)
    system.set_qb_entry_state(data().QB_003,COMPLETE)
    system.set_qb_entry_state(data().QB_016,INACTIVE)
    system.set_qb_entry_state(data().QB_005,UNCOMPLETE)
    character.add_experience_party(data().Exp_VerraeterGefunden)
    data().VerraeterGefunden = True
    object.set_immortal_state("CALEB",False)
    initDlg_152_SpielerEntscheidetUeberCalebsSchicksal()

def onDlg_152_Ende1():
# die chars FATMA, PECO, CALEB verschwinden
    object.move_to("CALEB",558.0,273.0, "landscape",callback=["ONEND",deactivate])
# team des generals wird aktiviert
    if data().copperhill_betreten[0]:
        data().copperhill_betreten[0] = False
        system.notify_region_entered("REGION_COPPERHILL_1",partyid="UISPIELER")
    if data().copperhill_betreten[1]:
        data().copperhill_betreten[1] = False
        system.notify_region_entered("REGION_COPPERHILL_2",partyid="UISPIELER")

# copper hill zusatz einheiten verschwinden
    for id in data().SCHATTEN_CH_EXT_NPCS:
        if not object.is_destroyed(id):
            object.set_active_state(id, 0)
            data().SchattenCopperHillGetoetet += 1
    data().schatten_ch_ext_deaktiviert = True

# Deaktiviert einen Char
def deactivate(id):
    object.set_active_state("CALEB", INACTIVE)
    object.set_active_state("FATMA", INACTIVE)
    object.set_active_state("PECO", INACTIVE)

def onDlg_152_Ende2():
    object.create_item_in_inventory("CALEB", ["SET_UZI", "SET_AMMOPACK_9_MM"])
    character.equip_direct("CALEB", "SET_UZI")
    object.set_attribute("CALEB", "foes", ["UISPIELER"])

#[M] Dialog 152: Der Spieler entscheidet über Calebs Schicksal
def initDlg_152_SpielerEntscheidetUeberCalebsSchicksal():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_choice(text='D_152_C_001_1', follower='D_152_T_012')
    dialog.add_choice(text='D_152_C_001_2', follower='ENDDIALOG', callback=onDlg_152_Ende2)
    dialog.add_text(text='D_152_T_012', speaker='CALEB', follower='D_152_T_014')
    dialog.add_text(text='D_152_T_014', speaker='ALTER_EGO')
    dialog.add_text(text='D_152_T_015', speaker='CALEB')
    dialog.add_text(text='D_152_T_016', speaker='ALTER_EGO', follower='ENDDIALOG', callback=onDlg_152_Ende1)
    dialog.start(False)

# DIALOGE mit JOSHUA
# [M] Dialog 059: Joshua will dem Spieler nicht so einfach helfen
def initDlg_059_JoshuaWillNichtEinfachSoHelfen():
    data().joshua_gesprochen = True
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_059_T_001', speaker="JOSHUA")
    dialog.add_text(text='D_059_T_002', speaker="ALTER_EGO")
    dialog.add_text(text='D_059_T_003', speaker="JOSHUA")
    if (object.get_attribute("ALTER_EGO","speech") < 80):
        dialog.add_choice(text='D_059_C_001_1', follower='D_059_T_005')
    else:
        dialog.add_choice(text='D_059_C_001_1', follower='D_059_T_011')
    dialog.add_choice(text='D_059_C_001_2', follower='D_059_T_006')
    dialog.add_choice(text='D_059_C_001_3', follower='D_059_T_008')
    dialog.add_choice(text='D_059_C_001_4', follower='ENDDIALOG', callback=onDlg_059_Ende1)
    dialog.add_text(text='D_059_T_004', speaker="JOSHUA", follower='D_059_C_001')
    dialog.add_text(text='D_059_T_005', speaker="JOSHUA", follower='D_059_C_001')
    dialog.add_text(text='D_059_T_006', speaker="JOSHUA", follower='D_059_C_001')
    dialog.add_text(text='D_059_T_008', speaker="JOSHUA", follower='D_059_C_002')
    dialog.add_choice(text='D_059_C_002_1', follower='D_059_T_009')
    dialog.add_choice(text='D_059_C_002_2', follower='ENDDIALOG', callback=onDlg_059_Ende2)
    dialog.add_text(text='D_059_T_009', speaker="JOSHUA", follower='ENDDIALOG', callback=onDlg_059_Ende3)
    dialog.add_text(text='D_059_T_010', speaker="JOSHUA", follower='D_059_C_002')
    if (object.get_attribute("ALTER_EGO", "gender") == MALE):
        dialog.add_text(text='D_059_T_011', speaker="JOSHUA", follower='ENDDIALOG', callback=onDlg_059_Ende4)
    else:
        dialog.add_text(text='D_059_T_011', speaker="JOSHUA", follower='ENDDIALOG', callback=onDlg_059_Ende4)

    if data().d_059_restart_t_010:
        dialog.jump_to('D_059_T_010')
    elif data().d_059_restart_t_004:
        dialog.jump_to('D_059_T_004')

    dialog.start(False)

def onDlg_059_Ende1():
    data().d_059_restart_t_004 = True

def onDlg_059_Ende2():
    data().d_059_restart_t_010 = True

def onDlg_059_Ende3():
    data().d_059_ende = True
    data().wildpferdequest_schlafmittel_benoetigt = True
    system.set_qb_entry_state(data().QB_015,UNCOMPLETE)
    system.set_qb_entry_state(data().QB_001,INACTIVE)
    initDlg_154_SpielerDenktUeberWildpferdNach()

def onDlg_059_Ende4():
    data().d_002_start_c_001 = True
    system.set_qb_entry_state(data().QB_001,COMPLETE)
    initDlg_002_InformationenVonJoshua()

# [M] Dialog 002: Informationen vom Anführer der Nomaden
def initDlg_002_InformationenVonJoshua(param=None):
#system.set_camera_view(const.CAMVIEW_JOSH_HORSE_GIVEN)
    convoy_activate_chars()
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_002_T_001', speaker="JOSHUA")
    dialog.add_choice(text='D_002_C_001_1', follower='D_002_T_002')
    dialog.add_choice(text='D_002_C_001_2', follower='D_002_T_003')
    dialog.add_choice(text='D_002_C_001_3', follower='D_002_T_004')
    dialog.add_choice(text='D_002_C_001_4', follower='D_002_T_008')
    dialog.add_choice(text='D_002_C_001_5', follower='ENDDIALOG', callback=onDlg_002_Ende2)
    dialog.add_text(text='D_002_T_002', speaker="JOSHUA", follower='D_002_C_001')
    dialog.add_text(text='D_002_T_003', speaker="JOSHUA", follower='D_002_C_001')
    dialog.add_text(text='D_002_T_004', speaker="JOSHUA")
    dialog.add_text(text='D_002_T_005', speaker="ALTER_EGO")
    dialog.add_text(text='D_002_T_006', speaker="JOSHUA", follower='ENDDIALOG', callback=onDlg_002_Ende1)
    dialog.add_text(text='D_002_T_007', speaker="JOSHUA", follower='D_002_C_001')
    dialog.add_text(text='D_002_T_008', speaker="JOSHUA", follower='D_002_C_001')

    if data().d_002_start_c_001:
        dialog.jump_to('D_002_C_001')
    elif data().d_002_restart_t_007:
        dialog.jump_to('D_002_T_007')
    dialog.start(False)

def onDlg_002_Ende2():
    data().d_002_restart_t_007 = True
    if system.get_qb_entry_state(data().QB_001) in [UNCOMPLETE, INACTIVE]:
        system.set_qb_entry_state(data().QB_001, COMPLETE)
    system.set_qb_entry_state(data().QB_015, INACTIVE)

# Caleb rennt zur Location 4 um zu Petzen
def onDlg_002_CalebRenntDavon():
    data().VerraeterAufFlucht = True
    for wp in const.WAYPOINTS_CALEBFLUCHT:
        if wp == const.WAYPOINTS_CALEBFLUCHT[-1]:
            object.move_to("CALEB",wp[0],wp[1])
            object.move_to("CALEB",732.43, 228.49,grid="ZONE_6_BUILDING_6200_INTERIOR_GRID",speed=MT_SLOW,callback=["ONEND",onDlg_002_CalebDissapear])
        else:
            object.move_to("CALEB",wp[0],wp[1], speed=MT_SLOW)
    character.set_approachable_state("BILL",APPROACHABLE)
    character.add_experience_party(data().Exp_JoshuaGesprochen)

# funktionen für den convoy
def convoy_activate_chars():
    if not data().konvoi_startet:
        data().konvoi_startet = True
        for shadow in data().SCHATTEN_KONVOI_NPCS:
            object.set_active_state(shadow, 1)
            object.set_attribute(shadow, "foes", ["UISPIELER"])
            character.set_approachable_state(shadow, NOTAPPROACHABLE)
            if data().convoy_with_cars:
                convoy_shadow_enter_car(shadow)
        if data().convoy_with_cars:
            system.notify_timer(data().Timer_KonvoiStart, data().Timervalue_KonvoiStart)

def convoy_start(param=None):
    for car in const.OBJ_CONVOY_CARS:
        convoy_route_to(car)
    system.notify_timer(data().Timer_ConvoyIntercept, data().Timervalue_ConvoyIntercept)

def convoy_route_to(car=None):
    if data().convoy_moves_east:
        data().convoy_moves_east = False
    object.set_direction(car, 180)
    convoy_set_path(car, const.WAYPOINTS_CONVOY)
    if car == "CONVOY_CAR_1":
        object.move_to(car,0,0,grid='landscape',speed=MT_FAST,callback=["ONEND", convoy_check_arrived_check_point_1])
    else:
        object.move_to(car,0,0,grid='landscape',speed=MT_FAST,callback=["ONEND", convoy_check_arrived_1])

#hilfsfunktion: setzt den pfad für ein auto
def convoy_set_path(car, path):
    temp = [];
    for p in path:
        temp.append(p[0])
        temp.append(p[1])
    object.set_attribute(car,'script_path',temp)

def convoy_check_arrived_check_point_1(car):
    convoy_check_arrived_1(car)
    schedules.convoy_move_finished_helper(car)

#hilfsfunktion: laesst die autos umdrehen, wenden in 3 zuegen (1/3)
def convoy_turnaround_1(car, car_data, turn="WEST", wait=False):
    path = car_data[0]
    convoy_set_path(car, path)
    object.move_to(car,0,0,grid='landscape',speed=MT_FAST,callback=["ONEND", Lambda('convoy_turnaround_2(car="%s", car_data=%s, turn="%s", wait=%s)'%(car, str(car_data), turn, str(wait)))])

#hilfsfunktion: laesst die autos umdrehen, wenden in 3 zuegen (2/3)
def convoy_turnaround_2(car, car_data, turn="WEST", wait=False):
    if len(data().SCHATTEN_WEST_NPCS) == 0:
        convoy_stop_and_secure()
        data().SCHATTEN_WEST_NPCS_KILLED = True
        return None
    path = car_data[1]
    object.set_attribute(car, "reversing", True)
    convoy_set_path(car, path)
    if wait:
        the_delay = 2.0
        if data().cars_turning_to == "shadow_base":
            the_delay = 4.2
        enemy_script.delay(the_delay, Lambda('convoy_turnaround_delay(car="%s", car_data=%s, turn="%s")' %(car, str(car_data), turn)))
    else:
        object.move_to(car,0,0,grid='landscape',speed=MT_FAST,callback=["ONEND", Lambda('convoy_turnaround_3(car="%s", car_data=%s, turn="%s")'%(car, str(car_data), turn))])

def convoy_turnaround_delay(car, car_data, turn):
    object.move_to(car,0,0,grid='landscape',speed=MT_FAST,callback=["ONEND", Lambda('convoy_turnaround_3(car="%s", car_data=%s, turn="%s")'%(car, str(car_data), turn))])

#hilfsfunktion: laesst die autos umdrehen, wenden in 3 zuegen (3/3)
def convoy_turnaround_3(car, car_data, turn="WEST", wait=False):
    path = car_data[2]
    object.set_attribute(car, "reversing", False)
    convoy_set_path(car, path)
    object.move_to(car,0,0,grid='landscape',speed=MT_FAST,callback=["ONEND", Lambda('convoy_arrived_and_turned(car="%s", turn="%s")' %(car, turn))])

def convoy_check_arrived_1(car=None):
    data().cars_turning_to = "shadow_base"
    car_data = const.CONVOY_TURNS_WEST[data().convoy_cars_arrived]
    convoy_turnaround_1(car, car_data, turn="WEST", wait=(data().convoy_cars_arrived==0))
    data().convoy_cars_arrived += 1
    if data().convoy_cars_arrived == 3:
        data().convoy_cars_arrived = 0

def convoy_arrived_and_turned(car, turn="WEST"):
    if turn == "WEST":
        convoy_route_back(car)
    else:
        convoy_route_to(car)
    schedules.convoy_move_finished_helper("DOUBLEGANGER_GENERAL")

def convoy_route_back(car=None):
    if not data().convoy_moves_east:
        data().convoy_moves_east = True
    wp_reverse = const.WAYPOINTS_CONVOY[:]
    wp_reverse.reverse()
    convoy_set_path(car, wp_reverse)
    if car == "CONVOY_CAR_1":
        object.move_to(car,0,0,grid='landscape',speed=MT_FAST,callback=["ONEND", convoy_check_arrived_check_point_2])
    else:
        object.move_to(car,0,0,grid='landscape',speed=MT_FAST,callback=["ONEND", convoy_check_arrived_2])

# convoy ist in copperhill angekommen
def convoy_check_arrived_check_point_2(car):
    convoy_check_arrived_2(car)
    schedules.convoy_move_finished_helper(car)

def convoy_check_arrived_2(car=None):
    data().cars_turning_to = "copper_hill"
    car_data = const.CONVOY_TURNS_EAST[data().convoy_cars_arrived]
    convoy_turnaround_1(car, car_data, turn="EAST", wait=(data().convoy_cars_arrived==1))
    data().convoy_cars_arrived += 1
    if data().convoy_cars_arrived == 3:
        data().convoy_cars_arrived = 0
    schedules.convoy_move_finished_helper("DOUBLEGANGER_GENERAL")

def convoy_shadow_enter_car(shadow):
    if shadow in ["KONVOI_SHADOW_00","KONVOI_SHADOW_01"]:
        character.get_in(shadow,const.OBJ_CONVOY_CARS[0])
    elif shadow in ["KONVOI_SHADOW_02","KONVOI_SHADOW_03"]:
        character.get_in(shadow,const.OBJ_CONVOY_CARS[1])
    elif shadow in ["KONVOI_SHADOW_04", "KONVOI_SHADOW_05","DOUBLEGANGER_GENERAL"]:
        character.get_in(shadow,const.OBJ_CONVOY_CARS[2])

## todo: bug 9950 einbauen des anhaltens des convoys + schedules der schatten
# wenn werstliches lager erledigt wurde
def convoy_stop_and_secure():
    import zone_6
    if not data().convoy_stopped:
        data().convoy_stopped = True
        data().convoy_secures_western_camp = True
        if data().convoy_enemy_spotted_active:
            zone_6.convoy_stop()
            zone_6.convoy_get_out()

# Caleb versteckt sich
def onDlg_002_CalebDissapear(id):
    object.turn_to_direction("CALEB",globals.DIR_SOUTH)
    object.set_position_free("CALEB", 732.43, 228.49, 0.0, grid="ZONE_6_BUILDING_6200_INTERIOR_GRID")
    object.set_active_state(id,INACTIVE)

# Dialog 002: Ende 1
def onDlg_002_Ende1():
    if not data().VerraeterAufFlucht:
        system.notify_timer(data().Timer_CalebRenntDavon, data().Timervalue_CalebRenntDavon)
    if system.get_qb_entry_state(data().QB_001) in [UNCOMPLETE, INACTIVE]:
        system.set_qb_entry_state(data().QB_001, COMPLETE)
    system.set_qb_entry_state(data().QB_002,UNCOMPLETE)
    system.set_qb_entry_state(data().QB_015, INACTIVE)
    if not data().player_knows_Bills_Haus:
        data().player_knows_Bills_Haus = True
        system.add_minimap_marker(394.42, 425.85,"MM_008")# Bills Haus
#    cs.teleport_party(392,423)

#[NM] Dialog 060: Der Spieler hat noch kein Wildpferd
def initDlg_060_SpielerHatKeinWildpferd():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_060_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[NM] Dialog 061: Der Spieler hat den Konvoi noch nicht überfallen
def initDlg_061_SpielerHatKonvoiNochNichtUeberfallen():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_061_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[NM/CS] Dialog 005: Bericht über den Verrat und der Verdacht, dass Caleb der Verräter ist, Hinweis auf die Verwandten Calebs.
#def initDlg_005_Joshua_BerichtUeberVerdachtAufCaleb():
def initCutscene_005_BerichtUeberVerratUndVerdachtAufCaleb():
    start_cutscene()
    set_camera(const.CAM_NOMADENDORF_ZENTRUM)
    object.move_to("ALTER_EGO",535.8,296.1,"landscape",MT_SLOW)
    object.turn_to_object("JOSHUA", "ALTER_EGO")
    object.turn_to_object("ALTER_EGO", "JOSHUA",callback=["ONEND",onDlg_005_StartDialog])

def onDlg_005_StartDialog(id):
    object.turn_to_object("JOSHUA", "ALTER_EGO")
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_005_T_001', speaker="ALTER_EGO", callback=Lambda('set_conversation("JOSHUA","ALTER_EGO",mode="medium")'))
    dialog.add_text(text='D_005_T_002', speaker="JOSHUA", callback=Lambda('set_conversation("ALTER_EGO","JOSHUA",mode="medium")'))
    dialog.add_text(text='D_005_T_003', speaker="ALTER_EGO", callback=Lambda('set_conversation("JOSHUA","ALTER_EGO",mode="medium")'))
    dialog.add_text(text='D_005_T_004', speaker="JOSHUA", follower='ENDDIALOG', callback=onDlg_005_Ende1)
    dialog.start()

# Dialog 005: Ende 1
def onDlg_005_Ende1():
    end_cutscene(chars=["JOSHUA", "ALTER_EGO"])
    data().CalebVerdaechtigt = True
    data().FatmaUndPecoAnsprechbar = True
    system.set_qb_entry_state(data().QB_003, INACTIVE)
    system.set_qb_entry_state(data().QB_004, UNCOMPLETE)

#[NM]Dialog 006: Hast Du den Verräter ausfindig machen können?
def initDlg_006_Joshua_WurdeVerraeterGefunden():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_006_T_001', speaker="JOSHUA")
    dialog.add_text(text='D_006_T_002', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[NM/CS]Dialog 048: Freude, dass der Spieler den Verräter gestellt hat
#def initDlg_048_Joshua_VerraeterGestellt():
def initCutscene_048_FreudeDassVerraeterGestellt():
    start_cutscene()
    set_camera(const.CAM_NOMADENDORF_ZENTRUM)
    object.move_to("ALTER_EGO",535.8,296.1,"landscape",MT_SLOW)
    object.turn_to_object("ALTER_EGO","JOSHUA",callback=["ONEND",onDlg_048_StartDialog])
    object.turn_to_object("JOSHUA","ALTER_EGO")

def onDlg_048_StartDialog(id):
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_048_T_001', speaker="ALTER_EGO", callback=Lambda('set_conversation("JOSHUA","ALTER_EGO",mode="medium")'))
    dialog.add_text(text='D_048_T_002', speaker="JOSHUA", callback=Lambda('set_conversation("ALTER_EGO","JOSHUA",mode="medium")'))
    dialog.add_text(text='D_048_T_003', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_048_EndeNormal)
    dialog.start()

# Dialog 048: Ende Normal
def onDlg_048_EndeNormal():
    end_cutscene(chars=["JOSHUA", "ALTER_EGO"])
    data().JoshuaUeberErfolgBerichtet = True

#[M]Dialog 013: Joshua bittet den Spieler, falls er den Heiler trifft, ihn zu bitten zurück zu kommen.
def initDlg_013_Joshua_BitteBringHeilerZurueck():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_013_T_001', speaker="JOSHUA", follower='D_013_C_001')
    dialog.add_choice(text='D_013_C_001_1', follower='D_013_T_004')
    dialog.add_choice(text='D_013_C_001_2', follower='D_013_T_002')
    dialog.add_choice(text='D_013_C_001_3', follower='ENDDIALOG', callback=onDlg_013_Ende2)
    dialog.add_text(text='D_013_T_002', speaker="JOSHUA")
    dialog.add_text(text='D_013_T_003', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_013_Ende1)
    dialog.add_text(text='D_013_T_004', speaker="JOSHUA", follower='ENDDIALOG', callback=onDlg_013_Ende1)
    dialog.start(False)

# Dialog 013: Ende 1
def onDlg_013_Ende1():
    system.set_qb_entry_state(data().QB_007,UNCOMPLETE)
    data().AdianQuestAktiv = True
    character.set_approachable_state("ADIAN",APPROACHABLE)
    cs.teleport_party(293,373)

def onDlg_013_Ende2():
    pass

#[NM]Dialog 003: Joshua hat nichts zu sagen
def initDlg_003_Joshua_NixZuSagen():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_003_T_001', speaker="JOSHUA")
    dialog.add_text(text='D_003_T_002', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[NM] Dialog 062: Der Spieler hat Aidan noch nicht getroffen
def initDlg_062_SpielerHatAidanNichtGetroffen():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_062_T_001', speaker="JOSHUA")
    dialog.add_text(text='D_062_T_002', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[NM] Dialog 063: Der Spieler hat Aidan zurück gebracht
def initDlg_063_SpielerHatAidanZurueckGebracht():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_063_T_001', speaker="JOSHUA")
    dialog.add_text(text='D_063_T_002', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

# DIALOGE mit FATMA und PECO
#[NM] Dialog 064: Der Spieler will nicht mit Fatma oder Peco sprechen
def initDlg_064_SpielerWillNichtMitFatmaPecoOderSprechen():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_064_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[M] Dialog 007: Verhör von Calebs Familie
def initDlg_007_Fatma_VerhoerDerFamilieCalebs():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_007_T_001', speaker="ALTER_EGO")
    dialog.add_text(text='D_007_T_002', speaker="FATMA")
    dialog.add_text(text='D_007_T_003', speaker="PECO")
    dialog.add_text(text='D_007_T_004', speaker="FATMA", follower='D_007_T_006')
    dialog.add_text(text='D_007_T_006', speaker="ALTER_EGO", follower='D_007_C_001')
    dialog.add_choice(text='D_007_C_001_1', follower='D_007_T_008')
    dialog.add_choice(text='D_007_C_001_2', follower='D_007_T_009')
    dialog.add_choice(text='D_007_C_001_3', follower='D_007_T_014')
    dialog.add_text(text='D_007_T_008', speaker="FATMA", follower='D_007_C_001')
    dialog.add_text(text='D_007_T_009', speaker="FATMA", follower='D_007_C_002')
    dialog.add_choice(text='D_007_C_002_1', follower='D_007_T_011')
    dialog.add_choice(text='D_007_C_002_2', follower='D_007_T_014')
    dialog.add_text(text='D_007_T_011', speaker="FATMA", follower='D_007_C_003')
    dialog.add_text(text='D_007_T_014', speaker="FATMA", follower='D_007_C_003')
    dialog.add_choice(text='D_007_C_003_1', follower='D_007_T_017')
    if not data().d_007_restart_c_003 in [2,3]:
        if object.get_attribute("ALTER_EGO", "speech") > 80:
            dialog.add_choice(text='D_007_C_003_2', follower='D_007_T_022')
        else:
            dialog.add_choice(text='D_007_C_003_2', follower='D_007_T_023')
    if not data().d_007_restart_c_003 in [1,4]:
        dialog.add_choice(text='D_007_C_003_3', follower='ENDDIALOG', callback=onDlg_007_Ende2)
    dialog.add_text(text='D_007_T_017', speaker="FATMA")
    dialog.add_text(text='D_007_T_018', speaker="ALTER_EGO")
    dialog.add_text(text='D_007_T_019', speaker="FATMA")
    dialog.add_text(text='D_007_T_020', speaker="ALTER_EGO")
    dialog.add_text(text='D_007_T_021', speaker="FATMA", follower='ENDDIALOG',callback=onDlg_007_Ende1) # Ende 1
    dialog.add_text(text='D_007_T_022', speaker="FATMA", follower='D_007_T_018')
    dialog.add_text(text='D_007_T_023', speaker="FATMA", follower='ENDDIALOG',callback=onDlg_007_Ende3) # Ende 3
    if data().d_007_restart_c_003 :
        dialog.jump_to('D_007_C_003')
    dialog.start(False)

# Ende des Dialogs, jetzt NM
def onDlg_007_Ende1():
    system.set_qb_entry_state(data().QB_004,INACTIVE)
    system.set_qb_entry_state(data().QB_016,UNCOMPLETE)
    data().caleb_kleidung_benoetigt = True
    data().MitFatmaGesprochen = 1
    object.set_active_state("CALEB", ACTIVE)
    system.notify_region_entered(data().Region_CalebVersteck, objectid="ALTER_EGO")
    initDlg_065_PecoIstNeugierig()

def onDlg_007_Ende2():
    if data().d_007_restart_c_003 == 2:
        data().d_007_restart_c_003 = 3
    else:
        data().d_007_restart_c_003 = 1

def onDlg_007_Ende3():
    if data().d_007_restart_c_003 == 1:
        data().d_007_restart_c_003 = 4
    else:
        data().d_007_restart_c_003 = 2

#[NM] Dialog 065: Peco ist neugierig
def initDlg_065_PecoIstNeugierig():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_065_T_001', speaker="PECO")
    dialog.add_text(text='D_065_T_002', speaker="FATMA", follower='ENDDIALOG')
    dialog.start(False)

#[NM]Dialog 049: Fatma will nicht mehr sagen.
def initDlg_049_Fatma_NixMehrZuSagen():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_049_T_001', speaker="FATMA", follower='ENDDIALOG')
    dialog.start()

## dialoge mit gerda
#[M] Dialog 133: Gerda besitzt schöne Äpfel
def initDlg_133_GerdaBesitztSchoeneAepfel():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_133_T_001', speaker="GERDA", follower='D_133_C_001')
    if system.get_qb_entry_state(data().QB_015) == UNCOMPLETE:
        dialog.add_choice(text='D_133_C_001_1', follower='D_133_T_003', callback=onDlg_133_GiveMenue)
    if not data().gerda_speech_chance_done:
        data().gerda_speech_chance_done = True
        if object.get_attribute("ALTER_EGO","speech") > 65:
            dialog.add_choice(text='D_133_C_001_2', follower='D_133_T_004')
        else:
            dialog.add_choice(text='D_133_C_001_2', follower='D_133_T_005')
    dialog.add_choice(text='D_133_C_001_3', follower='ENDDIALOG', callback=onDlg_133_Ende1)
    dialog.add_text(text='D_133_T_002', speaker="GERDA", follower='ENDDIALOG', callback=onDlg_133_Ende2)
    dialog.add_text(text='D_133_T_003', speaker="GERDA", follower='ENDDIALOG', callback=onDlg_133_Ende1)
    dialog.add_text(text='D_133_T_004', speaker="GERDA", follower='ENDDIALOG', callback=onDlg_133_Ende2)
    dialog.add_text(text='D_133_T_005', speaker="GERDA", follower='ENDDIALOG', callback=onDlg_133_Ende1)
    dialog.start(False)

def onDlg_133_GiveMenue():
    system.item_panel("GERDA","ALTER_EGO", on_give_menu_filter, on_give_menu_closed, on_give_menu_cancel)

def on_give_menu_filter( taker, source, item, item_type ):
    water = is_water_repository(item)
    meat = item_type.rfind("MEAT") != -1
    quest = (object.has_attribute(item, "generic_item") and (object.get_attribute(item, "generic_item") == False))
    if taker == "GERDA":
        if ((meat or water) and not quest):
            return True
    elif taker == "ARIK":
        if ((meat or water) and not quest):
            return True
    elif taker == "ALEXA":
        if ((meat or water) and not quest):
            return True
    return False

def on_give_menu_closed( taker, items ):
    item_types = []
    for act_item in items:
        item_types.append(object.get_attribute(act_item, "typeid"))
    if taker == "GERDA":
        if len(items) >= 1:
            dialog.jump_to('D_133_T_002')
            return True
        else:
            dialog.jump_to('D_133_T_003')
            return False
    elif taker == "ARIK":
        if len(items) >= 1:
            dialog.jump_to('D_138_T_007')
            return True
        else:
            dialog.jump_to('D_138_T_006')
            return False
    elif taker == "ALEXA":
        if len(items) >= 2:
            dialog.jump_to('D_069_T_004')
            return True
        else:
            dialog.jump_to('D_069_T_006')
            return False
    return False



def on_give_menu_cancel( taker ):
    if taker == "ALEXA":
        dialog.jump_to('D_069_T_006')
    elif taker == "ARIK":
        dialog.jump_to('D_138_T_006')
    elif taker == "GERDA":
        dialog.jump_to('D_133_T_003')

def onDlg_133_Ende1():
    pass

def onDlg_133_Ende2():
    object.create_item_in_inventory("GERDA","SET_APPLE")
    object.transfer_item("GERDA","SET_APPLE","ALTER_EGO")
    if system.get_qb_entry_state(data().QB_015) == UNCOMPLETE:
        check_valium_apple()

## dialoge mit arik
#[NM/CS] Dialog 137: Arik ist blind
def initCutscene_137_ArikIstBlind():
    start_cutscene()
    system.set_camera_view([550.8192138671875, 293.02310180664062, 8.0403461456298828, 0.44095391035079956, 0.83441358804702759, -0.330625981092453])
    x,y = object.get_x("ARIK"),object.get_y("ARIK")
    object.move_to("ALTER_EGO",x+0.7,y-1.5,"landscape",MT_SLOW)
    object.turn_to_object("ALTER_EGO","ARIK")
    object.turn_to_object("ARIK","ALTER_EGO",callback=["ONEND",onDlg_137_StartDialog])

def onDlg_137_StartDialog(id):
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_137_T_001', speaker="ARIK", callback=Lambda('set_conversation("ALTER_EGO","ARIK",mode="close")'))
    dialog.add_text(text='D_137_T_002', speaker="ALTER_EGO", callback=Lambda('set_conversation("ARIK","ALTER_EGO",mode="close")'))
    dialog.add_text(text='D_137_T_003', speaker="ARIK", follower='ENDDIALOG', callback=onDlg_137_Ende1)
    dialog.start()

def onDlg_137_Ende1():
    data().arik_intro = True
    end_cutscene(chars=["ARIK", "ALTER_EGO"])
    initDlg_138_SpielerMieteEinenHundVonArik()

#[M] Dialog 138: Der Spieler mietet einen Hund von Arik
def initDlg_138_SpielerMieteEinenHundVonArik():
    dialog.init_dialog(type=DIALOGLARGE)
    if not data().player_knows_Schamane:
        dialog.add_choice(text='D_138_C_001_8', follower='D_138_T_008')
    if data().d_138_C_001_aktiv[0]:
        dialog.add_choice(text='D_138_C_001_1', follower='D_138_T_001', callback=Lambda('data().d_138_C_001_aktiv[0] = False'))
    if data().d_138_C_001_aktiv[1]:
        dialog.add_choice(text='D_138_C_001_2', follower='D_138_T_002', callback=Lambda('data().d_138_C_001_aktiv[1] = False'))
    if (data().d_138_C_001_aktiv[2] and system.get_qb_entry_state(data().QB_016)==UNCOMPLETE):
        dialog.add_choice(text='D_138_C_001_3', follower='D_138_T_003', callback=[Lambda('data().d_138_C_001_aktiv[3] = True'),Lambda('data().d_138_C_001_aktiv[2] = False')])
    if data().d_138_C_001_aktiv[3]:
        if not onDlg_138_CheckCloth():
            dialog.add_choice(text='D_138_C_001_4', follower='D_138_T_004', callback=Lambda('data().d_138_C_001_aktiv[3] = False'))
        else:
            dialog.add_choice(text='D_138_C_001_5', follower='D_138_T_005', callback=Lambda('data().d_138_C_001_aktiv[3] = False'))
    dialog.add_choice(text='D_138_C_001_6', follower='ENDDIALOG', callback=onDlg_138_Ende)
    dialog.add_text(text='D_138_T_001', speaker="ARIK", follower='ENDDIALOG', callback=[Lambda('data().d_138_C_001_aktiv[2] = True'),onDlg_138_Restart])
    dialog.add_text(text='D_138_T_002', speaker="ARIK", follower='ENDDIALOG', callback=onDlg_138_Restart)
    dialog.add_text(text='D_138_T_003', speaker="ARIK", follower='ENDDIALOG', callback=onDlg_138_Restart)
    dialog.add_text(text='D_138_T_004', speaker="ARIK", follower='ENDDIALOG', callback=onDlg_138_Restart)
    dialog.add_text(text='D_138_T_005', speaker="ARIK", follower='D_138_T_006', callback=onDlg_138_GiveMenu)
    dialog.add_text(text='D_138_T_006', speaker="ARIK", follower='ENDDIALOG', callback=onDlg_138_Restart)
    dialog.add_text(text='D_138_T_007', speaker="ARIK", follower='ENDDIALOG', callback=onDlg_138_LeicaFolgtSpieler)
    dialog.add_text(text='D_138_T_008', speaker="PIT", follower='ENDDIALOG', callback=DlgArik_chaman)
    dialog.start(False)

def DlgArik_chaman():
    onDlg_071_marker()
    cs.teleport_party(293,373)
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_147_T_003', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

def onDlg_138_GiveMenu():
    system.item_panel("ARIK","ALTER_EGO", on_give_menu_filter, on_give_menu_closed, on_give_menu_cancel)

def onDlg_138_Ende():
    data().d_138_C_001_aktiv = [True,True,False,False,True]

def onDlg_138_CheckCloth():
    return object.count_in_inventory("ALTER_EGO",const.QI_CALEB_CLOTH[0])

def onDlg_138_Ende1():
    onDlg_138_Restart()

def onDlg_138_Restart():
    initDlg_138_SpielerMieteEinenHundVonArik()

def onDlg_138_LeicaFolgtSpieler():
#    onDlg_138_Restart()
    data().leica_folgt = True
    object.set_attribute("LEICA","approachable", 1)
    cs.teleport_party_gr(717,244,["LEICA"])
    leica_leads_player()
    onDlg_145_Ende2
    co.comment("ALTER_EGO","D_145_C_001_2" )
    zone_6.mini_map_KinderGang()# display KinderGang's camp on the mini-map

## apfelkorb:
#[NM] Dialog 134: Der Spieler untersucht die Äpfel
def initDlg_134_SpielerUntersuchtAepfel():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_134_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[NM] Dialog 135: Der Spieler klaut sich einen Apfel
def initDlg_135_SpielerKlautEinenApfel(char_id):
    if char_id == "ALTER_EGO":
        dialog.init_dialog(type=DIALOGSMALL)
        dialog.add_text(text='D_135_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
        dialog.start()

#[NM] Dialog 136: Gerda hindert den Spieler einen Apfel zu nehmen/ zu klauen
def initDlg_136_GerdaHindertSpielerApfelZuNehmen(char_id):
    dialog.init_dialog(type=DIALOGSMALL)
    if char_id == "ALTER_EGO":
        dialog.add_text(text='D_136_T_001', speaker="GERDA")
        dialog.add_text(text='D_136_T_002', speaker="ALTER_EGO", follower='ENDDIALOG')
    else:
        dialog.add_text(text='D_136_T_001', speaker="GERDA", follower='ENDDIALOG')
    dialog.start()

## horatio:
#[NM/CS] Dialog 090: Horatio und seine Freunde sind Flüchtlinge
def initCutscene_090_HoratioUndSeineFreundeSindFluechtlinge():
    start_cutscene()
    set_camera(const.CAM_HORATIO_INTRO)
    object.cancel_commandos("ALTER_EGO")
    object.set_position("ALTER_EGO",690.0,540.0)
    object.move_to("ALTER_EGO",700.0,536.0,"landscape",MT_FAST)
    object.turn_to_object("HORATIO","ALTER_EGO",callback=["ONEND", onDlg_090_StartDialog])
    object.turn_to_object("ALTER_EGO","HORATIO")

def onDlg_090_StartDialog(id):
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_090_T_001', speaker="HORATIO", follower='ENDDIALOG', callback=onDlg_090_AEApproachesHoratio)
    dialog.start()

def onDlg_090_DialogContinue(id):
    object.turn_to_object("ALTER_EGO","HORATIO")
    object.turn_to_object("HORATIO","ALTER_EGO")
    set_conversation("ALTER_EGO","HORATIO",mode="far", new_camera=False)
    set_camera(const.CAM_HORATIO_INTRO_2)
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_090_T_002', speaker="ALTER_EGO", callback=Lambda('set_conversation("HORATIO","ALTER_EGO",mode="medium")'))
    dialog.add_text(text='D_090_T_003', speaker="HORATIO", follower='ENDDIALOG', callback=onDlg_090_Ende1)
    dialog.start()

def onDlg_090_Ende1():
    end_cutscene(chars=["HORATIO", "ALTER_EGO"])
    initDlg_091_SpielerErfaehrtVonHoratiosDorf()

def onDlg_090_AEApproachesHoratio():
    set_conversation("ALTER_EGO","HORATIO",mode="far", animate=False)
    x,y = object.get_x("HORATIO"),object.get_y("HORATIO")
    object.move_to("ALTER_EGO",x,y+1.5,"landscape",MT_SLOW,callback=["ONEND",onDlg_090_DialogContinue])

def Dlg_091_Horatio_chaman():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_choice(text='D_090_C_005', follower='D_090_T_005')
    dialog.add_choice(text='D_090_C_006', follower='D_090_T_006')
    dialog.add_text(text='D_090_T_005', speaker="HORATIO", follower='ENDDIALOG',\
        callback=Lambda('cs.teleport_party(293,373)'))
    dialog.add_text(text='D_090_T_006', speaker="HORATIO", follower='ENDDIALOG',\
        callback=initDlg_091_SpielerErfaehrtVonHoratiosDorf)
    dialog.start()

#[M] Dialog 091: Der Spieler erfährt von Horatios Dorf
def initDlg_091_SpielerErfaehrtVonHoratiosDorf():
    dialog.init_dialog(type=DIALOGLARGE)
    if data().choices_horatio_left[0]:
        dialog.add_choice(text='D_091_C_001_1', follower='D_091_T_001', callback=Lambda('data().choices_horatio_left[0]=False'))
    if (data().d_091_c_001_2_aktiv and data().choices_horatio_left[1]):
        dialog.add_choice(text='D_091_C_001_2', follower='D_091_T_002', callback=Lambda('data().choices_horatio_left[1]=False'))
    if data().choices_horatio_left[2]:
        dialog.add_choice(text='D_091_C_001_3', follower='D_091_T_003', callback=Lambda('data().choices_horatio_left[2]=False'))
    if data().choices_horatio_left[3]:
        dialog.add_choice(text='D_091_C_001_4', follower='D_091_T_004', callback=Lambda('data().choices_horatio_left[3]=False'))
    if (data().choices_horatio_left[4] and data().einwegspritzen_fuer_adian):
        dialog.add_choice(text='D_091_C_001_5', follower='D_091_T_005', callback=Lambda('data().choices_horatio_left[4]=False; data().einwegspritzen_fuer_adian = False'))
    if (data().choices_horatio_left[5] and data().zz5_markus_toxikologiebuch):
        dialog.add_choice(text='D_091_C_001_6', follower='D_091_T_006', callback=Lambda('data().choices_horatio_left[5]=False; data().zz5_markus_toxikologiebuch = False'))
    if data().choices_horatio_left[6]:
        if hasattr(data('zone_7.zone_7'), 'player_knows_Kaefig'):
            if not data('zone_7.zone_7').player_knows_Kaefig:
                dialog.add_choice(text='D_091_C_001_7', follower='D_091_T_009', callback=Lambda('data().choices_horatio_left[6]=False'))
        else:
            dialog.add_choice(text='D_091_C_001_7', follower='D_091_T_009', callback=Lambda('data().choices_horatio_left[6]=False'))
    dialog.add_choice(text='D_091_C_001_8', follower='ENDDIALOG', callback=onDlg_091_MakeCompleteRestartPossible)
    dialog.add_text(text='D_091_T_001', speaker="HORATIO", follower='ENDDIALOG', callback=Lambda('data().d_091_c_001_2_aktiv = True; data().choices_horatio_left[1]=True; initDlg_091_SpielerErfaehrtVonHoratiosDorf()'))
    dialog.add_text(text='D_091_T_002', speaker="HORATIO", follower='D_091_C_001', callback=onDlg_091_QuestbookUpdate)
    dialog.add_text(text='D_091_T_003', speaker="HORATIO", follower='D_091_C_001')
    dialog.add_text(text='D_091_T_004', speaker="HORATIO", follower='D_091_C_001')
    dialog.add_text(text='D_091_T_005', speaker="HORATIO", follower='D_091_C_001')
    dialog.add_text(text='D_091_T_006', speaker="HORATIO")
    dialog.add_text(text='D_091_T_007', speaker="ALTER_EGO")
    dialog.add_text(text='D_091_T_008', speaker="HORATIO", follower='ENDDIALOG', callback=onDlg_091_PlayerGetToxicologyBook)
    dialog.add_text(text='D_091_T_009', speaker="HORATIO", follower='D_091_C_001')
    dialog.start(False)

def onDlg_091_MakeCompleteRestartPossible():
    data().choices_horatio_left = [True,True,True,True,True,True,True,True]

def onDlg_091_QuestbookUpdate():
    if not system.get_qb_entry_state(data().QB_019) in [UNCOMPLETE,COMPLETE,IMPOSSIBLE]:
        set_zone_enabled("zzone_5",True)
        system.set_qb_entry_state(data().QB_019, UNCOMPLETE)

def onDlg_091_PlayerGetToxicologyBook():
    object.create_item_in_inventory("HORATIO","SET_TOXICOLOGY_BOOK","Z6 HORATIOS_TOXBOOK")
    object.set_attribute("Z6 HORATIOS_TOXBOOK","generic_item",False)
    object.transfer_item("HORATIO","Z6 HORATIOS_TOXBOOK","ALTER_EGO")
    system.show_zone_map()

#[NM] Dialog 158: Horatios Begleiter verweisen auf Horatio
def initDlg_158_HoratiosBegleiterVerweisenAufHoratio(target):
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_158_T_001_%s' %target, speaker=target, follower='ENDDIALOG')
    dialog.start()

## einwegspritzen:
#[NM] Dialog 092: Der Spieler untersucht die Einwegspritzen, braucht sie aber nicht
def initDlg_092_SpielerUntersuchtEinwegSpritzenBrauchtSieAberNicht():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_092_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[NM] Dialog 130: Der Spieler untersucht die benötigten Einwegspritzen
def initDlg_130_SpielerUntersuchtEinwegSpritzen():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_130_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[NM] Dialog 131: Der Spieler nimmt die benötigten Einwegspritzen
def initDlg_131_SpielerNimmtEinwegSpritzen():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_131_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[NM] Dialog 132: Der Spieler nimmt die Einwegspritzen
def initDlg_132_SpielerNimmtEinwegSpritzenBrauchtSieAberNicht():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_132_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

# DIALOGE mit ALTER_EGO (Monologe)

#[NM/CS]Dialog 012: Der Spieler liest die Nachricht und erfährt von einer Kleinstadt und weiteren Gefangenen
def initCutscene_012_SpielerLiestDokumenteZurSchattenBasis(as_cutscene=True):
    if as_cutscene:
        system.start_cutscene()
        set_conversation("ALTER_EGO", cam_x=0.0, cam_y=1.0, mode="medium")
        object.cancel_commandos("ALTER_EGO")
        object.turn_to_direction("ALTER_EGO", globals.DIR_SOUTH, callback=['ONEND', Lambda('on_dialog_012_start(%s)' %(as_cutscene))])
    else:
        on_dialog_012_start(as_cutscene)

def on_dialog_012_start(as_cutscene):
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_012_T_001', speaker="ALTER_EGO")
    dialog.add_text(text='D_012_T_002', speaker="ALTER_EGO", follower='ENDDIALOG', callback=Lambda('on_dialog_012_ende1(%s)' %(as_cutscene)))
    dialog.start()

## Dialog 012: Ende 1
def on_dialog_012_ende1(as_cutscene):
    if as_cutscene:
        end_cutscene(chars=[])
    set_zone_enabled("zone_7",True)
    if hasattr(data('zone_7.zone_7'), 'QB_001') and not system.get_qb_entry_state(data('zone_7.zone_7').QB_001) in [UNCOMPLETE, COMPLETE]:
        if not was_zone_entered("zone_7.zone_7"):
            system.set_qb_entry_state(data('zone_7.zone_7').QB_001, UNCOMPLETE)
    data().SchattenbasisDokumenteGelesen = True

#[NM/CS]Dialog 050: Der Spieler baut die Steuereinheit ein und wirft den Generator an.
def initCutscene_050_SpielerBautSteuereinheitInGenerator(char_id):
    start_cutscene()
    set_camera(const.CAM_GENERATOR_CH)
    data().char_am_generator = char_id
    object.cancel_commandos("ALTER_EGO")
    object.set_position("ALTER_EGO",718.6,854.6)
    object.move_to("ALTER_EGO",723.6,849.3)
    for pc_id in system.get_pcs():
        if ((pc_id != char_id) and (pc_id != "ALTER_EGO")):
            if (object.get_distance(pc_id, const.OBJ_GENERATOR_CH) <= 15.0):
                object.move_to(pc_id, 728.13,839.45)
                object.turn_to_object(pc_id, const.OBJ_GENERATOR_CH)
    object.turn_to_object("ALTER_EGO", const.OBJ_GENERATOR_CH, callback=["ONEND",onDlg_050_StartDialog])

def onDlg_050_StartDialog(speaker_id):
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_050_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_050_GeneratorWork)
    dialog.start()

def onDlg_050_EndOfDialog(char_id):
    sounds.play_3d_sound_object(sfx_id="generator_engine_starts",object=const.OBJ_GENERATOR_CH)
    system.notify_timer(data().Timer_SoundDelay, 2000)
    data().sound_delay = 1
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_050_T_002', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_050_Ende1)
    dialog.start()

def onDlg_050_GeneratorWork():
    object.move_to(data().char_am_generator, 725.48,844.86)
    object.step_to(data().char_am_generator, 725.48,844.86)
    object.turn_to_object(data().char_am_generator, const.OBJ_GENERATOR_CH)
    character.play_animation(data().char_am_generator, "CM_NPC_TIER_FUETTERN_START")
    character.play_animation(data().char_am_generator, "CM_NPC_TIER_FUETTERN_LOOP")
    character.play_animation(data().char_am_generator, "CM_NPC_TIER_FUETTERN_ENDE", callback=["ONEND", onDlg_050_EndOfDialog])
## todo: spieler beruerht generator, generator löppt wieder

## Dialog 050: Ende 1
def onDlg_050_Ende1():
    end_cutscene(chars=[])
    data().GeneratorRepariert = 1
    object.step_away(data().char_am_generator)
    data().char_am_generator = None
    cs.teleport_party(725,924)
## todo: rüttelnder generator

#[NM/CS]Dialog 051: Der Spieler baut die Zündkerzen ein und wirft den Generator an.
def initCutscene_051_SpielerBautZuendkerzenInGenerator(char_id):
    start_cutscene()
    set_camera(const.CAM_GENERATOR_CH)
    data().char_am_generator = char_id
    object.cancel_commandos("ALTER_EGO")
    object.set_position("ALTER_EGO",718.6,854.6)
    object.move_to("ALTER_EGO",723.6,849.3)
    for pc_id in system.get_pcs():
        if ((pc_id != char_id) and (pc_id != "ALTER_EGO")):
            if (object.get_distance(pc_id, const.OBJ_GENERATOR_CH) <= 15.0):
                object.move_to(pc_id, 728.13,839.45)
                object.turn_to_object(pc_id, const.OBJ_GENERATOR_CH)
    object.turn_to_object("ALTER_EGO", const.OBJ_GENERATOR_CH, callback=["ONEND",onDlg_051_StartDialog])

def onDlg_051_StartDialog(speaker_id):
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_051_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_051_GeneratorWork)
    dialog.start()

def onDlg_051_EndOfDialog(char_id):
    sounds.play_3d_sound_object(sfx_id="generator_engine_starts",object=const.OBJ_GENERATOR_CH)
    system.notify_timer(data().Timer_SoundDelay, 2000)
    data().sound_delay = 1
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_051_T_002', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_051_Ende1) # Ende 1
    dialog.start()

## Generator arbeitet wieder:
def onDlg_051_GeneratorWork():
    object.move_to(data().char_am_generator, 725.48,844.86)
    object.step_to(data().char_am_generator, 725.48,844.86)
    object.turn_to_object(data().char_am_generator, const.OBJ_GENERATOR_CH)
    character.play_animation(data().char_am_generator, "CM_PRAEPARIEREN_STEHEN_ANSCHRITT")
    character.play_animation(data().char_am_generator, "CM_PRAEPARIEREN_STEHEN_LOOP")
    character.play_animation(data().char_am_generator, "CM_PRAEPARIEREN_STEHEN_ENDSCHRITT", callback=["ONEND", onDlg_051_EndOfDialog])
## todo: spieler beruerht generator, generator löppt wieder

## Dialog 051: Ende 1
def onDlg_051_Ende1(char_id):
    end_cutscene(chars=[])
    data().GeneratorRepariert = 2
    object.step_away(data().char_am_generator)
    data().char_am_generator = None
    cs.teleport_party(725,924)

# copperhill:
#[NM/CS] Dialog 139: Der Spieler hat Angst vor der Übermacht
def initCutscene_139_SpielerHatAngstVorUebermacht():
    start_cutscene()
    set_camera(const.CAM_COPPERHILL)
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_139_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback=Lambda('end_cutscene()'))
    dialog.start()

#[NM/CS] Dialog 140: Der Spieler freut sich an den abgezogenen Schatten
def initCutscene_140_SpielerFreutSichUeberAbgezogeneSchatten():
    start_cutscene()
    set_camera(const.CAM_COPPERHILL)
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_140_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback=Lambda('end_cutscene()'))
    dialog.start()

#[NM/CS] Dialog 141: Die Schatten sind alarmiert
def initCutscene_141_SchattenSindAlarmiert(shadow_id):
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_141_T_001', speaker=shadow_id, follower='ENDDIALOG')
    dialog.start()

#[NM] Dialog 038: Der Spieler stellt fest, dass er Alexas Auftrag erledigt hat
def initDlg_038_SpielerErledigtAlexasAuftrag():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_038_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_038_Ende1) # Ende 1
    dialog.start()

# Dialog 038: Ende 1
def onDlg_038_Ende1():
    system.set_qb_entry_state(data().QB_010,COMPLETE)
    system.set_qb_entry_state(data().QB_011,UNCOMPLETE)

#[NM] Dialog 070: Der Spieler stellt fest, dass die Ratskulls alle tot sind
def initDlg_070_SpielerStelltFestDassAlleRatskullsTotSind():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_070_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[NM]Dialog 056: Spieler kommentiert den Ausbau des Ersatzteiles am kaputten
def initDlg_056_SpielerKommentiertErsatzteilAusbau(pc=None):
    dialog.init_dialog(type=DIALOGSMALL)
    if pc in system.get_pcs():
        dialog.add_text(text='D_056_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    else:
        dialog.add_text(text='D_056_T_002', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start(False)

#[NM] Dialog 080: Der Spieler findet den Höhleneingang
def initDlg_080_SpielerFindetHoehleneingang():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_080_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

# wildpferde:

#[NM] Dialog 081: Der Spieler zähmt das Pferd
#used in d_086 -> look there
def initDlg_081_SpielerZaehmtDasPferd():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_081_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[NM] Dialog 082: Der Spieler platziert den Apfel
def initDlg_082_SpielerPlatziertDenApfel():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_082_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_082_Ende)
    dialog.start()

def onDlg_082_Ende():
    cs = system.is_cutscene()
    if not cs:
        initCutscene_085_DasPferdIsstDenValiumApfel()
    else:
        system.notify_timer(data().Timer_HotFixHack,2000)

#[NM/CS] Dialog 085: Das Pferd isst den Valium-Apfel
def initCutscene_085_DasPferdIsstDenValiumApfel():
    if not system.is_cutscene():
        system.start_cutscene()
        object.set_position(data().obj_apple_put_down,221.98,439.55)
        set_camera(const.CAM_WILDHORSE_APPLEDOWN)
        object.move_to("ALTER_EGO",230.5,438.2,"landscape",MT_SLOW)
        object.turn_to_object(data().following_wildhorse,"ALTER_EGO")
        object.turn_to_object("ALTER_EGO",data().following_wildhorse)
        x,y,z = object.get_position(data().obj_apple_put_down)
        object.move_to(data().following_wildhorse,x-2.08,y,"landscape",MT_FAST, callback=["ONEND",onDlg_085_StartDialog])

def onDlg_085_StartDialog(id):
    set_camera(const.CAM_WILDHORSE_FOLLOWME)
    object.turn_to_object(data().following_wildhorse,data().obj_apple_put_down, callback=["ONEND", on_dialog_085_horse_eat_apple])

def on_dialog_085_horse_eat_apple(obj):
    object.play_animation(data().following_wildhorse,'HORSE_FRESSEN_LOOP')
    object.play_animation(data().following_wildhorse,'HORSE_FRESSEN_LOOP')
    object.play_animation(data().following_wildhorse,'HORSE_FRESSEN_LOOP')
    object.play_animation(data().following_wildhorse,'HORSE_FRESSEN_LOOP')
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_085_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_085_Ende)
    dialog.start()

def onDlg_085_Ende():
    system.notify_timer(data().Timer_WildPferdHatApfelGegessen,data().Timervalue_WildPferdHatApfelGegessen)

#[NM/CS] Dalog 086: Das bedröhnte Pferde folgt dem Spieler
def initCutscene_086_DasBedroehntePferdFolgtDemSpieler():
    object.cancel_commandos("ALTER_EGO")
    object.set_position("ALTER_EGO", 230.5, 438.2)
    object.move_to("ALTER_EGO", 229.0,438.6, grid="landscape", speed=MT_SLOW, callback=["ONEND", onDlg_086_AEKneesDown])
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_086_T_001', speaker="ALTER_EGO", callback=onDlg_086_PferdKommtNaeher)
    if not data().wildhorse_led_without_apple:
        dialog.add_text(text='D_086_T_002', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_086_Ende)
    else:
        dialog.add_text(text='D_081_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_086_Ende)
    dialog.start()

def onDlg_086_AEKneesDown(char_id):
    object.turn_to_object(char_id, data().following_wildhorse)
    character.change_body_mode(char_id, "KNEEL")

def onDlg_086_PferdKommtNaeher():
    ph = object.get_position(data().following_wildhorse)
    pa = object.get_position("ALTER_EGO")
    dx,dy = 2.0,2.0
    if pa[0] < ph[0]:
        dx = 0 - dx
    if pa[1] < ph[1]:
        dy = 0 - dy
#set_conversation("ALTER_EGO", data().following_wildhorse, animate=False, mode="far")
    set_camera(const.CAM_WILDHORSE_APPROACH)
    object.move_to(data().following_wildhorse,ph[0]+dx,ph[1]+dx,"landscape",MT_FAST)

def onDlg_086_Ende():
    character.change_body_mode("ALTER_EGO", "STAND")
    data().wildpferd_folgt_spieler = True
    system.notify_timer(data().Timer_WildpferdFolgt, 500)
    system.set_camera_view(const.CAMVIEW_HORSE_AWAY)
    object.move_to("ALTER_EGO", 234.3,434.0, grid="landscape", speed=MT_FAST)
    object.move_to("ALTER_EGO", 255.58,415.32, grid="landscape", speed=MT_FAST, callback=["ONEND",Lambda('system.fade(FADE_OUT); system.notify_timer(data().Timer_WildPferdCutscene, data().Timervalue_WildPferdCutscene)')])

def onDlg_086_Continue():
    data().wildpferd_folgt_spieler = False
    object.cancel_commandos("ALTER_EGO")
    object.cancel_commandos(data().following_wildhorse)
    prohibit_activity("LAYLA")
    object.set_position("ALTER_EGO", 541.96,283.7)
    for id in system.get_pcs():
        object.cancel_commandos(id)
        object.set_position(id, 543.96,281.0)
        object.move_to(id, 537.0, 291.00, grid="landscape", speed=MT_SLOW, callback=["ONEND", Lambda('object.turn_to_object("%s", "JOSHUA")' %(id))])
    object.set_position(data().following_wildhorse, 538.89,278.18)
    object.set_position("LAYLA", 546.5,304.68)
    system.set_camera_view(const.CAMVIEW_HORSE_TO_JOSH)
    system.fade(FADE_IN)
    object.move_to("ALTER_EGO", 535.83, 293.08, grid="landscape", speed=MT_SLOW)
    object.move_to(data().following_wildhorse, 540.76, 291.49, grid="landscape", speed=MT_FAST)
    object.move_to("LAYLA", 540.76, 291.49, grid="landscape", speed=MT_SLOW)
    object.turn_to_object("LAYLA", data().following_wildhorse, callback=["ONEND",onDlg_086_LaylaTakesHorse])
    object.turn_to_object("ALTER_EGO", "JOSHUA", callback=["ONEND", onDlg_086_StartNext])

def onDlg_086_StartNext(char=None):
    end_cutscene()
    data().wildpferd_folgt_spieler = False
    data().spieler_hat_wildpferd = True
    system.set_qb_entry_state(data().QB_015,COMPLETE)
    object.cancel_commandos("JOSHUA")
    object.turn_to_object("JOSHUA", "ALTER_EGO", callback=["ONEND",initDlg_002_InformationenVonJoshua])

def onDlg_086_LaylaTakesHorse(char=None):
    if object.get_distance("LAYLA", data().following_wildhorse) <= 1.5:
        onDlg_086_HorseFollowsLayla()
    else:
        character.play_animation("LAYLA", "CM_NPC_STEHEN_WARTEN_2")
        character.play_animation("LAYLA", "CM_NPC_STEHEN_WARTEN_5")
        character.play_animation("LAYLA", "CM_NPC_STEHEN_WARTEN_1", callback=["ONEND",onDlg_086_LaylaTakesHorse])

def onDlg_086_HorseFollowsLayla(char=None):
    wps = [[549.5,292.0],[546.0,301.6],[546.0,315.6],[546.6,337.5],[540.5,342.6],[545.5,349.2]]
    if not hasattr(data(),"layla_horsepoint"):
        data().layla_horsepoint = -1
    data().layla_horsepoint += 1
    if data().layla_horsepoint < 6:
        wp = wps[data().layla_horsepoint]
        object.move_to("LAYLA", wp[0], wp[1], speed=MT_SLOW, grid="landscape", callback=["ONEND", onDlg_086_LaylaWaitsForHorse])
        object.move_to(data().following_wildhorse, wp[0], wp[1], speed=MT_SLOW, grid="landscape")
    else:
        object.turn_to_object("LAYLA", data().following_wildhorse)
        character.play_animation("LAYLA", "CM_NPC_TIER_FUETTERN_START", callback=["ONEND", Lambda('object.turn_to_object("LAYLA", data().following_wildhorse)')])
        character.play_animation("LAYLA", "CM_NPC_TIER_FUETTERN_LOOP", callback=["ONEND", Lambda('object.turn_to_object("LAYLA", data().following_wildhorse)')])
        character.play_animation("LAYLA", "CM_NPC_TIER_FUETTERN_LOOP", callback=["ONEND", Lambda('object.turn_to_object("LAYLA", data().following_wildhorse)')])
        character.play_animation("LAYLA", "CM_NPC_TIER_FUETTERN_LOOP", callback=["ONEND", Lambda('object.turn_to_object("LAYLA", data().following_wildhorse)')])
        character.play_animation("LAYLA", "CM_NPC_TIER_FUETTERN_ENDE", callback=["ONEND", Lambda('object.turn_to_object("LAYLA", data().following_wildhorse)')])
        character.play_animation("LAYLA", "CM_NPC_TIER_FUETTERN_START", callback=["ONEND", Lambda('object.turn_to_object("LAYLA", data().following_wildhorse)')])
        character.play_animation("LAYLA", "CM_NPC_TIER_FUETTERN_LOOP", callback=["ONEND", Lambda('object.turn_to_object("LAYLA", data().following_wildhorse)')])
        character.play_animation("LAYLA", "CM_NPC_TIER_FUETTERN_ENDE", callback=["ONEND",allow_activity])

def onDlg_086_LaylaWaitsForHorse(char=None):
    object.turn_to_object("LAYLA", data().following_wildhorse, callback=["ONEND", onDlg_086_CheckLaylaDistToHorse])

def onDlg_086_CheckLaylaDistToHorse(char=None):
    if object.get_distance("LAYLA", data().following_wildhorse) <= 1.5:
        onDlg_086_HorseFollowsLayla()
    else:
        onDlg_086_LaylaWaitsForHorse()

# DIALOGE mit BILL
#[M]Dialog 031: Bill stellt sich vor
def initDlg_031_Bill_Vorstellung():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_031_T_001', speaker="ALTER_EGO")
    dialog.add_text(text='D_031_T_002', speaker="BILL", follower='D_031_C_001')
    dialog.add_choice(text='D_031_C_001_1', follower='D_031_T_004')
    dialog.add_choice(text='D_031_C_001_2', follower='D_031_T_007')
    dialog.add_choice(text='D_031_C_001_3', follower='ENDDIALOG', callback=onDlg_031_Ende2)
    dialog.add_text(text='D_031_T_003', speaker="BILL", follower='D_031_C_001')
    dialog.add_text(text='D_031_T_004', speaker="BILL")
    dialog.add_text(text='D_031_T_005', speaker="ALTER_EGO")
    dialog.add_text(text='D_031_T_006', speaker="BILL", follower='ENDDIALOG', callback=onDlg_031_Ende1)
    dialog.add_text(text='D_031_T_007', speaker="BILL", follower='D_031_C_001')
    if data().MitBillGesprochen > 0:
        dialog.jump_to('D_031_T_003')
    dialog.start(False)

# Dialog 031: Wiedereinstiegspunkt setzen
def onDlg_031_Ende2():
    data().MitBillGesprochen = 1

# Dialog 031: Ende 1
def onDlg_031_Ende1():
    data().MitBillGesprochen = 1
    initDlg_032_Bill_InfosUeberKonvoi()

#[NM]Dialog 032: Infos über den Konvoi von Bill.
def initDlg_032_Bill_InfosUeberKonvoi():
    dialog.init_dialog(type=DIALOGSMALL)
    if data().convoy_position == 2:
        dialog.add_text(text='D_032_T_001', speaker="ALTER_EGO", follower='D_032_T_002')
        dialog.add_text(text='D_032_T_002', speaker="BILL", follower='ENDDIALOG')
    elif data().convoy_position == 0:
        dialog.add_text(text='D_032_T_001', speaker="ALTER_EGO", follower='D_032_T_003')
        dialog.add_text(text='D_032_T_003', speaker="BILL", follower='ENDDIALOG')
    elif data().convoy_position == 1:
        dialog.add_text(text='D_032_T_001', speaker="ALTER_EGO", follower='D_032_T_004')
        dialog.add_text(text='D_032_T_004', speaker="BILL", follower='ENDDIALOG')
    else:
        dialog.add_text(text='D_032_T_001', speaker="ALTER_EGO", follower='D_032_T_005')
        dialog.add_text(text='D_032_T_005', speaker="BILL", follower='ENDDIALOG')
    dialog.start(False)

#[NM] Dialog 034: Das hat aber geknallt dahinten!
def initDlg_034_Bill_HatGeknallt():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_034_T_001', speaker="BILL", follower='ENDDIALOG')
    dialog.start()

#[NM] Dialog 144: Bill hat nichts zu sagen
def initDlg_144_BillHatNichtsZuSagen():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_144_T_001', speaker="BILL", follower='ENDDIALOG')
    dialog.start()

# DIALOGE mit DOUBLEGANGER_GENERAL
#[NM/CS]Dialog 004: Der Spieler erfährt, dass er den Falschen getötet hat und beschließt im Nomadendorf nach dem Verräter zu fahnden
def initCutscene_004_DoppelgaengerEnttarntUndGetoetet():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_004_T_001', speaker="DOUBLEGANGER_GENERAL")
    dialog.add_text(text='D_004_T_002', speaker="ALTER_EGO")
    dialog.add_text(text='D_004_T_003', speaker="DOUBLEGANGER_GENERAL")
    dialog.add_text(text='D_004_T_004', speaker="ALTER_EGO")
    dialog.add_text(text='D_004_T_005', speaker="DOUBLEGANGER_GENERAL", callback=onDlg_004_DoppelGaengerEnttarnt)
    dialog.add_text(text='D_004_T_006', speaker="ALTER_EGO")
    dialog.add_text(text='D_004_T_007', speaker="DOUBLEGANGER_GENERAL")
    dialog.add_text(text='D_004_T_008', speaker="ALTER_EGO", follower='ENDDIALOG',callback=onDlg_004_Ende1)
    dialog.start()

def onDlg_004_DoppelGaengerEnttarnt():
    object.set_attribute('DOUBLEGANGER_GENERAL','name',globaltext.NAME_DOUBLEGANGER_GENERAL)


def onDlg_004_Ende1():
    end_cutscene(chars=[])
    character.change_body_mode("ALTER_EGO",data().player_bodymode)
    data().KonvoiZerstoert = True
    initDlg_159_DieFahrzeugeFliegenInDieLuft()

#[NM] Dialog 142: Der falsche General gibt Anweisungen an seine Leute
def initDlg_142_DoppelgaengerGibtAnweisungen():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_142_T_001', speaker="DOUBLEGANGER_GENERAL", follower='ENDDIALOG')
    dialog.start()

# DIALOGE mit GENERAL_OF_THE_SHADOWS
# Dialog 010: General gibt sich zu erkennen und verspottet den Spieler
def initDlg_010_General_SpottInit(id):
    initDlg_010_General_Spott()

#[NM]Dialog 010: General gibt sich zu erkennen und verspottet den Spieler
def initDlg_010_General_Spott():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_010_T_001', speaker="GENERAL_OF_THE_SHADOWS", follower='ENDDIALOG', callback=[onDlg_010_GeneralAttackPlayer])
    dialog.start()

# Dialog 010: General und seine Wachen greifen den Spieler an
def onDlg_010_GeneralAttackPlayer():
    for id in data().GENERALTEAM_NPCS:
        object.set_attribute(id,"foes", ["UISPIELER"])
    createRandomAttack(data().GENERALTEAM_NPCS,system.get_pcs())

# DIALOGE mit MANNY
#[NM]Dialog 053: Manny ist sauer, dass die Schatten sein Dorf eingenommen haben.
def initDlg_053_Manny_SauerAufSchatten():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_053_T_001', speaker="MANNY", follower='ENDDIALOG')
    dialog.start()

#[M]Dialog 020: Spieler wird vom Wirt gebeten, den gestohlenen Whiskey wieder zu beschaffen.
def initDlg_020_Manny_SpielerSollWhiskeyBeschaffen():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_020_T_001', speaker="MANNY", follower='D_020_C_001')
    dialog.add_choice(text='D_020_C_001_1', follower='D_020_T_009')
    dialog.add_choice(text='D_020_C_001_2', follower='D_020_T_005')
    dialog.add_choice(text='D_020_C_001_3', follower='D_020_T_003')
    dialog.add_choice(text='D_020_C_001_4', follower='ENDDIALOG', callback=onDlg_020_Ende5) #restart-> T_015
    dialog.add_text(text='D_020_T_003', speaker="MANNY")
    dialog.add_text(text='D_020_T_004', speaker="ALTER_EGO")
    dialog.add_text(text='D_020_T_005', speaker="MANNY", follower='D_020_C_002')
    dialog.add_choice(text='D_020_C_002_1', follower='D_020_T_008')
    dialog.add_choice(text='D_020_C_002_2', follower='D_020_T_016')
    dialog.add_choice(text='D_020_C_002_3', follower='ENDDIALOG', callback=onDlg_020_NoReturn)
    dialog.add_text(text='D_020_T_008', speaker="MANNY", follower='ENDDIALOG', callback=onDlg_020_Ende1) # Ende 1
    dialog.add_text(text='D_020_T_009', speaker="MANNY", follower='D_020_C_003')
    dialog.add_choice(text='D_020_C_003_1', follower='D_020_T_012')
    dialog.add_choice(text='D_020_C_003_2', follower='D_020_T_014')
    dialog.add_choice(text='D_020_C_003_3', follower='D_020_T_011')
    dialog.add_text(text='D_020_T_011', speaker="MANNY", follower='ENDDIALOG', callback=onDlg_020_NoReturn)
    dialog.add_text(text='D_020_T_012', speaker="MANNY", follower='D_020_C_004')
    dialog.add_choice(text='D_020_C_004_1', follower='D_020_T_014')
    dialog.add_choice(text='D_020_C_004_2', follower='D_020_T_013')
    dialog.add_choice(text='D_020_C_004_3', follower='ENDDIALOG', callback=onDlg_020_NoReturn)
    dialog.add_text(text='D_020_T_013', speaker="MANNY", follower='ENDDIALOG', callback=onDlg_020_SpielerHatFreieWahl) # Keine Rückkehr möglich
    dialog.add_text(text='D_020_T_014', speaker="MANNY", follower='ENDDIALOG', callback=onDlg_020_Ende2) # Ende 2
    dialog.add_text(text='D_020_T_015', speaker="MANNY", follower='D_020_C_001')
    dialog.add_text(text='D_020_T_016', speaker="MANNY")
    dialog.add_text(text='D_020_T_017', speaker="ALTER_EGO", follower='D_020_C_002')
    if data().d_020_restart_t_015:
        dialog.jump_to('D_020_T_015')
    dialog.start(False)

# Dialog 020: Ende 1
def onDlg_020_Ende1():
    system.set_qb_entry_state(data().QB_012,UNCOMPLETE)
    data().Mollies_statt_Schnaps = True
    if data().gauner_gesehen:
        system.notify_region_entered(data().Region_GaunerLager20m,objectid="ALTER_EGO")

# Dialog 020: Ende 2
def onDlg_020_Ende2():
    system.set_qb_entry_state(data().QB_017,UNCOMPLETE)
    if data().gauner_gesehen:
        system.notify_region_entered(data().Region_GaunerLager20m,objectid="ALTER_EGO")

# Dialog 020: Keine Rückkehr
def onDlg_020_NoReturn():
    character.set_approachable_state("MANNY",NOTAPPROACHABLE)

def onDlg_020_Ende5():
    data().d_020_restart_t_015 = True

## Spezialfall - Manny hat Infos gegeben, Spieler darf selbst entscheiden, ob er den Whiskey behält oder nicht
# Spieler muss Manny den Whiskey übergeben, damit der Quest doch noch gelöst wird
def onDlg_020_SpielerHatFreieWahl():
    data().SpielerMachtWasErWill = True
    character.set_approachable_state("MANNY",NOTAPPROACHABLE)
    if data().gauner_gesehen:
        system.notify_region_entered(data().Region_GaunerLager20m,objectid="ALTER_EGO")

#[NM]Dialog 021: Wirt fragt nach Whiskey, Spieler hat aber keinen.
def initDlg_021_Manny_FrageNachWhiskey():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_021_T_001', speaker="MANNY")
    dialog.add_text(text='D_021_T_002', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[M]Dialog 023: Der Spieler gibt die Fässer zurück, der Wirt bedankt sich
def initDlg_023_Manny_SpielerHatWhiskey():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_023_T_001', speaker="ALTER_EGO")
    dialog.add_text(text='D_023_T_002', speaker="MANNY", callback=onDlg_023_ExpAndContinue)
    dialog.start(False)

def onDlg_023_ExpAndContinue():
    character.add_experience_party(data().Exp_WhiskeySelbstZurueck)
    onDlg_023_Init_C_001()

## nimmt den Whiskey aus dem Inventory (aber maximal 3 Fässer)
def removeWhiskey():
    if system.get_qb_entry_state(data().QB_005) == COMPLETE and \
        data().SchattenCopperHillGetoetet == len(data().SCHATTEN_NPCS) and \
        not data().copperhill_befreit:
        zone_6.onCopperHillBefreitCitizensReturn()

    if not data().MannyHatWhiskeyWieder:
        for obj in ["Z6 BURBONWHISKEYFASS","Z6 SINGLEMALTWHISKEYFASS","Z6 SCOTCHWHISKEYFASS"]:
            cs.tranf_item_party(obj,"MANNY")
        
# Dialog 023: Ende 1
def onDlg_023_Ende1():
## Whiskeyfässer aus Inventar raus
    removeWhiskey()
## 3 Mollis für Spieler - was wenn Inventory voll?
    object.create_item_in_inventory("ALTER_EGO",["SET_MOLOTOV_COCKTAIL"]*3)
    system.set_qb_entry_state(data().QB_012,COMPLETE)

# Dialog 023: Ende 2
def onDlg_023_Ende2():
## Whiskeyfässer aus Inventar raus
    removeWhiskey()
## 3 Flaschen Whiskey für Spiele
    object.create_item_in_inventory("ALTER_EGO",["SET_BOTTLE_OF_WHISKEY",]*3)
    system.set_qb_entry_state(data().QB_017,COMPLETE)

# Dialog 023: Ende 3
def onDlg_023_Ende3():
## Whiskeyfässer aus Inventar raus
    removeWhiskey()
    if system.get_qb_entry_state(data().QB_012) == UNCOMPLETE:
        system.set_qb_entry_state(data().QB_012,COMPLETE)
        system.set_qb_entry_text(data().QB_012,id_reward="ZONE6_AIM_12_REWARD_NONE")
    else:
        system.set_qb_entry_state(data().QB_017,COMPLETE)
        system.set_qb_entry_text(data().QB_012,id_reward="ZONE6_AIM_12_REWARD_NONE")

# Dialog 023: Weiterführung des Gespräches
def onDlg_023_Init_C_001():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_choice(text='D_023_C_001_1', follower='D_023_T_003')
    if data().Mollies_statt_Schnaps:
        dialog.add_choice(text='D_023_C_001_2', follower='D_023_T_005')
    dialog.add_choice(text='D_023_C_001_3', follower='D_023_T_007')
    dialog.add_choice(text='D_023_C_001_4', follower='D_023_T_008')
    dialog.add_text(text='D_023_T_003', speaker="MANNY", follower='ENDDIALOG', callback=onDlg_023_Ende2) # Ende 2
    dialog.add_text(text='D_023_T_005', speaker="MANNY", follower='ENDDIALOG', callback=onDlg_023_Ende1) # Ende 1
    dialog.add_text(text='D_023_T_007', speaker="MANNY", follower='D_023_C_001')
    dialog.add_text(text='D_023_T_008', speaker="MANNY", follower='ENDDIALOG', callback=onDlg_023_Ende3) # Ende 3
    dialog.start(False)

def onDlg_024_DialogsStart(id):
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_024_T_001', speaker="MANNY",\
        callback=Lambda('set_conversation("ALTER_EGO","MANNY",mode="close")'))#[onDlg_024_Cam_AERedet])
    dialog.add_text(text='D_024_T_002', speaker="ALTER_EGO",\
        callback=Lambda('set_conversation("MANNY","ALTER_EGO",mode="close")'))#[onDlg_024_Cam_MannyRedet])
    dialog.add_text(text='D_024_T_003', speaker="MANNY", follower='ENDDIALOG',callback=onDlg_024_EndeNormal)
    dialog.start()

#[NM/CS]Dialog 024: Wirt empfängt Spieler mit Jubel.
def initCutscene_024_WirtEmpfaengtSpilerMitJubel():
    system.start_cutscene()
    system.set_camera_view(const.CAM_MANNY)
    init_cutscene("ALTER_EGO", "MANNY", dx=1.3, dy=1.5)
    object.turn_to_object("ALTER_EGO", "MANNY", callback=["ONEND",onDlg_024_DialogsStart])
    system.notify_timer(data().Timer_FaesserVerschwinden,data().Timervalue_FaesserVerschwinden)

# Dialog 024: Normales Ende
def onDlg_024_EndeNormal():
    end_cutscene(chars=["MANNY", "ALTER_EGO"])
    character.add_experience_party(data().Exp_GaunerBringenWhiskey)
    onDlg_023_Init_C_001()
    for gauner in data().GAUNER:
        waypoints = const.WAYPOINTS_GAUNER[:]
        waypoints.reverse()

        if len(waypoints):
            for wp in waypoints:
                if not (wp == waypoints[-1]):
                    object.move_to(gauner, wp[0],wp[1])
                else:
                    object.move_to(gauner, wp[0],wp[1])
                    if gauner == "DONALD_Z6":
                        object.move_to(gauner, 274.0,729.0)
                    elif gauner == "COLIN_Z6":
                        object.move_to(gauner, 276.00,729.00)
                    else:
                        object.move_to(gauner, 274.0,731.0)

#[NM/CS]Dialog 025: Der Spieler erklärt den Wirt, dass kein Whiskey mehr da war. Der Wirt ist enttäuscht.
def initCutscene_025_SpielerSagtMannyDassKeinWhiskeyMehrDaIst():
    start_cutscene()
    system.set_camera_view(const.CAM_MANNY)
    init_cutscene("ALTER_EGO", "MANNY", dx=1.3, dy=1.5)
    object.turn_to_object("ALTER_EGO", "MANNY", callback=["ONEND",onDlg_025_StartDialog])

def onDlg_025_StartDialog(char_id):
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_025_T_001', speaker="MANNY", callback=Lambda('set_conversation("ALTER_EGO","MANNY", mode="close")'))
    dialog.add_text(text='D_025_T_002', speaker="ALTER_EGO", callback=Lambda('set_conversation("MANNY", "ALTER_EGO",mode="close")'))
    dialog.add_text(text='D_025_T_003', speaker="MANNY", callback=Lambda('set_conversation("ALTER_EGO","MANNY", mode="close")'))
    dialog.add_text(text='D_025_T_004', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_025_Ende1) # Ende 1
    dialog.start()

# Dialog 025: Ende 1
def onDlg_025_Ende1():
    end_cutscene(chars=["MANNY", "ALTER_EGO"])
    if system.get_qb_entry_state(data().QB_012) == UNCOMPLETE:
        system.set_qb_entry_state(data().QB_012,IMPOSSIBLE)
    else:
        system.set_qb_entry_state(data().QB_017,IMPOSSIBLE)

#[N]Dialog 026: Dank für die Hilfe
def initDlg_026_Manny_Danke():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_026_T_001', speaker="MANNY", follower='ENDDIALOG')
    dialog.start()

#[N]Dialog 027: Manny ist ruiniert
def initDlg_027_Manny_Ruiniert():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_027_T_001', speaker="MANNY", follower='ENDDIALOG')
    dialog.start()

# DIALOGE mit MADISON
#[NM] Dialog 066: Madison will nach Copper Hill zurück
def initDlg_066_MadisonWillNachCHZurueck():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_066_T_001', speaker="MADISON", follower='ENDDIALOG')
    dialog.start()

#[M]Dialog 040: Der Bürgermeister stellt sich vor und bittet den Spieler um Hilfe.
def initDlg_040_Madison_SpielerUmHilfeBitten():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_040_T_001', speaker="MADISON", follower='D_040_C_001')
    dialog.add_choice(text='D_040_C_001_1', follower='D_040_T_004')
    dialog.add_choice(text='D_040_C_001_2', follower='D_040_T_002')
    dialog.add_choice(text='D_040_C_001_3', follower='D_040_T_007')
    dialog.add_choice(text='D_040_C_001_4', follower='ENDDIALOG', callback=Lambda('data().d_040_restart_t_008 = True'))
    dialog.add_text(text='D_040_T_002', speaker="MADISON")
    dialog.add_text(text='D_040_T_003', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_040_Ende1)
    dialog.add_text(text='D_040_T_004', speaker="MADISON", follower='D_040_C_002')
    dialog.add_choice(text='D_040_C_002_1', follower='D_040_T_005')
    dialog.add_choice(text='D_040_C_002_2', follower='ENDDIALOG', callback=onDlg_040_Ende2)
    dialog.add_text(text='D_040_T_005', speaker="MADISON")
    dialog.add_choice(text='D_040_C_003_1', follower='ENDDIALOG', callback=onDlg_040_Ende3)
    dialog.add_choice(text='D_040_C_003_2', follower='D_040_T_006')
    dialog.add_choice(text='D_040_C_004_3', follower='ENDDIALOG', callback=onDlg_040_Ende2)
    dialog.add_text(text='D_040_T_006', speaker="MADISON", follower='D_040_C_003')
    dialog.add_text(text='D_040_T_007', speaker="MADISON", follower='D_040_C_001')
    dialog.add_text(text='D_040_T_008', speaker="MADISON", follower='D_040_C_001')
    if data().d_040_restart_t_008:
        dialog.jump_to('D_040_T_008')
    dialog.start(False)

def onDlg_040_Ende1():
    data().madison_verkackt = True
    object.create_item_in_inventory("ALTER_EGO","SET_PLATE_ARMOR")

def onDlg_040_Ende2():
    data().madison_verkackt = True

def onDlg_040_Ende3():
    system.set_qb_entry_state(data().QB_013,UNCOMPLETE)
    cs.teleport_party(334,902)

#[NM] Dialog 067: Spieler will nicht mit Madison sprechen
def initDlg_067_SpielerWillMadisonNichtSprechen():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_067_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[NM]Dialog 052: Frage nach dem Fortschritt
def initDlg_052_Madison_FortschrittsAuskunft():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_052_T_001', speaker="MADISON", follower='ENDDIALOG')
    dialog.start()

#[NM/CS]Dialog 044: Der Bürgermeister freut sich das der Generator wieder läuft (1).
def initCutscene_044_BuergermeisterFreutSichDassGeneratorWiederLaeuft_1():
    start_cutscene()
    pos = object.get_position("MADISON")
    for id in system.get_pcs():
        if id != "ALTER_EGO":
            if object.get_distance(id, "ALTER_EGO") <= 15.0:
                object.move_to(id, pos[0]-2.0, pos[1]-2.0)
                object.turn_to_object(id, "MADISON")
    init_cutscene("ALTER_EGO","MADISON",dx=1.5, dy=-1)
    object.turn_to_object("ALTER_EGO","MADISON", callback=["ONEND",onDlg_044_StartDialog])

def onDlg_044_StartDialog(char_id):
    set_conversation("ALTER_EGO","MADISON",mode="close")
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_044_T_001', speaker="ALTER_EGO", callback=Lambda('set_conversation("MADISON","ALTER_EGO",mode="close")'))
    dialog.add_text(text='D_044_T_002', speaker="MADISON", follower='ENDDIALOG', callback=onDlg_044_QuestGeloest)
    dialog.start(False)

def onDlg_044_QuestGeloest():
    end_cutscene()
    data().madison_von_erfolg_berichtet = 1
    object.create_item_in_inventory("ALTER_EGO","SET_KEVLAR_HELMET")
    object.create_item_in_inventory("ALTER_EGO","SET_KEVLAR_HELMET")
    system.set_qb_entry_state(data().QB_013,COMPLETE)
    data().GeneratorIstAn = False
    data().generator_anim = False
    initDlg_068_Madison_FreuenGenerator1_Choices()
    sounds.stop_sound(id="sound_generator_engine")
    sounds.play_3d_sound_object(sfx_id="generator_engine_off",object=const.OBJ_GENERATOR_CH)

#[M] Dialog 068: Der Spieler soll Zündkerzen besorgen (1)
def initDlg_068_Madison_FreuenGenerator1_Choices():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_068_T_003', speaker="MADISON")
    dialog.add_text(text='D_068_T_004', speaker="ALTER_EGO")
    dialog.add_text(text='D_068_T_005', speaker="MADISON", follower='D_068_C_001')
    dialog.add_choice(text='D_068_C_001_1', follower='ENDDIALOG', callback=onDlg_068_Ende1)
    dialog.add_choice(text='D_068_C_001_3', follower='ENDDIALOG', callback=onDlg_068_Ende2)
    dialog.start()

def onDlg_068_Ende1():
## !! Generator benutzbar
    system.set_qb_entry_state(data().QB_014,UNCOMPLETE)
    cs.teleport_party(725,844)

def onDlg_068_Ende2():
    character.set_approachable_state("MADISON",NOTAPPROACHABLE)

#[NM/CS]Dialog 047: Der Bürgermeister freut sich das der Generator wieder läuft (2).
def initCutscene_047_BuergermeisterFreutSichDassGeneratorWiederLaeuft_2():
    start_cutscene()
    init_cutscene("ALTER_EGO","MADISON",dx=1.5, dy=-1)
    object.turn_to_object("ALTER_EGO","MADISON", callback=["ONEND",onDlg_047_StartDialog])

def onDlg_047_StartDialog(char_id):
    set_conversation("ALTER_EGO","MADISON",mode="close")
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_047_T_001', speaker="ALTER_EGO", callback=Lambda('set_conversation("MADISON","ALTER_EGO",mode="close")'))
    dialog.add_text(text='D_047_T_002', speaker="MADISON", callback=Lambda('set_conversation("ALTER_EGO","MADISON",mode="close")'))
    dialog.add_text(text='D_047_T_003', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_047_Ende1)
    dialog.start()

# Dialog 047: Ende 1
def onDlg_047_Ende1():
    end_cutscene()
    data().madison_von_erfolg_berichtet = 2
    system.set_qb_entry_state(data().QB_014,COMPLETE)
    object.create_item_in_inventory("ALTER_EGO","SET_PSG_1")
    object.create_item_in_inventory("ALTER_EGO","SET_HEGRENADE")
    object.create_item_in_inventory("ALTER_EGO","SET_HEGRENADE")
    object.create_item_in_inventory("ALTER_EGO","SET_SMOKEGRENADE")
    object.create_item_in_inventory("ALTER_EGO","SET_SMOKEGRENADE")
    object.create_item_in_inventory("ALTER_EGO","SET_FIREGRENADE")
    character.add_experience_party(data().Exp_GeneratorLaeuft)

def onDlg_069_GiveMenue():
    system.item_panel("ALEXA","ALTER_EGO", on_give_menu_filter, on_give_menu_closed, on_give_menu_cancel)

# DIALOGE mit ALEXA
#[M] Dialog 069: Der Spieler interessiert sich für die Minen
def initDlg_069_SpielerInteressiertSichFuerMinen():
    end_cutscene()
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_choice(text='D_069_C_001_1', follower='D_069_T_009')
    dialog.add_choice(text='D_069_C_001_2', follower='D_069_T_002')
    dialog.add_choice(text='D_069_C_001_3', follower='D_069_T_014')
    dialog.add_choice(text='D_069_C_001_4', follower='D_069_T_001')
    dialog.add_text(text='D_069_T_001', speaker="ALEXA", follower='D_069_C_001')
    dialog.add_text(text='D_069_T_002', speaker="ALEXA", follower='D_069_C_002')
    dialog.add_choice(text='D_069_C_002_1', follower='D_069_T_003')
    dialog.add_choice(text='D_069_C_002_2', follower='D_069_T_006', callback=onDlg_069_GiveMenue)
    dialog.add_choice(text='D_069_C_002_3', follower='D_069_T_006')
    dialog.add_text(text='D_069_T_003', speaker="ALEXA", follower='D_069_C_002')
    dialog.add_text(text='D_069_T_004', speaker="ALEXA", follower='ENDDIALOG', callback=onDlg_069_Ende1)
    dialog.add_text(text='D_069_T_005', speaker="ALEXA", follower='D_069_C_002')
    dialog.add_text(text='D_069_T_006', speaker="ALEXA")
    dialog.add_text(text='D_069_T_007', speaker="ALTER_EGO")
    dialog.add_text(text='D_069_T_008', speaker="ALEXA", follower='D_069_C_003')
    dialog.add_text(text='D_069_T_009', speaker="ALEXA", follower='D_069_T_007')
    dialog.add_choice(text='D_069_C_003_1', follower='D_069_T_011')
    dialog.add_choice(text='D_069_C_003_2', follower='D_069_T_010')
    dialog.add_choice(text='D_069_C_003_3', follower='ENDDIALOG', callback=onDlg_069_Ende2)
    dialog.add_text(text='D_069_T_010', speaker="ALEXA", follower='D_069_C_003')
    dialog.add_text(text='D_069_T_011', speaker="ALEXA")
    dialog.add_text(text='D_069_T_012', speaker="ALEXA")
    dialog.add_text(text='D_069_T_013', speaker="ALTER_EGO", follower='ENDDIALOG',callback=onDlg_069_Ende3)
    dialog.add_text(text='D_069_T_014', speaker="ALTER_EGO", follower='D_069_C_001')
    dialog.start(False)

def onDlg_069_Ende1():
    onDlg_069_Ende(1)

def onDlg_069_Ende2():
    onDlg_069_Ende(2)

def onDlg_069_Ende3():
    onDlg_069_Ende(3)

#[NM/CS]Dialog 018: Alexa, die Anführerin der Bande „stoppt“ die Söldner. Sprecher:
def initCutscene_018_Alexa_Vorstellung():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_018_T_001', speaker="ALEXA", follower='ENDDIALOG', callback=onDlg_018_AEApproachesAlexa)
    dialog.start()

def onDlg_018_AEApproachesAlexa():
#init_cutscene("ALTER_EGO","ALEXA",dx=1.5, dy=1.0)
    object.turn_to_object("ALTER_EGO","ALEXA",callback=["ONEND",onDlg_018_StartDialog])

def onDlg_018_StartDialog(char):
    dialog.init_dialog(type=DIALOGSMALL)
    set_conversation("ALTER_EGO","ALEXA",mode="medium_deep")
    dialog.add_text(text='D_018_T_002', speaker="ALTER_EGO", callback=Lambda('set_conversation("ALEXA","ALTER_EGO",mode="medium_deep")'))
    dialog.add_text(text='D_018_T_003', speaker="ALEXA", callback=Lambda('set_conversation("ALTER_EGO","ALEXA",mode="close_deep")'))
    dialog.add_text(text='D_018_T_004', speaker="ALTER_EGO", callback=Lambda('set_conversation("ALEXA","ALTER_EGO",mode="close_deep")'))
    dialog.add_text(text='D_018_T_005', speaker="ALEXA", follower='ENDDIALOG', callback=initDlg_069_SpielerInteressiertSichFuerMinen)
    dialog.start(False)

def onDlg_069_KinderLassenSpielerFrei():
    i=0
    for id in const.KINDERGANG_NPCS:
        object.move_to(id,const.KINDERGANG_POSITIONEN[i][0],const.KINDERGANG_POSITIONEN[i][1], "landscape")
        object.turn_to_direction(id,const.KINDERGANG_RICHTUNGEN[i], callback=["ONEND", allow_activity])
        i+=1

def onDlg_069_Ende(nummer):
    object.cancel_commandos("ALEXA")
    for id in const.KINDERGANG_NPCS.keys():
        character.unequip_hands(id)
    if nummer == 3:
# lastwagen timer
        system.set_qb_entry_state(data().QB_010,UNCOMPLETE)
        system.notify_timer(data().Timer_AlexaQuest,data().Timervalue_AlexaQuest)
        zone_6.mini_map_RatSkullConvoy()# display convoy captured by RatSkulls on the mini-map
        cs.teleport_party(344,739)
    if nummer == 1:
        character.add_experience_party(data().Exp_EssenFuerDieJungs)

    data().MitAlexaGesprochen = 1
    for id in data().RATSKULL_NPCS:
        object.set_active_state(id, ACTIVE)

    initUeberfallenerTransporter(ACTIVE)

#hummvee hinten
    object.create_item_in_inventory("convoy_childgang_humvee_back",
            [    "SET_BOTTLE_OF_BOOZE","SET_BOTTLE_OF_BOOZE","SET_BOTTLE_OF_BOOZE",
                "SET_BOTTLE_OF_WHISKEY","SET_BOTTLE_OF_WHISKEY","SET_BOTTLE_OF_WHISKEY"])
#hummvee vorne
    object.create_item_in_inventory("convoy_childgang_humvee_front",
            [    "SET_WATER_BOTTLE","SET_WATER_BOTTLE","SET_WATER_BOTTLE","SET_WATER_BOTTLE",
                "SET_COFFEE_BEANS","SET_COFFEE_BEANS","SET_COFFEE_BEANS","SET_COFFEE_BEANS"])
#skelett
    object.create_item_in_inventory("convoy_childgang_ammobox",
            [    "SET_WATER_SKIN","SET_WATER_SKIN","SET_WATER_SKIN","SET_WATER_SKIN"])
#konvoitruck
    object.create_item_in_inventory("convoy_childgang_truck",
            [    "SET_MEAT_COOKED_TINY","SET_MEAT_COOKED_TINY","SET_MEAT_COOKED_SMALL",
                "SET_MEAT_COOKED_SMALL","SET_MEAT_COOKED","SET_MEAT_COOKED",
                "SET_MEAT_COOKED_BIG","SET_MEAT_COOKED_BIG"])

    onDlg_069_KinderLassenSpielerFrei()

def initUeberfallenerTransporter(state):
#konvoitruck
    object.set_active_state("convoy_childgang_truck",state)
#ammobox
    object.set_active_state("convoy_childgang_ammobox",state)
#hummvee hinten
    object.set_active_state("convoy_childgang_humvee_back",state)
#hummvee vorne
    object.set_active_state("convoy_childgang_humvee_front",state)
#skelett
    object.set_active_state("convoy_childgang_skeleton",state)


def children_run_to_konvoi():
    lastid = const.KINDERGANG_NPCS.keys()[len(const.KINDERGANG_NPCS)-1]
    for id in const.KINDERGANG_NPCS:
        for waypoint in const.WAYPOINTS_KINDERGANGLASTWAGEN:
            object.move_to(id,waypoint[0],waypoint[1], "landscape")
        lwp = const.POS_CGS_AT_KONVOI[id]
        o = lwp[2]
        if id == lastid:
            data().children_at_konvoi = True
            object.move_to(id,lwp[0],lwp[1], "landscape",callback=["ONEND",Lambda('system.notify_timer(data().Timer_KinderLastwagenFertig,data().Timervalue_KinderLastwagenFertig)')])
            object.turn_to_object(id, o)
        else:
            object.move_to(id,lwp[0],lwp[1], "landscape")
            object.turn_to_object(id, o)

#[NM]Dialog 035: Alexa ist sauer weil der Spieler nicht helfen wollte.
def initDlg_035_Alexa_SpielerWillNichtHelfen():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_035_T_001', speaker="ALEXA", follower='ENDDIALOG')
    dialog.start()

#[NM]Dialog 036: Alexa fordert den Spieler auf, schnell den Lastwagen befreien.
def initDlg_036_Alexa_AufforderungZurLKWBefreiung():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_036_T_001', speaker="ALEXA", follower='ENDDIALOG')
    dialog.start()

#[NM]Dialog 019: Alexa bedankt sich und der Spieler erhält Minen.
def initDlg_019_Alexa_BedanktMitMinen():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_019_T_001', speaker="ALTER_EGO")
    dialog.add_text(text='D_019_T_002', speaker="ALEXA", follower='ENDDIALOG', callback=onDlg_019_Ende1) # Ende 1
    dialog.start()

# Dialog 019: Ende 1
def onDlg_019_Ende1():
    system.set_qb_entry_state(data().QB_010,COMPLETE)
    system.set_qb_entry_state(data().QB_011,INACTIVE)
    character.add_experience_party(data().Exp_EssenFuerDieJungs)
## !! Minen statt Mollies, hier fehlt noch das Richtige Item
    object.create_item_in_inventory("BUILDING_2941",["SET_MOLOTOV_COCKTAIL","SET_MOLOTOV_COCKTAIL","SET_MOLOTOV_COCKTAIL"])
    object.create_item_in_inventory("BUILDING_2942",["SET_MOLOTOV_COCKTAIL","SET_MOLOTOV_COCKTAIL","SET_MOLOTOV_COCKTAIL"])
## Laut Text: Kinder zum Lastwagen bewegen
    children_run_to_konvoi()

#[NM]Dialog 037: Der Spieler war zu langsam, Alexa ist sauer.
def initDlg_037_Alexa_SpielerZuLangsam():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_037_T_001', speaker="ALEXA", follower='ENDDIALOG')
    dialog.start()

#[NM]Dialog 039: Alexa freut sich, dass der Spieler ihr geholfen hat.
def initDlg_039_Alexa_SpielerHatGeholfen():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_039_T_001', speaker="ALEXA", follower='ENDDIALOG')
    dialog.start()


# ratskulls am lastwagen:
#[NM] Dialog 146: Der Ratskull ist empört über den Überfall
def initDlg_146_RatskullsIstEmpoertUeberUeberfall(ratskull_id):
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_146_T_001', speaker=ratskull_id, follower='ENDDIALOG')
    dialog.start()

# aidan der schamane:

#[NM] Dialog 071: Der Spieler mag Aidan nicht ansprechen
def initDlg_071_SpielerMagAidanNichtAnsprechen():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_071_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    onDlg_071_marker()
    dialog.start()

def onDlg_071_marker():
    if not data().player_knows_Schamane:
        data().player_knows_Schamane = True
        system.add_minimap_marker(296.67, 359.50,"MM_006")# Schamane

#[NM/CS] Dialog 014: Der Spieler begegnet dem Heiler
def initCutscene_014_SpielerBegegnetDemHeiler():
    start_cutscene()
    prohibit_activity("ADIAN",False)
    x,y = object.get_x("ADIAN"),object.get_y("ADIAN")
    object.move_to("ALTER_EGO",x-1,y-1.5,"landscape",MT_SLOW)
    object.turn_to_object("ALTER_EGO","ADIAN", callback=["ONEND", onDlg_014_StartDialog])

def onDlg_014_StartDialog(id):
    onDlg_071_marker()
    dialog.init_dialog(type=DIALOGSMALL)
    object.turn_to_object("ADIAN","ALTER_EGO")
    dialog.add_text(text='D_014_T_001', speaker="ALTER_EGO", callback=Lambda('set_conversation("ALTER_EGO","ADIAN",mode="medium")'))
    dialog.add_text(text='D_014_T_002', speaker="ALTER_EGO", callback=Lambda('set_conversation("ADIAN","ALTER_EGO",mode="close")'))
    dialog.add_text(text='D_014_T_003', speaker="ADIAN", callback=Lambda('set_conversation("ALTER_EGO","ADIAN",mode="close")'))
    dialog.add_text(text='D_014_T_004', speaker="ALTER_EGO", callback=Lambda('set_conversation("ADIAN","ALTER_EGO",mode="medium")'))
    dialog.add_text(text='D_014_T_005', speaker="ADIAN", callback=Lambda('set_conversation("ALTER_EGO","ADIAN",mode="close")'))
    dialog.add_text(text='D_014_T_006', speaker="ALTER_EGO", callback=Lambda('set_conversation("ADIAN","ALTER_EGO",mode="close")'))
    dialog.add_text(text='D_014_T_007', speaker="ADIAN", follower='ENDDIALOG', callback=initDlg_072_SpielerSollAdianHelfen)
    dialog.add_text(text='D_014_T_008', speaker="ALTER_EGO", follower='D_014_T_003', callback=Lambda('set_conversation("ADIAN","ALTER_EGO",mode="medium")'))
#    if data().adian_bereits_bekannt:
#        dialog.jump_to('D_014_T_008')
    dialog.start(False)

#[M] Dialog 072: Der Spieler soll Aidan helfen
def initDlg_072_SpielerSollAdianHelfen():
    end_cutscene()
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_choice(text='D_072_C_001_1', follower='D_072_T_002')
    dialog.add_choice(text='D_072_C_001_2', follower='D_072_T_003')
    dialog.add_choice(text='D_072_C_001_3', follower='D_072_T_004')
    dialog.add_choice(text='D_072_C_001_4', follower='D_072_T_001')
    dialog.add_text(text='D_072_T_001', speaker="ADIAN", follower='ENDDIALOG', callback=onDlg_072_Ende1)
    dialog.add_text(text='D_072_T_002', speaker="ADIAN", follower='ENDDIALOG', callback=onDlg_072_Ende2)
    dialog.add_text(text='D_072_T_003', speaker="ADIAN", follower='D_072_C_002')
    dialog.add_text(text='D_072_T_004', speaker="ALTER_EGO", follower='D_072_C_001')
    dialog.add_choice(text='D_072_C_002_1', follower='ENDDIALOG', callback=onDlg_072_Ende3)
    dialog.add_choice(text='D_072_C_002_2', follower='D_072_T_001')
    dialog.start()

def onDlg_072_Ende1():
    system.set_qb_entry_state(data().QB_007,IMPOSSIBLE)

def onDlg_072_Ende2():
    system.set_qb_entry_state(data().QB_007,COMPLETE)
    system.set_qb_entry_state(data().QB_008,UNCOMPLETE)

def onDlg_072_Ende3():
    system.set_qb_entry_state(data().QB_007,COMPLETE)
    system.set_qb_entry_state(data().QB_008,UNCOMPLETE)
    data().adian_verspricht_aufputschmittel = True

#[M]Dialog 015: Der Heiler fragt nach dem Fell
def initDlg_015_Adian_FrageNachFell():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_015_T_001', speaker="ADIAN", follower='D_015_C_001')
    if object.count_in_inventory(object="ALTER_EGO", equipment="SET_WILD_DOG_PELT")>0:
        dialog.add_choice(text='D_015_C_001_1', follower='D_015_T_002')
    dialog.add_choice(text='D_015_C_001_2', follower='ENDDIALOG')
    dialog.add_text(text='D_015_T_002', speaker="ADIAN")
    dialog.add_text(text='D_015_T_003', speaker="ALTER_EGO")
    dialog.add_text(text='D_015_T_004', speaker="ADIAN", follower='ENDDIALOG', callback=onDlg_015_Ende1) # Ende 1
    dialog.start(False)

def onDlg_015_Ende1():
    system.set_qb_entry_state(data().QB_008,COMPLETE)
# windhundfell wech
    object.transfer_item("ALTER_EGO","SET_WILD_DOG_PELT","ADIAN")
# aufputschmittel für spieler
    object.create_item_in_inventory("ADIAN","SET_STIMULANT_DRUG")
    object.transfer_item("ADIAN","SET_STIMULANT_DRUG","ALTER_EGO")
    character.add_experience_party(data().Exp_HeilerGefunden)

#[NM]Dialog 016: Danke für das Fell.
def initDlg_016_Adian_DankeFuerFell():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_016_T_001', speaker="ADIAN", follower='ENDDIALOG')
    dialog.start()

#[M] Dialog 073: Der Spieler will ein Schlafmittel von Aidan
def initDlg_073_SpielerWillSchlafmittel():
    data().adian_hat_valium = True
    data().adian_bereits_bekannt = True
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_073_T_002', speaker="ADIAN")
    dialog.add_text(text='D_073_T_003', speaker="ALTER_EGO")
    dialog.add_text(text='D_073_T_004', speaker="ADIAN", follower='D_073_C_001')
    if not cs.group_has_1_of(["Z6 DS_1","Z6 DS_2","Z6 DS_3","Z6 DS_4","Z6 DS_5"]):
        dialog.add_choice(text='D_073_C_001_1', follower='D_073_T_005')
    else:
        dialog.add_choice(text='D_073_C_001_2', follower='D_073_T_007')
    dialog.add_choice(text='D_073_C_001_3', follower='D_073_T_006')
    dialog.add_choice(text='D_073_C_001_4', follower='ENDDIALOG')
    dialog.add_text(text='D_073_T_005', speaker="ADIAN", follower='D_073_C_001')
    dialog.add_text(text='D_073_T_006', speaker="ADIAN", follower='ENDDIALOG', callback=onDlg_073_Ende1)
    dialog.add_text(text='D_073_T_007', speaker="ADIAN", follower='ENDDIALOG', callback=onDlg_073_Ende2)
    dialog.start(False)

def onDlg_073_Ende1():
    data().einwegspritzen_fuer_adian = True
    system.set_qb_entry_state(data().QB_018, UNCOMPLETE)
    if not data().player_knows_Medizinisches_Lager:
        data().player_knows_Medizinisches_Lager = True
        system.add_minimap_marker(701.79, 538.11,"MM_011")# Medizinisches Lager
        cs.teleport_party(562,473)#689,519
        dialog.init_dialog(type=DIALOGSMALL)
        dialog.add_text(text='D_147_T_002', speaker="ALTER_EGO", follower='ENDDIALOG')
        dialog.start()        

def onDlg_073_Ende2():
    pc_obj = cs.who_as_1_of(["Z6 DS_1","Z6 DS_2","Z6 DS_3","Z6 DS_4","Z6 DS_5"])[0]
    object.transfer_item(pc_obj[0],pc_obj[2],"ADIAN")
#    item_transfered = False
#    for ds in ["Z6 DS_1","Z6 DS_2","Z6 DS_3","Z6 DS_4","Z6 DS_5"]:
#        if object.count_in_inventory("ALTER_EGO",ds):
#            if not item_transfered:
#                object.transfer_item("ALTER_EGO",ds,"ADIAN")
#                item_transfered = True
    object.create_item_in_inventory("ADIAN","SET_VALIUM", "Z6 AIDANS_VALIUM")
    data().einwegspritzen_fuer_adian = False
    object.transfer_item("ADIAN","SET_VALIUM","ALTER_EGO")
    object.set_attribute("Z6 AIDANS_VALIUM", "generic_item", False)
    data().wildpferdequest_schlafmittel_benoetigt = False
    check_valium_apple()
    if system.get_qb_entry_state(data().QB_018) == UNCOMPLETE:
        system.set_qb_entry_state(data().QB_018, COMPLETE)
    if not data().player_knows_Wildpferde:
        data().player_knows_Wildpferde = True
        system.add_minimap_marker(214.44, 441.89,"MM_013")# chevaux sauvages
    

#[NM] Dialog 074: Der Spieler hat keine Einwegspritzen für Aidan
def initDlg_074_SpielerHatKeineEinwegspritzen():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_074_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[NM/CS] Dialog 075: Der Spieler hat die Einwegspritzen besorgt
def initDlg_075_SpielerHatEinwegspritzenBesorgt():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_choice(text='D_075_C_001_1', follower='D_075_T_001')
    dialog.add_choice(text='D_075_C_001_2', follower='ENDDIALOG')
    dialog.add_text(text='D_075_T_001', speaker="ADIAN", follower='ENDDIALOG',\
        callback=onDlg_073_Ende2)
    dialog.start()

# DIALOGE mit DICK_Z6 und DONALD
# Dialog 055: Der Spieler stellt fest das die Gauner vollkommen dicht sind.
def initDlg_055_Gauner_SindDicht(char): ## todo: dick fällt um und steht wieder auf
    object.cancel_commandos("DICK")
    character.play_animation("DICK","CM_OHNMACHT_STEHEN_HINFALLEN_WAFFENLOS")
    character.play_animation("DICK","CM_OHNMACHT_LOOP")
    if (char == "ALTER_EGO" or (char != "ALTER_EGO" and object.get_distance(char, "ALTER_EGO") <= 10.0)):
        character.play_animation("DICK","CM_OHNMACHT_AUFSTEHEN_WAFFELOS", callback=["ONEND",onDlg_055_StartDialog])
    else:
        character.play_animation("DICK","CM_OHNMACHT_AUFSTEHEN_WAFFELOS", callback=["ONEND",onDlg_055_StartDialog_Short])

def onDlg_055_StartDialog_Short(char_id):
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_055_T_001', speaker="DICK", follower='ENDDIALOG', callback=onDlg_055_Ende1) # Ende 1
    dialog.start()

def onDlg_055_StartDialog(char_id):
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_055_T_001', speaker="DICK") # lallend
    dialog.add_text(text='D_055_T_002', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_055_Ende1) # Ende 1
    dialog.start()

# Ende 1
def onDlg_055_Ende1():
    data().Dick_ist_betrunken = True;
    data().MitGaunernGesprochen = 1

#[NM] Dialog 076: Der Spieler stößt auf ein paar Betrunkene
def initDlg_076_SpielerStoesstAufBetrunkene(char):
    dialog.init_dialog(type=DIALOGSMALL)
    if (char == "ALTER_EGO" or (char != "ALTER_EGO" and object.get_distance(char, "ALTER_EGO") <= 10.0)):
        dialog.add_text(text='D_076_T_001', speaker="DONALD_Z6")
        dialog.add_text(text='D_076_T_002', speaker="ALTER_EGO", follower='ENDDIALOG')
    else:
        dialog.add_text(text='D_076_T_001', speaker="DONALD_Z6", follower='ENDDIALOG')
    dialog.start()

#[NM] Dialog 077: Der Spieler will nicht mit den Besoffenen sprechen
def initDlg_077_SpielerWillNichtMitBesoffenenSprechen():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_077_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

# Dialog 022: Der Spieler diskutiert mit den Tagedieben, welche sturz-betrunken sind
def initDlg_022_Gauner_DiskussionMitDieben():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_022_T_001', speaker="ALTER_EGO")
    dialog.add_text(text='D_022_T_002', speaker="DICK", follower='D_022_T_003')
    dialog.add_text(text='D_022_T_003', speaker="ALTER_EGO")
    dialog.add_text(text='D_022_T_004', speaker="DICK", follower='D_022_C_001')
    if cs.anyone_has_skill("speech",60):
        dialog.add_choice(text='D_022_C_001_1', follower='D_022_T_005')
    else:
        dialog.add_choice(text='D_022_C_001_1', follower='D_022_T_007')
    dialog.add_choice(text='D_022_C_001_2', follower='D_022_T_007')
    dialog.add_text(text='D_022_T_005', speaker="DICK")
    if cs.anyone_has_skill("speech",61):
        dialog.add_text(text='D_022_T_006', speaker="ALTER_EGO", follower='D_022_C_002')
    else:
        dialog.add_text(text='D_022_T_006', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_022_Ende1)
    dialog.add_text(text='D_022_T_007', speaker="DICK")
    dialog.add_text(text='D_022_T_008', speaker="ALTER_EGO")
    dialog.add_text(text='D_022_T_009', speaker="DICK", follower='D_022_C_002')
    dialog.add_choice(text='D_022_C_002_1', follower='D_022_T_019')
    if cs.anyone_has_skill("speech",61):
        dialog.add_choice(text='D_022_C_002_2', follower='D_022_T_010')
    if cs.anyone_has_skill("speech",80) and not data().SpielerMachtWasErWill:
        dialog.add_choice(text='D_022_C_002_3', follower='D_022_T_015')
    dialog.add_choice(text='D_022_C_002_4', follower='ENDDIALOG', callback=onDlg_022_Ende3)
    dialog.add_text(text='D_022_T_019', speaker="DICK", follower='D_022_T_006')
    dialog.add_text(text='D_022_T_010', speaker="DICK")
    dialog.add_text(text='D_022_T_011', speaker="ALTER_EGO")
    dialog.add_text(text='D_022_T_012', speaker="DONALD_Z6")
    dialog.add_text(text='D_022_T_013', speaker="DICK")
    dialog.add_text(text='D_022_T_014', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_022_Ende4)
    dialog.add_text(text='D_022_T_015', speaker="ALTER_EGO")
    dialog.add_text(text='D_022_T_016', speaker="DONALD_Z6")
    dialog.add_text(text='D_022_T_017', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_022_Ende5)
    if data().d_022_restart_c_002:
        dialog.jump_to('D_022_C_002')
    elif data().d_022_restart_t_003:
        dialog.jump_to('D_022_T_003')
    dialog.start(False)

# Dialog 022: Ende 1
def onDlg_022_Ende1():
    data().Gauner_haben_Spieler_belogen = True;
    data().MitGaunernGesprochen = 2
    data().gauner_erster_dialog = True

# Dialog 022: Ende 2
def onDlg_022_Ende2():
    data().d_022_restart_t_003 = True

# Dialog 022: Ende 3
def onDlg_022_Ende3():
    data().d_022_restart_c_002 = True

def onDlg_022_Ende4():
#Fässer spawnen, Donald geht zur Seite
    object.move_to("DICK",272.30,734.40, "landscape", callback=["ONEND",onDlg_022_FaesserErscheinen])
    object.turn_to_direction("DICK",globals.DIR_EAST)
    data().MitGaunernGesprochen = 2
    data().gauner_erster_dialog = True

def onDlg_022_Ende5():
    onDlg_022_FaesserErscheinen("DICK")
    data().Gauner_tragen_selber = True
    object.move_to("COLIN_Z6",object.get_x(data().obj_SingleMaltWhiskey),object.get_y(data().obj_SingleMaltWhiskey)-1,"landscape",MT_SLOW,callback=["ONEND",onDlg_022_MoveABarrel])
    object.move_to("DICK",object.get_x(data().obj_ScotchWhiskey),object.get_y(data().obj_ScotchWhiskey)-1,"landscape",MT_SLOW,callback=["ONEND",onDlg_022_MoveABarrel])
    object.move_to("DONALD_Z6",object.get_x(data().obj_BurbonWhiskey),object.get_y(data().obj_BurbonWhiskey)-1,"landscape",MT_SLOW,callback=["ONEND",onDlg_022_MoveABarrel])
    data().MitGaunernGesprochen = 2
    data().gauner_erster_dialog = True

def onDlg_022_MoveAlongWayPoints(id):
    for waypoint in range(0,len(const.WAYPOINTS_GAUNER)):
        object.move_to(id,const.WAYPOINTS_GAUNER[waypoint][0],const.WAYPOINTS_GAUNER[waypoint][1],"landscape")
    if id=="DICK":
        object.move_to(id,669.7,861.8,"landscape",callback=["ONEND",onDlg_022_PutABarrel])
    elif id=="DONALD_Z6":
        object.move_to(id,670.3,859.7,"landscape",callback=["ONEND",onDlg_022_PutABarrel])
    elif id=="COLIN_Z6":
        object.move_to(id,668.7,861.2,"landscape",callback=["ONEND",onDlg_022_PutABarrel])

def onDlg_022_FaesserErscheinen(id):
    object.set_active_state(data().obj_SingleMaltWhiskey,ACTIVE)
    object.set_active_state(data().obj_ScotchWhiskey,ACTIVE)
    object.set_active_state(data().obj_BurbonWhiskey,ACTIVE)

# Dialog 022 Fässer aufnehmen
def onDlg_022_MoveABarrel(id):
    character.play_animation(id,"CM_AUFHEBEN_WAFFENLOS_STAND")
    if (id == "COLIN_Z6"):
        object.set_active_state(data().obj_SingleMaltWhiskey,INACTIVE)
        onDlg_022_MoveAlongWayPoints(id)
    elif (id == "DICK"):
        object.set_active_state(data().obj_ScotchWhiskey,INACTIVE)
        onDlg_022_MoveAlongWayPoints(id)
    else:
        object.set_active_state(data().obj_BurbonWhiskey,INACTIVE)
        onDlg_022_MoveAlongWayPoints(id)

def onDlg_022_PutABarrel(id):
    if id == "COLIN_Z6":fassid = data().obj_SingleMaltWhiskey
    elif id == "DICK": fassid = data().obj_ScotchWhiskey
    else:              fassid = data().obj_BurbonWhiskey
    character.play_animation(id,"CM_AUFHEBEN_WAFFENLOS_STAND")
    idx,idy = object.get_x(id),object.get_y(id)
    object.set_position(fassid,idx,idy)
    object.set_active_state(fassid,ACTIVE)
    sounds.play_3d_sound_object(sfx_id="whiskey_barrel",object=fassid)


#[NM] Dialog 078: Der Spieler will nicht mit den nüchternen Schnapsnasen sprechen
def initDlg_078_SpielerWillNichtMitNuechternenSchnapsnasenSprechen():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_078_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[NM] Dialog 079: Der Spieler will die Schnapsnasen nicht beim Transport der Whiskey-Fässer stören
def initDlg_079_SpielerWillNichtSchnapsnasenNichtBeimTransportStoeren():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_079_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

# Erzeugt einen per Zufall ausgewähltes Vicitim für die Enemys
def createRandomAttack(enemies, victims):
    for eid in enemies:
        if not object.is_destroyed(eid):
            if len(victims) == 0:
                randomvid = "ALTER_EGO"
            else:
                randomvid = random.choice(victims)
            object.attack(eid, randomvid)


# movable loc: garden of eden quest:
# Dialoge mit Abraham
## Dialog 093: Abraham hat einen Traum ## !! todo
def initDlg_093_AbrahamHatEinenTraum():
    dialog.init_dialog(type=DIALOGLARGE)
    if data().abraham_c_001_1_aktiv:
        dialog.add_choice(text='D_093_C_001_1', follower='D_093_T_001')
    dialog.add_choice(text='D_093_C_001_2', follower='D_093_T_002')
    dialog.add_choice(text='D_093_C_001_3', follower='ENDDIALOG', callback=onDlg_093_Ende1)
    dialog.add_text(text='D_093_T_001', speaker="ABRAHAM", follower='D_093_C_001', callback=Lambda('data().abraham_c_001_1_aktiv = False'))
    dialog.add_text(text='D_093_T_002', speaker="ABRAHAM", follower='D_093_C_002')
    dialog.add_choice(text='D_093_C_002_1', follower='D_093_T_004')
    dialog.add_choice(text='D_093_C_002_2', follower='ENDDIALOG', callback=onDlg_093_Ende2)
    dialog.add_text(text='D_093_T_003', speaker="ALTER_EGO")
    dialog.add_text(text='D_093_T_004', speaker="ABRAHAM")
    dialog.add_text(text='D_093_T_005', speaker="ABRAHAM", follower='D_093_C_003')
    dialog.add_choice(text='D_093_C_003_1', order=3, follower='D_093_T_007')
    if data().abraham_c_003_2_aktiv:
        dialog.add_choice(text='D_093_C_003_2', order=1, follower='ENDDIALOG', callback=onDlg_093_Ende3)
    dialog.add_choice(text='D_093_C_003_3', order=2, follower='D_093_T_009')
    dialog.add_text(text='D_093_T_006', speaker="ABRAHAM", follower='D_093_C_003')
    dialog.add_text(text='D_093_T_007', speaker="ABRAHAM", follower='D_093_C_004')
    if data().abraham_c_004_1_aktiv:
        dialog.add_choice(text='D_093_C_004_1', follower='D_093_T_009')
    dialog.add_choice(text='D_093_C_004_2', follower='ENDDIALOG', callback=onDlg_093_Ende4)
    dialog.add_text(text='D_093_T_008', speaker="ABRAHAM", follower='D_093_C_004')
    dialog.add_text(text='D_093_T_009', speaker="ABRAHAM", follower='ENDDIALOG', callback=onDlg_093_Ende5)

    if data().d_093_restart_t_008:
        dialog.jump_to('D_093_T_008')
    elif data().d_093_restart_t_006:
        dialog.jump_to('D_093_T_006')
    elif data().d_093_restart_t_003:
        dialog.jump_to('D_093_T_003')
    elif data().d_093_restart_c_001:
        dialog.jump_to('D_093_C_001')

    dialog.start(False)

def onDlg_093_Ende1():
    data().d_093_restart_c_001 = True

def onDlg_093_Ende2():
    data().d_093_restart_t_003 = True

def onDlg_093_Ende3():
    data().abraham_c_003_2_aktiv = False
    data().d_093_restart_t_006 = True

def onDlg_093_Ende4():
    data().d_093_restart_t_008 = True
    data().abraham_c_004_1_aktiv = False

def onDlg_093_Ende5():
    set_zone_enabled("zzone_4",True)
    data().abraham_quest_angenommen = True
    system.set_qb_entry_state(data().QB_020,UNCOMPLETE)
    for id in const.GOE_NPCS:
        if id in system.get_npcs():
            object.cancel_commandos(id)
            object.step_away(id)
            data().abraham_und_co_folgen = True
            allow_activity(id)

    for id in const.GOE_NPCS:
        if id in system.get_npcs():
            object.set_attribute(id,"zone_transfer",True)
            object.set_attribute(id,"zone_transfer_new_party","NPCS")

## Dialog 094: Mickey verweist auf Abraham
def initDlg_094_MickeyVerweisAufAbraham():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_094_T_001', speaker="MICKEY", follower='ENDDIALOG', callback=Lambda('object.turn_to_object("MICKEY", "ABRAHAM")'))
    dialog.start()

## Dialog 095: Sue verweist auf Abraham  
def initDlg_095_SueVerweisAufAbraham():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_095_T_001', speaker="SUE_Z7", follower='ENDDIALOG', callback=Lambda('object.turn_to_object("SUE_Z7", "ABRAHAM")'))
    dialog.start()

## Dialog 096: Fjodr kann nicht sprechen
def initDlg_096_FjodrKannNichtSprechen():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_096_T_001', speaker="ABRAHAM", follower='ENDDIALOG', callback=onDlg_096_FjodrReaktion)
    dialog.start()

def onDlg_096_FjodrReaktion():
    object.cancel_commandos("FJODR")
    object.turn_to_object("FJODR", "ABRAHAM", callback=["ONEND", Lambda('character.play_animation("FJODR", "CM_NPC_STEHEN_KONVERSATION_4")')])

## Dialog 100: Abraham will nicht reden
def initDlg_100_AbrahamWillNichtReden():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_100_T_001', speaker="ABRAHAM", follower='ENDDIALOG')
    dialog.start()

## Dialog 101: Der Spieler sollte nach Norden gehen
def initDlg_101_SpielerSollNachNorden():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_101_T_001', speaker="ABRAHAM", follower='ENDDIALOG',callback=onDlg_101_102_103_104_ContinueRouting)
    dialog.start()

## Dialog 102: Der Spieler sollte nach Osten gehen
def initDlg_102_SpielerSollNachOsten():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_102_T_001', speaker="ABRAHAM", follower='ENDDIALOG',callback=onDlg_101_102_103_104_ContinueRouting)
    dialog.start()

## Dialog 103: Der Spieler sollte nach Sueden gehen
def initDlg_103_SpielerSollNachSueden():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_103_T_001', speaker="ABRAHAM", follower='ENDDIALOG',callback=onDlg_101_102_103_104_ContinueRouting)
    dialog.start()

## Dialog 104: Der Spieler sollte nach Westen gehen
def initDlg_104_SpielerSollNachWesten():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_104_T_001', speaker="ABRAHAM", follower='ENDDIALOG',callback=onDlg_101_102_103_104_ContinueRouting)
    dialog.start()

## Dialog 105: Abraham beendet den Quest
def initDlg_105_AbrahamGibtAuf():
    onDlg_105_106_107_QBUpdate()
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_105_T_001', speaker="ABRAHAM", follower='ENDDIALOG')
    dialog.start()

## Dialog 106: Abraham gibt seine Reise wegen Mickeys Tod auf ## !! 2
def initDlg_106_AbrahamGibtAufMickeyTot():
    onDlg_105_106_107_QBUpdate()
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_106_T_001', speaker="ABRAHAM")
    dialog.add_text(text='D_106_T_002', speaker="ABRAHAM", follower='ENDDIALOG')
    dialog.start()

## Dialog 107: Abraham gibt seine Reise wegen Sues Tod auf ## !! 2
def initDlg_107_AbrahamGibtAufSueTot():
    onDlg_105_106_107_QBUpdate()
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_107_T_001', speaker="ABRAHAM")
    dialog.add_text(text='D_107_T_002', speaker="ABRAHAM", follower='ENDDIALOG')
    dialog.start()

## Dialog 108: Mickey will rasch weiter
def initDlg_108_MickeyWillRaschWeiter():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_108_T_001', speaker="MICKEY", follower='ENDDIALOG')
    dialog.start()

def onDlg_105_106_107_QBUpdate():
    data().abraham_und_co_folgen = False
    system.set_qb_entry_state(data().QB_020,IMPOSSIBLE)
    for id in const.GOE_NPCS:
        if id in system.get_npcs():
            object.set_attribute(id,"zone_transfer",False)
## todo: aufgabe des quests durch die npcs
    for goe_id in const.GOE_NPCS:
        if goe_id in system.get_npcs():
            if not object.is_destroyed(goe_id):
                object.cancel_commandos(goe_id)
                prohibit_activity(goe_id)
                for wp in const.WAYPOINTS_GOE_ABBRUCH:
                    if wp != const.WAYPOINTS_GOE_ABBRUCH[len(const.WAYPOINTS_GOE_ABBRUCH)-1]:
                        object.move_to(goe_id, wp[0], wp[1], grid="landscape", speed=MT_SLOW)
                    else:
                        object.move_to(goe_id, wp[0], wp[1], grid="landscape", speed=MT_SLOW, callback=["ONEND", deactivate])

def onDlg_101_102_103_104_ContinueRouting():
    data().abraham_und_co_folgen = True
    for goe_id in const.GOE_NPCS:
        if goe_id in system.get_npcs():
            allow_activity(goe_id)

## Dialog 109: Sue will rasch weiter
def initDlg_109_SueWillRaschWeiter():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_109_T_001', speaker="SUE_Z7", follower='ENDDIALOG')
    dialog.start()

## Dialog 110: Fjodr hat zu diesem Thema nichts zu sagen
def initDlg_110_FjodrHatNixZuSagen():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_110_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

## Dialog 097: Der Spieler will nichts trinken
def initDlg_097_SpielerWillNixTrinken():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_097_T_001', speaker="OWEN")
    dialog.add_text(text='D_097_T_002', speaker="ALTER_EGO", follower='ENDDIALOG', callback=Lambda('data().owen_gesprochen=1'))
    dialog.start()

## Dialog 098: Der Wirt informiert den Spieler über den verpassten Quest
def initDlg_098_WirtInformiertSpieler():
    system.start_cutscene()
    x,y= object.get_x("OWEN"),object.get_y("OWEN")
    object.move_to("ALTER_EGO",x-1.0,y+1.0,"landscape",MT_SLOW,callback=["ONEND",onDlg_098_StartDialog])

def onDlg_098_StartDialog(id):
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_098_T_001', speaker="OWEN",callback=Lambda('set_conversation("ALTER_EGO","OWEN",mode="medium")'))
    dialog.add_text(text='D_098_T_002', speaker="ALTER_EGO",callback=Lambda('set_conversation("ALTER_EGO","OWEN",mode="medium")'))
    dialog.add_text(text='D_098_T_003', speaker="OWEN",callback=Lambda('set_conversation("ALTER_EGO","OWEN",mode="medium")'))
    dialog.add_text(text='D_098_T_005', speaker="ALTER_EGO", follower='ENDDIALOG',callback=Lambda('end_cutscene(chars=["OWEN", "ALTER_EGO"])'))
    dialog.start()

## Dialog 099: Owen fragt nach der Gruppe
def initDlg_099_OwenFragtNachDerGruppe():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_099_T_001', speaker="OWEN")
    dialog.add_text(text='D_099_T_002', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

## Kommentare der NPCs zum Abrahamquest, wenn AE vom Weg abkommt
def initDlg_KommentareZuAbrahamQuest():
    distance = object.get_distance("ALTER_EGO","ABRAHAM")
    if (distance > 20.0):
        data().abraham_und_co_folgen = False
        for id in const.GOE_NPCS:
            if id in system.get_npcs():
                object.cancel_commandos(id)
                prohibit_activity(id)
                if not id == "ABRAHAM":
                    object.move_to_object(id,"ABRAHAM",speed=MT_FAST)
                object.turn_to_object(id,"ALTER_EGO")
        ae_x=object.get_x("ALTER_EGO")
        ae_y=object.get_y("ALTER_EGO")
        goe_x = const.WAYPOINTS_GOE_ABBRUCH[0][1]
        goe_y = const.WAYPOINTS_GOE_ABBRUCH[0][1]
        x_dist=goe_x-ae_x
        y_dist=goe_y-ae_y
        if not dialog.is_dialog_active():
            if betrag(x_dist)>betrag(y_dist):
                if x_dist>0:
                    initDlg_102_SpielerSollNachOsten()
                elif x_dist<0:
                    initDlg_104_SpielerSollNachWesten()
            elif betrag(x_dist)<betrag(y_dist):
                if y_dist>0:
                    initDlg_103_SpielerSollNachSueden()
                elif y_dist<0:
                    initDlg_101_SpielerSollNachNorden()
    elif (distance > 30.0):
        initDlg_105_AbrahamGibtAuf()
        for id in const.GOE_NPCS:
            if id in system.get_npcs():
                object.set_attribute(id,"zone_transfer",None)
                object.set_attribute(id,"zone_transfer_new_party",None)

# betragsfunktion (von heiko)
def betrag(wert):
    if wert < 0:
        wert=wert*-1
    return wert

#[M] Dialog 145: Der Spieler redet mit Leica
def initDlg_145_SpielerRedetMitLeica():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_choice(text='D_145_C_001_1', follower='D_145_T_001')
    dialog.add_choice(text='D_145_C_001_2', follower='D_145_T_002')
    dialog.add_choice(text='D_145_C_001_3', follower='D_145_T_003')
    dialog.add_choice(text='D_145_C_001_4', follower='D_145_T_001')
    dialog.add_text(text='D_145_T_001', speaker="LEICA", follower='ENDDIALOG', callback=onDlg_145_Ende1)
    dialog.add_text(text='D_145_T_002', speaker="LEICA", follower='ENDDIALOG', callback=onDlg_145_Ende2)
    dialog.add_text(text='D_145_T_003', speaker="LEICA", follower='ENDDIALOG', callback=onDlg_145_Ende3)
    dialog.start()

def leica_leads_player():
    if data().leica_folgt:
        speed = random.choice([MT_SLOW, MT_FAST])
        if data().counter_leica_position <= 8:
            wp = const.WAYPOINTS_LEICA_TO_CALEB[data().counter_leica_position]
            object.move_to("LEICA", wp[0], wp[1], speed=MT_FAST, callback=["ONEND", on_leica_reaches_point])
        else:
            object.move_to("LEICA", 729.93, 232.04, speed=MT_FAST, callback=["ONEND", on_leica_reaches_point])

def on_leica_reaches_point(char):
    object.turn_to_object("LEICA", "ALTER_EGO")
    system.notify_timer(data().Timer_LeicaWaitPlayer, data().Timervalue_LeicaWaitPlayer)

def onDlg_145_Ende1():
## leica sucht weiter
    data().leica_folgt = True
    data().leica_sitzt = False
    leica_leads_player()

def onDlg_145_Ende2():
## leica kehrt heim
    object.cancel_commandos("LEICA")
    object.move_to("LEICA",552.8,300.0,"landscape",MT_FAST,callback=["ONEND",Lambda('object.turn_to_direction("LEICA", globals.DIR_NORTH)')])
    data().leica_folgt = False
    data().leica_sitzt = False
    data().counter_leica_position = 0
    object.set_attribute("LEICA","approachable", None)

def onDlg_145_Ende3():
## leica setzt sich hin
    object.cancel_commandos("LEICA")
    data().leica_folgt = False
    data().leica_sitzt = True

#[NM] Dialog 088: Der Spieler überlegt, was er mit dem Valium machen soll
def initDlg_088_SpielerUeberlegtWasErMitValiumMachenSoll():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_088_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[NM] Dialog 089: Der Spieler steckt das Valium in den Apfel
def initDlg_089_SpielerStecktDasValiumInDenApfel():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_089_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

## dialoge mit den kindern der kindergang
def initDlg_Kind(target):
    text_id = ""
    if data().Counter_KinderDialog == 10:
        text_id = 'NPC_KIND_T_010'
    else:
        text_id = 'NPC_KIND_T_00'+str(data().Counter_KinderDialog)

    if data().Counter_KinderDialog in [2,5,8]:
        text_id += "F"

    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text=text_id, speaker=target, follower='ENDDIALOG')
    dialog.start()

    data().Counter_KinderDialog += 1
    if data().Counter_KinderDialog == 11:
        data().Counter_KinderDialog == 1

## dialoge mit dem ernteroboter im flüchtlingslager
def initDlg_ErnteRoboter():
    sounds.play_3d_sound_object(sfx_id="robot_approached",object=const.OBJ_ERNTEROBOTER)
    clock = system.get_mission_time().get_day_time()
    if data().ErnteRoboterDialog == 1:
        if clock >= time("00:00:00") and clock < time("04:30:00"):
            single_dialog(const.OBJ_ERNTEROBOTER,"NPC_KFH_857_T_001")
        elif clock >= time("04:30:00") and clock < time("06:00:00"):
            single_dialog(const.OBJ_ERNTEROBOTER,"NPC_KFH_857_T_002")
        elif clock >= time("06:00:00") and clock < time("12:00:00"):
            single_dialog(const.OBJ_ERNTEROBOTER,"NPC_KFH_857_T_003")
        elif clock >= time("12:00:00") and clock < time("15:00:00"):
            single_dialog(const.OBJ_ERNTEROBOTER,"NPC_KFH_857_T_004")
        elif clock >= time("15:00:00") and clock < time("20:00:00"):
            single_dialog(const.OBJ_ERNTEROBOTER,"NPC_KFH_857_T_005")
        elif clock >= time("20:00:00") and clock < time("21:00:00"):
            single_dialog(const.OBJ_ERNTEROBOTER,"NPC_KFH_857_T_006")
        elif clock >= time("21:00:00"):
            single_dialog(const.OBJ_ERNTEROBOTER,"NPC_KFH_857_T_007")
        data().ErnteRoboterDialog = 0
    else:
        single_dialog(const.OBJ_ERNTEROBOTER,"NPC_KFH_857_T_008")
        data().ErnteRoboterDialog = 1

## helper function for ernteroboter dialogs
def single_dialog(char_id,text_id):
    dialog.init_dialog(DIALOGSMALL)
    dialog.add_text(text=text_id,speaker=char_id,follower='ENDDIALOG')
    dialog.start()

def get_dist_vector(c1, c2):
    d = [0.0,0.0]
    p1 = object.get_position(c1)
    p2 = object.get_position(c2)
    d = [(p2[0]-p1[0]), (p2[1]-p1[1])]
    return d

def get_direction_vector(d):
    import math
    r = [0.0,0.0]
    b = math.sqrt(d[0]*d[0] + d[1]*d[1])
    r = [(d[0]/b), (d[1]/b)]
    return r

#[NM/CS] Dialog 148: Der General hat wichtige Informationen für den Spieler
def initDlg_148_GeneralHatWichtigeInfos():
    p2 = object.get_position('GENERAL_OF_THE_SHADOWS')
    dv = get_dist_vector("ALTER_EGO","GENERAL_OF_THE_SHADOWS")
    d = get_direction_vector(dv)

    object.cancel_commandos("ALTER_EGO")
    object.set_position("ALTER_EGO", p2[0]-(3*d[0]), p2[1]-(3*d[1]))
    set_conversation("GENERAL_OF_THE_SHADOWS", mode="far", cam_x=d[0]*3.0, cam_y=dv[1]*3.0, animate=False)
    pos = object.get_position("GENERAL_OF_THE_SHADOWS")
    character.change_body_mode("ALTER_EGO","STAND")
#object.move_to("ALTER_EGO",p2[0]-(d[0]*0.5),p2[1]-(d[1]*0.5), callback=["ONEND", onDlg_148_StartDialog])
    object.move_to("ALTER_EGO",p2[0]-(d[0]*1.0),p2[1]-(d[1]*1.0), callback=["ONEND", onDlg_148_StartDialog])

def onDlg_148_StartDialog(char_id):
    character.change_body_mode("ALTER_EGO","KNEEL")
    object.turn_to_object("ALTER_EGO", "GENERAL_OF_THE_SHADOWS")
    set_conversation("GENERAL_OF_THE_SHADOWS","ALTER_EGO",mode="medium", animate=False)
    dialog.init_dialog(DIALOGSMALL)
    dialog.add_text(text='D_148_T_001', speaker='GENERAL_OF_THE_SHADOWS', callback=Lambda('set_conversation("ALTER_EGO","GENERAL_OF_THE_SHADOWS",mode="medium", animate=False)'))
    dialog.add_text(text='D_148_T_002', speaker='ALTER_EGO', callback=Lambda('set_conversation("GENERAL_OF_THE_SHADOWS","ALTER_EGO",mode="medium", animate=False)'))
    dialog.add_text(text='D_148_T_003', speaker='GENERAL_OF_THE_SHADOWS', callback=Lambda('set_conversation("ALTER_EGO","GENERAL_OF_THE_SHADOWS",mode="medium", animate=False)'))
    dialog.add_text(text='D_148_T_004', speaker='ALTER_EGO', callback=Lambda('set_conversation("ALTER_EGO","GENERAL_OF_THE_SHADOWS",mode="far", animate=False)'))
    dialog.add_text(text='D_148_T_005', speaker='ALTER_EGO', follower='ENDDIALOG', callback=onDlg_148_Ende)
    dialog.start()

def onDlg_148_Ende():
    if not object.is_destroyed('GENERAL_OF_THE_SHADOWS'):
        end_cutscene(chars=["GENERAL_OF_THE_SHADOWS", "ALTER_EGO"])
    else:end_cutscene(chars=["ALTER_EGO"])
    character.change_body_mode("ALTER_EGO","STAND")
    if system.get_qb_entry_state(data().QB_005) in [INACTIVE, UNCOMPLETE]:
        system.set_qb_entry_state(data().QB_005, COMPLETE)

#[NM] Dialog 147: Der Spieler hat mit Arik nichts mehr zu bereden
def initDlg_147_SpielerHatNixMehrMitArikZuBereden():
    dialog.init_dialog(DIALOGSMALL)
    dialog.add_text(text='D_147_T_001', speaker='ALTER_EGO', follower='ENDDIALOG')
    dialog.start()

#[NM] Dialog 149: Der Spieler interessiert sich nicht für die Wäscheleine
def initDlg_149_SpielerInteressiertSichNichtFuerWaescheleine():
    dialog.init_dialog(DIALOGSMALL)
    dialog.add_text(text='D_149_T_001', speaker='ALTER_EGO', follower='ENDDIALOG')
    dialog.start()

#[NM] Dialog 150: Der Spieler interessiert sich nicht für Calebs Wäsche
def initDlg_150_SpielerInteressiertSichNichtFuerCalebsWaesche():
    dialog.init_dialog(DIALOGSMALL)
    dialog.add_text(text='D_150_T_001', speaker='ALTER_EGO', follower='ENDDIALOG')
    dialog.start()

#[NM] Dialog 151: Der Spieler interessiert sich brennend für Calebs Wäsche
def initDlg_151_SpielerInteressiertSichFuerCalebsWaesche():
    system.start_cutscene()
    character.unequip_hands("ALTER_EGO")
    set_conversation(const.OBJ_WAESCHELEINE_CALEB, cam_x=0,cam_y=3, mode="medium", animate=False, first_obj=const.OBJ_WAESCHELEINE_CALEB)
    object.set_position("ALTER_EGO", 565.8, 261.0)
    object.move_to("ALTER_EGO", 565.8, 257.0, speed=MT_SLOW)
    object.turn_to_object("ALTER_EGO", const.OBJ_WAESCHELEINE_CALEB, callback=["ONEND", onDlg_151_StartDialog])

def onDlg_151_StartDialog(char=None):
    character.play_animation("ALTER_EGO", 'CM_STEHEN_NACH_OBEN_GREIFEN')
    dialog.init_dialog(DIALOGSMALL)
    dialog.add_text(text='D_151_T_001', speaker='ALTER_EGO', follower='ENDDIALOG', callback=onDlg_151_Ende)
    dialog.start()

def onDlg_151_Ende():
    object.create_item_in_inventory("ALTER_EGO",const.QI_CALEB_CLOTH[1],const.QI_CALEB_CLOTH[0])
    object.set_attribute(object=const.QI_CALEB_CLOTH[0], attribute="generic_item", value=False)
    end_cutscene()
    set_conversation(first_obj="ALTER_EGO")
    character.arm_direct("ALTER_EGO")


# todo: einbauen
#[NM] Dialog 153: Der Spieler untersucht den Info-Pfahl
def initDlg_153_SpielerUntersuchtInfoPfahl():
    dialog.init_dialog(DIALOGSMALL)
    dialog.add_text(text='D_153_T_001', speaker='ALTER_EGO', follower='ENDDIALOG', callback=onDlg_153_Ende)
    dialog.start()

def onDlg_153_Ende():
    set_zone_enabled("sqzone_6", True)
    if( ( system.get_qb_entry_state(data().QB_021 ) == INACTIVE ) and
        ( system.get_qb_entry_state(data().QB_022 ) == INACTIVE ) ):
        system.set_qb_entry_state(data("zone_6.zone_6").QB_021, UNCOMPLETE)

#** check if player has apple and valium
def check_valium_apple():
    pcs = system.get_pcs()
    has_apple = False
    has_valium = False
    for pc in pcs:
        if (object.count_in_inventory(pc, "SET_APPLE") or
            object.count_in_inventory(pc, "Z6 GERDAS_APPLE")):
                has_apple = True
        if (object.count_in_inventory(pc, "SET_VALIUM") or
            object.count_in_inventory(pc, "Z6 AIDANS_VALIUM")):
                has_valium = True
    if has_apple and has_valium:
        if not hasattr(data(), "spieler_hat_valium_apfel_zusammen"):
            data().spieler_hat_valium_apfel_zusammen = False
        if not data().spieler_hat_valium_apfel_zusammen:
            data().spieler_hat_valium_apfel_zusammen = True
            initDlg_155_SpielerHatApfelUndValiumZusammen()
        return True
    return False

#[NM] Dialog 155: Der Spieler hat Apfel und Valium zusammen
def initDlg_155_SpielerHatApfelUndValiumZusammen():
    dialog.init_dialog(DIALOGSMALL)
    dialog.add_text(text='D_155_T_001', speaker='ALTER_EGO', follower='ENDDIALOG')
    dialog.start()

#[NM] Dialog 154: Der Spieler denkt über das Wildpferd nach
def initDlg_154_SpielerDenktUeberWildpferdNach():
    dialog.init_dialog(DIALOGSMALL)
    dialog.add_text(text='D_154_T_012', speaker='ALTER_EGO', follower='ENDDIALOG')
    dialog.start()

#[NM] Dialog 156: Der Spieler wundert sich über die verschwundenen Nomaden
#Variante: Nomaden gar nicht kennen gelernt
def initDlg_156_VerschwundeneNomanden_NichtKennengelernt():
    dialog.init_dialog(DIALOGSMALL)
    dialog.add_text(text='D_156_T_001', speaker='ALTER_EGO')
    dialog.add_text(text='D_156_T_002', speaker='ALTER_EGO', follower='ENDDIALOG')
    dialog.start()

#[NM] Dialog 157: Der Spieler wundert sich über die verschwundenen Nomaden
#Variante: Nomaden kennen gelernt
def initDlg_157_VerschwundeneNomanden_Kennengelernt():
    dialog.init_dialog(DIALOGSMALL)
    dialog.add_text(text='D_157_T_001', speaker='ALTER_EGO')
    dialog.add_text(text='D_157_T_002', speaker='ALTER_EGO', follower='ENDDIALOG')
    dialog.start()

#[NM/CS] Dialog 159: Die Fahrzeuge fliegen in die Luft
def initDlg_159_DieFahrzeugeFliegenInDieLuft():
    for car in const.OBJ_CONVOY_CARS:
        if not object.is_destroyed(car):
            object.destroy(car)

    dialog.init_dialog(DIALOGSMALL)
    dialog.add_text(text='D_159_T_001', speaker='ALTER_EGO', follower='ENDDIALOG',callback=initDlg_159_end)
    dialog.start()

def initDlg_159_end():
    system.set_qb_entry_state(data().QB_002,COMPLETE)
    system.set_qb_entry_state(data().QB_003,UNCOMPLETE)
    character.add_experience_party(data().Exp_DoppelgaengerEnttarnt)

#[NM] Dialog 160: Der Spieler will nicht in das Fahrzeug einsteigen
def initDlg_160_SpielerWillNichtInFahrzeugEinsteigen():
    dialog.init_dialog(DIALOGSMALL)
    dialog.add_text(text='D_160_T_001', speaker='ALTER_EGO', follower='ENDDIALOG')
    dialog.start()

def initDlg_160_AllShadowsKilled():
    dialog.init_dialog(DIALOGSMALL)
    dialog.add_text(text='D_160_T_002', speaker='ALTER_EGO', follower='ENDDIALOG')
    dialog.start()

