# -*- coding: utf-8 -*-
from globals import *
import dialogs
import const

#*** actual revision - Revision 34, 9.09.2004 *********************************

## NPC Daten
### NPCs ###

## liste der daten zu einem npc ########################################################################################################################################################
# enthält:
#	id	position(x,y)	model	skin	gender	face	clothes	direction	name	party
########################################################################################################################################################################################
## Mainquest NPCS
def init_npc_lists():
	data().BOTEN_NPCS = {
		"BOTE_1"	: ([517.87, 220.80], ["low", "white", "male",   "andrew", "ls_002"	],globals.DIR_WEST,	  globaltext.NAME_DELIVERY_BOY,    	"NPCS", 8),
		"BOTE_2"	: ([518.15, 221.70], ["low", "white", "male",   "andrew", "ls_002"	],globals.DIR_WEST,	  globaltext.NAME_DELIVERY_BOY,    	"NPCS", 8),
		"BOTE_3"	: ([517.66, 224.42], ["low", "white", "male",   "andrew", "ls_002"	],globals.DIR_WEST,	  globaltext.NAME_DELIVERY_BOY,    	"NPCS", 8),
		"BOTE_4"	: ([517.79, 226.52], ["low", "white", "male",   "andrew", "ls_002"	],globals.DIR_WEST,	  globaltext.NAME_DELIVERY_BOY,    	"NPCS", 8),
		"BOTE_5"	: ([517.51, 229.59], ["low", "white", "male",   "andrew", "ls_002"	],globals.DIR_WEST,	  globaltext.NAME_DELIVERY_BOY,    	"NPCS", 8),
		"BOTE_6"	: ([518.82, 231.20], ["low", "white", "male",   "andrew", "ls_002"	],globals.DIR_WEST,	  globaltext.NAME_DELIVERY_BOY,    	"NPCS", 8),		
	}
	
	data().MAINQUEST_NPCS 	= {
		"ANDREW"	: ([487.0, 477.0], ["low", "white", "male",   "andrew", "ls_002"	],globals.DIR_NORTH,	  globaltext.NAME_ANDREW,    	"NPCS",8),
		"RUPERT"	: ([270.0, 221.5], ["low", "white", "male",   "rupert", "ls_004"	],globals.DIR_EAST,	  globaltext.NAME_RUPERT,	"NPCS",8),
		"CONNY"		: ([370.3, 570.3], ["low", "white", "female", "conny",  "uni_003"	],globals.DIR_SOUTH_EAST,  globaltext.NAME_CONNY,	"NPCS",8),
		"DYING_SHADOW"	: ([540.0, 490.0], ["low", "grey",  "male",   "shadow01", "ls_shadow_01"],globals.DIR_NORTH,	  globaltext.NAME_DYING_SHADOW,	"NPCS",8),
		"CRAIG"		: ([517.5, 475.4], ["low", "white", "male",   "craig", "ss_002"		],globals.DIR_SOUTH_WEST, globaltext.NAME_CRAIG,	"NPCS",8),
		"BRAD"		: ([515.6, 480.2], ["low", "white", "male",   "brad", "ss_004"		],globals.DIR_WEST,	  globaltext.NAME_BRAD,		"NPCS",8),
		"ANIE"		: ([605.5, 355.5], ["low", "white", "female", "anie", "anie"		], globals.DIR_WEST,    globaltext.NAME_ANIE, 		"NPCS",8)}
	
	## Nebenquest NPCS
	data().NEBENQUEST_NPCS	= {
		"EMILY"		: ([657.0, 506.0], ["low",   "white", "female", "emily",  "uni_004"	],globals.DIR_NORTH_EAST,globaltext.NAME_EMILY,	 "NPCS",8),
		"HARRY"		: ([659.0, 503.0], ["child", "white", "male",   "001",    "ll_001"	],globals.DIR_SOUTH,	globaltext.NAME_HARRY,	 "NPCS",8),
		"LARRY"		: ([660.0, 505.0], ["child", "white", "male",   "001",    "ll_001"	],globals.DIR_WEST,	globaltext.NAME_LARRY,	 "NPCS",8),
		"GEISEL_1"	: ([606.0, 356.0], ["low", "white", "female", "hallgard", "ss_003"	],globals.DIR_WEST,	globaltext.NAME_HOSTAGE, "NPCS",8),
		"GEISEL_2"	: ([605.5, 352.5], ["low", "white", "male",   "dagwin",    "sl_002"	],globals.DIR_NORTH_WEST,globaltext.NAME_HOSTAGE, "NPCS",8),
		"GEISEL_3"	: ([605.0, 355.0], ["low", "black", "male",   "evil11",    "ss_003"	],globals.DIR_SOUTH_WEST,globaltext.NAME_HOSTAGE, "NPCS",8),
		"GEISEL_4"	: ([608.5, 352.5], ["low", "white", "male",   "evil04",    "ss_004"	],globals.DIR_WEST,	globaltext.NAME_HOSTAGE, "NPCS",8),
		"GEISEL_5"	: ([607.0, 353.0], ["low", "white", "male",   "blankard",  "ls_001"	],globals.DIR_EAST,	globaltext.NAME_HOSTAGE, "NPCS",8)}
	
	## Tagesablauf NPCS
	data().TAGESABLAUF_NPCS = {
		"AMBROSIUS"	: ([663.5, 492.2], ["low",   "white", "male",	"albin",	"ss_004"], globals.DIR_WEST,		globaltext.NAME_AMBROSIUS,"NPCS",8),
		"ALFRED"	: ([659.7, 495.7], ["low",   "black", "male",	"eginhard",	"ss_003"], globals.DIR_WEST,		globaltext.NAME_ALFRED,   "NPCS",8),
		"JENSON"	: ([661.3, 496.2], ["low",   "white", "male",	"ascan",	"ls_003"], globals.DIR_SOUTH_EAST,	globaltext.NAME_JENSON,   "NPCS",8),
		"KLAUS"		: ([663.7, 496.8], ["low",   "white", "male",	"bernulf",	"uni_004"],globals.DIR_NORTH_EAST,	globaltext.NAME_KLAUS,	  "NPCS",8),
		"JUANITA"	: ([622.2, 545.0], ["low",   "white", "female",	"meinhild",	"uni_004"],globals.DIR_SOUTH,		globaltext.NAME_JUANITA,  "NPCS",8),
		"HANNES"	: ([623.2, 544.0], ["low",   "white", "male",	"dagwin",	"ls_004"], globals.DIR_WEST,		globaltext.NAME_HANNES,	  "NPCS",8),
		"SVETLANA"	: ([640.0, 530.0], ["child", "white", "female",	"001",		"ll_001"], globals.DIR_NORTH,		globaltext.NAME_SVETLANA, "NPCS",8),
		"ZACK"		: ([613.0, 501.0], ["child", "white", "male",	"001",		"ll_001"], globals.DIR_SOUTH,		globaltext.NAME_ZACK,	  "NPCS",8),
		"SHANIA"	: ([583.0, 477.0], ["child", "white", "female",	"001",		"ll_001"], globals.DIR_WEST,		globaltext.NAME_SHANIA,	  "NPCS",8),
		"ERIKA"		: ([579.0, 463.0], ["low",   "white", "female",	"erkhild", 	"ss_002"], globals.DIR_NORTH,		globaltext.NAME_ERIKA,	  "NPCS",8),
		"SAM"		: ([645.0, 508.0], ["low",   "white", "male",	"evil13",	"uni_001"],globals.DIR_WEST,		globaltext.NAME_SAM,	  "NPCS",8),
		"BERNIE"	: ([556.0, 445.0], ["low",   "white", "male",	"gudmunt",	"ll_004"], globals.DIR_NORTH,		globaltext.NAME_BERNIE,	  "NPCS",8),
		"JONAS"		: ([532.0, 410.0], ["low",   "black", "male",	"dietbert",	"ll_001"], globals.DIR_SOUTH,		globaltext.NAME_JONAS,	  "NPCS",8),
		"TANJA"		: ([609.0, 424.0], ["low",   "white", "female",	"asbirg",	"sl_002"], globals.DIR_WEST,		globaltext.NAME_TANJA,	  "NPCS",8),
		"PETE"		: ([659.0, 497.0], ["low",   "white", "male",	"gandolf",	"ls_002"], globals.DIR_NORTH,		globaltext.NAME_PETE,	  "NPCS",8)}
	
	## Schatten NPCS
	data().SCHATTEN_NPCS	= {	
		"SHADOW_01" : ([522.8, 504.2],["low","grey","male",	"shadow01","ls_shadow_01"],globals.DIR_NORTH,globaltext.NAME_SHADOW_SOLDIER,		"NPCS",10),
		"SHADOW_02" : ([543.0, 521.4],["low","grey","male",	"shadow02","ls_shadow_02"],globals.DIR_EAST,globaltext.NAME_SHADOW_SOLDIER,		"NPCS",11),
		"SHADOW_03" : ([533.6, 413.3],["low","grey","female",	"shadow01","ll_shadow_01"],globals.DIR_SOUTH_WEST,globaltext.NAME_SHADOW_SOLDIER,	"NPCS",11),
		"SHADOW_04" : ([529.6, 414.3],["low","grey","male",	"shadow03","ll_shadow_01"],globals.DIR_NORTH_EAST,globaltext.NAME_SHADOW_SOLDIER,	"NPCS",11),
		"SHADOW_05" : ([548.2, 470.5],["low","grey","female",	"shadow02","ll_shadow_02"],globals.DIR_SOUTH_WEST,globaltext.NAME_SHADOW_SOLDIER,	"NPCS",11),
		"SHADOW_06" : ([547.0, 474.0],["low","grey","male",	"shadow04","ls_shadow_02"],globals.DIR_WEST,globaltext.NAME_SHADOW_SOLDIER,		"NPCS",10),
		"SHADOW_07" : ([578.3, 445.0],["low","grey","male",	"shadow05","ll_shadow_02"],globals.DIR_WEST,globaltext.NAME_SHADOW_SOLDIER,		"NPCS",11),
		"SHADOW_08" : ([582.3, 463.3],["low","grey","female",	"shadow03","ll_shadow_01"],globals.DIR_SOUTH,globaltext.NAME_SHADOW_SOLDIER,		"NPCS",10),
		"SHADOW_09" : ([543.0, 519.5],["low","grey","male",	"shadow06","ls_shadow_01"],globals.DIR_SOUTH,globaltext.NAME_SHADOW_SOLDIER,		"NPCS",11),
		"SHADOW_10" : ([544.0, 520.0],["low","grey","male",	"shadow07","ls_shadow_01"],globals.DIR_SOUTH_WEST,globaltext.NAME_SHADOW_SOLDIER,	"NPCS",11),
		"SHADOW_11" : ([545.0, 519.5],["low","grey","female",	"shadow04","ll_shadow_03"],globals.DIR_WEST,globaltext.NAME_SHADOW_SOLDIER,		"NPCS",10),
		"SHADOW_12" : ([583.7, 508.5],["low","grey","male",	"shadow08","ls_shadow_01"],globals.DIR_NORTH_EAST,globaltext.NAME_SHADOW_SOLDIER,	"NPCS",11),
		"SHADOW_13" : ([626.2, 504.3],["low","grey","male",	"shadow09","ls_shadow_01"],globals.DIR_WEST,globaltext.NAME_SHADOW_SOLDIER,		"NPCS",11),
		"SHADOW_14" : ([626.4, 507.4],["low","grey","male",	"shadow10","ls_shadow_01"],globals.DIR_WEST,globaltext.NAME_SHADOW_SOLDIER,		"NPCS",11),
		"SHADOW_15" : ([630.8, 454.1],["low","grey","female",	"shadow03","ll_shadow_01"],globals.DIR_SOUTH_WEST,globaltext.NAME_SHADOW_SOLDIER,	"NPCS",11),
		"SHADOW_16" : ([635.5, 467.6],["low","grey","male",	"shadow06","ls_shadow_01"],globals.DIR_WEST,globaltext.NAME_SHADOW_SOLDIER,		"NPCS",10),
		"SHADOW_17" : ([635.3, 397.3],["low","grey","male",	"shadow07","ls_shadow_01"],globals.DIR_SOUTH,globaltext.NAME_SHADOW_SOLDIER,		"NPCS",11),
		"SHADOW_18" : ([663.1, 506.0],["low","grey","female",	"shadow03","ll_shadow_03"],globals.DIR_WEST,globaltext.NAME_SHADOW_SOLDIER,		"NPCS",11),
		"SHADOW_19" : ([626.0, 574.5],["low","grey","male",	"shadow06","ls_shadow_01"],globals.DIR_NORTH_WEST,globaltext.NAME_SHADOW_SOLDIER,	"NPCS",11),
		"SHADOW_20" : ([616.6, 582.6],["low","grey","male",	"shadow07","ls_shadow_02"],globals.DIR_NORTH,globaltext.NAME_SHADOW_SOLDIER,		"NPCS",10),
		"SHADOW_P1" : ([533.8, 475.0],["low","grey","male",	"shadow08","ll_shadow_01"],globals.DIR_SOUTH,globaltext.NAME_SHADOW_SOLDIER,		"NPCS",11),
		"SHADOW_P2" : ([534.8, 475.0],["low","grey","male",	"shadow09","ls_shadow_02"],globals.DIR_SOUTH,globaltext.NAME_SHADOW_SOLDIER,		"NPCS",11),
		"SHADOW_GUARD" : ([598.4, 354.8],["low","grey","male",	"shadow03","ls_shadow_01"],globals.DIR_WEST,globaltext.NAME_SHADOW_SOLDIER,		"NPCS",11),
		#guards at wheeltank
		"SHADOW_TANK_GUARD_1" 	: ([537.9, 497.7],["low","grey","male",	"shadow03","shadow_abel"],globals.DIR_EAST,globaltext.NAME_SHADOW_SOLDIER,	"NPCS",12),
		"SHADOW_TANK_GUARD_2" 	: ([543.7, 496.0],["low","grey","male",	"shadow04","shadow_abel"],globals.DIR_SOUTH,globaltext.NAME_SHADOW_SOLDIER,	"NPCS",12),
		"SHADOW_TANK_COMMANDER" : ([543.8, 502.6],["low","grey","male",	"shadow07","shadow_general"],globals.DIR_NORTH,globaltext.NAME_SHADOW_SOLDIER,	"NPCS",13),
	}
	
	## Bewaffnungen der Schatten NPCs
	data().SCHATTEN_BEWAFFNUNG = {
		"SHADOW_01"				: (["SET_BROWNING_B_SS_DOUBLE_BARREL","SET_AMMOPACK_2_12_MM"]),
		"SHADOW_02"				: (["SET_UZI","SET_AMMOPACK_9_MM","SET_AMMOPACK_9_MM"]),
		"SHADOW_03"				: (["SET_REMINGTON_M870","SET_AMMOPACK_2_12_MM","SET_AMMOPACK_2_12_MM"]),
		"SHADOW_04"				: (["SET_REMINGTON_M870","SET_AMMOPACK_2_12_MM","SET_AMMOPACK_2_12_MM"]),
		"SHADOW_05"				: (["SET_MICRO_UZI","SET_AMMOPACK_9_MM","SET_AMMOPACK_9_MM"]),
		"SHADOW_06"				: (["SET_MICRO_UZI","SET_AMMOPACK_9_MM","SET_AMMOPACK_9_MM"]),
		"SHADOW_07"				: (["SET_REMINGTON_M870","SET_AMMOPACK_2_12_MM","SET_AMMOPACK_2_12_MM"]),
		"SHADOW_08"				: (["SET_AKSU74","SET_AMMOPACK_5_45_MM","SET_AMMOPACK_5_45_MM"]),
		"SHADOW_09"				: (["SET_AKSU74","SET_AMMOPACK_5_45_MM","SET_AMMOPACK_5_45_MM"]),
		"SHADOW_10"				: (["SET_AKSU74","SET_AMMOPACK_5_45_MM","SET_AMMOPACK_5_45_MM"]),
		"SHADOW_11"				: (["SET_AKSU74","SET_AMMOPACK_5_45_MM","SET_AMMOPACK_5_45_MM"]),
		"SHADOW_12"				: (["SET_M249","SET_AMMOPACK_5_56_MM","SET_AMMOPACK_5_56_MM","SET_AMMOPACK_5_56_MM"]),
		"SHADOW_13"				: (["SET_REMINGTON_M870","SET_AMMOPACK_2_12_MM","SET_AMMOPACK_2_12_MM"]),
		"SHADOW_14"				: (["SET_REMINGTON_M870","SET_AMMOPACK_2_12_MM","SET_AMMOPACK_2_12_MM"]),
		"SHADOW_15"				: (["SET_COLT_45","SET_AMMOPACK_45","SET_AMMOPACK_45"]),
		#"SHADOW_16"			: (["SET_HEGRENADE"]), ## fixme: weapons dont workd
		"SHADOW_17"				: (["SET_COLT_45","SET_AMMOPACK_45"]),
		"SHADOW_18"				: (["SET_DESERT_EAGLE","SET_AMMOPACK_50","SET_AMMOPACK_50"]),
		#"SHADOW_19"			: (["SET_MOLOTOV_COCKTAIL","SET_MOLOTOV_COCKTAIL"]), ## fixme: weapons dont workd
		"SHADOW_20"				: (["SET_P90_SMG","SET_AMMOPACK_5_7_MM","SET_AMMOPACK_5_7_MM","SET_AMMOPACK_5_7_MM"]),
		"SHADOW_P1"				: (["SET_HK_CAWS","SET_AMMOPACK_3_12_MM","SET_AMMOPACK_3_12_MM"]),
		"SHADOW_P2"				: (["SET_HK_UMP_45","SET_AMMOPACK_45"]),
		"SHADOW_GUARD"			: (["SET_M249","SET_AMMOPACK_5_56_MM"]),
		#wheeltank shadows
		"SHADOW_TANK_GUARD_1" 	: (["SET_BROWNING_B_SS_DOUBLE_BARREL","SET_AMMOPACK_2_12_MM"]),
		"SHADOW_TANK_GUARD_2" 	: (["SET_UZI","SET_AMMOPACK_9_MM"]),
		"SHADOW_TANK_COMMANDER" : (["SET_UZI","SET_AMMOPACK_9_MM","SET_AMMOPACK_9_MM"]),
	}

	## Leichen NPCS in Vesseltown, sind mausetot
	data().LEICHEN_NPCS = {
		"DEAD_VILLAGER_01" : ([655.35, 525.58],["low","black","female","edeltraud","ll_002"],globals.DIR_WEST,"",	"NPCS",8),
		"DEAD_VILLAGER_02" : ([654.27, 522.08],["low","white","male","heilwig","uni_002"],globals.DIR_NORTH_WEST,"",	"NPCS",8),
		"DEAD_VILLAGER_03" : ([613.68, 530.88],["low","white","male","joshua","uni_003"],globals.DIR_SOUTH,"",		"NPCS",8),
		"DEAD_VILLAGER_04" : ([604.80, 525.12],["low","black","male","dietbert","ll_001"],globals.DIR_EAST,"",		"NPCS",8),
		"DEAD_VILLAGER_05" : ([569.10, 518.43],["low","black","male","eberwin","uni_001"],globals.DIR_WEST,"",		"NPCS",8),
		"DEAD_VILLAGER_06" : ([567.38, 513.15],["low","black","female","vrederun","ll_001"],globals.DIR_NORTH,"",	"NPCS",8),
		"DEAD_VILLAGER_07" : ([541.23, 522.22],["low","white","male","gudmunt","sl_001"],globals.DIR_WEST,"",		"NPCS",8),
		"DEAD_VILLAGER_08" : ([555.00, 513.00],["low","white","male","gerbod",	"uni_004"],globals.DIR_SOUTH,"",	"NPCS",8),
		"DEAD_VILLAGER_09" : ([556.94, 498.37],["low","black","male","eginhard","ll_003"],globals.DIR_SOUTH_WEST,"",	"NPCS",8),
		"DEAD_VILLAGER_10" : ([572.91, 425.35],["low","white","female","hallgard","ll_004"],globals.DIR_NORTH,"",	"NPCS",8),
		"DEAD_VILLAGER_11" : ([583.72, 419.68],["low","white","male","gandolf","uni_003"],globals.DIR_SOUTH_WEST,"",	"NPCS",8),
		"DEAD_VILLAGER_12" : ([587.53, 468.49],["low","black","male","erkmar",	"uni_004"],globals.DIR_NORTH_WEST,"",	"NPCS",8),
		"DEAD_VILLAGER_13" : ([581.65, 468.34],["low","white","male","folkward","ll_001"],globals.DIR_NORTH,"",		"NPCS",8),
		"DEAD_VILLAGER_14" : ([636.85, 467.87],["low","white","female","fatma","uni_002"],globals.DIR_NORTH_EAST,"",	"NPCS",8),
		"DEAD_VILLAGER_15" : ([640.02, 469.76],["low","white","male","dagwin",	"ll_002"],globals.DIR_SOUTH_WEST,"",	"NPCS",8),
		"DEAD_VILLAGER_16" : ([620.54, 509.08],["low","black","female","thrasolde","uni_004"],globals.DIR_SOUTH_EAST,"","NPCS",8),
		#"DEAD_VILLAGER_17" : ([650.70, 525.20],["child","white","male","001","ll_001"],globals.DIR_NORTH_EAST,"","NPCS",8),
		#"DEAD_VILLAGER_18" : ([625.08, 510.79],["child","white","male","001","ll_001"],globals.DIR_WEST,"","NPCS",8),
		#"DEAD_VILLAGER_19" : ([571.29, 485.39],["child","white","female","001","ll_001"],globals.DIR_NORTH_WEST,"","NPCS",8),
		#"DEAD_VILLAGER_20" : ([572.97, 487.42],["child","white","male","001","ll_001"],globals.DIR_NORTH,"","NPCS",8),
		#"DEAD_VILLAGER_21" : ([548.92, 469.68],["child","white","female","001","ll_001"],globals.DIR_EAST,"","NPCS",8),
	}

## NPCs initialisieren, durchlaufen der Listen (s.o.) und erstellen der Chars
def initNPCS():
	init_npc_lists()
	## Automatikfunktion wird genutz, siehe unten
	# MainQuest NPCs
	for id in data().MAINQUEST_NPCS:
		createCharacter(id,data().MAINQUEST_NPCS,"VILLAGE_PEOPLE")
		character.set_main_quest_npc_state(id, True)
	character.scale("DYING_SHADOW",[2.10,2.30])
	character.scale("ANIE", 1.68)
	object.set_active_state("DYING_SHADOW",INACTIVE)
	
	# NebenQuest NPCs
	for id in data().NEBENQUEST_NPCS:
		createCharacter(id,data().NEBENQUEST_NPCS,"VILLAGE_PEOPLE")

	# Tagesablauf NPCs
	for id in data().TAGESABLAUF_NPCS:
		createCharacter(id,data().TAGESABLAUF_NPCS,"VILLAGE_PEOPLE")

	# Bewaffnungen der NPCs
	for id in data().NPC_BEWAFFNUNG:
		armCharacter(id,data().NPC_BEWAFFNUNG)

	# Leichen in Vesseltown
	for id in data().LEICHEN_NPCS:
		createCharacter(id,data().LEICHEN_NPCS,"VILLAGE_PEOPLE")
		object.destroy(id)

	# Schatten in Vesseltown
	for shadow in data().SCHATTEN_NPCS:
		createCharacter(shadow,data().SCHATTEN_NPCS,"SHADOWS")
		character.scale(shadow,[2.10,2.30])

	# Bewaffnungen der Schatten
	for id in data().SCHATTEN_BEWAFFNUNG:
		armCharacter(id,data().SCHATTEN_BEWAFFNUNG)
		
	character.set_approachable_state("ANDREW", NOTAPPROACHABLE)
	character.set_approachable_state("CRAIG", NOTAPPROACHABLE)

def init_reporter():
	#boten des reporters
	if data().reporter_da:
		for id in data().BOTEN_NPCS:
			createCharacter(id,data().BOTEN_NPCS,"VILLAGE_PEOPLE")
################################################################################################################################

## Tiere initialisieren
def initAnimals():
	# Connys Esel ## !!
	system.create_animal(id="ESEL", type=ANIMAL_DONKEY, party="ANIMALS", x=385.0, y=280.0, direction=globals.DIR_SOUTH_WEST)

	# Spawn Animals
	system.create_animal(id="SPAWN_HYAENE_1",type=ANIMAL_WOLF, party="ANIMALS", x=755.0, y=270.0, direction=globals.DIR_EAST)
	system.create_animal(id="SPAWN_HYAENE_2",type=ANIMAL_WOLF, party="ANIMALS", x=750.0, y=285.0, direction=globals.DIR_WEST)
	system.create_animal(id="SPAWN_HYAENE_3",type=ANIMAL_WOLF, party="ANIMALS", x=745.0, y=282.0, direction=globals.DIR_SOUTH_WEST)
	system.create_animal(id="SPAWN_HYAENE_4",type=ANIMAL_WOLF, party="ANIMALS", x=760.0, y=276.0, direction=globals.DIR_NORTH)
	system.create_animal(id="SPAWN_HYAENE_5",type=ANIMAL_WOLF, party="ANIMALS", x=753.0, y=288.0, direction=globals.DIR_SOUTH_EAST)
	system.create_animal(id="SPAWN_HYAENE_6",type=ANIMAL_WOLF, party="ANIMALS", x=761.0, y=280.0, direction=globals.DIR_NORTH_WEST)

	system.create_animal(id="SPAWN_HIRSCH_1",type=ANIMAL_DEER, party="ANIMALS", x=352.0, y=202.0, direction=globals.DIR_SOUTH)
	system.create_animal(id="SPAWN_HIRSCH_2",type=ANIMAL_DEER, party="ANIMALS", x=347.0, y=208.0, direction=globals.DIR_WEST)
	system.create_animal(id="SPAWN_HIRSCH_3",type=ANIMAL_DEER, party="ANIMALS", x=350.0, y=200.0, direction=globals.DIR_SOUTH_EAST)

	## Spawnanimals sind feindlich und erstmal inactiv
	for animal in data().SpawnAnimals:
		object.set_attribute(animal,"foes", ["UISPIELER"])
		object.set_active_state(animal,INACTIVE)
	system.notify_timer(data().Timer_SpawnTimeChecker,data().Timervalue_SpawnTimeChecker)
	
	# Other Animals
	system.create_animal(id="KUH_1",	type=ANIMAL_COW, party="ANIMALS", x=554.0, y=431.0, direction=globals.DIR_NORTH)
	system.create_animal(id="KUH_2",	type=ANIMAL_COW, party="ANIMALS", x=550.0, y=450.0, direction=globals.DIR_NORTH_EAST)
	system.create_animal(id="KUH_3",	type=ANIMAL_COW, party="ANIMALS", x=548.0, y=442.0, direction=globals.DIR_SOUTH)

## Erzeugen eines NPCs #############################################
# Params: _id      - die ID des NPCs
#         _map     - Datenmap zur NPC Erzeugung
#	  _faction - Zugehörigkeit
####################################################################
def createCharacter(_id,_map,_faction):
	resourceui_string = ""
	if _id in ["ANDREW","RUPERT","CONNY","CRAIG","BRAD","EMILY","ANIE"]:
		resourceui_string = _map[_id][1][3] + ".png"
	system.create_character(
		id         = _id,
		gender     = _map[_id][1][2],
		party      = _map[_id][4],
		x          = _map[_id][0][0],
		y          = _map[_id][0][1],
		name       = _map[_id][3],
		direction  = _map[_id][2],
		resourceui = resourceui_string)
	object.set_attribute(_id,"faction",_faction)
	object.set_attribute(_id,"level",_map[_id][5])
	object.set_attributes(_id,
		model   = _map[_id][1][0],
		gender  = _map[_id][1][2],
		skin    = _map[_id][1][1],
		clothes = _map[_id][1][4],
		face    = _map[_id][1][3])
	character.update_appearance(_id)

## Bewaffnen von NPCs ##############################################
# Params: _id    - die ID des NPCs
#         _map   - Map in der die Waffen des NPCs stehen
####################################################################
def armCharacter(_id,_map):
	equipCharacter(_id,_map)
	character.equip(_id,_map[_id][0])

## Füllen des Inventorys von NPCs ##################################
# Params: _id    - die ID des NPCs
#         _map   - Map in der die Items des NPCs stehen
####################################################################
def equipCharacter(_id,_map):
	object.create_item_in_inventory(_id,_map[_id])

## Erzeugt einen feindlichen NPC ###################################
# Params: _id    - die ID des NPCs
####################################################################
def createFoeCharacter(_id):
	object.set_attribute(_id, "foes", ["UISPIELER"])

## Spawnt zeitabhängige Animals ####################################
# Params: _state - Zustand des Spawnens: ACTIVE / INACTIVE
####################################################################
def spawnAnimals(_state):
	if (_state == ACTIVE):
		if not data().SpawnAnimalsSpawned:
			for id in data().SpawnAnimals:
				object.set_active_state(id,_state)
			data().SpawnAnimalsSpawned = True
	else:
		if data().SpawnAnimalsSpawned:
			for id in data().SpawnAnimals:
				object.set_active_state(id,_state)
		data().SpawnAnimalsSpawned = False