# -*- coding: utf-8 -*-
from globals import *
import const

### faction und level setzen ### Patrick Busch ##########
def set_faction_and_level(_id,_faction,_level):
	object.set_attribute(_id,"faction",_faction)
	object.set_attribute(_id,"level",_level)
#########################################################

def initNPCS():
	## Schatten-Wächter 1 am Haupteingang
	system.create_character(
		id="TORWACHE1",
		gender="male",
		party="NPCS",
		x = 435.00, y = 351.00,
		direction = 40,
		name=globaltext.NAME_TORWACHE,
		resourceui=""
		)
	set_faction_and_level("TORWACHE1","VILLAGE_PEOPLE",9)
	object.set_attributes("TORWACHE1",
		model="low",
		gender="male",
		skin="grey",
		clothes="ll_shadow_02",
		face="shadow07")
	character.set_main_quest_npc_state(char="TORWACHE1", state=True)
	character.update_appearance("TORWACHE1")
	object.create_item_in_inventory(object="TORWACHE1", equipment=["SET_REMINGTON_M870", 'SET_AMMOPACK_2_12_MM'])
	character.equip(char="TORWACHE1", equipment="SET_REMINGTON_M870")
	character.set_approachable_state("TORWACHE1", APPROACHABLE)
	
	## Schatten-Wächter 2 am Haupteingang
	system.create_character(
		id="TORWACHE2",
		gender="male",
		party="NPCS",
		x = 429.00, y = 343.00,
		direction = 50,
		name=globaltext.NAME_TORWACHE,
		resourceui=""
		)
	set_faction_and_level("TORWACHE2","VILLAGE_PEOPLE",9)
	object.set_attributes("TORWACHE2",
		model="low",
		gender="male",
		skin="grey",
		clothes="ll_shadow_02",
		face="shadow09")
	character.set_main_quest_npc_state(char="TORWACHE2", state=True)
	character.update_appearance("TORWACHE2")
	object.create_item_in_inventory(object="TORWACHE2", equipment=["SET_REMINGTON_M870", 'SET_AMMOPACK_2_12_MM'])
	character.equip(char="TORWACHE2", equipment="SET_REMINGTON_M870")
	character.set_approachable_state("TORWACHE2", APPROACHABLE)
	
## Angus, der Kioskhändler
	system.create_character(
		id="ANGUS",
		gender="male",
		party="NPCS",
		x = 696.60, y = 271.20,
		direction = 180,
		name=globaltext.NAME_ANGUS,
		resourceui="angus.png" 
		)
	set_faction_and_level("ANGUS","VILLAGE_PEOPLE",9)
	object.set_attributes("ANGUS",
		model="low",
		gender="male",
		skin="white",
		clothes="ll_004",
		face="angus")
	character.set_main_quest_npc_state(char="ANGUS", state=True)
	character.update_appearance("ANGUS")
	character.set_approachable_state("ANGUS", APPROACHABLE)
	
## Honest, groß, gut gebaut
	system.create_character(
		id="HONEST",
		gender="male",
		party="NPCS",
		x = 571.56, y = 413.48,
		direction = 100,
		name=globaltext.NAME_HONEST,
		resourceui="honest.png" 
		)
	set_faction_and_level("HONEST","VILLAGE_PEOPLE",9)
	object.set_attributes("HONEST",
		model="low",
		gender="male",
		skin="white",
		clothes="ls_001",
		face="honest")
	character.set_main_quest_npc_state(char="HONEST", state=True)
	character.update_appearance("HONEST")
	character.scale(object_id="HONEST", height=1.9, height_max=2.0)
	
## Fun, sehr dick
	system.create_character(
		id="FUN",
		gender="male",
		party="NPCS",
		x = 576.24, y = 414.91,
		direction = 100,
		name=globaltext.NAME_FUN,
		resourceui="fun.png" 
		)
	set_faction_and_level("FUN","VILLAGE_PEOPLE",9)
	object.set_attributes("FUN",
		model="low",
		gender="male",
		skin="white",
		clothes="ls_002",
		face="fun")
	character.set_main_quest_npc_state(char="FUN", state=True)
	character.update_appearance("FUN")
	
## Lickit klein
	system.create_character(
		id="LICKIT",
		gender="male",
		party="NPCS",
		x = 571.20, y = 413.70,
		direction = 100,
		name=globaltext.NAME_LICKIT,
		resourceui="lickit.png" 
		)
	set_faction_and_level("LICKIT","VILLAGE_PEOPLE",9)
	object.set_attributes("LICKIT",
		model="low",
		gender="male",
		skin="white",
		clothes="ls_004",
		face="lickit")
	character.set_main_quest_npc_state(char="LICKIT", state=True)
	character.update_appearance("LICKIT")
	character.scale(object_id="HONEST", height=1.7, height_max=1.8)
	
## Shanti, die Waranen	frau
	system.create_character(
		id="SHANTI",
		gender="female",
		party="NPCS",
		x = 661.50, y = 222.70,
		direction = 180,
		name=globaltext.NAME_SHANTI,
		resourceui="shanti.png" 
		)
	set_faction_and_level("SHANTI","VILLAGE_PEOPLE",9)
	object.set_attributes("SHANTI",
		model="low",
		gender="female",
		skin="white",
		clothes="shanti",
		face="shanti")
	character.set_main_quest_npc_state(char="SHANTI", state=True)
	character.update_appearance("SHANTI")
	character.set_approachable_state("SHANTI", APPROACHABLE)
	
## Schattenboss Abel
	system.create_character(
		id="ABEL",
		gender="male",
		party="NPCS",
		x = 297.56, y = 396.20,
		direction = globals.DIR_NORTH,
		name=globaltext.NAME_ABEL,
		resourceui="abel.png" 
		)
	set_faction_and_level("ABEL","SHADOWS",14)
	object.set_attributes("ABEL",
		model="low",
		gender="male",
		skin="grey",
		clothes="shadow_abel",
		face="abel")
	character.set_main_quest_npc_state(char="ABEL", state=True)
	character.update_appearance("ABEL")
	character.set_approachable_state("ABEL", NOTAPPROACHABLE)
	object.create_item_in_inventory(object="ABEL", equipment=["SET_HK_CAWS", 'SET_AMMOPACK_3_12_MM_QB_8'])
	object.set_position_free("ABEL",297.36,399.61,0,grid="ZONE_8_BUILDING_12_INTERIOR_GRID1")
	object.set_active_state(object="ABEL", state=False)
	

## Präsi Hayes
	system.create_character(
		id="PRESIDENT_HAYES",
		gender="male",
		party="NPCS",
		x=328.0,
		y=386.5,
		name=globaltext.NAME_PRESIDENT_HAYES,
		direction = 320,
		resourceui="president_hayes.png")
	set_faction_and_level("PRESIDENT_HAYES","VILLAGE_PEOPLE",9)
	object.set_attributes("PRESIDENT_HAYES",
		model="low",
		gender="male",
		skin="white",
		clothes="president_hayes",
		face="president_hayes")
	character.set_main_quest_npc_state(char="PRESIDENT_HAYES", state=True)
	character.update_appearance("PRESIDENT_HAYES")
	character.set_approachable_state("PRESIDENT_HAYES",NOTAPPROACHABLE)
	object.set_active_state(object="PRESIDENT_HAYES", state=False)
	character.scale("PRESIDENT_HAYES",1.85)
	
############################################################################
## Nebenquest NPCS:

## Aaron, der Architekt
	system.create_character(
		id="AARON",
		gender="male",
		party="NPCS",
		x = 654.43, y = 347.11,
		direction = 100,
		name=globaltext.NAME_AARON,
		resourceui="aaron.png" 
		)
	set_faction_and_level("AARON","VILLAGE_PEOPLE",9)
	object.set_attributes("AARON",
		model="low",
		gender="male",
		skin="white",
		clothes="sl_003",
		face="aaron")
	character.update_appearance("AARON")
	character.set_approachable_state("AARON", APPROACHABLE)
	
## Remus, der stumme Einsiedler
	system.create_character(
		id="REMUS",
		gender="male",
		party="NPCS",
		x = 215.52, y = 530.12,
		direction = 0,
		name=globaltext.NAME_REMUS,
		resourceui="remus.png" 
		)
	set_faction_and_level("REMUS","VILLAGE_PEOPLE",9)
	object.set_attributes("REMUS",
		model="low",
		gender="male",
		skin="grey",
		clothes="ll_shadow_01",
		face="remus")
	character.update_appearance("REMUS")
	character.set_approachable_state("REMUS", APPROACHABLE)
	
## Hillary, die Schwangere
	system.create_character(
		id="HILLARY",
		gender="female",
		party="NPCS",
		x = 430.42, y = 495.10,
		direction = 100,
		name=globaltext.NAME_HILLARY,
		resourceui="" 
		)
	set_faction_and_level("HILLARY","VILLAGE_PEOPLE",9)
	object.set_attributes("HILLARY",
		gender = "female",
		model = "low_pregnant",
		face = "pregnant_01",
		clothes = "pregnant",
		skin = "white"
		)
	character.update_appearance("HILLARY")
	character.set_approachable_state("HILLARY", NOTAPPROACHABLE)
	
## Fair, ihre kleine Schwester, etwa 16
	system.create_character(
		id="FAIR",
		gender="female",
		party="DOERFLER",
		x = 433.43, y = 494.46,
		direction = 100,
		name=globaltext.NAME_FAIR,
		resourceui="fair.png" 
		)
	set_faction_and_level("FAIR","VILLAGE_PEOPLE",9)
	object.set_attributes("FAIR",
		model="low",
		gender="female",
		skin="white",
		clothes="ls_002",
		face="fair")
	character.update_appearance("FAIR")
	character.set_approachable_state("FAIR", APPROACHABLE)
	
## Matilda (GNO Frau4), eine gute Freundin von Hillary
	system.create_character(
		id="MATILDA",
		gender="female",
		party="GNO",
		x = 445.39, y = 491.61,
		direction = 100,
		name=globaltext.NAME_MATILDA,
		resourceui="" 
		)
	set_faction_and_level("MATILDA","VILLAGE_PEOPLE",9)
	object.set_attributes("MATILDA",
		model="low",
		gender="female",
		skin="white",
		clothes="ll_gno_guard",
		face="hallgard")
	character.update_appearance("MATILDA")
	character.set_approachable_state("MATILDA", APPROACHABLE)

## Lou, Hillarys Mann und Agnes’s Liebhaber
	system.create_character(
		id="LOU",
		gender="male",
		party="DOERFLER",
		x = 587.00, y = 311.00,
		direction = 0,
		name=globaltext.NAME_LOU,
		resourceui="lou.png" 
		)
	set_faction_and_level("LOU","VILLAGE_PEOPLE",9)
	object.set_attributes("LOU",
		model="low",
		gender="male",
		skin="black",
		clothes="ll_003",
		face="lou")
	character.update_appearance("LOU")
	character.set_approachable_state("LOU", APPROACHABLE)
	
## Agnes, eine falsche Schlange und "Freundin" von Hillary
	system.create_character(
		id="AGNES",
		gender="female",
		party="NPCS",
		x = 455.18, y = 488.64,
		direction = 100,
		name=globaltext.NAME_AGNES,
		resourceui="agnes.png" 
		)
	set_faction_and_level("AGNES","VILLAGE_PEOPLE",9)
	object.set_attributes("AGNES",
		model="low",
		gender="female",
		skin="white",
		clothes="ll_002",
		face="agnes")
	character.update_appearance("AGNES")
	character.set_approachable_state("AGNES", NOTAPPROACHABLE)
	
#Frauen und Kinder im Fitness-Generator-Center, Schattenwachen (Wache 1-4 bzw. 5-8) beim Fitness-Generator-Center(veinarbeit)
## Frauen und Kinder im Fitness-Generator-Center
## MARGE (GNO-Frau 2)
	system.create_character(
		id="MARGE",
		gender="female",
		party="GNO",
		x = 449.29, y = 491.29,
		direction = 100,
		name=globaltext.NAME_MARGE,
		resourceui="" 
		)
	set_faction_and_level("MARGE","VILLAGE_PEOPLE",9)
	object.set_attributes("MARGE",
		model="low",
		gender="female",
		skin="black",
		clothes="ll_gno_guard",
		face="rinelda")
	character.update_appearance("MARGE")
	character.set_approachable_state("MARGE", NOTAPPROACHABLE)
	

## MARTHA (GNO-Frau 3)
	system.create_character(
		id="MARTHA",
		gender="female",
		party="GNO",
		x = 453.33, y = 492.09,
		direction = 100,
		name=globaltext.NAME_MARTHA,
		resourceui="" 
		)
	set_faction_and_level("MARTHA","VILLAGE_PEOPLE",9)
	object.set_attributes("MARTHA",
		model="low",
		gender="female",
		skin="white",
		clothes="ll_gno_guard",
		face="meinhild")
	character.update_appearance("MARTHA")
	character.set_approachable_state("MARTHA", NOTAPPROACHABLE)
	
## MARTIN (GNO-Junge von Martha)
	system.create_character(
		id="MARTIN",
		gender="male",
		party="GNO",
		x = 453.33, y = 490.00,
		direction = 100,
		name=globaltext.NAME_MARTIN,
		resourceui="" 
		)
	set_faction_and_level("MARTIN","VILLAGE_PEOPLE",9)
	object.set_attributes("MARTIN",
		model="child",
		gender="male",
		skin="white",
		clothes="ll_001",
		face="001")
	character.update_appearance("MARTIN")
	character.set_approachable_state("MARTIN", NOTAPPROACHABLE)
	## Fitnesscenter TAS
#GNO-Frauen
	system.create_character(
		id="GNO_FRAU_1",
		gender="female",
		party="GNO",
		x = 454.95, y = 484.81,
		direction = 100,
		name=globaltext.NAME_GNO_FEMALE,
		resourceui="" 
		)
	set_faction_and_level("GNO_FRAU_1","VILLAGE_PEOPLE",9)
	object.set_attributes("GNO_FRAU_1",
		model="low",
		gender="female",
		skin="white",
		clothes="ll_gno_guard",
		face="fulberta")
	character.update_appearance("GNO_FRAU_1")
	character.set_approachable_state("GNO_FRAU_1", APPROACHABLE)
	
	system.create_character(
		id="GNO_FRAU_2",
		gender="female",
		party="GNO",
		x = 454.47, y = 480.78,
		direction = 100,
		name=globaltext.NAME_GNO_FEMALE,
		resourceui="" 
		)
	set_faction_and_level("GNO_FRAU_2","VILLAGE_PEOPLE",9)
	object.set_attributes("GNO_FRAU_2",
		model="low",
		gender="female",
		skin="white",
		clothes="ll_gno_guard",
		face="kunigunde")
	character.update_appearance("GNO_FRAU_2")
	character.set_approachable_state("GNO_FRAU_2", APPROACHABLE)
	
	system.create_character(
		id="GNO_FRAU_3",
		gender="female",
		party="GNO",
		x = 535.43, y = 231.46,
		direction = 100,
		name=globaltext.NAME_GNO_FEMALE,
		resourceui="" 
		)
	set_faction_and_level("GNO_FRAU_3","VILLAGE_PEOPLE",9)
	object.set_attributes("GNO_FRAU_3",
		model="low",
		gender="female",
		skin="black",
		clothes="ll_gno_guard",
		face="fladhild")
	character.update_appearance("GNO_FRAU_3")
	character.set_approachable_state("GNO_FRAU_3", APPROACHABLE)
	
	system.create_character(
		id="GNO_FRAU_4",
		gender="female",
		party="GNO",
		x = 535.43, y = 224.46,
		direction = 100,
		name=globaltext.NAME_GNO_FEMALE,
		resourceui="" 
		)
	set_faction_and_level("GNO_FRAU_4","VILLAGE_PEOPLE",9)
	object.set_attributes("GNO_FRAU_4",
		model="low",
		gender="female",
		skin="black",
		clothes="ll_gno_guard",
		face="irmela")
	character.update_appearance("GNO_FRAU_4")
	character.set_approachable_state("GNO_FRAU_4", APPROACHABLE)
	
	system.create_character(
		id="GNO_FRAU_5",
		gender="female",
		party="GNO",
		x = 538.43, y = 223.46,
		direction = 100,
		name=globaltext.NAME_GNO_FEMALE,
		resourceui="" 
		)
	set_faction_and_level("GNO_FRAU_5","VILLAGE_PEOPLE",9)
	object.set_attributes("GNO_FRAU_5",
		model="low",
		gender="female",
		skin="white",
		clothes="ll_gno_guard",
		face="fulberta")
	character.update_appearance("GNO_FRAU_5")
	character.set_approachable_state("GNO_FRAU_5", APPROACHABLE)
	
	system.create_character(
		id="GNO_FRAU_6",
		gender="female",
		party="GNO",
		x = 539.43, y = 224.46,
		direction = 100,
		name=globaltext.NAME_GNO_FEMALE,
		resourceui="" 
		)
	set_faction_and_level("GNO_FRAU_6","VILLAGE_PEOPLE",9)
	object.set_attributes("GNO_FRAU_6",
		model="low",
		gender="female",
		skin="white",
		clothes="ll_gno_guard",
		face="blitgard")
	character.update_appearance("GNO_FRAU_6")
	character.set_approachable_state("GNO_FRAU_6", APPROACHABLE)
	
	system.create_character(
		id="GNO_FRAU_7",
		gender="female",
		party="GNO",
		x = 541.43, y = 230.46,
		direction = 100,
		name=globaltext.NAME_GNO_FEMALE,
		resourceui="" 
		)
	set_faction_and_level("GNO_FRAU_7","VILLAGE_PEOPLE",9)
	object.set_attributes("GNO_FRAU_7",
		model="low",
		gender="female",
		skin="black",
		clothes="ll_gno_guard",
		face="ostara")
	character.update_appearance("GNO_FRAU_7")
	character.set_approachable_state("GNO_FRAU_7", APPROACHABLE)
	
#Villageois
	
	system.create_character(
		id="DORF_1",
		gender="female",
		party="DOERFLER",
		x = 454.42, y = 478.91,
		direction = 100,
		name=globaltext.NAME_VILLAGER_FEMALE,
		resourceui="" 
		)
	set_faction_and_level("DORF_1","VILLAGE_PEOPLE",9)
	object.set_attributes("DORF_1",
		model="low",
		gender="female",
		skin="white",
		clothes="ll_003",
		face="lioba")
	character.update_appearance("DORF_1")
	character.set_approachable_state("DORF_1", APPROACHABLE)

	system.create_character(
		id="DORF_2",
		gender="female",
		party="DOERFLER",
		x = 564.43, y = 326.46,
		direction = 100,
		name=globaltext.NAME_VILLAGER_FEMALE,
		resourceui="" 
		)
	set_faction_and_level("DORF_2","VILLAGE_PEOPLE",9)
	object.set_attributes("DORF_2",
		model="low",
		gender="female",
		skin="white",
		clothes="ll_004",
		face="wintrud")
	character.update_appearance("DORF_2")
	character.set_approachable_state("DORF_2", APPROACHABLE)

	system.create_character(
		id="DORF_3",
		gender="female",
		party="DOERFLER",
		x = 564.43, y = 326.46,
		direction = 100,
		name=globaltext.NAME_VILLAGER_FEMALE,
		resourceui="" 
		)
	set_faction_and_level("DORF_3","VILLAGE_PEOPLE",9)
	object.set_attributes("DORF_3",
		model="low",
		gender="female",
		skin="white",
		clothes="ll_003",
		face="fulberta")
	character.update_appearance("DORF_3")
	character.set_approachable_state("DORF_3", APPROACHABLE)

	system.create_character(
		id="DORF_4",
		gender="female",
		party="DOERFLER",
		x = 564.43, y = 326.46,
		direction = 100,
		name=globaltext.NAME_VILLAGER_FEMALE,
		resourceui="" 
		)
	set_faction_and_level("DORF_4","VILLAGE_PEOPLE",9)
	object.set_attributes("DORF_4",
		model="low",
		gender="female",
		skin="white",
		clothes="ll_004",
		face="meinhild")
	character.update_appearance("DORF_4")
	character.set_approachable_state("DORF_4", APPROACHABLE)

	system.create_character(
		id="DORF_5",
		gender="male",
		party="DOERFLER",
		x = 442, y = 483,
		direction = 40,
		name=globaltext.NAME_VILLAGER_MALE,
		resourceui=""
		)
	set_faction_and_level("DORF_5","VILLAGE_PEOPLE",9)
	object.set_attributes("DORF_5",
		model="low",
		gender="male",
		skin="white",
		clothes="ll_004",
		face="bernulf")
	character.update_appearance("DORF_5")
	character.set_approachable_state("DORF_5", APPROACHABLE)

	system.create_character(
		id="DORF_6",
		gender="male",
		party="DOERFLER",
		x = 442, y = 483,
		direction = 40,
		name=globaltext.NAME_VILLAGER_MALE,
		resourceui=""
		)
	set_faction_and_level("DORF_6","VILLAGE_PEOPLE",9)
	object.set_attributes("DORF_6",
		model="low",
		gender="male",
		skin="white",
		clothes="ll_004",
		face="blankard")
	character.update_appearance("DORF_6")
	character.set_approachable_state("DORF_6", APPROACHABLE)

	system.create_character(
		id="DORF_7",
		gender="male",
		party="DOERFLER",
		x = 442, y = 483,
		direction = 40,
		name=globaltext.NAME_VILLAGER_MALE,
		resourceui=""
		)
	set_faction_and_level("DORF_7","VILLAGE_PEOPLE",9)
	object.set_attributes("DORF_7",
		model="low",
		gender="male",
		skin="white",
		clothes="ls_004",
		face="dagwin")
	character.update_appearance("DORF_7")
	character.set_approachable_state("DORF_7", APPROACHABLE)

	system.create_character(
		id="DORF_8",
		gender="male",
		party="DOERFLER",
		x = 564.99, y = 326.03,
		direction = 40,
		name=globaltext.NAME_VILLAGER_MALE,
		resourceui=""
		)
	set_faction_and_level("DORF_8","VILLAGE_PEOPLE",9)
	object.set_attributes("DORF_8",
		model="low",
		gender="male",
		skin="black",
		clothes="ls_004",
		face="dietbert")
	character.update_appearance("DORF_8")
	character.set_approachable_state("DORF_8", APPROACHABLE)

## Schattenwachen (Wache 1-8 bzw. 1e-8e) beim Fitness-Generator-Center
	system.create_character(
		id="WACHE1",
		gender="male",
		party="NPCS",
		x = 421.50, y = 487.40,
		direction = 270,
		name=globaltext.NAME_GUARD,
		resourceui=""
		)
	set_faction_and_level("WACHE1","SHADOWS",11)
	object.set_attributes("WACHE1",
		model="low",
		gender="male",
		skin="grey",
		clothes="ll_shadow_01",
		face="shadow01")
	character.update_appearance("WACHE1")
	object.create_item_in_inventory(object="WACHE1", equipment=["SET_AKSU74", 'SET_AMMOPACK_5_45_MM', 'SET_AMMOPACK_5_45_MM'])
	character.equip(char="WACHE1", equipment="SET_AKSU74")
	character.set_approachable_state("WACHE1", NOTAPPROACHABLE)
	
	system.create_character(
		id="WACHE2",
		gender="male",
		party="NPCS",
		x = 423.00, y = 495.00,
		direction = 270,
		name=globaltext.NAME_GUARD,
		resourceui=""
		)
	set_faction_and_level("WACHE2","SHADOWS",11)
	object.set_attributes("WACHE2",
		model="low",
		gender="male",
		skin="grey",
		clothes="ll_shadow_02",
		face="shadow02")
	character.update_appearance("WACHE2")
	object.create_item_in_inventory(object="WACHE2", equipment=["SET_RPK_74", 'SET_AMMOPACK_7_62SOVJET_MM'])
	character.equip(char="WACHE2", equipment="SET_RPK_74")
	character.set_approachable_state("WACHE2", NOTAPPROACHABLE)
	
	system.create_character(
		id="WACHE3",
		gender="male",
		party="NPCS",
		x = 423.44, y = 497.14,
		direction = 40,
		name=globaltext.NAME_GUARD,
		resourceui=""
		)
	set_faction_and_level("WACHE3","SHADOWS",12)
	object.set_attributes("WACHE3",
		model="low",
		gender="male",
		skin="grey",
		clothes="ls_shadow_01",
		face="shadow03")
	character.update_appearance("WACHE3")
	object.create_item_in_inventory(object="WACHE3", equipment=["SET_AK_74", 'SET_AMMOPACK_5_45_MM'])
	character.equip(char="WACHE3", equipment="SET_AK_74")
	character.set_approachable_state("WACHE3", NOTAPPROACHABLE)
	
	system.create_character(
		id="WACHE4",
		gender="male",
		party="NPCS",
		x = 464.00, y = 475.00,
		direction = 80,
		name=globaltext.NAME_GUARD,
		resourceui=""
		)
	set_faction_and_level("WACHE4","SHADOWS",11)
	object.set_attributes("WACHE4",
		model="low",
		gender="male",
		skin="grey",
		clothes="ls_shadow_02",
		face="shadow04")
	character.update_appearance("WACHE4")
	object.create_item_in_inventory(object="WACHE4", equipment=["SET_AKSU74", 'SET_AMMOPACK_5_45_MM'])
	character.equip(char="WACHE4", equipment="SET_AKSU74")
	character.set_approachable_state("WACHE4", NOTAPPROACHABLE)
	
	system.create_character(
		id="WACHE5",
		gender="male",
		party="NPCS",
		x = 463.00, y = 468.00,
		direction = 80,
		name=globaltext.NAME_GUARD,
		resourceui=""
		)
	set_faction_and_level("WACHE5","SHADOWS",11)
	object.set_attributes("WACHE5",
		model="low",
		gender="male",
		skin="grey",
		clothes="ll_shadow_01",
		face="shadow05")
	character.update_appearance("WACHE5")
	object.create_item_in_inventory(object="WACHE5", equipment=["SET_AKSU74", 'SET_AMMOPACK_5_45_MM'])
	character.equip(char="WACHE5", equipment="SET_AKSU74")
	character.set_approachable_state("WACHE5", NOTAPPROACHABLE)
	
	system.create_character(
		id="WACHE6",
		gender="male",
		party="NPCS",
		x = 420.00, y = 478.00,
		direction = 40,
		name=globaltext.NAME_GUARD,
		resourceui=""
		)
	set_faction_and_level("WACHE6","SHADOWS",13)
	object.set_attributes("WACHE6",
		model="low",
		gender="male",
		skin="grey",
		clothes="ll_shadow_02",
		face="shadow06")
	character.update_appearance("WACHE6")
	object.create_item_in_inventory(object="WACHE6", equipment=["SET_AK_74", 'SET_AMMOPACK_5_45_MM'])
	character.equip(char="WACHE6", equipment="SET_AK_74")
	character.set_approachable_state("WACHE6", NOTAPPROACHABLE)
	
	system.create_character(
		id="WACHE7",
		gender="male",
		party="NPCS",
		x = 436.50, y = 491.00,
		direction = 0,
		name=globaltext.NAME_GUARD,
		resourceui=""
		)
	set_faction_and_level("WACHE7","SHADOWS",11)
	object.set_attributes("WACHE7",
		model="low",
		gender="male",
		skin="grey",
		clothes="ls_shadow_01",
		face="shadow07")
	character.update_appearance("WACHE7")
	object.create_item_in_inventory(object="WACHE7", equipment=["SET_HK_USP_45", 'SET_AMMOPACK_45'])
	character.equip(char="WACHE7", equipment="SET_HK_USP_45")
	character.set_approachable_state("WACHE7", NOTAPPROACHABLE)
	
	system.create_character(
		id="WACHE8",
		gender="male",
		party="NPCS",
		x = 450.00, y = 485.00,
		direction = 40,
		name=globaltext.NAME_GUARD,
		resourceui=""
		)
	set_faction_and_level("WACHE8","SHADOWS",12)
	object.set_attributes("WACHE8",
		model="low",
		gender="male",
		skin="grey",
		clothes="ls_shadow_02",
		face="shadow08")
	character.update_appearance("WACHE8")
	object.create_item_in_inventory(object="WACHE8", equipment=["SET_HK_UMP_45", 'SET_AMMOPACK_45'])
	character.equip(char="WACHE8", equipment="SET_HK_UMP_45")
	character.set_approachable_state("WACHE8", NOTAPPROACHABLE)
##ErsatzWachen
	system.create_character(
		id="WACHE1e",
		gender="male",
		party="NPCS",
		x = 421.50, y = 487.40,
		direction = 270,
		name=globaltext.NAME_GUARD,
		resourceui=""
		)
	set_faction_and_level("WACHE1e","SHADOWS",10)
	object.set_attributes("WACHE1e",
		model="low",
		gender="male",
		skin="grey",
		clothes="ll_shadow_01",
		face="shadow09")
	character.update_appearance("WACHE1e")
	object.create_item_in_inventory(object="WACHE1e", equipment=["SET_AKSU74", 'SET_AMMOPACK_5_45_MM', 'SET_AMMOPACK_5_45_MM'])
	character.equip(char="WACHE1e", equipment="SET_AKSU74")
	character.set_approachable_state("WACHE1e", APPROACHABLE)
	object.set_active_state(object="WACHE1e", state=False)
	
	system.create_character(
		id="WACHE2e",
		gender="male",
		party="NPCS",
		x = 423.00, y = 495.00,
		direction = 270,
		name=globaltext.NAME_GUARD,
		resourceui=""
		)
	set_faction_and_level("WACHE2e","SHADOWS",12)
	object.set_attributes("WACHE2e",
		model="low",
		gender="male",
		skin="grey",
		clothes="ll_shadow_02",
		face="shadow10")
	character.update_appearance("WACHE2e")
	object.create_item_in_inventory(object="WACHE2e", equipment=["SET_RPK_74", 'SET_AMMOPACK_7_62SOVJET_MM'])
	character.equip(char="WACHE2e", equipment="SET_RPK_74")
	character.set_approachable_state("WACHE2e", APPROACHABLE)
	object.set_active_state(object="WACHE2e", state=False)
	
	system.create_character(
		id="WACHE3e",
		gender="male",
		party="NPCS",
		x = 460.00, y = 469.00,
		direction = 40,
		name=globaltext.NAME_GUARD,
		resourceui=""
		)
	set_faction_and_level("WACHE3e","SHADOWS",11)
	object.set_attributes("WACHE3e",
		model="low",
		gender="male",
		skin="grey",
		clothes="ls_shadow_01",
		face="shadow01")
	character.update_appearance("WACHE3e")
	object.create_item_in_inventory(object="WACHE3e", equipment=["SET_AK_74", 'SET_AMMOPACK_5_45_MM'])
	character.equip(char="WACHE3e", equipment="SET_AK_74")
	character.set_approachable_state("WACHE3e", APPROACHABLE)
	object.set_active_state(object="WACHE3e", state=False)
	
	system.create_character(
		id="WACHE4e",
		gender="male",
		party="NPCS",
		x = 464.00, y = 475.00,
		direction = 80,
		name=globaltext.NAME_GUARD,
		resourceui=""
		)
	set_faction_and_level("WACHE4e","SHADOWS",10)
	object.set_attributes("WACHE4e",
		model="low",
		gender="male",
		skin="grey",
		clothes="ls_shadow_02",
		face="shadow02")
	character.update_appearance("WACHE4e")
	object.create_item_in_inventory(object="WACHE4e", equipment=["SET_AKSU74", 'SET_AMMOPACK_5_45_MM'])
	character.equip(char="WACHE4e", equipment="SET_AKSU74")
	character.set_approachable_state("WACHE4e", APPROACHABLE)
	object.set_active_state(object="WACHE4e", state=False)
	
	system.create_character(
		id="WACHE5e",
		gender="male",
		party="NPCS",
		x = 463.00, y = 468.00,
		direction = 80,
		name=globaltext.NAME_GUARD,
		resourceui=""
		)
	set_faction_and_level("WACHE5e","SHADOWS",12)
	object.set_attributes("WACHE5e",
		model="low",
		gender="male",
		skin="grey",
		clothes="ll_shadow_01",
		face="shadow03")
	character.update_appearance("WACHE5e")
	object.create_item_in_inventory(object="WACHE5e", equipment=["SET_AKSU74", 'SET_AMMOPACK_5_45_MM'])
	character.equip(char="WACHE5e", equipment="SET_AKSU74")
	character.set_approachable_state("WACHE5e", APPROACHABLE)
	object.set_active_state(object="WACHE5e", state=False)
	
	system.create_character(
		id="WACHE6e",
		gender="male",
		party="NPCS",
		x = 420.00, y = 478.00,
		direction = 40,
		name=globaltext.NAME_GUARD,
		resourceui=""
		)
	set_faction_and_level("WACHE6e","SHADOWS",11)
	object.set_attributes("WACHE6e",
		model="low",
		gender="male",
		skin="grey",
		clothes="ll_shadow_02",
		face="shadow04")
	character.update_appearance("WACHE6e")
	object.create_item_in_inventory(object="WACHE6e", equipment=["SET_AK_74", 'SET_AMMOPACK_5_45_MM'])
	character.equip(char="WACHE6e", equipment="SET_AK_74")
	character.set_approachable_state("WACHE6e", APPROACHABLE)
	object.set_active_state(object="WACHE6e", state=False)
	
	system.create_character(
		id="WACHE7e",
		gender="male",
		party="NPCS",
		x = 436.50, y = 491.00,
		direction = 0,
		name=globaltext.NAME_GUARD,
		resourceui=""
		)
	set_faction_and_level("WACHE7e","SHADOWS",12)
	object.set_attributes("WACHE7e",
		model="low",
		gender="male",
		skin="grey",
		clothes="ls_shadow_01",
		face="shadow05")
	character.update_appearance("WACHE7e")
	object.create_item_in_inventory(object="WACHE7e", equipment=["SET_HK_USP_45", 'SET_AMMOPACK_45'])
	character.equip(char="WACHE7e", equipment="SET_HK_USP_45")
	character.set_approachable_state("WACHE7e", APPROACHABLE)
	object.set_active_state(object="WACHE7e", state=False)
	
	system.create_character(
		id="WACHE8e",
		gender="male",
		party="NPCS",
		x = 450.00, y = 485.00,
		direction = 40,
		name=globaltext.NAME_GUARD,
		resourceui=""
		)
	set_faction_and_level("WACHE8e","SHADOWS",10)
	object.set_attributes("WACHE8e",
		model="low",
		gender="male",
		skin="grey",
		clothes="ls_shadow_02",
		face="shadow06")
	character.update_appearance("WACHE8e")
	object.create_item_in_inventory(object="WACHE8e", equipment=["SET_HK_UMP_45", 'SET_AMMOPACK_45'])
	character.equip(char="WACHE8e", equipment="SET_HK_UMP_45")
	character.set_approachable_state("WACHE8e", APPROACHABLE)
	object.set_active_state(object="WACHE8e", state=False)
	
### Basis Wachen (exclusive der Torwachen)
#id's nach KampfDoc
	
	system.create_character(
		id="BASISWACHE3",
		gender="male",
		party="NPCS",
		x = 422.00, y = 368.00,
		direction = 40,
		name=globaltext.NAME_GUARD,
		resourceui=""
		)
	set_faction_and_level("BASISWACHE3","SHADOWS",13)
	object.set_attributes("BASISWACHE3",
		model="low",
		gender="male",
		skin="grey",
		clothes="ll_shadow_01",
		face="shadow07")
	character.update_appearance("BASISWACHE3")
	object.create_item_in_inventory(object="BASISWACHE3", equipment=["SET_AKSU74", 'SET_AMMOPACK_5_45_MM'])
	character.equip(char="BASISWACHE3", equipment="SET_AKSU74")
	character.set_approachable_state("BASISWACHE3", NOTAPPROACHABLE)
	
	system.create_character(
		id="BASISWACHE4",
		gender="female",
		party="NPCS",
		x = 408.00, y = 342.00,
		direction = 40,
		name=globaltext.NAME_GUARD,
		resourceui=""
		)
	set_faction_and_level("BASISWACHE4","SHADOWS",10)
	object.set_attributes("BASISWACHE4",
		model="low",
		gender="female",
		skin="grey",
		clothes="ll_shadow_02",
		face="shadow05")
	character.update_appearance("BASISWACHE4")
	object.create_item_in_inventory(object="BASISWACHE4", equipment=["SET_AKSU74", 'SET_AMMOPACK_5_45_MM'])
	character.equip(char="BASISWACHE4", equipment="SET_AKSU74")
	character.set_approachable_state("BASISWACHE4", NOTAPPROACHABLE)
	
	system.create_character(
		id="BASISWACHE5",
		gender="female",
		party="NPCS",
		x = 409.00, y = 354.00,
		direction = 40,
		name=globaltext.NAME_GUARD,
		resourceui=""
		)
	set_faction_and_level("BASISWACHE5","SHADOWS",12)
	object.set_attributes("BASISWACHE5",
		model="low",
		gender="female",
		skin="grey",
		clothes="ll_shadow_02",
		face="shadow01")
	character.update_appearance("BASISWACHE5")
	object.create_item_in_inventory(object="BASISWACHE5", equipment=["SET_M60", 'SET_AMMOPACK_7_62NATO_MM', 'SET_AMMOPACK_7_62NATO_MM'])
	character.equip(char="BASISWACHE5", equipment="SET_M60")
	character.set_approachable_state("BASISWACHE5", NOTAPPROACHABLE)
	
	system.create_character(
		id="BASISWACHE6",
		gender="male",
		party="NPCS",
		x = 402.00, y = 386.00,
		direction = 40,
		name=globaltext.NAME_GUARD,
		resourceui=""
		)
	set_faction_and_level("BASISWACHE6","SHADOWS",13)
	object.set_attributes("BASISWACHE6",
		model="low",
		gender="male",
		skin="grey",
		clothes="ls_shadow_01",
		face="shadow10")
	character.update_appearance("BASISWACHE6")
	object.create_item_in_inventory(object="BASISWACHE6", equipment=["SET_REMINGTON_M870", 'SET_AMMOPACK_2_12_MM'])
	character.equip(char="BASISWACHE6", equipment="SET_REMINGTON_M870")
	character.set_approachable_state("BASISWACHE6", NOTAPPROACHABLE)
	
	system.create_character(
		id="BASISWACHE7",
		gender="male",
		party="NPCS",
		x = 395.00, y = 368.00,
		direction = 40,
		name=globaltext.NAME_GUARD,
		resourceui=""
		)
	set_faction_and_level("BASISWACHE7","SHADOWS",11)
	object.set_attributes("BASISWACHE7",
		model="low",
		gender="male",
		skin="grey",
		clothes="ls_shadow_02",
		face="shadow01")
	character.update_appearance("BASISWACHE7")
	object.create_item_in_inventory(object="BASISWACHE7", equipment=["SET_SPAS_15", 'SET_AMMOPACK_2_12_MM'])
	character.equip(char="BASISWACHE7", equipment="SET_SPAS_15")
	character.set_approachable_state("BASISWACHE7", NOTAPPROACHABLE)
	
	system.create_character(
		id="BASISWACHE8",
		gender="male",
		party="NPCS",
		x = 390.00, y = 348.00,
		direction = 40,
		name=globaltext.NAME_GUARD,
		resourceui=""
		)
	set_faction_and_level("BASISWACHE8","SHADOWS",12)
	object.set_attributes("BASISWACHE8",
		model="low",
		gender="male",
		skin="grey",
		clothes="ll_shadow_01",
		face="shadow02")
	character.update_appearance("BASISWACHE8")
	object.create_item_in_inventory(object="BASISWACHE8", equipment=["SET_M60", 'SET_AMMOPACK_7_62NATO_MM', 'SET_AMMOPACK_7_62NATO_MM'])
	character.equip(char="BASISWACHE8", equipment="SET_M60")
	character.set_approachable_state("BASISWACHE8", NOTAPPROACHABLE)
	
	system.create_character(
		id="BASISWACHE9",
		gender="male",
		party="NPCS",
		x = 353.00, y = 312.00,
		direction = 40,
		name=globaltext.NAME_GUARD,
		resourceui=""
		)
	set_faction_and_level("BASISWACHE9","SHADOWS",13)
	object.set_attributes("BASISWACHE9",
		model="low",
		gender="male",
		skin="grey",
		clothes="ll_shadow_02",
		face="shadow03")
	character.update_appearance("BASISWACHE9")
	object.create_item_in_inventory(object="BASISWACHE9", equipment=["SET_AKSU74", 'SET_AMMOPACK_5_45_MM', 'SET_AMMOPACK_5_45_MM'])
	character.equip(char="BASISWACHE9", equipment="SET_AKSU74")
	character.set_approachable_state("BASISWACHE9", NOTAPPROACHABLE)
	
	system.create_character(
		id="BASISWACHEA",
		gender="male",
		party="NPCS",
		x = 399.88, y = 405.47,
		direction = 40,
		name=globaltext.NAME_GUARD,
		resourceui=""
		)
	set_faction_and_level("BASISWACHEA","SHADOWS",12)
	object.set_attributes("BASISWACHEA",
		model="low",
		gender="male",
		skin="grey",
		clothes="ls_shadow_01",
		face="shadow04")
	character.update_appearance("BASISWACHEA")
	object.create_item_in_inventory(object="BASISWACHEA", equipment=["SET_AK_74", 'SET_AMMOPACK_5_45_MM', 'SET_AMMOPACK_5_45_MM'])
	character.equip(char="BASISWACHEA", equipment="SET_AK_74")
	character.set_approachable_state("BASISWACHEA", NOTAPPROACHABLE)
	
	system.create_character(
		id="BASISWACHEB",
		gender="male",
		party="NPCS",
		x = 420.00, y = 357.00,
		direction = 40,
		name=globaltext.NAME_GUARD,
		resourceui=""
		)
	set_faction_and_level("BASISWACHEB","SHADOWS",10)
	object.set_attributes("BASISWACHEB",
		model="low",
		gender="male",
		skin="grey",
		clothes="ls_shadow_02",
		face="shadow05")
	character.update_appearance("BASISWACHEB")
	object.create_item_in_inventory(object="BASISWACHEB", equipment=["SET_AK_74", 'SET_AMMOPACK_5_45_MM', 'SET_AMMOPACK_5_45_MM'])
	character.equip(char="BASISWACHEB", equipment="SET_AK_74")
	character.set_approachable_state("BASISWACHEB", NOTAPPROACHABLE)
	
	system.create_character(
		id="BASISWACHEC",
		gender="female",
		party="NPCS",
		x = 418.00, y = 350.00,
		direction = 40,
		name=globaltext.NAME_GUARD,
		resourceui=""
		)
	set_faction_and_level("BASISWACHEC","SHADOWS",13)
	object.set_attributes("BASISWACHEC",
		model="low",
		gender="female",
		skin="grey",
		clothes="ll_shadow_01",
		face="shadow02")
	character.update_appearance("BASISWACHEC")
	object.create_item_in_inventory(object="BASISWACHEC", equipment=["SET_AK_74", 'SET_AMMOPACK_5_45_MM', 'SET_AMMOPACK_5_45_MM'])
	character.equip(char="BASISWACHEC", equipment="SET_AK_74")
	character.set_approachable_state("BASISWACHEC", NOTAPPROACHABLE)
	
	system.create_character(
		id="BASISWACHED",
		gender="female",
		party="NPCS",
		x = 406.00, y = 355.00,
		direction = 40,
		name=globaltext.NAME_GUARD,
		resourceui=""
		)
	set_faction_and_level("BASISWACHED","SHADOWS",13)
	object.set_attributes("BASISWACHED",
		model="low",
		gender="female",
		skin="grey",
		clothes="ll_shadow_02",
		face="shadow03")
	character.update_appearance("BASISWACHED")
	object.create_item_in_inventory(object="BASISWACHED", equipment=["SET_AK_74", 'SET_AMMOPACK_5_45_MM', 'SET_AMMOPACK_5_45_MM'])
	character.equip(char="BASISWACHED", equipment="SET_AK_74")
	character.set_approachable_state("BASISWACHED", NOTAPPROACHABLE)
	
	system.create_character(
		id="BASISWACHEE",
		gender="male",
		party="NPCS",
		x = 396.00, y = 351.00,
		direction = 40,
		name=globaltext.NAME_GUARD,
		resourceui=""
		)
	set_faction_and_level("BASISWACHEE","SHADOWS",13)
	object.set_attributes("BASISWACHEE",
		model="low",
		gender="male",
		skin="grey",
		clothes="ls_shadow_01",
		face="shadow08")
	character.update_appearance("BASISWACHEE")
	object.create_item_in_inventory(object="BASISWACHEE", equipment=["SET_AK_74", 'SET_AMMOPACK_5_45_MM', 'SET_AMMOPACK_5_45_MM'])
	character.equip(char="BASISWACHEE", equipment="SET_AK_74")
	character.set_approachable_state("BASISWACHEE", NOTAPPROACHABLE)
	
	system.create_character(
		id="BASISWACHEF",
		gender="male",
		party="NPCS",
		x = 384.00, y = 371.00,
		direction = 40,
		name=globaltext.NAME_GUARD,
		resourceui=""
		)
	set_faction_and_level("BASISWACHEF","SHADOWS",12)
	object.set_attributes("BASISWACHEF",
		model="low",
		gender="male",
		skin="grey",
		clothes="ls_shadow_02",
		face="shadow09")
	character.update_appearance("BASISWACHEF")
	object.create_item_in_inventory(object="BASISWACHEF", equipment=["SET_AK_74", 'SET_AMMOPACK_5_45_MM', 'SET_AMMOPACK_5_45_MM'])
	character.equip(char="BASISWACHEF", equipment="SET_AK_74")
	character.set_approachable_state("BASISWACHEF", NOTAPPROACHABLE)
	
	system.create_character(
		id="BASISWACHEG",
		gender="female",
		party="NPCS",
		x = 383.00, y = 386.00,
		direction = 40,
		name=globaltext.NAME_GUARD,
		resourceui=""
		)
	set_faction_and_level("BASISWACHEG","SHADOWS",12)
	object.set_attributes("BASISWACHEG",
		model="low",
		gender="female",
		skin="grey",
		clothes="ll_shadow_02",
		face="shadow04")
	character.update_appearance("BASISWACHEG")
	object.create_item_in_inventory(object="BASISWACHEG", equipment=["SET_AK_74", 'SET_AMMOPACK_5_45_MM', 'SET_AMMOPACK_5_45_MM'])
	character.equip(char="BASISWACHEG", equipment="SET_AK_74")
	character.set_approachable_state("BASISWACHEG", NOTAPPROACHABLE)
	
	system.create_character(
		id="BASISWACHEH",
		gender="male",
		party="NPCS",
		x = 358.08, y = 484.17,
		direction = 40,
		name=globaltext.NAME_GUARD,
		resourceui=""
		)
	set_faction_and_level("BASISWACHEH","SHADOWS",9)
	object.set_attributes("BASISWACHEH",
		model="low",
		gender="male",
		skin="grey",
		clothes="ll_shadow_01",
		face="shadow01")
	character.update_appearance("BASISWACHEH")
	object.create_item_in_inventory(object="BASISWACHEH", equipment=["SET_AK_74", 'SET_AMMOPACK_5_45_MM', 'SET_AMMOPACK_5_45_MM'])
	character.equip(char="BASISWACHEH", equipment="SET_AK_74")
	character.set_approachable_state("BASISWACHEH", NOTAPPROACHABLE)
### Tagesablauf NPCs
##-->Lost Place<--##
# Sahra
	system.create_character(
		id="SAHRA",
		gender="female",
		party="NPCS",
		x = 712.00, y = 267.00,
		direction = 40,
		name=globaltext.NAME_SAHRA_Z8,
		resourceui=""
		)
	set_faction_and_level("SAHRA","VILLAGE_PEOPLE",9)
	object.set_attributes("SAHRA",
		model="low",
		gender="female",
		skin="white",
		clothes="ss_001",
		face="wintrud")
	character.update_appearance("SAHRA")
	character.set_approachable_state("SAHRA", APPROACHABLE)
# Gordon
	system.create_character(
		id="GORDON",
		gender="male",
		party="NPCS",
		x = 569.99, y = 330.03,
		direction = 40,
		name=globaltext.NAME_GORDON_Z8,
		resourceui=""
		)
	set_faction_and_level("GORDON","VILLAGE_PEOPLE",9)
	object.set_attributes("GORDON",
		model="low",
		gender="male",
		skin="black",
		clothes="ll_004",
		face="otilo")
	character.update_appearance("GORDON")
	character.set_approachable_state("GORDON", APPROACHABLE)
# Norm
	system.create_character(
		id="NORM",
		gender="male",
		party="NPCS",
		x = 561.38, y = 281.83,
		direction = 40,
		name=globaltext.NAME_NORM_Z8,
		resourceui=""
		)
	set_faction_and_level("NORM","VILLAGE_PEOPLE",9)
	object.set_attributes("NORM",
		model="low",
		gender="male",
		skin="white",
		clothes="ll_001",
		face="gandolf")
	character.update_appearance("NORM")
	character.set_approachable_state("NORM", APPROACHABLE)
# Tom
	system.create_character(
		id="TOM",
		gender="male",
		party="NPCS",
		x = 724.00, y = 279.00,
		direction = 40,
		name=globaltext.NAME_TOM_Z8,
		resourceui=""
		)
	set_faction_and_level("TOM","VILLAGE_PEOPLE",9)
	object.set_attributes("TOM",
		model="low",
		gender="male",
		skin="white",
		clothes="sl_001",
		face="gudmunt")
	character.update_appearance("TOM")
	character.set_approachable_state("TOM", APPROACHABLE)
# Lisa
	system.create_character(
		id="LISA",
		gender="female",
		party="NPCS",
		x = 724.00, y = 279.00,
		direction = 40,
		name=globaltext.NAME_LISA_Z8,
		resourceui=""
		)
	set_faction_and_level("LISA","VILLAGE_PEOPLE",9)
	object.set_attributes("LISA",
		model="low",
		gender="female",
		skin="white",
		clothes="ll_003",
		face="fulberta")
	character.update_appearance("LISA")
	character.set_approachable_state("LISA", APPROACHABLE)
# Maria
	system.create_character(
		id="MARIA",
		gender="female",
		party="NPCS",
		x = 579.00, y = 331.00,
		direction = 40,
		name=globaltext.NAME_MARIA_Z8,
		resourceui=""
		)
	set_faction_and_level("MARIA","VILLAGE_PEOPLE",9)
	object.set_attributes("MARIA",
		model="low",
		gender="female",
		skin="white",
		clothes="sl_002",
		face="asbirg")
	character.update_appearance("MARIA")
	character.set_approachable_state("MARIA", APPROACHABLE)
# Jim Oldrup
	system.create_character(
		id="JIM_OLDRUP",
		gender="male",
		party="NPCS",
		x = 654, y = 305,
		direction = 40,
		name=globaltext.NAME_JIM_OLDRUP_Z8,
		resourceui=""
		)
	set_faction_and_level("JIM_OLDRUP","VILLAGE_PEOPLE",9)
	object.set_attributes("JIM_OLDRUP",
		model="low",
		gender="male",
		skin="white",
		clothes="ss_004",
		face="folkward")
	character.update_appearance("JIM_OLDRUP")
	character.set_approachable_state("JIM_OLDRUP", APPROACHABLE)
# Conrad
	system.create_character(
		id="CONRAD",
		gender="male",
		party="NPCS",
		x = 600.15, y = 211.32,
		direction = 40,
		name=globaltext.NAME_CONRAD_Z8,
		resourceui=""
		)
	set_faction_and_level("CONRAD","VILLAGE_PEOPLE",9)
	object.set_attributes("CONRAD",
		model="low",
		gender="male",
		skin="white",
		clothes="ll_001",
		face="albin")
	character.update_appearance("CONRAD")
	character.set_approachable_state("CONRAD", APPROACHABLE)
# Sandra
	system.create_character(
		id="SANDRA",
		gender="female",
		party="NPCS",
		x = 610.35, y = 212.11,
		direction = 40,
		name=globaltext.NAME_SANDRA_Z8,
		resourceui=""
		)
	set_faction_and_level("SANDRA","VILLAGE_PEOPLE",9)
	object.set_attributes("SANDRA",
		model="low",
		gender="female",
		skin="white",
		clothes="ls_001",
		face="meinhild")
	character.update_appearance("SANDRA")
	character.set_approachable_state("SANDRA", APPROACHABLE)
# Charles
	system.create_character(
		id="CHARLES",
		gender="male",
		party="NPCS",
		x = 605.35, y = 219.30,
		direction = 40,
		name=globaltext.NAME_CHARLES_Z8,
		resourceui=""
		)
	set_faction_and_level("CHARLES","VILLAGE_PEOPLE",9)
	object.set_attributes("CHARLES",
		model="low",
		gender="male",
		skin="white",
		clothes="ss_003",
		face="gerbod")
	character.update_appearance("CHARLES")
	character.set_approachable_state("CHARLES", APPROACHABLE)
# Andrew
	system.create_character(
		id="ANDREW",
		gender="male",
		party="NPCS",
		x = 439.65, y = 231.30,
		direction = 40,
		name=globaltext.NAME_ANDREW_Z8,
		resourceui=""
		)
	set_faction_and_level("ANDREW","VILLAGE_PEOPLE",9)
	object.set_attributes("ANDREW",
		model="low",
		gender="male",
		skin="white",
		clothes="ss_002",
		face="heilwig")
	character.update_appearance("ANDREW")
	character.set_approachable_state("ANDREW", APPROACHABLE)
# David
	system.create_character(
		id="DAVID",
		gender="male",
		party="NPCS",
		x = 604.09, y = 218.67,
		direction = 40,
		name=globaltext.NAME_DAVID_Z8,
		resourceui=""
		)
	set_faction_and_level("DAVID","VILLAGE_PEOPLE",9)
	object.set_attributes("DAVID",
		model="child",
		gender="male",
		skin="white",
		clothes="ll_001",
		face="001")
	character.update_appearance("DAVID")
	character.set_approachable_state("DAVID", APPROACHABLE)
# Cindy
	system.create_character(
		id="CINDY",
		gender="female",
		party="NPCS",
		x = 612.09, y = 222.67,
		direction = 40,
		name=globaltext.NAME_CINDY_Z8,
		resourceui=""
		)
	set_faction_and_level("CINDY","VILLAGE_PEOPLE",9)
	object.set_attributes("CINDY",
		model="low",
		gender="female",
		skin="white",
		clothes="ls_003",
		face="erkhild")
	character.update_appearance("CINDY")
	character.set_approachable_state("CINDY", APPROACHABLE)
# Bojan
	system.create_character(
		id="BOJAN",
		gender="male",
		party="NPCS",
		x = 784.00, y = 385.00,
		direction = 40,
		name=globaltext.NAME_BOJAN_Z8,
		resourceui=""
		)
	set_faction_and_level("BOJAN","VILLAGE_PEOPLE",9)
	object.set_attributes("BOJAN",
		model="low",
		gender="male",
		skin="white",
		clothes="ll_003",
		face="gudmunt")
	character.update_appearance("BOJAN")
	character.set_approachable_state("BOJAN", APPROACHABLE)
# Harry
	system.create_character(
		id="HARRY",
		gender="male",
		party="NPCS",
		x = 557.00, y = 268.00,
		direction = 40,
		name=globaltext.NAME_HARRY_Z8,
		resourceui=""
		)
	set_faction_and_level("HARRY","VILLAGE_PEOPLE",9)
	object.set_attributes("HARRY",
		model="low",
		gender="male",
		skin="white",
		clothes="ls_002",
		face="dagwin")
	character.update_appearance("HARRY")
	character.set_approachable_state("HARRY", APPROACHABLE)
# Bob
	system.create_character(
		id="BOB",
		gender="male",
		party="NPCS",
		x = 548.00, y = 271.00,
		direction = 40,
		name=globaltext.NAME_BOB_Z8,
		resourceui=""
		)
	set_faction_and_level("BOB","VILLAGE_PEOPLE",9)
	object.set_attributes("BOB",
		model="low",
		gender="male",
		skin="black",
		clothes="sl_001",
		face="eginhard")
	character.update_appearance("BOB")
	character.set_approachable_state("BOB", APPROACHABLE)
# Slim Gin
	system.create_character(
		id="SLIM_GIN",
		gender="male",
		party="NPCS",
		x = 553.00, y = 275.00,
		direction = 40,
		name=globaltext.NAME_SLIM_GIN_Z8,
		resourceui=""
		)
	set_faction_and_level("SLIM_GIN","VILLAGE_PEOPLE",9)
	object.set_attributes("SLIM_GIN",
		model="low",
		gender="male",
		skin="black",
		clothes="ls_001",
		face="dietbert")
	character.update_appearance("SLIM_GIN")
	character.set_approachable_state("SLIM_GIN", APPROACHABLE)
##----------->Schatten-Basis<------------------##
# Audrey
	system.create_character(
		id="AUDREY",
		gender="female",
		party="NPCS",
		x = 259.00, y = 320.00,
		direction = 315,
		name=globaltext.NAME_AUDREY_Z8,
		resourceui=""
		)
	set_faction_and_level("AUDREY","SHADOWS",9)
	object.set_attributes("AUDREY",
		model="low",
		gender="female",
		skin="grey",
		clothes="ll_shadow_03",
		face="shadow04")
	character.update_appearance("AUDREY")
	character.set_approachable_state("AUDREY", APPROACHABLE)
	object.set_active_state(object='AUDREY', state=False)
# Seamor
	system.create_character(
		id="SEAMOR",
		gender="male",
		party="NPCS",
		x = 379.00, y = 465.00,
		direction = 40,
		name=globaltext.NAME_SEAMOR_Z8,
		resourceui=""
		)
	set_faction_and_level("SEAMOR","SHADOWS",9)
	object.set_attributes("SEAMOR",
		model="low",
		gender="male",
		skin="grey",
		clothes="ls_shadow_01",
		face="shadow01")
	character.update_appearance("SEAMOR")
	character.set_approachable_state("SEAMOR", APPROACHABLE)
	object.set_active_state(object='SEAMOR', state=False)
# Helmut
	system.create_character(
		id="HELMUT",
		gender="male",
		party="NPCS",
		x = 306.00, y = 393.00,
		direction = 315,
		name=globaltext.NAME_HELMUT_Z8,
		resourceui=""
		)
	set_faction_and_level("HELMUT","SHADOWS",9)
	object.set_attributes("HELMUT",
		model="low",
		gender="male",
		skin="grey",
		clothes="ls_shadow_02",
		face="shadow02")
	character.update_appearance("HELMUT")
	character.set_approachable_state("HELMUT", APPROACHABLE)
	object.set_active_state(object='HELMUT', state=False)
# Lester
	system.create_character(
		id="LESTER",
		gender="male",
		party="NPCS",
		x = 306.00, y = 393.00,
		direction = 180,
		name=globaltext.NAME_LESTER_Z8,
		resourceui=""
		)
	set_faction_and_level("LESTER","SHADOWS",9)
	object.set_attributes("LESTER",
		model="low",
		gender="male",
		skin="grey",
		clothes="ll_shadow_01",
		face="shadow03")
	character.update_appearance("LESTER")
	character.set_approachable_state("LESTER", APPROACHABLE)
	object.set_active_state(object='LESTER', state=False)
# Sergeant Cole
	system.create_character(
		id="SERGANT_COLE",
		gender="male",
		party="NPCS",
		x = 303.00, y = 390.00,
		direction = 40,
		name=globaltext.NAME_SERGANT_COLE_Z8,
		resourceui=""
		)
	set_faction_and_level("SERGANT_COLE","SHADOWS",9)
	object.set_attributes("SERGANT_COLE",
		model="low",
		gender="male",
		skin="grey",
		clothes="ll_shadow_02",
		face="shadow10")
	character.update_appearance("SERGANT_COLE")
	character.set_approachable_state("SERGANT_COLE", APPROACHABLE)
	object.set_active_state(object='SERGANT_COLE', state=False)
# Doc Burns
	system.create_character(
		id="DOC_BURNS",
		gender="male",
		party="NPCS",
		x = 292.00, y = 316.00,
		direction = 40,
		name=globaltext.NAME_DOC_BURNS_Z8,
		resourceui=""
		)
	set_faction_and_level("DOC_BURNS","SHADOWS",9)
	object.set_attributes("DOC_BURNS",
		model="low",
		gender="male",
		skin="grey",
		clothes="ls_shadow_02",
		face="shadow07")
	character.update_appearance("DOC_BURNS")
	character.set_approachable_state("DOC_BURNS", APPROACHABLE)
	object.set_active_state(object='DOC_BURNS', state=False)
# Zed
	system.create_character(
		id="ZED",
		gender="male",
		party="NPCS",
		x = 303.00, y = 388.00,
		direction = 40,
		name=globaltext.NAME_ZED_Z8,
		resourceui=""
		)
	set_faction_and_level("ZED","SHADOWS",9)
	object.set_attributes("ZED",
		model="low",
		gender="male",
		skin="grey",
		clothes="ll_shadow_01",
		face="shadow03")
	character.update_appearance("ZED")
	character.set_approachable_state("ZED", APPROACHABLE)
	object.set_active_state(object='ZED', state=False)
# Ronald
	system.create_character(
		id="RONALD",
		gender="male",
		party="NPCS",
		x = 306.00, y = 393.00,
		direction = 40,
		name=globaltext.NAME_RONALD_Z8,
		resourceui=""
		)
	set_faction_and_level("RONALD","SHADOWS",9)
	object.set_attributes("RONALD",
		model="low",
		gender="male",
		skin="grey",
		clothes="ll_shadow_02",
		face="shadow01")
	character.update_appearance("RONALD")
	character.set_approachable_state("RONALD", APPROACHABLE)
	object.set_active_state(object='RONALD', state=False)
# Barb
	system.create_character(
		id="BARB",
		gender="female",
		party="NPCS",
		x = 344.00, y = 437.00,
		direction = 40,
		name=globaltext.NAME_BARB_Z8,
		resourceui=""
		)
	set_faction_and_level("BARB","SHADOWS",9)
	object.set_attributes("BARB",
		model="low",
		gender="female",
		skin="grey",
		clothes="ll_shadow_01",
		face="shadow03")
	character.update_appearance("BARB")
	character.set_approachable_state("BARB", APPROACHABLE)
	object.set_active_state(object='BARB', state=False)
# Bob
	system.create_character(
		id="BOB_BUILDER",
		gender="male",
		party="NPCS",
		x = 296.00, y = 445.00,
		direction = 40,
		name=globaltext.NAME_BOB_Z8,
		resourceui=""
		)
	set_faction_and_level("BOB_BUILDER","SHADOWS",9)
	object.set_attributes("BOB_BUILDER",
		model="low",
		gender="male",
		skin="grey",
		clothes="ll_shadow_01",
		face="shadow04")
	character.update_appearance("BOB_BUILDER")
	character.set_approachable_state("BOB_BUILDER", APPROACHABLE)
	object.set_active_state(object='BOB_BUILDER', state=False)
# Karl
	system.create_character(
		id="KARL",
		gender="male",
		party="NPCS",
		x = 326.00, y = 393.00,
		direction = 40,
		name=globaltext.NAME_KARL_Z8,
		resourceui=""
		)
	set_faction_and_level("KARL","SHADOWS",9)
	object.set_attributes("KARL",
		model="low",
		gender="male",
		skin="grey",
		clothes="ll_shadow_01",
		face="shadow09")
	character.update_appearance("KARL")
	character.set_approachable_state("KARL", APPROACHABLE)
	object.set_active_state(object='KARL', state=False)
# Paula
	system.create_character(
		id="PAULA_Z8",
		gender="female",
		party="NPCS",
		x = 323.00, y = 350.00,
		direction = 40,
		name=globaltext.NAME_PAULA_Z8,
		resourceui=""
		)
	set_faction_and_level("PAULA_Z8","SHADOWS",9)
	object.set_attributes("PAULA_Z8",
		model="low",
		gender="female",
		skin="grey",
		clothes="ll_shadow_02",
		face="shadow05")
	character.update_appearance("PAULA_Z8")
	character.set_approachable_state("PAULA_Z8", APPROACHABLE)
	object.set_active_state(object='PAULA_Z8', state=False)
# Kevin
	system.create_character(
		id="KEVIN",
		gender="male",
		party="NPCS",
		x = 297.00, y = 449.00,
		direction = 40,
		name=globaltext.NAME_KEVIN_Z8,
		resourceui=""
		)
	set_faction_and_level("KEVIN","SHADOWS",9)
	object.set_attributes("KEVIN",
		model="low",
		gender="male",
		skin="grey",
		clothes="ll_shadow_02",
		face="shadow08")
	character.update_appearance("KEVIN")
	character.set_approachable_state("KEVIN", APPROACHABLE)
	object.set_active_state(object='KEVIN', state=False)
# Heinz
	system.create_character(
		id="HEINZ",
		gender="male",
		party="NPCS",
		x = 299.00, y = 449.00,
		direction = 40,
		name=globaltext.NAME_HEINZ_Z8,
		resourceui=""
		)
	set_faction_and_level("HEINZ","SHADOWS",9)
	object.set_attributes("HEINZ",
		model="low",
		gender="male",
		skin="grey",
		clothes="ls_shadow_01",
		face="shadow07")
	character.update_appearance("HEINZ")
	character.set_approachable_state("HEINZ", APPROACHABLE)
	object.set_active_state(object='HEINZ', state=False)
# Michael
	system.create_character(
		id="MICHAEL",
		gender="male",
		party="NPCS",
		x = 302.00, y = 449.00,
		direction = 40,
		name=globaltext.NAME_MICHAEL_Z8,
		resourceui=""
		)
	set_faction_and_level("MICHAEL","SHADOWS",9)
	object.set_attributes("MICHAEL",
		model="low",
		gender="male",
		skin="grey",
		clothes="ll_shadow_02",
		face="shadow06")
	character.update_appearance("MICHAEL")
	character.set_approachable_state("MICHAEL", APPROACHABLE)
	object.set_active_state(object='MICHAEL', state=False)
# Liz
	system.create_character(
		id="LIZ",
		gender="female",
		party="NPCS",
		x = 302.00, y = 449.00,
		direction = 40,
		name=globaltext.NAME_LIZ_Z8,
		resourceui=""
		)
	set_faction_and_level("LIZ","SHADOWS",9)
	object.set_attributes("LIZ",
		model="low",
		gender="female",
		skin="grey",
		clothes="ll_shadow_03",
		face="shadow04")
	character.update_appearance("LIZ")
	character.set_approachable_state("LIZ", APPROACHABLE)
	object.set_active_state(object='LIZ', state=False)
# Shadow_hurt_1
	system.create_character(
		id="SHADOW_HURT_1",
		gender="female",
		party="NPCS",
		x = 292.00, y = 316.00,
		direction = 40,
		name=globaltext.NAME_LIZ_Z8,
		resourceui=""
		)
	set_faction_and_level("SHADOW_HURT_1","SHADOWS",9)
	object.set_attributes("SHADOW_HURT_1",
		model="low",
		gender="female",
		skin="grey",
		clothes="ll_shadow_02",
		face="shadow02")
	character.update_appearance("SHADOW_HURT_1")
	character.set_approachable_state("SHADOW_HURT_1", NOTAPPROACHABLE)
	object.set_active_state(object='SHADOW_HURT_1', state=False)
# Shadow_hurt_2
	system.create_character(
		id="SHADOW_HURT_2",
		gender="male",
		party="NPCS",
		x = 292.00, y = 316.00,
		direction = 40,
		name=globaltext.NAME_LIZ_Z8,
		resourceui=""
		)
	set_faction_and_level("SHADOW_HURT_2","SHADOWS",9)
	object.set_attributes("SHADOW_HURT_2",
		model="low",
		gender="male",
		skin="grey",
		clothes="ls_shadow_01",
		face="shadow05")
	character.update_appearance("SHADOW_HURT_2")
	character.set_approachable_state("SHADOW_HURT_2", NOTAPPROACHABLE)
	object.set_active_state(object='SHADOW_HURT_2', state=False)

# Bernie der Händler
	system.create_character(
		id="BERNIE",
		gender="male",
		party="NPCS",
		x = 560, y = 309,
		direction = 40,
		name=globaltext.NAME_BERNIE,
		resourceui="trader_001.png"
		)
	set_faction_and_level("BERNIE","VILLAGE_PEOPLE",9)
	object.set_attributes("BERNIE",
		model="low",
		gender="male",
		skin="white",
		clothes="ll_003",
		face="trader_001")
	character.update_appearance("BERNIE")
	object.set_attribute("BERNIE", "trader", True)
	object.set_attribute("BERNIE", "trader_type", "all")
	##-->Handelsware<--
	object.create_item_in_inventory(object="BERNIE",
		equipment=[
			"SET_HK_MP7",#HK MP7
			"SET_HK_CAWS",#HK CAWS
			"SET_HK_G36C",#G36
			"SET_HK_XM8",#XM8
			"SET_SIG_SG_552",#SIG SG 552
			"SET_STEYR_TMP",#Steyr Aug
			"SET_M60",#M60
			"SET_OICW",#OICW
			"SET_GMG_OCSW",#OCSW
			"SET_BARRET_M82A2",#Barret M82
			"SET_DSR1",#DSR-1
			"SET_AMMOPACK_BG15",#1 x bg-15 granaten
			"SET_AMMOPACK_44"]#1 Packen .44er Munition
			+15*["SET_AMMOPACK_4_6_MM"]#15 x 4,6mm Munition
			+4*["SET_AMMOPACK_4_6_MM_SUBSONIC"]#4 x 4,6mm Munition Subsonic
			+3*["SET_AMMOPACK_3_12_MM_QB_8"]#3 Packen 3“12Cal qb8
			+9*["SET_AMMOPACK_3_12_MM"]#9 Packen 3“12Cal
			+4*["SET_AMMOPACK_2_12_MM"]#4 Packen 2“12Cal
			+3*["SET_AMMOPACK_357"]#3 Packen .357Sig
			+14*["SET_AMMOPACK_5_56_MM"]#14 Packen 5,56mm Munition
			+9*["SET_AMMOPACK_5_56_MM_STEYR_FLECHETTE"]#9 Packen 5,56mm Munition Steyr Flechette
			+9*["SET_AMMOPACK_7_62NATO_MM"]#9 Packen 7,62 nato Munition
			+7*["SET_AMMOPACK_7_62NATO_MM_DUPLEX"]#7 Packen 7,62 nato duplex Munition
			+5*["SET_AMMOPACK_7_62NATO_MM_SABOT"]#5 Packen 7,62 nato sabot Munition
			+9*["SET_AMMOPACK_20_MM_HE"]#4x 20mm OICW Granaten
			+9*["SET_AMMOPACK_25_MM_HE"]#3x 25mm OCSW Granaten
			+7*["SET_AMMOPACK_9_MM"]#7 Packen 9mm Munition
			+5*["SET_AMMOPACK_9_MM_SUBSONIC"]#5 Packen 9mm Subsonicmunition
			+4*["SET_AMMOPACK_50"]#4 Packen .50AE Munition
			+9*["SET_AMMOPACK_50_BMG"]#2 Packen .50BMG
			+2*["SET_AMMOPACK_M79_M203"]#2 x m79m203 granaten
			+6*["SET_AMMOPACK_5_7_MM"]#6 Packen 5,7mm
			+5*["SET_AMMOPACK_5_7_MM_SUBSONIC"]#5 Packen 5,7mm Subsonicmunition
			+6*["SET_LANDMINE"]#6xLandmine
			+5*["SET_MOLOTOV_COCKTAIL"]#molotov
			+["SET_FRAGGRENADE",#fraggranate
			"SET_WATER_DETECTOR",# water_detector
			"SET_BASIC_PICKLOCK",#  basic_picklock
			"SET_C4_TIMEBASED",#C4 Zeitgesteuert
			"SET_C4_REMOTE_CONTROL",#C4 Ferngesteuert
			"SET_KATANA",#katana
			"SET_DT21_LIGHT_ARMOR","SET_DT21_LIGHT_ARMOR",#dt21 Rüstung
			"SET_M46_GAUNTLETS","SET_M46_GAUNTLETS",#m46 Panzerhandschuhe
			"SET_M46_STEEL_CLAD_BOOTS","SET_M46_STEEL_CLAD_BOOTS",#m46 Panzerstiefel
			"SET_DRUGS_SYRINGE"]#Drugs_syringe
			+5*["SET_MEAT_RAW"]#5 x meat_raw
			+5*["SET_MEAT_RAW_BIG"]#4 x meat_raw_big
			+5*["SET_MEAT_RAW_HUMONGOUS"]#2 x meat_raw_humongous
			+5*["SET_MEAT_COOKED_HUMONGOUS"]#3 x meat_cooked_humongous
			+5*["SET_MEAT_COOKED_BIG"]#2 x meat_cooked_big
			+5*["SET_BREAD"]#7 x bread
			+5*["SET_CARROT"]#3 x carrot
			+5*["SET_CHEESE"]#2 x cheese
			+5*["SET_WATER_SKIN"]#8 x water_skin
			+5*["SET_WATER_BOTTLE"]#6 x water_bottle
			+5*["SET_WATER_CAN"]#4 x water_can
			+5*["SET_MEDIPACK_SMALL"]#7 x medipack_small
			+5*["SET_MEDIPACK_BIG"]#4 x medipack_big
			+5*["SET_MULTI_MEDIPACK"]#2 x multi_medipack
			+5*["SET_DRUGS_VIALS_01"]#2 x Drugs_vials_01
			+15*["SET_DRUGS_PILLS_01"]#3 x drugs_pills_02
			+5*["SET_DRUGS_PILLS_02"]#3 x drugs_pills_02
			+5*["SET_DRUGS_PILLS_03"]#3 x drugs_pills_03
			+5*["SET_DRUGS_PILLS_04"]#3 x drugs_pills_04
			)
	

def initAnimals():
	#Questrelevante Tiere
	system.create_animal(id="ROMULUS",type=ANIMAL_WOLF, party="ANIMALS", x=211.52, y=501.35, direction=10)
	object.set_active_state(object='ROMULUS', state=False)
	object.set_immortal_state("ROMULUS",True)
	system.create_animal(id="AURA",type=ANIMAL_LIZARD, party="ANIMALS", x=658.67, y=223.74, direction=135)
	object.set_immortal_state("AURA",True)
	system.create_animal(id="SOMA",type=ANIMAL_LIZARD, party="ANIMALS", x=657.96, y=224.11, direction=135)
	object.set_immortal_state("SOMA",True)
	system.create_animal(id="DONK",type=ANIMAL_DONKEY, party="ANIMALS", x=567.0, y=417.0, direction=10)
	object.set_immortal_state("DONK",True)
	
	#sonstige Tiere
	system.create_animal(id="DEER_1",type=ANIMAL_DEER, party="ANIMALS", x=378.0, y=214.0, direction=10)
	system.create_animal(id="DEER_2",type=ANIMAL_DEER, party="ANIMALS", x=415.0, y=214.0, direction=110)
	system.create_animal(id="DEER_3",type=ANIMAL_DEER, party="ANIMALS", x=400.0, y=205.0, direction=45)
	system.create_animal(id="DEER_4",type=ANIMAL_DEER, party="ANIMALS", x=378.0, y=220.0, direction=90)
	
