# -*- coding: utf-8 -*-
#Todo:
#-Dialoge vervollständigen
#-Dialogstruktur (on_approach) verbessern/ausbauen
#-Verlinkung mit Questbook
#-Objektdialoge hinzu

from globals import *
from const import *
from types import *
import npc
import schedules
import object
import dynamic_camera
import const
import zone_9
import daily_routine
import whrandom
import enemy_script
import sounds
import string

##################################################################
###  Stand Revision 16, 9.08.2004  vorher fehlen noch alle   #####
##################################################################

def on_approach( target, operator ):
	if dialog.is_dialog_active():
		return
	
	if(target == 'ABEL'):
		if(data().AbelAufRundgang
		and not data().AbelRundgangBeendet):
			initDlg_061_AbelHatKeineZeit()
		elif(data().AbelRundgangBeendet) and not data().ABEL_Keine_Kranken:
			initDlg_063_AbelHilft()
		elif(data().ABEL_Keine_Kranken):
			initDlg_072_AbelTagesablauf()
	
	if(target=="KAYLA"):
		# Spieler spricht Kayla erstmals an
		if not (data().MitKaylaGesprochen):
			initDlg_001_SpielerSprichtErstmalsMitKayla()
		#Spieler spricht wiederholt mit Kayla und Ziel 5 ist aktiv
		elif((data().MitKaylaGesprochen) and (system.get_qb_entry_state(data().QB_005) == globals.UNCOMPLETE)): 
			initDlg_002_WiederGespraechMitKayla_Quest_5_Aktiv()
		#Spieler hat Quest nicht angenommen und schon mit Kayla gesprochen
		elif (not (system.get_qb_entry_state(data().QB_005) == globals.UNCOMPLETE or system.get_qb_entry_state(data().QB_005) == globals.COMPLETE) and (data().MitKaylaGesprochen)):
			initDlg_003_GerspraechMitKayla_Ziel_5_NichtAktiv()
		#Spieler hat Quest gelöst
		elif (system.get_qb_entry_state(data().QB_005) == globals.COMPLETE):
			initDlg_004_MedpackQuestSolved()
		
	elif(target=="WRIGHT"):
		#Spieler hat Quest angenommen
		if (system.get_qb_entry_state(data().QB_006) == globals.UNCOMPLETE):
			initDlg_006_SpielerHatDynamitQuest()
		#Spieler hat Quest gelöst
		elif (system.get_qb_entry_state(data().QB_006) == globals.COMPLETE):
			initDlg_007_SpielerHatDynamitQuestBeendet()
		#Spieler nicht bei Quest, 1 Stunde nicht vergangen
		elif ( not data().TimerAbgelaufen and system.get_qb_entry_state(data().QB_006) == globals.INACTIVE and data().MitWrightGesprochen):
			initDlg_008_SpielerNichtBeiDynamitQuest_HourNotPassed()
		# Spieler hat DynQest nicht angenommen und Stunde ist vorbei oder aufgegeben
		elif (system.get_qb_entry_state(data().QB_006) == globals.IMPOSSIBLE or data().TimerAbgelaufen):
			initDlg_009_SpielerHatNieDynamitQuestAngenommen_ZeitVerstrichen()
		
	elif(target=="ERLAN"):
		# Spieler hat noch nicht mit Erlan gesprochen
		if not(data().MitErlanGesprochen):
			initDlg_012_SpielerSprichtErstesMalMitErlan()
		#Spieler hat Quest angenommen
		elif (system.get_qb_entry_state(data().QB_007) == globals.UNCOMPLETE):
			initDlg_013_SpielerHatWellQuest()
		#Spieler hat Quest nicht angenommen
		elif (system.get_qb_entry_state(data().QB_007) == globals.INACTIVE and data().MitErlanGesprochen):
			initDlg_014_SpielerHatNichtWellQuest()
		#Quest gelöst
		elif (system.get_qb_entry_state(data().QB_007) == globals.COMPLETE):
			initDlg_016_SpielerHatWellQuestFertig()
		
	elif(target=="SAMSON"):
		if(system.get_qb_entry_state(data().QB_001) == globals.UNCOMPLETE):
			initDlg_018_SamsonAngesprochenBohrDefekt()
		elif(system.get_qb_entry_state(data().QB_001) == globals.COMPLETE):
			initDlg_20_SchattenBefreitSamsonAngesprochen()
			
	elif(target=="JACOB"):
		# beim zweiten Mal ansprechen
		if(data().MitJacobGesprochen):
			initDlg_022_NichtErstesMal()
			
	elif(target=="ZEKE"):
		# beim ersten ansprechen von Zeke
		if not (data().MitZekeGesprochen):
			initCutscene_Dlg_023_ZekeErstesMal()
		# bei weiterem ansprechen von Zeke aber keine Hilfe angeboten
		elif (data().MitZekeGesprochen and (system.get_qb_entry_state(data().QB_009) == globals.INACTIVE) and (system.get_qb_entry_state(data().QB_010) == globals.INACTIVE)):
			initDlg_024_NichtErstesMal_KeineHilfeAngeboten()
		# bei weiterem ansprechen von Zeke Hilfe angeboten
		elif (data().MitZekeGesprochen and (system.get_qb_entry_state(data().QB_009) == globals.UNCOMPLETE) or (system.get_qb_entry_state(data().QB_010) == globals.UNCOMPLETE)):
			initDlg_028_TuerIstZu()
		# bei weiterem ansprechen von Zeke Tür ist offen
		elif (data().TuerOffen):
			initDlg_027_TuerIstOffen()
		
	elif(target=="HYDE"):
		#Spieler hat die eingeschlossenen Shadows noch nicht gerettet
		if (not(system.get_qb_entry_state(data().QB_001) == globals.COMPLETE) or (data().Dlg_030_Interface_Eingesetzt)):
			initDlg_029_EingeschlosseneSchattenNichtBefreit()
		elif(system.get_qb_entry_state(data().QB_001) == globals.COMPLETE):
			initDlg_030_EingeschlosseneSchattenBefreit()
		
			
	elif(target=="HALE"):
		#Hale noch verwundet
		if (not data().HALE_Gesund):#.GetQBEntryState(data().QB_005) != globals.COMPLETE and not (data().MitHaleGesprochen)):
			initCutscene_Dlg_033_HaleVerwundet()
		#Hale geheilt
		elif (system.get_qb_entry_state(data().QB_016) != globals.COMPLETE and
			data().HALE_Gesund):
			initDlg_034_HaleGeheilt_SprichtMitSpielerErstesMal()
		#Hale hat Excavator gerade benutzt
		elif (system.get_qb_entry_state(data().QB_016) == globals.COMPLETE and system.get_qb_entry_state(data().QB_001) != globals.COMPLETE):
			initDlg_035_HaleHatExcavatorGefahren()
		#Nachdem Einsturz geräumt wurde
		elif (system.get_qb_entry_state(data().QB_001) == globals.COMPLETE):
			initDlg_036_SchattenGerettet_SpielerSprichtWiederMitHale()
	
	elif(target=="ANIE" and data().MitAnieGesprochen):
		if data().ANIE_Keine_Kranken:
			initDlg_073_AnieTagesablauf()
		else:
			initDlg_065_AnieSprichtNichtMitSpieler()
	
	elif(target in SAMSON_RETTUNGSTEAM):
		if (system.get_qb_entry_state(data().QB_001) == globals.COMPLETE):
			initDlg_069_Rettungsteam_Nach_Einsatz(target)
		else:
			initDlg_068_Rettungsteam_Im_Einsatz(target)
	
	elif schedules.Dialog(target, operator):
		return

def SpielerUntersuchtBohrgeraet():
	on_Bohrgeraet_marker()
	# Spieler untersucht das Bohrgerät, Variante: Kein Benzin und kein Verteiler
	if (not(system.get_qb_entry_state(data().QB_002) == globals.COMPLETE) and not(system.get_qb_entry_state(data().QB_003) == globals.COMPLETE) and not(system.get_qb_entry_state(data().QB_004) == globals.COMPLETE)):
		initDlg_039_UntersuchtBohrerKeinBenzinKeinVerteiler()
	# Spieler untersucht das Bohrgerät, Variante: Kein Verteiler
	elif ((not (system.get_qb_entry_state(data().QB_002) == globals.COMPLETE) and not (system.get_qb_entry_state(data().QB_003) == globals.COMPLETE)) and system.get_qb_entry_state(data().QB_004) == globals.COMPLETE):
		initDlg_053_UntersuchtBohrerKeinVerteiler()
	# Spieler untersucht das Bohrgerät, Variante: Kein Benzin
	elif ( (system.get_qb_entry_state(data().QB_002) == globals.COMPLETE or system.get_qb_entry_state(data().QB_003) == globals.COMPLETE) and not system.get_qb_entry_state(data().QB_004) == globals.COMPLETE):
		initDlg_054_UntersuchtBohrerKeinBenzin()
	# Spieler untersucht das Bohrgerät, Variante: Alles in Ordnung
	elif ((system.get_qb_entry_state(data().QB_002) == globals.COMPLETE or system.get_qb_entry_state(data().QB_003) == globals.COMPLETE) and system.get_qb_entry_state(data().QB_004) == globals.COMPLETE):
		initDlg_055_AllesInOrdnung()
	# Spieler untersucht das Bohrgerät, Variante: Nur Schrott (nachdem die Schatten befreit wurden)
	elif (system.get_qb_entry_state(data().QB_001) == globals.COMPLETE):
		initDlg_56_BohrgeraetIstSchrott()

def on_Bohrgeraet_marker():
	if not data().player_knows_Bohrgeraet:
		data().player_knows_Bohrgeraet = True
		system.add_minimap_marker(334.76, 368.60,"MM_002")# Bohrgerät

# Beim ersten Ansprechen von Kayla
def initDlg_001_SpielerSprichtErstmalsMitKayla():
	group = enemy_script.is_in_area(system.get_pcs(), 10, 'ALTER_EGO')
	dialog.init_dialog(type=DIALOGLARGE)
	dialog.add_text(text='D_001_T_001', speaker="KAYLA", callback = (Lambda('data().MitKaylaGesprochen = True')))
	dialog.add_text(text='D_001_T_002', speaker="ALTER_EGO")
	dialog.add_text(text='D_001_T_003', speaker="KAYLA")
	
	dialog.add_choice(text='D_001_C_003_1', follower='D_001_T_004')
	#Wenn Ziel 16 aktiv:
	if (system.get_qb_entry_state(data().QB_016) == globals.UNCOMPLETE):
		dialog.add_choice(text='D_001_C_003_2', follower='D_001_T_010')
	
	dialog.add_text(text='D_001_T_004', speaker='KAYLA')
	
	dialog.add_choice(text='D_001_C_004_1', follower='D_001_T_006')
	dialog.add_choice(text='D_001_C_004_2', follower='ENDDIALOG')
	
	dialog.add_text(text='D_001_T_005', speaker='KAYLA')
	
	# Ego hat 3 oder mehr im Inventory
	if(count_medi_pack(group) >= 3):
		dialog.add_choice(text='D_001_C_005_1', follower='D_001_T_008', callback = Lambda('Dlg_001_Helper(%s)' %group))
		dialog.add_choice(text='D_001_C_005_2', follower='D_001_T_007')
		dialog.add_choice(text='D_001_C_005_3', follower='D_001_T_007')
	# Ego hat 2 im Inventory
	elif(count_medi_pack(group) >= 2):
		dialog.add_choice(text='D_001_C_005_2', follower='D_001_T_007')
		dialog.add_choice(text='D_001_C_005_3', follower='D_001_T_007')
	# Ego hat 1 im Inventory
	elif(count_medi_pack(group) >= 1):
		dialog.add_choice(text='D_001_C_005_3', follower='D_001_T_007')
	# Ego gibt kein Medipack
	dialog.add_choice(text='D_001_C_005_4', follower='ENDDIALOG', callback = (Lambda('system.set_qb_entry_state(data().QB_005, globals.UNCOMPLETE)')))
	dialog.add_choice(text='D_001_C_005_5', follower='ENDDIALOG')
	
	dialog.add_text(text='D_001_T_006', speaker='KAYLA')
	
	dialog.add_choice(text='D_001_C_006_1', follower='D_001_T_005')
	dialog.add_choice(text='D_001_C_006_2', follower='ENDDIALOG')
	
	dialog.add_text(text='D_001_T_007', speaker='KAYLA', follower='ENDDIALOG', callback = Lambda('system.set_qb_entry_state(data().QB_005, globals.UNCOMPLETE)'))
	dialog.add_text(text='D_001_T_008', speaker='KAYLA')
	dialog.add_text(text='D_001_T_009', speaker='ALTER_EGO', follower='ENDDIALOG')
	dialog.add_text(text='D_001_T_010', speaker='KAYLA', callback = Text_10_Questbook)
	
	dialog.add_choice(text='D_001_C_010_1', follower='D_001_T_005')
	dialog.add_choice(text='D_001_C_010_2', follower='ENDDIALOG')

	dialog.start(False)

def Dlg_001_Helper(group):
	gibt_Medpacks(group, 3)
	Quest_005_Geloest()

def Text_10_Questbook():
	system.set_qb_entry_state(data().QB_005, globals.INACTIVE)
	system.set_qb_entry_state(data().QB_018, globals.UNCOMPLETE)

def count_medi_pack(group):
	COUNT_MEDI_PACKS = 0
	for char in group:
		COUNT_MEDI_PACKS += object.count_in_inventory(char, 'SET_MEDIPACK_BIG')
	for char in group:
		for item_id in object.get_inventory_id_list(char):
			if string.count(item_id, 'SET_MULTI_MEDIPACK'):
				COUNT_MEDI_PACKS += object.get_attribute(item_id, "charge")
	return COUNT_MEDI_PACKS

def medi_pack_check(char_id, count):
	if data().KaylaNumberMedpacks >= 3:
		return 0
	for item_id in object.get_inventory_id_list(char_id):
		if string.count(item_id, 'SET_MEDIPACK_BIG'):
			data().KaylaNumberMedpacks += 1
			count -= 1
			object.remove_item_from_inventory(char_id, item_id)
			if count == 0:
				return 0
			if data().KaylaNumberMedpacks >= 3:
				return 0
		if string.count(item_id, 'SET_MULTI_MEDIPACK'):
			if object.has_attribute(item_id, "charge"):
				charge = object.get_attribute(item_id, "charge")
				while charge > 0:
					data().KaylaNumberMedpacks += 1
					charge -= 1
					count -= 1
					
## wenn die kisten nicht mit entfernt werden sollen
					object.set_attribute(item_id, "charge", charge)
					
## wenn die kisten mit entfernt werden sollen
					#if charge > 0:
					#	object.set_attribute(item_id, "charge", charge)
					#else:
					#	object.remove_item_from_inventory(char_id, item_id)
###################################################
					if count == 0:
						return 0
					if data().KaylaNumberMedpacks >= 3:
						return 0
	if count == 0:
		return 0
	else:
		return count

def medi_pack_error(group, i):
	print '#####################################################################'
	print 'Gruppe hat zu wenige Medi_Packs im Inventar !!!'
	print i,'werden benötigt'
	print 'Gruppe : ', group
	print '#####################################################################'
	

def gibt_Medpacks(group, packs):
	print 'gibt_Medpacks(',group, packs,')'
	for char in group:
		print char
		if medi_pack_check(char, packs) == 0:
			return None
	medi_pack_error(group, packs)

def Quest_005_Geloest():
	data().KrankePflegeBeendet = True
	object.set_immortal_state('VS_006', False)
	object.set_attribute('VS_006', 'hitpoints', 30)
	object.set_immortal_state('VS_006', True)
	object.set_immortal_state('VS_011', False)
	object.set_attribute('VS_011', 'hitpoints', 30)
	object.set_immortal_state('VS_011', True)
	system.set_qb_entry_state(data().QB_005, globals.COMPLETE)
	character.add_experience_party(500)
	
# Spieler spricht Kayla an und hat Quest (5) angenommen
def initDlg_002_WiederGespraechMitKayla_Quest_5_Aktiv():
	group = enemy_script.is_in_area(system.get_pcs(), 10, 'ALTER_EGO')
	dialog.init_dialog(type=DIALOGLARGE)
	
	dialog.add_text(text='D_002_T_001', speaker='KAYLA')
	
	# Wenn Spieler 3 oder mehr Medipaks hat
	if(count_medi_pack(group) >= 3):
		# 3 Medpacks werden übergeben
		dialog.add_choice(text='D_002_C_001_1', follower='D_002_T_004', callback = Lambda('gibt_Medpacks(%s, 3)' %group))
		# Kayla hat 0 oder 1 Medpack und 1 wird übergeben
		if(data().KaylaNumberMedpacks < 2):
			dialog.add_choice(text='D_002_C_001_2', follower='D_002_T_002', callback = Lambda('gibt_Medpacks(%s, 1)' %group))
		# Kayla hat 2 oder mehr Medpack's und 1 wird übergeben
		elif(data().KaylaNumberMedpacks >= 2):
			dialog.add_choice(text='D_002_C_001_2', follower='D_002_T_004', callback = Lambda('gibt_Medpacks(%s, 1)' %group))
		# Kayla hat 0 Medpack und 2 werden übergeben
		if(data().KaylaNumberMedpacks == 0):
			dialog.add_choice(text='D_002_C_001_3', follower='D_002_T_002', callback = Lambda('gibt_Medpacks(%s, 2)' %group))
		# Kayla hat 1 Medpack's und 2 werden übergeben
		elif(data().KaylaNumberMedpacks >= 1):
			dialog.add_choice(text='D_002_C_001_3', follower='D_002_T_004', callback = Lambda('gibt_Medpacks(%s, 2)' %group))
		
	# Wenn Spieler 2 Medpack's im Inventory hat
	if(count_medi_pack(group) == 2):
		# Kayla hat 0 oder 1 Medpack und 1 wird übergeben
		if(data().KaylaNumberMedpacks < 2):
			dialog.add_choice(text='D_002_C_001_2', follower='D_002_T_002', callback = Lambda('gibt_Medpacks(%s, 1)' %group))
		# Kayla hat 2 oder mehr Medpack's und 1 wird übergeben
		elif(data().KaylaNumberMedpacks >= 2):
			dialog.add_choice(text='D_002_C_001_2', follower='D_002_T_004', callback = Lambda('gibt_Medpacks(%s, 1)' %group))
		# Kayla hat 0 Medpack und 2 werden übergeben
		if(data().KaylaNumberMedpacks == 0):
			dialog.add_choice(text='D_002_C_001_3', follower='D_002_T_002', callback = Lambda('gibt_Medpacks(%s, 2)' %group))
		# Kayla hat 1 oder mehr Medpack's und 2 werden übergeben
		elif(data().KaylaNumberMedpacks >= 1):
			dialog.add_choice(text='D_002_C_001_3', follower='D_002_T_004', callback = Lambda('gibt_Medpacks(%s, 2)' %group))
			
	# Wenn Spieler 1 Medpack im Inventory hat
	if(count_medi_pack(group) == 1):
		# Kayla hat 0 oder 1 Medpack und 1 wird übergeben
		if(data().KaylaNumberMedpacks < 2):
			dialog.add_choice(text='D_002_C_001_2', follower='D_002_T_002', callback = Lambda('gibt_Medpacks(%s, 1)' %group))
		# Kayla hat 2 oder mehr Medpack's und 1 wird übergeben
		elif(data().KaylaNumberMedpacks >= 2):
			dialog.add_choice(text='D_002_C_001_2', follower='D_002_T_004', callback = Lambda('gibt_Medpacks(%s, 1)' %group))
	
	if (system.get_qb_entry_state(data().QB_016) == globals.UNCOMPLETE):
		dialog.add_choice(text='D_002_C_001_4', follower='D_002_T_006')
	dialog.add_choice(text='D_002_C_001_5', follower='ENDDIALOG')
	
	dialog.add_text(text='D_002_T_002', speaker='KAYLA')
	dialog.add_text(text='D_002_T_003', speaker='ALTER_EGO', follower='ENDDIALOG')
	
	# Kayla hat nun 3 Medpacks Ziel 5 gelöst
	dialog.add_text(text='D_002_T_004', speaker='KAYLA')
	dialog.add_text(text='D_002_T_005', speaker='ALTER_EGO', follower='ENDDIALOG', callback = Dialog_02_Quest_005_GELOEST)
	
	dialog.add_text(text='D_002_T_006', speaker='KAYLA', callback = Dialog_02_Quest_005_Iactive)
	dialog.add_choice(text='D_002_C_006_1', follower='D_002_T_007')
	dialog.add_choice(text='D_002_C_006_2', follower='ENDDIALOG')
	
	dialog.add_text(text='D_002_T_007', speaker='KAYLA')
	dialog.add_choice(text='D_002_C_007_1', follower='ENDDIALOG')
	
	dialog.add_choice(text='D_002_C_007_2', follower='ENDDIALOG')
	dialog.start(False)
	

def Dialog_02_Quest_005_GELOEST():
	data().KrankePflegeBeendet = True
	system.set_qb_entry_state(data().QB_005, globals.COMPLETE)
	character.add_experience_party(500)
	system.set_qb_entry_state(data().QB_018, globals.INACTIVE)

def Dialog_02_Quest_005_Iactive():
	system.set_qb_entry_state(data().QB_005, globals.INACTIVE)
	system.set_qb_entry_state(data().QB_018, globals.UNCOMPLETE)

# Spieler spricht wiederholt mit Kayla hat aber Ziel 5 noch nicht angenommen
def initDlg_003_GerspraechMitKayla_Ziel_5_NichtAktiv():
	group = enemy_script.is_in_area(system.get_pcs(), 10, 'ALTER_EGO')
	
	dialog.init_dialog(type=DIALOGLARGE)
	dialog.add_text(text='D_003_T_001', speaker='KAYLA')
	
	dialog.add_choice(text='D_003_C_001_1', follower='D_003_T_002')
	
	if (system.get_qb_entry_state(data().QB_016) == globals.UNCOMPLETE):
		dialog.add_choice(text='D_003_C_001_2', follower='D_003_T_004')
	
	dialog.add_choice(text='D_003_C_001_3', follower='ENDDIALOG')
	
	dialog.add_text(text='D_003_T_002', speaker='KAYLA')
	
	# Ego hat 3 oder mehr im Inventory
	if(count_medi_pack(group) >= 3):
		dialog.add_choice(text='D_003_C_002_1', follower='D_003_T_003', callback = Lambda('gibt_Medpacks(%s, 3)' %group))
		dialog.add_choice(text='D_003_C_002_2', follower='ENDDIALOG', callback = [Lambda('gibt_Medpacks(%s, 2)' %group), 
																				  Lambda('system.set_qb_entry_state(data().QB_005, globals.UNCOMPLETE)')])
		dialog.add_choice(text='D_003_C_002_3', follower='ENDDIALOG', callback = [Lambda('gibt_Medpacks(%s, 1)' %group), 
																				  Lambda('system.set_qb_entry_state(data().QB_005, globals.UNCOMPLETE)')])
	# Ego hat 2 im Inventory
	elif(count_medi_pack(group) == 2):
		dialog.add_choice(text='D_003_C_002_2', follower='ENDDIALOG', callback = [Lambda('gibt_Medpacks(%s, 2)' %group), 
																				  Lambda('system.set_qb_entry_state(data().QB_005, globals.UNCOMPLETE)')])
		dialog.add_choice(text='D_003_C_002_3', follower='ENDDIALOG', callback = [Lambda('gibt_Medpacks(%s, 1)' %group), 
																				  Lambda('system.set_qb_entry_state(data().QB_005, globals.UNCOMPLETE)')])
	# Ego hat 1 im Inventory
	elif(count_medi_pack(group) == 1):
		dialog.add_choice(text='D_003_C_002_3', follower='ENDDIALOG', callback = [Lambda('gibt_Medpacks(%s, 1)' %group), 
																				  Lambda('system.set_qb_entry_state(data().QB_005, globals.UNCOMPLETE)')])
	
	dialog.add_choice(text='D_003_C_002_4', follower='ENDDIALOG', callback = Lambda('system.set_qb_entry_state(data().QB_005, globals.UNCOMPLETE)'))
	
	dialog.add_text(text='D_003_T_003', speaker='KAYLA', follower='ENDDIALOG', callback = Dialog_003_Quest_005_Geloest)
	
	dialog.add_text(text='D_003_T_004', speaker='KAYLA', callback = Dialog_003_Quest_005_INACTIVE)
	dialog.add_choice(text='D_003_C_004_1', follower='D_003_T_002')
	dialog.add_choice(text='D_003_C_004_2', follower='ENDDIALOG')
	
	dialog.start(False)

def Dialog_003_Quest_005_Geloest():
	system.set_qb_entry_state(data().QB_005, globals.COMPLETE)
	character.add_experience_party(500)
	system.set_qb_entry_state(data().QB_018, globals.INACTIVE)

def Dialog_003_Quest_005_INACTIVE():
	system.set_qb_entry_state(data().QB_005, globals.INACTIVE)
	system.set_qb_entry_state(data().QB_018, globals.UNCOMPLETE)

# Spieler hat Ziel 5 gelöst
def initDlg_004_MedpackQuestSolved():
	dialog.init_dialog(type=DIALOGLARGE)
	dialog.add_text(text='D_004_T_001', speaker='KAYLA')
	
	dialog.add_choice(text='D_004_C_001_1', follower='D_004_T_002')
	if (system.get_qb_entry_state(data().QB_016) == globals.UNCOMPLETE and not(data().MitHaleGesprochen)):
		dialog.add_choice(text='D_004_C_001_2', follower='D_004_T_003')
	
	dialog.add_choice(text='D_004_C_001_3', follower='ENDDIALOG')
	dialog.add_text(text='D_004_T_002', speaker='KAYLA', follower = 'D_004_C_001')
	
	dialog.add_text(text='D_004_T_003', speaker='KAYLA', follower = 'D_004_C_001')
	
	dialog.start(False)

# Dialog 005: Wright spricht mit dem Spieler, sobald er ihn sieht (selbstauslösend) nach Dlg_038
def initDlg_005_WrightSprichtMitSpieler():
	dialog.init_dialog(type=DIALOGLARGE)
	
	dialog.add_text(text='D_005_T_001', speaker='WRIGHT', callback = [Lambda('data().MitWrightGesprochen = True'), onDlg_005_TimerAktivieren])
	dialog.add_text(text='D_005_T_002', speaker='ALTER_EGO')
	dialog.add_text(text='D_005_T_003', speaker='WRIGHT')
	
	dialog.add_choice(text='D_005_C_001_1', follower='D_005_T_004')
	dialog.add_choice(text='D_005_C_001_2', follower='ENDDIALOG')
	
	dialog.add_text(text='D_005_T_004', speaker='WRIGHT')
	
	dialog.add_choice(text='D_005_C_003_1', follower='D_005_T_005')
	dialog.add_choice(text='D_005_C_003_2', follower='ENDDIALOG')
	
	dialog.add_text(text='D_005_T_005', speaker='WRIGHT')
	
	#PC hat noch kein Dynamit entschärft
	if(data().DynamitEntsorgt == 0):
		dialog.add_choice(text='D_005_C_004_1', follower='D_005_T_006')
	
	#PC hat schon 1 Dynamit entschärft
	if(data().DynamitEntsorgt == 1):
		dialog.add_choice(text='D_005_C_004_2', follower='D_005_T_008')
	
	#PC hat schon 2 Dynamit entschärft
	if(data().DynamitEntsorgt == 2):
		dialog.add_choice(text='D_005_C_004_3', follower='D_005_T_008')
	
	#PC hat schon 3 Dynamit entschärft
	if(data().DynamitEntsorgt == 3):
		dialog.add_choice(text='D_005_C_004_4', follower='D_005_T_008')
	
	dialog.add_choice(text='D_005_C_004_5', follower='ENDDIALOG')
	
	dialog.add_text(text='D_005_T_006', speaker='WRIGHT')
	
	dialog.add_choice(text='D_005_C_005_1', follower='D_005_T_010')
	dialog.add_choice(text='D_005_C_005_2', follower='D_005_T_009')
	dialog.add_choice(text='D_005_C_005_3', follower='ENDDIALOG')
	
	dialog.add_text(text='D_005_T_010', speaker='WRIGHT')
	
	# Spieler hat explosives 70+
	if(onDlg_005_Explosives()):
		dialog.add_choice(text='D_005_C_006_1', follower='D_005_T_007')
	
	dialog.add_choice(text='D_005_C_006_2', follower = 'D_005_T_009')
	
	dialog.add_text(text='D_005_T_007', speaker='WRIGHT', follower='ENDDIALOG', callback = (Lambda('system.set_qb_entry_state(data().QB_006, globals.UNCOMPLETE)')))
	dialog.add_text(text='D_005_T_008', speaker='WRIGHT', follower='ENDDIALOG', callback = (Lambda('system.set_qb_entry_state(data().QB_006, globals.UNCOMPLETE)')))
	dialog.add_text(text='D_005_T_009', speaker='WRIGHT', follower='ENDDIALOG', callback = (Lambda('data().VonWrightAbgewiesen = True')))
	
	dialog.start(False)

# 1 Stunde bis dynamit explodiert 
def onDlg_005_TimerAktivieren():
	system.notify_timer(data().TimerDynamit, data().Timervalue_Dynamit)

def onDlg_005_Explosives():
	for PC_id in system.get_pcs():
		if (object.get_attribute(PC_id, 'explosives') >= 70):
			return True
	return False

def initCutscene_Dlg_038_WrightUnd3NPCS():
	system.start_cutscene()
	system.fade(globals.FADE_OUT, callback = onCutscene_Dlg_038_WrightUnd3NPCS)

def onCutscene_Dlg_038_WrightUnd3NPCS():
	if data().Wright_Genaehert_Von == 'N':
		system.set_camera_view(Cam_Wright_N_1)
		lambda_string_Wright_2 = 'system.set_camera_view(Cam_Wright_N_2)'
	if data().Wright_Genaehert_Von == 'S':
		system.set_camera_view(Cam_Wright_S_1)
		lambda_string_Wright_2 = 'system.set_camera_view(Cam_Wright_S_2)'
	if data().Wright_Genaehert_Von == 'O':
		system.set_camera_view(Cam_Wright_O_1)
		lambda_string_Wright_2 = 'system.set_camera_view(Cam_Wright_O_2)'
	if data().Wright_Genaehert_Von == 'W':
		system.set_camera_view(Cam_Wright_W_1)
		lambda_string_Wright_2 = 'system.set_camera_view(Cam_Wright_W_2)'
	
	system.fade(globals.FADE_IN)
	object.move_to('ALTER_EGO', 348.80, 255.21, speed = globals.MT_SLOW, callback = ['ONEND', Lambda('object.turn_to_object("ALTER_EGO", "WRIGHT")')])
	
	lambda_string_Wright_3 = 'system.set_camera_view(Cam_Wright_3)'
	lambda_string_Wright_4 = 'system.set_camera_view(Cam_Wright_4)'
	
	dialog.init_dialog(type=DIALOGSMALL)
	
	dialog.add_text(text='D_038_T_001', speaker='CHUCK', callback = Lambda(lambda_string_Wright_2))
	dialog.add_text(text='D_038_T_002', speaker='TONY')
	dialog.add_text(text='D_038_T_003', speaker='WRIGHT')
	dialog.add_text(text='D_038_T_004', speaker='VANESSA', callback = Lambda(lambda_string_Wright_3))
	dialog.add_text(text='D_038_T_005', speaker='CHUCK')
	dialog.add_text(text='D_038_T_006', speaker='TONY')
	dialog.add_text(text='D_038_T_007', speaker='VANESSA')
	dialog.add_text(text='D_038_T_008', speaker='CHUCK')
	dialog.add_text(text='D_038_T_009', speaker='VANESSA', callback = Lambda(lambda_string_Wright_4))
	dialog.add_text(text='D_038_T_010', speaker='WRIGHT', follower='ENDDIALOG', callback = onDlg_038_End)
	
	dialog.start()
	
def onDlg_038_End():
	object.turn_to_object('WRIGHT', 'ALTER_EGO')
	object.move_to_object('ALTER_EGO', 'WRIGHT', speed = MT_SLOW, callback = ['ONEND', onDlg_038_End_1])

def onDlg_038_End_1(id):
	object.turn_to_object('WRIGHT', 'ALTER_EGO', callback = ['ONEND', onDlg_038_End_2])

def onDlg_038_End_2(id):
	dynamic_camera.end_cutscene(chars = ['ALTER_EGO', 'WRIGHT', 'CHUCK', 'TONY', 'VANESSA'])
	data().CutsceneWrightGelaufen = True
	initDlg_005_WrightSprichtMitSpieler()

# Dialog 006: Der Spieler spricht mit Wright, nachdem er die Dynamitquest angenommen hat
def initDlg_006_SpielerHatDynamitQuest():
	dialog.init_dialog(type=DIALOGLARGE)
	
	dialog.add_text(text='D_006_T_001', speaker='WRIGHT')
	
	#PC hat alle 4 Dynamit entschärft
	if(data().DynamitEntsorgt == 4):
		dialog.add_choice(text='D_006_C_001_1', follower='D_006_T_003')
	
	#PC hat noch kein Dynamit entschärft
	if(data().DynamitEntsorgt == 0):
		dialog.add_choice(text='D_006_C_001_2', follower='D_006_T_002')
	
	#PC hat noch nicht alle Dynamit entschärft
	if(data().DynamitEntsorgt >= 0 and data().DynamitEntsorgt < 4):
		dialog.add_choice(text='D_006_C_001_3', follower='ENDDIALOG')
	
	dialog.add_text(text='D_006_T_002', speaker='WRIGHT', follower='ENDDIALOG', callback = (Lambda('system.set_qb_entry_state(data().QB_006, globals.IMPOSSIBLE)')))
	dialog.add_text(text='D_006_T_003', speaker='WRIGHT')
	
	dialog.add_choice(text='D_006_C_003_1', follower='ENDDIALOG', callback = Dlg_007_ENDE)
	dialog.add_choice(text='D_006_C_003_2', follower='ENDDIALOG', callback = Dlg_007_ENDE)
	
	dialog.start(False)
	
def Dlg_007_ENDE():
	system.set_qb_entry_state(data().QB_006, globals.COMPLETE)
	character.add_experience_party(1500)

def initDlg_007_SpielerHatDynamitQuestBeendet():
	dialog.init_dialog(type=DIALOGLARGE)
	dialog.add_text(text='D_007_T_001', speaker='WRIGHT')
	
	dialog.add_choice(text='D_007_C_001_1', follower='D_007_T_002')
	if not data().Dlg_007_C_002:
		if object.get_attribute('ALTER_EGO', 'speech') > 90:
			dialog.add_choice(text='D_007_C_001_2', follower='D_007_T_006')
		else:
			dialog.add_choice(text='D_007_C_001_2', follower='D_007_T_007')
	dialog.add_choice(text='D_007_C_001_3', follower='ENDDIALOG')
	
	dialog.add_text(text='D_007_T_002', speaker='WRIGHT')
	
	dialog.add_choice(text='D_007_C_002_1', follower='D_007_T_003')
	dialog.add_choice(text='D_007_C_002_2', follower='ENDDIALOG')
	
	dialog.add_text(text='D_007_T_003', speaker='WRIGHT')
	
	dialog.add_choice(text='D_007_C_003_1', follower='D_007_T_004')
	dialog.add_choice(text='D_007_C_003_2', follower='ENDDIALOG')
	
	dialog.add_text(text='D_007_T_004', speaker='WRIGHT')
	dialog.add_text(text='D_007_T_005', speaker='ALTER_EGO', follower='ENDDIALOG')
	
	dialog.add_text(text='D_007_T_006', speaker='WRIGHT', follower='D_007_C_001', callback = Dlg_007_Ende)
	dialog.add_text(text='D_007_T_007', speaker='WRIGHT', follower='D_007_C_001', callback = Lambda('data().Dlg_007_C_002 = True'))
	
	dialog.start(False)
	
def Dlg_007_Ende():
	data().Dlg_007_C_002 = True
	object.create_item_in_inventory("ALTER_EGO","SET_MEAT_COOKED_BIG")

# Dialog 008: Spieler spricht mit Wright, Spieler ist nicht auf der Dynamitquest, eine Stunde ist noch nicht verstrichen.
def initDlg_008_SpielerNichtBeiDynamitQuest_HourNotPassed():
	dialog.init_dialog(type=DIALOGLARGE)
	
	dialog.add_text(text='D_008_T_001', speaker='WRIGHT')
	
	#PC hat noch kein Dynamit entschärft und wurde von Wright noch nicht abgewiesen
	if not(data().VonWrightAbgewiesen):
		dialog.add_choice(text='D_008_C_001_1', follower='D_008_T_002')
	
	#PC hat 1 Dynamit entschärft
	if(data().DynamitEntsorgt == 1):
		dialog.add_choice(text='D_008_C_001_2', follower='D_008_T_003')
	
	#PC hat 2 Dynamit entschärft
	if(data().DynamitEntsorgt == 2):
		dialog.add_choice(text='D_008_C_001_3', follower='D_008_T_003')
	
	#PC hat 3 Dynamit entschärft
	if(data().DynamitEntsorgt == 3):
		dialog.add_choice(text='D_008_C_001_4', follower='D_008_T_003')
	
	#PC hat alle 4 Dynamit entschärft
	if(data().DynamitEntsorgt == 4):
		dialog.add_choice(text='D_008_C_001_5', follower='D_008_T_007')
	
	dialog.add_choice(text='D_008_C_001_6', follower='ENDDIALOG')
	
	dialog.add_text(text='D_008_T_002', speaker='WRIGHT', follower='D_008_C_002')
	
	dialog.add_choice(text='D_008_C_002_1', follower='D_008_T_004')
	dialog.add_choice(text='D_008_C_002_2', follower='D_008_T_006')
	dialog.add_choice(text='D_008_C_002_3', follower='ENDDIALOG')
	
	dialog.add_text(text='D_008_T_003', speaker='WRIGHT', follower='ENDDIALOG', callback = (Lambda('system.set_qb_entry_state(data().QB_006, globals.UNCOMPLETE)')))
	dialog.add_text(text='D_008_T_004', speaker='WRIGHT')
	
	#PC hat Explosives 70+
	if(onDlg_005_Explosives()):
		dialog.add_choice(text='D_008_C_004_1', follower='D_008_T_005')
	
	dialog.add_choice(text='D_008_C_004_2', follower='D_008_T_006')
	
	dialog.add_text(text='D_008_T_005', speaker='WRIGHT', follower='ENDDIALOG', callback = (Lambda('system.set_qb_entry_state(data().QB_006, globals.UNCOMPLETE)')))
	dialog.add_text(text='D_008_T_006', speaker='WRIGHT', follower='ENDDIALOG')
	dialog.add_text(text='D_008_T_007', speaker='WRIGHT')
	
	dialog.add_choice(text='D_008_C_007_1', follower='ENDDIALOG', callback = Dlg_008_ENDE)
	dialog.add_choice(text='D_008_C_007_2', follower='ENDDIALOG', callback = Dlg_008_ENDE)
	
	dialog.start(False)
	
def Dlg_008_ENDE():
	system.set_qb_entry_state(data().QB_006, globals.COMPLETE)
	character.add_experience_party(1500)

# Dialog 009: Spieler spricht mit Wight, Spieler hat niemals die Dynamitquest angenommen, eine Stunde ist verstrichen (oder der Spieler hat versagt)
def initDlg_009_SpielerHatNieDynamitQuestAngenommen_ZeitVerstrichen():
	dialog.init_dialog(type=DIALOGLARGE)
	
	dialog.add_text(text='D_009_T_001', speaker='WRIGHT')
	
	dialog.add_choice(text='D_009_C_001_1', follower='D_009_T_002')

	#1 Stunde ist vergangen
	if(data().TimerAbgelaufen):
		dialog.add_choice(text='D_009_C_001_2', follower='D_009_T_006', callback = Dyn_Inactive)
	
	#weniger als 1 Stunde ist vergangen
	if not (data().TimerAbgelaufen):
		dialog.add_choice(text='D_009_C_001_2', follower='D_009_T_007')
	
	dialog.add_choice(text='D_009_C_001_3', follower='ENDDIALOG')
	
	dialog.add_text(text='D_009_T_002', speaker='WRIGHT')
	
	dialog.add_choice(text='D_009_C_002_1', follower='D_009_T_003')
	dialog.add_choice(text='D_009_C_002_2', follower='ENDDIALOG')
	
	dialog.add_text(text='D_009_T_003', speaker='WRIGHT')
	
	dialog.add_choice(text='D_009_C_003_1', follower='D_009_T_004')
	dialog.add_choice(text='D_009_C_003_2', follower='ENDDIALOG')
	
	dialog.add_text(text='D_009_T_004', speaker='WRIGHT')
	dialog.add_text(text='D_009_T_005', speaker='ALTER_EGO', follower='ENDDIALOG')
	dialog.add_text(text='D_009_T_006', speaker='WRIGHT')
	
	dialog.add_choice(text='D_009_C_006_1', follower='D_009_T_002')
	dialog.add_choice(text='D_009_C_006_2', follower='ENDDIALOG')
	
	dialog.add_text(text='D_009_T_007', speaker='WRIGHT', follower='ENDDIALOG')
	
	dialog.start(False)
	
def Dyn_Inactive():
	for id in data().DYNAMIT:
		object.set_active_state(id , False)

def initCutscene_Dlg_010_SpielerHatKeineZeitMehr_IstNaheDynamit_1():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_010_T_001', speaker='WRIGHT', follower='ENDDIALOG')
	dialog.start()
	
def initCutscene_Dlg_010_SpielerHatKeineZeitMehr_IstNaheDynamit_2():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_010_T_002', speaker='WRIGHT')
	dialog.add_text(text='D_010_T_003', speaker='WRIGHT', follower='ENDDIALOG', callback = zone_9.DynamitQuestAbgegrochen_3)
	
	dialog.start()
	
def initDlg_011_SpielerHatKeineZeitMehr_IstNichtNaheDynamit():
	dialog.init_dialog(type=DIALOGSMALL)
	
	dialog.add_text(text='D_011_T_001', speaker='WRIGHT')
	dialog.add_text(text='D_011_T_002', speaker='WRIGHT', follower='ENDDIALOG')
	
	dialog.start()

# Spieler spricht Erlan erstmals an
def initDlg_012_SpielerSprichtErstesMalMitErlan():
	object.turn_to_object('ERLAN', 'ALTER_EGO', callback = ['ONEND', onDlg_012_SpielerSprichtErstesMalMitErlan_1])
	
def onDlg_012_SpielerSprichtErstesMalMitErlan_1(id):
	
	dialog.init_dialog(type=DIALOGLARGE)
	
	dialog.add_text(text='D_012_T_001', speaker='ERLAN')
	dialog.add_text(text='D_012_T_002', speaker='ALTER_EGO')
	dialog.add_text(text='D_012_T_003', speaker='ERLAN', follower='D_012_C_003')
	
	dialog.add_choice(text='D_012_C_003_2', follower='D_012_T_004')
	dialog.add_choice(text='D_012_C_003_3', follower='ENDDIALOG', callback = Lambda('onDlg_012_SpielerSprichtErstesMalMitErlan_1_2("ERLAN")'))
	
	dialog.add_text(text='D_012_T_004', speaker='ERLAN')
	dialog.add_text(text='D_012_T_005', speaker='ERLAN', follower='D_012_C_005')
	
	dialog.add_choice(text='D_012_C_005_1', follower='D_012_T_006')
	dialog.add_choice(text='D_012_C_005_3', follower='ENDDIALOG', callback = Lambda('onDlg_012_SpielerSprichtErstesMalMitErlan_1_2("ERLAN")'))
	
	dialog.add_text(text='D_012_T_006', speaker='ERLAN', follower='ENDDIALOG', callback = onDlg_012_SpielerSprichtErstesMalMitErlan_1_3)
	dialog.start()

def onDlg_012_SpielerSprichtErstesMalMitErlan_1_2(id):
	const.Loops_Erlan = 0
	allow_activity(id)
	data().MitErlanGesprochen = True

def onDlg_012_SpielerSprichtErstesMalMitErlan_1_3():
	const.Loops_Erlan = 0
	allow_activity(id)
	data().MitErlanGesprochen = True
	system.set_qb_entry_state(data().QB_007, globals.UNCOMPLETE)

# Spieler ist auf der Brunnenquest
def initDlg_013_SpielerHatWellQuest():
	dialog.init_dialog(type=DIALOGLARGE)
	
	dialog.add_text(text='D_013_T_001', speaker='ERLAN')
	
	#Nur wenn Ziel_08 gelöst ist
	if data().Quelle_Gefunden:
		dialog.add_choice(text='D_013_C_001_1', follower='D_013_T_002')
	
	dialog.add_choice(text='D_013_C_001_2', follower='D_013_T_003')
	
	dialog.add_text(text='D_013_T_002', speaker='ERLAN', callback = Brunnen_End)
	
	dialog.add_choice(text='D_013_C_002_2', follower='ENDDIALOG', callback = onDlg_013_Brunnen_Bauen)
	
	dialog.add_text(text='D_013_T_003', speaker='ERLAN', follower = 'ENDDIALOG', callback = [Lambda('allow_activity("ERLAN")'),
												Lambda('const.Loops_Erlan = 0')])
	
	dialog.start(False)
	

def Brunnen_End():
	system.set_qb_entry_state(data().QB_007, globals.COMPLETE)
	character.add_experience_party(500)

def onDlg_013_Brunnen_Bauen():
	object.move_to('ERLAN', 581.81, 477.99)
	object.move_to('ERLAN', 517.15, 489.70)
	object.move_to('ERLAN', 507.00, 510.80)
	object.move_to('ERLAN', 466.41, 525.65)
	object.move_to('ERLAN', 440.08, 505.14)
	object.move_to('ERLAN', 478.84, 436.05)
	object.move_to('ERLAN', 523.64, 396.92)
	object.move_to('ERLAN', 546.30, 394.85, callback = ['ONEND', onDlg_013_Brunnen_Bauen_1])
	
def onDlg_013_Brunnen_Bauen_1(id):
	character.play_animation(id, 'CM_NPC_STEHEN_LOCH_GRABEN_START')
	character.play_animation(id, 'CM_NPC_STEHEN_LOCH_GRABEN_LOOP')
	character.play_animation(id, 'CM_NPC_STEHEN_LOCH_GRABEN_ENDE', callback = ['ONEND', onDlg_013_Brunnen_Bauen_2 ])

def onDlg_013_Brunnen_Bauen_2(id):
	enemy_script.evacuate( system.get_pcs(), (546.30, 394.85), 3, callback = Lambda("object.turn_to_position(parameter, 546.30, 394.85)" , "parameter"))
	object.move_to(id, 544.83, 394.10, callback = ['ONEND',onDlg_013_Brunnen_Bauen_3]) 
	
def onDlg_013_Brunnen_Bauen_3(id):
	object.turn_to_position(id, 546.30, 394.85)
	system.create_object('RES3D_TRES_OBJECTS_BUILDING_SMALL_WELL', 546.31, 394.09, id = 'BRUNNEN')
	object.set_immortal_state('BRUNNEN', True)
	allow_activity("ERLAN")

# Spieler hat schon mit Erlan gesprochen und ist nicht auf der Brunnenquest
def initDlg_014_SpielerHatNichtWellQuest():
	dialog.init_dialog(type=DIALOGLARGE)
	
	dialog.add_text(text='D_014_T_001', speaker='ERLAN')
	
	dialog.add_choice(text='D_014_C_001_1', follower='D_014_T_002')
	dialog.add_choice(text='D_014_C_001_2', follower='ENDDIALOG', callback = Lambda('const.Loops_Erlan = 0'))
	
	dialog.add_text(text='D_014_T_002', speaker='ERLAN', follower='ENDDIALOG', callback = onDlg_014_SpielerHatNichtWellQuest_1_2)
	
	dialog.start()

def onDlg_014_SpielerHatNichtWellQuest_1_2():
	const.Loops_Erlan = 0
	system.set_qb_entry_state(data().QB_007, globals.UNCOMPLETE)

# Spiler hat BrunnenQuest gelöst
def initDlg_016_SpielerHatWellQuestFertig():
	dialog.init_dialog(type=DIALOGSMALL)
	
	dialog.add_text(text='D_016_T_001', speaker='ERLAN')
	
	dialog.add_text(text='D_016_T_002', speaker='ALTER_EGO', follower='ENDDIALOG', callback = Lambda('const.Loops_Erlan = 0'))
	
	dialog.start()
	
def initCutscene_Dlg_051_SamsonLeitetHilfsoperation():
	object.cancel_commandos('SAMSON')
	object.set_position('ALTER_EGO', 523.49, 249.58)
	object.turn_to_direction('SAMSON', 300)
	system.set_camera_view([521.21630859375, 260.69815063476562, 20.176708221435547, -0.38099229335784912, -0.89923298358917236, -0.21499994397163391])
	system.start_cutscene()
	object.move_to('ALTER_EGO', 515.27, 246.12, speed = MT_SLOW, callback = ['ONEND', Dlg_051_Ego_1])
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_051_T_001', speaker='SAMSON', callback = Dlg_051_Samson_1)
	dialog.add_text(text='D_051_T_002', speaker='ALTER_EGO', callback = Lambda('system.set_camera_view([518.348388671875, 251.44189453125, 15.984220504760742, -0.45377743244171143, -0.86478942632675171, -0.21500080823898315])'))
	dialog.add_text(text='D_051_T_003', speaker='SAMSON', callback = Dlg_051_Samson_2)
	dialog.add_text(text='D_051_T_004', speaker='ALTER_EGO', follower='ENDDIALOG', callback = onCutscene_Dlg_051_SamsonLeitetHilfsoperation_1)
	dialog.start()
	
def onCutscene_Dlg_051_SamsonLeitetHilfsoperation_1(id = None):
	data().Dlg_051_Counter += 1
	if data().Dlg_051_Counter == 2:
		data().Dlg_051_Counter = 0
		dynamic_camera.set_conversation("SAMSON", "ALTER_EGO", mode = "close")
		dialog.init_dialog(type=DIALOGSMALL)
		dialog.add_text(text='D_051_T_005', speaker='SAMSON', callback = Dlg_051_Ego_2)
		dialog.add_text(text='D_051_T_006', speaker='ALTER_EGO', callback = Dlg_051_Samson_3)
		dialog.add_text(text='D_051_T_007', speaker='SAMSON', follower='ENDDIALOG', callback = Dlg_051_End)
		dialog.start()

def Dlg_051_Samson_1():
	object.turn_to_direction("SAMSON", 150)
	enemy_script.delay(1.5, Lambda('object.turn_to_object("SAMSON", "ALTER_EGO")'))

def Dlg_051_Samson_2():
	system.set_camera_view([520.302490234375, 239.67204284667969, 15.984218597412109, -0.72474914789199829, 0.65460985898971558, -0.21499937772750854])
	
def Dlg_051_Samson_3():
	dynamic_camera.set_conversation('SAMSON', 'ALTER_EGO',  mode = 'close')
	
def Dlg_051_Ego_1(id):
	dynamic_camera.set_conversation('SAMSON', 'ALTER_EGO', new_camera = False)
	object.move_to('ALTER_EGO', 515.24, 244.18, speed = MT_SLOW, callback = ['ONEND', Dlg_051_Ego_3])
	
def Dlg_051_Ego_2():
	dynamic_camera.set_conversation('ALTER_EGO', 'SAMSON', mode = 'close')

def Dlg_051_Ego_3(id):
	object.cancel_commandos('ALTER_EGO')
	object.turn_to_object("ALTER_EGO", 'SAMSON', callback = ['ONEND', onCutscene_Dlg_051_SamsonLeitetHilfsoperation_1])


def Dlg_051_End():
	enemy_script.delay(1, Lambda('dynamic_camera.end_cutscene(chars = ["ALTER_EGO", "SAMSON"])'))
	enemy_script.delay(1.5, Lambda('onDlg_017SpielerSprichtErstmalsMitSamson()'))

def onDlg_017SpielerSprichtErstmalsMitSamson():
	dialog.init_dialog(type=DIALOGLARGE)
	dialog.add_choice(text='D_017_C_007_1', follower = 'D_017_T_007')
	dialog.add_choice(text='D_017_C_007_2', follower = 'D_017_T_010')
	
	dialog.add_text(text='D_017_T_007', speaker='SAMSON')
	
	dialog.add_choice(text='D_017_C_008_1', follower = 'D_017_T_008')
	dialog.add_choice(text='D_017_C_008_2', follower = 'D_017_T_012')
	
	dialog.add_text(text='D_017_T_008', speaker='SAMSON')
	dialog.add_text(text='D_017_T_009', speaker='ALTER_EGO', follower = 'ENDDIALOG', callback = onDlg_017SpielerSprichtErstmalsMitSamson_1)
	
	dialog.add_text(text='D_017_T_010', speaker='SAMSON')
	dialog.add_text(text='D_017_T_011', speaker='ALTER_EGO', follower = 'D_017_T_007')
	
	dialog.add_text(text='D_017_T_012', speaker='SAMSON')
	dialog.add_text(text='D_017_T_013', speaker='ALTER_EGO', follower = 'D_017_T_008')
	
	dialog.start()
	
def onDlg_017SpielerSprichtErstmalsMitSamson_1():
	system.set_qb_entry_state(data().QB_001, globals.UNCOMPLETE)
	data().MitSamsonGesprochen = True
	object.turn_to_object('SAMSON', HOEHLE_GESCHLOSSEN)

def initDlg_018_SamsonAngesprochenBohrDefekt():
	object.cancel_commandos('SAMSON')
	object.turn_to_object('SAMSON', 'ALTER_EGO', callback = ['ONEND', onDlg_018_SamsonAngesprochenBohrDefekt_1])
	
def onDlg_018_SamsonAngesprochenBohrDefekt_1(id):
	dialog.init_dialog(type=DIALOGLARGE)
	dialog.add_text(text='D_018_T_001', speaker='SAMSON')
	
	# (wenn ZONE9_AIM_02 | ZONE9_AIM_03 & ZONE9_AIM_04 gelöst sind)
	if ((system.get_qb_entry_state(data().QB_002) == globals.COMPLETE or
		 system.get_qb_entry_state(data().QB_003) == globals.COMPLETE) and
		 system.get_qb_entry_state(data().QB_004) == globals.COMPLETE):
			dialog.add_choice(text='D_018_C_001_1', follower = 'D_018_T_010')
	
	# wenn Verteiler und Benzin fehlen, BohrgeraetAngesehen == True
	elif(not object.count_in_inventory('ALTER_EGO', 'SET_GAS_CANISTER')	and 
	 	 not system.get_qb_entry_state(data().QB_004) == globals.COMPLETE and
	     not object.count_in_inventory('ALTER_EGO', 'SET_DISTRIBUTOR') and 
		 not(system.get_qb_entry_state(data().QB_002) == globals.COMPLETE or 
		 system.get_qb_entry_state(data().QB_003) == globals.COMPLETE) and
	     not object.count_in_inventory('ALTER_EGO','Z9 KANISTER_BENZIN') and
		 not object.count_in_inventory('ALTER_EGO', 'Z9 VERTEILER') and
		 data().BohrgeraetAngesehen):
		     dialog.add_choice(text='D_018_C_001_2', follower = 'D_018_T_002')
	
	# wenn Verteiler ganz und Benzin fehlt, BohrgeraetAngesehen == True
	if( not object.count_in_inventory('ALTER_EGO', 'SET_GAS_CANISTER') and 
		not object.count_in_inventory('ALTER_EGO','Z9 KANISTER_BENZIN') and
	    not system.get_qb_entry_state(data().QB_004) == globals.COMPLETE and
	    (system.get_qb_entry_state(data().QB_002) == globals.COMPLETE or 
	    system.get_qb_entry_state(data().QB_003) == globals.COMPLETE) and 
	    data().BohrgeraetAngesehen):
		     dialog.add_choice(text='D_018_C_001_3', follower = 'D_018_T_005')
	
	# wenn Aufgetankt aber Verteiler kaput, BohrgeraetAngesehen == True
	elif(not object.count_in_inventory('ALTER_EGO', 'SET_DISTRIBUTOR') and 
		 not object.count_in_inventory('ALTER_EGO', 'Z9 VERTEILER') and
		 not(system.get_qb_entry_state(data().QB_002) == globals.COMPLETE or 
		 system.get_qb_entry_state(data().QB_003) == globals.COMPLETE) and
		 system.get_qb_entry_state(data().QB_004) == globals.COMPLETE and 
		 data().BohrgeraetAngesehen):
		     dialog.add_choice(text='D_018_C_001_4', follower = 'D_018_T_007')
	
	dialog.add_choice(text='D_018_C_001_5', follower = 'D_018_T_009')
	
	# Spieler erfährt, wo er Treibstoff (Ziel_04) und einen Verteiler (Ziel_02) findet.
	dialog.add_text(text='D_018_T_002', speaker='SAMSON')
	dialog.add_text(text='D_018_T_003', speaker='SAMSON')
	dialog.add_text(text='D_018_T_004', speaker='ALTER_EGO', follower = 'ENDDIALOG', callback = Dlg_018_ENDE_1)
	
	# Spieler erfährt, wo er Treibstoff findet.
	dialog.add_text(text='D_018_T_005', speaker='SAMSON')
	dialog.add_text(text='D_018_T_006', speaker='ALTER_EGO', follower = 'ENDDIALOG', callback = Dlg_018_ENDE_2)
	
	# Spieler erfährt, wo er einen Verteiler findet.
	dialog.add_text(text='D_018_T_007', speaker='SAMSON')
	dialog.add_text(text='D_018_T_008', speaker='ALTER_EGO', follower = 'ENDDIALOG', callback = Dlg_018_ENDE_3)
	
	# Spieler hat sich das Bohrgerät noch nicht angesehen.
	dialog.add_text(text='D_018_T_009', speaker='SAMSON', follower = 'ENDDIALOG', callback = Dlg_018_ENDE_4)
	
	dialog.add_text(text='D_018_T_010', speaker='SAMSON')
	dialog.add_text(text='D_018_T_011', speaker='ALTER_EGO')
	dialog.add_text(text='D_018_T_012', speaker='SAMSON')
	dialog.add_text(text='D_018_T_013', speaker='ALTER_EGO')
	dialog.add_text(text='D_018_T_014', speaker='SAMSON')
	dialog.add_text(text='D_018_T_015', speaker='ALTER_EGO', follower = 'ENDDIALOG', callback = Dlg_018_ENDE_5)
	
	dialog.start(False)

def Dlg_018_ENDE_1():
	system.set_qb_entry_state(data().QB_004, globals.UNCOMPLETE) 
	system.set_qb_entry_state(data().QB_002, globals.UNCOMPLETE) 
	object.turn_to_object("SAMSON", HOEHLE_GESCHLOSSEN)
	
def Dlg_018_ENDE_2():
	system.set_qb_entry_state(data().QB_004, globals.UNCOMPLETE) 
	object.turn_to_object("SAMSON", HOEHLE_GESCHLOSSEN)
	
def Dlg_018_ENDE_3():
	system.set_qb_entry_state(data().QB_002, globals.UNCOMPLETE)
	object.turn_to_object("SAMSON", HOEHLE_GESCHLOSSEN)
	
def Dlg_018_ENDE_4():
	object.turn_to_object("SAMSON", HOEHLE_GESCHLOSSEN)
	
def Dlg_018_ENDE_5():
	system.set_qb_entry_state(data().QB_016, globals.UNCOMPLETE)

def onDlg_018_BohrgeraetRepariert():
	dialog.init_dialog(type=DIALOGLARGE)
	# Spieler erfährt von Hale (Ziel_16)

def initDlg_20_SchattenBefreitSamsonAngesprochen():
	dialog.init_dialog(type=DIALOGLARGE)
	dialog.add_text(text='D_020_T_001', speaker='SAMSON')
	
	dialog.add_choice(text='D_020_C_001_1', follower = 'D_020_T_002')
	if not data().Dlg_020_C_002:
		if object.get_attribute('ALTER_EGO', 'speech') > 80:
			dialog.add_choice(text='D_020_C_001_2', follower = 'D_020_T_007')
		else:
			dialog.add_choice(text='D_020_C_001_2', follower = 'D_020_T_008')
	dialog.add_choice(text='D_020_C_001_3', follower = 'ENDDIALOG')
	
	dialog.add_text(text='D_020_T_002', speaker='SAMSON')
	
	dialog.add_choice(text='D_020_C_002_1', follower = 'D_020_T_003')
	dialog.add_choice(text='D_020_C_002_2', follower = 'ENDDIALOG')
	
	dialog.add_text(text='D_020_T_003', speaker='SAMSON')
	dialog.add_text(text='D_020_T_004', speaker='SAMSON')
	dialog.add_text(text='D_020_T_005', speaker='SAMSON')
	dialog.add_text(text='D_020_T_006', speaker='ALTER_EGO', follower = 'ENDDIALOG')
	
	dialog.add_text(text='D_020_T_007', speaker='ALTER_EGO', follower = 'D_020_C_001', callback = Dlg_020_ENDE)
	dialog.add_text(text='D_020_T_008', speaker='ALTER_EGO', follower = 'D_020_C_001', callback = Lambda('data().Dlg_020_C_002 = True'))
	
	dialog.start(False)

def Dlg_020_ENDE():
	data().Dlg_020_C_002 = True
	object.create_item_in_inventory("ALTER_EGO","SET_M46_ARMORED_HELMET")

def initDlg_039_UntersuchtBohrerKeinBenzinKeinVerteiler():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_039_T_001', speaker = 'ALTER_EGO', follower = 'ENDDIALOG', callback = onDlg_039_QuestItemsAktivieren)
	
	dialog.start()

def onDlg_039_QuestItemsAktivieren():
	if enemy_script.check_char_skill(system.get_pcs(),'technic', 50):
		system.set_qb_entry_state(data().QB_003, globals.UNCOMPLETE)
	system.set_qb_entry_state(data().QB_002, globals.UNCOMPLETE)	
	system.set_qb_entry_state(data().QB_004, globals.UNCOMPLETE)
	data().BohrgeraetAngesehen = True

def initDlg_053_UntersuchtBohrerKeinVerteiler():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_053_T_001', speaker = 'ALTER_EGO', follower = 'ENDDIALOG')
	
	dialog.start()

def initDlg_054_UntersuchtBohrerKeinBenzin():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_054_T_001', speaker = 'ALTER_EGO', follower = 'ENDDIALOG')
	
	dialog.start()

def initDlg_055_AllesInOrdnung():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_055_T_001', speaker = 'ALTER_EGO', follower = 'ENDDIALOG')
	
	dialog.start()

def initDlg_56_BohrgeraetIstSchrott():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_056_T_001', speaker = 'ALTER_EGO', follower = 'ENDDIALOG')
	
	dialog.start()

# Spieler gebraucht einen Benzinkanister am Bohrgerät (selbstauslösend)
def initDlg_042_SpielerBetanktBohrgeraet():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_042_T_001', speaker = 'ALTER_EGO', follower = 'ENDDIALOG', callback = Dlg_042_ENDE)
	dialog.start(False)

def Dlg_042_ENDE():
	system.set_qb_entry_state(data().QB_004, globals.COMPLETE)
	character.add_experience_party(500)

# Spieler verkabelt Verteiler neu(selbstauslösend)
def initDlg_040_SpielerVerkabeltVerteilerNeu(char_id, character_id):
	# char_id	= der der kann
	# character_id	= der der ausgelöst hat
	system.set_camera_view(const.Cam_Bohrer_1)
	
	if character_id == char_id:
		system.fade(globals.FADE_IN)
		zone_9.UnEquip_Weapon_Direct(char_id)
		object.move_to(char_id, 333.47, 366.55, speed = globals.MT_SLOW, callback = ['ONEND', onDlg_040_SpielerVerkabeltVerteilerNeu_1])
	else:
		object.set_position(char_id, 330.73, 364.37)
		object.set_position(character_id, 331.39, 363.53)
		system.fade(globals.FADE_IN)
		zone_9.UnEquip_Weapon_Direct(char_id)
		object.move_to(character_id, 331.69, 366.69, speed = globals.MT_SLOW)
		object.move_to(char_id, 333.47, 366.55,  speed = globals.MT_SLOW, callback = ['ONEND', onDlg_040_SpielerVerkabeltVerteilerNeu_1])	
	
	
def onDlg_040_SpielerVerkabeltVerteilerNeu_1(char_id):
	object.turn_to_direction(char_id, direction = 180, callback = ['ONEND', onDlg_040_SpielerVerkabeltVerteilerNeu_2])
	for id in system.get_pcs():
		if not id == char_id:
			object.turn_to_object(id, char_id)
	
def onDlg_040_SpielerVerkabeltVerteilerNeu_2(character_id):
	character.play_animation(character_id, 'CM_NPC_STEHEN_HAFENKRAN_REPARIEREN_START')
	character.play_animation(character_id, 'CM_NPC_STEHEN_HAFENKRAN_REPARIEREN_LOOP_1')
	character.play_animation(character_id, 'CM_NPC_STEHEN_HAFENKRAN_REPARIEREN_LOOP_2')
	character.play_animation(character_id, 'CM_NPC_STEHEN_HAFENKRAN_REPARIEREN_LOOP_3', callback = ['ONEND', onDlg_040_SpielerVerkabeltVerteilerNeu_3])
	character.play_animation(character_id, 'CM_NPC_STEHEN_HAFENKRAN_REPARIEREN_ENDE', callback = ['ONEND', onDlg_040_SpielerVerkabeltVerteilerNeu_4])
	
def onDlg_040_SpielerVerkabeltVerteilerNeu_3(id):
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_040_T_001', speaker = 'ALTER_EGO', follower = 'ENDDIALOG', callback = Dlg_040_ENDE)
	dialog.start(False)
	
def onDlg_040_SpielerVerkabeltVerteilerNeu_4(id):
	dynamic_camera.end_cutscene()

def Dlg_040_ENDE():
	system.set_qb_entry_state(data().QB_003, globals.COMPLETE)
	character.add_experience_party(500)
	system.set_qb_entry_state(data().QB_002, globals.IMPOSSIBLE)
	
# Spieler ersetzt Verteiler(selbstauslösend)
def initDlg_041_SpielerErsetztVerteiler(character_id):
	system.set_camera_view(const.Cam_Bohrer_1)
	system.fade(globals.FADE_IN)
	zone_9.UnEquip_Weapon_Direct(character_id)
	object.move_to(character_id, 333.47, 366.55, speed = globals.MT_SLOW, callback = ['ONEND', onDlg_041_SpielerErsetztVerteiler_1])
	
def onDlg_041_SpielerErsetztVerteiler_1(character_id):
	object.turn_to_direction(character_id, direction = 180, callback = ['ONEND', onDlg_041_SpielerErsetztVerteiler_2])
	for id in system.get_pcs():
		if not id == character_id:
			object.turn_to_object(id, character_id)
			
def onDlg_041_SpielerErsetztVerteiler_2(character_id):
	character.play_animation(character_id, 'CM_NPC_STEHEN_HAFENKRAN_REPARIEREN_START')
	character.play_animation(character_id, 'CM_NPC_STEHEN_HAFENKRAN_REPARIEREN_LOOP_1')
	character.play_animation(character_id, 'CM_NPC_STEHEN_HAFENKRAN_REPARIEREN_LOOP_2')
	character.play_animation(character_id, 'CM_NPC_STEHEN_HAFENKRAN_REPARIEREN_LOOP_3')
	character.play_animation(character_id, 'CM_NPC_STEHEN_HAFENKRAN_REPARIEREN_ENDE', callback = ['ONEND', onDlg_041_SpielerErsetztVerteiler_3])
	
def onDlg_041_SpielerErsetztVerteiler_3(id):
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_041_T_001', speaker = 'ALTER_EGO', follower = 'ENDDIALOG', callback = Dlg_041_ENDE)
	dialog.start(False)
	dynamic_camera.end_cutscene()

def Dlg_041_ENDE():
	system.set_qb_entry_state(data().QB_002, globals.COMPLETE)
	character.add_experience_party(500)
	system.set_qb_entry_state(data().QB_003, globals.IMPOSSIBLE)

def initCutscene_Dlg_033_HaleVerwundet():
	object.cancel_commandos("ALTER_EGO")
	system.start_cutscene()
	object.move_to_object('ALTER_EGO', 'BUILDING_1547', callback = ['ONEND', initCutscene_Dlg_033_HaleVerwundet_1])
	
def initCutscene_Dlg_033_HaleVerwundet_1(id):	
	object.turn_to_object('ALTER_EGO', 'HALE', callback = ['ONEND',  onCutscene_Dlg_033_HaleVerwundet])
	
def onCutscene_Dlg_033_HaleVerwundet(id):
	dialog.init_dialog(type=DIALOGSMALL)
	
	dynamic_camera.set_camera(Cam_Hale_1)
	dialog.add_text(text='D_033_T_001', speaker='HALE')#, callback = (Lambda('dynamic_camera.set_camera(Cam_Hale_2)')))
	dialog.add_text(text='D_033_T_002', speaker='ALTER_EGO')#, callback = (Lambda('dynamic_camera.set_camera(Cam_Hale_3)')))
	dialog.add_text(text='D_033_T_003', speaker='HALE')
	dialog.add_text(text='D_033_T_004', speaker='ALTER_EGO', follower='ENDDIALOG', callback=onDlg_033_End)
	
	dialog.start()
	
def onDlg_033_End():
	dynamic_camera.set_body_mode("ALTER_EGO", mode="STAND", animate=1)
	dynamic_camera.end_cutscene(chars = ['ALTER_EGO', 'HALE'])


def initDlg_034_HaleGeheilt_SprichtMitSpielerErstesMal():
	dialog.init_dialog(type=DIALOGLARGE)
	dialog.add_text(text='D_034_T_001', speaker='HALE')
	dialog.add_text(text='D_034_T_002', speaker='ALTER_EGO')
	dialog.add_text(text='D_034_T_003', speaker='HALE')
	
	if (system.get_qb_entry_state(data().QB_016) == globals.UNCOMPLETE):
		dialog.add_choice(text='D_034_C_003_1', follower='D_034_T_004')
	dialog.add_choice(text='D_034_C_003_2', follower='D_034_T_007')
	dialog.add_choice(text='D_034_C_003_3', follower='ENDDIALOG')
	
	dialog.add_text(text='D_034_T_004', speaker='HALE')
	
	if ((system.get_qb_entry_state(data().QB_002) == globals.COMPLETE or
		system.get_qb_entry_state(data().QB_003) == globals.COMPLETE) and
		system.get_qb_entry_state(data().QB_004) == globals.COMPLETE):
			dialog.add_choice(text='D_034_C_004_1', follower='D_034_T_005')
	dialog.add_choice(text='D_034_C_004_2', follower='ENDDIALOG')
	
	dialog.add_text(text='D_034_T_005', speaker='HALE')
	dialog.add_text(text='D_034_T_006', speaker='ALTER_EGO', follower='ENDDIALOG', callback = initCutscene_Dlg_037_HaleBedientExcavator)
	
	dialog.add_text(text='D_034_T_007', speaker='HALE')
	
	dialog.add_choice(text='D_034_C_001_1', follower='D_034_T_008')
	dialog.add_choice(text='D_034_C_001_2', follower='ENDDIALOG')
	
	dialog.add_text(text='D_034_T_008', speaker='HALE')
	
	dialog.add_choice(text='D_034_C_008_1', follower='D_034_T_009')
	dialog.add_choice(text='D_034_C_008_2', follower='ENDDIALOG')
	
	dialog.add_text(text='D_034_T_009', speaker='HALE')
	dialog.add_text(text='D_034_T_010', speaker='ALTER_EGO', follower='ENDDIALOG')
	
	dialog.start(False)
	
def initDlg_035_HaleHatExcavatorGefahren():
	dialog.init_dialog(type=DIALOGLARGE)
	dialog.add_text(text='D_035_T_001', speaker='HALE')
	
	dialog.add_choice(text='D_035_C_001_1', follower='D_035_T_002')
	dialog.add_choice(text='D_035_C_001_2', follower='ENDDIALOG', callback = Dlg_035_ENDE)
	
	dialog.add_text(text='D_035_T_002', speaker='HALE')
	dialog.add_text(text='D_035_T_003', speaker='ALTER_EGO', follower='ENDDIALOG', callback = Dlg_035_ENDE)
	
	dialog.start()
	
def Dlg_035_ENDE():
	object.set_active_state("JACOB", True)

	
def initDlg_036_SchattenGerettet_SpielerSprichtWiederMitHale():
	dialog.init_dialog(type=DIALOGLARGE)
	dialog.add_text(text='D_036_T_001', speaker='HALE')
	
	dialog.add_choice(text='D_036_C_001_1', follower='D_036_T_002')
	dialog.add_choice(text='D_036_C_001_2', follower='ENDDIALOG')
	
	dialog.add_text(text='D_036_T_002', speaker='HALE')
	
	dialog.add_choice(text='D_036_C_002_1', follower='D_036_T_003')
	dialog.add_choice(text='D_036_C_002_2', follower='ENDDIALOG')
	
	dialog.add_text(text='D_036_T_003', speaker='HALE')
	
	dialog.add_choice(text='D_036_C_003_1', follower='D_036_T_004')
	dialog.add_choice(text='D_036_C_003_2', follower='ENDDIALOG')
	
	dialog.add_text(text='D_036_T_004', speaker='HALE')
	dialog.add_text(text='D_036_T_005', speaker='ALTER_EGO', follower='ENDDIALOG')
	
	dialog.start()

def initCutscene_Dlg_037_HaleBedientExcavator():
	object.set_active_state(HOEHLE_GESCHLOSSEN, False)
	object.set_active_state(EXKAVATOR_POS_1, True)
	object.cancel_commandos('HALE')
	prohibit_activity('HALE')
	object.set_position('HALE', 517.49, 239.39)
	object.move_to_object("HALE", EXKAVATOR_POS_1, "dmyp_001")
	object.cancel_commandos("ALTER_EGO")
	object.set_position('ALTER_EGO', 516.24, 239.74)
	object.move_to('ALTER_EGO', 516.24, 239.74)
	for id in SAMSON_RETTUNGSTEAM:
		prohibit_activity(id)
	object.set_position('RETTER_004', 515.52, 248.45)
	object.set_position('RETTER_003', 515.53, 245.51)
	object.set_position('RETTER_005', 522.63, 237.65)
	system.start_cutscene()
	system.set_camera_view(Cam_Hale_Bohr_2)
	object.turn_to_object('ALTER_EGO', EXKAVATOR_POS_1, callback = ['ONEND', onCutscene_Dlg_037_HaleBedientExcavator_1])

def onCutscene_Dlg_037_HaleBedientExcavator_1(id):
	dialog.init_dialog(type=DIALOGSMALL)
	data().SchattenBefreit = True
	
	dialog.add_text(text='D_037_T_001', speaker='HALE', follower='ENDDIALOG', callback = onCutscene_Dlg_037_HaleBedientExcavator_1_1)
	dialog.start()
	for id_ in system.get_pcs():
		if (object.get_distance('ALTER_EGO', id_) < 20 and not id_ == 'ALTER_EGO'):
			object.move_to(id_, 518.32, 243.73, callback = ['ONEND', Lambda('object.turn_to_object("ALTER_EGO", EXKAVATOR_POS_1)')])
	object.move_to('ALTER_EGO', 519.75, 239.61, callback = ['ONEND', Lambda('object.turn_to_object("ALTER_EGO", EXKAVATOR_POS_1)')])
	object.move_to('RETTER_001', 512.49, 246.56, callback = ['ONEND', Lambda('object.turn_to_object("RETTER_001", EXKAVATOR_POS_1)')])
	object.move_to('RETTER_002', 514.45, 245.49, callback = ['ONEND', Lambda('object.turn_to_object("RETTER_002", EXKAVATOR_POS_1)')])
	object.move_to('RETTER_003', 515.53, 245.51, callback = ['ONEND', Lambda('object.turn_to_object("RETTER_003", EXKAVATOR_POS_1)')])
	object.move_to('RETTER_004', 515.52, 248.45, callback = ['ONEND', Lambda('object.turn_to_object("RETTER_004", EXKAVATOR_POS_1)')])
	object.move_to('RETTER_005', 522.63, 237.65, callback = ['ONEND', Lambda('object.turn_to_object("RETTER_005", EXKAVATOR_POS_1)')])
	object.move_to('RETTER_006', 522.63, 237.65, callback = ['ONEND', Lambda('object.turn_to_object("RETTER_006", EXKAVATOR_POS_1)')])
	object.move_to('WILLIE', 519.55, 237.31, callback = ['ONEND', Lambda('object.turn_to_object("WILLIE", EXKAVATOR_POS_1)')])
	object.move_to('JONAS', 519.55, 237.31, callback = ['ONEND', Lambda('object.turn_to_object("JONAS", EXKAVATOR_POS_1)')])
	
def onCutscene_Dlg_037_HaleBedientExcavator_1_1():
	system.start_effect_object(object=EXKAVATOR_POS_1,node="dmyp_staub",parameter=globals.fx_smoce_rock_1)
	system.start_effect_object(object=EXKAVATOR_POS_1,node="dmyp_staub",parameter=globals.fx_smoce_rock_2)
	system.start_effect_object(object=EXKAVATOR_POS_1,node="dmyp_staub",parameter=globals.fx_smoce_rock_3)
	system.start_effect_object(object=EXKAVATOR_POS_1,node="dmyp_staub",parameter=globals.fx_smoce_rock_4)
	
	character.play_animation('HALE','CM_STEHEN_EXKAVATOR_BEDIENEN_START', callback = ['ONEND', onCutscene_Dlg_037_HaleBedientExcavator_1_1_1])
	
def onCutscene_Dlg_037_HaleBedientExcavator_1_1_1(id):
	system.set_camera_view(Cam_Hale_Bohr_1)
	object.set_active_state(HOEHLE_GESCHLOSSEN, True)
	onCutscene_Dlg_037_HaleBedientExcavator_1_2()
	object.play_animation(EXKAVATOR_POS_1, 'ANIM_EXKAVATOR')
	character.play_animation('HALE','CM_STEHEN_EXKAVATOR_BEDIENEN_LOOP', callback = onCutscene_Dlg_037_HaleBedientExcavator_3)
	sounds.play_3d_sound_object(sfx_id = "working_excravator", object = EXKAVATOR_POS_1, loop = True, identifier = 'exkavator_sound')
	
def onCutscene_Dlg_037_HaleBedientExcavator_1_2():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_037_T_002', speaker='HALE', follower='ENDDIALOG')
	dialog.start()

def onCutscene_Dlg_037_HaleBedientExcavator_3(id):
	character.play_animation('HALE', 'CM_STEHEN_EXKAVATOR_BEDIENEN_LOOP_1')
	system.fade(globals.FADE_OUT, callback = onCutscene_Dlg_037_HaleBedientExcavator_3_1)
	
def onCutscene_Dlg_037_HaleBedientExcavator_3_1():
	character.play_animation('HALE', 'CM_STEHEN_EXKAVATOR_BEDIENEN_LOOP_BACK', callback = ['ONEND', onCutscene_Dlg_037_HaleBedientExcavator_3_2])
	object.set_active_state(HOEHLE_GESCHLOSSEN, False)
	object.set_active_state(HOEHLE_OFFEN, True)
	object.play_animation(EXKAVATOR_POS_1, "ANIM_EXKAVATOR_BACK")
	
def onCutscene_Dlg_037_HaleBedientExcavator_3_2(id):
	character.play_animation('HALE', 'CM_STEHEN_EXKAVATOR_BEDIENEN_LOOP_BACK_1', callback = ['ONEND', onCutscene_Dlg_037_HaleBedientExcavator_4])
	object.play_animation(EXKAVATOR_POS_1, "ANIM_EXKAVATOR_BACK_1")
	sounds.stop_sound("exkavator_sound")
	system.fade(globals.FADE_IN)
	
def onCutscene_Dlg_037_HaleBedientExcavator_4(id):
	character.play_animation("HALE", "CM_STEHEN_EXKAVATOR_BEDIENEN_ENDE_BACK")
	object.set_active_state('ZONE_9_BUILDING_1427', False) # EXKAVATOR Deponie
	object.turn_to_object('ALTER_EGO', EXKAVATOR_POS_1)
	system.set_qb_entry_state(data().QB_001, COMPLETE)
	character.add_experience_party(1000)
	# Region Einsturtz aktivieren
	system.notify_region_entered(region = 'REGION_EINSTURZ' ,  partyid = "UISPIELER")
	for id in SAMSON_RETTUNGSTEAM:
		character.play_animation(id, 'CM_STEHEN_KLATSCHEN_ANSCHRITT')
		character.play_animation(id, 'CM_STEHEN_KLATSCHEN_LOOP')
		character.play_animation(id, 'CM_STEHEN_KLATSCHEN_LOOP')
		character.play_animation(id, 'CM_STEHEN_KLATSCHEN_LOOP')
		character.play_animation(id, 'CM_STEHEN_KLATSCHEN_ENDSCHRITT')
	system.notify_timer(data().TimerHaleBohrer_2, data().Timervalue_HaleBohrer_2)
	
# wird vom Timer ausgelöst
def onCutscene_Dlg_037_HaleBedientExcavator_5():
	system.fade(globals.FADE_OUT, callback = onDlg_037_End)
	system.set_qb_entry_state(data().QB_016, COMPLETE)
	system.notify_region_entered("REGION_JACOB", objectid = 'ALTER_EGO')
	
def Excavator_Back():
	object.play_animation(EXKAVATOR_POS_1, "ANIM_EXKAVATOR_BACK")
	character.play_animation('HALE', 'CM_STEHEN_EXKAVATOR_BEDIENEN_LOOP_BACK', cllback = ['ONEND', Lambda('character.play_animation("HALE", "CM_STEHEN_EXKAVATOR_BEDIENEN_ENDE_BACK")')])
	

def onDlg_037_End():
	# Jacob aktivieren
	object.set_active_state('JACOB', True)
	
	system.fade(globals.FADE_IN, callback = Excavator_Back)
	for id in SAMSON_RETTUNGSTEAM:
		allow_activity(id)
	object.move_to('JACOB', 509.40, 235.64)
	allow_activity('HALE')
	dynamic_camera.end_cutscene(chars = ['ALTER_EGO', 'HALE'])

def initCutscene_Dlg_060_AbelVerschafftSichEinenUeberblick():
	object.move_to('ABEL', 585.64, 567.96, speed = MT_SLOW, callback = ['ONEND', Lambda('onCutscene_Dlg_060_Abel_1()')])
	object.move_to('ALTER_EGO', 586.15, 570.00, speed = MT_NORMAL, callback = ['ONEND', Lambda('object.turn_to_direction("ALTER_EGO", 316)')])
	system.set_camera_view([598.79302978515625, 576.5762939453125, 16.814701080322266, -0.85163789987564087, -0.47800397872924805, -0.21500001847743988])
	enemy_script.delay(2, Lambda('onCutscene_Dlg_060_Ego_1()'))
	enemy_script.delay(2, Lambda('system.set_camera_view([570.6453857421875, 564.54962158203125, 16.243801116943359, 0.97459328174591064, 0.062791265547275543, -0.21500059962272644])'))
	enemy_script.delay(4.5, Lambda('system.set_camera_view([580.76171875, 554.15545654296875, 15.830972671508789, -0.002038939855992794, 0.9766121506690979, -0.21499903500080109])'))
	onCutscene_Party()
	
def onCutscene_Party():
	x = 0
	for char in system.get_pcs():
		if char != 'ALTER_EGO':
			# print x
			object.move_to(char, CUTSCEN_PARTY[x][0], CUTSCEN_PARTY[x][1], speed = MT_SLOW)
			x += 1
		object.move_to('ANIE', 572.67, 556.85, speed = MT_NORMAL)
			
def onCutscene_Dlg_060_Ego_1():
	object.move_to('ALTER_EGO', 579.95, 562.32, callback = ['ONEND', onCutscene_Dlg_060_Ego_2])
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_060_T_001', speaker='ALTER_EGO', follower='ENDDIALOG', callback = onCutscene_Dlg_060_Abel_3)
	dialog.start()
	
def onCutscene_Dlg_060_Ego_2(id):
	object.turn_to_direction('ALTER_EGO', 50)
	enemy_script.delay(0.5, Lambda('character.change_body_mode("ALTER_EGO", "KNEEL")'))

def onCutscene_Dlg_060_Abel_1():
	object.move_to('ABEL', 581.53, 562.13, callback = ['ONEND', Lambda('character.change_body_mode("ABEL", "KNEEL")')])
	
def onCutscene_Dlg_060_Abel_2():
	enemy_script.delay(5, Lambda('onCutscene_Dlg_060_Abel_3()'))
	
def onCutscene_Dlg_060_Abel_3():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_060_T_002', speaker='ABEL', follower='ENDDIALOG', callback = onCutscene_Dlg_060_Abel_4)
	dialog.start()

def onCutscene_Dlg_060_Abel_4():
	enemy_script.delay(1, Lambda('character.change_body_mode("ABEL", "STAND")'))
	enemy_script.delay(1.5, Lambda('character.change_body_mode("ALTER_EGO", "STAND")'))
	enemy_script.delay(1.6, Lambda('object.turn_to_direction("ALTER_EGO", 320)'))
	enemy_script.delay(2, Lambda('system.set_camera_view([587.12310791015625, 571.37957763671875, 15.295717239379883, -0.70735937356948853, -0.67336267232894897, -0.2150009423494339])'))
	enemy_script.delay(2, Lambda('onDlg_060_AbelRundgangKyala()'))
	enemy_script.delay(4, Lambda('system.fade(FADE_OUT)'))
	enemy_script.delay(7, Lambda('onCutscene_Dlg_060_END()'))

def onCutscene_Dlg_060_END():
	data().AbelAufRundgang = True
	system.set_camera_view([567.4619140625, 551.70068359375, 15.628902435302734, 0.69756793975830078, 0.66739636659622192, -0.26073157787322998])
	system.fade(FADE_IN)
	object.move_to("ALTER_EGO", 573.77, 555.56, speed= MT_SLOW, callback = ['ONEND', onDlg_064_Anie_2])
	initDlg_064_AnieWillHelfen()
	
def onDlg_060_AbelRundgangKyala():
	object.cancel_commandos('ABEL')
	string = 'object.turn_to_object("ABEL", "KAYLA")'
	posX = object.get_x('KAYLA')
	posY = object.get_y('KAYLA')
	object.move_to('ABEL', posX, posY, callback = [['ONEND', onDlg_060_AbelRundgangTimer_1], ['ONEND', Lambda(string)]])

def onDlg_060_AbelRundgangTimer_1(id):
	system.notify_timer(data().TimerAbelRundgang_1, data().Timervalue_AbelRundgang_1)
	data().CutsceneAbelGelaufen = True

def onDlg_060_AbelRundgangSamson():
	object.cancel_commandos('ABEL')
	string = 'object.turn_to_object("ABEL", "SAMSON")'
	posX = object.get_x('SAMSON')
	posY = object.get_y('SAMSON')
	object.move_to('ABEL', posX, posY, speed = globals.MT_AUTO , callback = [['ONEND', onDlg_060_AbelRundgangTimer_2], ['ONEND', Lambda(string)]])

def onDlg_060_AbelRundgangTimer_2(id):
	system.notify_timer(data().TimerAbelRundgang_2, data().Timervalue_AbelRundgang_2)

def onDlg_060_AbelRundgangWright():
	object.cancel_commandos('ABEL')
	posX = object.get_x('WRIGHT')
	posY = object.get_y('WRIGHT')
	object.move_to('ABEL', posX, posY, callback = [['ONEND', Lambda('data().AbelAufRundgang = False')], ['ONEND', Lambda('object.turn_to_object("ABEL", "WRIGHT")')]])

# abel verfolgt Ego
def onDlg_060_AbelRundgangEgo():
	object.cancel_commandos('ABEL')
	string = 'object.turn_to_object("ABEL", "ALTER_EGO")'
	posX = object.get_x('ALTER_EGO')
	posY = object.get_y('ALTER_EGO')
	object.move_to('ABEL', posX, posY, callback = [['ONEND', onDlg_060_AbelPosScheck], ['ONEND', Lambda(string)]])
	
# prüft ob sich abel nach dem rundgang in der nähe von Ego befindet
def onDlg_060_AbelPosScheck(id):
	if (object.get_distance('ABEL', 'ALTER_EGO') < 2.0):
		if not system.is_cutscene():
			initDlg_062_AbelBerichtet()
		else:
			enemy_script.delay(5,Lambda('onDlg_060_AbelRundgangEgo()'))

def initDlg_061_AbelHatKeineZeit():
	dialog.init_dialog(type=DIALOGSMALL)
	
	dialog.add_text(text='D_061_T_001', speaker='ALTER_EGO', follower='ENDDIALOG')
	
	dialog.start()
	
def initDlg_062_AbelBerichtet():
	dialog.init_dialog(type=DIALOGLARGE)
	dialog.add_text(text='D_062_T_001', speaker='ABEL')
	
	dialog.add_choice(text='D_062_C_001_1', follower='D_062_T_002')
	dialog.add_choice(text='D_062_C_001_2', follower='D_062_T_003')
	dialog.add_choice(text='D_062_C_001_3', follower='D_062_T_004')
	
	dialog.add_text(text='D_062_T_002', speaker='ABEL', follower='D_062_C_001')
	dialog.add_text(text='D_062_T_003', speaker='ABEL', follower='D_062_C_001')
	dialog.add_text(text='D_062_T_004', speaker='ABEL', follower='ENDDIALOG', callback =[onDlg_END_062_AbelBerichtet_])
	
	dialog.start()

def onDlg_END_062_AbelBerichtet_(id):
	data().AbelRundgangBeendet = True
	if was_zone_entered('zone_8.zone_8'):
		system.set_qb_entry_state(data('zone_8.zone_8').QB_011, globals.INACTIVE)
	system.set_qb_entry_state(data().QB_017, globals.UNCOMPLETE)
	enemy_script.delay(1, Lambda('allow_activity("ABEL")'))

def initDlg_063_AbelHilft():
	dialog.init_dialog(type=DIALOGSMALL)
	
	dialog.add_text(text='D_063_T_001', speaker='ALTER_EGO', follower='ENDDIALOG')
	
	dialog.start()

def initDlg_072_AbelTagesablauf():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_072_T_001', speaker='ALTER_EGO', follower='ENDDIALOG')
	dialog.start()
	
def initDlg_064_AnieWillHelfen():
	enemy_script.delay(1.5, Lambda('onDlg_064_Anie_1()'))
	
def onDlg_064_Anie_1():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_064_T_001', speaker='ANIE', follower = 'ENDDIALOG', callback = Lambda('onDlg_064_Anie_2("ANIE")'))
	dialog.start()
	
def onDlg_064_Anie_2(id):
	data().Dlg_064_Counter +=1
	if id == 'ALTER_EGO':
		object.turn_to_direction('ALTER_EGO', 195)
	if data().Dlg_064_Counter == 2:
		data().Dlg_064_Counter = 0
		enemy_script.delay(3.5, Lambda('onDlg_064_Anie_3()'))
		enemy_script.delay(1, Lambda('object.turn_to_object("ANIE", "ALTER_EGO")'))
		dialog.init_dialog(type=DIALOGSMALL)
		dynamic_camera.set_conversation('ALTER_EGO', 'ANIE', new_camera=False)
		dialog.add_text(text='D_064_T_002', speaker='ALTER_EGO',  follower = 'ENDDIALOG', callback = onDlg_065_Anie_4)
		dialog.start()

def onDlg_064_Anie_3():
	object.cancel_commandos('ANIE')
	object.cancel_commandos('ALTER_EGO')
	enemy_script.delay(2.5, Lambda('system.set_camera_view([545.01312255859375, 528.96551513671875, 21.7518310546875, 0.66973412036895752, 0.64196807146072388, -0.37327364087104797])'))
	enemy_script.delay(0.5, Lambda("""object.move_to("ANIE", 560.11, 545.27, speed = MT_SLOW, callback = ['ONEND', onDlg_065_Anie_5])"""))
	enemy_script.delay(1, Lambda("""object.move_to("ALTER_EGO", 560.65, 543.82, speed = MT_SLOW, callback = ['ONEND', onDlg_065_Anie_5])"""))
	enemy_script.delay(10, Lambda('system.set_camera_view([556.53851318359375, 539.25994873046875, 15.551250457763672, 0.60326564311981201, 0.76315772533416748, -0.23164808750152588])'))
	
def onDlg_065_Anie_4():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_064_T_003', speaker='ANIE',  follower = 'ENDDIALOG', callback = Lambda('onDlg_065_Anie_5("ANIE")'))
	dialog.start()
	
def onDlg_065_Anie_5(id):
	data().Dlg_064_Counter += 1
	if data().Dlg_064_Counter == 3:
		object.turn_to_object('ANIE', 'ALTER_EGO')
		object.turn_to_object('ALTER_EGO', 'ANIE')
		data().Dlg_064_Counter = 0
		dialog.init_dialog(type=DIALOGSMALL)
		dynamic_camera.set_conversation('ALTER_EGO', 'ANIE', new_camera=False)
		dialog.add_text(text='D_064_T_004', speaker='ALTER_EGO',  follower = 'ENDDIALOG', callback = onDlg_064_AnieGehtZumLazarett)
		dialog.start()


def onDlg_064_AnieGehtZumLazarett():
	enemy_script.delay(3, Lambda('system.end_cutscene()'))
	enemy_script.delay(1, Lambda('object.cancel_commandos("ALTER_EGO")'))
	data().MitAnieGesprochen = True
	
def initDlg_065_AnieSprichtNichtMitSpieler():
	dialog.init_dialog(type=DIALOGSMALL)
	
	dialog.add_text(text='D_065_T_001', speaker='ANIE', follower='ENDDIALOG')
	
	dialog.start()

def initDlg_073_AnieTagesablauf():
	dialog.init_dialog(type=DIALOGSMALL)
	
	dialog.add_text(text='D_073_T_001', speaker='ALTER_EGO', follower='ENDDIALOG')
	
	dialog.start()

def initCutscene_Dlg_023_ZekeErstesMal():
	dynamic_camera.init_cutscene('ALTER_EGO', 'ZEKE')
	dynamic_camera.start_cutscene()
	dynamic_camera.set_conversation('ALTER_EGO', 'ZEKE', new_camera= False)
	system.set_camera_view(Cam_Zeke_1)
	dialog.init_dialog(type=DIALOGSMALL)
	
	dialog.add_text(text='D_023_T_001', speaker='ZEKE', follower='ENDDIALOG', callback = onCutscene_Dlg_023_ZekeErstesMal_2)
	dialog.start()
	onCutscene_Dlg_023_ZekeErstesMal_1()
	
# wird vom Timer TimerZekeSchluesselsuche_2 gestartet
def onCutscene_Dlg_023_ZekeErstesMal_1():
	object.cancel_commandos("ALTER_EGO")
	object.turn_to_object('ALTER_EGO', 'ZEKE')
	
def onCutscene_Dlg_023_ZekeErstesMal_2(id):
	CamZeke = 'dynamic_camera.set_conversation("ZEKE", "ALTER_EGO", mode="close", animate=1)'
	CamEgo  = 'dynamic_camera.set_conversation("ALTER_EGO", "ZEKE", mode="close", animate=1)'
	dialog.init_dialog(type=DIALOGSMALL)
	
	dialog.add_text(text='D_023_T_002', speaker='ALTER_EGO', callback = (Lambda(CamZeke)))
	dialog.add_text(text='D_023_T_003', speaker='ZEKE', callback = (Lambda(CamEgo)))
	dialog.add_text(text='D_023_T_004', speaker='ALTER_EGO', callback = (Lambda(CamZeke)))
	dialog.add_text(text='D_023_T_005', speaker='ZEKE', follower='ENDDIALOG', callback = onDlg_023_End)
	
	dialog.start()

def onDlg_023_End():
	dynamic_camera.end_cutscene(chars = ['ALTER_EGO', 'ZEKE'])
	initDlg_052_SpielerBietetHilfeAn()
	
def initDlg_052_SpielerBietetHilfeAn():
	dialog.init_dialog(type=DIALOGLARGE)
	
	if enemy_script.check_char_skill(system.get_pcs(),'lock_pick', 70):	
		dialog.add_choice(text='D_052_C_005_1', follower='D_052_T_006')
	
	if enemy_script.check_char_skill(system.get_pcs(),'explosives', 75):
		dialog.add_choice(text='D_052_C_005_2', follower='D_052_T_007')
	
	dialog.add_choice(text='D_052_C_005_3', follower='ENDDIALOG', callback = [Lambda('allow_activity("ZEKE")'), 
										 Lambda('const.Loops_Zeke = 0')])
	
	dialog.add_text(text='D_052_T_006', speaker='ZEKE', follower='ENDDIALOG', callback = [Lambda('system.set_qb_entry_state(data().QB_009, globals.UNCOMPLETE)'), 
											     Lambda('const.Loops_Zeke = 0'), 
											     Lambda('allow_activity("ZEKE")')])
	dialog.add_text(text='D_052_T_007', speaker='ZEKE', follower='ENDDIALOG', callback = [Lambda('system.set_qb_entry_state(data().QB_010, globals.UNCOMPLETE)'), 
											     Lambda('const.Loops_Zeke = 0'), 
											     Lambda('allow_activity("ZEKE")')])
	
	data().MitZekeGesprochen = True
	dialog.start(False)

def initDlg_024_NichtErstesMal_KeineHilfeAngeboten():
	dialog.init_dialog(type=DIALOGLARGE)
	
	dialog.add_text(text='D_024_T_001', speaker='ZEKE')
	
	if enemy_script.check_char_skill(system.get_pcs(),'lock_pick', 70):
		dialog.add_choice(text='D_024_C_001_1', follower='D_024_T_002')
	
	if enemy_script.check_char_skill(system.get_pcs(),'explosives', 75):
		dialog.add_choice(text='D_024_C_001_2', follower='D_024_T_003')
	
	dialog.add_choice(text='D_024_C_001_3', follower='ENDDIALOG', callback = [Lambda('data().ZEKE_Geaendert = True'), 
										 Lambda('const.Loops_Zeke = 0'), 
										 Lambda('allow_activity("ZEKE")')])
	
	dialog.add_text(text='D_024_T_002', speaker='ZEKE', follower='ENDDIALOG', callback = [Lambda('system.set_qb_entry_state(data().QB_009, globals.UNCOMPLETE)'), 
											     Lambda('const.Loops_Zeke = 0'), 
											     Lambda('allow_activity("ZEKE")')])
	dialog.add_text(text='D_024_T_003', speaker='ZEKE', follower='ENDDIALOG', callback = [Lambda('system.set_qb_entry_state(data().QB_010, globals.UNCOMPLETE)'), 
											     Lambda('const.Loops_Zeke = 0'), 
											     Lambda('allow_activity("ZEKE")')])
	
	dialog.start(False)
	
def initDlg_025_SpielerKnacktSchloss():
	data().Knackt_Schloss_Counter += 1
	if data().Knackt_Schloss_Counter == 2:
		data().Knackt_Schloss_Counter = 0
		object.turn_to_object('ALTER_EGO', 'ZEKE')
		object.turn_to_object('ZEKE', 'ALTER_EGO', callback = ['ONEND', onDlg_025_SpielerKnacktSchloss])
		
def onDlg_025_SpielerKnacktSchloss(id):
	system.end_cutscene()
	dialog.init_dialog(type=DIALOGLARGE)
	
	dialog.add_text(text='D_025_T_001', speaker='ZEKE', follower='D_025_C_001')
	
	dialog.add_choice(text='D_025_C_001_1', follower='D_025_T_002')
	dialog.add_choice(text='D_025_C_001_2', follower='ENDDIALOG', callback = Dlg_025_ENDE)
	
	dialog.add_text(text='D_025_T_002', speaker='ZEKE', follower='ENDDIALOG', callback = Dlg_025_ENDE)
	dialog.start()
	
def Dlg_025_ENDE():
	system.set_qb_entry_state(data().QB_009, globals.COMPLETE)
	character.add_experience_party(500)
	allow_activity('ZEKE')

def initDlg_026_SpielerSprengtSchloss():
	data().Knackt_Schloss_Counter += 1
	if data().Knackt_Schloss_Counter == 2:
		data().Knackt_Schloss_Counter = 0
		object.turn_to_object('ALTER_EGO', 'ZEKE')
		object.turn_to_object('ZEKE', 'ALTER_EGO', callback = ['ONEND', onDlg_026_SpielerSprengtSchloss])
	
def onDlg_026_SpielerSprengtSchloss(id):
	system.end_cutscene()
	dialog.init_dialog(type=DIALOGLARGE)
	
	dialog.add_text(text='D_026_T_001', speaker='ZEKE')
	dialog.add_text(text='D_026_T_002', speaker='ALTER_EGO')
	dialog.add_text(text='D_026_T_003', speaker='ZEKE')
	
	dialog.add_choice(text='D_026_C_003_1', follower='D_026_T_004')
	dialog.add_choice(text='D_026_C_003_2', follower='ENDDIALOG', callback = Dlg_026_ENDE)
	
	dialog.add_text(text='D_026_T_004', speaker='ZEKE', follower='ENDDIALOG', callback = Dlg_026_ENDE)
	
	dialog.start()

def Dlg_026_ENDE():
	allow_activity("ZEKE")
	system.set_qb_entry_state(data().QB_009, globals.INACTIVE)
	system.set_qb_entry_state(data().QB_010, globals.COMPLETE)
	character.add_experience_party(500)

def initDlg_027_TuerIstOffen():
	dialog.init_dialog(type=DIALOGLARGE)
	
	dialog.add_text(text='D_027_T_001', speaker='ZEKE')
	
	dialog.add_choice(text='D_027_C_001_1', follower='D_027_T_002')
	if not data().Dlg_027_C_001:
		if object.get_attribute('ALTER_EGO', 'speech') > 75:
			dialog.add_choice(text='D_027_C_001_2', follower='D_027_T_006')
		else:
			dialog.add_choice(text='D_027_C_001_2', follower='D_027_T_007')
	dialog.add_choice(text='D_027_C_001_3', follower='ENDDIALOG')
	
	dialog.add_text(text='D_027_T_002', speaker='ZEKE')
	
	dialog.add_choice(text='D_027_C_002_1', follower='D_027_T_003')
	dialog.add_choice(text='D_027_C_002_2', follower='ENDDIALOG')
	
	dialog.add_text(text='D_027_T_003', speaker='ZEKE')
	
	dialog.add_choice(text='D_027_C_003_1', follower='D_027_T_004')
	dialog.add_choice(text='D_027_C_003_2', follower='ENDDIALOG')
	
	dialog.add_text(text='D_027_T_004', speaker='ZEKE')
	dialog.add_text(text='D_027_T_005', speaker='ALTER_EGO', follower='ENDDIALOG')
	
	dialog.add_text(text='D_027_T_006', speaker='ZEKE', follower='D_027_C_001', callback = Dlg_027_ENDE)
	dialog.add_text(text='D_027_T_007', speaker='ZEKE', follower='D_027_C_001', callback = Lambda('data().Dlg_027_C_001 = True'))
	
	dialog.start(False)
	
def Dlg_027_ENDE():
	data().Dlg_027_C_001 = True
	object.create_item_in_inventory("ALTER_EGO","SET_PSG_1")

def initDlg_028_TuerIstZu():
	dialog.init_dialog(type=DIALOGSMALL)
	
	dialog.add_text(text='D_028_T_001', speaker='ZEKE')
	dialog.add_text(text='D_028_T_002', speaker='ALTER_EGO', follower='ENDDIALOG', callback = [Lambda('allow_activity("ZEKE")')])
	
	dialog.start()

def initDlg_067_SpielerFummeltAnWaffenkammer():
	dialog.init_dialog(type=DIALOGSMALL)
	
	dialog.add_text(text='D_067_T_001', speaker='ALTER_EGO', follower='ENDDIALOG')
	
	dialog.start()

# Dialog 029: Spieler spricht mit Hyde, die gefangenen Schatten wurden nicht befreit
def initDlg_029_EingeschlosseneSchattenNichtBefreit():
	dialog.init_dialog(type=DIALOGSMALL)
	
	dialog.add_text(text='D_029_T_001', speaker='HYDE', follower='ENDDIALOG')
	
	dialog.start()
	
#Dialog 030: Spieler spricht mit Hyde, die gefangenen Schatten sind befreit.
def initDlg_030_EingeschlosseneSchattenBefreit():
	dialog.init_dialog(type=DIALOGLARGE)
	
	dialog.add_text(text='D_030_T_001', speaker='HYDE')
	
	if(data().MitJacobGesprochen):
		dialog.add_choice(text='D_030_C_001_1', follower='D_030_T_002')
	
	#wenn MemoryStick im Inventory, CorticalDevice nicht
	if(object.count_in_inventory('ALTER_EGO', CEREBRAL_MEMORY_MODULE) 
	   and not object.count_in_inventory('ALTER_EGO', NANO_BOT_SURGICAL_DEVICE)):
		   dialog.add_choice(text='D_030_C_001_2', follower='D_030_T_015', callback = (Lambda('data().d_030_t_018 = True')))
	
	#wenn CorticalDevice im Inventory, MemoryStick nicht
	if((not object.count_in_inventory('ALTER_EGO', CEREBRAL_MEMORY_MODULE)) 
	    and object.count_in_inventory('ALTER_EGO', NANO_BOT_SURGICAL_DEVICE)):
		    dialog.add_choice(text='D_030_C_001_3', follower='D_030_T_016', callback = (Lambda('data().d_030_t_018 = True')))
	
	if(object.count_in_inventory('ALTER_EGO', CEREBRAL_MEMORY_MODULE) 
	   and object.count_in_inventory('ALTER_EGO', NANO_BOT_SURGICAL_DEVICE)):
		   if(data().d_030_t_018):
			   dialog.add_choice(text='D_030_C_001_4', follower='D_030_T_018')
		   else:
			   dialog.add_choice(text='D_030_C_001_4', follower='D_030_T_004')
	
	dialog.add_choice(text='D_030_C_001_5', follower='ENDDIALOG')
	
	dialog.add_text(text='D_030_T_002', speaker='HYDE', follower = 'D_030_C_001')
	dialog.add_text(text='D_030_T_004', speaker='HYDE', callback = Dlg_030_SET_QUEST)
	
	dialog.add_choice(text='D_030_C_004_1', follower='D_030_T_005')
	dialog.add_choice(text='D_030_C_004_2', follower='D_030_T_009')
	
	dialog.add_text(text='D_030_T_005', speaker='HYDE')
	dialog.add_text(text='D_030_T_006', speaker='HYDE')
	
	dialog.add_choice(text='D_030_C_006_1', follower='D_030_T_007')
	dialog.add_choice(text='D_030_C_006_2', follower='D_030_T_009')
	
	dialog.add_text(text='D_030_T_007', speaker='HYDE')
	dialog.add_text(text='D_030_T_008', speaker='ALTER_EGO')
	dialog.add_text(text='D_030_T_009', speaker='HYDE')
	
	dialog.add_choice(text='D_030_C_009_1', follower='D_030_T_010')
	dialog.add_choice(text='D_030_C_009_2', follower='D_030_T_013')
	
	dialog.add_text(text='D_030_T_010', speaker='HYDE')
	dialog.add_text(text='D_030_T_011', speaker='ALTER_EGO')
	dialog.add_text(text='D_030_T_012', speaker='HYDE')
	
	if(object.count_in_inventory('ALTER_EGO', CEREBRAL_MEMORY_MODULE) 
	   and object.count_in_inventory('ALTER_EGO', NANO_BOT_SURGICAL_DEVICE)):
		dialog.add_choice(text='D_030_C_012_1', follower='D_030_T_019')
	dialog.add_choice(text='D_030_C_012_2', follower='D_030_T_013')
	
	dialog.add_text(text='D_030_T_013', speaker='HYDE', follower='ENDDIALOG', callback = Dlg_030_ENDE_2)
	dialog.add_text(text='D_030_T_014', speaker='HYDE', follower='D_030_C_012')
	dialog.add_text(text='D_030_T_015', speaker='HYDE', follower='D_030_C_001', callback = Dlg_030_ENDE_4)
	dialog.add_text(text='D_030_T_016', speaker='HYDE')
	dialog.add_text(text='D_030_T_017', speaker='ALTER_EGO', follower='D_030_C_001')
	dialog.add_text(text='D_030_T_018', speaker='HYDE', follower='D_030_C_004', callback = Dlg_030_SET_QUEST)
	dialog.add_text(text='D_030_T_019', speaker='HYDE', follower='ENDDIALOG', callback = Dlg_030_ENDE_3)
	dialog.add_text(text='D_030_T_021', speaker='HYDE', follower='D_030_C_001')

	if(data().d_030_restart_t_014 and not data().Dlg_030_Interface_Eingesetzt):
		dialog.jump_to('D_030_T_014')
	dialog.start(False)

# todo (Memory Module cutscene starts)
def onCutscene_Dlg_30_MemoryModul():
	object.remove_item_from_inventory('ALTER_EGO', NANO_BOT_SURGICAL_DEVICE)
	object.create_item_in_inventory('HYDE', 'SET_CEREBRAL_MEMORY_MODULE', id = 'Z9 HYDE_MEMORY_MODULE')
	object.create_item_in_inventory('ALTER_EGO', 'SET_NANO_BOT_SURGICAL_DEVICE_EQUIPED', id = 'Z9 NANO_BOT_SURGICAL_DEVICE_EQUIPED')
	# object.create_item_in_inventory('HYDE', 'SET_NANO_BOT_SURGICAL_DEVICE_NPC_ITEM', id = 'Z9 NANO_BOT_SURGICAL_DEVICE_NPC_ITEM')
	system.start_cutscene()
	system.set_camera_view([413.0872802734375, 547.5924072265625, 15.519035339355469, -0.92259198427200317, -0.31390547752380371, -0.2242484837770462])
	object.set_position('HYDE', 409.27, 540.84)
	object.set_position('ALTER_EGO', 410.20, 542.04)
	object.cancel_commandos('ALTER_EGO')
	object.cancel_commandos('HYDE')
	object.move_to_object('ALTER_EGO', 'ZONE_9_BUILDING_7872', 'dmyp_04', speed = MT_SLOW)
	object.move_to_object('HYDE', 'ZONE_9_BUILDING_7872', 'dmyp_hinten', speed = MT_SLOW)
	character.play_animation('ALTER_EGO', 'CM_NPC_SITZEN_BANK_HINSETZEN', callback = ['ONEND', Lambda('Dlg_30_MemoryModul_1()')])
	
def Dlg_30_MemoryModul_1():
	system.set_camera_view([410.51824951171875, 544.3988037109375, 16.149829864501953, -0.89855575561523438, 0.14968001842498779, -0.41254481673240662])
	character.play_animation('ALTER_EGO', 'CM_NPC_BOTHELM_AUFGESETZT_BEKOMMEN', callback = ['ONEND', Dlg_30_MemoryModul_3])
	character.play_animation('HYDE', 'CM_NPC_BOTHELM_AUFSETZEN')
	enemy_script.delay(2, Lambda('system.set_camera_view([405.07635498046875, 539.293701171875, 15.509033203125, 0.17638200521469116, 0.96055406332015991, -0.21500085294246674])'))

def Dlg_30_MemoryModul_2(id):
	character.play_animation('ALTER_EGO', 'CM_NPC_BOTHELM_IN_AKTION_LOOP', callback = ['ONEND', Dlg_30_MemoryModul_3])
	
def Dlg_30_MemoryModul_3(id):
	character.play_animation('ALTER_EGO', 'CM_NPC_MEMORYSTICK_EINGESETZT_BEKOMMEN', callback = ['ONEND', Dlg_30_MemoryModul_4])
	character.play_animation('HYDE', 'CM_NPC_MEMORYSTICK_EINSETZEN')
	

def Dlg_30_MemoryModul_4(id):
	dialog.init_dialog(type=DIALOGSMALL)
	
	dialog.add_text(text='D_050_T_001', speaker='HYDE')
	dialog.add_text(text='D_050_T_002', speaker='ALTER_EGO', follower='ENDDIALOG')
	
	dialog.start()
	character.play_animation('ALTER_EGO', 'CM_NPC_BOTHELM_IN_AKTION_LOOP')
	character.play_animation('ALTER_EGO', 'CM_NPC_BOTHELM_IN_AKTION_LOOP', callback = ['ONEND', Dlg_30_MemoryModul_5])
	
def Dlg_30_MemoryModul_5(id):
	character.play_animation('ALTER_EGO', 'CM_NPC_BOTHELM_ABGESETZT_BEKOMMEN', callback = ['ONEND', Dlg_30_MemoryModul_6])
	character.play_animation('HYDE', 'CM_NPC_BOTHELM_ABSETZEN')

def Dlg_30_MemoryModul_6(id):
	character.play_animation('ALTER_EGO', 'CM_NPC_SITZEN_BANK_AUFSTEHEN_1', callback = ['ONEND', onEndCutscene_Dlg_30_MemoryModul])

def onEndCutscene_Dlg_30_MemoryModul(id):
	if system.get_qb_entry_state(data().QB_014) == UNCOMPLETE:
		system.set_qb_entry_state(data().QB_014, COMPLETE)
		character.add_experience_party(3000)
	object.step_away("ALTER_EGO")
	object.step_away("HYDE")
	object.remove_item_from_inventory(id, CEREBRAL_MEMORY_MODULE)
	object.remove_item_from_inventory('ALTER_EGO', NANO_BOT_SURGICAL_DEVICE_EQUIPED)
	character.un_equip('HYDE', NANO_BOT_SURGICAL_DEVICE_NPC_ITEM)
	system.notify_region_entered(region = 'RUTH', objectid = 'ALTER_EGO')
	enemy_script.delay(3, Lambda('dynamic_camera.end_cutscene(chars = ["ALTER_EGO", "HYDE"])'))

def Dlg_030_ENDE_2():
	data().d_030_restart_t_014 = True
	if system.get_qb_entry_state(data().QB_012) == UNCOMPLETE:
		system.set_qb_entry_state(data().QB_012, COMPLETE)
		character.add_experience_party(500)
	
def Dlg_030_ENDE_3():
	onCutscene_Dlg_30_MemoryModul()
	
def Dlg_030_SET_QUEST():
	if system.get_qb_entry_state(data().QB_013) ==  UNCOMPLETE:
		system.set_qb_entry_state(data().QB_013, COMPLETE)
		character.add_experience_party(500)
	if system.get_qb_entry_state(data().QB_012) == UNCOMPLETE:
		system.set_qb_entry_state(data().QB_012, COMPLETE)
		character.add_experience_party(500)
	system.set_qb_entry_state(data().QB_014, UNCOMPLETE)
	

def Dlg_030_ENDE_4():
	system.set_qb_entry_state(data().QB_013, UNCOMPLETE)
	system.set_qb_entry_state(data().QB_014, UNCOMPLETE)
	if system.get_qb_entry_state(data().QB_012) == UNCOMPLETE:
		system.set_qb_entry_state(data().QB_012, COMPLETE)
		character.add_experience_party(500)
	
def initDlg_19_SchattenBefreitErstesMalDa():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_019_T_001', speaker='SAMSON', follower = 'ENDDIALOG')
	dialog.start()

def initCutscene_Dlg_021_ErstesMal():
	object.cancel_commandos('JACOB')
	object.move_to('JACOB', 510.48, 239.38)
	system.start_cutscene()
	object.move_to('ALTER_EGO', 514.63, 244.00, speed = MT_SLOW, callback = ['ONEND', Lambda('object.turn_to_direction("ALTER_EGO", 290.7)')])
	object.step_to('JACOB', 512.93, 243.32, speed = MT_SLOW, callback = ['ONEND', Dlg_021_Jacob_1])
	system.set_camera_view([520.07183837890625, 255.46942138671875, 20.41038703918457, -0.42148765921592712, -0.83666765689849854, -0.34976503252983093])
	dialog.init_dialog(type=DIALOGSMALL)
	enemy_script.delay(4, Lambda('system.set_camera_view([512.0618896484375, 249.86103820800781, 16.195985794067383, 0.31186956167221069, -0.90614396333694458, -0.28572773933410645])'))
	
	dialog.add_text(text='D_021_T_001', speaker='JACOB', follower='ENDDIALOG', callback = Lambda('Dlg_021_Jacob_1("ALTER_EGO")'))
	dialog.start()
	
def onCutscene_Dlg_021_ErstesMal_1():
	
	dialog.init_dialog(type=DIALOGSMALL)	
	dialog.add_text(text='D_021_T_002', speaker='ALTER_EGO', callback = Dlg_021_Jacob_2)
	dialog.add_text(text='D_021_T_003', speaker='JACOB', callback = Dlg_021_Jacob_3)
	dialog.add_text(text='D_021_T_004', speaker='ALTER_EGO', callback = Dlg_021_Jacob_2)
	dialog.add_text(text='D_021_T_005', speaker='JACOB', callback = Dlg_021_Jacob_4)
	dialog.add_text(text='D_021_T_006', speaker='ALTER_EGO', callback = Dlg_021_Jacob_2)
	dialog.add_text(text='D_021_T_007', speaker='JACOB')
	dialog.add_text(text='D_021_T_008', speaker='JACOB', callback = Dlg_021_Jacob_3)
	dialog.add_text(text='D_021_T_009', speaker='ALTER_EGO', callback = Dlg_021_Jacob_5)
	dialog.add_text(text='D_021_T_010', speaker='JACOB', follower='ENDDIALOG', callback = Dlg_021_Jacob_7)
	
	dialog.start()
	
def onCutscene_Dlg_021_ErstesMal_2(id):
	
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_021_T_011', speaker='ALTER_EGO', callback = Dlg_021_Jacob_8)
	dialog.add_text(text='D_021_T_012', speaker='JACOB', callback = Dlg_021_Jacob_3)
	dialog.add_text(text='D_021_T_013', speaker='ALTER_EGO', follower='ENDDIALOG', callback=onDlg_021_End)
	
	dialog.start()

def Dlg_021_Jacob_1(id):
	data().Dlg_021_Counter += 1
	if id == 'JACOB':
		object.turn_to_direction('JACOB', 111)
	if data().Dlg_021_Counter == 2:
		data().Dlg_021_Counter = 0
		enemy_script.delay(4, Lambda('system.set_camera_view([507.65646362304688, 245.8946533203125, 16.169395446777344, 0.92639821767807007, -0.255207359790802, -0.27686744928359985])'))
		onCutscene_Dlg_021_ErstesMal_1()
	
def Dlg_021_Jacob_2():
	dynamic_camera.set_conversation('JACOB', 'ALTER_EGO', mode = 'close')
	
def Dlg_021_Jacob_3():
	dynamic_camera.set_conversation('ALTER_EGO', 'JACOB', mode = 'close')
	
def Dlg_021_Jacob_4():
	system.set_camera_view([509.11697387695312, 244.39048767089844, 15.983471870422363, 0.96328574419021606, -0.16079685091972351, -0.21499979496002197])
	dynamic_camera.set_conversation('ALTER_EGO', 'JACOB', new_camera = False)
	
def Dlg_021_Jacob_5():
	Dlg_021_Jacob_6()
	system.set_camera_view([515.05865478515625, 247.19558715820312, 15.00, -0.28787362575531006, -0.93322205543518066, -0.21500056982040405])
	dynamic_camera.set_conversation('JACOB', 'ALTER_EGO', new_camera = False)
	
def Dlg_021_Jacob_6():
	system.set_camera_view([510.1531982421875, 248.95472717285156, 15.983501434326172, 0.48593232035636902, -0.84713906049728394, -0.21500056982040405])
	enemy_script.delay(1.5, Lambda('object.cancel_commandos("JACOB")'))
	enemy_script.delay(2, Lambda('object.put_down_item("JACOB", "Z9 BACKPACK")'))
	enemy_script.delay(3, Lambda('object.set_position("Z9 BACKPACK", 513.48, 243.54)'))
	enemy_script.delay(1.5, Lambda('object.cancel_commandos("ALTER_EGO")'))
	
def Dlg_021_Jacob_7(id):
	object.move_to("ALTER_EGO", 514.09, 244.01, speed = MT_SLOW)
	data().Dlg_021_Counter = 0
	system.set_camera_view([510.09527587890625, 248.33747863769531, 15.983636856079102, 0.55438041687011719, -0.80401331186294556, -0.21499940752983093])
	object.turn_to_object('ALTER_EGO', "Z9 BACKPACK", callback = ['ONEND', onCutscene_Dlg_021_ErstesMal_2])
	character.play_animation('ALTER_EGO', 'CM_KNIEND_WASSERLOCH_GRABEN_START')
	character.play_animation('ALTER_EGO', 'CM_KNIEND_WASSERLOCH_GRABEN_LOOP')
	character.play_animation('ALTER_EGO', 'CM_KNIEND_WASSERLOCH_GRABEN_LOOP')
	character.play_animation('ALTER_EGO', 'CM_KNIEND_WASSERLOCH_GRABEN_LOOP')
	character.play_animation('ALTER_EGO', 'CM_KNIEND_WASSERLOCH_GRABEN_ENDE')
	
def Dlg_021_Jacob_8():
	object.cancel_commandos('ALTER_EGO')
	object.set_position('ALTER_EGO', 514.93, 244.35)
	dynamic_camera.set_conversation('JACOB', 'ALTER_EGO', mode = 'close')

def onDlg_021_End():
	object.step_away('JACOB')
	object.set_active_state(NANO_BOT_SURGICAL_DEVICE, True)
	object.transfer_item('JACOB', CEREBRAL_MEMORY_MODULE, 'ALTER_EGO')
	dynamic_camera.end_cutscene(chars = ['ALTER_EGO', 'JACOB'])
	data().MitJacobGesprochen = True
	system.set_qb_entry_state(data().QB_012, UNCOMPLETE)
	
def initDlg_022_NichtErstesMal():
	dialog.init_dialog(type=DIALOGLARGE)
	
	dialog.add_text(text='D_022_T_001', speaker='JACOB')
	
	dialog.add_choice(text='D_022_C_001_1', follower='D_022_T_002')
	if not data().dlg_022_C_001_2:
		if object.get_attribute('ALTER_EGO', 'speech') > 85 :
			dialog.add_choice(text='D_022_C_001_2', follower='D_022_T_007')
		else:
			dialog.add_choice(text='D_022_C_001_2', follower='D_022_T_009')
	dialog.add_choice(text='D_022_C_001_3', follower='ENDDIALOG')
	
	dialog.add_text(text='D_022_T_002', speaker='JACOB')
	
	dialog.add_choice(text='D_022_C_002_1', follower='D_022_T_003')
	dialog.add_choice(text='D_022_C_002_2', follower='D_022_T_005')
	dialog.add_choice(text='D_022_C_002_3', follower='ENDDIALOG')
	
	dialog.add_text(text='D_022_T_003', speaker='JACOB')
	dialog.add_text(text='D_022_T_004', speaker='ALTER_EGO', follower='ENDDIALOG')
	dialog.add_text(text='D_022_T_005', speaker='JACOB')
	
	dialog.add_choice(text='D_022_C_005_1', follower='D_022_T_003')
	dialog.add_choice(text='D_022_C_005_2', follower='D_022_T_006')
	dialog.add_choice(text='D_022_C_005_3', follower='ENDDIALOG')
	
	dialog.add_text(text='D_022_T_006', speaker='JACOB', follower='ENDDIALOG')
	
	dialog.add_text(text='D_022_T_007', speaker='JACOB')
	dialog.add_text(text='D_022_T_008', speaker='ALTER_EGO', follower='D_022_C_001', callback = Dlg_022_Drogen)
	dialog.add_text(text='D_022_T_009', speaker='JACOB', follower='D_022_C_001', callback = Lambda('data().dlg_022_C_001_2 = True'))
	
	dialog.start(False)

def Dlg_022_Drogen():
	data().dlg_022_C_001_2 = True
	object.create_item_in_inventory("ALTER_EGO","SET_DRUGS_PILLS_02")

def initDlg_068_Rettungsteam_Im_Einsatz(id):
	Dialog = 'D_068_T_00'+ str(whrandom.randint(1, 6))
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text= Dialog, speaker=id, follower='ENDDIALOG')
	dialog.start()

def initDlg_069_Rettungsteam_Nach_Einsatz(id):
	Dialog = 'D_069_T_00'+ str(whrandom.randint(1, 6))
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text= Dialog, speaker=id, follower='ENDDIALOG')
	dialog.start()

def initCutscene_074_Ruth_Hat_Neuigkeiten():
	system.start_cutscene()
	system.set_camera_view([558.0172119140625, 556.8646240234375, 15.49162483215332, 0.38911741971969604, 0.89574724435806274, -0.21499902009963989])
	
	prohibit_activity('RUTH', step_away=True)
	x = 0
	for char in system.get_pcs():
		# print x
		if char != 'ALTER_EGO':           
			object.cancel_commandos(char)
			object.set_position(char, 553.92, 557.46)
			object.move_to(char, RUTH_POS[x][0], RUTH_POS[x][1], speed = MT_SLOW, callback = ['ONEND', Lambda('object.turn_to_object("%s", "ALTER_EGO")'%char)])
			x += 1
	object.cancel_commandos('RUTH')
	object.set_position('RUTH', 561.98, 567.56)
	object.cancel_commandos('ALTER_EGO')
	object.set_position('ALTER_EGO', 555.29, 557.96)
	object.move_to('ALTER_EGO', 561.42, 561.42, speed = MT_SLOW, callback = ['ONEND', Dlg_074_Ruth_1])
	
	
def Dlg_074_Ruth_1(id):
	object.turn_to_object("ALTER_EGO", "RUTH")
	object.move_to('RUTH', 562.17, 562.96, callback = ['ONEND', Lambda('object.turn_to_object("RUTH", "ALTER_EGO")')])
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_074_T_001', speaker='RUTH', callback = Lambda('system.set_camera_view([567.1519775390625, 563.74786376953125, 15.491128921508789, -0.93374389410018921, -0.28617587685585022, -0.21500192582607269])'))
	dialog.add_text(text='D_074_T_002', speaker='ALTER_EGO', follower='ENDDIALOG', callback = Dlg_074_Ruth_2)
	dialog.start()
	
def Dlg_074_Ruth_2():
	
	dynamic_camera.set_conversation('RUTH', 'ALTER_EGO',  mode = 'close')
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_074_T_003', speaker='RUTH', callback = Lambda('dynamic_camera.set_conversation("ALTER_EGO", "RUTH",  mode = "close")'))
	dialog.add_text(text='D_074_T_004', speaker='ALTER_EGO', callback = Lambda('dynamic_camera.set_conversation("RUTH", "ALTER_EGO",  mode = "close")'))
	dialog.add_text(text='D_074_T_005', speaker='RUTH', follower='ENDDIALOG', callback = Dlg_074_Ruth_3)
	
	dialog.start()

def Dlg_074_Ruth_3():
	system.set_qb_entry_state(data().QB_017, INACTIVE)
	system.set_qb_entry_state(data().QB_019, UNCOMPLETE)
	system.set_camera_view([595.356689453125, 547.3927001953125, 20.338151931762695, -0.70244187116622925, 0.66857683658599854, -0.24409103393554688])
	object.cancel_commandos('RUTH')
	object.cancel_commandos('ALTER_EGO')
	enemy_script.delay(4, Lambda('system.end_cutscene()'))
	object.move_to('RUTH', 598.27, 572.78, callback = ['ONEND', onCutscene_End])
	x = 0
	for char in system.get_pcs():
		object.cancel_commandos(char)
		object.move_to(char, RUTH_POS_2[x][0], RUTH_POS_2[x][1], callback = ['ONEND', Lambda('object.turn_to_object("%s", "ALTER_EGO")'%char)])
		x += 1
def onCutscene_End(id):
	object.move_to('RUTH', 641.19, 614.03)
	object.move_to('RUTH', 683.62, 674.32) #, callback = ['ONEND', Lambda('object.set_active_state("RUTH", False)')])
	dynamic_camera.end_cutscene()


def Set_Camera(object1_id, object2_id, abstand):
	# object1_id = Sprecher 
	# object2_id = Angesprochener
	object1_X = (object.get_x(object1_id))
	object1_Y = (object.get_y(object1_id))
	object2_X = (object.get_x(object2_id))
	object2_Y = (object.get_y(object2_id))
	# print 'Set_Camera object1_X, object1_Y, object2_X, object2_Y', object1_X, object1_Y, object2_X, object2_Y
	# verschiebung des Nullpunktes
	object1_X_neu = object2_X - object1_X
	object1_Y_neu = object2_Y - object1_Y
	# print 'Set_Camera object1_X_neu object1_Y_neu', object1_X_neu, object1_Y_neu
	# Länge des Abstandes zwischen den Objecten 1 und 2
	laenge = math.sqrt((object1_X_neu * object1_X_neu) +(object1_Y_neu * object1_Y_neu))
	# print 'Set_Camera, laenge', laenge
	# verschieben der Kamera hinter das object 1 in entfernung "abstand"
	camX = ((object1_X_neu / laenge) * (-abstand))
	camY = ((object1_Y_neu / laenge) * (-abstand))
	if camX == 0:
		camX = 0.00001
	if camY == 0:
		camY = 0.00001
	# print 'camX, camY, Set_Camera(object1_id, object2_id, abstand)', camX, camY, object1_id, object2_id, abstand
	return camX, camY

