# -*- coding: utf-8 -*-
from globals import *
from const import *
import npc
#import schedules
from dynamic_camera import *
import dynamic_camera
import enemy_script
from enemy_script import *
import zzone_7
import const

#*** act revison: Revision 3, 28.09.2004

def MercenaryDenyTalk(id,type='default'):
	gender = object.get_attribute("ALTER_EGO","gender")
	dialog.init_dialog(type=DIALOGSMALL)
	if type == 'default':
		if gender == MALE:
			dialog.add_text(text='MERCENERY_DEFAULT_DENY', speaker=id, follower='ENDDIALOG')
		else:
			dialog.add_text(text='MERCENERY_DEFAULT_DENY_F', speaker=id, follower='ENDDIALOG')
	else:
		if gender == MALE:
			dialog.add_text(text='MERCENERY_USEITEM_DENY', speaker=id, follower='ENDDIALOG')
		else:
			dialog.add_text(text='MERCENERY_USEITEM_DENY_F', speaker=id, follower='ENDDIALOG')
	dialog.start(False)

def on_approach( target, operator ):
	if dialog.is_dialog_active():
		return
	pass

def check_pos(char, a,b):
	x1,y1,z1 = object.get_position(char)
	x2,y2,y2 = object.get_position("ALTER_EGO")
	dx = x1 - x2
	dy = y1 - y2
	if dx > 0:
		a = 0 - a
	if dy > 0:
		b = 0 - b
	return a,b

#setzt die camera auf ae (num=1) oder char(num!=1) auf entfernung dx, dy
def on_dialog_001_cam(char, num, dx, dy):
	x,y = check_pos(char, dx, dy)
	if not object.is_destroyed(char):
		object.cancel_commandos(char)
		object.turn_to_object(char, "ALTER_EGO")
	else:
		return False
	object.cancel_commandos("ALTER_EGO")
	object.turn_to_object("ALTER_EGO",char)
	if num == 1:
		set_conversation("ALTER_EGO",cam_x=-x, cam_y=-y, mode="close")
	else:
		set_conversation(char,cam_x=x, cam_y=y, mode="close")

#[NM/CS] Dialog 001: Der Schatten will nicht lamentieren
def initCutscene_001_SchattenAlarm(object_id):
	if object.is_destroyed(object_id):
		return True
	if system.is_cutscene():
		return True
	
	x,y = check_pos(object_id, 4, 4)
	set_conversation(object_id,cam_x=x, cam_y=y, mode="close")
	system.start_cutscene()
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_001_T_001', speaker=object_id, callback = 
		Lambda('on_dialog_001_cam("%s", 1, 2.0, 2.0)' %(object_id)))
	dialog.add_text(text='D_001_T_002', speaker="ALTER_EGO", callback = 
		Lambda('on_dialog_001_cam("%s", 0, 2.0, 2.0)' %(object_id)))
	dialog.add_text(text='D_001_T_003', speaker=object_id, callback = Cutscene_beenden, follower='ENDDIALOG')
	dialog.start()

def Cutscene_beenden():
	if system.is_cutscene():
		system.end_cutscene()

#[NM]Dialog 002: Der Gang vor dem Waffenlager
def initDlg_002_VorWaffenlager():
	onDlg_002_marker()
	object.turn_to_object("ALTER_EGO", "ZZONE_7_BUILDING_1044")
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_002_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback=on_dialog_002_ende)
	dialog.start()


def on_dialog_002_ende():
	enemy_script.delay(1.0, Lambda("initDlg_003_TuerZuStabil()"))

def onDlg_002_marker():
	if not data().player_knows_Waffenkammer:
		data().player_knows_Waffenkammer = True
		system.add_minimap_marker(263.20,307.63,"MM_001")# Waffenkammer
	
#[NM]Dialog 003: Die Tür ist zu stabil
def initDlg_003_TuerZuStabil():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_003_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
	dialog.start()

#[NM] Dialog 004: Der Spieler öffnet die Tür
def initDlg_004_SpielerOeffnetTuer(character_id=None):
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_004_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
	dialog.start()

#[NM]Dialog: 005: Das Waffenlager ist leer
def initDlg_005_WaffenlagerLeer():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_005_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
	dialog.start()

#[NM] Dialog 006: Der Spieler nimmt das Dokument
def initDlg_006_DokumentNehmen():
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_006_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
	dialog.start()

#[NM/CS] Dialog 007: Die Charta der Schatten
def initCutscene_007_ChartaDerSchatten():
	system.start_cutscene()
	set_conversation("ALTER_EGO", cam_x=-3, cam_y=0, mode="medium")
	object.cancel_commandos("ALTER_EGO")
	object.turn_to_direction("ALTER_EGO", globals.DIR_WEST, callback=["ONEND", on_dialog_007_start])
	
def on_dialog_007_start(char):
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_007_T_001', speaker="ALTER_EGO")
	dialog.add_text(text='D_007_T_002', speaker="ALTER_EGO")
	dialog.add_text(text='D_007_T_003', speaker="ALTER_EGO", callback=Lambda('set_conversation("ALTER_EGO", cam_x=-0.5, cam_y=0, mode="medium")'))
	dialog.add_text(text='D_007_T_004', speaker="ALTER_EGO")
	dialog.add_text(text='D_007_T_005', speaker="ALTER_EGO", follower='ENDDIALOG', callback=Lambda('system.end_cutscene()'))
	dialog.start()

#[NM] Dialog 008: Abel und Anie warten draußen
def initDlg_008_AbelUndAnieWartenDraussen():
	for char in ["ANIE", "ABEL"]:
		if object.exists(char):
			object.cancel_commandos(char)
			set_activity(char, WORK_FORBIDDEN)
			object.turn_to_object(char, "ALTER_EGO")
	
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_008_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback=on_dialog_008_ende)
	dialog.start()

def on_dialog_008_ende():
	for char in ["ANIE", "ABEL"]:
		if object.exists(char):
			object.cancel_commandos(char)
			character.change_body_mode(char, "KNEEL")

#[NM/CS] Dialog 009: Der Spieler holt Abel + Anie nach
def initCutscene_009_SpielerHoltAbelUndAnieNach():
	if not data().end_cutscene_played:
		data().end_cutscene_played = True
		system.fade(FADE_OUT, on_dialog_009_start_cutscene)
	else:
		return True

def on_dialog_009_start_cutscene(param=None):
	system.start_cutscene()
	system.fade(FADE_IN)
	aim = None
	for char in ["ANIE", "ABEL"]:
		if object.exists(char):
			aim = char
	if aim == None:
		on_dialog_009_start_dialog()
	else:
		set_conversation(aim, cam_x=-3, cam_y=-5, mode="medium")
		x,y,z = object.get_position(aim)
		for char in system.get_pcs():
			object.cancel_commandos(char)
			object.set_position(char, x-4, y-7, grid = "landscape")
			if char != "ALTER_EGO":
				object.move_to(char, x-3,y-3, "landscape", speed=MT_SLOW)
				object.turn_to_object(char, aim)
			else:
				object.move_to(char, x-1.3,y-1.4, "landscape", speed=MT_SLOW)
				object.turn_to_object(char, aim, callback=["ONEND", on_dialog_009_start_dialog])

def on_dialog_009_start_dialog(char=None):
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_009_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback=on_dialog_009_ende)
	dialog.start()

def on_dialog_009_ende():
	system.end_cutscene()
	for char in ["ANIE", "ABEL"]:
		if object.exists(char):
			object.cancel_commandos(char)
			character.change_body_mode(char, "STAND")
			allow_activity(char)
			
def initCutscene_010_Hoehlenochnichtsauber():
	system.start_cutscene()
	for id in system.get_pcs():
		x,y,z = object.get_position(id)
		if y > 428:
			object.move_to(id,x,420)
		elif y < 212:
			object.move_to(id,x-4,218)
	dialog.init_dialog(type=DIALOGSMALL)
	dialog.add_text(text='D_010_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback=on_dialog_010_ende)
	dialog.start()

def on_dialog_010_ende():
	system.end_cutscene()

