# -*- coding: utf-8 -*-
from text import *
## Dialog 001: Der Spieler betritt die Biosphäre
add_zone_text(id="D_001_T_001", text="Voilà donc la Biosphère... Je n’ai jamais vu autant de vert de ma vie. C’est... un paradis !", speaker="Spieler", audiofile="", comment="*ergriffen*" )

add_zone_text(id="D_001_T_002", text="Et c’est calme, ici. Trop calme... Je parie que Hayes m’attend déjà.", speaker="Spieler", audiofile="", comment="*nüchterner*" )

## Dialog 006: Die GNO-Soldaten wollen kapitulieren
add_zone_text(id="D_006_T_001", text="Hmm... Il y a quelqu’un ?", speaker="Spieler", audiofile="", comment="*flüsternd*" )

add_zone_text(id="D_006_T_002", text="Ne tirez pas ! Nous nous rendons !", speaker="GNO-Soldat A", audiofile="", comment="" )

add_zone_text(id="D_006_T_003", text="Bien ! Alors montrez-moi vos mains.", speaker="Spieler", audiofile="", comment="" )

add_zone_text(id="D_006_T_004", text="Nous voulons seulement sortir vivants d’ici. On se fiche de Hayes. On va pas se battre pour ce salopard.", speaker="GNO-Soldat B", audiofile="", comment="" )

add_zone_text(id="D_006_T_005", text="Vous y pensez un peu tard. Mais bon, sortez tous de là. Je ne veux voir aucune arme.", speaker="Spieler", audiofile="", comment="" )

add_zone_text(id="D_006_T_006", text="S’il vous plaît, écoutez-nous. Nous ne voulons plus rien avoir à faire avec le GNO. Hayes nous a trop souvent envoyés en première ligne et menti.", speaker="GNO-Soldat A", audiofile="", comment="" )

## Dialog 007: Der Spieler befindet über das Schicksal der Nest 3-Soldaten
add_zone_text(id="D_007_C_001_1", text="Je vous propose un marché : vous m’aidez contre Hayes, et en échange, ensuite je vous laisse filer. (Eloquence)", speaker="Spieler", audiofile="", comment="" )

add_zone_text(id="D_007_C_001_2", text="D’accord, fichez le camp. Je ne veux plus vous voir ici.", speaker="Spieler", audiofile="", comment="" )

add_zone_text(id="D_007_C_001_3", text="Désolé, je ne peux pas prendre le risque que vous me tombiez dans le dos. Je dois malheureusement vous liquider.", speaker="Spieler", audiofile="", comment="" )

add_zone_text(id="D_007_T_001", text="Pas de problème, c’est comme si nous étions partis. Nous ne causerons plus d’ennuis, promis.", speaker="GNO-Soldat A", audiofile="", comment="" )

add_zone_text(id="D_007_T_003", text="(Succès) D’accord... On t’aide mais ensuite on fiche le camp.", speaker="GNO-Soldat A", audiofile="", comment="" )

add_zone_text(id="D_007_T_004", text="(Échec) Non... Pas question. Nous connaissons ces hommes. La plupart se sont fait roulés par Hayes exactement comme nous. Nous ne pouvons pas tout simplement les tuer !", speaker="GNO-Soldat A", audiofile="", comment="" )

## Dialog 008: Arthur Lawrence berichtet über die Biosphäre
add_zone_text(id="D_008_T_001", text="Qui es-tu ? Tu ne fait pourtant pas partie du gouvernement...", speaker="Lawrence", audiofile="", comment="*etwas ängstlich*" )

add_zone_text(id="D_008_T_002", text="Et toi apparemment non plus. Tu dois être l’ingénieur Lawrence, non ? Il y a des années, tu as travaillé sur cette Biosphère. Exact ? Tu as le bonjour de l’ingénieur Rowland et du professeur Banks. Ils attendent dehors, devant la coupole, que nous ayons chassé le GNO d’ici.", speaker="Spieler", audiofile="", comment="" )

add_zone_text(id="D_008_T_003", text="Moi... Oui, je suis l’ingénieur Lawrence. Auparavant, j’étais  responsable de la robotique de la Biosphère. Tu connais l’ingénieur Rowland et le professeur Banks et tu combats réellement conte le gouvernement ? Je n’arrive pas à y croire !", speaker="Lawrence", audiofile="", comment="" )

## Dialog 009: Fragen an Arthur Lawrence
add_zone_text(id="D_009_C_001_1", text="J’aimerais bien en savoir plus sur la Biosphère. Comment fonctionne-t-elle, précisément ?", speaker="Spieler", audiofile="", comment="" )

add_zone_text(id="D_009_C_001_2", text="La biosphère ressemble à un paradis ! Mais des hommes peuvent vraiment vivre ici ?", speaker="Spieler", audiofile="", comment="" )

add_zone_text(id="D_009_C_001_3", text="Le système écologique ici est-il encore équilibré ? Il y a quand même une éternité que personne ne s’en est plus occupé !", speaker="Spieler", audiofile="", comment="" )

add_zone_text(id="D_009_C_001_4", text="Comment es-tu venu ici, exactement ?", speaker="Spieler", audiofile="", comment="" )

add_zone_text(id="D_009_C_001_5", text="Je n’ai plus de temps à perdre. Nous nous reverrons quand ce sera fini ici.", speaker="Spieler", audiofile="", comment="" )

add_zone_text(id="D_009_T_001", text="La biosphère offre un espace de vie totalement autarcique. Ce monde, à l’intérieur, forme un circuit biologique fermé, finement équilibré. Lorsqu’elle fonctionnera correctement... Elle abrite un pool génétique de pas moins de 1400 genres d’animaux et de plantes. Des champignons et des insectes jusqu’aux daims. Le biosystème est surveillé en permamence et maintenu en équilibre par un système cybernétique.", speaker="Lawrence", audiofile="", comment="" )

add_zone_text(id="D_009_T_002", text="Nous avons travaillé pendant des décennies pour que l’écosystème de la Biosphère soit imunisé contre les pannes. À l’origine, la coupole était un avant-projet de colonisation de Mars. Après la catastrophe, plus personne ne s’est évidemment occupé de l’installation. Jusqu’à ce que ce GNO arrive...", speaker="Lawrence", audiofile="", comment="" )

add_zone_text(id="D_009_T_003", text="Néanmoins, elle fut contruite. Nous l’avions conçue, à l’époque, pour 800 personnes. Les circuits de régulation de l’oxygène, de l’eau etc. fonctionnent même pour plus de personnes. L’intelligence artificielle qui surveille le système cybernétique de la Biosphère régule la température, l’humidité de l’air etc. dans l’éventualité de fluctuations. Même l’agriculture et l’élevage ont été prévus.", speaker="Lawrence", audiofile="", comment="" )

add_zone_text(id="D_009_T_004", text="Pas sûr. Mais je n’ai pas beaucoup d’informations là dessus. Moi, j’étais responsable de la robotique. Autant que je puisse en juger, on peut tout remettre en route après une peu de réparation. À l’extérieur, en tout cas, la Biosphère est peu endommagée et les systèmes fonctionnent. C’est déjà ça. Maintenant, pendant combien de temps elle restera stable est une autre question.", speaker="Lawrence", audiofile="", comment="" )

add_zone_text(id="D_009_T_005", text="Hayes m’a enlevé jusqu’ici. Et quand je suis arrivé ici, des gens m’ont forcé à leur donner des informatiosn sur la Biosphère. Ensuite, j’ai dû aider à la reconstruction. Si tu regarde autour de toi, tu verras que je n’ai pas perdu la main. Même si mes connaissances ne suffisent pas à conserver l’écosystème en équilibre... Bientôt, ce sera ici comme à l’extérieur. Mais bon, peu à peu j’ai fini par comprendre ce que Hayes avait précisément en tête.", speaker="Lawrence", audiofile="", comment="" )

add_zone_text(id="D_009_T_006", text="Je sais qu’il ne veut autoriser l’accès à la Biosphère qu’à une cercle de personnes choisies par lui. Les critères de ce choix sont d’ailleurs plus que discutables, si tu me poses la question.", speaker="Lawrence", audiofile="", comment="" )

## Dialog 002: Hayes versucht, den Spieler zu überzeugen
add_zone_text(id="D_002_T_001", text=" Sort, Hayes ! C’est fini pour toi.", speaker="Spieler", audiofile="", comment="" )

add_zone_text(id="D_002_T_002", text=" Fini ? Tu es sûr ?", speaker="Hayes", audiofile="", comment="*trotzig*" )

add_zone_text(id="D_002_T_003", text="Tu vois ça autrement ? Ton plan a échoué. Tu ne controlleras pas la Biosphère. Du moins, pas tant que je suis ici.", speaker="Spieler", audiofile="", comment="" )

add_zone_text(id="D_002_T_004", text="Tu n’as rien compris ! Il ne s’agit pas de contrôle. Il s’agit de préserver les hommes de la disparition. Seuls les plus forts survivent, c’est une loi de la nature et cela a toujours été comme cela. JE suis le sauveur de l’humanité, TU prépares sa chute !", speaker="Hayes", audiofile="", comment="*aufgebracht, aggressiv*" )

add_zone_text(id="D_002_T_005", text="Faux. JE n’ai aucune envie d’écouter ton bavardage imbécile et TU es un sacré idiot. Et maintenant, tu ferais mieux de dire adieu à ce monde.", speaker="Spieler", audiofile="", comment="" )

add_zone_text(id="D_002_T_006", text="Tu veux vraiment m’assassiner de sang froid ? Ça... ça, tu ne peux pas le faire !", speaker="Hayes", audiofile="", comment="" )

## Dialog 003: Der Spieler befindet über das Schicksal von Hayes
add_zone_text(id="D_003_C_001_1", text="Si je peux le faire. Et je dormirai très bien cette nuit. Sois heureux que je t’accorde une mort rapide.", speaker="Spieler", audiofile="", comment="" )

add_zone_text(id="D_003_C_001_2", text="Je pourrais le faire. Mais je m’abaisserais alors à ton niveau. Tu abandonneras le sud-ouest et ne reviendras jamais. Tu as perdu tout droit, ici.", speaker="Spieler", audiofile="", comment="" )

add_zone_text(id="D_003_T_001", text="Je... Tu mouriras avant moi !", speaker="Hayes", audiofile="", comment="*erst irritiert, dann aggressiv*" )

add_zone_text(id="D_003_T_002", text="Tu... tu me laisses vraiement partir ? C’est... vraiment très généreux de ta part...", speaker="Hayes", audiofile="", comment="" )

add_zone_text(id="D_003_T_003", text="À quoi bon... Et maintenant, fiche le camp. Si je te revois de ma vie, tu es mort.", speaker="Spieler", audiofile="", comment="" )

## Dialog 004: Die neue Hoffnung
add_zone_text(id="D_004_T_001", text="Voilà, voilà. J’imagine que beaucoup de décisions importantes sont à prendre. D’abord, nos trois amis scientifiques doivent veiller à ce qu’ici tout reste longtemps vert.  Si j’ai bien compris, il demeure le danger que l’écosystème bascule. Et puis comment veux-tu distribuer la place dans la Biosphère, Abel ? C’est quand même pas si grand que ça, ici !", speaker="Spieler", audiofile="", comment="" )

add_zone_text(id="D_004_T_002", text="Qu’est-ce qui te fait penser que c’est à moi de décider de cela ?", speaker="Abel", audiofile="", comment="" )

add_zone_text(id="D_004_T_003", text="Et bien qui donc, sinon ?", speaker="Spieler", audiofile="", comment="" )

add_zone_text(id="D_004_T_004", text="Toi naturellement ! Si tu ne l’avais pas remarqué, tu es un héros, mon petit frérot. Les gens te suivront et accepteront tes décisions.", speaker="Anie", audiofile="", comment="" )

add_zone_text(id="D_004_T_004F", text="Toi naturellement ! Si tu ne l’avais pas remarqué, tu es une héroïne, soeurette. Les gens te suivront et accepteront tes décisions.", speaker="Anie", audiofile="", comment="" )

add_zone_text(id="D_004_T_005", text="Anie a raison. Je crois aussi que la totalité des habitants ne serait pas automatiquement d’accord avec l’idée d’un guide pour mon peuple. Hayes s’est évertué à nous faire passer pour des monstres. Ma tâche sera donc de corriger cette image.", speaker="Abel", audiofile="", comment="" )

add_zone_text(id="D_004_T_006", text="Et moi, je pars du principe que les ingénieurs Rowland et Lawrence seront de mon avis si je dis que nous aussi, nous pouvons apporter notre contribution. Nous mettrons, bien évidement en oeuvre nos connaissances pour que la Biosphère demeure stable et pour la transformer en un endroit où il fasse bon vivre. Il faut naturellemment pour cela qu’une personne ayant une vision à long terme prenne les commandes. ", speaker="Rodney Banks", audiofile="", comment="" )

add_zone_text(id="D_004_T_007", text="Mais arrête de faire cette mine ! C’est à toi de le faire. Tu t’es battu pour cela.", speaker="Anie", audiofile="", comment="" )

add_zone_text(id="D_004_T_008", text="Bon... Et bien... si vous pensez tous que c’est la meilleure solution, alors je prends les choses en main. Cela fait de moi une sorte de Roi de la Biosphère, hé, hé.", speaker="Spieler", audiofile="", comment="" )

add_zone_text(id="D_004_T_008F", text="Bon... Et bien... si vous pensez tous que c’est la meilleure solution, alors je prends les choses en main. Cela fait de moi une sorte de Reine de la Biosphère, hé, hé.", speaker="Spieler", audiofile="", comment="" )

add_zone_text(id="D_004_T_009", text="Mouai ! Pour l’instant, il ne se passe pas grand chose dans ton royaume, mon petit Roi.", speaker="Anie", audiofile="", comment="" )

add_zone_text(id="D_004_T_009F", text="Mouai ! Pour l’instant, il ne se passe pas grand chose dans ton royaume, ma petite Reine.", speaker="Anie", audiofile="", comment="" )

add_zone_text(id="D_004_T_010", text="Tu as probablement raison, mais ça va vite changer...", speaker="Spieler", audiofile="", comment="" )

## Dialog 005: Der Zeitreisende schließt sich dem Spieler an
add_zone_text(id="D_005_T_001", text="Quelle aventure ! Enfin au bon endroit !", speaker="Zeitreisender", audiofile="", comment="" )

add_zone_text(id="D_005_T_002", text="Mais, nom d’une... Tu es l’énergumène... l’énergumène avec la machine à voyager dans le temps ! D’où diable viens-tu ?", speaker="Spieler", audiofile="", comment="*überrascht*" )

add_zone_text(id="D_005_T_003", text="Voyons... d’où, déjà... d’une autre époque ! C’est logique, non ? Plus précisément, de l’avenir. Tu as drôlement fait avancer les choses, je dois avouer. Euh... Je voulais dire que tu vas faire drôlement avancer les choses.. Et bien oui, comme toujours... bientôt... à un moment ou un autre. Et bien, dis donc ! Je ne t’en aurais jamais cru capable. Mais je ferais mieux de me taire. C’est à toi de découvrir ce que l’avenir t’apporteras. Sinon, le continuum espace - temps s’écroulera et tout ça.", speaker="Zeitreisender", audiofile="", comment="" )

add_zone_text(id="D_005_T_004", text="Tu as voyagé dans le temps ? Et que viens-tu faire maintenant dans la Biosphère ?", speaker="Spieler", audiofile="", comment="" )

add_zone_text(id="D_005_T_005", text="Mais pourquoi est-ce que personne ne me croit jamais ? Évidemment que j’ai voyagé à travers le temps ! Et évidemment que j’ai une bonne raison d’être ici. C’est quand même à partir d’ici que tout commencera.", speaker="Zeitreisender", audiofile="", comment="" )

add_zone_text(id="D_005_T_006", text="C’est sympa chez vous. Simplement, tout est un peu petit. Vous avez déjà réfléchi sur la manière dont on pourrait faire des Biosphères plus grandes et surtout plus nombreuses ? Moi, j’ai quelques idées...", speaker="Zeitreisender", audiofile="", comment="" )

add_zone_text(id="D_005_T_007", text="Je... Tu...", speaker="Spieler", audiofile="", comment="*perplex*" )

add_zone_text(id="D_005_T_008", text="Pourquoi fais-tu cette tête ? N’aie pas peur, tout rentrera dans l’ordre. Mais il y a beaucoup à faire !", speaker="Zeitreisender", audiofile="", comment="" )


## Ziel: ZONE10_AIM_01
add_zone_text(id="ZONE10_AIM_1_NAME", text="Libère la Biosphère", )

add_zone_text(id="ZONE10_AIM_1_NPCS", text="Hayes, des soldats du GNO", )

add_zone_text(id="ZONE10_AIM_1_SHORT_DESC", text="Libère la Biosphère de l’engeance du GNO", )

add_zone_text(id="ZONE10_AIM_1_DESC", text="Hayes et le GNO ont occupé la Biosphère. Règle définitivement le problème du GNO et veille à ce que la Biosphère trouve une utilisation correcte.", )

add_zone_text(id="ZONE10_AIM_1_REWARD", text="5000 XP", )

add_zone_text(id="ZONE10_AIM_1_HISTORY_REF", text="None", )

	
#*** zusatztexte

## [NM] zone_9 Dialog 073: Der Spieler will Anie nicht ansprechen
add_zone_text(id="Z9_D_073_T_001", text="Je ferais mieux de vous laisser en paix.", speaker="Zeitreisender", audiofile="", comment="" )

## [NM] zone_9 Dialog 072: Abel ist beschäftigt
add_zone_text(id="Z9_D_072_T_001", text="Abel est occupé. Je ferais mieux de le laisser en paix.", speaker="Zeitreisender", audiofile="", comment="" )

## [NM] zone_6 Dialog 147: Der Spieler hat mit Arik nichts mehr zu bereden
add_zone_text(id="Z6_D_147_T_001", text="J’ai encore beaucoup à faire. Nous nous reverrons.", speaker="Zeitreisender", audiofile="", comment="" )

