# -*- coding: utf-8 -*-
from globals import *
import npc
from const import *
import schedules
import dynamic_camera
from dynamic_camera import *
import zone_3
import enemy_script
import cs_function as cs

#*** actual revison: Revision 58, 17.08.2004 ***********************************
# 303,325=bison		479,741=serrurier	 521,724=devt marchand	576,703=carrire	535,552=ermite

def PlaySpeechAnimation(id):
    character.play_animation( id, "CM_NPC_STEHEN_KONVERSATION_%d" % random.randint( 1, 5 ) )

def on_approach(target, operator):
    if dialog.is_dialog_active():
        return
    
    if schedules.Dialog(target, operator):
        return
        
    if target == 'MERCENARY_HENRY' and data().Henry_Erstes_Mal:
        data().Henry_Erstes_Mal = False
        init_Dlg_Henry_Aufnahme()
        
    if target == "LUKE_Z3": ## todo: dialoge anschliessen
        if not data().schloss_knacker_gesucht:
        #if not system.get_qb_entry_state(data().QB_015)== UNCOMPLETE:
            initDlg_105_LukeStelltSichVor()
        else:
            if not data().luke_folgt:
                if data().spieler_muss_luke_erneut_holen:
                    initDlg_115_LukeSollErneutMitkommen()
                else:
                    if not data().luke_an_kiste:
                        if not data().schloss_geknackt:
                            initDlg_106_LukeOeffnetKisteFuerLau()
                        else:
                            if not data().luke_wieder_zuhause:
                                initDlg_114_LukeHatEsEilig()
                            else:
                                initDlg_113_LukeWillNichtGestoertWerden()
                    else:
                        if not data().schloss_geknackt:
                            if not data().luke_hat_kiste_inspiziert:
                                initCutscene_110_LukeInspiziertDasSchloss()
                            else:
                                if cs.group_as_obj(data().obj_HermansPicklock):
                                    initCutscene_112_LukeKnacktDasSchloss()
                                else:
                                    initDlg_111_LukeErwartetSpezialdietriche()
            else:
                initDlg_107_LukeWillZumSchloss()
    
    
    if target == 'WALDEMAR':
        
        if (data().Waldemar_Unterwegs == 0):
            initDlg_128_WaldemarInEile()
        
        elif (data().Waldemar_Unterwegs == 1):
            initDlg_129_WaldermarFertig()
        
        elif ((system.get_qb_entry_state(data().QB_019) == INACTIVE or
              system.get_qb_entry_state(data().QB_022) == INACTIVE) and
            data().BisonDeadAusgeweidet             and 
            data().BisonKadaberAusgeweidet             and
            data().BergtigerAusgeweidet):
                initDlg_092_WaldemarSagtNichts()
        
        elif (system.get_qb_entry_state(data().QB_019) == UNCOMPLETE and
              #system.get_qb_entry_state(data().QB_022) == UNCOMPLETE and
            not data().D_93_Ende2_gelaufen):
                initDlg_093_WaldemarKenntBergtieger()
        
        elif (data().D_93_Ende2_gelaufen and 
            not object.is_destroyed("BERGTIGERIN")):
                initDlg_094_WaldemarFragtBergtigerTod()
        
        elif (data().D_93_Ende2_gelaufen and 
            object.is_destroyed("BERGTIGERIN")     and
            data().Waldemar_Unterwegs == -1     and
            not data().d_95_gelaufen):
                initCutscene_095_WaldemarErfaehrtBergtigerTod()
        
        elif (data().D_93_Ende2_gelaufen     and 
            data().Waldemar_Unterwegs == -1 and
            data().d_95_gelaufen         and 
            not enemy_script.check_char_skill(system.get_pcs(),'survival' , 70)):
                initDlg_087_WaldemarSollDasBisonAusweiden()
        else:
            initDlg_092_WaldemarSagtNichts()
        
    if target == "HERMAN":
        if ((not data().luke_hat_kiste_inspiziert) and 
            (not data().schloss_geknackt)):
            initDlg_117_HermanIstImStress()
        else:
            if ((not data().spieler_hat_dietrich)     and 
                data().luke_an_kiste         and 
                (not data().schloss_geknackt)):    
                initDlg_118_HermanHatDenDietrich()
            else:
                initDlg_119_SpielerWillHermanNichtMehr()
    
    if target == "DOERFLER A":
        initDlg_122_DoerflerAKommentar()

    if target == "DOERFLER B":
        initDlg_123_DoerflerBKommentar()

    if target == "DOERFLER C":
        initDlg_124_DoerflerCKommentar()
    
    if target in ["RATSKULL_LEADER","RATSKULLS BUNKER A","RATSKULLS BUNKER B","RATSKULLS BUNKER C","RATSKULLS BUNKER D"]:
        if data().ratskulls_laufen_gelassen:
            initDlg_101_RatskullFrohDassEntkommen(target)

    if target == "HAENDLER":
        #Handelsscreen aufrufen
        system.trading_screen(target,operator)

    if target == "DORFBEWOHNERIN":
        if data().ZwillingsQuest_Gesperrt:
            initDlg_052_Dorfbewohnerin_WillNichtMehr()
        else:
            if (system.get_qb_entry_state(data().QB_010) == INACTIVE
                and system.get_qb_entry_state(data().QB_011) == INACTIVE
                and system.get_qb_entry_state(data().QB_012) == INACTIVE):
                    initDlg_012_Dorfbewohnerin_Besorgt()
            
            elif (system.get_qb_entry_state(data().QB_010) == UNCOMPLETE
                and system.get_qb_entry_state(data().QB_011) == INACTIVE
                and system.get_qb_entry_state(data().QB_012) == INACTIVE):
                    initDlg_048_Dorfbewohnerin_ImmerNochBesorgt()
            
            elif (system.get_qb_entry_state(data().QB_010) == INACTIVE
                and system.get_qb_entry_state(data().QB_011) == UNCOMPLETE
                and system.get_qb_entry_state(data().QB_012) == INACTIVE):
                    initDlg_048_Dorfbewohnerin_ImmerNochBesorgt()
            
            elif (system.get_qb_entry_state(data().QB_010) == INACTIVE
                and system.get_qb_entry_state(data().QB_011) == INACTIVE
                and system.get_qb_entry_state(data().QB_012) == UNCOMPLETE):
                    if data().miapia_folgen:
                        if ((object.get_distance("DORFBEWOHNERIN", "MIA") <= 15.0) or
                            (object.get_distance("DORFBEWOHNERIN", "PIA") <= 15.0)):
                            initDlg_053_Dorfbewohnerin_Gluecklich()
                        else:
                            initDlg_048_Dorfbewohnerin_ImmerNochBesorgt()
    
            elif (system.get_qb_entry_state(data().QB_010) == INACTIVE
                and system.get_qb_entry_state(data().QB_011) == COMPLETE
                and system.get_qb_entry_state(data().QB_012) == INACTIVE):
                    initDlg_053_Dorfbewohnerin_Gluecklich()
            else:
                initDlg_048_Dorfbewohnerin_ImmerNochBesorgt()

    if target == "IAN":
        if was_zone_entered("zone_5.zone_5"):
            if data().ian_linda_paula_folgen:
                dialog.init_dialog(type=DIALOGLARGE)
                dialog.add_text(text="D_000_T_000", speaker="IAN", follower="D_000_C_001")
                dialog.add_choice(text="D_000_C_001", follower="D_000_T_001")
                dialog.add_choice(text="D_000_C_002", follower="ENDDIALOG")
                dialog.add_text(text="D_000_T_001", speaker="ALTER_EGO", follower="ENDDIALOG", \
                    callback=Lambda('teleporte(576,703,["IAN","PAULA","LINDA"])'))
                dialog.start(False)
        
    if target == "DONALD RUMS": # get C4
        
#        if (    (system.get_qb_entry_state(data().QB_019) == UNCOMPLETE or system.get_qb_entry_state(data().QB_020) == UNCOMPLETE or system.get_qb_entry_state(data().QB_021) == UNCOMPLETE) and
#            (system.get_qb_entry_state(data().QB_022) == UNCOMPLETE or system.get_qb_entry_state(data().QB_023) == UNCOMPLETE)):
        housing=False
        hunting=False
        if was_zone_entered("zone_5.zone_5"):
            if data().ian_linda_paula_folgen:
                housing=True

        if not housing:
            if (((system.get_qb_entry_state(data().QB_019) == UNCOMPLETE)  or
                 (system.get_qb_entry_state(data().QB_020) == UNCOMPLETE)  or
                 (system.get_qb_entry_state(data().QB_021) == UNCOMPLETE)) or
                ((system.get_qb_entry_state(data().QB_022) == UNCOMPLETE)  or
                 (system.get_qb_entry_state(data().QB_023) == UNCOMPLETE))):

                if cs.group_has_1_of(["Z3 BISON_MEAT_KADABER", "Z3 BISON_MEAT_KADABER_KILL"]) and\
                    cs.group_as_obj("Z3 TIGER_MEAT"):
                    initDlg_010_Sprengmeister_BekommtFleisch()
                    hunting=True
                else:
                    initCutscene_Dlg_009_Sprengmeister_WartenAufFleisch()
                    hunting=True
        else:initCutscene_Dlg_069_NeuesZuhause()
#
        if (not hunting) and (not housing): 
            initDlg_045_Sprengmeister_WohnungsMakler()

    if target == "GEORG":
        if not data().NoRatskulls:
            if not dialog.is_dialog_active():
                if system.get_qb_entry_state(data().QB_002) == UNCOMPLETE:
                    if not data().cutscene_kuehe_treiben_gestartet:
                        initCutscene_Dlg_002_Bauer_KueheTreiben()
                elif system.get_qb_entry_state(data().QB_003) == UNCOMPLETE:
                    initDlg_044_Bauer_VielSpass()
                else:
                    initDlg_007_Bauer_WillNichtMehr()
        else:
            if data().georg_d_126_spoken:
                initDlg_126_GoergHatNixMehrZuSagen()
            else:
                initDlg_125_PeteVerkauftTipp()


    if target == "LUISA":
        if not data().ZwillingsQuest_Gesperrt:
            if (system.get_qb_entry_state(data().QB_010) == UNCOMPLETE and
                not data().ZwillingsQuest_Mit_Lisa_Gesprochen and
                not data().MiaPia_RettungOhneAuftragAktiv):
                initDlg_014_Luisa_VermisstKinder()
            
            elif (system.get_qb_entry_state(data().QB_011) == UNCOMPLETE or
                system.get_qb_entry_state(data().QB_012) == UNCOMPLETE):
                if not data().MiaPia_RettungOhneAuftragAktiv:
                    initDlg_054_Luisa_ImmerNochBesorgt()
            
            elif system.get_qb_entry_state(data().QB_012) == COMPLETE:
                if not data().ZwillingsQuest_Luisa_HatSichBedankt:
                    if data().MiaPia_RettungOhneAuftragAktiv:
                        initCutscene_Dlg_083_Luisa_RettungOhneAuftrag()
                    else:
                        if data().ZwillingsQuest_Luisa_Bezahlung:
                            initCutscene_Dlg_017_Luisa_Dankbar_MitBezahlung()
                        else:
                            initCutscene_Dlg_016_Luisa_Dankbar_KeineBezahlung()
            
            elif system.get_qb_entry_state(data().QB_011) == COMPLETE:
                    initDlg_055_Luisa_HappyHippo()
            else:
                initDlg_013_Luisa_Weint()
        else:
            initDlg_013_Luisa_Weint()

    if target == "DORFAELTESTER" and not data().NoRatskulls:
        if (system.get_qb_entry_state(data().QB_006) == UNCOMPLETE and 
        system.get_qb_entry_state(data().QB_007) == INACTIVE and 
        data().Doerfeler_TA_gestartet):
            initDlg_020_Doerfaeltester_SorgeUmSchnapps()
#CS        elif system.get_qb_entry_state(data().QB_007) == UNCOMPLETE:
        elif system.get_qb_entry_state(data().QB_007) == UNCOMPLETE or system.get_qb_entry_state(data().QB_018) == UNCOMPLETE:
            if data().SchnappsQuest_Ratskulls_Killed >= 2:
                initCutscene_Dlg_021_Doerfaeltester_SchnappsBefreit()
            else:
                initDlg_046_Doerfaeltester_NochNichtsErreicht()
        elif system.get_qb_entry_state(data().QB_007) == COMPLETE:
            initDlg_047_Doerfaeltester_Hick()
        elif system.get_qb_entry_state(data().QB_006) in [INACTIVE, UNCOMPLETE] and data().SchnappsQuest_Ratskulls_Killed >=2:
            initCutscene_Dlg_081_Dorfaeltester_DistillerieOhneAuftragBefreit()
        else:
            initDlg_019_Doerfaeltester_KeinGespraech()

    if target == "BARBARA":# Gonzo's woman
        if not data().GonzoQuest_GonzosFrau_DialogVergeigt:
            if data().GonzoQuest_Gonzo_Dead:
                if data().gonzo_dead_ohne_auftrag:
                    if not data().GonzoQuest_Dialog_27_Erledigt:
                        initDlg_082_GonzosFrau_TrauerNachTodGonzosOhneAuftrag()
                    else:
                        initDlg_028_GonzosFrau_GehtsGut()
                else:
                    if not data().GonzoQuest_Dialog_27_Erledigt:
                        initCutscene_Dlg_027_GonzosFrau_GonzoTot()
                    else:
                        initDlg_028_GonzosFrau_GehtsGut()
            elif(         not system.get_qb_entry_state(data().QB_013) == UNCOMPLETE
                    and not system.get_qb_entry_state(data().QB_014) == UNCOMPLETE):
                initDlg_022_GonzosFrau_Bote()
            else:
                initDlg_057_GonzosFrau_Hiiiiiilfe()
        else:
            initDlg_056_GonzosFrau_WillNichtMehr()

    if target == "MCKANZEE":
        
#CS        if (system.get_qb_entry_state(data().QB_008) == INACTIVE and system.get_qb_entry_state(data().QB_009) == INACTIVE):
        if (system.get_qb_entry_state(data().QB_008) == INACTIVE and system.get_qb_entry_state(data().QB_009) == INACTIVE) or (system.get_qb_entry_state(data().QB_008) == COMPLETE and not data().car_battery_given):
                if not data().spieler_leiche_gefunden:
                    initDlg_038_McKanzee_WillNichtReden()
                else:
                    if not data().Spieler_kennt_Schatten:
                        initDlg_089_McKanzeeInformiertUeberSchattenLeiche()
                    else:
                        initDlg_038_McKanzee_WillNichtReden()
        
        elif (system.get_qb_entry_state(data().QB_008) == UNCOMPLETE and
            system.get_qb_entry_state(data().QB_009) == INACTIVE):
                if not data().mckanzee_wasser_bekommen:
                    initDlg_030_McKanzee_WillWasser()
                elif not data().Spieler_kennt_Schatten:
                    initDlg_089_McKanzeeInformiertUeberSchattenLeiche()
                else:
                    initDlg_040_McKanzee_HautAb()
                    
        elif (system.get_qb_entry_state(data().QB_008) == INACTIVE and
            system.get_qb_entry_state(data().QB_009) == UNCOMPLETE):
                if cs.group_as_obj( "SET_WATER_SKIN", 3-data().mckanzee_given_water ):
                    initCutscene_Dlg_031_McKanzee_BekommtWasser()
                    data().mckanzee_wasser_bekommen = True
                else:
                    initCutscene_Dlg_039_McKanzee_KeinWasser()

        elif (system.get_qb_entry_state(data().QB_008) == COMPLETE):
            if not data().spieler_leiche_gefunden:
                initDlg_040_McKanzee_HautAb()
            else:
                if not data().Spieler_kennt_Schatten:
                    initDlg_089_McKanzeeInformiertUeberSchattenLeiche()
                else:
                    initDlg_040_McKanzee_HautAb()

    if target == "EINSIEDLER": # ermite
        if not data().BatterieQuest_Vergeigt:
            if system.get_qb_entry_state(data().QB_008) == INACTIVE and system.get_qb_entry_state(data().QB_009) == INACTIVE:
                initDlg_029_Einsiedler_BrauchtBatterie()
            
            elif  system.get_qb_entry_state(data().QB_008) == UNCOMPLETE or system.get_qb_entry_state(data().QB_009) == UNCOMPLETE :
                if cs.group_has_1_of([data().obj_Autobatterie, "SET_CAR_BATTERY"]) or\
                    (object.count_in_inventory(id, data().obj_Autobatterie) +\
                        object.count_in_inventory(id, "SET_CAR_BATTERY")  > 0):
                    initDlg_032_Einsiedler_BekommtBatterie()
                else:
                    initDlg_043_Einsiedler_KeineBatterie()
            
            elif system.get_qb_entry_state(data().QB_008) == COMPLETE:
                initDlg_085_EinsiedlerGluecklich()
        else:
            initDlg_085_EinsiedlerGluecklich()

    if target == "GONZO":
        if not system.get_qb_entry_state(data().QB_013) == UNCOMPLETE:
            initDlg_024_Gonzo_KeineZeit()
        elif system.get_qb_entry_state(data().QB_013) == UNCOMPLETE:
            if not data().gonzo_killing_spree:
                initDlg_025_Gonzo_MahlzeitWeg()
            else:
                initDlg_058_Gonzos_Durchgeknallt_FrauLebt()
        elif system.get_qb_entry_state(data().QB_013) == IMPOSSIBLE:
            initDlg_059_Gonzos_Durchgeknallt_FrauTot()

    if target == "FRANKLIN":
        if data().franklin_folgt:
            initDlg_067_Franklin_QuatschNicht()
        elif was_zone_entered("zone_5.zone_5"): 
            if (system.get_qb_entry_state(data("zone_5.zone_5").QB_003) == UNCOMPLETE):
                initDlg_066_Doktor_Ausbildung()
            else:
                initCutscene_Dlg_065_Doktor_Untersucht()
        else:
            initCutscene_Dlg_065_Doktor_Untersucht()

    if target in ["MIA","PIA"]:# luisa's daughters
        if (    not object.is_destroyed("MIA") and #not data().ZwillingsQuest_Gesperrt and
            not object.is_destroyed("PIA")):
            # Wenn Mia und Pia gefunden aber die Mutter noch nicht gefragt wurde,
            # brauch man sie auch nicht mehr zu fragen wo Ihre Kinder stecken könnten
            if system.get_qb_entry_state(data().QB_010) == UNCOMPLETE:
                system.set_qb_entry_state(data().QB_010,INACTIVE)
#
            if system.get_qb_entry_state(data().QB_012) == COMPLETE:
                initDlg_042_Kinder_Langweilig()
            elif system.get_qb_entry_state(data().QB_012) == UNCOMPLETE:
                initDlg_041_Kinder_AufDemWeg()
            elif system.get_qb_entry_state(data().QB_011) == UNCOMPLETE:
                initDlg_015_Kinder_NachHause(without_quest=False)
            elif system.get_qb_entry_state(data().QB_011) in [INACTIVE, IMPOSSIBLE]:
                initDlg_015_Kinder_NachHause(without_quest=True)

    if target == "RATSKULLS B" or target == "RATSKULLS C":
        if not object.has_attribute(target, "foes"):
            initDlg_035_Ratskulls_Gespraech()
#
def teleporte(x,y,groupe):
    clock = system.get_mission_time().get_day_time()
    if(clock < time("09:30:00") or clock > time("21:30:00")):
        system.set_mission_time("10:00:00")
#    cs.teleport_party_gr(576,703,["IAN","PAULA","LINDA"])
    cs.teleport_party_gr(x,y,groupe)

def init_Dlg_Henry_Aufnahme():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='MERCENARY_HENRY_INTERVIEW_T_001', speaker="MERCENARY_HENRY")
    dialog.add_choice(text='MERCENARY_HENRY_INTERVIEW_C_001_1', follower='MERCENARY_HENRY_INTERVIEW_T_002')
    dialog.add_choice(text='MERCENARY_HENRY_INTERVIEW_C_001_5', follower='ENDDIALOG')
    dialog.add_text(text='MERCENARY_HENRY_INTERVIEW_T_002', speaker="MERCENARY_HENRY", callback= init_Dlg_Henry_Aufnahme_2)
    dialog.start(False)
    
def init_Dlg_Henry_Aufnahme_2():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_choice(text='MERCENARY_HENRY_INTERVIEW_C_001_2', follower = 'MERCENARY_HENRY_INTERVIEW_T_003')
    if was_zone_entered('zone_8.zone_8'):
        if data('zone_8.zone_8').BruchMitHayes:
            dialog.add_choice(text='MERCENARY_HENRY_INTERVIEW_C_001_4', follower = 'MERCENARY_HENRY_INTERVIEW_T_005')
        else:
            dialog.add_choice(text='MERCENARY_HENRY_INTERVIEW_C_001_3', follower = 'MERCENARY_HENRY_INTERVIEW_T_004')
    else:
        dialog.add_choice(text='MERCENARY_HENRY_INTERVIEW_C_001_3', follower = 'MERCENARY_HENRY_INTERVIEW_T_004')
    dialog.add_choice(text='MERCENARY_HENRY_INTERVIEW_C_001_6', follower = 'MERCENARY_HENRY_INTERVIEW_T_006')
    dialog.add_choice(text='MERCENARY_HENRY_INTERVIEW_C_001_5', follower = 'ENDDIALOG')
    dialog.add_text(text='MERCENARY_HENRY_INTERVIEW_T_006', speaker="MERCENARY_HENRY", follower = 'ENDDIALOG', callback=Lambda('system.idcard(["MERCENARY_HENRY"])'))
    dialog.add_text(text='MERCENARY_HENRY_INTERVIEW_T_003', speaker="MERCENARY_HENRY", follower = 'MERCENARY_HENRY_INTERVIEW_C_001_2')
    dialog.add_text(text='MERCENARY_HENRY_INTERVIEW_T_004', speaker="MERCENARY_HENRY", follower = 'ENDDIALOG', callback = Henry_Aufnahme)
    dialog.add_text(text='MERCENARY_HENRY_INTERVIEW_T_005', speaker="MERCENARY_HENRY", follower = 'ENDDIALOG', callback = Henry_Aufnahme)
    
    dialog.start(False)
    
def Henry_Aufnahme():
    if (len(system.get_pcs()) < 6):
        system.switch_party("MERCENARY_HENRY", "UISPIELER")
        object.set_attribute("MERCENARY_HENRY", "joined_party_time", system.get_mission_time())
        prohibit_activity("MERCENARY_HENRY", True)
    else:
        system.add_text(globaltext.PARTY_FULL_ON_RECRUIT)

def onDlg_001_T_018():
    if data().Dialog_001_C_002_5_ERLEDIGT:
        dialog.add_choice(text='D_001_C_002_6', follower='D_001_T_020')    # anfangs nicht aktivierter Choice

def onDlg_001_T_019():
    if data().Dialog_001_C_002_4_ERLEDIGT:
        dialog.add_choice(text='D_001_C_002_6', follower='D_001_T_020')    # anfangs nicht aktivierter Choice

def initDlg_001_Bauer_Warnung():
    onDlg_001_marker()
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_001_T_001', speaker="GEORG", follower='D_001_C_001')
    dialog.add_choice(text='D_001_C_001_1', follower='D_001_T_003')
    dialog.add_choice(text='D_001_C_001_2', follower='D_001_T_002')
    dialog.add_choice(text='D_001_C_001_3', follower='D_001_T_006')
    dialog.add_text(text='D_001_T_002', speaker="GEORG", follower='D_001_T_008')
    dialog.add_text(text='D_001_T_003', speaker="GEORG")
    dialog.add_text(text='D_001_T_004', speaker="GEORG")
    dialog.add_text(text='D_001_T_005', speaker="ALTER_EGO", follower='D_001_T_008')
    dialog.add_text(text='D_001_T_006', speaker="GEORG")
    dialog.add_text(text='D_001_T_007', speaker="ALTER_EGO")
    dialog.add_text(text='D_001_T_008', speaker="GEORG", follower='D_001_C_002')
    dialog.add_choice(text='D_001_C_002_1', follower='D_001_T_009')
    dialog.add_choice(text='D_001_C_002_2', follower='D_001_T_012')
    dialog.add_choice(text='D_001_C_002_3', follower='D_001_T_013')
    dialog.add_choice(text='D_001_C_002_5', follower='D_001_T_019',
            callback=Lambda('data().Dialog_001_C_002_5_ERLEDIGT=True'))
    dialog.add_text(text='D_001_T_009', speaker="GEORG")
    dialog.add_text(text='D_001_T_010', speaker="ALTER_EGO")
    dialog.add_text(text='D_001_T_011', speaker="GEORG", follower='D_001_C_002')
    dialog.add_text(text='D_001_T_012', speaker="GEORG", follower='D_001_C_002')
    dialog.add_text(text='D_001_T_013', speaker="GEORG")
    dialog.add_text(text='D_001_T_014', speaker="ALTER_EGO")
    dialog.add_text(text='D_001_T_015', speaker="GEORG", follower='D_001_C_002',
            callback=Lambda("dialog.add_choice(text='D_001_C_002_4', follower='D_001_T_016',"
                    "callback=Lambda('data().Dialog_001_C_002_5_ERLEDIGT=True'))"))
    dialog.add_text(text='D_001_T_016', speaker="GEORG")
    dialog.add_text(text='D_001_T_017', speaker="ALTER_EGO")
    dialog.add_text(text='D_001_T_018', speaker="GEORG", follower='D_001_C_002',
            callback=onDlg_001_T_018)
    dialog.add_text(text='D_001_T_019', speaker="GEORG", follower='D_001_C_002',
            callback=onDlg_001_T_019)
    dialog.add_text(text='D_001_T_020', speaker="GEORG")
    dialog.add_text(text='D_001_T_021', speaker="ALTER_EGO")
    dialog.add_text(text='D_001_T_022', speaker="GEORG")
    dialog.add_text(text='D_001_T_023', speaker="ALTER_EGO")
    dialog.add_text(text='D_001_T_024', speaker="GEORG")
    dialog.add_text(text='D_001_T_025', speaker="ALTER_EGO")
    dialog.add_text(text='D_001_T_026', speaker="GEORG")
    dialog.add_text(text='D_001_T_027', speaker="ALTER_EGO")
    dialog.add_text(text='D_001_T_028', speaker="GEORG", follower='ENDDIALOG', callback=on_dialog_001_ende)
    dialog.start(check_dialog=False)

def onDlg_001_marker():
    if not data().player_knows_Bauer_Petes_Weide:
        data().player_knows_Bauer_Petes_Weide = True
        system.add_minimap_marker(389,439,"MM_001")#Field's Pete  (the Farmer,cows)
    
def on_dialog_001_ende():
    object.move_to(object="KUH1", x=object.get_x("GEORG")+3, y=object.get_y("GEORG")-2, speed=MT_FAST, grid="landscape",callback=["ONEND",onKuhMoveMuh])
    object.move_to(object="KUH2", x=object.get_x("GEORG")-1, y=object.get_y("GEORG")-4, speed=MT_FAST, grid="landscape",callback=["ONEND",onKuhMoveMuh])
    object.move_to(object="KUH3", x=object.get_x("GEORG")-1.6, y=object.get_y("GEORG")+1.5, speed=MT_FAST, grid="landscape",callback=["ONEND",onKuhMoveMuh])
    object.move_to(object="KUH4", x=object.get_x("GEORG")-3.4, y=object.get_y("GEORG")+1.4, speed=MT_FAST, grid="landscape",callback=["ONEND",onKuhMoveMuh])
    object.move_to(object="KUH5", x=object.get_x("GEORG")-4, y=object.get_y("GEORG")-4, speed=MT_FAST, grid="landscape",callback=["ONEND",onKuhMoveMuh])
    if was_zone_entered("zone_2.zone_2"):
        system.set_qb_entry_state(data("zone_2.zone_2").QB_013,INACTIVE)
    system.set_qb_entry_state(data().QB_002,UNCOMPLETE)
    finish_activity("MAGDA")

def onKuhMoveMuh(kuh):
    sound=random.choice(["cow_1","cow_2"])
    sounds.play_3d_sound_object(sfx_id=sound,object=kuh)
    if not dialog.is_dialog_active():
        initDlg_060_Kuehe_Muh(kuh)

def initCutscene_Dlg_002_Bauer_KueheTreiben():
    data().cutscene_kuehe_treiben_gestartet = True
    system.start_cutscene()
    poses = [[393.46, 448.13],[393.29, 448.68],[395.94, 447.55],
            [396.74, 446.32],[396.73, 444.48]]
    for pc in system.get_pcs():
        i = 0
        if pc != "ALTER_EGO":
            p = poses[i]
            i += 1
            if i == len(poses):
                i = 0
            if not object.get_distance(pc, "ALTER_EGO") > 40:
                object.move_to(pc, p[0], p[1], speed=MT_FAST)
                object.turn_to_object(pc, "GEORG")
            
    pos=object.get_position("GEORG")
    object.move_to("ALTER_EGO",pos[0]+1.3,pos[1]+1.3,"landscape",MT_SLOW)
    system.set_camera_view(CAMVIEW_GEORGE_INTRO)
    object.turn_to_object("ALTER_EGO", "GEORG",callback=["ONEND",onDlg_002_StartDialog])
    object.turn_to_object("GEORG", "ALTER_EGO")

def onDlg_002_StartDialog(id):
    object.turn_to_object("ALTER_EGO", "GEORG")
    object.turn_to_object("GEORG", "ALTER_EGO")
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_002_T_001', speaker="ALTER_EGO", callback=Lambda('set_conversation("GEORG","ALTER_EGO",mode="medium_deep")'))
    dialog.add_text(text='D_002_T_002', speaker="GEORG", callback=Lambda('set_conversation("ALTER_EGO","GEORG",mode="medium_deep")'))
    dialog.add_text(text='D_002_T_003', speaker="ALTER_EGO", callback=Lambda('set_conversation("GEORG","ALTER_EGO",mode="close_deep")'))
    dialog.add_text(text='D_002_T_004', speaker="GEORG", follower='ENDDIALOG', callback=onDlg_002_Ende)
    dialog.start()

def onDlg_002_Ende():
    system.notify_timer(data().Timer_Kuh_Massaker, data().Timervalue_Kuh_Massaker_1)
    end_cutscene(chars=["ALTER_EGO", "GEORG"])

def initDlg_003_Bauer_ArmeKuehe():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_003_T_001', speaker="GEORG", follower='ENDDIALOG', callback = onDlg_003_Bauer_ArmeKuehe)
    dialog.start()

def onDlg_003_Bauer_ArmeKuehe():
    system.set_qb_entry_state(data().QB_002,INACTIVE)
    system.set_qb_entry_state(data().QB_003,UNCOMPLETE)

def initDlg_044_Bauer_VielSpass():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_044_T_001', speaker="GEORG", follower='ENDDIALOG')
    dialog.start()


def initDlg_006_Bauer_TraktorKaputt():
    if len(data().Pete_Texte_Traktor):
        dialog.init_dialog(type=DIALOGSMALL)
        TEXT = random.choice(data().Pete_Texte_Traktor)
        #print '[debug initDlg_006_Bauer_TraktorKaputt] Text = ', TEXT
        #print '[debug initDlg_006_Bauer_TraktorKaputt] data().Pete_Texte_Traktor = ', data().Pete_Texte_Traktor
        data().Pete_Texte_Traktor.remove(TEXT)
        dialog.add_text(text= TEXT, speaker="GEORG", follower='ENDDIALOG')
        dialog.start(False)
    else:
        data().Pete_Texte_Traktor = ['D_006_T_001', 'D_006_T_002', 'D_006_T_003', 'D_006_T_004', 'D_006_T_005', 'D_006_T_006']
    
def initDlg_007_Bauer_WillNichtMehr():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_007_T_001', speaker="ALTER_EGO")
    dialog.add_text(text='D_007_T_002', speaker="GEORG", follower='ENDDIALOG')
    dialog.start()

def initDlg_033_Spieler_KeinBockAufMinen():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_033_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

def initCutscene_004_Spieler_BunkerUntersuchen():
    system.start_cutscene()
    system.set_camera_view(data().CamView_SpielerBunkerVerschlossen)
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_004_T_001', speaker="ALTER_EGO")
    dialog.add_text(text='D_004_T_002', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_004_End)
    dialog.start()

def onGoergsMove(id):
    #if system.get_qb_entry_state(data().QB_002) == COMPLETE:
    if data().MainQuest_Dialog005:
        data().MainQuest_Dialog005 = False
        initCutscene_Dlg_005_Bauer_RatskullsNichtBesiegt()

def onDlg_004_End():
    system.set_camera_view(data().CamView_SpielerBunker)
    object.set_position(object="ALTER_EGO", x=494, y=247)
    #object.move_to(object="ALTER_EGO", x=498, y=236, grid="landscape")
    object.move_to(object="ALTER_EGO", x=496.8, y=236.7, grid="landscape")
    object.turn_to_position(object="ALTER_EGO", x=498, y=238)
    object.set_position(object="GEORG", x=494, y=250)
    object.move_to(object="GEORG", x=498, y=238, grid="landscape")
    object.turn_to_position(object="GEORG", x=498, y=236,callback=["ONEND",onGoergsMove])
    data().MainQuest_Dialog005 = True
    object.set_active_state("DONALD RUMS", ACTIVE)
    system.notify_region_entered(region="Steinbruch1", partyid="UISPIELER", permanent=True)
    system.notify_region_entered(region="Steinbruch2", partyid="UISPIELER", permanent=True)
    system.set_qb_entry_state(data().QB_003,INACTIVE)
    system.set_qb_entry_state(data().QB_004,UNCOMPLETE)
    
def initCutscene_Dlg_005_Bauer_RatskullsNichtBesiegt():
    set_conversation("GEORG","ALTER_EGO",mode='medium_deep')
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_005_T_001', speaker="GEORG",
        callback=Lambda('set_conversation("ALTER_EGO","GEORG",mode="medium_deep")'))
    dialog.add_text(text='D_005_T_002', speaker="ALTER_EGO",
        callback=Lambda('set_conversation("GEORG","ALTER_EGO",mode="medium_deep")'))
    dialog.add_text(text='D_005_T_003', speaker="GEORG",
        callback=Lambda('set_conversation("ALTER_EGO","GEORG",mode="close_deep")'))
    dialog.add_text(text='D_005_T_004', speaker="ALTER_EGO",
        callback=Lambda('set_conversation("GEORG","ALTER_EGO",mode="close_deep")'))
    dialog.add_text(text='D_005_T_005', speaker="GEORG")
    dialog.add_text(text='D_005_T_006', speaker="GEORG", follower='ENDDIALOG', callback=onDlg_005_End)
    dialog.start()

def onDlg_005_End():
    dynamic_camera.end_cutscene(chars=["GEORG", "ALTER_EGO"])
    object.move_to(object="GEORG", x=496.4, y=226.0, grid="landscape")
    character.play_animation("GEORG", "CM_NPC_STEHEN_UNTER_WAGEN_KRIECHEN_START", callback=["ONEND", Lambda('data().Georg_LiegtUnterTraktor=True')])
    system.notify_region_entered(region="GeorgsTraktor", partyid="UISPIELER")
    system.notify_timer(data().Timer_GeorgGenugGelegen,data().Timervalue_GeorgGenugGelegen)
    system.set_qb_entry_state(data().QB_017,UNCOMPLETE)
    object.set_active_state("DONALD RUMS", 1)
    system.notify_region_entered(region="Steinbruch1", partyid="UISPIELER")
    system.notify_region_entered(region="Steinbruch2", partyid="UISPIELER")


def initDlg_008_Sprengmeister_WillNichtJagen():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_008_T_001', speaker="DONALD RUMS")
    dialog.add_text(text='D_008_T_002', speaker="ALTER_EGO")
    dialog.add_text(text='D_008_T_003', speaker="DONALD RUMS")
    dialog.add_text(text='D_008_T_004', speaker="DONALD RUMS", follower='D_008_C_001')
    dialog.add_choice(text='D_008_C_001_1', follower='D_008_T_018')
    dialog.add_choice(text='D_008_C_001_2', follower='D_008_T_008')
    dialog.add_choice(text='D_008_C_001_3', follower='D_008_T_009')
    dialog.add_choice(text='D_008_C_001_4', follower='D_008_T_005')
    dialog.add_text(text='D_008_T_005', speaker="DONALD RUMS")
    dialog.add_text(text='D_008_T_006', speaker="ALTER_EGO")
    dialog.add_text(text='D_008_T_007', speaker="DONALD RUMS", follower='D_008_C_001')
    dialog.add_text(text='D_008_T_008', speaker="DONALD RUMS", follower='D_008_C_001')
    dialog.add_text(text='D_008_T_009', speaker="DONALD RUMS", follower='D_008_C_001',
            callback=Lambda("dialog.add_choice('D_008_C_001_5', follower='D_008_T_010')"))
    dialog.add_text(text='D_008_T_010', speaker="DONALD RUMS")
    dialog.add_text(text='D_008_T_011', speaker="ALTER_EGO")
    dialog.add_text(text='D_008_T_012', speaker="DONALD RUMS", follower='D_008_C_001',
            callback=Lambda("dialog.add_choice('D_008_C_001_6', follower='D_008_T_013')"))
    dialog.add_text(text='D_008_T_013', speaker="DONALD RUMS")
    dialog.add_text(text='D_008_T_014', speaker="ALTER_EGO")
    dialog.add_text(text='D_008_T_015', speaker="DONALD RUMS")
    dialog.add_text(text='D_008_T_016', speaker="ALTER_EGO")
    dialog.add_text(text='D_008_T_017', speaker="DONALD RUMS", follower='ENDDIALOG', callback=on_dialog_008_ende)
    dialog.add_text(text='D_008_T_018', speaker="DONALD RUMS", follower='D_008_C_002', callback=Lambda('data().VonDonaldInfoWhg = True'))
    dialog.add_choice(text='D_008_C_002_1', follower='D_008_T_020')
    dialog.add_choice(text='D_008_C_002_2', follower='D_008_T_021')
    dialog.add_choice(text='D_008_C_002_3', follower='D_008_T_024')
    dialog.add_text(text='D_008_T_020', speaker="DONALD RUMS", follower='D_008_C_002')
    dialog.add_text(text='D_008_T_021', speaker="DONALD RUMS")
    dialog.add_text(text='D_008_T_022', speaker="ALTER_EGO")
    dialog.add_text(text='D_008_T_023', speaker="DONALD RUMS", follower='D_008_C_002')
    dialog.add_text(text='D_008_T_024', speaker="DONALD RUMS")
    dialog.add_text(text='D_008_T_025', speaker="DONALD RUMS")
    dialog.add_text(text='D_008_T_026', speaker="ALTER_EGO")
    dialog.add_text(text='D_008_T_027', speaker="DONALD RUMS", follower='D_008_C_001')
    dialog.start(check_dialog=False)

def on_dialog_008_ende():
    data().VonDonaldAufgabeBesorgeFleisch = True
    system.set_qb_entry_state(data().QB_019, UNCOMPLETE)
    system.set_qb_entry_state(data().QB_022, UNCOMPLETE)
    
    if data().one_dead_bison_found:
        system.set_qb_entry_state(data().QB_022,INACTIVE)
        system.set_qb_entry_state(data().QB_023,UNCOMPLETE)
    
    system.set_qb_entry_state(data().QB_017, INACTIVE)

def initCutscene_Dlg_009_Sprengmeister_WartenAufFleisch():
    system.start_cutscene()
    init_cutscene("ALTER_EGO", "DONALD RUMS", dx=1.0, dy=1.3)
    object.turn_to_object("ALTER_EGO", "DONALD RUMS", callback=["ONEND", initDlg_009_Sprengmeister_WartenAufFleisch])

def initDlg_009_Sprengmeister_WartenAufFleisch(id):
    dialog.init_dialog(type=DIALOGSMALL)
    set_conversation("DONALD RUMS","ALTER_EGO",mode="medium_deep")
    dialog.add_text(text='D_009_T_001', speaker="DONALD RUMS", callback=Lambda('set_conversation("ALTER_EGO","DONALD RUMS",mode="close_deep")'))
    dialog.add_text(text='D_009_T_002', speaker="ALTER_EGO", callback=Lambda('set_conversation("DONALD RUMS","ALTER_EGO",mode="close_deep")'))
    dialog.add_text(text='D_009_T_003', speaker="DONALD RUMS", follower='ENDDIALOG' , callback=onDlg_009_Ende)
    dialog.start()

def onDlg_009_Ende():
    end_cutscene(chars=["DONALD RUMS", "ALTER_EGO"])
    allow_activity("DONALD RUMS")

def onDlg_010_EndDialog():
    system.set_qb_entry_state(data().QB_005, COMPLETE)
    system.set_qb_entry_state(data().QB_019,INACTIVE)
    system.set_qb_entry_state(data().QB_022,INACTIVE)
    system.set_qb_entry_state(data().QB_020,INACTIVE)
    system.set_qb_entry_state(data().QB_021,INACTIVE)
    system.set_qb_entry_state(data().QB_023,INACTIVE)
    character.add_experience_party( 120 )

    if object.get_attribute("ALTER_EGO","explosives") < 40:
        text_kommentar = globaltext.NOT_ENOUGH_EXPLOSIVE_SKILL_RESULT %{"char":object.get_attribute("ALTER_EGO","name")}
        system.add_text(text_kommentar)
        object.drop_item("DONALD RUMS",data().obj_DonaldsC4)
        object.set_position(data().obj_DonaldsC4, object.get_x("ALTER_EGO"), object.get_y("ALTER_EGO"))
    else:
        object.transfer_item("DONALD RUMS",data().obj_DonaldsC4,"ALTER_EGO")

def tr_bison(x):
    if x == 1 or x == 2:
        cs.tranf_item_party("Z3 TIGER_MEAT","DONALD RUMS")
    if x == 1 or x == 3:
        if cs.group_as_obj("Z3 BISON_MEAT_KADABER"):
            print "Z3 BISON_MEAT_KADABER"
            cs.tranf_item_party("Z3 BISON_MEAT_KADABER","DONALD RUMS")
        else:
            cs.tranf_item_party("Z3 BISON_MEAT_KADABER_KILL","DONALD RUMS")
            print "else"

def initDlg_010_Sprengmeister_BekommtFleisch():
    dialog.init_dialog(type=DIALOGLARGE)
    if cs.group_has_1_of(["Z3 BISON_MEAT_KADABER", "Z3 BISON_MEAT_KADABER_KILL"]) and\
        cs.group_as_obj("Z3 TIGER_MEAT"):

        dialog.add_choice(text='D_010_C_002_1', follower='D_010_T_001')
# if charisma 1 of them
    if cs.anyone_has_skill("speech",70): 
        if cs.group_as_obj("Z3 TIGER_MEAT"):
            dialog.add_choice(text='D_010_C_002_2', follower='D_010_T_002')
        if cs.group_has_1_of(["Z3 BISON_MEAT_KADABER", "Z3 BISON_MEAT_KADABER_KILL"]):
            dialog.add_choice(text='D_010_C_002_3', follower='D_010_T_003')
# charisma fail
    else:
        if cs.group_as_obj("Z3 TIGER_MEAT"):
            dialog.add_choice(text='D_010_C_002_2', follower='D_010_T_011')
        if cs.group_has_1_of(["Z3 BISON_MEAT_KADABER", "Z3 BISON_MEAT_KADABER_KILL"]):
            dialog.add_choice(text='D_010_C_002_3', follower='D_010_T_011')
# choice gone
    dialog.add_choice(text='D_010_C_002_4', follower='ENDDIALOG')
# answers & following
    dialog.add_text(text='D_010_T_001', speaker="DONALD RUMS", callback=Lambda('tr_bison(1)'))
    dialog.add_text(text='D_010_T_002', speaker="DONALD RUMS", callback=Lambda('tr_bison(2)'))
    dialog.add_text(text='D_010_T_003', speaker="DONALD RUMS", callback=Lambda('tr_bison(3)'))
    dialog.add_choice(text='D_010_C_001_1', follower='D_010_T_005')
    dialog.add_choice(text='D_010_C_001_2', follower='D_010_T_006')
    dialog.add_choice(text='D_010_C_001_3', follower='D_010_T_007')
    dialog.add_text(text='D_010_T_005', speaker="DONALD RUMS", follower='D_010_C_001')
    dialog.add_text(text='D_010_T_006', speaker="DONALD RUMS", follower='D_010_C_001')
    dialog.add_text(text='D_010_T_007', speaker="DONALD RUMS")
    dialog.add_text(text='D_010_T_008', speaker="ALTER_EGO")
    dialog.add_text(text='D_010_T_009', speaker="DONALD RUMS", follower='ENDDIALOG',
        callback= onDlg_010_EndDialog)
    dialog.add_text(text='D_010_T_010', speaker="DONALD RUMS", follower='D_010_C_001')
    dialog.add_text(text='D_010_T_011', speaker="DONALD RUMS", follower='ENDDIALOG')
    dialog.start(False)


def initDlg_045_Sprengmeister_WohnungsMakler():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_045_T_001', speaker="DONALD RUMS")
    dialog.add_text(text='D_045_T_002', speaker="ALTER_EGO", follower='ENDDIALOG', callback=Lambda('data().VonDonaldInfoWhg=True'))
    dialog.start()


def initCutscene_Dlg_037_Spieler_UntersuchtFelsenwohnung(camview):
    system.start_cutscene()
    object.turn_to_direction("ALTER_EGO",75)
    system.set_camera_view(camview)
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_037_T_001', speaker="ALTER_EGO", follower='ENDDIALOG',
        callback=Lambda('system.notify_timer(data().Timer_Wilma_Rufen, data().Timervalue_Wilma_Rufen)'))
    dialog.start()

def initCutscene_Dlg_037_Spieler_UntersuchtFelsenwohnung_2():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_037_T_002', speaker="ALTER_EGO", follower='ENDDIALOG', callback=end_cutscene)
    dialog.start()


def initCutscene_Dlg_011_Spieler_UntersuchtBison():
    data().one_dead_bison_found = True
    system.start_cutscene()
    system.set_camera_view(CAMVIEW_BISON_KADAVER)
    object.move_to("ALTER_EGO", 300.6, 328.5, speed=MT_SLOW)
    object.turn_to_object("ALTER_EGO", data().Obj_BisonKadaver, callback=["ONEND", onDlg_011_StartDialog])

def onDlg_011_StartDialog(char_id):
    character.change_body_mode("ALTER_EGO","KNEEL")
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_011_T_001', speaker="ALTER_EGO")
    dialog.add_text(text='D_011_T_002', speaker="ALTER_EGO")
    dialog.add_text(text='D_011_T_003', speaker="ALTER_EGO", follower='ENDDIALOG', callback = EndDlg_011_StartDialog)
    dialog.start()

def EndDlg_011_StartDialog():
    system.end_cutscene() 
    character.change_body_mode("ALTER_EGO","STAND")
    if system.get_qb_entry_state(data().QB_022) == UNCOMPLETE:
        system.set_qb_entry_state(data().QB_022,INACTIVE)
        system.set_qb_entry_state(data().QB_023,UNCOMPLETE)

def initDlg_012_Dorfbewohnerin_Besorgt():
    if not data().ZwillingsQuest_Gesperrt:
        dialog.init_dialog(type=DIALOGLARGE)
        if not data().ZwillingsQuest_Mit_Dorfbewohnerin_Gesprochen:
            dialog.add_text(text='D_012_T_001', speaker="DORFBEWOHNERIN")
            dialog.add_text(text='D_012_T_002', speaker="ALTER_EGO")
            dialog.add_text(text='D_012_T_003', speaker="DORFBEWOHNERIN", follower='D_012_C_001')
            dialog.add_choice(text='D_012_C_001_1', follower='D_012_T_006')
            dialog.add_choice(text='D_012_C_001_2', follower='ENDDIALOG',
                    callback=Lambda('data().ZwillingsQuest_Mit_Dorfbewohnerin_Gesprochen=True'))
            dialog.add_choice(text='D_012_C_001_3', follower='D_012_T_004')
            dialog.add_text(text='D_012_T_004', speaker="DORFBEWOHNERIN", follower='ENDDIALOG',
                    callback=Lambda('data().ZwillingsQuest_Gesperrt=True'))
        dialog.add_text(text='D_012_T_005', speaker="ALTER_EGO")
        dialog.add_text(text='D_012_T_006', speaker="DORFBEWOHNERIN", follower='ENDDIALOG', callback=
                Lambda('system.set_qb_entry_state(data().QB_010,UNCOMPLETE)'))
        dialog.start(check_dialog=False)


def initDlg_048_Dorfbewohnerin_ImmerNochBesorgt():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_048_T_001', speaker="DORFBEWOHNERIN", follower='ENDDIALOG')
    dialog.start()

def initDlg_013_Luisa_Weint():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_013_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()


def initDlg_014_Luisa_VermisstKinder():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_choice(text='D_014_C_001_1', follower='D_014_T_001',
            callback=Lambda('data().ZwillingsQuest_Mit_Lisa_Gesprochen=True'))
    dialog.add_choice(text='D_014_C_001_2', follower='ENDDIALOG')
    dialog.add_text(text='D_014_T_001', speaker="LUISA", follower='D_014_C_002')
    dialog.add_choice(text='D_014_C_002_1', follower='D_014_T_003',
            callback=Lambda('data().ZwillingsQuest_Luisa_Bezahlung=True'))
    dialog.add_choice(text='D_014_C_002_2', follower='D_014_T_002')
    dialog.add_choice(text='D_014_C_002_3', follower='D_014_T_004')
    dialog.add_text(text='D_014_T_002', speaker="LUISA", follower='ENDDIALOG', callback=[
            Lambda('data().ZwillingsQuest_Gesperrt=True')])
    dialog.add_text(text='D_014_T_003', speaker="LUISA", follower='D_014_T_006')
    dialog.add_text(text='D_014_T_004', speaker="LUISA")
    dialog.add_text(text='D_014_T_005', speaker="ALTER_EGO")
    dialog.add_text(text='D_014_T_006', speaker="ALTER_EGO")
    dialog.add_text(text='D_014_T_007', speaker="LUISA")
    dialog.add_text(text='D_014_T_008', speaker="LUISA")
    dialog.add_text(text='D_014_T_009', speaker="ALTER_EGO", follower='ENDDIALOG', callback=[
            Lambda('system.set_qb_entry_state(data().QB_010,INACTIVE)'),
            Lambda('system.set_qb_entry_state(data().QB_011,UNCOMPLETE)'),
            Lambda('cs.teleport_party(535,552)')])
    dialog.start()


def initCutscene_Dlg_016_Luisa_Dankbar_KeineBezahlung():
    system.start_cutscene()
    init_cutscene("ALTER_EGO", "LUISA", dx=1.3, dy=1.0)
    object.turn_to_object("ALTER_EGO","LUISA", callback=["ONEND", initDlg_016_Luisa_Dankbar_KeineBezahlung])

def initDlg_016_Luisa_Dankbar_KeineBezahlung(id):
    dialog.init_dialog(type=DIALOGSMALL)
    set_conversation("LUISA","ALTER_EGO", mode="medium_deep")
    dialog.add_text(text='D_016_T_001', speaker="LUISA", callback=Lambda('set_conversation("ALTER_EGO","LUISA", mode="close_deep")'))
    dialog.add_text(text='D_016_T_002', speaker="ALTER_EGO", callback=Lambda('set_conversation("LUISA","ALTER_EGO", mode="close_deep")'))
    dialog.add_text(text='D_016_T_003', speaker="LUISA", follower='ENDDIALOG', callback=onDlg_016_Ende)
    dialog.start()

def onDlg_016_Ende():
    system.set_qb_entry_state(data().QB_011,COMPLETE)
    system.set_qb_entry_state(data().QB_012,INACTIVE)
    end_cutscene(chars=["LUISA", "ALTER_EGO"])
    allow_activity("LUISA")
    data().ZwillingsQuest_Luisa_HatSichBedankt = True

def initCutscene_Dlg_017_Luisa_Dankbar_MitBezahlung():
    system.start_cutscene()
    init_cutscene("ALTER_EGO", "LUISA", dx=1.3, dy=1.0)
    object.turn_to_object("ALTER_EGO","LUISA", callback=["ONEND", initDlg_017_Luisa_Dankbar_MitBezahlung])

def initDlg_017_Luisa_Dankbar_MitBezahlung(id):
    dialog.init_dialog(type=DIALOGSMALL)
    set_conversation("LUISA","ALTER_EGO", mode="medium_deep")
    dialog.add_text(text='D_017_T_001', speaker="LUISA", callback=Lambda('set_conversation("ALTER_EGO","LUISA", mode="medium_deep")'))
    dialog.add_text(text='D_017_T_002', speaker="ALTER_EGO", callback=Lambda('set_conversation("LUISA","ALTER_EGO", mode="close_deep")'))
    dialog.add_text(text='D_017_T_003', speaker="LUISA", callback=Lambda('set_conversation("LUISA","ALTER_EGO", mode="close_deep", new_camera=False)'))
    dialog.add_text(text='D_017_T_004', speaker="LUISA", callback=Lambda('set_conversation("ALTER_EGO","LUISA", mode="close_deep")'))
    dialog.add_text(text='D_017_T_005', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_017_Ende)
    dialog.start()

def onDlg_017_Ende():
    end_cutscene(chars=["LUISA", "ALTER_EGO"])
    allow_activity("LUISA")
    data().ZwillingsQuest_Luisa_HatSichBedankt = True
    system.set_qb_entry_state(data().QB_011,COMPLETE)
    system.set_qb_entry_state(data().QB_012,INACTIVE)

def initCutscene_Dlg_018_Doerfler_WoIstDerSchnapps():
    system.start_cutscene()
    for id in system.get_pcs():
        object.turn_to_object(id,"DOERFLER A")
    system.set_camera_view(CAMVIEW_BESOFFENE_INTRO)
    PlaySpeechAnimation("DOERFLER A")
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_018_T_001', speaker="DOERFLER A", callback=[
        Lambda("PlaySpeechAnimation('DOERFLER B')")])
    dialog.add_text(text='D_018_T_002', speaker="DOERFLER B", callback=[
        Lambda('system.set_camera_view(CAMVIEW_BESOFFENE_3)'),
        Lambda("PlaySpeechAnimation('DOERFLER C')")])
    dialog.add_text(text='D_018_T_003', speaker="DOERFLER C", callback=[
        Lambda("system.set_camera_view(CAMVIEW_BESOFFENE_INTRO)"),#[254.49*2, 362.01*2, 5.42*2, -0.22*2, -0.94*2, -0.21*2])"),
        Lambda("PlaySpeechAnimation( 'DOERFLER B' )")])
    dialog.add_text(text='D_018_T_004', speaker="DOERFLER B", callback=[
        Lambda('system.set_camera_view(CAMVIEW_BESOFFENE_2)'),
        Lambda("PlaySpeechAnimation( 'DOERFLER A' )")])
    dialog.add_text(text='D_018_T_005', speaker="DOERFLER A", callback=[
        Lambda("system.set_camera_view(CAMVIEW_BESOFFENE_INTRO)"),#[254.49*2, 362.01*2, 5.42*2, -0.22*2, -0.94*2, -0.21*2])"),
        Lambda("PlaySpeechAnimation( 'DOERFLER B' )")])
    dialog.add_text(text='D_018_T_006', speaker="DOERFLER B", callback=[
        Lambda('system.set_camera_view(CAMVIEW_BESOFFENE_3)'),
        Lambda("PlaySpeechAnimation( 'DOERFLER C' )")])
    dialog.add_text(text='D_018_T_007', speaker="DOERFLER C", follower='ENDDIALOG',callback = Dlg_018_QB)
    dialog.start()

def Dlg_018_QB():
    system.set_qb_entry_state(data().QB_006,UNCOMPLETE)
    system.end_cutscene(),
    data().Doerfeler_TA_gestartet = True
    
def initDlg_019_Doerfaeltester_KeinGespraech():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_019_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()


def initDlg_020_Doerfaeltester_SorgeUmSchnapps():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_020_T_001', speaker="ALTER_EGO")
    dialog.add_text(text='D_020_T_002', speaker="DORFAELTESTER")
    dialog.add_text(text='D_020_T_012', speaker="DORFAELTESTER")
    dialog.add_text(text='D_020_T_003', speaker="ALTER_EGO")
    dialog.add_choice(text='D_020_C_001_1', follower='D_020_T_004')
    dialog.add_choice(text='D_020_C_001_2', follower='D_020_T_005')
    dialog.add_choice(text='D_020_C_001_3', follower='D_020_T_006')
    dialog.add_text(text='D_020_T_004', speaker="DORFAELTESTER", follower='ENDDIALOG', callback=[
            Lambda('system.set_qb_entry_state(data().QB_006,INACTIVE)')])
    dialog.add_text(text='D_020_T_005', speaker="DORFAELTESTER", follower="D_020_C_001_1")
    dialog.add_text(text='D_020_T_006', speaker="DORFAELTESTER")
    dialog.add_choice(text='D_020_C_002_1', follower='D_020_T_008')
    dialog.add_choice(text='D_020_C_002_2', follower='D_020_T_007')
    dialog.add_text(text='D_020_T_007', speaker="DORFAELTESTER", follower='ENDDIALOG', callback=[
            Lambda('system.set_qb_entry_state(data().QB_006,INACTIVE)')])
    dialog.add_text(text='D_020_T_008', speaker="DORFAELTESTER")
    dialog.add_text(text='D_020_T_009', speaker="ALTER_EGO")
    dialog.add_text(text='D_020_T_010', speaker="DORFAELTESTER")
    dialog.add_choice(text='D_020_C_003_1', follower='ENDDIALOG', callback=[
            Lambda('system.set_qb_entry_state(data().QB_006,INACTIVE)'),
            Lambda('system.set_qb_entry_state(data().QB_007,UNCOMPLETE)')])
    dialog.add_choice(text='D_020_C_003_2', follower='D_020_T_011')
    dialog.add_text(text='D_020_T_011', speaker="DORFAELTESTER", follower='ENDDIALOG', callback=[
            Lambda('system.set_qb_entry_state(data().QB_006,INACTIVE)')])
    dialog.start()

def initDlg_046_Doerfaeltester_NochNichtsErreicht():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_046_T_001', speaker="DORFAELTESTER")
    dialog.add_text(text='D_046_T_002', speaker="ALTER_EGO")
    dialog.add_text(text='D_046_T_003', speaker="DORFAELTESTER", follower='ENDDIALOG')
    dialog.start()

def initDlg_021_Doerfaeltester_SchnappsBefreit_spawn_loot():
    object.create_item_in_inventory("BUILDING_2552","SET_COLT_ANACONDA")
    object.create_item_in_inventory("BUILDING_2552","SET_AMMOPACK_44")
    object.create_item_in_inventory("BUILDING_2552","SET_AMMOPACK_44")
    object.create_item_in_inventory("BUILDING_2768","SET_WALTER_PPK")
    object.create_item_in_inventory("BUILDING_2768","SET_AMMOPACK_7_65_MM")
    object.create_item_in_inventory("BUILDING_2768","SET_AMMOPACK_7_65_MM")

def initCutscene_Dlg_021_Doerfaeltester_SchnappsBefreit():
    system.start_cutscene()
    init_cutscene("ALTER_EGO", "DORFAELTESTER", dx=1.0, dy=-1.3, step_away=(get_location("DORFAELTESTER") in [4]))
    object.turn_to_object("ALTER_EGO","DORFAELTESTER", callback=["ONEND", initDlg_021_Doerfaeltester_SchnappsBefreit])

def initDlg_021_Doerfaeltester_SchnappsBefreit(id):
    set_conversation("ALTER_EGO","DORFAELTESTER", mode="close_deep")
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_021_T_001', speaker="ALTER_EGO", callback=Lambda('set_conversation("DORFAELTESTER","ALTER_EGO", mode="medium_deep")'))
    dialog.add_text(text='D_021_T_002', speaker="DORFAELTESTER", callback=Lambda('set_conversation("ALTER_EGO","DORFAELTESTER", mode="close_deep")'))
    dialog.add_text(text='D_021_T_003', speaker="ALTER_EGO", callback=Lambda('set_conversation("DORFAELTESTER","ALTER_EGO", mode="close_deep")'))
    dialog.add_text(text='D_021_T_004', speaker="DORFAELTESTER", callback=Lambda('set_conversation("ALTER_EGO","DORFAELTESTER", mode="close_deep")'))
    dialog.add_text(text='D_021_T_005', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_021_Ende)
    dialog.start()

def onDlg_021_Ende():
    allow_activity("DORFAELTESTER")
    end_cutscene(chars=["DORFAELTESTER", "ALTER_EGO"])
    system.set_qb_entry_state(data().QB_007,COMPLETE)
    system.set_qb_entry_state(data().QB_018,INACTIVE)
    initDlg_021_Doerfaeltester_SchnappsBefreit_spawn_loot()
    character.add_experience_party(data().Exp_Schnaps)

def initDlg_047_Doerfaeltester_Hick():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_047_T_001', speaker="DORFAELTESTER")
    dialog.add_text(text='D_047_T_002', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

def initCutscene_Dlg_081_Dorfaeltester_DistillerieOhneAuftragBefreit():
    system.start_cutscene()
    init_cutscene("ALTER_EGO", "DORFAELTESTER", dx=1.0, dy=-1.3, step_away=(get_location("DORFAELTESTER") in [4]))
    object.turn_to_object("ALTER_EGO","DORFAELTESTER", callback=["ONEND", initDlg_081_Dorfaeltester_DistillerieOhneAuftragBefreit])

def Dlg_081_TurnTo(id):
    object.turn_to_object("DORFAELTESTER","ALTER_EGO", callback=["ONEND", initDlg_081_Dorfaeltester_DistillerieOhneAuftragBefreit])

def initDlg_081_Dorfaeltester_DistillerieOhneAuftragBefreit(id):
    set_conversation("ALTER_EGO","DORFAELTESTER", mode="close_deep")
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_081_T_001', speaker="ALTER_EGO", callback=Lambda('set_conversation("DORFAELTESTER","ALTER_EGO", mode="medium_deep")'))
    dialog.add_text(text='D_081_T_002', speaker="DORFAELTESTER", callback=Lambda('set_conversation("ALTER_EGO","DORFAELTESTER", mode="close_deep")'))
    dialog.add_text(text='D_081_T_003', speaker="ALTER_EGO", callback=Lambda('set_conversation("DORFAELTESTER","ALTER_EGO", mode="medium_deep")'))
    dialog.add_text(text='D_081_T_004', speaker="DORFAELTESTER", callback=Lambda('set_conversation("ALTER_EGO","DORFAELTESTER", mode="close_deep")'))
    dialog.add_text(text='D_081_T_005', speaker="ALTER_EGO", callback=Lambda('set_conversation("DORFAELTESTER","ALTER_EGO", mode="close_deep")'))
    dialog.add_text(text='D_081_T_006', speaker="DORFAELTESTER", callback=Lambda('set_conversation("ALTER_EGO","DORFAELTESTER", mode="close_deep")'))
    dialog.add_text(text='D_081_T_007', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_081_Ende)
    dialog.start()

def onDlg_081_Ende():
    end_cutscene(chars=["DORFAELTESTER", "ALTER_EGO"])
    allow_activity("DORFAELTESTER")
    initDlg_021_Doerfaeltester_SchnappsBefreit_spawn_loot()
    system.set_qb_entry_state(data().QB_007,COMPLETE)
    system.set_qb_entry_state(data().QB_006,INACTIVE)
    data().Doerfeler_TA_gestartet = True

def initDlg_022_GonzosFrau_Bote():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_choice(text='D_022_C_001_1', follower='D_022_T_001')
    dialog.add_choice(text='D_022_C_001_2', follower='D_022_T_005')
    dialog.add_choice(text='D_022_C_001_3', follower='ENDDIALOG')
    dialog.add_text(text='D_022_T_001', speaker="BARBARA", follower='D_022_T_003')
    dialog.add_text(text='D_022_T_003', speaker="ALTER_EGO")
    dialog.add_text(text='D_022_T_004', speaker="BARBARA", follower='D_022_C_002')
    dialog.add_choice(text='D_022_C_002_1', follower='D_022_T_005')
    dialog.add_choice(text='D_022_C_002_2', follower='D_022_T_005')
    dialog.add_choice(text='D_022_C_002_3', follower='ENDDIALOG')
    dialog.add_text(text='D_022_T_005', speaker="BARBARA", follower='D_022_C_003')
    dialog.add_choice(text='D_022_C_003_1', follower='D_022_T_010')
    dialog.add_choice(text='D_022_C_003_2', follower='D_022_T_012')
    dialog.add_choice(text='D_022_C_003_3', follower='ENDDIALOG', callback=
            Lambda('data().GonzoQuest_GonzosFrau_DialogVergeigt=True'))
    dialog.add_text(text='D_022_T_010', speaker="BARBARA")
    dialog.add_text(text='D_022_T_011', speaker="ALTER_EGO", follower='D_022_C_003')
    dialog.add_text(text='D_022_T_012', speaker="BARBARA", follower='D_022_C_004')
    dialog.add_choice(text='D_022_C_004_1', follower='D_022_T_017')
    dialog.add_choice(text='D_022_C_004_2', follower='ENDDIALOG', callback=
            Lambda('data().GonzoQuest_GonzosFrau_DialogVergeigt=True'))
    dialog.add_text(text='D_022_T_017', speaker="BARBARA")
    dialog.add_text(text='D_022_T_018', speaker="ALTER_EGO", follower='ENDDIALOG', callback=[
            Lambda('system.notify_timer(data().Timer_GonzoTimeout, data().Timervalue_GonzoTimeout)'),
            Lambda('system.set_qb_entry_state(data().QB_013, UNCOMPLETE)'),
            Lambda('cs.teleport_party(282,643)')])
    dialog.start()

def initCutscene_Dlg_027_GonzosFrau_GonzoTot():
    system.start_cutscene()
    init_cutscene("ALTER_EGO","BARBARA", dx=1.1, dy=1.4, step_away=(get_location("BARBARA") in [2,3,4]))
    object.turn_to_object("ALTER_EGO","BARBARA", callback=["ONEND", initDlg_027_GonzosFrau_GonzoTot])

def initDlg_027_GonzosFrau_GonzoTot(id):
    dialog.init_dialog(type=DIALOGSMALL)
    set_conversation("ALTER_EGO","BARBARA",mode="medium")
    dialog.add_text(text='D_027_T_001', speaker="ALTER_EGO", callback=Lambda('set_conversation("BARBARA","ALTER_EGO",mode="medium")'))
    dialog.add_text(text='D_027_T_002', speaker="BARBARA", callback=Lambda('set_conversation("ALTER_EGO","BARBARA",mode="medium")'))
    dialog.add_text(text='D_027_T_003', speaker="ALTER_EGO", callback=Lambda('set_conversation("BARBARA","ALTER_EGO",mode="medium")'))
    dialog.add_text(text='D_027_T_004', speaker="BARBARA", callback=Lambda('set_conversation("ALTER_EGO","BARBARA",mode="medium")'))
    dialog.add_text(text='D_027_T_005', speaker="ALTER_EGO", callback=Lambda('set_conversation("BARBARA","ALTER_EGO",mode="close")'))
    dialog.add_text(text='D_027_T_006', speaker="BARBARA", callback=Lambda('set_conversation("ALTER_EGO","BARBARA",mode="close")'))
    dialog.add_text(text='D_027_T_007', speaker="ALTER_EGO", callback=Lambda('set_conversation("BARBARA","ALTER_EGO",mode="close")'))
    dialog.add_text(text='D_027_T_008', speaker="BARBARA", callback=Lambda('set_conversation("ALTER_EGO","BARBARA",mode="close")'))
    dialog.add_text(text='D_027_T_009', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_027_Ende)
    dialog.start()

def onDlg_027_Ende():
    data().GonzoQuest_Dialog_27_Erledigt=True
    end_cutscene(chars=["BARBARA", "ALTER_EGO"])
    allow_activity("BARBARA")

def initDlg_028_GonzosFrau_GehtsGut():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_028_T_001', speaker="BARBARA")
    dialog.add_text(text='D_028_T_002', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

def initDlg_082_GonzosFrau_TrauerNachTodGonzosOhneAuftrag():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_082_T_001', speaker="BARBARA")
    dialog.add_text(text='D_082_T_002', speaker="ALTER_EGO")
    dialog.add_text(text='D_082_T_003', speaker="BARBARA")
    dialog.add_text(text='D_082_T_004', speaker="ALTER_EGO", follower='ENDDIALOG', callback=[Lambda('data().GonzoQuest_Dialog_27_Erledigt=True')])
    dialog.start()


def initDlg_038_McKanzee_WillNichtReden():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_038_T_001', speaker='MCKANZEE', follower='ENDDIALOG')
    dialog.start()


def initDlg_030_McKanzee_WillWasser():
    dialog.init_dialog(type=DIALOGLARGE)
    if not data().BatterieQuest_McKanzee_Gespraech_Fortsetzen_T_014:
        dialog.add_text(text='D_030_T_001', speaker="ALTER_EGO")
        dialog.add_text(text='D_030_T_002', speaker='MCKANZEE', follower='D_030_C_001')
        dialog.add_choice(text='D_030_C_001_1', follower='D_030_T_007')
        dialog.add_choice(text='D_030_C_001_2', follower='D_030_T_013')
        dialog.add_text(text='D_030_T_007', speaker='MCKANZEE')
        dialog.add_text(text='D_030_T_008', speaker="ALTER_EGO")
        dialog.add_text(text='D_030_T_009', speaker='MCKANZEE')
        dialog.add_text(text='D_030_T_010', speaker="ALTER_EGO")
        dialog.add_text(text='D_030_T_011', speaker='MCKANZEE')
        dialog.add_text(text='D_030_T_012', speaker="ALTER_EGO")
        dialog.add_text(text='D_030_T_013', speaker='MCKANZEE', follower='D_030_C_002')
        dialog.add_choice(text='D_030_C_002_1', follower='D_030_T_015')
        dialog.add_choice(text='D_030_C_002_2', follower='ENDDIALOG',
                callback=Lambda('data().BatterieQuest_McKanzee_Gespraech_Fortsetzen_T_014=True'))
    dialog.add_text(text='D_030_T_014', speaker="ALTER_EGO")
    dialog.add_text(text='D_030_T_015', speaker='MCKANZEE', follower='D_030_T_019')
    dialog.add_text(text='D_030_T_019', speaker='MCKANZEE', follower='D_030_C_003')
    dialog.add_choice(text='D_030_C_003_1', follower='D_030_T_027')
    dialog.add_choice(text='D_030_C_003_2', follower='D_030_T_021')
    dialog.add_choice(text='D_030_C_003_3', follower='D_030_T_023')
    dialog.add_choice(text='D_030_C_003_4', follower='ENDDIALOG')
    dialog.add_text(text='D_030_T_020', speaker="ALTER_EGO", follower='D_030_T_023')
    dialog.add_text(text='D_030_T_021', speaker='MCKANZEE')
    dialog.add_text(text='D_030_T_022', speaker="ALTER_EGO")
    dialog.add_text(text='D_030_T_023', speaker='MCKANZEE')
    dialog.add_text(text='D_030_T_024', speaker="ALTER_EGO", follower='ENDDIALOG', callback=[
            Lambda('system.set_qb_entry_state(data().QB_009, UNCOMPLETE)'),
            Lambda('system.set_qb_entry_state(data().QB_008, INACTIVE)')])
    dialog.add_text(text='D_030_T_027', speaker='MCKANZEE')
    dialog.add_text(text='D_030_T_028', speaker="ALTER_EGO", follower='D_030_C_003')
    dialog.start(check_dialog=False)

def initCutscene_Dlg_039_McKanzee_KeinWasser():
    system.start_cutscene()
    init_cutscene("ALTER_EGO","MCKANZEE", dx=1.0, dy=1.5)
    object.turn_to_object("ALTER_EGO", "MCKANZEE",callback=["ONEND", initDlg_039_McKanzee_KeinWasser])

def initDlg_039_McKanzee_KeinWasser(id):
    dialog.init_dialog(type=DIALOGSMALL)
    set_conversation("MCKANZEE","ALTER_EGO", mode="medium")
    dialog.add_text(text='D_039_T_001', speaker="MCKANZEE", callback=Lambda('set_conversation("ALTER_EGO","MCKANZEE", mode="close")'))
    dialog.add_text(text='D_039_T_002', speaker="ALTER_EGO", callback=Lambda('set_conversation("MCKANZEE","ALTER_EGO", mode="close")'))
    dialog.add_text(text='D_039_T_003', speaker="MCKANZEE", follower='ENDDIALOG', callback=onDlg_039_Ende)
    dialog.start()

def onDlg_039_Ende():
    end_cutscene(chars=["MCKANZEE", "ALTER_EGO"])
    allow_activity("MCKANZEE")

def initCutscene_Dlg_031_McKanzee_BekommtWasser(items = None):
    system.start_cutscene()
    init_cutscene("ALTER_EGO", "MCKANZEE",dx=1.0, dy=1.5)
    object.turn_to_object("ALTER_EGO", "MCKANZEE", callback=["ONEND", Lambda('initDlg_031_McKanzee_BekommtWasser("ALTER_EGO", %s)' %items)])

def initDlg_031_McKanzee_BekommtWasser(id, items):
    set_conversation("ALTER_EGO","MCKANZEE", mode="medium")
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_031_T_001', speaker="ALTER_EGO", callback=Lambda('set_conversation("MCKANZEE","ALTER_EGO", mode="medium")'))
    dialog.add_text(text='D_031_T_002', speaker="MCKANZEE", callback=Lambda('set_conversation("ALTER_EGO","MCKANZEE", mode="close")'))
    dialog.add_text(text='D_031_T_003', speaker="ALTER_EGO", callback=Lambda('set_conversation("MCKANZEE","ALTER_EGO", mode="close")'))
    dialog.add_text(text='D_031_T_004', speaker="MCKANZEE", follower='ENDDIALOG', callback=Lambda('onDlg_031_Ende(%s)'%items))
    dialog.start()

def onDlg_031_Ende(items):
#   print items
    end_cutscene(chars=["MCKANZEE", "ALTER_EGO"])
    system.set_qb_entry_state(data().QB_009, INACTIVE)
    system.set_qb_entry_state(data().QB_008,UNCOMPLETE)
    if cs.group_as_obj("SET_WATER_SKIN", 3- data().mckanzee_given_water):
        cs.del_party_inv("SET_WATER_SKIN", 3- data().mckanzee_given_water)
#
    object.transfer_item("MCKANZEE",data().obj_Autobatterie,"ALTER_EGO")
    allow_activity("MCKANZEE")
    allow_activity("HAENDLER")
    character.add_experience_party(data().Exp_McKanzee)
    cs.teleport_party(535,552)

def initDlg_040_McKanzee_HautAb():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_040_T_001', speaker="MCKANZEE", follower='ENDDIALOG')
    dialog.start()


def initCutscene_034_Ratskulls_WhiskyMachtSpass():
    if not system.is_cutscene():
        system.start_cutscene()
    system.set_camera_view(data().CamView_RatskullLagerWhiskyMachtSpass)
    for pc in system.get_pcs():
        if pc != "ALTER_EGO":
            if object.get_distance(pc,"ALTER_EGO") <= 15.0:
                object.cancel_commandos(pc)
                character.change_body_mode(pc,"KNEEL")
                object.turn_to_object(pc,"RATSKULLS A")
    object.cancel_commandos("ALTER_EGO")
    object.set_position("ALTER_EGO", 561.82, 422.77)
    character.change_body_mode("ALTER_EGO","KNEEL")
    object.move_to("ALTER_EGO",560.63,421.28, speed=MT_SLOW)
    object.turn_to_object("ALTER_EGO","RATSKULLS A")
    data().rs_position_counter = 0
    character.unequip_hands(char_id="RATSKULLS A", direct_unequip=True)
    object.create_item_in_inventory("RATSKULLS A","SET_EMPTY_BOTTLE")
    character.equip_direct("RATSKULLS A","SET_EMPTY_BOTTLE")
    
    object.move_to("RATSKULLS A", 558.45, 405.33, "landscape", MT_SLOW, callback=["ONEND", initDlg_034_Ratskulls_WhiskyMachtSpass])
    object.cancel_commandos("RATSKULLS B")
    object.move_to("RATSKULLS B", 560.9, 405.2, "landscape", MT_SLOW, callback=["ONEND", initDlg_034_Ratskulls_WhiskyMachtSpass])
    object.cancel_commandos("RATSKULLS C")
    object.move_to("RATSKULLS C", 560.0, 407.2, "landscape", MT_SLOW, callback=["ONEND", initDlg_034_Ratskulls_WhiskyMachtSpass])

def initDlg_034_Ratskulls_WhiskyMachtSpass(id):
    object.turn_to_object(id, "RATSKULLS A")
    data().rs_position_counter += 1
    if data().rs_position_counter == 3:
        dialog.init_dialog(type=DIALOGSMALL)
        set_conversation("RATSKULLS A", "RATSKULLS B", mode="far", first_obj="RATSKULLS A")
        dialog.add_text(text='D_034_T_001', speaker="RATSKULLS A", callback=Lambda('set_conversation("RATSKULLS B", "RATSKULLS A", mode="medium_deep")'))
        dialog.add_text(text='D_034_T_002', speaker="RATSKULLS B", callback=Lambda('set_conversation("RATSKULLS C", "RATSKULLS B", mode="medium_deep", first_obj="RATSKULLS B")'))
        dialog.add_text(text='D_034_T_003', speaker="RATSKULLS C", callback=Lambda('set_conversation("RATSKULLS A", "RATSKULLS C", mode="medium_deep", first_obj="RATSKULLS A")'))
        dialog.add_text(text='D_034_T_004', speaker="RATSKULLS A", callback=Lambda('set_conversation("RATSKULLS C", "RATSKULLS A", mode="close_deep")'))
        dialog.add_text(text='D_034_T_005', speaker="RATSKULLS C", callback=Lambda('set_conversation("RATSKULLS B", "RATSKULLS C", mode="close_deep", first_obj="RATSKULLS B")'))
        dialog.add_text(text='D_034_T_006', speaker="RATSKULLS B", callback=Lambda('set_conversation("RATSKULLS A", "RATSKULLS B", mode="close_deep")'))
        dialog.add_text(text='D_034_T_007', speaker="RATSKULLS A", callback=Lambda('set_conversation("RATSKULLS C", "RATSKULLS B", mode="close_deep")'))
        dialog.add_text(text='D_034_T_008', speaker="RATSKULLS C", callback=Lambda('set_conversation("RATSKULLS B", "RATSKULLS C", mode="close_deep")'))
        dialog.add_text(text='D_034_T_009', speaker="RATSKULLS B", follower='ENDDIALOG', callback=onDlg_034_Ende)
        dialog.start()

def onDlg_034_Ende():
    object.cancel_commandos("RATSKULLS A")
    object.move_to("RATSKULLS A", 557.00, 404.00, "landscape", MT_SLOW, callback=["ONEND", initDlg_034_RatskullSchlaeft])
    allow_activity("RATSKULLS A")
    initCutscene_Dlg_049_Ratskulls_BesoffenePenner()
    set_conversation(first_obj="ALTER_EGO")

def initDlg_034_RatskullSchlaeft(id):
    character.play_animation("RATSKULLS A", "CM_NPC_LIEGEN_HINLEGEN", callback=["ONEND", onRatskullBeginsSnorking])
    data().BesoffeneRatskullSchlaeft = True
    character.set_approachable_state("RATSKULLS A",NOTAPPROACHABLE)

def onRatskullBeginsSnorking(char):
    system.notify_timer(data().Timer_RatskullASnork, 1000)
    object.drop_item("RATSKULLS A","SET_EMPTY_BOTTLE")

def initCutscene_Dlg_049_Ratskulls_BesoffenePenner():
    object.turn_to_object("ALTER_EGO","BUILDING_1133", callback=["ONEND", initDlg_049_Ratskulls_BesoffenePenner])

def initDlg_049_Ratskulls_BesoffenePenner(id):
    system.set_camera_view(CAMVIEW_RATS_DRUNKEN_OUTTRO)
    object.turn_to_object("ALTER_EGO","RATSKULLS B")
    character.change_body_mode("ALTER_EGO","STAND")
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_049_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_049_Ende)
    dialog.start()

def onDlg_049_Ende():
    end_cutscene(chars=["RATSKULLS B", "RATSKULLS C"])
    allow_activity("RATSKULLS B")
    allow_activity("RATSKULLS C")

def initDlg_035_Ratskulls_Gespraech():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_035_T_001', speaker="RATSKULLS B")
    if (object.get_attribute('ALTER_EGO', 'gender') == 'male'):
        dialog.add_text(text='D_035_T_002', speaker="RATSKULLS C", follower='D_035_C_001')
    elif (object.get_attribute('ALTER_EGO', 'gender') == 'female'):
        dialog.add_text(text='D_035_T_002F', speaker="RATSKULLS C", follower='D_035_C_001')
    dialog.add_choice(text='D_035_C_001_1', follower='D_035_T_003')
    dialog.add_choice(text='D_035_C_001_2', follower='D_035_T_006')
    dialog.add_choice(text='D_035_C_001_3', follower='D_035_T_015')
    dialog.add_text(text='D_035_T_003', speaker="RATSKULLS B")
    dialog.add_text(text='D_035_T_004', speaker="ALTER_EGO")
    dialog.add_text(text='D_035_T_005', speaker="RATSKULLS C", follower='ENDDIALOG', callback=[
            Lambda('object.set_attribute(object="RATSKULLS B", attribute="foes", value=["UISPIELER"])'),
            Lambda('object.set_attribute(object="RATSKULLS C", attribute="foes", value=["UISPIELER"])')])
    dialog.add_text(text='D_035_T_006', speaker="RATSKULLS B")
    dialog.add_text(text='D_035_T_007', speaker="RATSKULLS C")
    dialog.add_text(text='D_035_T_008', speaker="RATSKULLS B")
    dialog.add_text(text='D_035_T_009', speaker="RATSKULLS B")
    dialog.add_text(text='D_035_T_010', speaker="ALTER_EGO")
    dialog.add_text(text='D_035_T_011', speaker="RATSKULLS B")
    dialog.add_text(text='D_035_T_012', speaker="ALTER_EGO", follower="D_035_T_014")
    dialog.add_text(text='D_035_T_014', speaker="RATSKULLS B", follower='ENDDIALOG', callback=[
            Lambda('object.set_attribute(object="RATSKULLS B", attribute="foes", value=["UISPIELER"])'),
            Lambda('object.set_attribute(object="RATSKULLS C", attribute="foes", value=["UISPIELER"])')])
    dialog.add_text(text='D_035_T_015', speaker="RATSKULLS B", follower="D_035_T_018")
    dialog.add_text(text='D_035_T_018', speaker="ALTER_EGO")
    dialog.add_text(text='D_035_T_019', speaker="RATSKULLS B", follower='ENDDIALOG', callback=[
            Lambda('object.set_attribute(object="RATSKULLS B", attribute="foes", value=["UISPIELER"])'),
            Lambda('object.set_attribute(object="RATSKULLS C", attribute="foes", value=["UISPIELER"])')])
    dialog.start()


def initDlg_036_Ratskulls_BewusstloseFrau():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_036_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()


def initDlg_015_Kinder_NachHause(without_quest = False):
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_015_T_001', speaker="MIA")
    dialog.add_text(text='D_015_T_002', speaker="PIA")
    dialog.add_text(text='D_015_T_003', speaker="MIA", follower="D_015_C_001")
    dialog.add_choice(text='D_015_C_001_1', follower='D_015_T_009')
    dialog.add_choice(text='D_015_C_001_2', follower='D_015_T_013')
    dialog.add_choice(text='D_015_C_001_3', follower='D_015_T_004')
    dialog.add_choice(text='D_015_C_001_4', follower='ENDDIALOG', callback=onDlg_015_RestartPoint)
    dialog.add_text(text='D_015_T_004', speaker="MIA")
    dialog.add_text(text='D_015_T_005', speaker="PIA")
    dialog.add_text(text='D_015_T_006', speaker="MIA")
    dialog.add_text(text='D_015_T_007', speaker="PIA")
    dialog.add_text(text='D_015_T_008', speaker="MIA", follower='D_015_T_017')
    dialog.add_text(text='D_015_T_009', speaker="MIA")
    dialog.add_text(text='D_015_T_010', speaker="PIA")
    dialog.add_text(text='D_015_T_011', speaker="MIA")
    if (object.get_attribute('ALTER_EGO', 'gender') == 'male'):
        dialog.add_text(text='D_015_T_012', speaker="PIA", follower='D_015_T_017')
    elif (object.get_attribute('ALTER_EGO', 'gender') == 'female'):
        dialog.add_text(text='D_015_T_012F', speaker="PIA", follower='D_015_T_017')
    dialog.add_text(text='D_015_T_013', speaker="MIA")
    dialog.add_text(text='D_015_T_014', speaker="PIA")
    dialog.add_text(text='D_015_T_015', speaker="MIA")
    dialog.add_text(text='D_015_T_016', speaker="PIA")
    dialog.add_text(text='D_015_T_017', speaker="ALTER_EGO")
    dialog.add_text(text='D_015_T_018', speaker="PIA")
    dialog.add_text(text='D_015_T_019', speaker="MIA")
    dialog.add_text(text='D_015_T_020', speaker="PIA", follower='D_015_T_022')
    dialog.add_text(text='D_015_T_022', speaker="ALTER_EGO")
    dialog.add_text(text='D_015_T_023', speaker="MIA")
    dialog.add_text(text='D_015_T_024', speaker="ALTER_EGO")
    dialog.add_text(text='D_015_T_025', speaker="MIA")
    if without_quest:
        data().ZwillingsQuest_Gesperrt = False
        data().MiaPia_RettungOhneAuftragAktiv = True
    dialog.add_text(text='D_015_T_026', speaker="PIA", follower='ENDDIALOG', callback=onDlg_084_End)

    if data().d_015_restart_c_001:
        dialog.jump_to('D_015_C_001')
    dialog.start(False)

def onDlg_084_End():
    data().miapia_folgen = True
    x=520; y =729
    cs.teleport_party_gr(x,y,["MIA","PIA"])
    system.set_qb_entry_state(data().QB_011, INACTIVE)
    system.set_qb_entry_state(data().QB_012,UNCOMPLETE)

def onDlg_015_RestartPoint():
    data().d_015_restart_c_001 = True

def initCutscene_Dlg_083_Luisa_RettungOhneAuftrag():
    system.start_cutscene()
    init_cutscene("ALTER_EGO","LUISA",dx=1.3,dy=1.0,step_away=(get_location("LUISA") in [2]))
    object.turn_to_object("ALTER_EGO","LUISA", callback=["ONEND", initDlg_083_Luisa_RettungOhneAuftrag])
    
def initDlg_083_Luisa_RettungOhneAuftrag(id):
    dialog.init_dialog(type=DIALOGSMALL)
    set_conversation("LUISA","ALTER_EGO", mode="medium_deep")
    dialog.add_text(text='D_083_T_001', speaker="LUISA", callback=Lambda('set_conversation("ALTER_EGO","LUISA", mode="close_deep")'))
    dialog.add_text(text='D_083_T_002', speaker="ALTER_EGO", callback=Lambda('set_conversation("LUISA","ALTER_EGO", mode="close_deep")'))
    dialog.add_text(text='D_083_T_003', speaker="LUISA", follower='ENDDIALOG', callback=onDlg_083_Ende)
    dialog.start()

def onDlg_083_Ende():
    end_cutscene(chars=["LUISA", "ALTER_EGO"])
    allow_activity("LUISA")
    data().ZwillingsQuest_Luisa_HatSichBedankt=True
    system.set_qb_entry_state(data().QB_011,COMPLETE)
    system.set_qb_entry_state(data().QB_012,INACTIVE)

def initDlg_041_Kinder_AufDemWeg():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_041_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()


def initDlg_042_Kinder_Langweilig():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_042_T_001', speaker="MIA")
    dialog.add_text(text='D_042_T_002', speaker="PIA", follower='ENDDIALOG')
    dialog.start()

def initDlg_029_Einsiedler_BrauchtBatterie():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_029_T_001', speaker="EINSIEDLER", follower='D_029_C_001')
    dialog.add_choice(text='D_029_C_001_1', follower='D_029_T_003')
    dialog.add_choice(text='D_029_C_001_2', follower='D_029_T_003')
    dialog.add_choice(text='D_029_C_001_3', follower='ENDDIALOG',
            callback=Lambda('data().BatterieQuest_Einsiedler_Dialog_29_Rueckkehr=True'))
    dialog.add_text(text='D_029_T_002', speaker="EINSIEDLER", follower='D_029_C_001')
    if data().BatterieQuest_Einsiedler_Dialog_29_Rueckkehr:
        dialog.jump_to(follower='D_029_T_002')
    dialog.add_text(text='D_029_T_003', speaker="EINSIEDLER", follower='D_029_C_002')
    dialog.add_choice(text='D_029_C_002_1', follower='D_029_T_004')
    dialog.add_choice(text='D_029_C_002_2', follower='D_029_T_004')
    dialog.add_text(text='D_029_T_004', speaker="EINSIEDLER", follower='D_029_C_003')
    dialog.add_choice(text='D_029_C_003_1', follower='D_029_T_003_1')
    if cs.anyone_has_skill('speech',75):
        dialog.add_choice(text='D_029_C_003_2', follower='D_029_T_005')
    else: 
        dialog.add_choice(text='D_029_C_003_2', follower='D_029_T_006')
    dialog.add_choice(text='D_029_C_003_3', follower='ENDDIALOG',
            callback=[Lambda('data().BatterieQuest_Vergeigt=True'),\
            Lambda('system.set_qb_entry_state(data().QB_008,IMPOSSIBLE)')])
    dialog.add_text(text='D_029_T_005', speaker="EINSIEDLER", follower='ENDDIALOG',callback=[
            Lambda('system.set_qb_entry_state(data().QB_008, COMPLETE)'),
            Lambda('object.remove_closed_lock_by_name("BUILDING_15361", "lock1")'),
            Lambda('object.create_item_in_inventory("BUILDING_15361","SET_DRAGUNOV",id=data().obj_McKanzeesWumme)'),
            Lambda('object.set_attribute(object=data().obj_McKanzeesWumme, attribute="generic_item", value=False)'),
            Lambda('character.add_experience_party(data().Exp_Batterie)')])
    dialog.add_text(text='D_029_T_006', speaker="EINSIEDLER", follower='D_029_C_003')
    dialog.add_text(text='D_029_T_003_1', speaker="EINSIEDLER", follower='ENDDIALOG', callback=[
            Lambda('system.set_qb_entry_state(data().QB_008, UNCOMPLETE)'),
            Lambda('cs.teleport_party(521,724)')])
    dialog.start(check_dialog=False)


def initDlg_043_Einsiedler_KeineBatterie():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_043_T_001', speaker="EINSIEDLER")
    dialog.add_text(text='D_043_T_002', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()


def onDlg_032_Einsiedler_GibtGewehr():
    # wenn man ihm irgendeine Autobatterie gibt
    if object.count_in_inventory("ALTER_EGO","SET_CAR_BATTERY"):
        if not data().car_battery_given:
            object.transfer_item("ALTER_EGO", "SET_CAR_BATTERY", "EINSIEDLER")
            data().car_battery_given = True
    # wenn man ihm die Autobatterei von McKanzee gibt
    if object.count_in_inventory("ALTER_EGO",data().obj_Autobatterie):
        if not data().car_battery_given:
            object.transfer_item("ALTER_EGO", data().obj_Autobatterie, "EINSIEDLER")
            data().car_battery_given = True
        ## todo: kiste oeffnen
    object.remove_closed_lock_by_name("BUILDING_15361", "lock1")
    object.create_item_in_inventory("BUILDING_15361","SET_DRAGUNOV",id=data().obj_McKanzeesWumme)
    object.set_attribute(object=data().obj_McKanzeesWumme, attribute="generic_item", value=False)


def initDlg_032_Einsiedler_BekommtBatterie():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_032_T_001', speaker="EINSIEDLER")
    dialog.add_text(text='D_032_T_002', speaker="ALTER_EGO")
    dialog.add_text(text='D_032_T_003', speaker="EINSIEDLER", follower="D_032_C_001")
    dialog.add_choice(text='D_032_C_001_1', follower='D_032_T_004')
    dialog.add_choice(text='D_032_C_001_2', follower='D_032_T_008')
    dialog.add_choice(text='D_032_C_001_3', follower='ENDDIALOG', callback=[
            Lambda('system.set_qb_entry_state(data().QB_008, IMPOSSIBLE)'),
            Lambda('character.equip("EINSIEDLER", equipment=data().obj_McKanzeesWumme)'),
            Lambda('data().BatterieQuest_Vergeigt=True'),
            Lambda('object.set_attribute(object="EINSIEDLER", attribute="foes", value=["UISPIELER"])')])
    dialog.add_text(text='D_032_T_004', speaker="EINSIEDLER", follower="D_032_T_007")
    dialog.add_text(text='D_032_T_007', speaker="ALTER_EGO", follower="ENDDIALOG", callback=[
            Lambda('onDlg_032_Einsiedler_GibtGewehr()'),
            Lambda('system.set_qb_entry_state(data().QB_008, COMPLETE)'),
            Lambda('character.add_experience_party(data().Exp_Batterie)')])
    dialog.add_text(text='D_032_T_008', speaker="EINSIEDLER", follower="ENDDIALOG", callback=[
            Lambda('system.set_qb_entry_state(data().QB_008, COMPLETE)'),
            Lambda('character.add_experience_party(data().Exp_Batterie)')])
    if data().d_032_restart_c_001:
        dialog.jump_to(follower="D_032_C_001")
    dialog.start(False)

def initDlg_085_EinsiedlerGluecklich():
    v_ermite=object.count_in_inventory("EINSIEDLER", "SET_MEAT_COOKED_HUMONGOUS")+\
            object.count_in_inventory("EINSIEDLER", "SET_MEAT_COOKED_BIG")
    if system.get_qb_entry_state(data().QB_008) != COMPLETE:
        dialog.init_dialog(type=DIALOGSMALL)
        dialog.add_text(text='D_085_T_001', speaker="EINSIEDLER", follower='ENDDIALOG')
        dialog.start()
    elif system.get_qb_entry_state(data().QB_008) == COMPLETE and v_ermite < 66:
        dialog.init_dialog(type=DIALOGLARGE)
        dialog.add_text(text='D_085_T_002', speaker="EINSIEDLER")
        dialog.add_text(text='D_085_T_003', speaker="ALTER_EGO")
        dialog.add_text(text='D_085_T_004', speaker="EINSIEDLER")
        data().mckanzee_given_water = 1
        x = cs.group_as_obj("SET_MEAT_COOKED_BIG")
        y = cs.group_as_obj("SET_MEAT_COOKED_HUMONGOUS")
        print x,y
        if x<2 and y<1:
            dialog.add_text(text='D_085_T_005', speaker="EINSIEDLER", follower='ENDDIALOG')
        else:
            if x>=2:dialog.add_choice(text='D_085_T_002_1', follower='D_085_T_002_1a')
            if y>=1:dialog.add_choice(text='D_085_T_002_2', follower='D_085_T_002_2a')
            if x>=5:dialog.add_choice(text='D_085_T_002_3', follower='D_085_T_002_3a')
            if y>=4:dialog.add_choice(text='D_085_T_002_4', follower='D_085_T_002_4a')
        dialog.add_choice(text='D_085_T_002_9', follower='ENDDIALOG')
        dialog.add_text(text='D_085_T_002_1a', speaker="ALTER_EGO",  follower='ENDDIALOG', callback=[Lambda('ech_viande(2,"EINSIEDLER")')])
        dialog.add_text(text='D_085_T_002_2a', speaker="ALTER_EGO",  follower='ENDDIALOG', callback=[Lambda('ech_viande(1,"EINSIEDLER")')])
        dialog.add_text(text='D_085_T_002_3a', speaker="ALTER_EGO",  follower='ENDDIALOG', callback=[Lambda('ech_viande(5,"EINSIEDLER")')])
        dialog.add_text(text='D_085_T_002_4a', speaker="ALTER_EGO",  follower='ENDDIALOG', callback=[Lambda('ech_viande(4,"EINSIEDLER")')])
        dialog.start(check_dialog=False)
    else:
        dialog.init_dialog(type=DIALOGSMALL)
        dialog.add_text(text='D_085_T_010', speaker="EINSIEDLER", follower='ENDDIALOG')
        dialog.start()

def ech_viande(x,perso):
    if x == 1:viande="SET_MEAT_COOKED_HUMONGOUS";  boite=1
    elif x==2:viande="SET_MEAT_COOKED_BIG";        boite=1
    elif x==5:viande="SET_MEAT_COOKED_BIG";        boite=3
    elif x==4:viande="SET_MEAT_COOKED_HUMONGOUS";  boite=6
    cs.tranf_item_party(viande, perso, x)
    merc="ALTER_EGO"
    if cs.group_as_obj('SET_DRAGUNOV'):merc=cs.who_as_obj('SET_DRAGUNOV')[0][0]
    object.create_item_in_inventory(merc, ["SET_AMMOPACK_7_62_54_MMR"]*boite)

def initDlg_023_Gonzo_AckertAufDemAcker():
    dialog.init_dialog(type=DIALOGSMALL)
    if data().Dialog_023 == 1:
        dialog.add_text(text='D_023_T_001', speaker="GONZO", follower='ENDDIALOG')
    elif data().Dialog_023 == 2:
        dialog.add_text(text='D_023_T_002', speaker="GONZO", follower='ENDDIALOG')
    elif data().Dialog_023 == 3:
        dialog.add_text(text='D_023_T_004', speaker="GONZO", follower='ENDDIALOG')
    elif data().Dialog_023 == 4:
        dialog.add_text(text='D_023_T_005', speaker="GONZO", follower='ENDDIALOG')
    elif data().Dialog_023 == 5:
        dialog.add_text(text='D_023_T_003', speaker="GONZO", follower='ENDDIALOG')
    elif data().Dialog_023 == 6:
        dialog.add_text(text='D_023_T_006', speaker="GONZO", follower='ENDDIALOG')
    elif data().Dialog_023 == 7:
        dialog.add_text(text='D_023_T_007', speaker="GONZO", follower='ENDDIALOG')
    elif data().Dialog_023 == 8:
        dialog.add_text(text='D_023_T_008', speaker="GONZO", follower='ENDDIALOG')

    data().Dialog_023 = data().Dialog_023 + 1;
    if data().Dialog_023 > 8:
        data().Dialog_023 = 1

    dialog.start()

def initDlg_024_Gonzo_KeineZeit():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_024_T_001', speaker="GONZO")
    dialog.add_text(text='D_024_T_002', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()


def initDlg_025_Gonzo_MahlzeitWeg():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_choice(text='D_025_C_001_1', follower='D_025_T_003')
    dialog.add_choice(text='D_025_C_001_2', follower='D_025_T_004')
    dialog.add_choice(text='D_025_C_001_3', follower='D_025_T_001')
    dialog.add_text(text='D_025_T_001', speaker="GONZO")
    dialog.add_text(text='D_025_T_002', speaker="ALTER_EGO", follower="ENDDIALOG", callback=on_dialog_025_gonzo_attacks)
    dialog.add_text(text='D_025_T_003', speaker="GONZO", follower="D_025_C_002")
    dialog.add_choice(text='D_025_C_002_1', follower='D_025_T_004')
    dialog.add_choice(text='D_025_C_002_2', follower='D_025_T_005')
    dialog.add_text(text='D_025_T_004', speaker="GONZO", follower="D_025_T_006")
    dialog.add_text(text='D_025_T_005', speaker="GONZO", follower="D_025_T_006")
    dialog.add_text(text='D_025_T_006', speaker="ALTER_EGO")
    dialog.add_text(text='D_025_T_007', speaker="GONZO")
    dialog.add_text(text='D_025_T_008', speaker="ALTER_EGO", follower="D_025_T_010")
    dialog.add_text(text='D_025_T_010', speaker="GONZO")
    dialog.add_text(text='D_025_T_011', speaker="ALTER_EGO", follower="ENDDIALOG", callback=on_dialog_025_gonzo_attacks)
    dialog.start()

def on_dialog_025_gonzo_attacks():
    object.set_immortal_state('GONZO', False)
    object.set_attribute(object="GONZO", attribute="foes", value=["UISPIELER"])
    object.cancel_commandos("GONZO")
    prohibit_activity("GONZO", False)
    character.equip(char="GONZO", equipment="SET_SPECIAL_38", direct_ammo_load=True)
    object.attack("GONZO", "ALTER_EGO")
    system.set_qb_entry_state(data().QB_013,INACTIVE)
    system.set_qb_entry_state(data().QB_014,UNCOMPLETE)

def initDlg_026_Gonzo_RestInPieces():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_026_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback=on_dialog_026_ende)
    dialog.start()

def on_dialog_026_ende():
    if object.is_destroyed("BARBARA"):
        system.set_qb_entry_state(data().QB_013, IMPOSSIBLE)
        if system.get_qb_entry_state(data().QB_014) != INACTIVE:
            system.set_qb_entry_state(data().QB_014, INACTIVE)
    if system.get_qb_entry_state(data().QB_013) != IMPOSSIBLE:
        if system.get_qb_entry_state(data().QB_013) != COMPLETE:
            system.set_qb_entry_state(data().QB_013, COMPLETE)
        if system.get_qb_entry_state(data().QB_014) != INACTIVE:
            system.set_qb_entry_state(data().QB_014, INACTIVE)
        character.add_experience_party(data().Exp_Gonzo)
    
## todo: Cutscene Kameraeinstellungen und Triggerung - GONZO BARBARA
def initCutscene_050_Gonzo_MurkstSeineAlte():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_050_T_001', speaker="GONZO" )
    dialog.add_text(text='D_050_T_002', speaker="BARBARA", follower='ENDDIALOG', callback=onDlg_050_Gonzo_End)
    dialog.start()

def onDlg_050_Gonzo_End():
    system.set_camera_view(CAMVIEW_GONZOBARBARA_MUERTE)
    object.turn_to_object(object="GONZO", target_object="BARBARA", callback=["ONEND",onDlg_050_GonzoKilltBarbara])

def onDlg_050_GonzoKilltBarbara(id):
    object.cancel_commandos("GONZO")
    object.cancel_commandos("BARBARA")
    system.notify_timer(data().Timer_BarbaraAutsch, data().Timervalue_BarbaraAutsch)
    character.play_animation("GONZO", "CM_PRAEPARIEREN_STEHEN_ANSCHRITT")
    character.play_animation("GONZO", "CM_PRAEPARIEREN_STEHEN_LOOP")
    character.play_animation("GONZO", "CM_PRAEPARIEREN_STEHEN_LOOP")
    character.play_animation("GONZO", "CM_PRAEPARIEREN_STEHEN_ENDSCHRITT")#,callback=["ONEND",onBarabaraKilled])

def onBarabaraKilled():
    object.set_immortal_state("BARBARA", False)
    object.destroy("BARBARA")
    allow_activity("GONZO")
    object.step_away("GONZO")
    data().gonzo_killing_spree = False
    system.notify_timer(data().Timer_GonzoSceneCam,data().Timervalue_GonzoSceneCam2)

def initDlg_051_GonzosFrau_Leiche():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_051_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()


def initDlg_052_Dorfbewohnerin_WillNichtMehr():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_052_T_001', speaker="DORFBEWOHNERIN", follower='ENDDIALOG')
    dialog.start()


def initDlg_053_Dorfbewohnerin_Gluecklich():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_053_T_001', speaker="DORFBEWOHNERIN", follower='ENDDIALOG')
    dialog.start()


def initDlg_054_Luisa_ImmerNochBesorgt():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_054_T_001', speaker="LUISA")
    dialog.add_text(text='D_054_T_002', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()


def initDlg_055_Luisa_HappyHippo():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_055_T_001', speaker="LUISA", follower='ENDDIALOG')
    dialog.start()


def initDlg_056_GonzosFrau_WillNichtMehr():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_056_T_001', speaker="BARBARA", follower='ENDDIALOG')
    dialog.start()


def initDlg_057_GonzosFrau_Hiiiiiilfe():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_057_T_001', speaker="BARBARA")
    dialog.add_text(text='D_057_T_002', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

def initDlg_058_Gonzos_Durchgeknallt_FrauLebt():
    data().GonzoQuest_Dialog_58_Erledigt = True
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_058_T_001', speaker="GONZO")
    dialog.add_text(text='D_058_T_002', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_058_059_GonzoAttack)
    dialog.start()

def initDlg_059_Gonzos_Durchgeknallt_FrauTot():
    data().GonzoQuest_Dialog_58_Erledigt = True
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_059_T_001', speaker="GONZO")
    dialog.add_text(text='D_059_T_002', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_058_059_GonzoAttack)
    dialog.start()

def onDlg_058_059_GonzoAttack():
    object.set_immortal_state('GONZO', False)
    object.set_attribute("GONZO","foes",["UISPIELER"])
    object.attack( "GONZO", system.get_pcs()[random.randint( 0, len(system.get_pcs())-1 )] )

def initDlg_060_Kuehe_Muh(id):
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_060_T_001', speaker=id, follower='ENDDIALOG')
    dialog.start()

def initDlg_061_Kuehe_Muh(id):
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_061_T_001', speaker=id, follower='ENDDIALOG')
    dialog.start()

def initDlg_062_Kuehe_Muh(id):
    # conflict with another dialog
    # raise "bugfix"
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_062_T_001', speaker=id, follower='ENDDIALOG')
    dialog.start()


def initDlg_063_Kuehe_Lecker():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_063_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

def initCutscene_Dlg_064_Spieler_Waffenlager():
    system.start_cutscene()
    system.set_camera_view(data().CamView_WaffenlagerVerlassen)
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_064_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback=end_cutscene)
    dialog.start()

def initCutscene_Dlg_065_Doktor_Untersucht():
    system.start_cutscene()
    init_cutscene("ALTER_EGO","FRANKLIN",dx=1.3, dy=1.4)
    object.turn_to_object("ALTER_EGO","FRANKLIN", callback=["ONEND", onDlg_065_StartDialog])

def onDlg_065_StartDialog(id):
    dialog.init_dialog(type=DIALOGSMALL)
    set_conversation("FRANKLIN","ALTER_EGO", mode="medium_deep")
    dialog.add_text(text='D_065_T_001', speaker="FRANKLIN",callback=Lambda('set_conversation("ALTER_EGO","FRANKLIN",mode="close_deep")'))
    dialog.add_text(text='D_065_T_002', speaker="ALTER_EGO",callback=Lambda('set_conversation("FRANKLIN","ALTER_EGO",mode="medium_deep")'))
    dialog.add_text(text='D_065_T_003', speaker="FRANKLIN",callback=Lambda('set_conversation("ALTER_EGO","FRANKLIN",mode="close_deep")'))
    dialog.add_text(text='D_065_T_004', speaker="ALTER_EGO",callback=Lambda('set_conversation("FRANKLIN","ALTER_EGO",mode="close_deep")'))
    dialog.add_text(text='D_065_T_005', speaker="FRANKLIN", follower='ENDDIALOG', callback=Lambda('end_cutscene(chars=["FRANKLIN", "ALTER_EGO"]); allow_activity("FRANKLIN")'))
    dialog.start()

def initDlg_066_Doktor_Ausbildung():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_066_T_001', speaker="FRANKLIN", follower="D_066_C_001_1")
    dialog.add_choice(text='D_066_C_001_1', follower='D_066_T_003')
    dialog.add_choice(text='D_066_C_001_2', follower='D_066_T_006')
    dialog.add_choice(text='D_066_C_001_3', follower='D_066_T_002')
    dialog.add_choice(text='D_066_C_001_4', follower='ENDDIALOG')
    dialog.add_text(text='D_066_T_002', speaker="FRANKLIN", follower="D_066_C_001")
    dialog.add_text(text='D_066_T_003', speaker="FRANKLIN")
    dialog.add_text(text='D_066_T_004', speaker="ALTER_EGO")
    dialog.add_text(text='D_066_T_005', speaker="FRANKLIN", follower="D_066_C_001")
    dialog.add_text(text='D_066_T_006', speaker="FRANKLIN")
    dialog.add_text(text='D_066_T_007', speaker="ALTER_EGO")
    dialog.add_text(text='D_066_T_008', speaker="FRANKLIN")
    dialog.add_text(text='D_066_T_009', speaker="ALTER_EGO", follower="ENDDIALOG", callback=onDlg_066_FranklinFolgt)
    dialog.start()

def onDlg_066_FranklinFolgt():
    data().franklin_folgt = True
    #system.notify_timer(timer=data().Timer_Franklin_Folgt, delay=data().Timervalue_Franklin_Folgt)
    object.set_attribute("FRANKLIN","zone_transfer",True)
    object.set_attribute("FRANKLIN","zone_transfer_new_party","NPCS")
    if was_zone_entered("zone_5.zone_5"):
        system.set_qb_entry_state(data('zone_5.zone_5').QB_013,UNCOMPLETE)
        system.set_qb_entry_state(data('zone_5.zone_5').QB_003,INACTIVE)

def initDlg_067_Franklin_QuatschNicht():
    if system.get_qb_entry_state(data('zone_5.zone_5').QB_013) == UNCOMPLETE:
        dialog.init_dialog(type=DIALOGLARGE)
        dialog.add_text(text="D_000_T_000", speaker="FRANKLIN", follower="D_000_C_001")
        dialog.add_choice(text="D_000_C_001", follower="D_000_T_001")
        dialog.add_choice(text="D_000_C_002", follower="ENDDIALOG")
        dialog.add_text(text="D_000_T_001", speaker="ALTER_EGO", follower="ENDDIALOG", \
        callback=Lambda('system.show_zone_map()'))
#            callback=Lambda('teleporte(300,288,["FRANKLIN"])'))
        dialog.start(False)
    else:
        dialog.init_dialog(type=DIALOGSMALL)
#            callback=Lambda('cs.teleport_party_gr(300,325,["FRANKLIN"])'))
        dialog.add_text(text='D_067_T_001', speaker="FRANKLIN", follower='ENDDIALOG')
        dialog.start()


def initDlg_071_Franklin_Ungeduldig():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_071_T_001', speaker="FRANKLIN", follower='ENDDIALOG')
    dialog.start()


def initDlg_068_Franklin_Verarscht():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_068_T_001', speaker="FRANKLIN", follower='ENDDIALOG', callback = Dlg_068_QB)
    dialog.start()

def Dlg_068_QB():
    if was_zone_entered("zone_5.zone_5"):
        system.set_qb_entry_state(data('zone_5.zone_5').QB_013,INACTIVE)
        system.set_qb_entry_state(data('zone_5.zone_5').QB_003,IMPOSSIBLE)

def initCutscene_Dlg_069_NeuesZuhause():
    system.start_cutscene()
    system.set_camera_view(CAMVIEW_DONALD_FAMILY_FAR)
    prohibit_activity("DONALD RUMS", False)
    data().ian_linda_paula_folgen = False
    data().felsenwohungsbesichtigung = 0
    onCutscene_Dlg_069_NeuesZuhause_1()
    
def onCutscene_Dlg_069_NeuesZuhause_1():
    for id in ["PAULA", "IAN", "LINDA"]:
        object.cancel_commandos(id)
        prohibit_activity(id)
        object.set_attribute(id,"zone_transfer",False)
        object.set_position(id, 566, 660)
        if id == 'LINDA':
            onCutscene_Dlg_069_NeuesZuhause_2()
            
def onCutscene_Dlg_069_NeuesZuhause_2():
    object.move_to("PAULA",        566.9, 649.5, "landscape", MT_SLOW, callback = ['ONEND', Lambda('onCutscene_Dlg_069_NeuesZuhause_3("PAULA","DONALD RUMS")')])
    object.move_to("IAN",        568.2, 649.5, "landscape", MT_SLOW, callback = ['ONEND', Lambda('onCutscene_Dlg_069_NeuesZuhause_3("IAN","DONALD RUMS")')])
    object.move_to("LINDA",        566.0, 648.6, "landscape", MT_SLOW, callback = ['ONEND', Lambda('onCutscene_Dlg_069_NeuesZuhause_3("LINDA","DONALD RUMS")')])
    object.move_to("DONALD RUMS",568.5, 646.6, "landscape", MT_SLOW, callback = ['ONEND', onCutscene_Dlg_069_NeuesZuhause_2_1])
    object.move_to("ALTER_EGO",    565.9, 646.5, "landscape", MT_SLOW, callback = ['ONEND', onCutscene_Dlg_069_NeuesZuhause_2_1])

def onCutscene_Dlg_069_NeuesZuhause_2_1(id):
    if id == 'DONALD RUMS':
        object.cancel_commandos(id)
        object.turn_to_position(id,565.9, 646.5, callback=['ONEND', onDlg_069_StartDialog])
    if id == 'ALTER_EGO':
        object.cancel_commandos(id)
        object.turn_to_object(id, "DONALD RUMS", callback=['ONEND', onDlg_069_StartDialog])

def onCutscene_Dlg_069_NeuesZuhause_3(id_1, id_2):
    object.turn_to_object(id_1, id_2, callback=['ONEND', onDlg_069_StartDialog])

def onDlg_069_StartDialog(id):
    #print "onDlg_069_StartDialog"
    data().felsenwohungsbesichtigung += 1
    if data().felsenwohungsbesichtigung >= 5:
        dialog.init_dialog(type=DIALOGSMALL)
        set_conversation("DONALD RUMS","PAULA",mode="close", first_obj="DONALD RUMS")
        dialog.add_text(text='D_069_T_001', speaker="DONALD RUMS", callback=Lambda('set_conversation("PAULA","DONALD RUMS",mode="close")'))
        dialog.add_text(text='D_069_T_002', speaker="PAULA"        , callback=Lambda('set_conversation("IAN","PAULA",mode="medium_deep", first_obj="IAN")'))
        dialog.add_text(text='D_069_T_003', speaker="IAN"        , callback=Lambda('set_conversation("ALTER_EGO","IAN",mode="medium_deep")'))
        dialog.add_text(text='D_069_T_004', speaker="ALTER_EGO"    , callback=Lambda('set_conversation("IAN","DONALD RUMS",mode="close_deep", first_obj="IAN")'))
        dialog.add_text(text='D_069_T_005', speaker="IAN"        , callback=Lambda('set_conversation("DONALD RUMS","IAN", mode="close_deep", first_obj="DONALD RUMS")'))
        dialog.add_text(text='D_069_T_006', speaker="DONALD RUMS", callback=Lambda('set_conversation("ALTER_EGO","DONALD RUMS",mode="close_deep")'))
        dialog.add_text(text='D_069_T_007', speaker="ALTER_EGO"    , follower='ENDDIALOG', callback=onDlg_069_DonaldUndCoVerschwinden)
        dialog.start()

#todo: Donald, Ian, Linda und Paula verschwinden in einer höhle
def onDlg_069_DonaldUndCoVerschwinden():
    set_conversation(first_obj='ALTER_EGO')
    system.set_camera_view(CAMVIEW_DONALD_FAMILY_CLOSE)
    for id in ["DONALD RUMS","PAULA","IAN","LINDA"]:
        object.cancel_commandos(id)
        object.move_to(id,578.85,645.47, speed=globals.MT_SLOW, callback=["ONEND", onDlg_069_DonaldUndCoVerschwinden_1])
            
def onDlg_069_DonaldUndCoVerschwinden_1(id):
    object.cancel_commandos(id)
    if id == 'DONALD RUMS':
        if was_zone_entered("zone_5.zone_5"):
            system.set_qb_entry_state(data('zone_5.zone_5').QB_011,COMPLETE)
        character.add_experience_party( 450 )
        object.step_to(id,578.85,645.47, speed=globals.MT_SLOW)
    elif id == 'PAULA':
        object.step_to(id,577.85,645.47, speed=globals.MT_SLOW, callback = ['ONEND', Lambda('object.turn_to_position("PAULA", 578.85,645.47)')])
    elif id == 'IAN':
        object.step_to(id,579.85,645.47, speed=globals.MT_SLOW, callback = ['ONEND', Lambda('object.turn_to_position("IAN", 578.85,645.47)')])
    elif id == 'LINDA':
        object.step_to(id,578.85,646.47, speed=globals.MT_SLOW, callback = ['ONEND', Lambda('object.turn_to_position("LINDA", 578.85,645.47)')])
        system.notify_timer(data().Timer_DonaldWiederRaus,data().Timervalue_DonaldWiederRaus)
        system.end_cutscene()

def initDlg_070_Spieler_Zone4Comment():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_070_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()


def initDlg_072_Warnung_Minenguertel():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_072_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

def initDlg_073_PlayerCharSpotted():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_073_T_001', speaker="RATSKULLS WAFFENLAGER A", follower='ENDDIALOG')
    dialog.start()

def initDlg_074_DeadCowsSpotted():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_074_T_001', speaker="RATSKULLS WAFFENLAGER A", follower='ENDDIALOG')
    dialog.start()

def initDlg_075_DeadCowsDiscussion():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_075_T_001', speaker="RATSKULLS WAFFENLAGER A")
    dialog.add_text(text='D_075_T_002', speaker="RATSKULLS WAFFENLAGER B")
    dialog.add_text(text='D_075_T_003', speaker="RATSKULLS WAFFENLAGER C")
    dialog.add_text(text='D_075_T_004', speaker="RATSKULLS WAFFENLAGER A")
    dialog.add_text(text='D_075_T_005', speaker="RATSKULLS WAFFENLAGER C")
    dialog.add_text(text='D_075_T_006', speaker="RATSKULLS WAFFENLAGER B")
    dialog.add_text(text='D_075_T_007', speaker="RATSKULLS WAFFENLAGER C", follower='ENDDIALOG',    callback = KuhDiskusion)
    dialog.start()

def initDlg_076_DeadCowsStrange1():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_076_T_001', speaker="RATSKULLS WAFFENLAGER A", follower='ENDDIALOG', callback = KuhDiskusion)
    dialog.start()

def initDlg_077_DeadCowsStrange2():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_077_T_001', speaker="RATSKULLS WAFFENLAGER B", follower='ENDDIALOG', callback = KuhDiskusion)
    dialog.start()

def initDlg_078_DeadCowsStrange3():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_078_T_001', speaker="RATSKULLS WAFFENLAGER C", follower='ENDDIALOG', callback = KuhDiskusion)
    dialog.start()

def KuhDiskusion():
    zone_3.ratskull_says_something_about_dead_cows()

def initDlg_079_BunkerAlert():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_079_T_001', speaker="RATSKULLS BUNKER A", follower='ENDDIALOG')
    dialog.start()

def initDlg_080_beware_mines():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_080_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

def initDlg_087_WaldemarSollDasBisonAusweiden():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.set_dialog_identifier('D_087_BisonAusweiden')
    dialog.add_text(text='D_087_T_001', speaker="WALDEMAR", follower='D_087_C_001')
    if (not (enemy_script.check_char_skill(system.get_pcs(),'survival' , 70)) and
        data().bison_inspected and
        not data().BisonKadaberAusgeweidet):
            dialog.add_choice(text='D_087_C_001_1', follower='D_087_T_002', auto_deactivation="permanent")
    if (not (enemy_script.check_char_skill(system.get_pcs(),'survival' , 70)) and 
        data().BisonDead and
        not data().BisonDeadAusgeweidet):
            dialog.add_choice(text='D_087_C_001_2', follower='D_087_T_004', auto_deactivation="permanent")
    if (not (enemy_script.check_char_skill(system.get_pcs(),'survival' , 70)) and
        object.is_destroyed('BERGTIGERIN')):
            dialog.add_choice(text='D_087_C_001_3', follower='D_087_T_003', auto_deactivation="permanent")
    dialog.add_choice(text='D_087_C_001_4', follower='ENDDIALOG')
    dialog.add_text(text='D_087_T_002', speaker="WALDEMAR", follower='D_087_C_002')
    dialog.add_choice(text='D_087_C_002_1', follower='ENDDIALOG', callback=Lambda('onDlg_087_WaldemarRenntZuBison("%s")'%data().Obj_BisonKadaver)) # rouiting zum toten bison
    dialog.add_choice(text='D_087_C_002_2', follower='ENDDIALOG')
    dialog.add_text(text='D_087_T_003', speaker="WALDEMAR", follower='D_087_C_003')
    dialog.add_choice(text='D_087_C_003_1', follower='ENDDIALOG', callback=onDlg_127_Ende2) # routing zur bergtiegerin
    dialog.add_choice(text='D_087_C_003_2', follower='ENDDIALOG')
    dialog.add_text(text='D_087_T_004', speaker="WALDEMAR", follower='D_087_C_004')
    dialog.add_choice(text='D_087_C_004_1', follower='ENDDIALOG', callback = Lambda('onDlg_087_WaldemarRenntZuBison("BISON")'))
    dialog.add_choice(text='D_087_C_004_2', follower='ENDDIALOG')
    
    dialog.start(False)

def onDlg_087_WaldemarRenntZuBison(bison):
    object.cancel_commandos("WALDEMAR")
    prohibit_activity("WALDEMAR", (get_location("WALDEMAR") == 2))
    data().Waldemar_Unterwegs = 0
    if bison == 'BISON':
        RoutedMoveTo("WALDEMAR",ROUTE_WALDEMAR_BISON_TO,speed=MT_FAST)
    if bison == data().Obj_BisonKadaver:
        RoutedMoveTo("WALDEMAR",ROUTE_WALDEMAR_BISON_TO_KADAVER    ,speed=MT_FAST)
    x,y = object.get_x(bison),object.get_y(bison)
    object.move_to("WALDEMAR",x,y,"landscape",speed=MT_SLOW, callback=["ONEND",Lambda('onDlg_087_WaldemarAusweiden("%s")'%bison)])
    
def onDlg_087_WaldemarAusweiden(bison):
    object.turn_to_object("WALDEMAR", bison)
    character.play_animation("WALDEMAR","CM_NPC_STEHEN_TIER_AUSWEIDEN_START")
    character.play_animation("WALDEMAR","CM_NPC_STEHEN_TIER_AUSWEIDEN_LOOP")
    character.play_animation("WALDEMAR","CM_NPC_STEHEN_TIER_AUSWEIDEN_LOOP")
    character.play_animation("WALDEMAR","CM_NPC_STEHEN_TIER_AUSWEIDEN_ENDE", callback=["ONEND",Lambda('onDlg_087_WaldemarMoveBack("%s")'%bison)])
    
def onDlg_087_WaldemarMoveBack(bison):
    if bison == 'BISON':
        new_id = data().obj_BisonfleischKill
        data().BisonDeadAusgeweidet = True
    elif bison == data().Obj_BisonKadaver:
        new_id = data().obj_BisonfleischKadaber
        data().BisonKadaberAusgeweidet = True
    object.create_item_in_inventory("WALDEMAR","SET_BISON_MEAT",new_id)
    object.set_attribute(object=new_id, attribute="generic_item", value=False)
    object.drop_item("WALDEMAR",new_id)
    data().mq_animal_ausgeweidet[bison] = True
    data().Waldemar_Unterwegs = 1
    if bison == 'BISON':
        RoutedMoveTo("WALDEMAR",ROUTE_WALDEMAR_BISON_BACK,speed=MT_FAST)
    if bison == data().Obj_BisonKadaver:
        RoutedMoveTo("WALDEMAR",ROUTE_WALDEMAR_BISON_KADAVER_BACK,speed=MT_FAST)
    object.move_to("WALDEMAR",528.50,707.60,"landscape", MT_SLOW, callback=["ONEND",onDlg_127_WaldemarBack])


def initDlg_088_DorfbewohnerinFreutSichUeberMiaUndPia():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_088_T_001', speaker="DORFBEWOHNERIN", follower='ENDDIALOG')
    dialog.start()

def initDlg_089_McKanzeeInformiertUeberSchattenLeiche():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_089_T_001', speaker="ALTER_EGO")
    dialog.add_text(text='D_089_T_002', speaker="MCKANZEE", follower='ENDDIALOG', callback=Lambda('data().Spieler_kennt_Schatten=True'))
    dialog.start()

def initDlg_090_UntersucheLeiche():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_090_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback=Lambda('data().spieler_leiche_gefunden = True'))
    dialog.start()

def initDlg_091_UntersucheLeiche_SpielerKenntSchatten():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_091_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback=Lambda('data().spieler_leiche_gefunden = True'))
    dialog.start()

def initDlg_092_WaldemarSagtNichts():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_092_T_001', speaker="WALDEMAR", follower='ENDDIALOG')
    onDlg_092_marker()
    dialog.start()

def onDlg_092_marker():
    if not data().player_knows_Jaeger_Waldemars_Haus:
        data().player_knows_Jaeger_Waldemars_Haus = True
        system.add_minimap_marker(467,717,"MM_006")#House of Waldemar the hunter
        
def initDlg_093_WaldemarKenntBergtieger():
    onDlg_092_marker()
    dialog.init_dialog(type=DIALOGLARGE)
    if not data().Dlg_093_DialogGestartet:
        data().Dlg_093_DialogGestartet = True
        dialog.add_text(text='D_093_T_001', speaker="ALTER_EGO")
        dialog.add_text(text='D_093_T_002', speaker="WALDEMAR", follower='D_093_C_001')
    
    dialog.add_choice(text='D_093_C_001_1', follower='D_093_T_003', callback=[ Lambda('data().d_093_c_001_1_gewaehlt = True'), Lambda('data().WaldemarAngebotErhoeht = True')])
#V1.8    if (object_events.get_speech_skill("ALTER_EGO") >= 75):
    if (object.get_attribute('ALTER_EGO', 'speech') >= 75):
        dialog.add_choice(text='D_093_C_001_2', follower='D_093_T_006')
    else:
        dialog.add_choice(text='D_093_C_001_2', follower='D_093_T_015')
    dialog.add_choice(text='D_093_C_001_3', follower='D_093_T_009', callback = onDlg_093_GiveMenue) 
    dialog.add_choice(text='D_093_C_001_4', follower='ENDDIALOG', callback=onDlg_093_Ende1)
    dialog.add_text(text='D_093_T_003', speaker="WALDEMAR", follower='D_093_C_001')
    dialog.add_text(text='D_093_T_004', speaker="WALDEMAR", follower='D_093_C_001')
    dialog.add_text(text='D_093_T_005', speaker="WALDEMAR", follower='D_093_C_001')
    dialog.add_text(text='D_093_T_006', speaker="WALDEMAR")
    dialog.add_text(text='D_093_T_007', speaker="ALTER_EGO")
    dialog.add_text(text='D_093_T_008', speaker="WALDEMAR", follower='D_093_T_011')
    dialog.add_text(text='D_093_T_009', speaker="WALDEMAR", follower='D_093_C_001')
    dialog.add_text(text='D_093_T_010', speaker="WALDEMAR")
    dialog.add_text(text='D_093_T_011', speaker="ALTER_EGO")
    dialog.add_text(text='D_093_T_012', speaker="WALDEMAR")
    dialog.add_text(text='D_093_T_013', speaker="ALTER_EGO")
    dialog.add_text(text='D_093_T_014', speaker="WALDEMAR", follower='ENDDIALOG', callback=onDlg_093_Ende2)
    dialog.add_text(text='D_093_T_015', speaker="WALDEMAR", follower='D_093_C_001', callback = Lambda('data().WaldemarAngebotErhoeht = True'))
    
    if data().d_093_restart_t_004 or data().d_093_restart_t_005:
        if data().WaldemarAngebotErhoeht:
            dialog.jump_to('D_093_T_005')
        elif not data().WaldemarAngebotErhoeht:
            dialog.jump_to('D_093_T_004')
    dialog.start(False)

def onDlg_093_GiveMenue():
    max_water=2
    if data().WaldemarAngebotErhoeht:max_water=6
    if cs.group_as_obj("SET_WATER_SKIN", max_water):
        cs.del_party_inv_1("SET_WATER_SKIN", max_water)
        dialog.jump_to('D_093_T_010')
    else:dialog.jump_to('D_093_T_009')
#    system.item_panel("WALDEMAR","ALTER_EGO", on_give_menu_filter, on_give_menu_closed, on_give_menu_cancel)

def onDlg_106_GiveMenue():
#    system.item_panel("LUKE_Z3","ALTER_EGO", on_give_menu_filter, on_give_menu_closed, on_give_menu_cancel)
    if onDlg_106_viande():
        dialog.jump_to('D_106_T_003')
        return True
    else:
        dialog.jump_to('D_106_T_004')
        return False

def onDlg_106_viande():
    viandes = ["SET_MEAT_COOKED_TINY","SET_MEAT_COOKED_SMALL","SET_MEAT_COOKED"]
    for viande in viandes:
        if cs.group_as_obj(viande):
            cs.del_party_inv(viande)
            return True
    return False

def onDlg_118_GiveMenue():
    if cs.group_as_obj("SET_WATER_SKIN", 3):
        cs.del_party_inv("SET_WATER_SKIN", 3)
        dialog.jump_to('D_118_T_005')
        return True
    else:
        dialog.jump_to('D_118_T_004')
        return False

def onDlg_093_Ende1():
    if data().d_093_c_001_1_gewaehlt:
        data().d_093_restart_t_004 = True
    else:
        data().d_093_restart_t_005 = True

def onDlg_093_Ende2():
    system.set_qb_entry_state(data().QB_019,INACTIVE)
    system.set_qb_entry_state(data().QB_020,UNCOMPLETE)
    data().D_93_Ende2_gelaufen = True
    system.notify_region_entered(region="Bergtigerin", partyid="UISPIELER")
    system.add_minimap_marker(220.22,594.22,"MM_007")#Bergtigerin
    data().WaldemarHatGesagtWoDerTigerIst = True

def initDlg_094_WaldemarFragtBergtigerTod():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.set_dialog_identifier('D_094_BisonKadaber')
    dialog.add_text(text='D_094_T_001', speaker="WALDEMAR")
    dialog.add_text(text='D_094_T_002', speaker="ALTER_EGO", follower='D_094_C_001')
    if (data().bison_inspected and 
        not enemy_script.check_char_skill(system.get_pcs(),'survival' , 70) and
        not data().BisonKadaberAusgeweidet):
        dialog.add_choice(text='D_094_C_001_1', follower='D_094_T_003', auto_deactivation = "permanent")
    if (data().BisonDead and 
        not enemy_script.check_char_skill(system.get_pcs(),'survival' , 70) and
        not data().BisonDeadAusgeweidet):
        dialog.add_choice(text='D_094_C_001_2', follower='D_094_T_004', auto_deactivation = "permanent")
    dialog.add_choice(text='D_094_C_001_3', follower='ENDDIALOG')
    dialog.add_text(text='D_094_T_003', speaker="WALDEMAR")
    dialog.add_choice(text='D_094_C_002_1', follower='ENDDIALOG', callback = Lambda('onDlg_087_WaldemarRenntZuBison("%s")'%data().Obj_BisonKadaver))
    dialog.add_choice(text='D_094_C_002_2', follower='ENDDIALOG')
    dialog.add_text(text='D_094_T_004', speaker="WALDEMAR")
    dialog.add_choice(text='D_094_C_003_1', follower='ENDDIALOG', callback = Lambda('onDlg_087_WaldemarRenntZuBison("BISON")'))
    dialog.add_choice(text='D_094_C_003_2', follower='ENDDIALOG')
    dialog.start(False)

def initCutscene_095_WaldemarErfaehrtBergtigerTod():
    data().d_95_gelaufen = True
    system.start_cutscene()
    init_cutscene("ALTER_EGO", "WALDEMAR", dx=1.0, dy=1.3)
    object.turn_to_object("ALTER_EGO","WALDEMAR",callback=["ONEND",onDlg_095_StartDialog])

def onDlg_095_StartDialog(id):
    dialog.init_dialog(type=DIALOGSMALL)
    set_conversation("WALDEMAR","ALTER_EGO",mode='medium_deep')
    dialog.add_text(text='D_095_T_001', speaker="WALDEMAR", callback=Lambda('set_conversation("ALTER_EGO","WALDEMAR",mode="close_deep")'))
    dialog.add_text(text='D_095_T_002', speaker="ALTER_EGO", callback=Lambda('set_conversation("WALDEMAR","ALTER_EGO",mode="close_deep")'))
    dialog.add_text(text='D_095_T_003', speaker="WALDEMAR", follower='ENDDIALOG', callback=Lambda('end_cutscene(chars=["WALDEMAR", "ALTER_EGO"]); allow_activity("WALDEMAR")'))
    dialog.start()

def onDlg_127_Ende2():
    object.cancel_commandos("WALDEMAR")
    prohibit_activity("WALDEMAR", (get_location("WALDEMAR") == 2))
    data().Waldemar_Unterwegs = 0
## Waldemar zum Bergtiger routen, dort ausweiden, dann zurückrouten.
    RoutedMoveTo("WALDEMAR",ROUTE_WALDEMAR_BERGTIGER_TO,speed=MT_FAST)
    x,y = object.get_x("BERGTIGERIN"),object.get_y("BERGTIGERIN")
    object.move_to("WALDEMAR",x,y,"landscape",speed=MT_SLOW, callback=["ONEND",onDlg_127_WaldemarAusweiden])

def onDlg_127_WaldemarAusweiden(id):
    object.turn_to_object("WALDEMAR", "BERGTIGERIN")
    character.play_animation(id,"CM_NPC_STEHEN_TIER_AUSWEIDEN_START")
    character.play_animation(id,"CM_NPC_STEHEN_TIER_AUSWEIDEN_LOOP")
    character.play_animation(id,"CM_NPC_STEHEN_TIER_AUSWEIDEN_LOOP")
    character.play_animation(id,"CM_NPC_STEHEN_TIER_AUSWEIDEN_ENDE", callback=["ONEND",onDlg_127_WaldemarMoveBack])

def onDlg_127_WaldemarMoveBack(id):
    data().BergtigerAusgeweidet = True
    object.create_item_in_inventory("WALDEMAR","SET_TIGER_MEAT",data().obj_Tigerfleisch)
    object.set_attribute(object=data().obj_Tigerfleisch, attribute="generic_item", value=False)
    object.drop_item("WALDEMAR",data().obj_Tigerfleisch)
    data().Bergtiger_Fleisch_besorgt = True
    data().mq_animal_ausgeweidet["BERGTIGERIN"] = True
    data().Waldemar_Unterwegs = 1
    RoutedMoveTo("WALDEMAR",ROUTE_WALDEMAR_BERGTIGER_BACK,speed=MT_FAST)
    object.move_to("WALDEMAR",528.50,707.60,"landscape", MT_SLOW, callback=["ONEND",onDlg_127_WaldemarBack])

def onDlg_127_WaldemarBack(id):
    object.turn_to_direction("WALDEMAR", globals.DIR_WEST)
    allow_activity("WALDEMAR")
    data().Waldemar_Unterwegs = -1

## [NM] Dialog 128: Waldemar hats eilig
def initDlg_128_WaldemarInEile():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_128_T_001', speaker="WALDEMAR")
    dialog.add_text(text='D_128_T_002', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

## [NM] Dialog 129: Waldemar hat alles erledigt
def initDlg_129_WaldermarFertig():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_129_T_001', speaker="WALDEMAR")
    dialog.add_text(text='D_129_T_002', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()
    
def initDlg_096_SpielerFindetBergtigerZone():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_096_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

def initDlg_097_SpielerFindetBergtiger():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_097_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

def initDlg_098_BergtigerHautAb():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_098_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

def initDlg_099_BergtigerGekillt():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_099_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback = Dlg_099_QB)
    dialog.start()

def Dlg_099_QB():
    system.set_qb_entry_state(data().QB_020,INACTIVE)
    system.set_qb_entry_state(data().QB_021,UNCOMPLETE)

## [M] Dialog 100: Der Ratskull-Leader will nicht sterben
def initDlg_100_RatskullLeaderWillNichtSterben():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_100_T_001', speaker="RATSKULL_LEADER", follower='D_100_C_001')
    dialog.add_choice(text='D_100_C_001_1', follower='D_100_T_004')
    dialog.add_choice(text='D_100_C_001_2', follower='D_100_T_003')
    dialog.add_choice(text='D_100_C_001_3', follower='D_100_T_002')
    dialog.add_text(text='D_100_T_002', speaker="RATSKULL_LEADER", follower='ENDDIALOG', callback=onDlg_100_Ende1)
    dialog.add_text(text='D_100_T_003', speaker="RATSKULL_LEADER", follower='ENDDIALOG', callback=onDlg_100_Ende2)
    dialog.add_text(text='D_100_T_004', speaker="RATSKULL_LEADER")
    dialog.add_text(text='D_100_T_005', speaker="ALTER_EGO", follower='D_100_C_001')
    dialog.start()

def onDlg_100_QB():
    if was_zone_entered("zone_2.zone_2"):
        system.set_qb_entry_state(data('zone_2.zone_2').QB_013,COMPLETE)
    system.set_qb_entry_state(data().QB_002,INACTIVE)
    system.set_qb_entry_state(data().QB_003,INACTIVE)
    system.set_qb_entry_state(data().QB_004,INACTIVE)
    
def onDlg_100_Ende1():
    # ratskulls angreifen
    onDlg_100_QB()
    for id in ["RATSKULL_LEADER","RATSKULLS BUNKER A","RATSKULLS BUNKER B","RATSKULLS BUNKER C","RATSKULLS BUNKER D"]:
        data().ratskulls_hands_up[id] = False
        character.play_animation(id, "CM_NPC_STEHEN_HAENDE_HOCH_ENDE")
        object.set_attribute(id,"foes",["UISPIELER"])
        object.attack(id,random.choice(system.get_pcs()))

def onDlg_100_Ende2():
    # ratskulls laufen lassen
    onDlg_100_QB()
    wps = [[497.89, 238.73],
            [495.32, 242.99],
            [494.27, 252.04],
            [495.42, 268.15],
            [505.17, 267.71],
            [524.60, 268.98],
            [547.60, 267.79],
            [557.13, 248.03],
            [568.00, 223.39],
            [586.42, 166.17]]
    for id in ["RATSKULL_LEADER","RATSKULLS BUNKER A","RATSKULLS BUNKER B","RATSKULLS BUNKER C","RATSKULLS BUNKER D"]:
        inventory = object.get_inventory_ids(id)
        for item in inventory:
            #print "[debug] item:"+str(item)
            if item[1] > 0:
                for elem in item[0]:
                    object.drop_item(id,elem)
                data().ratskulls_laufen_gelassen = True
        data().ratskulls_hands_up[id] = False
        if id != "RATSKULL_LEADER":
            character.play_animation(id, "CM_NPC_STEHEN_HAENDE_HOCH_ENDE")
        
        for wp in wps:
            if wp == wps[0]:
                if id != "RATSKULL_LEADER":
                    object.move_to(id, wp[0]+random.random(), wp[1]+random.random(),grid="landscape",speed=MT_FAST)
            elif wp == wps[-1]:
                object.move_to(id, wp[0], wp[1],grid="landscape",speed=MT_FAST,callback=["ONEND", deactivate])
            else:
                object.move_to(id, wp[0]+random.random(), wp[1]+random.random(),grid="landscape",speed=MT_FAST)
        
    system.notify_timer(timer=data().Timer_Zone4Comment, delay=data().Timervalue_Zone4Comment)
    
def deactivate(id):
    object.set_active_state(id,INACTIVE)

def initDlg_101_RatskullFrohDassEntkommen(id):
    dialog.init_dialog(type=DIALOGSMALL)
    #print "[debug] dialog called"
    dialog.add_text(text='D_101_T_001', speaker=id, follower='ENDDIALOG', callback=onDlg_102_Ende)
    dialog.start()

#[NM] Dialog 102: Der Spieler schaut sich das Kistenschloss verzweifelt an
def initDlg_102_SpielerVerzweifeltAnKistenschloss(id):
    system.set_qb_entry_state(data().QB_015,UNCOMPLETE)
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_102_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

def onDlg_102_Ende():
    if not data().schloss_knacken_1_fehlgeschlagen:
        data().schloss_knacken_1_fehlgeschlagen = True
        system.set_qb_entry_state(data().QB_015,UNCOMPLETE)
        data().schloss_knacker_gesucht = True #variable should be obsolete
        data().spieler_am_schloss = ""

#[NM] Dialog 103: Der Spieler schaut das Kistenschloss abschätzend an
def initDlg_103_SpielerWillKistenschlossOeffnen(id, with_crack=False):
    print "modif qute serrure bunker"
    data().schloss_knacker_gesucht = True #variable should be obsolete
    system.set_qb_entry_state(data().QB_015,UNCOMPLETE)
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_103_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback=Lambda('onDlg_103_Ende(with_crack=%s)' %(str(with_crack))))
    dialog.start()

def onDlg_103_Ende(with_crack):
#CS    system.set_qb_entry_state(data().QB_015,UNCOMPLETE)
    char = data().spieler_am_schloss
    if with_crack:
        object.move_to(char,518.06, 249.5,"BUILDING_BUNKER_SPRENGUNG_INTERIOR_GRID",speed=MT_SLOW)
        object.step_to(char,518.06, 250.6,speed=MT_SLOW)
        object.turn_to_direction(char,globals.DIR_SOUTH)
        character.play_animation(char,"STEHEND_TUERSCHLOSS_KNACKEN",callback=["ONEND",onDlg_103_PlayerInspectLockDone])    

def onDlg_103_PlayerInspectLockDone(char):
    initDlg_104_SpieleKnacktKistenschloss(char)

#[NM] Dialog 104: Der Spieler knackt die Kiste
def initDlg_104_SpieleKnacktKistenschloss(id, no_end=False):
    char_id = data().spieler_am_schloss
    object.step_away(char_id)
    dialog.init_dialog(type=DIALOGSMALL)
    if no_end:
        dialog.add_text(text='D_104_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    else:
        dialog.add_text(text='D_104_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_104_Ende)
    dialog.start()

def onDlg_104_Ende():
    system.set_qb_entry_state(data().QB_015,COMPLETE)
    char_id = data().spieler_am_schloss
    object.step_away(char_id)
    data().spieler_am_schloss = ""
    data().schloss_geknackt = True
    data().schloss_knacker_gesucht = False
    object.remove_closed_lock_by_name(data().Obj_KisteLuke, "lock1")

#[NM] Dialog 105: Luke stellt sich vor
def initDlg_105_LukeStelltSichVor():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_105_T_001', speaker="LUKE_Z3")
    dialog.add_text(text='D_105_T_002', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[M] Dialog 106: Luke öffnet die Kiste f�r lau
def initDlg_106_LukeOeffnetKisteFuerLau():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_106_T_001', speaker="LUKE_Z3", follower="D_106_C_001")
    dialog.add_choice(text='D_106_C_001_1', follower="D_106_T_002")
    dialog.add_choice(text='D_106_C_001_2', follower="ENDDIALOG", callback=onDlg_106_Ende1)
    dialog.add_text(text='D_106_T_002', speaker="LUKE_Z3", follower="D_106_C_002")
    dialog.add_choice(text='D_106_C_002_1', follower="D_106_T_005")
    dialog.add_choice(text='D_106_C_002_2', follower="D_106_T_006")
    dialog.add_choice(text='D_106_C_002_3', follower="D_106_T_004", callback=onDlg_106_GiveMenue)
    dialog.add_choice(text='D_106_C_002_4', follower="ENDDIALOG", callback=onDlg_106_Ende1)
    dialog.add_text(text='D_106_T_003', speaker="LUKE_Z3", follower="ENDDIALOG", callback=onDlg_106_Ende2)
    dialog.add_text(text='D_106_T_004', speaker="LUKE_Z3", follower="D_106_C_002")
    dialog.add_text(text='D_106_T_005', speaker="LUKE_Z3", follower="ENDDIALOG", callback=onDlg_106_Ende2)
    dialog.add_text(text='D_106_T_006', speaker="LUKE_Z3", follower='D_106_C_002')
    if data().d_106_restart_c_001:
        dialog.jump_to('D_106_C_001')
    dialog.start(False)

def onDlg_106_Ende1():
    # luke kommt nicht mit
    data().d_106_restart_c_001 = True

def onDlg_106_Ende2():
    # luke kommt mit
    data().luke_folgt = True
    object.cancel_commandos("LUKE_Z3")
    system.notify_timer(data().Timer_LukeFolgt,data().Timervalue_LukeFolgt)

#[NM] Dialog 107: Luke will zum Schloss
def initDlg_107_LukeWillZumSchloss():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_107_T_001', speaker="LUKE_Z3", follower='ENDDIALOG')
    dialog.start()

#[NM] Dialog 108: Luke will nicht mehr folgen
def initDlg_108_LukeWillNichtMehr():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_108_T_001', speaker="LUKE_Z3", follower='ENDDIALOG', callback=onDlg_108_Ende)
    dialog.start()
    
def onDlg_108_Ende():
    data().luke_folgt = False
    data().spieler_muss_luke_erneut_holen = True
    object.move_to("LUKE_Z3",481.6,761.7,grid="landscape",speed=MT_SLOW, callback=["ONEND",onDlg_108_LukeHoming])

def onDlg_108_LukeHoming(id):
    object.turn_to_direction("LUKE_Z3",globals.DIR_NORTH)
    allow_activity("LUKE_Z3")

#[NM] Dialog 109: Der Spieler warnt Luke
def initDlg_109_SpielerWarntLuke():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_109_T_001', speaker="ALTER_EGO")
    dialog.add_text(text='D_109_T_002', speaker="LUKE_Z3", follower='ENDDIALOG')
    dialog.start()

#[NM/CS] Dialog 110: Luke inspiziert das Schloss
def initCutscene_110_LukeInspiziertDasSchloss():
    data().counter_dlg_all_there = 110
    system.start_cutscene()
    system.set_camera_view(CAMVIEW_BUNKER_TRESOR)
    object.move_to("ALTER_EGO",519.3, 251.5,"BUILDING_BUNKER_SPRENGUNG_INTERIOR_GRID",MT_SLOW)
    object.turn_to_object("LUKE_Z3","ALTER_EGO", callback=["ONEND",check_all_there])
    object.move_to("LUKE_Z3",517.68, 250.62,"BUILDING_BUNKER_SPRENGUNG_INTERIOR_GRID",MT_SLOW)
    object.turn_to_object("ALTER_EGO","LUKE_Z3", callback=["ONEND",check_all_there])
    
def initDlg_110_LukeInspiziertDasSchloss(id):
    dialog.init_dialog(type=DIALOGSMALL)
    #set_conversation("LUKE_Z3","ALTER_EGO",mode='medium_deep', animate=False)
    system.set_camera_view(CAMVIEW_BUNKER_TRESOR)
    dialog.add_text(text='D_110_T_001', speaker="LUKE_Z3", follower='ENDDIALOG', callback=onDlg_110_LukeInspectLock)
    dialog.start()

def onDlg_110_Continue1():
    dialog.init_dialog(type=DIALOGSMALL)
    set_conversation("LUKE_Z3","ALTER_EGO",mode='medium_deep', new_camera=False)
    system.set_camera_view(CAMVIEW_BUNKER_TRESOR)
    dialog.add_text(text='D_110_T_002', speaker="LUKE_Z3",callback=Lambda('set_conversation("ALTER_EGO","LUKE_Z3",mode="close_deep")'))
    dialog.add_text(text='D_110_T_003', speaker="ALTER_EGO",callback=Lambda('set_conversation("LUKE_Z3","ALTER_EGO",mode="close_deep")'))
    dialog.add_text(text='D_110_T_004', speaker="LUKE_Z3", follower='ENDDIALOG',callback=onDlg_110_Ende)
    dialog.start()

def onDlg_110_LukeInspectLock():
    system.set_camera_view(CAMVIEW_BUNKER_TRESOR)
    object.move_to("LUKE_Z3",517.68, 250.62,"BUILDING_BUNKER_SPRENGUNG_INTERIOR_GRID",speed=MT_SLOW, callback = (['ONEND', onDlg_110_LukeInspectLock_1]))
    object.step_to("LUKE_Z3",517.68, 250.62,speed=MT_SLOW)

def onDlg_110_LukeInspectLock_1(id):
    #object.step_to(object="LUKE_Z3",x=482.15, y=245.17, speed=MT_SLOW)
    object.turn_to_direction("LUKE_Z3",globals.DIR_SOUTH, callback=["ONEND",onDlg_110_LukeInspect])

def onDlg_110_LukeInspect(char):
    character.play_animation(char,"STEHEND_TUERSCHLOSS_KNACKEN",callback=["ONEND",onDlg_110_LukeInspectLockDone])

def onDlg_110_LukeInspectLockDone(id):
    #object.step_away("LUKE_Z3")
    #object.move_to("LUKE_Z3", 486.5, 243.4, "landscape", speed = MT_SLOW)
    object.turn_to_object("LUKE_Z3", "ALTER_EGO", callback=["ONEND",onDlg_110_ContinueDlg])
    object.turn_to_object("ALTER_EGO","LUKE_Z3")

def onDlg_110_ContinueDlg(id):
    onDlg_110_Continue1()

def onDlg_110_Ende():
    ## spezialdietrich quest
    system.set_qb_entry_state(data().QB_016,UNCOMPLETE)
    system.set_qb_entry_state(data().QB_015,INACTIVE)
    data().luke_hat_kiste_inspiziert = True
    data().luke_dietrich_gesucht = True
    end_cutscene(chars=["LUKE_Z3", "ALTER_EGO"])

#[NM] Dialog 111: Luke erwartet die Spezialdietriche
def initDlg_111_LukeErwartetSpezialdietriche():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_111_T_001', speaker="LUKE_Z3")
    dialog.add_text(text='D_111_T_002', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[NM/CS] Dialog 112: Luke knackt das Schloss
def initCutscene_112_LukeKnacktDasSchloss(exchange_lockpick=True):
    data().counter_dlg_all_there = 112
    system.start_cutscene()
    system.set_camera_view(CAMVIEW_BUNKER_TRESOR)
    object.move_to("ALTER_EGO",519.3, 251.5,"BUILDING_BUNKER_SPRENGUNG_INTERIOR_GRID",MT_SLOW)
    object.turn_to_object("LUKE_Z3","ALTER_EGO", callback=["ONEND",check_all_there])

    object.move_to("LUKE_Z3",517.68, 250.62,"BUILDING_BUNKER_SPRENGUNG_INTERIOR_GRID",MT_SLOW)
    #jan
    object.set_position("LUKE_Z3", 517.68, 250.62,'BUILDING_BUNKER_SPRENGUNG_INTERIOR_GRID')

    object.turn_to_object("ALTER_EGO","LUKE_Z3", callback=["ONEND",check_all_there])
    if exchange_lockpick:
        object.transfer_item(enemy_script.get_next_transfer_partner("LUKE_Z3", data().obj_HermansPicklock), data().obj_HermansPicklock, "LUKE_Z3")

def check_all_there(id):
    data().counter_all_there += 1
    if data().counter_all_there == 2:
        data().counter_all_there = 0
        if data().counter_dlg_all_there == 112:
            initDlg_112_LukeKnacktDasSchloss(id)
        elif data().counter_dlg_all_there == 110:
            initDlg_110_LukeInspiziertDasSchloss(id)
            

def initDlg_112_LukeKnacktDasSchloss(id):
    dialog.init_dialog(type=DIALOGSMALL)
    system.set_camera_view(CAMVIEW_BUNKER_TRESOR)
    set_conversation("ALTER_EGO","LUKE_Z3",mode='medium_deep', new_camera=False)
    dialog.add_text(text='D_112_T_001', speaker="ALTER_EGO", callback=Lambda('set_conversation("LUKE_Z3","ALTER_EGO",mode="close_deep")'))
    dialog.add_text(text='D_112_T_002', speaker="LUKE_Z3", follower='ENDDIALOG', callback=onDlg_112_LukeOpenLock) # schwarzblende kiste offen
    dialog.start()

def onDlg_112_Continue1(id):
    dialog.init_dialog(type=DIALOGSMALL)
    system.set_camera_view(CAMVIEW_BUNKER_TRESOR)
    set_conversation("LUKE_Z3","ALTER_EGO",mode='close_deep', new_camera=False)
    dialog.add_text(text='D_112_T_003', speaker="LUKE_Z3")
    dialog.add_text(text='D_112_T_004', speaker="LUKE_Z3",callback=Lambda('set_conversation("ALTER_EGO","LUKE_Z3",mode="close_deep")'))
    dialog.add_text(text='D_112_T_005', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_112_Ende)
    dialog.start()

def onDlg_112_LukeOpenLock():
    system.set_camera_view(CAMVIEW_BUNKER_TRESOR)
    object.cancel_commandos('LUKE_Z3')
    #object.move_to("LUKE_Z3",484.46,244.89,"landscape",speed=MT_SLOW)
    object.step_to("LUKE_Z3",517.68, 250.62,speed=MT_SLOW)
    object.cancel_commandos('ALTER_EGO')
    object.turn_to_direction("ALTER_EGO",globals.DIR_WEST)
    object.turn_to_direction("LUKE_Z3",globals.DIR_SOUTH, callback=["ONEND",onDlg_112_LukeInspect])

def onDlg_112_LukeInspect(char):
    character.play_animation(char,"STEHEND_TUERSCHLOSS_KNACKEN",callback=["ONEND",onDlg_112_LukeOpenLockDone])

def onDlg_112_LukeOpenLockDone(id):
    #object.step_away("LUKE_Z3")
    #object.move_to("LUKE_Z3",486.5,243.4,"landscape",MT_SLOW)
    object.turn_to_object("LUKE_Z3","ALTER_EGO", callback=["ONEND",onDlg_112_Continue1])
    object.turn_to_object("ALTER_EGO","LUKE_Z3")

def onDlg_112_Ende():
    character.add_experience_party(data().Exp_Ratskulls_Bunker)
    data().luke_an_kiste = False
    data().schloss_geknackt = True
    object.remove_closed_lock_by_name(data().Obj_KisteLuke, "lock1")
    system.set_qb_entry_state(data().QB_015,COMPLETE)
    system.set_qb_entry_state(data().QB_016,INACTIVE)
    end_cutscene(chars=["LUKE_Z3", "ALTER_EGO"])

    object.set_immortal_state("LUKE_Z3", False)
#    for wp in ROUTE_LUKE_BACK:
#        if wp == ROUTE_LUKE_BACK[3]:
#            if not random.randint(0,10):
#                object.move_to("LUKE_Z3", 454.24, 350.86, "landscape",MT_FAST)
#            else:
#                object.move_to("LUKE_Z3", wp[0],wp[1],"landscape",MT_FAST)
#        else:
#            object.move_to("LUKE_Z3", wp[0],wp[1],"landscape",MT_FAST)
#    
#    if object.is_destroyed("LUKE_Z3"):
#        return False
    RoutedMoveTo("LUKE_Z3",ROUTE_LUKE_BACK,speed=MT_FAST)
    object.turn_to_direction("LUKE_Z3",globals.DIR_NORTH, callback=["ONEND",Lambda('data().luke_wieder_zuhause = True; allow_activity("LUKE_Z3")')])
    
#[NM] Dialog 113: Luke will nicht gestört werden
def initDlg_113_LukeWillNichtGestoertWerden():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_113_T_001', speaker="LUKE_Z3", follower='ENDDIALOG')
    dialog.start()

#[NM] Dialog 114: Luke hats eilig
def initDlg_114_LukeHatEsEilig():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_114_T_001', speaker="LUKE_Z3", follower='ENDDIALOG')
    dialog.start()

#[M] Dialog 115: Luke soll noch einmal mitkommen
def initDlg_115_LukeSollErneutMitkommen():
    object.cancel_commandos("LUKE_Z3")
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_115_T_001', speaker="LUKE_Z3", follower='D_115_C_001')
    dialog.add_choice(text='D_115_C_001_1', follower='D_115_T_002')
    dialog.add_choice(text='D_115_C_001_2', follower='ENDDIALOG', callback=onDlg_115_Ende1)
    dialog.add_text(text='D_115_T_002', speaker="LUKE_Z3", follower='ENDDIALOG', callback=onDlg_115_Ende2)
    dialog.start()
    
def onDlg_115_Ende1():
    # luke kommt nicht mit
    pass

def onDlg_115_Ende2():
    # luke kommt mit
    data().luke_folgt = True
    data().spieler_muss_luke_erneut_holen = False
    object.cancel_commandos("LUKE_Z3")
    system.notify_timer(data().Timer_LukeFolgt,data().Timervalue_LukeFolgt)

## fixme: noch richtig einbauen!
#[NM] Dialog 116: Luke ist explodiert
def initDlg_116_LukeIstExplodiert():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_116_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[NM] Dialog 117: Herman ist im Stress
def initDlg_117_HermanIstImStress():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_117_T_001', speaker="HERMAN")
    dialog.add_text(text='D_117_T_002', speaker="ALTER_EGO", follower='ENDDIALOG')
    onDlg_117_marker()
    dialog.start()

def onDlg_117_marker():
    if not data().player_knows_Hermans_Schmiede:
        data().player_knows_Hermans_Schmiede = True
        system.add_minimap_marker(578,726,"MM_005")#Herman’s forge

#[M] Dialog 118: Herman hat den Dietrich
def initDlg_118_HermanHatDenDietrich():
    onDlg_117_marker()
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_118_T_001', speaker="HERMAN", follower='D_118_C_001')
    dialog.add_choice(text='D_118_C_001_1', follower="D_118_T_002")
    dialog.add_choice(text='D_118_C_001_2', follower="ENDDIALOG", callback=onDlg_118_Ende1)
    dialog.add_text(text='D_118_T_002', speaker="HERMAN")
    dialog.add_choice(text='D_118_C_002_1', follower="D_118_T_004", callback=onDlg_118_GiveMenue)
#V1.8    if object_events.get_speech_skill("ALTER_EGO") >= 75:
    if object.get_attribute('ALTER_EGO', 'speech') >= 75:
        dialog.add_choice(text='D_118_C_002_2', follower="D_118_T_007")
    else:
        dialog.add_choice(text='D_118_C_002_2', follower="D_118_T_008")
    dialog.add_choice(text='D_118_C_002_3', follower="ENDDIALOG", callback=onDlg_118_Ende2)
    dialog.add_text(text='D_118_T_003', speaker="HERMAN", follower='D_118_C_002')
    dialog.add_text(text='D_118_T_004', speaker="HERMAN", follower='ENDDIALOG',callback=onDlg_118_Ende2)
    dialog.add_text(text='D_118_T_005', speaker="HERMAN")
    dialog.add_text(text='D_118_T_006', speaker="ALTER_EGO", follower='ENDDIALOG',callback=onDlg_118_Ende3)
    dialog.add_text(text='D_118_T_007', speaker="HERMAN", follower="D_118_T_005")
    dialog.add_text(text='D_118_T_008', speaker="HERMAN", follower='ENDDIALOG',callback=onDlg_118_Ende2)
    if data().herman_d_118_restart_t_003:
        dialog.jump_to('D_118_T_003')
    dialog.start(False)

def onDlg_118_Ende1():
    # dialogende
    pass

def onDlg_118_Ende2():
    data().herman_d_118_restart_t_003 = True
    # ende

def onDlg_118_Ende3():
    #dietrich rein, tauschgegenstand raus
    data().spieler_hat_dietrich = True
    object.transfer_item('HERMAN', data().obj_HermansPicklock, 'ALTER_EGO')
    #pos = object.get_position("HERMAN")
    #object.set_position(data().obj_HermansPicklock,x=pos[0],y=pos[1]+0.5)

#[NM] Dialog 119: Der Spieler will nicht mehr mit Herman sprechen
def initDlg_119_SpielerWillHermanNichtMehr():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_119_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[NM] Dialog 120: Der Spieler klaut den Spezial-Dietrich
def initDlg_120_SpielerKlautDietrich():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_120_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_120_Ende)
    dialog.start()

def onDlg_120_Ende():
    data().spieler_hat_dietrich = True

#[NM] Dialog 121: Der Spieler untersucht den Spezial-Dietrich
def initDlg_121_SpielerUntersuchtDietrich():
    dialog.init_dialog(type=DIALOGSMALL)
    if data().luke_dietrich_gesucht:
        dialog.add_text(text='D_121_T_001', speaker="ALTER_EGO")
    dialog.add_text(text='D_121_T_002', speaker="HERMAN", follower='ENDDIALOG')
    dialog.start(False)

# [NM] Dialog 122: Dörfler A hat nichts zu sagen
def initDlg_122_DoerflerAKommentar():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_122_T_001', speaker="DOERFLER A", follower='ENDDIALOG')
    dialog.start()

#[NM] Dialog 123: Dörfler B hat nichts zu sagen
def initDlg_123_DoerflerBKommentar():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_123_T_001', speaker="DOERFLER B", follower='ENDDIALOG')
    dialog.start()

#[NM] Dialog 124: Dörfler C hat nichts zu sagen
def initDlg_124_DoerflerCKommentar():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_124_T_001', speaker="DOERFLER C", follower='ENDDIALOG')
    dialog.start()

#[M] Dialog 125: Pete verkauft einen Tipp
def initDlg_125_PeteVerkauftTipp():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_125_T_001', speaker="GEORG")
    dialog.add_text(text='D_125_T_002', speaker="ALTER_EGO")
    dialog.add_text(text='D_125_T_003', speaker="GEORG", follower="D_125_C_001")
    dialog.add_choice(text='D_125_C_001_1',follower='D_125_T_005')
    ## todo: auswahl
    dialog.add_choice(text='D_125_C_001_2',follower='D_125_T_007')
    #dialog.add_choice(text='D_125_C_001_2', follower='D_125_T_008')
    dialog.add_choice(text='D_125_C_001_3', follower='ENDDIALOG', callback=onDlg_125_Ende1)
    dialog.add_text(text='D_125_T_004', speaker="GEORG", follower="D_125_C_001")
    dialog.add_text(text='D_125_T_005', speaker="GEORG")
    dialog.add_text(text='D_125_T_006', speaker="ALTER_EGO", follower="D_125_C_001")
    dialog.add_text(text='D_125_T_007', speaker="GEORG", follower='ENDDIALOG', callback=onDlg_125_Ende2)
    dialog.add_text(text='D_125_T_008', speaker="GEORG", follower='ENDDIALOG', callback=onDlg_125_Ende1)
    if data().pete_d_125_restart_t_004:
        dialog.jump_to('D_125_T_004')
    dialog.start(False)

def onDlg_125_Ende1():
    data().pete_d_125_restart_t_004 = True
    data().georg_d_126_spoken = False

def onDlg_125_Ende2():
    data().georg_d_126_spoken = True

#[NM] Dialog 126: Pete hat nichts mehr zu sagen
def initDlg_126_GoergHatNixMehrZuSagen():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_126_T_001', speaker="GEORG", follower='ENDDIALOG')
    dialog.start()

#helper: routing
def RoutedMoveTo(id,route,patrol_type='none',speed=MT_SLOW, cancel=False):
    #print "[debug] routed moveto "+id
    if cancel:
        object.cancel_commandos(id)

    object.set_attribute(id,"route",route)
    object.set_attribute(id,"route_type",patrol_type)
    object.set_attribute(id,"route_speed",speed)

    if patrol_type == 'none':
        for waypoint in route:
            object.move_to(id,waypoint[0],waypoint[1],"landscape",speed)
    else:
        pass
        #doPatrol(id,route,patrol_type)
        
#[NM] Dialog 130: Der Spieler hat die Bergtigerin erwischt, allerdings ohne Auftrag
def initDlg_130_SpielerHatBergtigerinErledigtOhneAuftrag():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_130_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback = Dlg_130_QB)
    dialog.start()

def Dlg_130_QB():
    system.set_qb_entry_state(data().QB_020,INACTIVE)
    system.set_qb_entry_state(data().QB_021,UNCOMPLETE)

# todo: einbauen

#[NM] Dialog 131: Der Spieler findet das Tagebuch
def initDlg_131_SpielerFindetRatskulltagebuch():
    data().ratskull_tagebuch_gelesen = True
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_131_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

def can_show_cutscene():
    return (object.get_grid("ALTER_EGO") == "landscape")

bookdo = 'loop'
RatskullDiaryGelesen=0
def buchLoop(char):
    global RatskullDiaryGelesen
    global bookdo
    if not RatskullDiaryGelesen == 1:
        if bookdo == 'loop':
            character.play_animation("ALTER_EGO", "CM_NPC_STEHEN_BUCH_LESEN_LOOP",callback=["ONEND",Lambda('buchLoop("ALTER_EGO")')])
        elif bookdo == 'scrape':
            character.play_animation("ALTER_EGO", "CM_NPC_STEHEN_BUCH_LESEN_KRATZEN_LOOP",callback=["ONEND",Lambda('buchLoop("ALTER_EGO")')])
            bookdo = 'loop'
        elif bookdo == 'turnOver':
            character.play_animation("ALTER_EGO", "CM_NPC_STEHEN_BUCH_LESEN_UMBLAETTERN_LOOP",callback=["ONEND",Lambda('buchLoop("ALTER_EGO")')])
            bookdo = 'loop'
        else:
            character.play_animation("ALTER_EGO", "CM_NPC_STEHEN_BUCH_LESEN_LOOP",callback=["ONEND",Lambda('buchLoop("ALTER_EGO")')])
    else:
        character.play_animation("ALTER_EGO", "CM_NPC_STEHEN_BUCH_LESEN_ENDE")
        pass
    

def buchLesen():
    RatskullDiaryGelesen=0
    object.cancel_commandos("ALTER_EGO")
    character.play_animation("ALTER_EGO", "CM_NPC_STEHEN_BUCH_LESEN_START",callback=["ONEND",Lambda('buchLoop("ALTER_EGO")')])
    readBookTurnOver(3.3)
    
def changeBookDo(do):
    global bookdo
    bookdo = do
    
def readBookTurnOver(de):
    if de > 0.0:
        enemy_script.delay(de,Lambda("changeBookDo('turnOver')"))
    else:
        changeBookDo('turnOver')
        pass

def readBookScrape(de):
    if de > 0.0:
        enemy_script.delay(de,Lambda("changeBookDo('scrape')"))
    else:
        changeBookDo('scrape')
        pass
    
    
#[NM/CS] Dialog 132: Der Spieler liest das Tagebuch
def initDlg_132_SpielerLiestRatskulltagebuch():
    if not can_show_cutscene():
        on_dialog_132_start2()
        return True
    system.start_cutscene()
    set_conversation("ALTER_EGO", cam_x=0.0, cam_y=1.0, mode="medium")
    object.cancel_commandos("ALTER_EGO")
    object.turn_to_direction("ALTER_EGO", globals.DIR_SOUTH, callback=['ONEND', on_dialog_132_start])
    if object.count_in_inventory('ALTER_EGO', 'Z3 RATSKULL_DIARY'):
        object.remove_item_from_inventory("ALTER_EGO", "Z3 RATSKULL_DIARY")
    else:
        if 'Z3 RATSKULL_DIARY' in system.get_objects():
            object.set_active_state('Z3 RATSKULL_DIARY', False)
    if not object.count_in_inventory("ALTER_EGO", "SET_OPEN_BOOK"):
        object.create_item_in_inventory("ALTER_EGO", "SET_OPEN_BOOK")

def on_dialog_132_start(char=None):
    global RatskullDiaryGelesen
    character.equip("ALTER_EGO", "SET_OPEN_BOOK")
    RatskullDiaryGelesen = 0
    buchLesen()
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_132_T_001', speaker="ALTER_EGO")
    dialog.add_text(text='D_132_T_002', speaker="ALTER_EGO")
#    dialog.add_text(text='D_132_T_002', speaker="ALTER_EGO", callback=Lambda('set_conversation("ALTER_EGO", cam_x=0.0, cam_y=0.5, mode="medium")'))
    dialog.add_text(text='D_132_T_003', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_132_Ende)
    dialog.start()

def on_dialog_132_start2():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_132_T_001', speaker="ALTER_EGO")
    dialog.add_text(text='D_132_T_002', speaker="ALTER_EGO")
    dialog.add_text(text='D_132_T_003', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_132_Ende)
    dialog.start()

def onDlg_132_Ende():
    global RatskullDiaryGelesen
    if system.is_cutscene():
        RatskullDiaryGelesen = 1
        system.end_cutscene()
        character.un_equip("ALTER_EGO", "SET_OPEN_BOOK")
        object.remove_item_from_inventory("ALTER_EGO", "SET_OPEN_BOOK")

#        object.set_attribute("Z3 RATSKULL_DIARY", "generic_item", False)
        if 'Z3 RATSKULL_DIARY' in system.get_objects():
            object.set_active_state('Z3 RATSKULL_DIARY', True)
        else:
            object.create_item_in_inventory(object="ALTER_EGO", equipment="SET_RATSKULL_DIARY", id="Z3 RATSKULL_DIARY")
            object.set_attribute("Z3 RATSKULL_DIARY", "generic_item", False)
    if not was_zone_entered('sqzone_2.sqzone_2'):
        system.set_qb_entry_state(data("zone_3.zone_3").QB_024,UNCOMPLETE) 
    #system.set_qb_entry_state(data().QB_024,UNCOMPLETE)
    set_zone_enabled("sqzone_2",True)
    
def initDlg_133_HUMVEE():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_133_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback = (Lambda('data().HUMVEE_Z3_Untersucht = True')))
    dialog.start()
