# -*- coding: utf-8 -*-
from globals import *
from const import *
import npc
import zone_5
import schedules
from dynamic_camera import *
import enemy_script
import cs_function as cs

#*********************************************************************
#        aktuelle revison: Revision 33, 6.10.2004 und 36
#*********************************************************************

def on_approach(target, operator):
    if dialog.is_dialog_active():
        return

    if system.is_cutscene():
        return

    if schedules.Dialog(target, operator):
        return

    if target in ["SCHLAEGER_1","SCHLAEGER_2","SCHLAEGER_3"]:
        initDlg_079_SchlaegerVerscheuchenSpieler()

    if target == "TIZOC":
        if (data().Sekte_Ausgerottet1 == False):
            initDlg_050_SpielerVersuchtTizocZuSprechen()
        elif ((data().Sekte_Ausgerottet1 == True) and (system.get_qb_entry_state(data().QB_010) == UNCOMPLETE)):
            initCutscene_021_SpielerSagtZukunftVoraus()

    if target == "NICHOLAS":
        if (system.get_qb_entry_state(data().QB_008) == INACTIVE):initDlg_024_NicholasGibtInfosZuBestien()

        elif (system.get_qb_entry_state(data().QB_008) == UNCOMPLETE):
            listete=["Z5 WARGHEAD_1","Z5 WARGHEAD_2","Z5 WARGHEAD_3","Z5 WARGHEAD_4","Z5 WARGHEAD_5"]
            if cs.group_has_1_of(listete):
                nb_head=0
                for pc in system.get_pcs():
                    for obj in listete:
                        if object.count_in_inventory(pc, obj) > 0:
                            object.transfer_item(pc, obj, "NICHOLAS")
                            nb_head+=1
                character.add_experience_party(70*nb_head)
                data().NumberOfHeads = nb_head
                data().Kopfe += nb_head
                if data().Kopfe == 5:character.add_experience_party(30)
                data().headsAtBeginning = data().NumberOfHeads
                data().FirstTimeDlg081 = True
                initDlg_081_SpielerHatMehrere()

        elif (system.get_qb_entry_state(data().QB_008) == COMPLETE):
            if (system.get_qb_entry_state(data().QB_005) == COMPLETE):
                if data().nicholasende == 0:
                    initDlg_027_SpielerKlaertNicolasUeberRitualAuf() 
                else:#[NM]Dialog 051: Nicholas ist nicht mehr am Spieler interessiert.
                    dialog.init_dialog(type=DIALOGSMALL)
                    dialog.add_text(text='D_051_T_001', speaker="NICHOLAS", follower='ENDDIALOG')
                    dialog.start()
            else:
                dialog.init_dialog(DIALOGSMALL)
                dialog.add_text(text='D_081_T_012', speaker="NICHOLAS", follower='ENDDIALOG')
                dialog.start()

    if target == "ZACHARY":
        if system.get_qb_entry_state(data().QB_006) == IMPOSSIBLE:
            initDlg_040_Zachary_ist_sauer()
        elif system.get_qb_entry_state(data().QB_006) == INACTIVE:
            initDlg_036_ZacharyBittetSpielerUmHilfe()
        elif system.get_qb_entry_state(data().QB_006) == UNCOMPLETE:
            if cs.group_as_obj("SET_REPAIRED_GHETTOBLASTER"):
                initCutscene_038_SpielerGibtZacharyBlasterZurueck()
            else:
                initDlg_037_ZacharyWillBlasterWiederHaben()
        elif system.get_qb_entry_state(data().QB_006) == COMPLETE:
            initDlg_039_ZacharyBedanktSich()

    if target == "BRANDON":
        if (data().Ziel4 == False):
            initDlg_017_SpielerVerscheuchen()
        else:
            initDlg_018_SpielerWillBrandonUndCoUmlegen()


    if target == "MUSTAFA":
        if (system.get_qb_entry_state(data().QB_001) == INACTIVE and system.get_qb_entry_state(data().QB_004) == INACTIVE):
            if data().Mustafa_ansprechen == 0:
                initDlg_004_ErsteBegegnungMitMustafa()
            else:
                initDlg_005_Hau_ab()

        elif ((system.get_qb_entry_state(data().QB_001) in [UNCOMPLETE,COMPLETE]) or
               (system.get_qb_entry_state(data().QB_004) == UNCOMPLETE and system.get_qb_entry_state(data().QB_001) == INACTIVE)):
            if data().MustafaAufforderung == False:
                initDlg_006_Aufforderung()
                data().MustafaAufforderung = True
            elif (system.get_qb_entry_state(data().QB_004) == UNCOMPLETE):
                initDlg_007_aufmerksam_machen()
            elif (system.get_qb_entry_state(data().QB_004) == INACTIVE and system.get_qb_entry_state(data().QB_001) == UNCOMPLETE):
                if data().geloest1 == 0:
                    initCutscene_008_Rowdies_aufgemischt()
                else:
                    initDlg_009_Rowdies_aufgemischt2()
            else:
                initDlg_005_Hau_ab()
        else:
            initDlg_005_Hau_ab()

    if target in NPC_FAMILY:
        for id in NPC_FAMILY:
            if id == "IAN":
                object.cancel_commandos("IAN")
            prohibit_activity(id)
        if target != "IAN":
            character.set_approachable_state("IAN", False)
            object.cancel_commandos("ALTER_EGO")
            object.turn_to_object("ALTER_EGO", "IAN")
            object.move_to_object("IAN", "ALTER_EGO")
#           print "ich bin ein if"
            object.turn_to_object("IAN", "ALTER_EGO", callback=["ONEND",on_approach_family])
        else:
#           print "ich bin ein else"
            on_approach_family("IAN")

    if target == "GENERAL_LEWIS":
        if data().d_045_als_naechster == 0:
            if data().general_first_approach:
                if data().ratstod == 0:
                    initDlg_001_GeneralBrauchtSpielerRatskullsNichtBesiegt()
                else:
                    initDlg_060_GeneralBrauchtSpielerRatskullsBesiegt()
                data().general_first_approach = False
            else:
                checkQuestItemsGeneral()
                checkQuestSchrottGeneral()
                if(system.get_qb_entry_state(data().QB_003) == INACTIVE and
                    system.get_qb_entry_state(data().QB_013) == UNCOMPLETE and
                    (system.get_qb_entry_state(data().QB_001) in [UNCOMPLETE,COMPLETE,INACTIVE]) and
                    (system.get_qb_entry_state(data().QB_002) in [UNCOMPLETE,COMPLETE,INACTIVE]) and
                    data().Wesley_Ziel3 == False):
                    if object.exists("FRANKLIN"):
                        if object.get_distance("FRANKLIN","GENERAL_LEWIS") <= 15.0:
                            data("zone_3.zone_3").franklin_folgt = False
                            object.set_attribute("FRANKLIN","zone_transfer",False)
                            initCutscene_012_GeneralBedanktSichFuerDenDoc() # trouv doc

                elif(system.get_qb_entry_state(data().QB_001) == COMPLETE and
                    (system.get_qb_entry_state(data().QB_002) in [UNCOMPLETE,COMPLETE,INACTIVE]) and
                    (system.get_qb_entry_state(data().QB_003) in [UNCOMPLETE,COMPLETE,INACTIVE]) and
                    data().Wesley_Ziel1 == False):
                    initCutscene_003_GeneralBedanktSichFuerSchrott() # casse ok 

                elif(system.get_qb_entry_state(data().QB_002) == COMPLETE and
                    (system.get_qb_entry_state(data().QB_001) in [UNCOMPLETE,COMPLETE,INACTIVE]) and
                    (system.get_qb_entry_state(data().QB_003) in [UNCOMPLETE,COMPLETE,INACTIVE]) and
                    data().Wesley_Ziel2 == False):
                    initDlg_011_GeneralBedanktSichFuerZelteUndWasser() # tente & dtect eau ok

                elif (data().Wesley_Ziel1 and data().Wesley_Ziel2 and data().Wesley_Ziel3):
                    if (data().ratstod == 0):
                        initDlg_014_GeneralFordertSpielerAufRatskullsZuToeten()
                    else:
                        initDlg_046_GeneralDanktSpieler()
                else:
                    initDlg_013_GeneralFordertSpielerAufZuArbeiten()

        else:
            initDlg_045_GeneralAergertSichUeberSpieler()

    if target == "OLIVIA":
        if data().Sekte_Ausgerottet:
            if data().Olivia_Dank:
                initDlg_052_Olivia_dankt()
            else:
                initCutscene_033_Olivia_ist_gerettet()

    if data().last_sectarian != None:
        if target == data().last_sectarian:
            initDlg_032_Sekten_Mitgl()


    if target == "DAN":
        initDlg_070_DanIstEinFeigling()

    if target == "PATRICK":
        if not data().seeker_aufgehalten:
            initCutscene_067_SeekerWillFluechten()
        else:
            initDlg_068_SpielerFragtSeekerAus()

    if target == "PHOENIX":
#   if ((data().ratstod == 0) or 
        if (data().kill_wasser >= 20 and not object.is_fighting("ALTER_EGO")):
            if not data().phoenix_gesprochen:
                initCutscene_063_PhoenixGibtSichGeschlagen()
        else:
            initDlg_072_SpielerWillNichtMitPhoenixSprechen()

def on_approach_family(char):
    character.set_approachable_state("IAN", True)
    if (data().Familie_wird_Eskortiert == False and data().Familie_bleibt_stehen == False):
        initDlg_053_RatskullsHabenHausNiederGebrannt()
    elif (data().Familie_bleibt_stehen == True and data().Familie_wird_Eskortiert == True):
        initDlg_056_AnprechenWennStehenGeblieben()
    else:
        initDlg_055_AnsprechenWaehrendDerEskorte()

def hasWargHead(id):
    has_warg_head = False
    for i in range(1,6):
#       print "has_warg_head",str(i)
        head_id = QI_WARGHEAD[1]+"_"+str(i)
        if object.count_in_inventory(id, head_id):
            has_warg_head = True
#           print "[ found warg head (",head_id,") ]"
            return head_id
    if not has_warg_head:
#       print "[ found no warg head ]"
        return None

def checkQuestItemsGeneral():
    tents = 0
    waterdetectors = 0
    for pc in system.get_pcs():
        tents += object.count_in_inventory(pc,"SET_TENT_CANVAS")
        waterdetectors += object.count_in_inventory(pc,"SET_WATER_DETECTOR")

#   print "[ counted (",str(tents),"/4) tents and (",str(waterdetectors),"/4) water detectors ]"
    if (tents >= 4) and (waterdetectors >= 4):
        if system.get_qb_entry_state(data().QB_002)==UNCOMPLETE:
            system.set_qb_entry_state(data().QB_002,COMPLETE)

#def checkQuestDoctorGeneral():
#    if object.exists("FRANKLIN"):
#        if object.get_distance("FRANKLIN","GENERAL_LEWIS") <= 25.0:
#            data("zone_3.zone_3").franklin_folgt = False
#            object.set_attribute("FRANKLIN","zone_transfer",False)
#            system.set_qb_entry_state(data().QB_003,COMPLETE)

def checkQuestSchrottGeneral():
    if object.is_destroyed("MUSTAFA"):
        if system.get_qb_entry_state(data().QB_001)==UNCOMPLETE:
            system.set_qb_entry_state(data().QB_001,COMPLETE)

#[NM]Dialog 023: Spieler liest Steckbrief
def initDlg_023_Steckbriefe():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_023_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_023_Ende)
    dialog.start()

def onDlg_023_Ende():
    if system.get_qb_entry_state(data().QB_017) in [INACTIVE]:
        if not system.get_qb_entry_state(data().QB_008) in [UNCOMPLETE, COMPLETE]:
            system.set_qb_entry_state(data().QB_017, UNCOMPLETE)

#[NM]Dialog 020: Verwunderung über komische Leichen
#def initDlg_Schattenleiche():
def initDlg_020_VerwundertUeberLeiche():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_020_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[M]Dialog 036: Zachary bittet den Spieler darum seinen Ghettoblaster zu reparieren.
#def initDlg_Blaster_rep():
def initDlg_036_ZacharyBittetSpielerUmHilfe():
    onDlg_036_marker()
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_036_T_001', speaker="ZACHARY", follower='D_036_C_001')
    dialog.add_choice(text='D_036_C_001_1', follower='D_036_T_002')
    dialog.add_choice(text='D_036_C_001_2', follower='ENDDIALOG')
    dialog.add_text(text='D_036_T_002', speaker="ZACHARY", follower='D_036_C_002')
    dialog.add_choice(text='D_036_C_002_1', follower='D_036_T_003')
    dialog.add_choice(text='D_036_C_002_2', follower='ENDDIALOG')
    dialog.add_text(text='D_036_T_003', speaker="ZACHARY", follower='D_036_T_005')
    dialog.add_text(text='D_036_T_005', speaker="ALTER_EGO", follower='D_036_T_006')
    dialog.add_text(text='D_036_T_006', speaker="ZACHARY", follower='D_036_C_003')

    if data().C_003_2 == True:
        dialog.add_choice(text='D_036_C_003_1', follower='D_036_T_009')
        dialog.add_choice(text='D_036_C_003_3', follower='D_036_T_007', callback=Lambda('data().C_003_3 = True'))
    elif data().C_003_3 == True:
        dialog.add_choice(text='D_036_C_003_1', follower='D_036_T_009')
        dialog.add_choice(text='D_036_C_003_2', follower='D_036_T_008', callback=Lambda('data().C_003_2 = True'))
    elif (data().C_003_3 == True and data().C_003_2 == True):
        dialog.add_choice(text='D_036_C_003_1', follower='D_036_T_009')
    else:
        dialog.add_choice(text='D_036_C_003_1', follower='D_036_T_009')
        dialog.add_choice(text='D_036_C_003_2', follower='D_036_T_008', callback=Lambda('data().C_003_2 = True'))
        dialog.add_choice(text='D_036_C_003_3', follower='D_036_T_007', callback=Lambda('data().C_003_3 = True'))

    dialog.add_text(text='D_036_T_007', speaker="ZACHARY", follower='D_036_C_003')
    dialog.add_text(text='D_036_T_008', speaker="ZACHARY", follower='D_036_C_003')
    dialog.add_text(text='D_036_T_009', speaker="ZACHARY", follower='D_036_C_004')

    dialog.add_choice(text='D_036_C_004_1', follower='D_036_T_010')
    dialog.add_choice(text='D_036_C_004_2', follower='ENDDIALOG')
    dialog.add_text(text='D_036_T_010', speaker="ZACHARY", follower='ENDDIALOG', callback=onDlg_036_Ende)
    dialog.start(False)

def onDlg_036_marker():
    if not data().player_knows_zachary:
        data().player_knows_zachary = True
        system.add_minimap_marker(342.73, 664.17,"MM_008")#Zachary

def onDlg_036_Ende():
    object.create_item_in_inventory("ALTER_EGO", QI_BLASTER[0], id=QI_BLASTER[1])
    object.set_attribute(object=QI_BLASTER[1], attribute="generic_item", value=False)
    data().Ghettoblaster_Defekt=True
    system.set_qb_entry_state(data().QB_006,UNCOMPLETE)

#[NM]Dialog 037: Zachary will seinen Ghettoblaster wieder haben.
#def initDlg_Blaster_inrep():
def initDlg_037_ZacharyWillBlasterWiederHaben():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_037_T_001', speaker="ZACHARY", follower='D_037_T_002')
    dialog.add_text(text='D_037_T_002', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[NM/CS]Dialog 038: Der Spieler gib Zachary seinen Ghettoblaster wieder.
def initCutscene_038_SpielerGibtZacharyBlasterZurueck():
    system.start_cutscene()
    pos = object.get_position("ZACHARY")
    object.move_to("ALTER_EGO",pos[0]-1.0,pos[1]-0.75,"landscape",MT_SLOW)
    prohibit_activity("ZACHARY", False)
    object.turn_to_object("ALTER_EGO","ZACHARY",callback=["ONEND",onDlg_038_StartDialog])
    object.turn_to_object("ZACHARY","ALTER_EGO")

def onDlg_038_StartDialog(id):
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_038_T_001', speaker="ALTER_EGO", follower='D_038_T_002', callback=Lambda('set_conversation("ZACHARY","ALTER_EGO",mode="medium")'))
    dialog.add_text(text='D_038_T_002', speaker="ZACHARY", follower='D_038_T_003', callback=Lambda('set_conversation("ALTER_EGO","ZACHARY",mode="close")'))
    dialog.add_text(text='D_038_T_003', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_038_Ende)
    dialog.start()

def onDlg_038_Ende():
    end_cutscene(chars=["ALTER_EGO", "ZACHARY"])
    data().Zachary_dank2 = True
    if cs.group_as_obj("SET_REPAIRED_GHETTOBLASTER"):
        cs.tranf_item_party("SET_REPAIRED_GHETTOBLASTER","ZACHARY")
    object.create_item_in_inventory("ALTER_EGO", ["SET_COFFEE_BEANS"]*2)
    system.set_qb_entry_state(data().QB_006,COMPLETE)
    character.add_experience_party(data().Exp_Ghettoblaster)
    allow_activity("ZACHARY")

#[M]Dialog 039: Zachary bedankt sich für die Hilfe.
def initDlg_039_ZacharyBedanktSich():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_039_T_001', speaker="ZACHARY", follower='D_039_C_001')
    dialog.add_choice(text='D_039_C_001_1', order=1, follower='D_039_T_002')
    if not data().player_knows_nicholas and data().Poster_gelesen == True:
        dialog.add_choice(text='D_039_C_001_4', order=3, follower='D_039_T_004')
    if not data().player_knows_tizoc and system.get_qb_entry_state(data().QB_010) == UNCOMPLETE:
        dialog.add_choice(text='D_039_C_001_5', order=4, follower='D_039_T_005')   
    dialog.add_choice(text='D_039_C_001_3', order=5, follower='ENDDIALOG')
    dialog.add_text(text='D_039_T_002', speaker="ZACHARY", follower='D_039_C_001',\
        callback=Lambda('dialog.add_choice(text="D_039_C_001_2", order=2, follower="D_039_T_003")'))
    dialog.add_text(text='D_039_T_003', speaker="ZACHARY", follower='D_039_C_001',\
        callback=Lambda('globals.set_zone_enabled("sqzone_5", True)'))
    dialog.add_text(text='D_039_T_004', speaker="ZACHARY", follower='D_039_C_001',\
            callback=Lambda('onDlg_024_marker()'))
    dialog.add_text(text='D_039_T_005', speaker="ZACHARY", follower='D_039_C_001',\
            callback=Lambda('onDlg_021_marker()'))
#, Lambda(system.set_qb_entry_state(data().QB_018, UNCOMPLETE)))
    dialog.start(False)

#[M]Dialog 059: Der Spieler gib Zachary Solarzelle und Ghettoblaster.
def initDlg_059_Zellen_Blaster():
    prohibit_activity("ZACHARY")
    pos = object.get_position("ZACHARY")
    object.move_to("ALTER_EGO",pos[0]-1.0,pos[1]-0.75,"landscape",MT_SLOW)
    object.turn_to_object("ALTER_EGO","ZACHARY",callback=["ONEND",onDlg_059_StartDialog])

def onDlg_059_StartDialog(id):
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_059_T_001', speaker="ALTER_EGO", follower='D_059_T_002')
    dialog.add_text(text='D_059_T_002', speaker="ZACHARY")
    if object.get_attribute("ALTER_EGO", "speech") > 75:
        dialog.add_choice(text='D_059_C_001_1', speaker="ALTER_EGO", follower='D_059_T_003')
    else:
        dialog.add_choice(text='D_059_C_001_1', speaker="ALTER_EGO", follower='D_059_T_004')

    dialog.add_choice(text='D_059_C_001_2', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_059_Ende)
    dialog.add_choice(text='D_059_C_001_3', speaker="ALTER_EGO", follower='ENDDIALOG', callback=Lambda('object.create_item_in_inventory("ALTER_EGO", "SET_COFFEE_BEANS")', onDlg_059_Ende))

    dialog.add_text(text='D_059_T_004', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_059_Ende)
    dialog.start()

def onDlg_059_Ende():
    object.create_item_in_inventory("ALTER_EGO", "SET_COFFEE_BEANS")
    system.set_qb_entry_state(data().QB_006,COMPLETE)
    character.add_experience_party(data().Exp_Ghettoblaster)
    system.set_qb_entry_text(data().QB_006,id_reward="ZONE5_AIM_06_REWARD_MIN")
    allow_activity("ZACHARY")

#[NM]Dialog 040: Zachary ist sauer, dass der Spieler ihm nicht geholfen hat.
def initDlg_040_Zachary_ist_sauer():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_040_T_001', speaker="ZACHARY", follower='ENDDIALOG')
    dialog.start()

#[M]Dialog 024: Nicholas gibt Infos zu den Bestien.
def initDlg_024_NicholasGibtInfosZuBestien():
    dialog.init_dialog(type=DIALOGLARGE)
    if data().Heard_story_of_wargs:dialog.add_text(text='D_025_T_001', speaker="NICHOLAS")
    if not data().Speak_with_Nicolas:dialog.add_choice(text='D_024_C_001_1', follower='D_024_T_001')
    if data().Poster_gelesen == True:dialog.add_choice(text='D_024_C_001_2', follower='D_024_T_006')
    dialog.add_choice(text='D_024_C_001_3', follower='ENDDIALOG')
#
    dialog.add_text(text='D_024_T_001', speaker="NICHOLAS")
    dialog.add_text(text='D_024_T_002', speaker="NICHOLAS")
    dialog.add_text(text='D_024_T_003', speaker="NICHOLAS")
    if data().ratstod ==1:dialog.add_choice(text='D_073_C_002_1', follower='D_073_T_004')
    else:dialog.add_choice(text='D_024_C_002_1', follower='D_024_T_004')
    dialog.add_choice(text='D_024_C_002_2', follower='D_024_C_001')
#
    dialog.add_text(text='D_073_T_004', speaker="NICHOLAS")
    dialog.add_text(text='D_073_T_005', speaker="NICHOLAS", follower='D_024_T_018')
    dialog.add_text(text='D_024_T_004', speaker="NICHOLAS")
    dialog.add_text(text='D_024_T_005', speaker="ALTER_EGO")
#
    dialog.add_text(text='D_024_T_018', speaker="NICHOLAS")
    dialog.add_text(text='D_023_T_002', speaker="ALTER_EGO")
#
    dialog.add_text(text='D_024_T_006', speaker="NICHOLAS")
    dialog.add_text(text='D_024_T_007', speaker="ALTER_EGO")
    dialog.add_text(text='D_024_T_008', speaker="NICHOLAS")
    dialog.add_text(text='D_024_T_009', speaker="ALTER_EGO")
    dialog.add_text(text='D_024_T_010', speaker="NICHOLAS")
    dialog.add_text(text='D_024_T_011', speaker="NICHOLAS", follower='D_024_T_013')
    dialog.add_text(text='D_024_T_013', speaker="NICHOLAS")
    dialog.add_text(text='D_024_T_014', speaker="ALTER_EGO")
    dialog.add_text(text='D_024_T_015', speaker="NICHOLAS", follower='D_024_C_003')
    dialog.add_choice(text='D_024_C_003_1', follower='D_024_T_016')
    if data().Heard_story_of_wargs:dialog.add_choice(text='D_025_C_001', follower='D_024_T_016')
    dialog.add_choice(text='D_024_C_003_2', follower='D_024_T_017')
    dialog.add_text(text='D_024_T_016', speaker="NICHOLAS", follower='ENDDIALOG', callback=[
        Lambda('data().Heard_story_of_wargs=True'),
        Lambda('system.set_qb_entry_state(data().QB_008,UNCOMPLETE)'),
        Lambda('system.set_qb_entry_state(data().QB_017,INACTIVE)')])
    dialog.add_text(text='D_024_T_017', speaker="NICHOLAS", follower='ENDDIALOG', callback=[
        Lambda('data().Heard_story_of_wargs=True'),
        Lambda('data().SPIELER_JAGT_BESTIEN_NICHT = True')])
    onDlg_024_marker()
    dialog.start(False)

def onDlg_024_marker():
    if not data().player_knows_nicholas:
        data().player_knows_nicholas = True
        system.add_minimap_marker(278.04, 723.79,"MM_002")# Nicholas

#[M]Dialog 081: Spieler hat mehrere Wargköpfe dabei
def initDlg_081_SpielerHatMehrere():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_081_T_000', speaker="NICHOLAS")
    textid='D_081_T_00%d' % data().NumberOfHeads
    dialog.add_text(text=textid, speaker="ALTER_EGO")
    dialog.add_text(text='D_081_T_006', speaker="NICHOLAS")
    dialog.add_text(text='D_081_T_006a', speaker="NICHOLAS")
    liste=["SET_GAS_CANISTER","SET_MEAT_RAW","SET_WATER_SKIN","SET_GRAINS"]
    for i in range(4):
        textid='D_081_C_001_%d' %(i+1)
        if data().NumberOfHeads <= 1:
            dialog.add_choice(text=textid, follower='D_081_T_008', callback=[
                Lambda('object.create_item_in_inventory("ALTER_EGO", "%s")' %(liste[i])),
                NumberOfHeadsMinusOne], auto_deactivation='none')
        else:
            dialog.add_choice(text=textid, follower='ENDDIALOG', callback=[
                Lambda('object.create_item_in_inventory("ALTER_EGO", "%s")' %(liste[i])),
                NumberOfHeadsMinusOne,RestartDlg081], auto_deactivation='none')

    dialog.add_text(text='D_081_T_007', speaker="NICHOLAS", follower='D_081_T_006a')
    dialog.add_text(text='D_081_T_008', speaker="NICHOLAS")

    if data().Kopfe == 5:
        dialog.add_text(text='D_081_T_010', speaker="NICHOLAS")
        dialog.add_text(text='D_081_T_011', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_Sekte_aktivieren)
    else:
        dialog.add_text(text='D_081_T_009', speaker="ALTER_EGO", follower='ENDDIALOG')

    if data().FirstTimeDlg081 == False:
        dialog.jump_to('D_081_T_006a')
    dialog.start(False)

def NumberOfHeadsMinusOne():
    data().Kopfgeld_fuer_Schaedel += 1
    data().NumberOfHeads = data().NumberOfHeads - 1
    data().FirstTimeDlg081 = False

def RestartDlg081():
    initDlg_081_SpielerHatMehrere()

def onDlg_Sekte_aktivieren():
    if system.get_qb_entry_state(data().QB_008) == UNCOMPLETE:
        system.set_qb_entry_state(data().QB_008,COMPLETE)
    if ((not data().Sekte_Ausgerottet1) and (not data().Sekte_Ausgerottet)):
        system.set_qb_entry_state(data().QB_005,UNCOMPLETE)
    else:
        system.set_qb_entry_state(data().QB_005,COMPLETE)
    for id in NPC_SEKTE:
        object.set_active_state(id,ACTIVE)
    object.set_active_state("SECTARIAN",ACTIVE)
    object.set_active_state("OLIVIA",ACTIVE)
    if not data().player_knows_station_im_wald:
        data().player_knows_station_im_wald = True
        system.add_minimap_marker(741.21, 652.55,"MM_004")# centre d'levage
        system.notify_region_entered(region="REGION_RITUAL",partyid="UISPIELER")
        system.notify_region_entered(region="REGION_RITUAL_2",partyid="UISPIELER")
        system.notify_region_entered(region="REGION_OLIVIA_1",partyid="UISPIELER")


#[M]Dialog 027: Spieler hat das Ritual gesehen und klärt Nicholas auf.
def initDlg_027_SpielerKlaertNicolasUeberRitualAuf():
    data().nicholasende = 1
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_027_T_001', speaker="ALTER_EGO")
    dialog.add_text(text='D_027_T_002', speaker="NICHOLAS", follower='D_027_C_001')
    dialog.add_choice(text='D_027_C_001_1', follower='D_027_T_003')
    dialog.add_choice(text='D_027_C_001_2', follower='D_027_T_008')
    dialog.add_text(text='D_027_T_003', speaker="NICHOLAS")
    dialog.add_text(text='D_027_T_004', speaker="ALTER_EGO")
    dialog.add_text(text='D_027_T_005', speaker="NICHOLAS")
    dialog.add_text(text='D_027_T_006', speaker="ALTER_EGO")
    dialog.add_text(text='D_027_T_007', speaker="NICHOLAS", follower='ENDDIALOG')
    dialog.add_text(text='D_027_T_008', speaker="NICHOLAS")
    if cs.anyone_has_skill("speech", 80):
        dialog.add_text(text='D_027_T_009', speaker="ALTER_EGO", follower='D_027_T_011')
    else:
        dialog.add_text(text='D_027_T_009', speaker="ALTER_EGO", follower='D_027_T_010')
    dialog.add_text(text='D_027_T_010', speaker="NICHOLAS", follower='ENDDIALOG')
    dialog.add_text(text='D_027_T_011', speaker="NICHOLAS", follower='ENDDIALOG', callback=onDlg_027_Ende)
    dialog.start(False)

def onDlg_027_Ende():
    object.create_item_in_inventory("NICHOLAS", "SET_M249")
    object.transfer_item("NICHOLAS", "SET_M249", "ALTER_EGO")

#[NM]Dialog 017: Spieler verscheuchen
#def initDlg_Rowdies_Abwimmeln():
def initDlg_017_SpielerVerscheuchen():
    dialog.init_dialog(DIALOGSMALL)
    dialog.add_text(text='D_017_T_00' + str(random.randint(1, 4)), speaker="BRANDON", follower='ENDDIALOG')
    dialog.start()

#[M]: Spieler will Brandon und seine Kumpels umlegen.
#def initDlg_Rowdies_Kampf():
def initDlg_018_SpielerWillBrandonUndCoUmlegen():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_018_T_001', speaker="ALTER_EGO")
    dialog.add_text(text='D_018_T_002', speaker="BRANDON")
    dialog.add_choice(text='D_018_C_001', follower='ENDDIALOG', callback=onDlg_Rowdies_Kampf)
    dialog.add_choice(text='D_018_C_002', follower='ENDDIALOG', callback=Lambda('data().BrandonNeustart = True'))
    dialog.add_text(text='D_018_T_003', speaker="BRANDON", follower='D_018_C_001')

    if data().BrandonNeustart == True:
        dialog.jump_to('D_018_T_003')
    dialog.start(False)

def onDlg_Rowdies_Kampf():
    for perso in NPC_ROWDIES:
        object.cancel_commandos(perso)
        object.set_attribute(perso, attribute="foes", value= ["UISPIELER"])
        if not data().rowdies_bewaffnet:cs.degaine(perso)
    data().rowdies_bewaffnet = True


#[M]Dialog 004: Erste Begegnung mit Mustafa
#def initDlg_Mustafa():
def initDlg_004_ErsteBegegnungMitMustafa():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_004_T_001', speaker="MUSTAFA")
    dialog.add_text(text='D_004_T_002', speaker="ALTER_EGO", follower='D_004_C_001')

    dialog.add_choice(text='D_004_C_001_1', follower='D_004_T_007')
    dialog.add_choice(text='D_004_C_001_2', follower='D_004_T_004')
    dialog.add_choice(text='D_004_C_001_3', follower='D_004_T_003')

    dialog.add_text(text='D_004_T_003', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.add_text(text='D_004_T_004', speaker="ALTER_EGO", follower='D_004_C_002')

    dialog.add_choice(text='D_004_C_002_1', follower='D_004_T_006')
    dialog.add_choice(text='D_004_C_002_2', follower='D_004_T_005')

    dialog.add_text(text='D_004_T_005', speaker="MUSTAFA", follower='ENDDIALOG', callback=onDlg_Mustafa_Kampf)
    dialog.add_text(text='D_004_T_006', speaker="MUSTAFA", follower='ENDDIALOG', callback=
        Lambda('data().Mustafa_ansprechen = 1'))
    dialog.add_text(text='D_004_T_007', speaker="MUSTAFA", follower='D_004_C_003')

    dialog.add_choice(text='D_004_C_003_1', follower='D_004_T_009')
    dialog.add_choice(text='D_004_C_003_2', follower='D_004_T_008')

    dialog.add_text(text='D_004_T_008', speaker="MUSTAFA", follower='ENDDIALOG', callback=
        Lambda('data().Mustafa_ansprechen = 1'))
    dialog.add_text(text='D_004_T_009', speaker="MUSTAFA", follower='ENDDIALOG', callback=
        Lambda('data().Mustafa_ansprechen = 1'))

    dialog.start()

#[NM]Dialog 041: Nix anfassen!
#def initDlg_erstes_betreten():
def initDlg_041_NixAnfassen():
    dialog.init_dialog(DIALOGSMALL)
    dialog.add_text(text='D_041_T_001', speaker="MUSTAFA", follower='ENDDIALOG', callback=
        Lambda('data().erstes_betreten = True'))
    dialog.start()

def onDlg_Mustafa_Kampf():
    if not data().mustafas_bewaffnet:
        prohibit_activity("ALI")
        prohibit_activity("MEHMET")
        data().mustafas_bewaffnet = True
    for id in ["MUSTAFA","ALI","MEHMET"]:
        object.set_attribute(id, attribute="foes", value=["UISPIELER"])
        cs.degaine(id)

#[NM]Dialog 010: Der Spieler stellt fest, dass durch das Ableben Mustafas der Schottplatz jetzt der Regierung zur Verfügung steht
def initDlg_010_Mustafa_ist_killed():
    dialog.init_dialog(DIALOGSMALL)
    dialog.add_text(text='D_010_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_010_Ende)
    dialog.start()

def onDlg_010_Ende():
    if ((system.get_qb_entry_state(data().QB_001) == INACTIVE and 
        system.get_qb_entry_state(data().QB_004) == UNCOMPLETE) or
        (system.get_qb_entry_state(data().QB_001) == UNCOMPLETE)):
        system.set_qb_entry_state(data().QB_001, COMPLETE)
        system.set_qb_entry_state(data().QB_004, INACTIVE)

#[NM]Dialog 005: Hau ab…
def initDlg_005_Hau_ab():
    dialog.init_dialog(DIALOGSMALL)
    dialog.add_text(text='D_005_T_001', speaker="MUSTAFA", follower='ENDDIALOG')
    dialog.start()

#[M]Dialog 006: Spieler fordert Mustafa im Namen der Regierung auf sein Gelände zur Verfügung zu stellen
def initDlg_006_Aufforderung():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_006_T_001', speaker="MUSTAFA", follower='D_006_C_001')
    dialog.add_choice(text='D_006_C_001_1', follower='D_006_T_005')
    dialog.add_choice(text='D_006_C_001_2', follower='D_006_T_002')
    dialog.add_text(text='D_006_T_002', speaker="MUSTAFA", follower='ENDDIALOG', callback=onDlg_Mustafa_Kampf)
    dialog.add_text(text='D_006_T_005', speaker="MUSTAFA", follower='D_006_C_002')
    if object.get_attribute("ALTER_EGO", "speech") > 80:
        dialog.add_choice(text='D_006_C_002_1', follower='D_006_T_013')
    else:
        dialog.add_choice(text='D_006_C_002_1', follower='D_006_T_006')
    dialog.add_choice(text='D_006_C_002_2', follower='D_006_T_002')
    dialog.add_text(text='D_006_T_006', speaker="MUSTAFA", follower='D_006_T_007')
    dialog.add_text(text='D_006_T_007', speaker="ALTER_EGO", follower='D_006_T_010')
    dialog.add_text(text='D_006_T_010', speaker="MUSTAFA", follower='D_006_C_003')
    dialog.add_choice(text='D_006_C_003_1', follower='ENDDIALOG', callback=onDlg_006_Ende)
    if object.is_destroyed("BRANDON"):
        dialog.add_choice(text='D_006_C_003_2', follower='D_006_T_012')
    dialog.add_choice(text='D_006_C_003_3', follower='D_006_T_011')
    dialog.add_text(text='D_006_T_011', speaker="MUSTAFA", follower='ENDDIALOG', callback=onDlg_Mustafa_Kampf)
    dialog.add_text(text='D_006_T_012', speaker="MUSTAFA", follower='D_006_T_004')
    dialog.add_text(text='D_006_T_004', speaker="ALTER_EGO", follower='D_006_T_009')
    dialog.add_text(text='D_006_T_009', speaker="MUSTAFA", follower='ENDDIALOG', callback=Lambda('system.set_qb_entry_state(data().QB_001,COMPLETE)'))
    dialog.add_text(text='D_006_T_013', speaker="MUSTAFA")
    dialog.add_text(text='D_006_T_014', speaker="ALTER_EGO")
    dialog.add_text(text='D_006_T_015', speaker="MUSTAFA", follower='ENDDIALOG', callback=Lambda('system.set_qb_entry_state(data().QB_001,COMPLETE)'))
    dialog.start(False)

def onDlg_006_Ende():
    clock = system.get_mission_time().get_day_time()
    if(clock < time("05:30:00") or clock > time("21:00:00")):
        system.set_mission_time("08:00:00")
    system.set_qb_entry_state(data().QB_001,INACTIVE)
    data().Ziel4 = True
    if data().rowdies_killed==4:
        system.set_qb_entry_state(data().QB_004,COMPLETE)
    else:
        system.set_qb_entry_state(data().QB_004,UNCOMPLETE)

#[NM]Dialog 007: Spieler auf aktive Quest aufmerksam machen
def initDlg_007_aufmerksam_machen():
    dialog.init_dialog(DIALOGSMALL)
    dialog.add_text(text='D_007_T_001', speaker="MUSTAFA", follower='ENDDIALOG')
    dialog.start()

#[NM/CS]Dialog 008: Der Spieler berichtet, wie er die Rowdies aufgemischt hat
def initCutscene_008_Rowdies_aufgemischt():
    start_cutscene()
    pos = object.get_position("MUSTAFA")
    object.move_to("ALTER_EGO",pos[0]+1.0,pos[1]+1.5,"landscape",MT_SLOW)
    object.turn_to_object("ALTER_EGO","MUSTAFA",callback=["ONEND",onDlg_008_StartDialog])

def onDlg_008_StartDialog(id):
    object.turn_to_object("MUSTAFA","ALTER_EGO")
    dialog.init_dialog(DIALOGSMALL)
    dialog.add_text(text='D_008_T_001', speaker="MUSTAFA", callback=Lambda('set_conversation("ALTER_EGO","MUSTAFA",mode="medium")'))
    dialog.add_text(text='D_008_T_002', speaker="ALTER_EGO", callback=Lambda('set_conversation("MUSTAFA","ALTER_EGO",mode="close")'))
    dialog.add_text(text='D_008_T_003', speaker="MUSTAFA", callback=Lambda('set_conversation("ALTER_EGO","MUSTAFA",mode="close")'))
    dialog.add_text(text='D_008_T_004', speaker="ALTER_EGO", callback=Lambda('set_conversation("MUSTAFA","ALTER_EGO",mode="close")'))
    dialog.add_text(text='D_008_T_005', speaker="MUSTAFA", follower='ENDDIALOG', callback=onDlg_008_Ende)
    dialog.start()

def onDlg_008_Ende():
    end_cutscene(chars=["MUSTAFA","ALTER_EGO"])
    data().geloest1 = 1
    system.set_qb_entry_state(data().QB_001,COMPLETE)
    system.set_qb_entry_state(data().QB_004,INACTIVE)

#[NM]Dialog 009: Danke für die Hilfe, Kurs findet statt.
def initDlg_009_Rowdies_aufgemischt2():
    dialog.init_dialog(DIALOGSMALL)
    dialog.add_text(text='D_009_T_001', speaker="MUSTAFA", follower='ENDDIALOG')
    dialog.start()

#[NM]Dialog 042: Spieler will irgendwas auf dem Schrottplatz nehmen
def initDlg_042_Spieler_Aufheben1():
    dialog.init_dialog(DIALOGSMALL)
    dialog.add_text(text='D_042_T_001', speaker="MUSTAFA", follower='ENDDIALOG', callback=
        Lambda('data().SPIELER_VORGEWARNT = True'))
    dialog.start()

#[NM]Dialog 043: Mustafa greift Spieler an
def initDlg_043_Spieler_Aufheben2():
    dialog.init_dialog(DIALOGSMALL)
    dialog.add_text(text='D_043_T_001', speaker="MUSTAFA", follower='ENDDIALOG', callback=onDlg_Mustafa_Kampf)
    dialog.start()

#[M]Dialog 053: Die Ratskulls haben Lindas und Ians Haus abgebrannt.
#def initDlg_Family():
def initDlg_053_RatskullsHabenHausNiederGebrannt():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_053_T_001', speaker="ALTER_EGO")
    dialog.add_text(text='D_053_T_002', speaker="IAN")
    dialog.add_text(text='D_053_T_003', speaker="ALTER_EGO")

    if was_zone_entered("zone_3.zone_3"):
        if data("zone_3.zone_3").VonDonaldInfoWhg == True:
            dialog.add_text(text='D_053_T_004', speaker="IAN", follower='D_053_T_005')
        else:
            dialog.add_text(text='D_053_T_004', speaker="IAN", follower='D_053_T_016')
    else:
        dialog.add_text(text='D_053_T_004', speaker="IAN", follower='D_053_T_016')

    dialog.add_text(text='D_053_T_005', speaker="ALTER_EGO")
    dialog.add_text(text='D_053_T_008', speaker="IAN")
    dialog.add_text(text='D_053_T_009', speaker="ALTER_EGO")
    dialog.add_text(text='D_053_T_010', speaker="IAN", follower='D_053_C_001')

    dialog.add_choice(text='D_053_C_001_1', follower='D_053_T_012')
    dialog.add_choice(text='D_053_C_001_2', follower='ENDDIALOG', callback=
        [Lambda('system.set_qb_entry_state(data().QB_011,UNCOMPLETE)'),zone_5.Familie_in_Zone3_bringen])#ende1
    dialog.add_choice(text='D_053_C_001_3', follower='D_053_T_015')

    dialog.add_text(text='D_053_T_012', speaker="IAN", follower='D_053_C_002')

    dialog.add_choice(text='D_053_C_002_1', follower='ENDDIALOG', callback=
        [Lambda('system.set_qb_entry_state(data().QB_011,UNCOMPLETE)'),zone_5.Familie_in_Zone3_bringen])#ende1
    dialog.add_choice(text='D_053_C_002_2', follower='D_053_T_015')

    dialog.add_text(text='D_053_T_015', speaker="IAN", follower='ENDDIALOG', callback=
        onDlg_Familie_geht_alleine)# ende 2

    dialog.add_text(text='D_053_T_016', speaker="ALTER_EGO")
    dialog.add_text(text='D_053_T_017', speaker="IAN")
    dialog.add_text(text='D_053_T_018', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start(False)

def onDlg_Familie_geht_alleine():
    character.set_approachable_state("IAN",NOTAPPROACHABLE)
    character.set_approachable_state("PAULA",NOTAPPROACHABLE)
    character.set_approachable_state("LINDA",NOTAPPROACHABLE)
    system.set_qb_entry_state(data().QB_011,IMPOSSIBLE)
    object.move_to("IAN", 326,713, "landscape",MT_SLOW,["ONEND",D1])
    object.move_to("PAULA", 326,712, "landscape",MT_SLOW,["ONEND",D1])
    object.move_to("LINDA", 326,714, "landscape",MT_SLOW,["ONEND",D1])

def D1(id):
    if id == "IAN":
        object.move_to("IAN", 322,933, "landscape",MT_SLOW,["ONEND",Lambda('object.set_active_state("IAN",INACTIVE)')])
    elif id == "PAULA":
        object.move_to("PAULA", 323,816, "landscape",MT_FAST,["ONEND",D2])
    else:
        object.move_to("LINDA", 322,933, "landscape",MT_SLOW,["ONEND",Lambda('object.set_active_state("LINDA",INACTIVE)')])

def D2(id):
    object.move_to("PAULA", 322,933, "landscape",MT_SLOW,["ONEND",Lambda('object.set_active_state("PAULA",INACTIVE)')])

#[M]Dialog 055: Ansprechen von Ian während der Eskorte.
#def initDlg_Ansprechen_bei_Eskorte():
def initDlg_055_AnsprechenWaehrendDerEskorte():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_choice(text='D_055_C_001_1', follower='D_055_T_001')
    dialog.add_choice(text='D_055_C_001_2', follower='D_055_T_002')
    dialog.add_choice(text='D_055_C_001_3', follower='ENDDIALOG')
    dialog.add_text(text='D_055_T_001', speaker="IAN", follower='ENDDIALOG', callback=
        zone_5.Familie_stehen_lassen)
    dialog.add_text(text='D_055_T_002', speaker="IAN", follower='ENDDIALOG', callback=
        [Lambda('data().Familie_bleibt_stehen = True'),
        onDlg_Familie_geht_alleine,
        Lambda('system.set_qb_entry_state(data().QB_011, IMPOSSIBLE)')])
    dialog.start()

#[M]Dialog 056: Ansprechen, wenn die Familie stehen gelassen wurde
#def initDlg_Es_geht_weiter():
def initDlg_056_AnprechenWennStehenGeblieben():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_056_T_001', speaker="IAN", follower='D_056_C_001')
    dialog.add_choice(text='D_056_C_001_1', follower='ENDDIALOG',callback=
        [Lambda('data().Familie_bleibt_stehen = False'),zone_5.Familie_in_Zone3_bringen])
    dialog.add_choice(text='D_056_C_001_2', follower='D_056_T_002')
    dialog.add_text(text='D_056_T_002', speaker="IAN", follower='ENDDIALOG')
    dialog.start()

#[NM]Dialog 050: Spieler versucht mit Tizoc zu sprechen.
def initDlg_050_SpielerVersuchtTizocZuSprechen():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_050_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    onDlg_021_marker()
    dialog.start()

#[NM/CS]Dialog 021: Der Spieler sagt dem Doktor die Zukunft voraus...
def initCutscene_021_SpielerSagtZukunftVoraus():
    system.start_cutscene()
    set_camera(CAMVIEW_TIZOC)
    init_cutscene("ALTER_EGO", "TIZOC", dx=1.0, dy=1.5)
    object.turn_to_object("ALTER_EGO","TIZOC",callback=["ONEND",onDlg_021_StartDialog])


def onDlg_021_StartDialog(id):
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_021_T_001', speaker="ALTER_EGO", callback=Lambda('set_conversation("TIZOC","ALTER_EGO",mode="medium")'))
    dialog.add_text(text='D_021_T_002', speaker="TIZOC", callback=Lambda('set_conversation("ALTER_EGO","TIZOC",mode="medium")'))
    dialog.add_text(text='D_021_T_003', speaker="ALTER_EGO", callback=Lambda('set_conversation("TIZOC","ALTER_EGO",mode="close")'))
    dialog.add_text(text='D_021_T_004', speaker="TIZOC", callback=Lambda('set_conversation("ALTER_EGO","TIZOC",mode="close")'))
    dialog.add_text(text='D_021_T_005', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_Tizoc_Kampf)
    onDlg_021_marker()
    dialog.start()

def onDlg_021_marker():
    if not data().player_knows_tizoc:
        data().player_knows_tizoc = True
        system.add_minimap_marker(675.89, 501.01,"MM_005")# Wissender des Waldes = Initi de la foret

def onDlg_Tizoc_Kampf():
    if system.get_qb_entry_state(data().QB_010) == UNCOMPLETE:
        system.set_qb_entry_state(data().QB_010,COMPLETE)

    end_cutscene(chars=["ALTER_EGO", "TIZOC"])
    object.cancel_commandos("TIZOC")
    object.set_attribute( "TIZOC", attribute="foes", value=["UISPIELER"])
    cs.degaine( "TIZOC")

#[M]Dialog 076: Der Spieler liest in Tizocs Tagebuch.
def initDlg_076_Tagebuch():
    if system.get_qb_entry_state(data().QB_010) == UNCOMPLETE:
        system.set_qb_entry_state(data().QB_010,COMPLETE)

    if not object.exists(QI_TAGEBUCH[1]):
        return True
    dialog.init_dialog(type=DIALOGLARGE)
    object.set_attribute(QI_TAGEBUCH[1], "dialog_face", "tizoc.png")
    dialog.add_text(text='D_076_T_001', speaker="ALTER_EGO")
    dialog.add_text(text='D_076_T_002', speaker=QI_TAGEBUCH[1])
    dialog.add_text(text='D_076_T_003', speaker="ALTER_EGO")
    dialog.add_text(text='D_076_T_004', speaker="ALTER_EGO")
    dialog.add_text(text='D_076_T_005', speaker="ALTER_EGO")
    dialog.add_text(text='D_076_T_006', speaker="ALTER_EGO")
    dialog.add_text(text='D_076_T_007', speaker=QI_TAGEBUCH[1])
    dialog.add_text(text='D_076_T_008', speaker="ALTER_EGO", follower='ENDDIALOG',callback=onDlg_076_Ende)
    dialog.start()

def onDlg_076_Ende():
    object.set_attribute("TIZOC","hitpoints",0)
    if (system.get_qb_entry_state(data().QB_005) == UNCOMPLETE):
        system.set_qb_entry_state(data().QB_005,COMPLETE)

#[NM]Dialog 035: Spieler stellt fest, dass hier wohl Tiere frei gelassen wurden.
#def initDlg_35_Kaefige_untersuchen():
def initDlg_035_SpielerUntersuchtKaefige():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_035_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[M]Dialog 001: General Lewis beauftragt/bittet den Spieler die Kurse möglich zu machen, Variante vor der Ratskulls-Zerschlagung
def initDlg_001_GeneralBrauchtSpielerRatskullsNichtBesiegt():
    dialog.init_dialog(type=DIALOGLARGE)
    if not data().d_001_restart_c_001:
        dialog.add_text(text='D_001_T_018', speaker="GENERAL_LEWIS", follower='D_001_C_001')
    dialog.add_choice(text='D_001_C_001_1', follower='D_001_T_003')
    dialog.add_choice(text='D_001_C_001_2', follower='D_001_T_001')
    dialog.add_choice(text='D_001_C_001_3', follower='ENDDIALOG', callback=onDlg_001_Ende1)
    dialog.add_text(text='D_001_T_001', speaker="GENERAL_LEWIS", follower='D_001_C_002')
    dialog.add_choice(text='D_001_C_002_1', follower='D_001_T_003')
    if data().d_001_c_002_3_sichtbar == 0:
        dialog.add_choice(text='D_001_C_002_2', follower='D_001_T_002', callback=Lambda('data().d_001_c_002_3_sichtbar = 1'))
    else:
        dialog.add_choice(text='D_001_C_002_3', follower='D_001_T_002')
    dialog.add_text(text='D_001_T_002', speaker="GENERAL_LEWIS", follower='ENDDIALOG', callback=onDlg_001_Ende1)
    dialog.add_text(text='D_001_T_003', speaker="GENERAL_LEWIS")
    dialog.add_text(text='D_001_T_004', speaker="ALTER_EGO")
    dialog.add_text(text='D_001_T_005', speaker="GENERAL_LEWIS")
    dialog.add_text(text='D_001_T_006', speaker="GENERAL_LEWIS", follower='D_001_C_003')
    dialog.add_choice(text='D_001_C_003_1', follower='D_001_T_011')
    dialog.add_choice(text='D_001_C_003_2', follower='D_001_T_009')
    dialog.add_choice(text='D_001_C_003_3', follower='ENDDIALOG', callback=onDlg_001_060_Ende3)
    dialog.add_text(text='D_001_T_009', speaker="GENERAL_LEWIS", follower='D_001_C_004')
    dialog.add_text(text='D_001_T_011', speaker="GENERAL_LEWIS", follower='D_001_C_004')
    dialog.add_choice(text='D_001_C_004_1', follower='D_001_T_014')
    dialog.add_choice(text='D_001_C_004_2', follower='D_001_T_013')
    dialog.add_choice(text='D_001_C_004_3', follower='ENDDIALOG', callback=onDlg_001_060_Ende3)
    dialog.add_text(text='D_001_T_013', speaker="GENERAL_LEWIS", follower='D_001_C_004')
    dialog.add_text(text='D_001_T_014', speaker="GENERAL_LEWIS")
    dialog.add_text(text='D_001_T_015', speaker="ALTER_EGO")
    dialog.add_text(text='D_001_T_016', speaker="GENERAL_LEWIS")
    dialog.add_text(text='D_001_T_017', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_001_060_Ende4)
    onDlg_001_marker()
    dialog.start()

def onDlg_001_marker():
    if not data().player_knows_glewis:
            data().player_knows_glewis = True
            system.add_minimap_marker(239.40, 777.47,"MM_003")# General Lewis

def onDlg_001_Ende1():
    data().d_001_restart_c_001 = True

def onDlg_001_060_Ende3():
    data().d_045_als_naechster = 1

def onDlg_001_060_Ende4():
    if not data().player_knows_schrottplatz:
        data().player_knows_schrottplatz = True
        system.add_minimap_marker(235.30, 634.58,"MM_006")# Umbertos Schrottplatz
    if not object.is_destroyed("MUSTAFA"):
        system.set_qb_entry_state(data().QB_001,UNCOMPLETE)
    else:
        system.set_qb_entry_state(data().QB_001,COMPLETE)
    system.set_qb_entry_state(data().QB_002,UNCOMPLETE)
    system.set_qb_entry_state(data().QB_003,UNCOMPLETE)
#MOSEL
#[M]Dialog 060: General Lewis beauftragt/bittet den Spieler die Kurse möglich zu machen, Variante nach der Ratskulls-Zerschlagung
def initDlg_060_GeneralBrauchtSpielerRatskullsBesiegt():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_060_T_018', speaker="GENERAL_LEWIS")
    dialog.add_text(text='D_060_T_019', speaker="GENERAL_LEWIS")
    dialog.add_text(text='D_060_T_020', speaker="ALTER_EGO", follower='D_060_T_005')
    dialog.add_text(text='D_060_T_005', speaker="GENERAL_LEWIS")
    dialog.add_text(text='D_060_T_006', speaker="GENERAL_LEWIS", follower='D_060_C_003')
    dialog.add_choice(text='D_060_C_003_1', follower='D_060_T_011')
    dialog.add_choice(text='D_060_C_003_2', follower='D_060_T_009')
    dialog.add_choice(text='D_060_C_003_3', follower='ENDDIALOG', callback=onDlg_001_060_Ende3)
    dialog.add_text(text='D_060_T_009', speaker="GENERAL_LEWIS", follower='D_060_C_004')
    dialog.add_text(text='D_060_T_011', speaker="GENERAL_LEWIS", follower='D_060_C_004')
    dialog.add_choice(text='D_060_C_004_1', follower='D_060_T_014')

    if data().D_060_C_004_2:
        dialog.add_choice(text='D_060_C_004_2', follower='D_060_T_013')

    dialog.add_choice(text='D_060_C_004_3', follower='ENDDIALOG', callback=onDlg_001_060_Ende3)
    dialog.add_text(text='D_060_T_013', speaker="GENERAL_LEWIS", follower='D_060_C_004', callback=Lambda('data().D_060_C_004_2 = False'))
    dialog.add_text(text='D_060_T_014', speaker="GENERAL_LEWIS", follower='D_060_T_016')
    dialog.add_text(text='D_060_T_016', speaker="GENERAL_LEWIS", follower='D_060_T_017')
    dialog.add_text(text='D_060_T_017', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_001_060_Ende4)
    onDlg_001_marker()
    dialog.start()

#[NM]Dialog 045: General Lewis ärgert sich, dass der Spieler ihm nicht geholfen hat
#def initDlg_Wesley_D_045():
def initDlg_045_GeneralAergertSichUeberSpieler():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_045_T_001', speaker="GENERAL_LEWIS", follower='ENDDIALOG')
    dialog.start()

#[NM/CS]Dialog 003: General Lewis bedankt sich beim Spieler für den Schrott
def initCutscene_003_GeneralBedanktSichFuerSchrott():
    start_cutscene()
#set_camera(CAMVIEW_GENERAL)
    init_cutscene("ALTER_EGO", "GENERAL_LEWIS", dx=-1.3, dy=-1.0)
    object.turn_to_object("ALTER_EGO","GENERAL_LEWIS",callback=["ONEND",onDlg_003_StartDialog])

def onDlg_003_StartDialog(id):
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_003_T_001', speaker="ALTER_EGO", follower='D_003_T_002',callback=Lambda('set_conversation("GENERAL_LEWIS","ALTER_EGO",mode="far")'))
    if data().Mustafa_Tod == True :
        dialog.add_text(text='D_003_T_002', speaker="GENERAL_LEWIS", follower='D_003_T_003',callback=Lambda('set_conversation("ALTER_EGO","GENERAL_LEWIS",mode="medium")'))
    else:
        dialog.add_text(text='D_003_T_002', speaker="GENERAL_LEWIS", follower='D_003_T_007',callback=Lambda('set_conversation("ALTER_EGO","GENERAL_LEWIS",mode="medium")'))
    dialog.add_text(text='D_003_T_003', speaker="ALTER_EGO",callback=Lambda('set_conversation("GENERAL_LEWIS","ALTER_EGO",mode="close")'))
    dialog.add_text(text='D_003_T_004', speaker="GENERAL_LEWIS",callback=Lambda('set_conversation("ALTER_EGO","GENERAL_LEWIS",mode="close")'))
    dialog.add_text(text='D_003_T_005', speaker="ALTER_EGO",callback=Lambda('set_conversation("GENERAL_LEWIS","ALTER_EGO",mode="close")'))
    dialog.add_text(text='D_003_T_006', speaker="GENERAL_LEWIS",callback=Lambda('set_conversation("ALTER_EGO","GENERAL_LEWIS",mode="close")'))
    dialog.add_text(text='D_003_T_007', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_003_Ende1)
    dialog.start(False)

def onDlg_003_Ende1():
    character.add_experience_party(250)
    end_cutscene()

    data().Wesley_Ziel1 = True
    if (data().Wesley_Ziel2 and data().Wesley_Ziel3):
        initDlg_016_GeneralBedanktSichFurArbeit()

#[M]Dialog 011: General Lewis bedankt sich beim Spieler für die Zelte und Wasserdetektoren
#def initDlg_Zelte_Wasser():
def initDlg_011_GeneralBedanktSichFuerZelteUndWasser():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_011_T_001', speaker="ALTER_EGO")
    dialog.add_text(text='D_011_T_002', speaker="GENERAL_LEWIS", callback=onDlg_011_PlayerMoveToGeneral)## player move general
    dialog.add_text(text='D_011_T_003', speaker="GENERAL_LEWIS", follower='D_011_C_001')
    dialog.add_choice(text='D_011_C_001_1', follower='D_011_T_004')
    dialog.add_choice(text='D_011_C_001_2', follower='D_011_T_005')
    dialog.add_text(text='D_011_T_004', speaker="GENERAL_LEWIS", follower='ENDDIALOG', callback=onDlg_011_Ende1)
    dialog.add_text(text='D_011_T_005', speaker="GENERAL_LEWIS", follower='ENDDIALOG', callback=onDlg_011_Ende2)
    dialog.start()

def onDlg_011_Ende1():
    character.add_experience_party(150)
    data().Wesley_Ziel2 = True
    if (data().Wesley_Ziel1 and data().Wesley_Ziel3):
        initDlg_016_GeneralBedanktSichFurArbeit()
#   onDlg_011_StartRecruitComment

def onDlg_011_Ende2():
    character.add_experience_party(150)
    data().Wesley_Ziel2 = True
    onDlg_Kiste_freischalten()
    if (data().Wesley_Ziel1 and data().Wesley_Ziel3):
        initDlg_016_GeneralBedanktSichFurArbeit()

def onDlg_011_PlayerMoveToGeneral():
    for id in system.get_pcs():
        if (object.count_in_inventory(id,"SET_WATER_DETECTOR") or 
            object.count_in_inventory(id,"SET_TENT_CANVAS")):
            x,y = object.get_x("GENERAL_LEWIS"),object.get_y("GENERAL_LEWIS")
            object.move_to(id,x+random.randint(1,2),y-random.randint(0,2),"landscape",MT_SLOW,callback=["ONEND", onDlg_011_PutItemDown])

def onDlg_011_PutItemDown(id):
    count = object.count_in_inventory(id,"SET_WATER_DETECTOR")
    while (count and (data().detectors_lay_down < 4)):
        data().detectors_lay_down += 1
        count -= 1
        object.transfer_item(id,"SET_WATER_DETECTOR","GENERAL_LEWIS")

    count = object.count_in_inventory(id,"SET_TENT_CANVAS")
    while (count and (data().tents_lay_down < 4)):
        data().tents_lay_down += 1
        count -= 1
        object.transfer_item(id,"SET_TENT_CANVAS","GENERAL_LEWIS")


#[NM/CS]Dialog 012: General Lewis bedankt sich beim Spieler für den Doc
#def initDlg_DOC_Franklin():
def initCutscene_012_GeneralBedanktSichFuerDenDoc():
    start_cutscene()
    pos = object.get_position("GENERAL_LEWIS")
#set_camera(CAMVIEW_GENERAL)
    init_cutscene("ALTER_EGO", "GENERAL_LEWIS", dx=-1.4, dy=-1.4)
    object.move_to("FRANKLIN", 237.22, 777.62,"landscape",MT_SLOW)#pos[0]+1.4,pos[1]-1.4
    object.turn_to_object("ALTER_EGO","GENERAL_LEWIS", callback=["ONEND",onDlg_012_StartDialog])
    object.turn_to_object("FRANKLIN","GENERAL_LEWIS")

def onDlg_012_StartDialog(id):
    set_conversation("GENERAL_LEWIS","ALTER_EGO",mode="medium_deep")
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_012_T_001', speaker="GENERAL_LEWIS", callback=Lambda('set_conversation("ALTER_EGO","GENERAL_LEWIS",mode="medium_deep")'))
    dialog.add_text(text='D_012_T_002', speaker="ALTER_EGO", callback=onDlg_012_DocMoveToGeneral)
    dialog.add_text(text='D_012_T_003', speaker="FRANKLIN", callback=Lambda('set_conversation("GENERAL_LEWIS","FRANKLIN",mode="close_deep")'))
    dialog.add_text(text='D_012_T_004', speaker="GENERAL_LEWIS", callback=Lambda('set_conversation("FRANKLIN","GENERAL_LEWIS",mode="close_deep")'))
    dialog.add_text(text='D_012_T_005', speaker="FRANKLIN", callback=onDlg_012_DocMoveAway)
    dialog.add_text(text='D_012_T_006', speaker="GENERAL_LEWIS", follower='ENDDIALOG', callback=onDlg_012_Ende1)
    dialog.start()

def onDlg_012_Ende1():
    character.add_experience_party(200)
    end_cutscene(chars=["ALTER_EGO", "GENERAL_LEWIS"])
    data().Wesley_Ziel3 = True
    if (data().Wesley_Ziel1 and data().Wesley_Ziel2):
        initDlg_016_GeneralBedanktSichFurArbeit()
    system.set_qb_entry_state(data().QB_013,INACTIVE)
    system.set_qb_entry_state(data().QB_003,COMPLETE)

def onDlg_012_DocMoveAway():
    set_conversation("GENERAL_LEWIS","ALTER_EGO",mode="close_deep", first_obj='ALTER_EGO')
## todo: ta für den doc starten
    object.cancel_commandos("FRANKLIN")

def onDlg_012_DocMoveToGeneral():
    set_conversation("FRANKLIN","GENERAL_LEWIS",mode="medium_deep",first_obj='GENERAL_LEWIS')
    object.cancel_commandos("ALTER_EGO")

#[M]Dialog 016: General Lewis bedankt sich beim Spieler dafür, dass er die Kurse möglich gemacht hat.
#def initDlg_016_Wesley_dankt():
def initDlg_016_GeneralBedanktSichFurArbeit():
    dialog.init_dialog(type=DIALOGLARGE)
    if data().ratstod == 1:
        dialog.add_text(text='D_016_T_001', speaker="GENERAL_LEWIS", follower='D_016_T_003')
    else:
        dialog.add_text(text='D_016_T_001', speaker="GENERAL_LEWIS", follower='D_016_T_002')
    dialog.add_text(text='D_016_T_002', speaker="GENERAL_LEWIS", follower='D_016_T_005')
    dialog.add_text(text='D_016_T_003', speaker="GENERAL_LEWIS", follower='D_016_T_004')
    dialog.add_text(text='D_016_T_004', speaker="ALTER_EGO", follower='ENDDIALOG')#ä, callback=onDlg_016_Ende1)
    dialog.add_text(text='D_016_T_005', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_016_Ende1)
    dialog.start(False)

def onDlg_016_Ende1():
    character.add_experience_party(300)
    for id in NPC_RECRUITS:
        object.set_active_state(id, 1)
        prohibit_activity(id)
        object.move_to_object(id, "GENERAL_LEWIS", speed=MT_FAST)
    system.notify_timer(data().Timer_GeneralBefehltRekruten,random.randint(1,2)*data().Timervalue_GeneralBefehltRekruten)

#[NM]Dialog 013: General Lewis fordert den Spieler auf sich um die Aufträge zu kümmern
#def initDlg_Um_Kurse_kuemmern():
def initDlg_013_GeneralFordertSpielerAufZuArbeiten():
    dialog.init_dialog(DIALOGSMALL)
    dialog.add_text(text='D_013_T_001', speaker="GENERAL_LEWIS")
    dialog.add_text(text='D_013_T_002', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[NM]Dialog 002: General Lewis gibt den Rekruten Befehle
def initDlg_002_GeneraGibtRekrutenBefehle():
    dialog.init_dialog(DIALOGSMALL)
    dialog.add_text(text='D_002_T_00' + str(random.randint(1, 5)), speaker="GENERAL_LEWIS", follower='ENDDIALOG',callback=onDlg_002_Ende)
    dialog.start()

def onDlg_002_Ende():
    system.notify_timer(data().Timer_GeneralBefehltRekruten,random.randint(1,2)*data().Timervalue_GeneralBefehltRekruten)

#[NM]Dialog 014: General Lewis fordert den Spieler auf, die Ratskulls zu vernichten
#def initDlg_014_rats_toeten():
def initDlg_014_GeneralFordertSpielerAufRatskullsZuToeten():
    dialog.init_dialog(DIALOGSMALL)
    dialog.add_text(text='D_014_T_001', speaker="GENERAL_LEWIS", follower='ENDDIALOG')
    dialog.start()

#[NM]Dailog 046: General Lewis bedankt sich beim Spieler für seine Hilfe (letztes default)
#def initDlg_046_letzte_kommentare():
def initDlg_046_GeneralDanktSpieler():
    dialog.init_dialog(DIALOGSMALL)
    dialog.add_text(text='D_046_T_00' + str(random.randint(1, 3)), speaker="GENERAL_LEWIS", follower='ENDDIALOG')
    dialog.start()

def onDlg_Kiste_freischalten():
    object.create_item_in_inventory("BUILDING_3189",["SET_AMMOPACK_7_62NATO_MM","SET_AMMOPACK_7_62NATO_MM","SET_AMMOPACK_7_62NATO_MM","SET_STEEL_HELMET", "SET_STEEL_CLAD_BOOTS" ])

#[NM/CS]Dialog 028: Einleitung des Rituals
#def initDlg_028_Ritual_beginnt():
def initCutscene_028_Ritual_beginnt():
    system.start_cutscene()
    system.set_camera_view(CAMVIEW_RITUAL_1)
    cs.teleport_party(686,645)
    for id in system.get_pcs():
        if id!="ALTER_EGO":object.move_to(id,698.69,629.64,"landscape",MT_ATTACKMOVE)
    object.move_to("ALTER_EGO",698.69,629.64,"landscape",MT_ATTACKMOVE,\
        callback=["ONEND", onDlg_028_StartDialog])
    object.turn_to_object("ALTER_EGO","SECT_PRIEST")

def onDlg_028_StartDialog(char_id):
    for id in system.get_pcs():character.change_body_mode(id,"KNEEL")
    dialog.init_dialog(DIALOGSMALL)
    if ((system.get_qb_entry_state(data().QB_005) in [UNCOMPLETE,COMPLETE]) or (system.get_qb_entry_state(data().QB_008) in [UNCOMPLETE,COMPLETE])):
        dialog.add_text(text='D_028_T_001', speaker="ALTER_EGO", follower='D_028_T_002', callback=Lambda('character.play_animation("SECT_PRIEST","CM_NPC_STEHEN_KONVERSATION_3")'))
    else:
        dialog.add_text(text='D_028_T_008', speaker="ALTER_EGO", follower='D_028_T_002', callback=Lambda('character.play_animation("SECT_PRIEST","CM_NPC_STEHEN_KONVERSATION_3")'))

    dialog.add_text(text='D_028_T_002', speaker="SECT_PRIEST")
    dialog.add_text(text='D_028_T_003', speaker="ALTER_EGO", callback=Lambda('character.play_animation("SECT_PRIEST","CM_NPC_STEHEN_KONVERSATION_2")'))
    dialog.add_text(text='D_028_T_004', speaker="SECT_PRIEST")
    dialog.add_text(text='D_028_T_005', speaker="ALTER_EGO", callback=Lambda('character.play_animation("SECT_PRIEST","CM_NPC_STEHEN_KONVERSATION_4")'))
    dialog.add_text(text='D_028_T_006', speaker="SECT_PRIEST")
    dialog.add_text(text='D_028_T_007', speaker="ALTER_EGO", follower='ENDDIALOG', callback=[
        Lambda('system.set_qb_entry_state(data().QB_007,UNCOMPLETE)'),
        Lambda('object.move_to_object("SECT_PRIEST", OBJ_MARTERPFAHL, "dmyp_002")'),
        onDlg_028_Ritual_vorbereitung])
    dialog.start(False)

def onDlg_028_Ritual_vorbereitung():
    object.move_to("SEKTE_1", 721.01,641.31, "landscape",MT_SLOW)
    object.turn_to_object("SEKTE_1","OLIVIA")
    object.move_to("SEKTE_2", 719.58,642.20, "landscape",MT_SLOW)
    object.turn_to_object("SEKTE_2","OLIVIA")
    object.move_to("SEKTE_3", 718.34,642.19, "landscape",MT_SLOW)
    object.turn_to_object("SEKTE_3","OLIVIA")
    object.move_to("SEKTE_4", 717.09,641.19, "landscape",MT_SLOW, callback=["ONEND", Lambda('end_cutscene()')])
    object.turn_to_object("SEKTE_4","OLIVIA")
    object.move_to("SEKTE_5", 716.54,639.24, "landscape",MT_SLOW)
    object.turn_to_object("SEKTE_5","OLIVIA")
    object.turn_to_object("SECT_PRIEST","OLIVIA", callback=["ONEND", initDlg_074_PriesterVerhoehntOpfer])

#[NM/CS]Dialog 031: Der Priester beendet das Ritual.
def initDlg_031_Das_Erstechen():
    dialog.init_dialog(DIALOGSMALL)
    dialog.add_text(text='D_031_T_001', speaker="SECT_PRIEST")
    dialog.add_text(text='D_031_T_002', speaker="SECT_PRIEST", follower='ENDDIALOG', callback=[
        Lambda('system.set_qb_entry_state(data().QB_007,IMPOSSIBLE)'),
        Lambda('data().Olivia_Erstochen = True'),
        Lambda('end_cutscene()'),
        zone_5.Sekte_Verschwindet])
    dialog.start()

#[NM]Dialog 034: Spieler stellt fest, dass er das Opfer nicht verhindern konnte.
def initDlg_034_SpielerKonnteOpferNichtVerhindern():
    dialog.init_dialog(DIALOGSMALL)
    if data().Sekte_Tod1 == True:
        dialog.add_text(text='D_034_T_001', speaker="ALTER_EGO")
        dialog.add_text(text='D_034_T_002', speaker="ALTER_EGO", follower='ENDDIALOG', callback=Lambda('system.set_qb_entry_state(data().QB_009, UNCOMPLETE)'))
    else:
        dialog.add_text(text='D_034_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[NM]Dialog 030: Der Priester fordert seine Jünger auf zu kämpfen.
#def initDlg_30_Sekte_hat_Spieler_entdeckt():
def initDlg_030_PriesterFordertJuengerAufZuKaempfen():
    if not object.is_destroyed("SECT_PRIEST"):
        object.cancel_commandos("SECT_PRIEST")
        object.turn_to_object("SECT_PRIEST","ALTER_EGO", callback=["ONEND",onDlg_030_StartDialog])
    else:
        onDlg_030_Sekte_Kampf()

def onDlg_030_StartDialog(id):
    onDlg_030_Sekte_Kampf()
    dialog.init_dialog(DIALOGSMALL)
    dialog.add_text(text='D_030_T_001', speaker="SECT_PRIEST", follower='ENDDIALOG')
    dialog.start()

def onDlg_030_Sekte_Kampf():
    for id in ["SECT_PRIEST","SEKTE_1","SEKTE_2","SEKTE_3","SEKTE_4","SEKTE_5", "SECTARIAN"]:
        if not object.is_destroyed(id):
            if not object.is_fighting(id):
                object.cancel_commandos(id)
                if id == "SECT_PRIEST":
                    object.step_away("SECT_PRIEST")
                object.set_attribute(id,"foes",["UISPIELER"])
                object.turn_to_object(id,"ALTER_EGO")
                cs.degaine(id)
    data().Sekte_Tod1 = True

#[NM/CS]Dialog 033: Spieler befreit Olivia, Dank.
def initCutscene_033_Olivia_ist_gerettet():
    start_cutscene()
    set_camera(CAMVIEW_BEFREIUNG_OLIVIA_1)
    object.move_to_object("ALTER_EGO", OBJ_MARTERPFAHL, dummy="dmyp_003", speed=MT_SLOW)
    object.turn_to_object("ALTER_EGO","OLIVIA",callback=["ONEND",onDlg_033_MainCharFreesOlivia])

def onDlg_033_MainCharFreesOlivia(id):
    character.play_animation("ALTER_EGO", "CM_NPC_STEHEN_OPFERUNG_BEFREIER_BEFREIUNG", callback=["ONEND",onDlg_033_OliviaFreed])

def onDlg_033_OliviaFreed(id):
    object.step_away("ALTER_EGO")
    prohibit_activity("OLIVIA",False)
    object.cancel_commandos("OLIVIA")
    character.play_animation("OLIVIA", "CM_NPC_STEHEN_OPFERUNG_OPFER_BEFREIUNG", callback=["ONEND",onDlg_033_OliviaFreeCamera])
    object.move_to("ALTER_EGO",717.64,640.40,"landscape",MT_SLOW)
    object.step_away("OLIVIA")
    object.move_to("OLIVIA",718.36,639.0,"landscape",MT_SLOW)
    object.turn_to_object("OLIVIA","ALTER_EGO")
    object.turn_to_object("ALTER_EGO","OLIVIA")

def onDlg_033_OliviaFreeCamera(id):
    set_camera(CAMVIEW_BEFREIUNG_OLIVIA_1)
    initDlg_033_OliviaIstBefreit()

def initDlg_033_OliviaIstBefreit():
    data().Olivia_frei = True
    dialog.init_dialog(DIALOGSMALL)
    dialog.add_text(text='D_033_T_001', speaker="OLIVIA", callback=Lambda('set_conversation("ALTER_EGO","OLIVIA",mode="medium")'))
    dialog.add_text(text='D_033_T_002', speaker="ALTER_EGO", callback=Lambda('set_conversation("OLIVIA","ALTER_EGO",mode="medium")'))
    dialog.add_text(text='D_033_T_003', speaker="OLIVIA", callback=Lambda('set_conversation("ALTER_EGO","OLIVIA",mode="close")'))
    dialog.add_text(text='D_033_T_004', speaker="ALTER_EGO", callback=Lambda('set_conversation("OLIVIA","ALTER_EGO",mode="close")'))
    dialog.add_text(text='D_033_T_005', speaker="OLIVIA")
    if not data().Sekte_Ausgerottet1: # faudrait vrifier si  ne sert plus car,  priori, on n'y passe pas dans le jeu
        dialog.add_text(text='D_033_T_006', speaker="OLIVIA", callback=Lambda('set_conversation("ALTER_EGO","OLIVIA",mode="close")'))
        dialog.add_text(text='D_033_T_007', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_033_Ende)
    else:
        dialog.add_text(text='D_033_T_008', speaker="OLIVIA", follower='ENDDIALOG', callback=onDlg_033_Ende)
    dialog.start(False)

def onDlg_033_Ende():
    onDlg_Olivia_geht_ins_Dorf()
    end_cutscene()
    system.set_qb_entry_state(data().QB_007,COMPLETE)
    system.set_qb_entry_state(data().QB_005,COMPLETE)# for get the end of wargs quest (excusez mon anglais ;-)  )
    character.add_experience_party(data().Exp_Sekte_beobachtet)
    if not data().Sekte_Ausgerottet1:
        system.set_qb_entry_state(data().QB_009,UNCOMPLETE) # COMPLETE when last adept whas killed

def onDlg_Olivia_geht_ins_Dorf():
    object.cancel_commandos("OLIVIA")
    data().Olivia_Dank = True
    object.move_to("OLIVIA", 618,642, "landscape",MT_SLOW)
    object.move_to("OLIVIA", 494,685, "landscape",MT_SLOW)
    object.move_to("OLIVIA", 326,710, "landscape",MT_SLOW)
    object.move_to("OLIVIA", 266,731, "landscape",MT_SLOW, callback=["ONEND",allow_activity])

#[NM]Dialog 052: Olivia bedankt sich für die Rettung
def initDlg_052_Olivia_dankt():
    dialog.init_dialog(DIALOGSMALL)
    dialog.add_text(text='D_052_T_001', speaker="OLIVIA", follower='ENDDIALOG')
    dialog.start()

#[M]Dialog 032: Gespräch mit feigem Sektenmitglied.
def initDlg_032_Sekten_Mitgl():
    if data().last_sectarian == None:
        return True
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_032_T_001', speaker=data().last_sectarian)
    dialog.add_text(text='D_032_T_002', speaker="ALTER_EGO")
    dialog.add_text(text='D_032_T_003', speaker=data().last_sectarian)
    dialog.add_text(text='D_032_T_004', speaker="ALTER_EGO")
    dialog.add_text(text='D_032_T_005', speaker=data().last_sectarian, follower='D_032_T_008')
    dialog.add_text(text='D_032_T_008', speaker="ALTER_EGO")
    dialog.add_text(text='D_032_T_009', speaker=data().last_sectarian)
    dialog.add_text(text='D_032_T_010', speaker="ALTER_EGO")
    dialog.add_text(text='D_032_T_011', speaker=data().last_sectarian)
    dialog.add_text(text='D_032_T_012', speaker="ALTER_EGO")
    dialog.add_text(text='D_032_T_013', speaker=data().last_sectarian)
    dialog.add_text(text='D_032_T_014', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_032_Sekten_Mitgl_Kampf)
    dialog.start()

def onDlg_032_Sekten_Mitgl_Kampf():
    object.set_immortal_state(data().last_sectarian, False)
    object.set_attribute( data().last_sectarian, attribute="foes", value=["UISPIELER"])
    cs.degaine(data().last_sectarian)
    system.set_qb_entry_state(data().QB_009, COMPLETE)

#[NM]Dialog 044: Kommentar beim Ableben des letzten Sektenmitgliedes.
def initDlg_044_Sekte_komplett():
    system.set_qb_entry_state(data().QB_010,UNCOMPLETE)
    dialog.init_dialog(DIALOGSMALL)
    dialog.add_text(text='D_044_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback=
        Lambda('system.set_qb_entry_state(data().QB_010, UNCOMPLETE)'))
    dialog.start()

#[NM/CS] Dialog 061: Wesley hat einen guten Tipp
def initCutscene_061_WesleyHatEinenGutenTipp():
    object.turn_to_object("WESLEY","ALTER_EGO")
    object.turn_to_object("ALTER_EGO","WESLEY")
    dialog.init_dialog(type=DIALOGSMALL)
    set_conversation("ALTER_EGO", "WESLEY", new_camera=False)
    dialog.add_text(text='D_061_T_001', speaker="ALTER_EGO", callback=Lambda('set_conversation("WESLEY","ALTER_EGO",mode="medium_deep")'))
    dialog.add_text(text='D_061_T_002', speaker="WESLEY", callback=Lambda('set_conversation("ALTER_EGO","WESLEY",mode="medium_deep")'))
    dialog.add_text(text='D_061_T_003', speaker="ALTER_EGO", callback=Lambda('set_conversation("WESLEY","ALTER_EGO",mode="medium_deep")'))
    dialog.add_text(text='D_061_T_004', speaker="WESLEY", callback=Lambda('set_conversation("ALTER_EGO","WESLEY",mode="close_deep")'))
    dialog.add_text(text='D_061_T_005', speaker="ALTER_EGO", callback=Lambda('set_conversation("WESLEY","ALTER_EGO",mode="close_deep")'))
    dialog.add_text(text='D_061_T_006', speaker="WESLEY", follower='ENDDIALOG', callback=onDlg_061_Ende)
    dialog.start()

def onDlg_061_Ende():
    system.set_qb_entry_state(data().QB_014, UNCOMPLETE)
    end_cutscene(chars=["ALTER_EGO", "WESLEY"])
    points_s = [[318.5,890.1],[327.0,958.0],[381.5,1039.0]]
    points_n = [[491.1,259.0],[412.9,230.0],[360.7,160.6],[353.7,124.6]]
    points_e = [[806.9,639.8],[910.1,612.4]]
    points_w = [[168.6,730.9],[89.49,758.5]]
    enter_direction = system.zone_transfer_get_direction()
    points = []
    if enter_direction == "NORTH":
        points = points_n
    elif enter_direction == "SOUTH":
        points = points_s
    elif enter_direction == "WEST":
        points = points_w
    else:
        points = points_e
    for p in points:
        if p == points[len(points)-1]:
            object.move_to("WESLEY",p[0],p[1],"landscape",MT_SLOW, callback=["ONEND",onWesleyGoHome])
        else:
            object.move_to("WESLEY",p[0],p[1],"landscape",MT_SLOW)
    if not data().player_knows_hummer:
        data().player_knows_hummer = True
        system.add_minimap_marker(516.11, 761.16,"MM_007")# Höhle mit Hummer

def onWesleyGoHome(id):
    object.set_active_state(id,INACTIVE)

#[NM]Dialog 015: General Lewis ist voll mit der Ausbildung der Rekruten beschäftigt/Dank für Hilfe.
def initDlg_015_GeneralIstBeschaeftigt():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_015_T_001', speaker="GENERAL_LEWIS",follower='ENDDIALOG')
    dialog.start()


#[NM]Dialog 054: Spieler hat keinen Grund mit Ian zu sprechen.
def initDlg_054_SpielerWillNichtMitIanSprechen():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_054_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[NM]Dialog 022: Was ist das für ein Plakat?
def initDlg_022_WasIstDasFuerEinPlakat():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_022_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[NM/CS] Dialog 071: Der Spieler hat Phoenix angeschossen
def initCutscene_071_SpielerHatPhoenixAngeschossen():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_071_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[NM] Dialog 072: Der Spieler will nicht mit Phoenix sprechen
def initDlg_072_SpielerWillNichtMitPhoenixSprechen():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_072_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[NM/CS] Dialog 063: Phoenix gibt sich geschlagen
def initCutscene_063_PhoenixGibtSichGeschlagen():
    system.start_cutscene()
    set_conversation("PHOENIX", cam_x = 3.0, cam_y=2.0, mode="far_up", animate=False)
    data().phoenix_gesprochen = True
    object.set_immortal_state("PHOENIX",False)
    object.set_attribute("PHOENIX", "maxhitpoints", 60)
    object.set_attribute("PHOENIX", "hitpoints", 45)
    pos = object.get_position("PHOENIX")
    character.play_animation("PHOENIX","CM_AUFSTEHEN_KNIEND_WAFFE", callback=["ONEND",prohibit_activity])
    object.move_to("ALTER_EGO",pos[0]+1.5,pos[1]+1,"landscape",MT_SLOW, callback=["ONEND",onDlg_063_StartDialog])

def onDlg_063_StartDialog(id):
    set_conversation("PHOENIX","ALTER_EGO",mode="medium_deep")
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_063_T_001', speaker="PHOENIX", callback=Lambda('set_conversation("ALTER_EGO","PHOENIX",mode="medium_deep")'))
    dialog.add_text(text='D_063_T_002', speaker="ALTER_EGO", callback=Lambda('set_conversation("PHOENIX","ALTER_EGO",mode="medium_deep")'))
    dialog.add_text(text='D_063_T_003', speaker="PHOENIX", callback=[Lambda('data().spieler_von_wesley_betrogen = True'),Lambda('set_conversation("ALTER_EGO","PHOENIX",mode="close_deep")')])
    dialog.add_text(text='D_063_T_004', speaker="ALTER_EGO", callback=Lambda('set_conversation("PHOENIX","ALTER_EGO",mode="close_deep")'))
    dialog.add_text(text='D_063_T_005', speaker="PHOENIX", callback=Lambda('set_conversation("ALTER_EGO","PHOENIX",mode="medium_deep")'))
    dialog.add_text(text='D_063_T_006', speaker="ALTER_EGO", callback=Lambda('set_conversation("PHOENIX","ALTER_EGO",mode="close_deep")'))
    dialog.add_text(text='D_063_T_007', speaker="PHOENIX", callback=Lambda('set_conversation("ALTER_EGO","PHOENIX",mode="close_deep")'))
    if not data().hummer_explodiert:
        dialog.add_text(text='D_063_T_008', speaker="ALTER_EGO", follower='D_063_T_010', callback=Lambda('set_conversation("PHOENIX","ALTER_EGO",mode="close_deep")'))
    else:
        dialog.add_text(text='D_063_T_009', speaker="ALTER_EGO", callback=Lambda('set_conversation("PHOENIX","ALTER_EGO",mode="close_deep")'))
    dialog.add_text(text='D_063_T_010', speaker="PHOENIX", follower='ENDDIALOG', callback=onDlg_063_Ende)
    dialog.start(False)

def onDlg_063_Ende():
    end_cutscene(chars=["ALTER_EGO", "PHOENIX"])
    system.set_qb_entry_state(data().QB_012,INACTIVE)
    if was_zone_entered("zone_4.zone_4"):
        system.set_qb_entry_state(data("zone_4.zone_4").QB_021,COMPLETE)
    initDlg_064_SpielerTrifftEntscheidung()

#[M] Dialog 064: Der Spieler trifft eine Entscheidung
def initDlg_064_SpielerTrifftEntscheidung():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_choice(text='D_064_C_001_1', follower='ENDDIALOG', callback=onDlg_064_Ende1)
    dialog.add_choice(text='D_064_C_001_2', follower='D_064_T_008')
    if data().D_064_C_001_3:
        dialog.add_choice(text='D_064_C_001_3', follower='D_064_T_001')
    dialog.add_text(text='D_064_T_001', speaker="PHOENIX")
    dialog.add_text(text='D_064_T_002', speaker="ALTER_EGO")
    dialog.add_text(text='D_064_T_003', speaker="PHOENIX", follower='D_064_C_001', callback=Lambda('data().D_064_C_001_3 = False'))
    dialog.add_text(text='D_064_T_008', speaker="PHOENIX")
    dialog.add_text(text='D_064_T_009', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_064_Ende2)
    dialog.start(False)

def onDlg_064_Ende1():
## phoenix kann gekillt werden
    object.set_attribute("PHOENIX","foes",["UISPIELER"])
    object.attack("PHOENIX","ALTER_EGO")
# system.set_qb_entry_state(data().QB_015, INACTIVE)
    system.set_qb_entry_state(data().QB_016, UNCOMPLETE)
    data('zone_5.zone_5').phoenix_kill = True

def onDlg_064_Ende2():
# system.set_qb_entry_state(data().QB_015, INACTIVE)
    system.set_qb_entry_state(data().QB_016, UNCOMPLETE)
    object.set_attribute("PHOENIX","hitpoints",5)
    character.set_approachable_state("PHOENIX",NOTAPPROACHABLE)
    for p in ROUTE_PHOENIX:
        if p == ROUTE_PHOENIX[len(ROUTE_PHOENIX)-1]:
            object.move_to("PHOENIX",p[0],p[1],"landscape",MT_SLOW, callback=["ONEND",onPhoenixFluchtDeactivate])
        else:
            object.move_to("PHOENIX",p[0],p[1],"landscape",MT_SLOW)
    onDlg_082_PhoenixFertig()
    character.add_experience_party(data().Exp_Kampf_gegen_Ratskulls)
## todo: Phoenix humpelt davon

def onPhoenixFluchtDeactivate(id):
    object.set_active_state(id,INACTIVE)

#[NM] Dialog 082: Der Spieler ist mit Phoenix fertig
def onDlg_082_PhoenixFertig():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_082_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[M] Dialog 070: Dan ist ein Feigling
def initDlg_070_DanIstEinFeigling():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_070_T_001', speaker="DAN")
    dialog.add_text(text='D_070_T_002', speaker="ALTER_EGO")
    dialog.add_text(text='D_070_T_003', speaker="DAN")
    dialog.add_choice(text='D_070_C_001_1', follower='D_070_T_004')
    dialog.add_choice(text='D_070_C_001_2', follower='D_070_T_007')
    dialog.add_choice(text='D_070_C_001_3', follower='ENDDIALOG', callback=onDlg070_Ende1)
    dialog.add_text(text='D_070_T_004', speaker="DAN")
    dialog.add_text(text='D_070_T_005', speaker="ALTER_EGO")
    dialog.add_text(text='D_070_T_006', speaker="DAN", follower='ENDDIALOG', callback=onDlg070_Ende3)
    dialog.add_text(text='D_070_T_007', speaker="DAN")
    dialog.add_text(text='D_070_T_008', speaker="ALTER_EGO")
    dialog.add_text(text='D_070_T_009', speaker="DAN", follower='ENDDIALOG', callback=onDlg070_Ende3)
    dialog.start(False)

def onDlg070_Ende1():
#Dan greift an
    character.set_approachable_state("DAN", NOTAPPROACHABLE)
    object.set_immortal_state("DAN", False)
    object.set_attribute("DAN","foes",["UISPIELER"])
    object.attack("DAN","ALTER_EGO")

def onDlg070_Ende2():
    object.set_immortal_state("DAN",False)
    character.set_approachable_state("DAN", NOTAPPROACHABLE)
#Dan flieht, ist erschießbar
    object.set_attribute("DAN","foes",["UISPIELER"])
    zone_5.dan_finish_drugwork()
    for p in ROUTE_PHOENIX:
        if not p == ROUTE_PHOENIX[len(ROUTE_PHOENIX)-1]:
            object.move_to("DAN",p[0],p[1],"landscape",MT_FAST)
        else:
            object.move_to("DAN",p[0],p[1],"landscape",MT_FAST, callback=["ONEND", deactivate])

def ratskulls_add_foe(foe):
    for id in NPC_RATSKULLS:
        if not object.is_destroyed(id):
            foes = object.get_attribute(id, "foes")
            if foes != None:
                if isinstance(foes, list):
                    foes.append(foe)
                else:
                    foes = [foes]+[foe]
            else:
                foes = [foe]
            object.set_attribute(id,"foes",foes)

def onDlg070_Ende3():
    object.set_immortal_state("DAN", False)
    character.set_approachable_state("DAN", NOTAPPROACHABLE)
#Dan ist desertiert und haut ab. Ist nicht angreifbar, außer von Ratskulls.
    zone_5.dan_finish_drugwork()
    ratskulls_add_foe("DAN")
    for p in ROUTE_PHOENIX:
        if not p == ROUTE_PHOENIX[len(ROUTE_PHOENIX)-1]:
            object.move_to("DAN",p[0],p[1],"landscape",MT_FAST)
        else:
            object.move_to("DAN",p[0],p[1],"landscape",MT_FAST, callback=["ONEND", deactivate])

def deactivate(id):
    object.set_active_state(id,INACTIVE)

#[NM]Dialog 066: Verwunderung über Schattenleiche
def initDlg_066_VerwunderungUeberSchattenleiche():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_066_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[NM] Dialog 069: Der Spieler erkennt die Drogenausgabestelle
def initDlg_069_SpielerErkenntDrogenAusgabeStelle():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_069_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[NM] Dialog 084: Der Spieler findet einen Pick-Up
def initDlg_084_SpielerFindetEinenPickUp():
    object.cancel_commandos("ALTER_EGO")
    object.turn_to_object("ALTER_EGO", "Z5 PICKUP")
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_084_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[NM] Dialog 074: Der Priester verhöhnt sein Opfer
def initDlg_074_PriesterVerhoehntOpfer(char):
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_074_T_001', speaker="OLIVIA")
    dialog.add_text(text='D_074_T_002', speaker="SECT_PRIEST")
    dialog.add_text(text='D_074_T_003', speaker="OLIVIA")
    dialog.add_text(text='D_074_T_004', speaker="SECT_PRIEST")
    dialog.add_text(text='D_074_T_005', speaker="OLIVIA")
    dialog.add_text(text='D_074_T_006', speaker="SECT_PRIEST", follower='ENDDIALOG', callback=onDlg_074_Ende)
    dialog.start()

def onDlg_074_Ende():
    system.notify_timer(data().Timer_Olivias_Tod,data().Timervalue_Olivias_Tod)

#[NM/CS] Dialog 075: Der Priester tötet Olivia doch noch
def initCutscene_075_PriesterToetetOliviaDochNoch():
    character.unequip_hands("SECT_PRIEST")
    object.move_to("SECT_PRIEST", 718.96,639, "landscape",MT_SLOW, callback=["ONEND", onDlg_075_StartDialog])

def onDlg_075_StartDialog(char):
    system.start_cutscene()
    system.set_camera_view(CAMVIEW_RITUAL_2)
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_075_T_001', speaker="OLIVIA")
    dialog.add_text(text='D_075_T_002', speaker="SECT_PRIEST", callback=onDlg_074_PriesterKilltOlivia)
    dialog.add_text(text='D_075_T_003', speaker="SECT_PRIEST", follower='ENDDIALOG')
    dialog.start()

def onDlg_074_PriesterKilltOlivia():
    object.cancel_commandos(object="OLIVIA")
    object.cancel_commandos(object="SECT_PRIEST")
    object.move_to_object("SECT_PRIEST", OBJ_MARTERPFAHL, "dmyp_002")
    if not object.count_in_inventory("SECT_PRIEST","SET_BIG_KNIFE"):
        object.create_item_in_inventory("SECT_PRIEST","SET_BIG_KNIFE")
        if not character.is_equiped("SECT_PRIEST","SET_BIG_KNIFE"):
            character.equip("SECT_PRIEST","SET_BIG_KNIFE")
#object.turn_to_object("SECT_PRIEST","OLIVIA", callback=["ONEND", Lambda('object.set_immortal_state("OLIVIA", False)')])
    character.play_animation("OLIVIA", "CM_NPC_STEHEN_OPFERUNG_OPFER", callback=["ONEND", Lambda('object.set_attribute("OLIVIA","hitpoints", -5)')])
    character.play_animation("SECT_PRIEST", "CM_NPC_STEHEN_OPFERUNG_HENKER", callback=["ONEND",onDlg_075_Ende])

def onDlg_075_Ende(char_id):
    system.set_qb_entry_state(data().QB_007,IMPOSSIBLE)
    data().Olivia_Erstochen = True
    end_cutscene()
    zone_5.Sekte_Verschwindet(char_id)

#[NM/CS] Dialog 062: Der Spieler findet den Hummer
def initCutscene_062_SpielerFindetHummer():
    data().cutscene_standup = False
    data().counter_party_hummer = 0
    start_cutscene()
    data().spieler_lauert = []
    object.cancel_commandos("ALTER_EGO")
    pos = POS_PARTY_HUMMER[data().counter_party_hummer]
    object.set_position("ALTER_EGO",pos[0],pos[1])
    set_camera(CAMVIEW_HUMMER_1)
    character.change_body_mode("ALTER_EGO","LIE")
    object.move_to("ALTER_EGO",497.5,769.05,grid="landscape",speed=MT_FAST, callback=["ONEND", Lambda('character.change_body_mode("ALTER_EGO","LIE")')])
    object.turn_to_object("ALTER_EGO","Z5 HUMMER", callback=["ONEND",onDlg_062_PCsFollow])

## spieler legt sich auf den boden beobachtet
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_062_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_062_RatskullsAppear) # ratskulls tauchen auf
    dialog.start()

def onDlg_062_PCsFollow(char_id):
    character.change_body_mode("ALTER_EGO","LIE")
    p = object.get_position(char_id)
    for pc_id in system.get_pcs():
        if pc_id != "ALTER_EGO":
            object.cancel_commandos(pc_id)
            data().counter_party_hummer += 1
            pos = POS_PARTY_HUMMER[data().counter_party_hummer]
            object.set_position(pc_id,pos[0],pos[1])
            character.change_body_mode(pc_id,"LIE")
            object.move_to(pc_id, p[0]+(random.randint(-3,-1)),p[1]+(random.randint(-1,1)),speed=MT_SLOW, grid="landscape")
            object.turn_to_object(pc_id, "Z5 HUMMER",callback=["ONEND",onDlg_062_CharLaysDown])

def onDlg_062_CharLaysDown(char_id):
    object.turn_to_object(char_id,"Z5 HUMMER")
    data().spieler_lauert.append([char_id, character.get_body_mode(char_id)])

def onDlg_062_RatskullsAppear():
#positionieren der rs in hoehle
    object.set_position_free("RATSKULL_HUMMER_1",521.31, 755.31, 0)
    object.set_position_free("RATSKULL_HUMMER_2",521.68, 755.97, 0)
    object.set_position_free("RATSKULL_HUMMER_3",521.92, 756.64, 0)
    object.set_position_free("RATSKULL_HUMMER_4",521.82, 757.80, 0)
#aktivieren der rs
    object.set_active_state("RATSKULL_HUMMER_1",ACTIVE)
    object.set_active_state("RATSKULL_HUMMER_2",ACTIVE)
    object.set_active_state("RATSKULL_HUMMER_3",ACTIVE)
    object.set_active_state("RATSKULL_HUMMER_4",ACTIVE)
#bewegen der rs aus höhle heraus
    object.step_to("RATSKULL_HUMMER_1",515.80, 759.40, speed=MT_SLOW, callback=["ONEND",initDlg_062_ContinueAfterRatskullsAppear])
    object.step_to("RATSKULL_HUMMER_2",516.89, 760.40, speed=MT_SLOW)
    object.step_to("RATSKULL_HUMMER_3",517.60, 761.30, speed=MT_SLOW)
    object.step_to("RATSKULL_HUMMER_4",517.60, 762.00, speed=MT_SLOW)
#bewegen der rs um hummer
    object.move_to("RATSKULL_HUMMER_1",520.14, 765.64, speed=MT_SLOW)
    object.turn_to_object("RATSKULL_HUMMER_1","Z5 HUMMER")
    object.move_to("RATSKULL_HUMMER_2",518.22, 766.92, speed=MT_SLOW)
    object.turn_to_object("RATSKULL_HUMMER_2","Z5 HUMMER")
    object.move_to("RATSKULL_HUMMER_3",514.09, 758.25, speed=MT_SLOW)
    object.turn_to_object("RATSKULL_HUMMER_3","Z5 HUMMER")
    object.move_to("RATSKULL_HUMMER_4",512.12, 758.85, speed=MT_SLOW)
    object.turn_to_object("RATSKULL_HUMMER_4","Z5 HUMMER")

    object.move_to("RATSKULL_HUMMER_1",518.0, 766.0,"landscape",MT_SLOW, callback=["ONEND",onDlg_062_RatskullsEnterHummer]) # ratskulls steigen lachen in den hummer ein

def initDlg_062_ContinueAfterRatskullsAppear(param=None):
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_062_T_002', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

def onDlg_062_RatskullsEnterHummer(param=None):
    set_camera(CAMVIEW_HUMMER_2)
    data().counter_ratskulls_inactive = 0
    object.move_to("RATSKULL_HUMMER_1",516.3, 765.26,speed=MT_SLOW, callback=["ONEND", ratskulls_get_in_car])
    object.move_to("RATSKULL_HUMMER_2",511.43, 763.54,speed=MT_SLOW, callback=["ONEND", ratskulls_get_in_car])

def ratskulls_get_in_car(char=None):
    character.get_in(char, "Z5 HUMMER", callback=["ONEND", ratskulls_are_in_car])

def ratskulls_are_in_car(id):
    data().counter_ratskulls_inactive += 1
    if data().counter_ratskulls_inactive == 2:
        data().counter_ratskulls_inactive = 0
        system.notify_timer(data().Timer_GetInHummerWait,data().Timervalue_GetInHummerWait)

def ratskulls_start_hummer():
    sounds.play_3d_sound_object(sfx_id="humvee_failstart",object="Z5 HUMMER")
#object.play_animation("Z5 HUMMER","HUMVEE_ANLASSEN")
    if not data().spieler_von_wesley_betrogen:
        initDlg_062_ContinueAfterRatskullsEnterHummer()
    else:
        initDlg_078_ContinueAfterRatskullsEnterHummer()

def initDlg_062_ContinueAfterRatskullsEnterHummer(param=None):
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_062_T_003', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_062_Explosion)# explosion, kleine pause
    dialog.start()

def onDlg_062_Explosion():
    set_camera(CAMVIEW_HUMMER_3)
    sounds.play_3d_sound_object(sfx_id="humvee_explosion",object="Z5 HUMMER")
    object.destroy("Z5 HUMMER")
    data().hummer_explodiert = True
    zone_5.explode(object_id="Z5 HUMMER",count=7)
    system.notify_timer(data().Timer_HummerExplodiert,data().Timervalue_HummerExplodiert)
    character.play_animation("RATSKULL_HUMMER_3","CM_NPC_STEHEN_MIT_WAFFE_SCHUETZEN")

#raucheffekte starten
    system.start_effect_object(object="Z5 HUMMER",node="lafette",parameter=fx_smoke)
    system.start_effect_object(object="Z5 HUMMER",node="wheel_steer_r",parameter=fx_smoke)

def initDlg_062_ContinueAfterExplosion():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_062_T_004', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_062_RatskullsLeaveHummer) # ratskulls kommen aus rauchenden trümmern gelaufen
    dialog.start()

def onDlg_062_RatskullsLeaveHummer():
    set_camera(CAMVIEW_HUMMER_1)
    object.move_to("RATSKULL_HUMMER_3",516.28,766.39)
    object.move_to("RATSKULL_HUMMER_4",511.51,763.41)
    system.notify_timer(data().Timer_HummerSzeneEnde,data().Timervalue_HummerSzeneEnde)

def initDlg_062_ContinueAfterRatskullsComeOutOfExplosion():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_062_T_005', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_062_Ende)
    dialog.start()

def onDlg_062_Ende():
    for pc in system.get_pcs():
        for pc_data in data().spieler_lauert:
            if pc == pc_data[0]:
                character.change_body_mode(pc,pc_data[1])
                data().spieler_lauert.remove(pc_data)
    end_cutscene(chars=[])
    character.set_approachable_state("RATSKULL_HUMMER_3", NOTAPPROACHABLE)
    character.set_approachable_state("RATSKULL_HUMMER_4", NOTAPPROACHABLE)
    object.set_attribute("RATSKULL_HUMMER_3","foes",["UISPIELER"])
    object.set_attribute("RATSKULL_HUMMER_4","foes",["UISPIELER"])
    system.set_qb_entry_state(data().QB_014, COMPLETE)
# system.set_qb_entry_state(data().QB_015, UNCOMPLETE)

#[NM/CS] Dialog 067: Der Seeker will flüchten
def initCutscene_067_SeekerWillFluechten():
    data().seeker_aufgehalten = True
    system.start_cutscene()
    p = object.get_position("PATRICK")
    ae = object.get_position("ALTER_EGO")
    dx, dy = 3, 3
    if p[0] < ae[0]:
        dx = 0- dx
    if p[1] < ae[1]:
        dy = 0- dy
    set_conversation("ALTER_EGO",cam_x=-dx, cam_y=-dy,mode="medium",animate=False)
    object.move_to("ALTER_EGO",p[0],p[1],"landscape",MT_SLOW)
    object.move_to("PATRICK",p[0]+dx,p[1]+dy)
    object.turn_to_object("ALTER_EGO","PATRICK",callback=["ONEND",onDlg_067_StartDialog])

def onDlg_067_StartDialog(id):
## spieler legt sich auf den boden beobachtet
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_067_T_001', speaker="ALTER_EGO", callback=onDlg_067_SeekerHalts) # seeker bleibt aprubt stehen
    dialog.add_text(text='D_067_T_002', speaker="PATRICK", follower='ENDDIALOG', callback=onDlg_067_PlayerApproaches) # spieler kommt näher
    dialog.start()

def onDlg_067_ContinueAfterApproach(id):
    set_conversation("ALTER_EGO","PATRICK",mode="medium_deep")
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_067_T_003', speaker="ALTER_EGO", callback=Lambda('set_conversation("PATRICK","ALTER_EGO",mode="close_deep")'))
    dialog.add_text(text='D_067_T_004', speaker="PATRICK", follower='ENDDIALOG', callback=Lambda('end_cutscene(chars=["ALTER_EGO","PATRICK"]); initDlg_068_SpielerFragtSeekerAus()'))
    dialog.start()

def onDlg_067_SeekerHalts():
    object.cancel_commandos("PATRICK")
    object.turn_to_object("PATRICK","ALTER_EGO")

def onDlg_067_PlayerApproaches():
    p = object.get_position("PATRICK")
    ae = object.get_position("ALTER_EGO")
    dx, dy = 1.0, 1.4
    if p[0] > ae[0]:
        dx = 0- dx
    if p[1] > ae[1]:
        dy = 0- dy
    init_cutscene("ALTER_EGO", "PATRICK", dx=dx, dy=dy)
    object.turn_to_object("ALTER_EGO", "PATRICK", callback=["ONEND", onDlg_067_ContinueAfterApproach])

#[M] Dialog 068: Der Spieler fragt den Seeker aus
def initDlg_068_SpielerFragtSeekerAus():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_choice(text='D_068_C_001_1', follower='D_068_T_001')
    dialog.add_choice(text='D_068_C_001_2', follower='D_068_T_004')
    dialog.add_choice(text='D_068_C_001_3', follower='D_068_T_009')
    dialog.add_choice(text='D_068_C_001_4', follower='D_068_T_010')
    dialog.add_text(text='D_068_T_001', speaker="PATRICK")
    dialog.add_text(text='D_068_T_002', speaker="ALTER_EGO")
    dialog.add_text(text='D_068_T_003', speaker="PATRICK", follower='D_068_C_001')
    dialog.add_text(text='D_068_T_004', speaker="PATRICK")
    dialog.add_text(text='D_068_T_005', speaker="ALTER_EGO")
    dialog.add_text(text='D_068_T_006', speaker="PATRICK")
    dialog.add_text(text='D_068_T_007', speaker="ALTER_EGO")
    dialog.add_text(text='D_068_T_008', speaker="PATRICK", follower='D_068_C_001')
    dialog.add_text(text='D_068_T_009', speaker="PATRICK", follower='D_068_C_001')
    dialog.add_text(text='D_068_T_010', speaker="PATRICK", follower='ENDDIALOG', callback=onDlg_068_Ende)
    dialog.start()

def onDlg_068_Ende():
    object.move_to("PATRICK",212.2,265.9,"landscape",MT_SLOW)
    object.move_to("PATRICK",113.2,235.0,"landscape",MT_SLOW,callback=["ONEND",deactivate])
    system.set_qb_entry_state(data().QB_012, UNCOMPLETE)
    if was_zone_entered("zone_4.zone_4"):
        system.set_qb_entry_state(data("zone_4.zone_4").QB_021, INACTIVE)

#[NM] Dialog 057: Der Spieler mag die Holzgestelle nicht verwenden.
def initDlg_057_SpielerMagHolzGestelleNichtVerwenden():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_057_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[NM] Dialog 058: Der Spieler mag von dem Wasser nichts trinken
def initDlg_058_SpielerMagNichtVomWasserTrinken():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_058_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

#[NM]Dialog 077: Kommentar beim Ableben des letzten Sektenmitgliedes, Variante: Spieler weiß nichts von den Wargen
def initDlg_077_SpielerKilltSekteOhneWargInfo():
    system.set_qb_entry_state(data().QB_009,COMPLETE)
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_077_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback=
        Lambda('system.set_qb_entry_state(data().QB_010,UNCOMPLETE)'))
    dialog.start()

#[NM/CS] Dialog 078: Der Spieler findet den Hummer, Variante: Wesley enttarnt
def initCutscene_078_SpielerFindetHummerWesleyEnttarnt():
    data().counter_party_hummer = 0
    data().cutscene_standup = False
    start_cutscene()
    data().spieler_lauert = []
    object.cancel_commandos("ALTER_EGO")
    pos = POS_PARTY_HUMMER[data().counter_party_hummer]
    object.set_position("ALTER_EGO",pos[0],pos[1])
    set_camera(CAMVIEW_HUMMER_1)
    character.change_body_mode("ALTER_EGO","LIE")
    object.move_to("ALTER_EGO",497.5,769.05,grid="landscape",speed=MT_FAST, callback=["ONEND", Lambda('character.change_body_mode("ALTER_EGO","LIE")')])
    object.turn_to_object("ALTER_EGO","Z5 HUMMER", callback=["ONEND",onDlg_062_PCsFollow])

## spieler legt sich auf den boden beobachtet
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_078_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_078_RatskullsAppear) # ratskulls tauchen auf
    dialog.start()

def onDlg_078_RatskullsAppear():
#positionieren der rs in hoehle
    object.set_position_free("RATSKULL_HUMMER_1",521.31, 755.31, 0)
    object.set_position_free("RATSKULL_HUMMER_2",521.68, 755.97, 0)
    object.set_position_free("RATSKULL_HUMMER_3",521.92, 756.64, 0)
    object.set_position_free("RATSKULL_HUMMER_4",521.82, 757.80, 0)
#aktivieren der rs
    object.set_active_state("RATSKULL_HUMMER_1",ACTIVE)
    object.set_active_state("RATSKULL_HUMMER_2",ACTIVE)
    object.set_active_state("RATSKULL_HUMMER_3",ACTIVE)
    object.set_active_state("RATSKULL_HUMMER_4",ACTIVE)
#bewegen der rs aus höhle heraus
    object.step_to("RATSKULL_HUMMER_1",515.80, 759.40, speed=MT_SLOW, callback=["ONEND",initDlg_062_ContinueAfterRatskullsAppear])
    object.step_to("RATSKULL_HUMMER_2",516.89, 760.40, speed=MT_SLOW)
    object.step_to("RATSKULL_HUMMER_3",517.60, 761.30, speed=MT_SLOW)
    object.step_to("RATSKULL_HUMMER_4",517.60, 762.00, speed=MT_SLOW)
#bewegen der rs um hummer
    object.move_to("RATSKULL_HUMMER_1",520.14, 765.64, speed=MT_SLOW)
    object.turn_to_object("RATSKULL_HUMMER_1","Z5 HUMMER")
    object.move_to("RATSKULL_HUMMER_2",518.22, 766.92, speed=MT_SLOW)
    object.turn_to_object("RATSKULL_HUMMER_2","Z5 HUMMER")
    object.move_to("RATSKULL_HUMMER_3",514.09, 758.25, speed=MT_SLOW)
    object.turn_to_object("RATSKULL_HUMMER_3","Z5 HUMMER")
    object.move_to("RATSKULL_HUMMER_4",512.12, 758.85, speed=MT_SLOW)
    object.turn_to_object("RATSKULL_HUMMER_4","Z5 HUMMER")

    object.move_to("RATSKULL_HUMMER_1",518.0, 766.0,"landscape",MT_SLOW, callback=["ONEND",onDlg_062_RatskullsEnterHummer]) # ratskulls steigen lachen in den hummer ein

def initDlg_078_ContinueAfterRatskullsAppear(param=None):
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_078_T_002', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

def initDlg_078_ContinueAfterRatskullsEnterHummer(param=None):
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_078_T_003', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_062_Explosion)# explosion, kleine pause
    dialog.start()

def initDlg_078_ContinueAfterExplosion():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_078_T_004', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_062_RatskullsLeaveHummer) # ratskulls kommen aus rauchenden trümmern gelaufen
    dialog.start()

def initDlg_078_ContinueAfterRatskullsComeOutOfExplosion():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_078_T_005', speaker="ALTER_EGO", follower='ENDDIALOG', callback=onDlg_062_Ende)
    dialog.start()

def initDlg_079_SchlaegerVerscheuchenSpieler():
    object.cancel_commandos('BRANDON')
    prohibit_activity("BRANDON")
    object.turn_to_object("BRANDON","ALTER_EGO", callback=["ONEND", onDlg_079_StartDialog])

def onDlg_079_StartDialog(char_id):
    text_id = 'D_079_T_00'+str(random.choice([1,2,3,4]))
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text=text_id, speaker="BRANDON", follower='ENDDIALOG', callback=Lambda('allow_activity("BRANDON")'))
    dialog.start()

#[NM] Dialog 083: Der Spieler staunt über die Warge
def initDlg_083_SpielerStauntUeberWarge():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_083_T_001', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

