# -*- coding: utf-8 -*-
from globals import *

#*** actual revision - Revision 34, 9.09.2004 *********************************
def init_data():
	data().reporter_da			= False
	data().reporter_spoke_to	= False
	data().saved_speedfactor	= 0
	data().flughund_flug		= False
	data().flughund_endcutscene	= False
	### Minimap Marker ###
	data().player_knows_Museum		= False
	data().player_knows_Kran		= False
	data().player_knows_Kaefig		= False
	data().player_knows_Conny		= False
	data().player_knows_Hubschrauberwrack	= False
	######################
	
	## Regions
	data().Region_VerlasseneHafenstadt	= "REGION_VERLASSENEHAFENSTADT"
	data().Region_Kran					= "REGION_KRAN"
	data().Region_AACMuseeum			= "REGION_AAC_MUSEUM"
	data().Region_Esel					= "REGION_ESEL"
	data().Region_MaschinenRaum			= "REGION_MASCHINENRAUM"
	data().Region_Strippe				= "REGION_STRIPPE"
	data().Region_VesselTown			= "REGION_VESSELTOWN"
	data().Region_OutdoorKneipe			= "REGION_OUTDOORKNEIPE"
	
	### Experience
	data().Exp_WegNachVesselTownGefunden	= 1500
	data().Exp_CodeRupert 					= 1500
	data().Exp_CodeConny					= 1000
	data().Exp_MotorschadenBehoben			= 500
	data().Exp_SchattenGetoetet				= 500
	data().Exp_AusgangVesselTownGefunden	= 1000
	data().Exp_HallenbadGefunden			= 1000
	data().Exp_EmilyGeholfen				= 900
	
	### Timer ###
	data().Timer_FlughundFertigstellung	= 0
	data().Timer_EselFolgtSpieler		= 2
	data().Timer_EmilyAnprechen			= 4
	data().Timer_Fade					= 5
	data().Timer_AnieFolgt				= 6
	data().Timer_GeiselnVerschwinden	= 7
	data().Timer_Cut					= 8
	data().Timer_FadeOut				= 9
	data().Timer_Delay					= 10
	data().Timer_cam_vesseltown_left  	= 501
	data().Timer_cam_vesseltown_mid   	= 502
	data().Timer_cam_vesseltown_right 	= 503
	data().Timer_SoundDelay				= 11
	data().Timer_EmilyMachtSonneschutmittelFertig = 12
	
	### Timervalues ###
	data().Timervalue_FlughundFertigstellung	= 60 * 60 * 1000 * globals.hour_real_to_game
	data().Timervalue_EselFolgtSpieler			= 2 * 1000
	data().Timervalue_EmilyAnprechen			= 2 *1000
	data().Timervalue_cam_vesseltown_left  		= 1000 * 4
	data().Timervalue_cam_vesseltown_mid   		= 1000 * 4
	data().Timervalue_cam_vesseltown_right 		= 1000 * 4
	data().Timervalue_Fade						= 3 * 1000
	data().Timervalue_Cut						= 3 * 1000
	data().Timervalue_AnieFolgt					= 2 * 1000
	data().Timervalue_GeiselnVerschwinden		= 10 * 60 * 1000
	data().Timervalue_EmilyMachtSonneschutmittelFertig	= 10 * 60 * 1000
	### Switches ###
	
	## Andrew-Dialoge und Quest
	data().andrew_restart_d_004				= False
	data().andrew_restart_d_003_t_017		= False
	data().andrew_c_004_1_aktiv				= True
	data().andrew_undone					= 0
	data().andrew_code_vorhanden			= False
	data().andrew_museums_ta_aktiv			= False
	data().andrew_spielerhatvergaser		= False
	data().andrew_visible 					= False
	data().andrew_first_approach_after_mq	= False
	## Rupert-Dialoge und Quest
	data().rupert_richtiges_zitat		= 0
	data().rupert_zitat_d_aktiv			= True
	data().rupert_zitat_e_aktiv			= True
	data().rupert_zitat_g_aktiv			= True
	data().rupert_restart_d_010_t_036 	= False
	data().rupert_d_010_start_t_039 	= False
	data().d_010_restart_c_001			= False
	data().rupert_undone				= 0
	data().rupert_schickt_spieler_weg	= False
	data().rupert_spielererfolglos		= False
	data().rupert_spielererfolgreich	= False
	data().rupert_spielerwarschonda		= False
	data().rupert_geloest 				= False
	data().rupert_tondoksgegeben		= 0
	data().rupert_schriftdoksgegeben	= 0
	data().schriftdoks_gefunden			= 0
	data().tondoks_gefunden				= 0
	data().fett_gefunden				= False
	data().alkohol_gefunden				= False
	data().mba_brochuere_gelesen		= False
	data().rupert_museums_ta_aktiv		= False
	## Conny-Dialoge und Quest
	data().conny_esel_folgt_spieler 	= False
	data().conny_aufwegzuemily 		= False
	data().conny_beiemily			= False
	data().conny_eselzurueck		= False
	data().conny_eseltot			= False
	data().conny_spielererfolglos		= False
	data().conny_spielererfolgreich		= False
	data().conny_spielerwarschonda		= False
	data().conny_geloest = False
	data().kampf_p1_p2_alarm	= False
	
	## Craig und Brad-Dialoge und Quest
	data().craigbrad_restart_d_045_c_001		= False
	data().craigbrad_c_001_3_aktiv			= True
	data().craigbrad_c_001_1_aktiv			= True
	data().craigbrad_flughund_fertig		= False
	data().craigbrad_flughund_zerstoert		= False
	data().craigbrad_spielerhatrotorblatt		= False
	data().craigbrad_rotorblattgegeben		= False
	data().craigbrad_spielerhatwindschutzscheibe	= False
	data().craigbrad_windschutzscheibegegeben	= False
	data().craigbrad_rotorblattgefunden		= False
	data().craigbrad_windschutzscheibegefunden	= False
	data().craigbrad_rotorblattgegeben		= False
	data().craigbrad_windschutzscheibegegeben	= False
	data().craigbrad_craigarbeitetanflughund	= False
	data().craigbrad_ta_aktiv			= False
	
	## Emily Dialoge und Quest
	data().emily_seansnotizagelesen = False
	data().emily_seansnotizbgelesen	= False
	data().emily_timernotified	= False
	data().emily_keinechancemehr	= False
	data().emily_von_erfindung_berichtet = False
	data().emily_sonnenschutmittel_fertig = False
	
	# anie und co
	data().GNO_HOSTAGE_INFO = False
	data().continue_with_d_137 = False
	data().hostages_rescued = False
	data().anie_befragung = [True, True, True, True]
	data().anie_folgt = False
	data().shadow_08_patrol = False
	data().pcs = []
	
	#sonstiges
	data().d_023_restart_t_019 = False
	data().d_045_restart_t_020 = False
	data().d_042_restart_t_005 = False
	
	### Counter ###
	data().Counter_EselBesuch 		= 0
	data().Counter_AlleSchattenKilled	= 0
	data().Counter_Ambrosius_Juenger	= 0
	data().Counter_ruperterfolglos		= 0
	data().Counter_Tanja_Graebersuchen	= 0
	data().Counter_TonUndSchriftNicht	= 0
	data().fade_count = 0
	data().delay_count = 0
	data().counter_sound_delay = 0
	data().counter_players_in_container	= 0
	data().counter_andrew_dialog = 0
	data().crane_location = "abandoned_seaport"
	data().pc_on_plants = None
	data().anie_ae_hug_counter = 0
	
	### Questbook ###
	data().QB_002 = -1
	data().QB_003 = -1
	data().QB_004 = -1
	data().QB_005 = -1
	data().QB_006 = -1
	data().QB_007 = -1
	data().QB_008 = -1
	data().QB_009 = -1
	data().QB_010 = -1
	data().QB_011 = -1
	data().QB_012 = -1
	data().QB_013 = -1
	data().QB_014 = -1
	data().QB_015 = -1
	data().QB_016 = -1
	
	### Questitems ##
	data().qi_mbabrochure		= ["Z7 MBA_BROCHURE",	"SET_AAC_BROCHURE"]
	data().qi_alkohol			= ["Z7 ALCOHOL",		"SET_TIN_WITH_ALCOHOL"]
	data().qi_vergaser			= ["Z7 CARBURATOR",		"SET_CARBURATOR"]
	data().qi_vergaser_mba		= ["Z7 CARBURATOR_MBA",	"SET_CARBURATOR"]
	data().qi_fett				= ["Z7 FAT",			"SET_BUCKET_WITH_VASELINE"]
	data().qi_windschutzscheibe	= ["Z7 WINDSHIELD",		"SET_WINDSHIELD"]
	data().qi_rotorblatt		= ["Z7 ROTORBLADE",		"SET_TAIL_ROTOR"]
	data().qi_seansnotizena		= ["Z7 SEANS_NOTE_A",	"SET_SEANS_DIARY"]
	data().qi_seansnotizenb		= ["Z7 SEANS_NOTE_B",	"SET_SEANS_NOTES_B"]
	data().qi_flughund			= ["Z7 FLUGHUND",		"RES3D_TRES_OBJECTS_BUILDING_FLUGHUND_DEFEKT"]
	data().qi_flughund_start	= ["Z7 FLUGHUND_START",	"RES3D_TRES_OBJECTS_BUILDING_FLUGHUND_START"]
	data().qi_flughund_crash	= ["Z7 FLUGHUND_CRASH",	"RES3D_TRES_OBJECTS_BUILDING_FLUGHUND_ABSTURZ"]
	data().qi_flughund_done		= ["Z7 FLUGHUND_DONE",	"RES3D_TRES_OBJECTS_BUILDING_FLUGHUND_START"]
	
	data().qi_ear_device_1		= ["Z7 AUDIO_DOCUMENT_1", "SET_EAR_DEVICE_01"]
	data().qi_ear_device_2		= ["Z7 AUDIO_DOCUMENT_2", "SET_EAR_DEVICE_02"]
	data().qi_ear_device_3		= ["Z7 AUDIO_DOCUMENT_3", "SET_EAR_DEVICE_03"]
	data().qi_paper_doc_1		= ["Z7 TEXT_DOCUMENT_1",  "SET_PAPER_DOCUMENT_01"]
	data().qi_paper_doc_2		= ["Z7 TEXT_DOCUMENT_2",  "SET_PAPER_DOCUMENT_02"]
	data().qi_paper_doc_3		= ["Z7 TEXT_DOCUMENT_3",  "SET_PAPER_DOCUMENT_03"]
	
	data().qi_wheeltank 		= ["Z7 WHEELTANK", 				"SET_WHEELTANK"]
	data().qi_cagekey 			= ["Z7 KEY_FOR_HOSTAGE_CAGE",	"SET_KEY_CAGE"]
	data().pc_on_carburator		= None
	
	## todo: war man schon in zz4?
	data().ZwischenZone4_Flag = False
	
	data().MAINQUEST_NPCS		= {}
	data().NEBENQUEST_NPCS		= {}
	data().TAGESABLAUF_NPCS		= {}
	data().SCHATTEN_NPCS		= {}
	data().NPC_BEWAFFNUNG		= {}
	data().SCHATTEN_BEWAFFNUNG	= {}
	data().LEICHEN_NPCS			= {}
	
	data().BOTEN_NPCS			= {}

	### Fuer Spawn-Animals ###
	data().Timer_SpawnTimeChecker		= 666
	data().Timervalue_SpawnTimeChecker	= 10 * 60 * 1000.0 * globals.hour_real_to_game
	data().SpawnAnimalsSpawned			= False
	data().SpawnAnimals					= ["SPAWN_HIRSCH_1","SPAWN_HIRSCH_2","SPAWN_HIRSCH_3","SPAWN_HYAENE_1","SPAWN_HYAENE_2","SPAWN_HYAENE_3","SPAWN_HYAENE_4","SPAWN_HYAENE_5","SPAWN_HYAENE_6"] 
	
	data().saved_ae_scale = 0.0
	
	# Momentaner Aufenthaltsort der Gruppe
	data().aufenthaltsort = "seaport"

## NPC Daten
NPCS_IN_VESSELTOWN		= ["EMILY","HARRY","LARRY","CRAIG","BRAD"]
NPCS_WITH_AMBROSIUS		= ["ALFRED","JENSON","KLAUS"]
NPCS_IN_HOSTAGECAGE		= ["ANIE","GEISEL_1","GEISEL_2","GEISEL_3","GEISEL_4","GEISEL_5"]
NPCS_IN_HOSTAGECAGE_WOA	= ["GEISEL_1","GEISEL_2","GEISEL_3","GEISEL_4","GEISEL_5"]

### Objects ###
OBJ_LAGERFEUER			= ["BUILDING_1113","BUILDING_1424","BUILDING_1273","BUILDING_664","BUILDING_1436"]
OBJ_BRENNENDE_TONNEN	= ["BUILDING_1720","BUILDING_216","BUILDING_2196","BUILDING_2047"]
OBJ_STRIPPE				= "BUILDING_1345"
OBJ_MERCEDES			= "BUILDING_1853"
OBJ_HELIKOPTER			= "BUILDING_1387"
OBJ_BUS					= "BUILDING_931"
OBJ_FASS				= "BUILDING_1244"
OBJ_KISTENSTAPEL		= "BUILDING_1240"
OBJ_KUEHE_SHANIA		= ["KUH_1","KUH_2","KUH_3"]


Z7_CRANE = "BUILDING_167"


#female black "edeltraud","fladhild","irmela","ostara","richlind","rinelda", "roswitha","saxhild","thrasolde","vrederun"
#female white "asbirg", "blitgard","erkhild","fulberta","hallgard","kunigunde","lioba","meinhild","nortrun","wintrud"

#male black "dietbert","eberwin","eginhard","erkmar","godbert","hildegar","kunolf","otilo","reimund"
#male white "adalbert","albin","ascan","bernulf","blankard","dagwin","folkward","gandolf","gerbod","gudmunt","heilwig"

### Waypoints für Patrouillen ###
WAYPOINT_MAP		= {}
CIRCULAR_PATROLS 	= ["SHADOW_P1","SHADOW_P2","SHADOW_08","SHADOW_09","SHADOW_10","SHADOW_11"]

WAYPOINTS_SCHATTEN	= [[[543.0,519.6],[557.7,546.1],[640.5,593.5],[655.2,553.6],[662.0,527.8],[679.1,487.0],[627.8,419.9],[584.7,394.4],[582.8,420.5],[559.7,476.7]], # patrouille 1
					  [[533.8,475.0],[535.9,414.6],[581.3,419.5],[616.9,444.7],[626.5,470.5],[646.4,498.5],[655.6,521.3],[643.5,552.3],[620.2,571.4],[605.4,546.9],[590.2,536.4],[576.8,522.0],[555.8,477.9]]] # patrouille 2

WAYPOINTS_ANDREW	= [[486.5,459.5],[456.5,411.5],[430.05,415.0],[423.5,458.5],[391.5,454.5],[352.0,458.0],[332.0,439.0],[275.0,221.0]]
WAYPOINTS_CONNY		= [[386.0,573.5],[415.0,511.0],[448.5,507.5],[478.5,489.0],[492.5,480.5],[488.2,475.5]]
WAYPOINTS_CONNY_EMILY = [[531.4,480.5],[561.6,476.5],[594.0,472.8],[598.3,465.3]]

WAYPOINTS_SVETLANA	= [[637.2,516.1],[641.1,533.7],[601.6,517.0],[603.6,490.1],[588.9,494.7],[620.5,489.7]]
WAYPOINTS_TANJA_GRABSUCHE = [[615.5,414.7],[637.8,415.7],[659.8,429.2],[581.4,588.2],[594.4,577.1],[546.0,354.4],[574.2,354.0]]
WAYPOINTS_TANJA		= [[536.4,413.9],[582.1,420.2],[618.4,445.6],[626.5,469.4],[593.4,473.1],[616.9,508.3],[652.0,504.9]]
WAYPOINTS_PETE		= [[649.8,481.3,"BUILDING_179"],[582.0,463.2,"BUILDING_187"],[546.4,525.5,"BUILDING_1500"],[571.4,518.4,"BUILDING_173"],[628.0,560.6,"BUILDING_234"],[600.5,492.3,"BUILDING_174"]]

WARYPOINTS_TA_RUPERT = [[276.9,242.2],[275.3,214.4],[266.6,235.5],[242.9,243.29]]
WAYPOINTS_TA_HARRY = [[598.0,455.0],[595.0,465.0],[587.0,461.0],[593.0,461.0]]
WAYPOINTS_HOSTAGES = [[631,323],[649,259],[662,182]]
WAYPOINTS_CRAIG_BRAD_FLUGHUND = [
		[529.21929931640625, 480.52752685546875],
		[557.95379638671875, 478.542236328125],
		[568.826416015625, 452.76235961914062],
		[583.0032958984375, 420.53076171875],
		[603.0489501953125, 432.12384033203125]]

POINTS_VESSELTOWN_CONTAINER_EXIT = [
			[519.5,484.0],[520.1,482.8],
			[520.1,481.6],[519.7,480.5],
			[518.3,479.6],[518.5,481.9],
			[519.79,482.97],[520.22,480.07]]

POINTS_ABANDONED_SEAPORT_CONTAINER_EXIT = [
			[493.84164428710937, 459.9259033203125],
			[492.34518432617187, 460.1116943359375],
			[490.00070190429687, 460.99563598632812],
			[488.47003173828125, 462.82470703125],
			[487.68447875976562, 464.49588012695312],
			[486.90603637695312, 466.86111450195312],
			[487.34716796875, 462.51187133789062],
			[490.43035888671875, 459.66363525390625]]



OBJECTS_TA_EMILY = ['ZONE_7_BUILDING_10758','ZONE_7_BUILDING_10747','ZONE_7_BUILDING_10749','ZONE_7_BUILDING_10750','ZONE_7_BUILDING_10748',
			'ZONE_7_BUILDING_10752','ZONE_7_BUILDING_10751','ZONE_7_BUILDING_10755','ZONE_7_BUILDING_10763','ZONE_7_BUILDING_10754',
			'ZONE_7_BUILDING_10753','ZONE_7_BUILDING_4584','ZONE_7_BUILDING_4591','ZONE_7_BUILDING_4591','ZONE_7_BUILDING_4591',
			'ZONE_7_BUILDING_4588','ZONE_7_BUILDING_4589','ZONE_7_BUILDING_4579','ZONE_7_BUILDING_4590','ZONE_7_BUILDING_4585',
			'ZONE_7_BUILDING_4594','ZONE_7_BUILDING_4597','ZONE_7_BUILDING_4592','ZONE_7_BUILDING_4580','ZONE_7_BUILDING_10756',
			'ZONE_7_BUILDING_10760','ZONE_7_BUILDING_10761','ZONE_7_BUILDING_10762','ZONE_7_BUILDING_10759','ZONE_7_BUILDING_10766',
			'ZONE_7_BUILDING_10764','ZONE_7_BUILDING_10744','ZONE_7_BUILDING_10745','ZONE_7_BUILDING_10745','ZONE_7_BUILDING_10746',
			'ZONE_7_BUILDING_10738','ZONE_7_BUILDING_11161','ZONE_7_BUILDING_11164','ZONE_7_BUILDING_11163','ZONE_7_BUILDING_11162',
			'ZONE_7_BUILDING_11170','ZONE_7_BUILDING_11171','ZONE_7_BUILDING_11003','ZONE_7_BUILDING_11001','ZONE_7_BUILDING_10998',
			'ZONE_7_BUILDING_10996','ZONE_7_BUILDING_10995','ZONE_7_BUILDING_10994','ZONE_7_BUILDING_10993','ZONE_7_BUILDING_10992',
			'ZONE_7_BUILDING_10991','ZONE_7_BUILDING_10990','ZONE_7_BUILDING_10739','ZONE_7_BUILDING_10741','ZONE_7_BUILDING_10740',
			'ZONE_7_BUILDING_10988','ZONE_7_BUILDING_10989','ZONE_7_BUILDING_4581','ZONE_7_BUILDING_4586','ZONE_7_BUILDING_4575',
			'ZONE_7_BUILDING_4570','ZONE_7_BUILDING_4572','ZONE_7_BUILDING_4577','ZONE_7_BUILDING_4576']

OBJECTS_MBA_LEICHEN = {
		'ZONE_7_BUILDING_4262' : 'MBA_BIBSY_BEERS',
		'ZONE_7_BUILDING_4263' : 'MBA_MOE_CHIPSON',
		'ZONE_7_BUILDING_4265' : 'MBA_JIM_W_TREE_JR',
		'ZONE_7_BUILDING_4264' : 'MBA_MARSEILLE_MILTON',
		'ZONE_7_BUILDING_4260' : 'MBA_BILLY_DOORS',
		'ZONE_7_BUILDING_4261' : 'MBA_BRITNEY_ASHTON',
		'ZONE_7_BUILDING_4267' : 'MBA_MIKE_JETSON',
		'ZONE_7_BUILDING_4269' : 'MBA_TIM_BRUISE'
	}

### Cameraviews ###
CAM_VESSELTOWN_LEFT = [470.0,480.3,50.6,0.91,-0.45,-0.4]
CAM_VESSELTOWN_MID = [470.0,480.3,50.6,0.91,0.0,-0.4]
CAM_VESSELTOWN_RIGHT = [470.0,480.3,50.6,0.91,0.45,-0.4]
CAM_ABANDONED_SEAPORT_SHORT_OUT = [487.37188720703125, 452.52188110351562, 30.112476348876953, 0.3386065661907196, 0.9015202522277832, -0.2694566547870636]

CAMVIEW_HOSTAGERESCUE_FAR = [586.496337890625, 360.63079833984375, 11.18603515625, 0.86678785085678101, -0.3176320493221283, -0.38443294167518616]
CAMVIEW_HOSTAGERESCUE_CLOSE = [591.45416259765625, 356.5927734375, 6.8396687507629395, 0.94833087921142578, -0.22929412126541138, -0.21930068731307983]

CAMVIEW_CARBURATOR_FOR_ANDREW = [484.5447998046875, 465.88967895507812, 29.21528434753418, 0.4261384904384613, 0.87709170579910278, -0.22162149846553802]
CAMVIEW_AE_HOSTAGES = [591.03369140625, 357.607177734375, 6.94781494140625, 0.86383497714996338, -0.45353829860687256, -0.21929910778999329]

CAMVIEW_WORKONCRANE = [510.7928466796875, 475.88674926757812, 44.215297698974609, -0.78567707538604736, 0.46881222724914551, -0.40364179015159607]
CAMVIEW_CLIMBCRANE = [498.11895751953125, 495.96539306640625, 29.195301055908203, -0.28276374936103821, -0.9337841272354126, -0.21929879486560822]
CAMVIEW_ENTERCRANE_CAGE = [481.854736328125, 461.78466796875, 31.195295333862305, 0.83046168088912964, 0.44451659917831421, -0.33576560020446777]
CAMVIEW_CRANE_LIFTOFF = [466.57553100585937, 463.9403076171875, 55.195343017578125, 0.85815978050231934, 0.1402803361415863, -0.49384540319442749]
CAMVIEW_EXITCRANE_CAGE = [524.95928955078125, 473.65780639648437, 13.26366138458252, -0.6681702733039856, 0.71095442771911621, -0.21929970383644104]
CAMVIEW_CRANE_LIFTDOWN = [565.4881591796875, 479.73370361328125, 38.606597900390625, -0.93332803249359131, 0.079616516828536987, -0.35008582472801208]

CAMVIEW_PLANT_WORKER = [638.68670654296875, 474.879638671875, 15.278169631958008, 0.70235854387283325, -0.32788997888565063, -0.63180750608444214]

CAMVIEW_FLUGHUND_LIFTOFF = [602.12701416015625, 446.84890747070312, 6.0, 0.70794469118118286, -0.67274785041809082, -0.3]
CAMVIEW_FLUGHUND_GETIN = [630.1240234375, 425.00103759765625, 2.9413988590240479, -0.16884288191795349, -0.93554294109344482, -0.31024405360221863]
#[628.8408203125, 429.94039916992187, 3.5362424850463867, -0.10039062798023224, -0.94698488712310791, -0.30519086122512817]
CAMVIEW_FLUGHUND_START = [633.4954833984375, 412.4168701171875, 3.3736186027526855, -0.63626587390899658, 0.72167831659317017, -0.27266493439674377]
CAMVIEW_FLUGHUND_ACCELERATE = [618.49078369140625, 402.78448486328125, 8.2652969360351562, 0.080331869423389435, 0.94367057085037231, -0.32098677754402161]

CAMVIEW_FLUGHUND_INCOMING = [454.4227294921875, 469.90472412109375, 34.655868530273437, 0.85029339790344238, -0.48039168119430542, -0.21500006318092346]
#[516.73040771484375, 431.733642578125, 38.273487091064453, -0.80832111835479736, 0.48372191190719604, -0.33560410141944885]
CAMVIEW_FLUGHUND_CRASHED  = [461.8697509765625, 460.17144775390625, 30.219127655029297, 0.82627123594284058, -0.25289160013198853, -0.50331079959869385] 
#[494.5450439453125, 446.7261962890625, 28.851116180419922, -0.81107103824615479, 0.54400312900543213, -0.21499887108802795]
#[465.65628051757813, 468.28726196289062, 30.590873718261719, 0.72929608821868896, -0.64126521348953247, -0.23854993283748627]
CAMVIEW_CRAIG_BRAD_COME = [483.00363159179687, 459.68991088867187, 29.738807678222656, 0.7692101001739502, 0.58571314811706543, -0.25545254349708557]
#[472.57186889648437, 465.83453369140625, 29.238800048828125, -0.43901446461677551, 0.82986211776733398, -0.34437653422355652]

CAMVIEW_HELI_ROTOR_FAR = [731.371337890625, 304.18325805664062, 9.2067470550537109, 0.37060597538948059, -0.90356290340423584, -0.21500036120414734]
CAMVIEW_HELI_ROTOR_BACK = [739.495849609375, 301.8104248046875, 7.020841121673584, -0.17641159892082214, -0.97680670022964478, -0.12135771661996841]
#[737.47784423828125, 301.40997314453125, 7.4793624877929687, 0.37380507588386536, -0.89144372940063477, -0.25612077116966248]

CAMVIEW_ANIE_AE_AFTER_HUG = [599.86688232421875, 360.01931762695312, 6.4407849311828613, -0.15704397857189178, -0.89381200075149536, -0.42004439234733582]
#[595.91888427734375, 356.65408325195312, 5.6151881217956543, 0.90151727199554443, -0.171479731798172, -0.39731761813163757]

### Fuer Spawn-Animals ###

""" ["SPAWN_HYAENE_1","SPAWN_HYAENE_2","SPAWN_HYAENE_3","SPAWN_HYAENE_4","SPAWN_HYAENE_5",
						"SPAWN_HYAENE_6","""

POSES_VESSELTOWNIES = {
	0 : [541.666442871, 385.151000977, 161.368530273],
	1 : [541.385314941, 383.518432617, 353.150787354],
	2 : [541.252624512, 381.728179932, 342.801605225],
	3 : [541.392150879, 380.304534912, 352.331634521],
	4 : [541.512878418, 378.570983887, 0.265871942043],
	5 : [653.34967041, 449.172698975, 153.342269897],
	6 : [649.460021973, 447.472351074, 289.261260986],
	7 : [644.667053223, 444.816497803, 284.047607422],
	8 : [640.567993164, 442.680633545, 137.512161255],
	9 : [672.460388184, 474.653198242, 183.920272827],
	10 : [675.469299316, 483.601104736, 180.74848938],
	11 : [674.441650391, 489.036651611, 234.685562134],
	12 : [674.414672852, 487.609710693, 354.251159668],
	13 : [667.86138916, 522.931884766, 215.49206543],
	14 : [664.412902832, 528.475952148, 261.379241943],
	15 : [661.753967285, 530.372192383, 215.779159546],
	16 : [660.774902344, 532.419250488, 199.555664063],
	17 : [648.97442627, 562.08984375, 219.270736694],
	18 : [646.553710938, 566.973632813, 202.71812439],
	19 : [644.860412598, 572.204956055, 199.159362793],
	20 : [643.590148926, 574.700561523, 204.577880859],
	21 : [626.519958496, 599.237243652, 232.611694336],
}

REST_VESSELTOUWN		= [ ( 529.79, 304.82 ), ( 686.62, 483.82 )]
REST_NONE_VESSELTOUWN	= [ ( 262.73, 264.14 ), ( 546.28, 201.34 )]