# -*- coding: utf-8 -*-
from globals import *
import dialogs
import object_events
import const
import schedules
import dynamic_camera
import npc_activities
import enemy_script
import water
from const import *
import sound
import string
import system_events
import npc
import cs_function as cs

def GetZoneEnterLocation(enterdirection):
    start_locations = {"NORTH":(573.0, 263.0),"SOUTH":(455.0, 560.0),"WEST":(206.0, 246.0),"EAST":(780.0, 365.0),}

    if data().Erstemal:
        return start_locations["NORTH"]
    if (enterdirection in start_locations.keys()):
        return start_locations[enterdirection]
    else:
        raise ValueError, "no spawn location for this direction registerd: " + enterdirection

def checkZoneDependencies():
    pass

def on_init():
    skies.init_sky_preset("yellow")

def initParties():
    system.create_party(id="UISPIELER",type=PT_HUMAN)
    system.create_party(id="NPCS",type=PT_COMPUTER)
    system.create_party(id="SHADOW",type=PT_COMPUTER)
    system.create_party(id="ANIMALS",type=PT_COMPUTER)
    system.create_party(id="GNO",type=PT_COMPUTER)
    system.create_party(id="DOERFLER",type=PT_COMPUTER)

def init_non_rest_areas():
    data("rest").non_rest_areas = []
    if not hasattr(data(), "has_non_rest_areas"):
        data().has_non_rest_areas = True
#       spezielle non rest regionensystem.add_region("Dorf_Casa_Verde",600,250,705,380)
        system.add_region("Honest_Lickit_Fun",535,455,610,380)
        system.add_region("Schattenbasis",220,295,470,515)

    data("rest").non_rest_areas.append("Honest_Lickit_Fun")
    data("rest").non_rest_areas.append("Schattenbasis")

def on_map_reentry():
    initFX()
    location = GetZoneEnterLocation( system.zone_transfer_get_direction() )
    system.zone_transfer_place_characters( location[0], location[1] )
    init_non_rest_areas()
    schedules.init_schedules()
    init_patch()

def on_map_loaded():
    const.init_data()
    initParties()
# place player characters
    location = GetZoneEnterLocation( system.zone_transfer_get_direction() )
    system.zone_transfer_place_characters( location[0], location[1] )
    checkZoneDependencies()
    
    import debug; debug.cheat_party(party=False, x=location[0], y=location[1])

    npc.initNPCS()

    if not object.exists("ANIE"):
        print 'neue Anie'
## todo: remove anie later, comes from z7
        system.create_character(
            id="ANIE",
            gender="female",
            party="NPCS",
            x = location[0]-1, y = location[1],#x=314.08, y=381.96,
            direction = 100,
            name=globaltext.NAME_ANIE,
            resourceui="anie.png")
        object.set_attributes("ANIE",
            model="low",
            gender="female",
            skin="white",
            clothes="anie",
            face="anie")
        character.set_main_quest_npc_state(char="ANIE", state=True)
        character.update_appearance("ANIE")
        character.set_approachable_state("ANIE", APPROACHABLE)
        object.set_immortal_state("ANIE",True)
        character.scale("ANIE", 1.68)
    
#npc.initNPCS()
    npc.initAnimals()
    initHerbs()
    initItems()
    initExitZones()
    initFX()
    initQuests()
    
    """
    for pcid in system.get_pcs():
        character.unequip_hands(pcid)
        character.arm_direct(pcid)
    """
    initRegions()
    initFoes()
    schedules.init_schedules() ## immer nach dem initQuestbook()
    init_scriptuse_objects()
    InitChestsSafes()
    init_character_states()    
    initZoneObjects()
    if data().Erstemal:
        object.set_active_state(object='BUILDING_9400', state=False)
    else:
        object.set_active_state(object='DONK', state=False)
    scale_shadows()
    init_non_rest_areas()
    initVehicles()
    init_hfl_minefield()
    init_main_npcs()

############    init-Funktionen###############################################

def scale_shadows():
    for npc in system.get_npcs():
        if (object.get_attribute(object=npc, attribute='skin')=='grey') and (not npc=='REMUS'):
            character.scale(npc,[2.1,2.3])    
    character.scale("ABEL", 2.22)

# markieren von objecten die im script modifiziert werden
def init_scriptuse_objects():
# example:
#system.mark_for_script_use(id)
    system.mark_for_script_use(id='ZONE_8_BUILDING_9379')
    system.mark_for_script_use(id='ZONE_8_BUILDING_9363')
    system.mark_for_script_use(id='ZONE_8_BUILDING_9362')
    system.mark_for_script_use(id='ZONE_8_BUILDING_9361')
    system.mark_for_script_use(id='ZONE_8_BUILDING_9360')
    system.mark_for_script_use(id='ZONE_8_BUILDING_1157')
    system.mark_for_script_use(id='ZONE_8_BUILDING_9511')
    system.mark_for_script_use(id='ZONE_8_BUILDING_11687')
    system.mark_for_script_use(id='ZONE_8_BUILDING_11685')
    system.mark_for_script_use(id='ZONE_8_BUILDING_11684')
    system.mark_for_script_use(id='ZONE_8_BUILDING_11683')
    system.mark_for_script_use(id='ZONE_8_BUILDING_11577')
    system.mark_for_script_use(id='ZONE_8_BUILDING_13833')
    system.mark_for_script_use(id='ZONE_8_BUILDING_11648')
    system.mark_for_script_use(id='ZONE_8_BUILDING_13783')
#TOR
    system.mark_for_script_use(id=data().TorZu)
#Hayes Crossbike
    system.mark_for_script_use(id='ZONE_8_BUILDING_13647')
#Dynamofahräder
    system.mark_for_script_use('ZONE_8_BUILDING_2390')
    system.mark_for_script_use('ZONE_8_BUILDING_2391')
    system.mark_for_script_use('ZONE_8_BUILDING_2392')
    system.mark_for_script_use('ZONE_8_BUILDING_2393')
    system.mark_for_script_use('ZONE_8_BUILDING_2395')
    system.mark_for_script_use('ZONE_8_BUILDING_2398')
    system.mark_for_script_use('ZONE_8_BUILDING_2399')
#Dynamo Wheels
    system.mark_for_script_use('THE FALL_BUILDING_5685')
    system.mark_for_script_use('THE FALL_BUILDING_5684')
    system.mark_for_script_use('ZONE_8_BUILDING_2296')
#Dynamo Treadmills
    system.mark_for_script_use('ZONE_8_BUILDING_2298')
    system.mark_for_script_use('ZONE_8_BUILDING_2299')
    system.mark_for_script_use('ZONE_8_BUILDING_2295')
    
# kisten, truhen, tresore
    system.mark_for_script_use('ZONE_8_BUILDING_19464')
    system.mark_for_script_use('ZONE_8_BUILDING_19465')
    system.mark_for_script_use('ZONE_8_BUILDING_19516')
    system.mark_for_script_use('ZONE_8_BUILDING_19518')
    system.mark_for_script_use('ZONE_8_BUILDING_19531')
    system.mark_for_script_use('ZONE_8_BUILDING_19536')
    system.mark_for_script_use('ZONE_8_BUILDING_19547')
    system.mark_for_script_use('ZONE_8_BUILDING_14267')
    system.mark_for_script_use('ZONE_8_BUILDING_19560')
    system.mark_for_script_use('ZONE_8_BUILDING_19561')
    system.mark_for_script_use('ZONE_8_BUILDING_19562')

# Bienenstöcke Zone 8
    system.mark_for_script_use('BUILDING_19610')
    system.mark_for_script_use('BUILDING_19609')
    system.mark_for_script_use('BUILDING_19616')
    system.mark_for_script_use('BUILDING_19623')


# setzen von attributen wie immortal/mortal, foes, etc
def init_character_states():
    npcs = system.get_npcs()
    
#mortality
    for npc in npcs:
        if ((npc in data().BasisWachen) or (npc in data().FitnessWachen)):
            object.set_immortal_state(npc, False)
            if (npc in data().FitnessWachen):
                object.set_attribute(npc, "foes", ['UISPIELER'])
        else:
            object.set_immortal_state(npc, True)

def initQuests():
    data().QB_001 = system.register_qb_entry('ZONE8_AIM_01')#Text fuer QuestBook Eintrag registrieren
    data().QB_002 = system.register_qb_entry('ZONE8_AIM_02')
    data().QB_003 = system.register_qb_entry('ZONE8_AIM_03')
    data().QB_004 = system.register_qb_entry('ZONE8_AIM_04')
    data().QB_005 = system.register_qb_entry('ZONE8_AIM_05')
    data().QB_006 = system.register_qb_entry('ZONE8_AIM_06')
    
    data().QB_009 = system.register_qb_entry('ZONE8_AIM_09')
    data().QB_010 = system.register_qb_entry('ZONE8_AIM_10')
    data().QB_011 = system.register_qb_entry('ZONE8_AIM_11')
    data().QB_012 = system.register_qb_entry('ZONE8_AIM_12')
    
def initRegions():
    system.add_region(id = 'BASIS_AUSGANG', x1 = 419.90, y1 = 348.00, x2 = 420.00, y2 = 370.90)
    system.notify_region_entered(region= 'BASIS_AUSGANG', partyid = 'UISPIELER', permanent=False)
    system.add_region( id = data().Region_BasisEingang, x1 = 425.00, y1 = 330.00, x2 = 460.00, y2 = 355.00 )
    system.notify_region_entered(region=data().Region_BasisEingang, objectid="ALTER_EGO", partyid=None, permanent=False)
    system.add_region( id = data().Region_BasisEingangLeave, x1 = 424.00, y1 = 329.00, x2 = 461.00, y2 = 356.00 )
#system.add_region( id = data().Region_TorwachenEingang, x1 = 427.00, y1 = 334.00, x2 = 440.00, y2 = 357.00 )
#system.notify_region_entered(region=data().Region_TorwachenEingang, objectid="ALTER_EGO", partyid=None, permanent=True)
#system.add_region( id = data().Region_TorwachenAusgang, x1 = 406.00, y1 = 341.00, x2 = 407.00, y2 = 380.00 )
#system.notify_region_entered(region=data().Region_TorwachenAusgang, objectid="ALTER_EGO", partyid=None, permanent=True)
    system.add_region( id = data().Region_FitnesscenterNahe, x1 = 400.00, y1 = 435.00, x2 = 510.00, y2 = 542.00 )
    system.notify_region_entered(region=data().Region_FitnesscenterNahe, objectid="ALTER_EGO", partyid=None, permanent=False)
    system.add_region( id = data().Region_FitnesscenterFern, x1 = 390.00, y1 = 425.00, x2 = 514.00, y2 = 548.00 )
    system.notify_region_entered(region=data().Region_FitnesscenterFern, objectid="ALTER_EGO", partyid=None, permanent=False)
    system.add_region( id = data().Region_FitnesscenterOut[0], x1 = 389.00, y1 = 424.00, x2 = 515.00, y2 = 425.00 )
    system.add_region( id = data().Region_FitnesscenterOut[1], x1 = 514.00, y1 = 424.00, x2 = 515.00, y2 = 549.00 )
    system.add_region( id = data().Region_FitnesscenterOut[2], x1 = 389.00, y1 = 549.00, x2 = 515.00, y2 = 548.00 )
    system.add_region( id = data().Region_FitnesscenterOut[3], x1 = 389.00, y1 = 439.00, x2 = 390.00, y2 = 549.00 )
    system.add_region( id = data().Region_FitnesscenterEingang, x1 = 423.00, y1 = 487.00, x2 = 425.00, y2 = 495.00 )
    system.add_region( id = data().Region_Schwangere, x1 = 426.00, y1 = 487.50, x2 = 435.50, y2 = 500.00 )
    system.add_region( id = data().Region_SchwangereOut[0], x1 = 425.00, y1 = 486.50, x2 = 435.50, y2 = 487.50 )
    system.add_region( id = data().Region_SchwangereOut[1], x1 = 435.50, y1 = 486.50, x2 = 436.50, y2 = 500.00 )
    system.add_region( id = data().Region_SchwangereOut[2], x1 = 426.00, y1 = 500.00, x2 = 436.50, y2 = 501.00 )
    system.add_region( id = data().Region_SchwangereOut[3], x1 = 425.00, y1 = 487.50, x2 = 426.00, y2 = 501.00 )
    
    system.add_region( id = data().Region_Zaun[0], x1 = 218.00, y1 = 352.50, x2 = 223.00, y2 = 392.50 )
    system.add_region( id = data().Region_Zaun[1], x1 = 223.00, y1 = 317.00, x2 = 246.00, y2 = 442.00 )
    system.add_region( id = data().Region_Zaun[2], x1 = 241.00, y1 = 300.00, x2 = 269.00, y2 = 472.00 )
    system.add_region( id = data().Region_Zaun[3], x1 = 269.00, y1 = 293.00, x2 = 292.00, y2 = 485.00 )
    system.add_region( id = data().Region_Zaun[4], x1 = 292.00, y1 = 292.00, x2 = 315.00, y2 = 490.00 )
    system.add_region( id = data().Region_Zaun[5], x1 = 315.00, y1 = 292.00, x2 = 338.00, y2 = 490.00 )
    system.add_region( id = data().Region_Zaun[6], x1 = 338.00, y1 = 295.00, x2 = 361.00, y2 = 490.00 )
    system.add_region( id = data().Region_Zaun[7], x1 = 361.00, y1 = 300.00, x2 = 384.00, y2 = 490.00 )
    system.add_region( id = data().Region_Zaun[8], x1 = 384.00, y1 = 320.00, x2 = 407.00, y2 = 480.00 )
#system.add_region( id = data().Region_Zaun[9], x1 = 407.00, y1 = 330.00, x2 = 432.00, y2 = 395.00 )
    for R in data().Region_Zaun:
        system.notify_region_entered(region=R, objectid="ALTER_EGO", partyid=None, permanent=False)
    
    system.add_region( id = data().Region_Platz, x1 = 300.00, y1 = 365.00, x2 = 330.00, y2 = 395.00 )
    system.notify_region_entered(region=data().Region_Platz, objectid="ALTER_EGO", partyid=None, permanent=False)
    
    system.add_region( id = data().Region_AufgespiesstesAuto, x1 = 564.90, y1 = 251.70, x2 = 590.60, y2 = 297.70 )
    system.notify_region_entered(region=data().Region_AufgespiesstesAuto, objectid="ALTER_EGO", partyid=None, permanent=False)
    
    system.add_region( id = data().Region_HFL_Fern, x1 = 612.00, y1 = 377.00, x2 = 533.00, y2 = 456.00 )
    system.notify_region_entered(region=data().Region_HFL_Fern, objectid=None, partyid="UISPIELER", permanent=False)
    system.add_region( id = data().Region_HFLOut, x1 = 580.00, y1 = 400.00, x2 = 585.00, y2 = 399.00 )
    system.add_region( id = data().Region_HFL, x1 = 560.00, y1 = 400.00, x2 = 585.00, y2 = 430.00 )
    system.notify_region_entered(region=data().Region_HFL, objectid='ALTER_EGO', partyid=None, permanent=True)
    system.add_region( id = data().Region_Eselgrab, x1 = 576.00, y1 = 413.00, x2 = 584.00, y2 = 420.00 )

    system.add_region( id = 'Region_Minenfeld', x1 = 610.00, y1 = 378.00, x2 = 535.00, y2 = 455.00 )
    system.notify_region_entered(region='Region_Minenfeld', objectid=None, partyid="UISPIELER", permanent=True)
    
    system.add_region( id = data().Region_Hoehle, x1 = 537.50, y1 = 493.00, x2 = 550.00, y2 = 513.00 )
    system.notify_region_entered(region=data().Region_Hoehle, objectid='ALTER_EGO', partyid=None, permanent=True)
    
    system.add_region( id = data().Region_GeneratorFern, x1 = 410.00, y1 = 534.35, x2 = 438.84, y2 = 548.00 )
    system.notify_region_entered(region=data().Region_GeneratorFern, objectid=None, partyid="UISPIELER", permanent=False)
    
    system.add_region( id = 'Region_Shantis_Varane', x1 = 660.23, y1 = 227.84, x2 = 654.98, y2 = 222.53 )
    system.notify_region_entered(region='Region_Shantis_Varane', objectid='ALTER_EGO', permanent=False)
    
    system.add_region("REGION_BUGGY", 278.29, 463.58, 263.69, 446.46)
    system.notify_region_entered(region='REGION_BUGGY', objectid='ALTER_EGO')

    system.add_region( id = 'WACHEN_TOR_1', x1 = 421.00, y1 = 338.82, x2 = 437.80, y2 = 355.44 )
    system.notify_region_entered(region='WACHEN_TOR_1', partyid="UISPIELER", permanent=False)
    
    system.add_region("REGION_SHANTIS_HAUS", 638.21, 210.02, 682.69, 233.07)

    system.add_region("KRANKENZIMMER",290,307,308,333)
    system.notify_region_entered("KRANKENZIMMER", partyid="UISPIELER")

def initFoes():
    pass
    
        
def initExitZones():
    system.add_region( id = "REGION_EXIT_NORD", x1 = 0.00, y1 = 0.00, x2 = 789.00, y2 = 202.00 )
    system.register_exit(regionname = "REGION_EXIT_NORD" )
    system.add_region( id = "REGION_EXIT_SUED", x1 = 789.00, y1 = 767.00, x2 = 202.00, y2 = 564.00 )
    system.register_exit(regionname = "REGION_EXIT_SUED" )
    system.add_region( id = "REGION_EXIT_WEST", x1 = 0.00, y1 = 767.00, x2 = 202.00, y2 = 202.00 )
    system.register_exit(regionname = "REGION_EXIT_WEST" )
    system.add_region( id = "REGION_EXIT_OST", x1 = 991.00, y1 = 0.0, x2 = 789.00, y2 = 767.00 )
    system.register_exit(regionname = "REGION_EXIT_OST" )

def initFX():
    fxLagerFeuer("ZONE_8_BUILDING_9379")
    fxLagerFeuer("ZONE_8_BUILDING_9363")
    fxLagerFeuer("ZONE_8_BUILDING_9362")
    fxLagerFeuer("ZONE_8_BUILDING_9361")
    fxLagerFeuer("ZONE_8_BUILDING_9360")
    fxLagerFeuer("ZONE_8_BUILDING_1157")
    fxLagerFeuer("ZONE_8_BUILDING_9511")
    fxLagerFeuer("ZONE_8_BUILDING_11687")
    fxLagerFeuer("ZONE_8_BUILDING_11685")
    fxLagerFeuer("ZONE_8_BUILDING_11684")
    fxLagerFeuer("ZONE_8_BUILDING_11683")
    fxLagerFeuer("ZONE_8_BUILDING_11577")
    fxLagerFeuer("ZONE_8_BUILDING_11648")
#Lagerfeuer_klein
    fxLagerFeuer("ZONE_8_BUILDING_13833")
    fxLagerFeuer("ZONE_8_BUILDING_13783")

def initItems():
#Main-Quest-Items
#in Kiste beim Schrottauto von HFL
    object.create_item_in_inventory(object='ZONE_8_BUILDING_5691', equipment='SET_TOBACCO', id=data().Tabak)
    object.set_attribute(data().Tabak,"generic_item", False)
    
    object.create_item_in_inventory('ANGUS','SET_RAT_MEAT', data().Rattenfleisch)
    object.set_attribute(data().Rattenfleisch,"generic_item", False)
    
    object.create_item_in_inventory('ANGUS','SET_CHILDBIRTH_KIT', data().Geburtskit)
    object.set_attribute(data().Geburtskit,"generic_item", False)
    
    n=0
    for R in system.get_pcs():
        object.create_item_in_inventory(object='ZONE_8_BUILDING_5691', equipment='SET_OVERALL', id=data().Blaumaenner[n])
        object.set_attribute(data().Blaumaenner[n],"generic_item", False)
        n+=1
        
    object.create_item_in_inventory('REMUS','SET_BUCKET_WITH_SAND_GLUE', data().SandKleber)
    object.set_attribute(data().SandKleber,"generic_item", False)
    
    object.create_item_in_inventory('AARON','SET_BEGGING_LETTER', data().BettelBrief)
    object.set_attribute(data().BettelBrief,"generic_item", False)
    
#somstige Items aus dem Items and Animals Doc
    object.create_item_in_inventory(object='ZONE_8_BUILDING_343', equipment='SET_IRON_BAR')
    object.create_item_in_inventory(object='ZONE_8_BUILDING_363', equipment=['SET_MAP', 'SET_STRATEGY_MAPS'])
    object.create_item_in_inventory(object='ZONE_8_BUILDING_364', equipment='SET_HAIRSTYLE_MAGAZINE')
    object.create_item_in_inventory(object='ZONE_8_BUILDING_365', equipment='SET_TEDDY_BEAR')
    object.create_item_in_inventory(object='ZONE_8_BUILDING_390', equipment='SET_RED_SHARD')
    object.create_item_in_inventory(object='ZONE_8_BUILDING_391', equipment='SET_WIRE_WHISK')
    object.create_item_in_inventory(object='ZONE_8_BUILDING_913', equipment=["SET_HK_CAWS","SET_AMMOPACK_3_12_MM","SET_AMMOPACK_3_12_MM"])
    object.create_item_in_inventory(object='ZONE_8_BUILDING_914', equipment=["SET_NORMAL_CLOTHES_4"])
    object.create_item_in_inventory(object='ZONE_8_BUILDING_1027', equipment=['SET_PLATE_GLOVES','SET_REMINGTON_M870'])
    object.create_item_in_inventory(object='ZONE_8_BUILDING_1105', equipment=['SET_MEDIPACK_BIG', 'SET_WATERING_CAN'])
    object.create_item_in_inventory(object='ZONE_8_BUILDING_1192', equipment=['SET_LONG_LEATHER_STRING'])
    object.create_item_in_inventory(object='ZONE_8_BUILDING_1364', equipment=['SET_MEAT_RAW','SET_MEAT_RAW','SET_MEAT_RAW'])
    object.create_item_in_inventory(object='ZONE_8_BUILDING_1365', equipment=['SET_MEAT_RAW_SMALL'])
    object.create_item_in_inventory(object='ZONE_8_BUILDING_1366', equipment=['SET_MEAT_RAW_SMALL'])
    object.create_item_in_inventory(object='ZONE_8_BUILDING_1369', equipment=['SET_NORMAL_CLOTHES_5'])
    object.create_item_in_inventory(object='ZONE_8_BUILDING_1371', equipment=['SET_LOW_SHOES'])
    object.create_item_in_inventory(object='ZONE_8_BUILDING_1717', equipment=['SET_STAPLE_GUN','SET_BROKEN_SHOVEL'])
    object.create_item_in_inventory(object='ZONE_8_BUILDING_1882', equipment=["SET_AKSU74","SET_AMMOPACK_5_45_MM","SET_AMMOPACK_5_45_MM"])
    object.create_item_in_inventory(object='ZONE_8_BUILDING_2388', equipment=['SET_MEAT_RAW_SMALL'])
    object.create_item_in_inventory(object='ZONE_8_BUILDING_1217', equipment=["SET_REMINGTON_M870"])
    object.create_item_in_inventory(object='ZONE_8_BUILDING_1218', equipment=["SET_AMMOPACK_2_12_MM","SET_AMMOPACK_2_12_MM"])
    object.create_item_in_inventory(object='ZONE_8_BUILDING_1219', equipment=['SET_RING', 'SET_NORMAL_CLOTHES_3'])
    object.create_item_in_inventory(object='ZONE_8_BUILDING_121', equipment=['SET_WATER_SKIN'])
    object.create_item_in_inventory(object='ZONE_8_BUILDING_122', equipment=['SET_WATER_SKIN'])
    object.create_item_in_inventory(object='ZONE_8_BUILDING_124', equipment=['SET_WATER_SKIN'])
    object.create_item_in_inventory(object='ZONE_8_BUILDING_643', equipment=['SET_CAR_EXHAUST_PIPE'])
    object.create_item_in_inventory(object='ZONE_8_BUILDING_1623', equipment=['SET_PLATE_GLOVES'])
    object.create_item_in_inventory(object='ZONE_8_BUILDING_1738', equipment=['SET_ELECTROSHOCKER'])
    object.create_item_in_inventory(object='ZONE_8_BUILDING_1747', equipment=['SET_SOAP'])
    object.create_item_in_inventory(object='ZONE_8_BUILDING_1748', equipment=['SET_TOOTHBRUSH', 'SET_BROKEN_SHOVEL'])
    object.create_item_in_inventory(object='ZONE_8_BUILDING_2324', equipment=['SET_BUCKET_WITH_VASELINE', 'SET_BIGUCHU'])
    object.create_item_in_inventory(object='ZONE_8_BUILDING_715', equipment=['SET_CAR_BATTERY', 'SET_BUG'])
    
    object.create_item_in_inventory(object='AARON', equipment=['SET_MAP', 'SET_LASERPOINTER'])
    object.create_item_in_inventory(object='REMUS', equipment=['SET_PAN'])
    object.create_item_in_inventory(object='FAIR', equipment=['SET_WATER_BOTTLE', 'SET_TEDDY_BEAR'])
    object.create_item_in_inventory(object='MATILDA', equipment=['SET_LEATHER_BOOTS'])
    object.create_item_in_inventory(object='LOU', equipment=['SET_RING', 'SET_BUCKET_WITH_VASELINE'])
    object.create_item_in_inventory(object='AGNES', equipment=['SET_VALIUM', 'SET_DRUGS_SYRINGE'])
    
# Bienenstöcke Z8
    object.create_item_in_inventory( 'BUILDING_19610', equipment=[ 'SET_BEESWAX' ] )
    object.create_item_in_inventory( 'BUILDING_19609', equipment=[ 'SET_BEESWAX', 'SET_BEESWAX' ] )
    object.create_item_in_inventory( 'BUILDING_19616', equipment=[ 'SET_BEESWAX' ] )
    object.create_item_in_inventory( 'BUILDING_19623', equipment=[ 'SET_BEESWAX' ] )

# Items in Kisten
    object.create_item_in_inventory( 'BUILDING_19464', equipment=[ 'SET_SILENCER', 'SET_HK_USP_45_W_SILENCER', 'SET_HEGRENADE' ] )
    object.create_item_in_inventory( 'BUILDING_19465', equipment=[ 'SET_AMMOPACK_45_SUBSONIC', 'SET_SHURIKEN', 'SET_AMMOPACK_5_7_MM_DUMDUM' ] )
    object.create_item_in_inventory( 'BUILDING_19516', equipment=[ 'SET_M46_HEAVY_ARMOR', 'SET_GRAPHICS_CARD', 'SET_DIESEL' ] )
    object.create_item_in_inventory( 'BUILDING_19518', equipment=[ 'SET_MEAT_RAW', 'SET_MULTI_MEDIPACK', 'SET_GAS_CANISTER' ] )
    object.create_item_in_inventory( 'BUILDING_19531', equipment=[ 'SET_DIESEL', 'SET_APPLE', 'SET_AMMOPACK_9_MM_SUBSONIC' ] )
    object.create_item_in_inventory( 'BUILDING_19536', equipment=[ 'SET_AMMOPACK_3_12_MM', 'SET_DART', 'SET_SILENCER' ] )
    object.create_item_in_inventory( 'BUILDING_19547', equipment=[ 'SET_HEGRENADE', 'SET_P90_SMG_W_SILENCER', 'SET_AK_47_SAWED_OFF_BROWNING_B_SS_DOUBLE_BARREL' ] )
    object.create_item_in_inventory( 'BUILDING_14267', equipment=[ 'SET_AMMOPACK_45', 'SET_DT21_LIGHT_ARMOR', 'SET_PLASTIC_BOWL' ] )
    object.create_item_in_inventory( 'BUILDING_19560', equipment=[ 'SET_DT21_GAUNTLETS', 'SET_WATER_CAN', 'SET_CHAIN_SAW' ] )
    object.create_item_in_inventory( 'BUILDING_19561', equipment=[ 'SET_CALICO_M900_W_SILENCER', 'SET_BOOMERANG', 'SET_HK_CAWS' ] )
    object.create_item_in_inventory( 'BUILDING_19562', equipment=[ 'SET_C4_TIMEBASED_W_NAILS', 'SET_SILENCER', 'SET_AMMOPACK_45' ] )


def initHerbs():
    system.create_object(equipmenttype="SET_ALOE_VERA", x=572.41, y=541.63)
    system.create_object(equipmenttype="SET_WOOD_GARLIC", x=441.03, y=366.93)
    system.create_object(equipmenttype="SET_WOOD_GARLIC", x=372.52, y=548.70)
    system.create_object(equipmenttype="SET_WOOD_GARLIC", x=700.44, y=212.66)
    system.create_object(equipmenttype="SET_WOOD_GARLIC", x=559.49, y=325.83)
    system.create_object(equipmenttype="SET_BURNET", x=429.76, y=422.76)
    system.create_object(equipmenttype="SET_BURNET", x=289.90, y=558.52)
    system.create_object(equipmenttype="SET_ANGELICA", x=421.24, y=379.40)

def initWaterResources():
    water.set_water_source(540.4, 503.5, 4)
    water.set_water_source(301.5, 345.6, 1)
    water.set_water_source(238.3, 433.8, 1)

def initZoneObjects():
    system.create_object('RES3D_TRES_OBJECTS_BUILDING_TOR_OPEN', x = 426.62, y = 351.27, id = data().TorAuf, direction = 47)
    object.set_active_state(data().TorAuf, False)
    pass
#################        on- und can- Funktionen##################################
def on_post_load():
    initFX()
    schedules.init_schedules()
    init_patch()
    
def on_attack(operator_id, target_id):
# sind nicht mehr angreifbar

    if target_id in ["SOMA","AURA"]:
        if ((not system.get_qb_entry_state(data().QB_001) == COMPLETE) and
            (not object.is_destroyed(object='SHANTI'))):
            if object.get_distance('ALTER_EGO','SHANTI') < 20.0:
                object.cancel_commandos(operator_id)
#print "ShantiSauer"
                data().ShantiSauer=True
                    
    elif target_id in data().BasisWachen:
        Alarm()
    
    elif target_id in data().FitnessWachen:
        for n in data().FitnessWachen:
            object.set_attribute(object=n, attribute="foes", value=["UISPIELER"])
            
    elif (target_id=='ALTER_EGO' and operator_id=='ABEL'):
        if not hasattr(data(), "ae_erschossen"):
            data().ae_erschossen = True
            object.cancel_commandos('ANIE')
            object.set_immortal_state("ALTER_EGO", False)
            object.destroy('ALTER_EGO')
            character.change_body_mode('ANIE', 'LIE')
            if system.is_cutscene():
                dynamic_camera.end_cutscene()
        
def on_object_killed(victim, attacker, weapon_type, weapon_id):
    if (victim == "SHANTI"):
        dialogs.initCutscene_166_ShantiVerfluchtSpieler()
        if data().BringtTier:
            data().BringtTier=False
            system.set_qb_entry_state(id=data().QB_004, state=globals.IMPOSSIBLE)
        object.set_immortal_state("AURA",False)
        object.set_immortal_state("SOMA",False)
        object.set_attribute(object='SOMA', attribute='foes', value=system.get_pcs())
        object.set_attribute(object='AURA', attribute='foes', value=system.get_pcs())
        system.notify_timer(data().Timer_ShantisFluch1, data().Timervalue_ShantisFluch1u2)
    
    elif (victim in data().FitnessWachen):
        data().WachenTod+=1
        if(data().WachenTod == 8):
            data().HillaryWirft = True
            dialogs.initDlg_071_AlleFitnessWachenTod()
            system.notify_region_entered(region=data().Region_FitnesscenterEingang, objectid="ALTER_EGO", partyid=None, permanent=False)
# Hillary wirft Ihr Balg
            object.cancel_commandos('HILLARY')
            object.step_away('HILLARY')
            object.move_to(object="HILLARY", x=430, y=490, speed=globals.MT_SLOW, callback=["ONEND",Lambda('onHillaryLayDownToBirth("HILLARY")')])
            system.notify_region_entered(region=data().Region_Schwangere, objectid="ALTER_EGO", partyid=None, permanent=False)
    
    elif object.has_attribute(victim,'skin'):
        if(object.get_attribute(object=victim, attribute='skin')=='grey'):
            data().SchattenKilled+=1
    
    object_events.on_object_killed(victim, attacker, weapon_type, weapon_id)
        
def onHillaryLayDownToBirth(id=None):
    character.play_animation(char='HILLARY', animation='CM_NPC_SCHWANGER_HINSEZTZEN', callback = ['ONEND', onHillaryLayingToBirth])
    data().BeiHillaryKnien=True
    object.move_to_object("FAIR", 'HILLARY')
    object.turn_to_object(object="FAIR", target_object="HILLARY")
    object.move_to_object("MATILDA", 'HILLARY')
    object.turn_to_object(object="MATILDA", target_object="HILLARY")
    
def onHillaryLayingToBirth(id):
    if not object.is_destroyed('HILLARY'):
        character.play_animation(char='HILLARY', animation='CM_NPC_SCHWANGER_LOOP', callback=["ONEND",onHillaryLayingToBirth])
    
def onBeiHillaryKnien(id):
    data().BeiHillaryKnien=True
    
def on_approach(target,operator):
    if not object_events.on_approach(target, operator):
        dialogs.on_approach(target, operator)
    
def on_enter_region(id, objectid, partyid ):
#print '[debug on_enter_region: id = "%s", objectid = "%s", partyid= "%s" ]'%(id, objectid, partyid)
# non-permanent triggers: objectid is list of all chars in region
    if not hasattr(data(), "last_region_entered"):
        data().last_region_entered = None
    if id not in ["WACHEN_TOR_1","BASIS_AUSGANG"]:
        if data().last_region_entered != None:
            if data().last_region_entered == id:
                return False
        data().last_region_entered = id
    
    objects=None
    if isinstance(objectid,list):
        objects=objectid
        if len(objectid): objectid=objectid[0]
        else: return
    
    if id == "KRANKENZIMMER":
        if not data().player_knows_Krankenzimmer:
            data().player_knows_Krankenzimmer = True
            system.add_minimap_marker(298.39, 321.43,"MM_008")# Krankenzimmer
    
    if id == "REGION_BUGGY":
        object.cancel_commandos(objectid)
        object.turn_to_object(objectid, "Z8 BUGGY")
        dialogs.initDlg_210_SpielerUntersuchtBuggy()
    
    if (id == data().Region_AufgespiesstesAuto):
        if data().Erstemal:
            data().Erstemal = False
            for pc in system.get_pcs():
                object.turn_to_object( pc , 'ZONE_8_BUILDING_2498')
            object.turn_to_object('ANIE', 'ZONE_8_BUILDING_2498', callback=['ONEND', AnieSchocken])
    
    if id == 'WACHEN_TOR_1' and not data().player_knows_Eingang_Basis:
        data().player_knows_Eingang_Basis = True
        system.add_minimap_marker(426.92, 351.01,"MM_007")# Eingang zur Basis
    
    if ((id == 'WACHEN_TOR_1' or id == 'BASIS_AUSGANG') and data().BruchMitHayes) and not data().Tor_Auf_Und_Bleibt_Auf:
        data().Tor_Auf_Und_Bleibt_Auf = True
        if not data().TorIstAuf:
            data().TorIstAuf = True
            object.set_active_state(object='Z8 OBJECTS_BUILDING_TOR_OPEN', state=True)
            object.set_active_state(object='ZONE_8_BUILDING_9584', state=False)
            object.play_animation(object='Z8 OBJECTS_BUILDING_TOR_OPEN', animation='ANIM_TOR_OPEN')
        return None
    
    if id == 'WACHEN_TOR_1' and not data().WACHEN_TOR_1_Betreten and not data().BruchMitHayes:
        if object.is_destroyed("TORWACHE2") or object.is_destroyed("TORWACHE2"):
            return False
            
        if data().Alarm_Ausgeloest:
            return False
        
        if objectid in data().BlueManGroup_In_Basis:
            if not data().Group_Region_Verlassen:
                enemy_script.delay(2, Lambda('system.notify_region_entered(region= "WACHEN_TOR_1", partyid = "UISPIELER", permanent=False)'))
                return None
            for char in data().Group_Region_Verlassen:
                try:
                    data().BlueManGroup_In_Basis.remove(char)
                except:
                    pass
            data().Group_Region_Verlassen = []
            return None
        
        data().BlueManGroup = []
        data().BlueManGroup = enemy_script.is_in_area(system.get_pcs(), 10, objectid)
        
        if Blaumann_An() and ('ALTER_EGO' in data().BlueManGroup or data().QuestWeg):
            if not data().QuestWeg:
                dialogs.initCutscene_056_SpielerBetrittBasisMitBlaumaennern()
            else:
                dialogs.initCutscene_060_SpielerBetrittBasisNochmalMitBlaumaennern()
        else:
            data().WACHEN_TOR_1_Betreten = True
            if objectid == 'ALTER_EGO' or enemy_script.is_in_area(['ALTER_EGO'], 7, objectid):
                if(not data().Plan):
                    if(data().TorwachenAnsprechen==0):
                        dialogs.initCutscene_194_SpielerQuatschtMitWachenOhnePlan()
                    elif(data().TorwachenAnsprechen==1):
                        dialogs.initCutscene_054_SpielerQuatschtMitWachenNochmalOhnePlan()
                    elif(data().TorwachenAnsprechen==2):
                        dialogs.initDlg_141_SchattenwachenVerlierenGeduld()
                elif data().Plan:
                    dialogs.initCutscene_209_Fuer_Alle_Faelle(objectid)
            else:
                dialogs.initCutscene_209_Fuer_Alle_Faelle(objectid)
        
    if (id == 'BASIS_AUSGANG') and not data().Alarm_Ausgeloest and not data().BruchMitHayes: 
        if objectid not in data().BlueManGroup_In_Basis:
            data().BlueManGroup_In_Basis.append(objectid)
#print 'region neu'
            system.notify_region_entered(region= 'BASIS_AUSGANG', partyid = 'UISPIELER', permanent=False)
            return None
        elif objectid in data().BlueManGroup_In_Basis:
            if not system.is_cutscene():
                data().Group_Region_Verlassen = enemy_script.is_in_area(system.get_pcs(), 10, objectid)
                Basis_Verlassen()
                
    if (id == data().Region_FitnesscenterFern)and(not system.get_qb_entry_state(data().QB_001)==globals.COMPLETE):
        for R in system.get_pcs():
            object.cancel_commandos(object=R)
        if data().ZaunGesehen:
            dialogs.initDlg_178_SpielerWundertSichUeberFitnesscenter()
        else:
            dialogs.initDlg_061_SpielerSiehtFitnesscenterErsteMal()
        data().FitnesscenterGesehen=True
    
    if(id==data().Region_GeneratorFern) and (not system.get_qb_entry_state(data().QB_001)==COMPLETE):
        gruppe=enemy_script.is_in_area(group=system.get_pcs(), radius=20, object_id=objectid)
        for R in gruppe:
            object.cancel_commandos(object=R)
        PC=enemy_script.check_char_skill(group=gruppe, attribut='technic', skill=75)
        if(PC):
            if data().ZaunGesehen:
                dialogs.initDlg_062_SpielerMitTechnickskillNaheGenerator(PC)
            else:
                 dialogs.initDlg_201_SpielerMitTechnickskillNaheGeneratorOhneZaun(PC)
        else:
            dialogs.initDlg_065_SpielerOhneTechnickskillNaheGenerator(objectid)
    
    if (id == data().Region_FitnesscenterNahe):
        if not data().player_knows_Fitnesscenter:
            data().player_knows_Fitnesscenter = True
            system.add_minimap_marker(441.89, 486.47,"MM_004")# Fitnesscenter
        if (not system.get_qb_entry_state(data().QB_001)==globals.COMPLETE):
            for R in system.get_pcs():
                object.cancel_commandos(object=R)
            if (data().WachenTod<8):
                for R in data().Region_FitnesscenterOut:
                    system.notify_region_entered(region=R, objectid="ALTER_EGO", partyid=None, permanent=False)
            if ((data().WachenTod==0) or (not data().WachenAEGesehen)):
                dialogs.initDlg_064_DialogeImFitnesscenterVorSabotage()
        if (data().BruchMitHayes):
            for R in data().Region_FitnesscenterOut:
                system.notify_region_entered(region=R, objectid="ALTER_EGO", partyid=None, permanent=False)
            data().Anfeuern=True
            system.notify_timer(data().Timer_Anfeuern,data().Timervalue_Anfeuern)
            
    if(id in data().Region_FitnesscenterOut) and not data().Region_FitnesscenterOut_Betreten:
        data().Region_FitnesscenterOut_Betreten = True
        if(dialog.is_dialog_active()):
            for Dialog in data().DialogActive:
#print Dialog
#print 'DialogEnde FCOut'
                dialog.jump_to(follower='ENDDIALOG', dialog_id=Dialog)
                dialogs.DialogEnfID(Dialog)
        if (data().BruchMitHayes):
            data().Anfeuern=False
        if(system.get_qb_entry_state(data().QB_002)==globals.UNCOMPLETE):
            if(data().WachenTod<8):
#print data().WachenTod
                dialogs.initDlg_069_SpielerUeberlegtNaechsteSchritte()    
            elif(data().WachenTod==8):
                dialogs.initDlg_207_SpielerUeberlegtNaechsteSchritteWachenTod()
    
    if (id == data().Region_FitnesscenterEingang and not data().Region_FitnesscenterEingangBetreten):
        data().Region_FitnesscenterEingangBetreten = True
        if(data().WachenTod==8):
            dialogs.initCutscene_072_SpielerHatWachenGetoetet()
            
    if (id == data().Region_Schwangere and not data().Region_FitnesscenterEingangBetreten and not data().Cutscene_072_SpielerHatWachenGetoetetGelaufen):
        data().Region_FitnesscenterEingangBetreten = True
        if data().WachenTod == 8:
            dialogs.initCutscene_072_SpielerHatWachenGetoetet()
        
    if (id == data().Region_Schwangere and data().Cutscene_072_SpielerHatWachenGetoetetGelaufen and not data().Region_SchwangereBetreten):
        data().Region_SchwangereBetreten = True
        object.cancel_commandos(object='ALTER_EGO')
        dialogs.initDlg_073_SpielerHatWachenGetoetetUndGefangeneSprechenIhnAn()
        
    if (id == data().Region_SchwangereOut):
        dialogs.initDlg_081_SpielerVerlaesstGeburtsort()
        
    if (id in data().Region_Zaun) and not objectid in data().BlueManGroup_In_Basis and not data().Alarm_Ausgeloest:
        if((not data().FitnesscenterGesehen) and (not data().ZaunGesehen)and(not (( system.get_qb_entry_state(data().QB_006)==globals.COMPLETE)or(system.get_qb_entry_state(data().QB_002)==globals.COMPLETE)))):
            for R in system.get_pcs():
                object.cancel_commandos(object=R)
            system.set_qb_entry_state(data().QB_002, UNCOMPLETE)
            dialogs.initDlg_093_SpielerUntersuchtZaunOhneAhnung()
            data().ZaunGesehen=True
            
    if (id == data().Region_Platz):
        
        if not data().TorIstAuf:
            OpenTor()
        
        if not data().player_knows_Versammlungsplatz:
            data().player_knows_Versammlungsplatz = True
            system.add_minimap_marker(315.00, 379.20,"MM_005")# Versammlungsplatz
        
        for R in system.get_pcs():
                object.cancel_commandos(object=R)
        
        for id in system.get_pcs():
            object.set_immortal_state(id, True)
## alle schatten sind schon da, trallali und trallala
        for shadow in system.get_npcs():
            if object.has_attribute(shadow,"skin"):
                if object.get_attribute(shadow, "skin") == "grey":
                    object.cancel_commandos(shadow)
                    object.set_immortal_state(shadow, True)
                    if object.has_attribute(shadow, "foes"):
                        foes = object.get_attribute(shadow, "foes")
                        object.set_attribute(shadow, "foes", None)
                        object.set_attribute(shadow, "old_foes", foes)
                        object.cancel_commandos(shadow)
                    else:
                        if object.has_attribute(shadow, "cutscene_temp_foes"):
                            foes = object.get_attribute(shadow, "cutscene_temp_foes")
                            object.set_attribute(shadow, "cutscene_temp_foes", None)
                            object.set_attribute(shadow, "old_foes", foes)
                            object.cancel_commandos(shadow)
#enemy_script.delay(1.0, Lambda('object.cancel_commandos("%s")' %(shadow)))
        enemy_script.delay(2.0, Lambda('on_base_entered_remortal_pcs()'))
        system.notify_region_entered(region=data().Region_FitnesscenterNahe, objectid="ALTER_EGO", partyid=None, permanent=False)
        system.notify_timer(data().Timer_AufPlatz,data().Timervalue_AufPlatz)# Nach 6Sekunden kommt Anie
        
        dialogs.initDlg_066_SpielerAmVersammlungsplatz()
        
        if(data().WachenTod > 0):
            for R in data().FitnessWachen:
                if object.is_destroyed(R):
                    ersatz=R+'e'
                    object.set_active_state(object=R, state=False)
                    object.set_active_state(object=ersatz, state=True)
        
        for n in data().FitnessWachen:
            character.set_approachable_state(n, APPROACHABLE)
            object.set_attribute(object=n, attribute='foes', value=None)
        
        for n in data().BasisWachen:
            if object.has_attribute(n, 'foes'):
                object.set_attribute(object=n, attribute='foes', value=None)
                object.cancel_commandos(n)
            
        character.set_approachable_state("TORWACHE1", NOTAPPROACHABLE)
        character.set_approachable_state("TORWACHE2", NOTAPPROACHABLE)
        
        object.set_active_state(object='ANIE', state=True)
        
        if (not data().anie_got_hurt):
            object.set_active_state(object=data().anie_escorting_char, state=True)
    
## wenn man irgendwo bei HFL reinkommt
    if ((object.exists(object='FUN') and 
        object.exists(object='LICKIT') and 
        object.exists(object='HONEST')) and 
        (data().HFLFeindlich==False)):
        
        check_player_leave_hfl_region(obj=objectid, obj_list=objects, region=id)
        
        if (id==data().Region_HFL_Fern):
            if (system.get_qb_entry_state(data().QB_003)==INACTIVE):
                for R in system.get_pcs():
                    object.cancel_commandos(R)
                dialogs.initCutscene_015_HFLQuasseln()
        
        elif (id==data().Region_HFLOut):
            if system.get_qb_entry_state(id=data().QB_004)==UNCOMPLETE and (not data().BringtTier):
                data().BrauchTier=True
            if data().BringtTier:
                data().MitSomaBeiHFL=False
            if (not system.is_cutscene()) and (not data().HFLGesprochen):
                if(dialog.is_dialog_active()):
                    for Dialog in data().DialogActive:
#print Dialog
#print 'Dialog Ende bei HFLOut'
                        dialog.jump_to(follower='ENDDIALOG', dialog_id=Dialog)
                        dialogs.DialogEnfID(Dialog)
                dialogs.on_dialog_011_ende_2()
        
## checker - minenfeld
        elif check_player_in_hfl_minefield(region=id, char=objectid):
                MineKaBumm(objectid)
                if not dialog.is_dialog_active() and not (system.get_qb_entry_state(data().QB_004) == UNCOMPLETE or system.get_qb_entry_state(data().QB_005) == UNCOMPLETE or data().BringtTier):
                    dialogs.initDlg_074_SpielerTrittAufMine(objectid)
                object.damage(object=objectid, damage=2)
                if objectid in system.get_pcs():
                    for pc in system.get_pcs():
                        if not object.is_destroyed(pc):
                            object.cancel_commandos(pc)
                            object.turn_to_object(pc, objectid)
        
## altes minenfeld -> nurnoch questtrigger
        elif (id == 'Region_Minenfeld'):
            
            if system.get_qb_entry_state(id=data().QB_004)==globals.UNCOMPLETE and (not data().BringtTier):
                data().BrauchTier=True
            
            if (not data().NoBoom):
                pcs = system.get_pcs()
#print ">>> minefield -> pcs", pcs
                if (system.get_qb_entry_state(data().QB_003)==globals.INACTIVE):
#dialogs.initDlg_074_SpielerTrittAufMine()
                    pass # geloest in siehe ein trigger vorher
                else:
                    if(dialog.is_dialog_active() and (not system.is_cutscene())):
                        for Dialog in data().DialogActive:
#print Dialog
#print 'DialogEnde Minenfeld'
                            dialog.jump_to(follower='ENDDIALOG', dialog_id=Dialog)
                            dialogs.DialogEnfID(Dialog)
                        dialogs.on_dialog_011_ende_2()
        
        elif (id == data().Region_HFL):
            if (not dialog.is_dialog_active() and not system.is_cutscene()):
                if (system.get_qb_entry_state(data().QB_003)==UNCOMPLETE) and (not data().HFLbesucht):
                    system.notify_region_entered(region=data().Region_HFLOut, objectid='ALTER_EGO', partyid=None, permanent=False)
                    dialogs.initDlg_011_HFLTrauern()
                elif (data().BrauchTier and (not data().BrauchFleisch)):
                    if data().HFLWartenAufTier:
                        dialogs.initDlg_014_SpielerHatImmernochKeinTier()
                    else:
                        dialogs.initDlg_013_SpielerHatKeinTier()
                elif (data().BringtTier):
                    if check_soma_in_range():
                        if not system.is_cutscene() and not dialog.is_dialog_active():
                            dialogs.initCutscene_016_SpielerBringtSomaMitZuHFL()
                        else:
                            system.notify_timer(data().Timer_MitSomaBeiHFL, data().Timervalue_MitSomaBeiHFL)
                    else:
                        system.notify_region_entered(region=data().Region_HFLOut, objectid='ALTER_EGO', partyid=None, permanent=False)
                        data().MitSomaBeiHFL=True
                        system.notify_timer(data().Timer_MitSomaBeiHFL, data().Timervalue_MitSomaBeiHFL)
    
    if  (id == data().Region_HFL) and data().HFLGefressen and (not dialog.is_dialog_active()):
        dialogs.initDlg_017_SpielerLangeNachQuestendeBeiHFL()
        
# shantis hoehle
    if(id==data().Region_Hoehle):
## wenn shanti tot ist
        if(object.is_destroyed(object='SHANTI')):
            data().HoehleBesucht=True
            dialogs.initDlg_171_SpielerFindetHoehleVerfluchtVonShanti()
## wenn der spieler sich reinigen muss
        elif (data().SpiritCleaning==False):
            data().SpiritCleaning=True
            character.set_approachable_state('SHANTI', APPROACHABLE)
            dialogs.initCutscene_049_SpielerMussInHoehle()
## geburtsquest nicht fertig
        elif (system.get_qb_entry_state(data().QB_009)==UNCOMPLETE):
            dialogs.initDlg_193_SpielerFindetHoehleQB9Uncomplete()
## sonstiges
        elif data().KnowShanti:
            if data().WasAtCave:
                dialogs.initDlg_048_SpielerFindetHoehleNochmalWarBeiShanti()
            else:
                data().WasAtCave=True
                dialogs.initDlg_047_SpielerFindetHoehleWarBeiShanti()
        else:
            dialogs.initDlg_046_SpielerFindetHoehleWeissNichts()
    
    
    if id == 'WACHEN_TOR_2' and not data().Alarm_Ausgeloest and data().Draussen and not data().BasisBetreten:
        if not object.is_destroyed("TORWACHE2") and not object.is_destroyed("TORWACHE2"):
            enemy_script.delay(2, Lambda('Basis_Betreten()'))
                    
    if(id==data().Region_TorwachenAusgang):
        gruppe=enemy_script.is_in_area(group=system.get_pcs(), radius=20, object_id='ALTER_EGO')
        system.get_qb_entry_state(id=data().QB_001)==globals.COMPLETE
        for R in gruppe:
            if (not (R in data().UeberZaun)):
                data().UeberZaun.append(R)
        if data().TorIstAuf:
            if object.has_attribute('TORWACHE1', 'foes'):
                if not (object.get_attribute('TORWACHE1', 'foes')==True):
                    CloseTor()
            else:
                CloseTor()
        elif data().BruchMitHayes:
            OpenTor()
        elif object.has_attribute('TORWACHE1', 'foes'):
            if not (object.get_attribute('TORWACHE1', 'foes')==True):
                OpenTor()
    
    if id == 'Region_Shantis_Varane':
        if not data().warane_nach_questannahme_gesehen:
            if system.get_qb_entry_state(data().QB_004) == UNCOMPLETE:
                data().warane_nach_questannahme_gesehen = True
                dialogs.initDlg_175_Spieler_Weiss_Von_Varanen()
            else:
                enemy_script.delay(15.0, Lambda("system.notify_region_entered(region='Region_Shantis_Varane', objectid='ALTER_EGO')"))
    
    if id == "REGION_SHANTIS_HAUS":
        if not data().kommentar_075_given:
            data().kommentar_075_given = True
            dialogs.initDlg_075_SpielerSuchtHebamme()

def Basis_Verlassen():
    system.start_cutscene()
    system.set_camera_view([422.7215576171875, 379.81683349609375, 16.932069778442383, 0.038369439542293549, -0.88323360681533813, -0.46736091375350952])
    object.set_active_state(object='Z8 OBJECTS_BUILDING_TOR_OPEN', state=True)
    object.set_active_state(object='ZONE_8_BUILDING_9584', state=False)
    object.play_animation(object='Z8 OBJECTS_BUILDING_TOR_OPEN', animation='ANIM_TOR_OPEN', callback = ['ONEND', Basis_Verlassen_1])
    
def Basis_Verlassen_1(id):
    leng = len(data().Group_Region_Verlassen)
    for char in data().Group_Region_Verlassen:
        object.move_to(char, 437.46, 333.20, callback = ['ONEND', Lambda('Basis_Verlassen_2("%s")'%leng)])
    
def Basis_Verlassen_2(leng):
    data().ZonenTrans += 1
    if data().ZonenTrans == string.atoi(leng):
        data().ZonenTrans = 0
        enemy_script.delay(1, Lambda('system.notify_region_entered(region="WACHEN_TOR_1", partyid = "UISPIELER", permanent=False)'))
        system.notify_region_entered(region= 'BASIS_AUSGANG', partyid = 'UISPIELER', permanent=False)
        Tuer_Zumachen()
        enemy_script.delay(2, Lambda('system.end_cutscene()'))
            
def on_base_entered_remortal_pcs():
    for id in system.get_pcs():
        object.set_immortal_state(id, False)

def Blaumann_An():
    for char in data().BlueManGroup:
#print char
        if object.get_attribute(char, 'clothes') != 'SET_OVERALL':
            return False
        else:
            pass
    return True

def Tuer_Zumachen():
    object.play_animation(object='Z8 OBJECTS_BUILDING_TOR_OPEN', animation='ANIM_TOR_CLOSE', callback = ['ONEND', Tuer_Zumachen_1])
    
def Tuer_Zumachen_1(id):
    data().Tor_Offen = False
    object.set_active_state(object='ZONE_8_BUILDING_9584', state=True)
    object.set_active_state(object='Z8 OBJECTS_BUILDING_TOR_OPEN', state=False)
    system.notify_region_entered(region= 'BASIS_AUSGANG', partyid = 'UISPIELER', permanent=False)

def on_timer(id):
    print '[debug: on_timer id = "%s"]'%id
    if (id==data().Timer_TorwachenAnsprache):
        system.notify_region_entered(region=data().Region_BasisEingang, objectid="ALTER_EGO", partyid=None, permanent=False)
        
    if (id==data().Timer_Alarm):
        if (not object.is_destroyed(object='BASISWACHE5')):
            object.move_to('BASISWACHE5',x=428.00,y=355.00)
            RoutedMoveTo(id='BASISWACHE5',route=[[428.00,355.00],[424.00,349.00]],patrol_type='loop',speed=MT_SLOW, cancel=False)
        if (not object.is_destroyed(object='BASISWACHE8')):
            object.move_to('BASISWACHE8',x=424.00,y=349.00)
            RoutedMoveTo(id='BASISWACHE8',route=[[424.00,349.00],[428.00,355.00]],patrol_type='loop',speed=MT_SLOW, cancel=False)
            
    if (id==data().Timer_HillaryInWehen):
        if enemy_script.is_in_area(group=system.get_pcs(), radius=20, object_id='HILLARY'):
            if (not system.get_qb_entry_state(data().QB_009)==COMPLETE):
# object.set_active_state(object='HILLARY', state=False)
                system.set_qb_entry_state(data().QB_009,IMPOSSIBLE)
                object.destroy('HILLARY')
        else:
            system.notify_timer(data().Timer_HillaryInWehen,data().Timervalue_HillaryInWehen)
        
    if (id==data().Timer_HillaryWirft):
        character.change_body_mode("SHANTI", "STAND")
        object.move_to('SHANTI', x = 660.50, y = 219.70, grid="landscape", callback=["ONEND", allow_activity])
        object.set_active_state("HILLARY", 0)
        data().BeiHillaryKnien = False
        
##TODO: TAs für Shantie, Fair und Matilda
        
    if (id==data().Timer_AufPlatz):
        if system.get_qb_entry_state(data().QB_001)==globals.UNCOMPLETE:
            if data().GeneratorAus:
                system.set_qb_entry_text(data().QB_001,id_reward="ZONE1_AIM_01_REWARD_02")
            elif system.get_qb_entry_state(data().QB_006)==globals.COMPLETE:
                system.set_qb_entry_text(data().QB_001,id_reward="ZONE1_AIM_01_REWARD_03")
            elif data().Alarm_Ausgeloest:
                system.set_qb_entry_text(data().QB_001,id_reward="ZONE1_AIM_01_REWARD_01")
            system.set_qb_entry_state(id=data().QB_001, state=globals.COMPLETE)
            if system.get_qb_entry_state(data().QB_002)!= globals.COMPLETE:
                system.set_qb_entry_state(id=data().QB_002, state=globals.INACTIVE)
            if system.get_qb_entry_state(data().QB_003)!= globals.COMPLETE:
                system.set_qb_entry_state(id=data().QB_003, state=globals.INACTIVE)
            if system.get_qb_entry_state(data().QB_004)!= globals.COMPLETE:
                system.set_qb_entry_state(id=data().QB_004, state=globals.INACTIVE)
            if system.get_qb_entry_state(data().QB_005)!= globals.COMPLETE:
                system.set_qb_entry_state(id=data().QB_005, state=globals.INACTIVE)
            if system.get_qb_entry_state(data().QB_006)!= globals.COMPLETE:
                system.set_qb_entry_state(id=data().QB_006, state=globals.INACTIVE)
            if data().QuestWeg:
                character.add_experience_party(experience=2500)
            else:
                character.add_experience_party(experience=3500)
            if system.get_qb_entry_state(data().QB_003)==globals.UNCOMPLETE:
                system.set_qb_entry_state(data().QB_003, globals.IMPOSSIBLE)
            if system.get_qb_entry_state(data().QB_004)==globals.UNCOMPLETE:
                system.set_qb_entry_state(data().QB_004, globals.IMPOSSIBLE)
            
    if (id==data().Timer_Pause):
        dialogs.WeaponDown()
        
    if (id==data().Timer_FadeOut):
        if (data().Schwarzblende==4):
            system.fade(FADE_OUT)
            system.notify_timer(data().Timer_Blende,data().Timervalue_BlendeLong)
        else:
            system.fade(FADE_OUT)
            system.notify_timer(data().Timer_Blende,data().Timervalue_BlendeNorm)
            data().Schwarzblende=1
    
    if (id==data().Timer_Blende):
        if (data().Schwarzblende==1):
            system.fade(FADE_IN)
            if (system.is_cutscene()):
                dynamic_camera.end_cutscene()
        
## wenn man den esel wieder ausgraben will
        if (data().Schwarzblende==2):
            system.fade(FADE_IN)
            object.create_item_in_inventory(object='ALTER_EGO', equipment='SET_DEAD_DONKEY', id=data().Donk)
            object.set_attribute(data().Donk,"generic_item", False)
            data().BrauchFleisch=False
            object.cancel_commandos('FUN')
            object.step_away('FUN',callback=Lambda('dialogs.initCutscene_021_SpielerBrauchtAasTeil2()'))
        
        if (data().Schwarzblende==3):
            system.fade(FADE_IN)
            dialogs.initCutscene_131_SpielerHatRemusGeholfen()
        if (data().Schwarzblende==4):
            pass
        if (data().Schwarzblende==5):
            system.fade(FADE_IN)
            dialogs.initCutscene_050_SpielerWarInHoehle()
        
        if (data().Schwarzblende==6):
            system.fade(FADE_IN)
            dialogs.initDlg_196_SpielerMitTechnickskillGeneratorAusgeschaltet(data().TMP)
        
        if (data().Schwarzblende==7):
            system.fade(FADE_IN)
            dialogs.initDlg_067_SpielerOhneTechnickskillGeneratorAusgeschaltet(data().TMP)
        
        if (data().Schwarzblende==8):
            Aufwachen()
        if (data().Schwarzblende==99):
            system.fade(FADE_IN)
            
    if (id==data().Timer_Camwechsel):
        if data().Camwechsel:
            t = random.choice(['ALTER_EGO','ABEL'])
            while t == data().Talker:
                t = random.choice(['ALTER_EGO','ABEL'])
            data().Talker = t
            if t == 'ABEL':
                system.set_camera_view(data().CamView_Abel)
                l = 'ALTER_EGO'
                a = True
            else:
                l = 'ABEL'
                a = False
                dynamic_camera.set_conversation(talker = t, listener = l, cam_x = None,cam_y = None,mode = 'close',animate = a ,new_camera = True,first_obj = None)
            system.notify_timer(data().Timer_Camwechsel,data().Timervalue_Camwechsel)
    
    if(id==data().Timer_HayesSchiesst):
        dialogs.initCutscene_204_SpielerRichtigEntschiedenTeil2()
        
    if(id==data().Timer_HFLGefressen):
        data().HFLGefressen=True
        object.set_active_state(object='FUN', state=False)
        object.set_active_state(object='HONEST', state=False)
        object.set_active_state(object='LICKIT', state=False)
        system.notify_region_entered(region=data().Region_HFL, objectid='ALTER_EGO', partyid=None, permanent=False)
        
    if(id==data().Timer_ShantisFluch1)and(not data().HoehleBesucht):
        dialogs.initDlg_167_SpielerFuehltSichSchwach()
        for R in system.get_pcs():
            HP = object.get_attribute( object = R, attribute = "hitpoints")
            damagedHP = HP*0.8
            object.set_attribute(object=R, attribute="hitpoints", value=damagedHP)
        system.notify_timer(data().Timer_ShantisFluch2, data().Timervalue_ShantisFluch1u2)
    if(id==data().Timer_ShantisFluch2)and(not data().HoehleBesucht):
        dialogs.initDlg_168_SpielerFuehltSichNochSchwach()
        for R in system.get_pcs():
            HP = object.get_attribute( object = R, attribute = "hitpoints")
            damagedHP = HP*0.5
            object.set_attribute(object=R, attribute="hitpoints", value=damagedHP)
        system.notify_timer(data().Timer_ShantisFluch3, data().Timervalue_ShantisFluch3)
    if(id==data().Timer_ShantisFluch3)and(not data().HoehleBesucht):
        dialogs.initDlg_169_SpielerIstAmEnde()
        for R in system.get_pcs():
            HP = object.get_attribute( object = R, attribute = "hitpoints")
            damagedHP = HP*0.2
            object.set_attribute(object=R, attribute="hitpoints", value=damagedHP)
        system.notify_timer(data().Timer_ShantisFluch4, data().Timervalue_ShantisFluch4)
    if(id==data().Timer_ShantisFluch4)and(not data().HoehleBesucht):
        dialogs.initDlg_169_SpielerIstAmEnde()
        for R in system.get_pcs():
            system.destroy(object=R)
            
    if(id==data().Timer_SomaKomm):
        if object.exists('SOMA'):
            object.move_to_object('SOMA','ALTER_EGO')
            if(data().BringtTier):
                system.notify_timer(data().Timer_SomaKomm, data().Timervalue_SomaKomm)
            if(data().FirstAufruf) and (object.get_distance('SHANTI','ALTER_EGO')>10) and (object.get_distance('SOMA','ALTER_EGO')<10):
                data().FirstAufruf=False
                dialogs.initDlg_052_SpielerNimmtSomaMit()
    
    if(id==data().Timer_MitSomaBeiHFL):
        if check_soma_in_range() and data().MitSomaBeiHFL:
            if not system.is_cutscene() and not dialog.is_dialog_active():
                dialogs.initCutscene_016_SpielerBringtSomaMitZuHFL()
            else:
                system.notify_timer(data().Timer_MitSomaBeiHFL, data().Timervalue_MitSomaBeiHFL)
        elif(data().MitSomaBeiHFL):
            system.notify_timer(data().Timer_MitSomaBeiHFL, data().Timervalue_MitSomaBeiHFL)
                    
    if(id==data().Timer_AbelHatProbleme):
        if(data().AbelHatProbleme):
            if (object.get_distance('ALTER_EGO','ABEL') < 3.0):
                if not dialog.is_dialog_active():
                    dialogs.initDlg_154_AbelInSorge()
                    data().AbelHatProbleme=False
            else:
                system.notify_timer(data().Timer_AbelHatProbleme,data().Timervalue_AbelHatProbleme)    
    
    if(id==data().Timer_AnieWillMit):
        if(data().AnieWillMit):
            if(object.get_distance('ALTER_EGO','ANIE')<2):
                if not dialog.is_dialog_active():
                    dialogs.initCutscene_156_AnieGehtMit()
                    data().AnieWillMit=False
            else:
                object.move_to_object(object='ANIE',target_object='ALTER_EGO',speed=MT_FAST)
                system.notify_timer(data().Timer_AnieWillMit, data().Timervalue_AnieWillMit)
                
    if(id==data().Timer_Anpissen):
        data().pissen=False
        dialogs.initDlg_011_HFLTrauern2()
    
    if(id==data().Timer_Anfeuern):
        if data().Anfeuern:
            pass
#if enemy_script.is_in_area(system.get_selected_pcs(), 80, 'ZONE_8_BUILDING_'):
#    dialogs.initDlg_192_WachenFeuernStramplerAn()
#system.notify_timer(data().Timer_Anfeuern,data().Timervalue_Anfeuern)
    if (id==data().Timer_RuhigShanti):
        data().ShantiSauer=False

def check_soma_in_range():
    x,y,z = object.get_position("ALTER_EGO")
    if ((x > 560) and (x < 585)):
        if ((y > 400) and (y < 430)):
            if (object.get_distance("ALTER_EGO", "SOMA") < 5.0):
                return True
    return False

def can_examine_object( character_id, object_id ):
    
## kiste mit blaumaennern
    if (object_id=='ZONE_8_BUILDING_5691'):
        return True
    
    if (object_id in ['AURA','SOMA']):
        if(not object.is_destroyed(object='SHANTI')):
            if(not system.get_qb_entry_state(id=data().QB_004)==COMPLETE)and ((not data().BringtTier) or (not data().BrauchFleisch)):
                return True
            elif (system.get_qb_entry_state(id=data().QB_004)==COMPLETE)and(object_id=='AURA'):
                return True
    
    if (object_id=='ZONE_8_BUILDING_2334' and not data().GeneratorAus):
        return True
    
    if (object_id.endswith('BUILDING_9400')):#Eselsgrab
        if (data().BrauchFleisch):
            return True
    
    if(object_id in SCHROTT):
        return True
    
    return False

def on_examine_object( character_id, object_id ):
    if dialog.is_dialog_active():
        return False
    
#print '[on_examine_object( ',character_id, object_id ,')]'
    if(object_id in SCHROTT):
        if((not system.get_qb_entry_state(id=data().QB_004)==globals.COMPLETE) and (not system.is_cutscene()) and (not data().HFLGefressen)):
                if(dialog.is_dialog_active()):
                    for Dialog in data().DialogActive:
                        dialog.jump_to(follower='ENDDIALOG', dialog_id=Dialog)
                        dialogs.DialogEnfID(Dialog)
                    dialogs.on_dialog_011_ende_2()
                elif(data().SpielerWarNeugierig):
                    dialogs.initCutscene_039_SpielerSchnueffeltOhneSomeAufSchrottplatz()
                else:
                    dialogs.initCutscene_040_SpielerSchnueffeltNochmalOhneSomeAufSchrottplatz()
        return False
    
#kiste mit den blaumaennern
    elif(object_id.endswith('BUILDING_5691')):
        if (not system.get_qb_entry_state(data().QB_004)==COMPLETE):
            dialogs.initDlg_138_SpielerKriegtKisteNichtAuf()
            return False
        else:
            inventorylist = object.get_inventory_list(object_id)
            if inventorylist:
                system.set_qb_entry_state(id=data().QB_006, state=globals.COMPLETE)
#show object inventory
                if (not data().BlaumaennerGesehen):
                    if character_id in system.get_pcs():
                        if (not data().KisteUntersucht):
                            data().KisteUntersucht=True
                            dialogs.initDlg_139_SpielerUntersuchtKisteWeissVonBlauMaennern()
                        else:
                            data().BlaumaennerGesehen = True
                            dialogs.initDlg_140_SpielerOeffnetKisteWeissVonBlauMaennern()
                else:
                    system.item_panel( character_id, 'ZONE_8_BUILDING_5691' )
            return True
    
    elif (object_id.endswith('BUILDING_9400')):#Eselsgrab
        dialogs.pre_initCutscene_021_SpielerBrauchtAas()
            
    elif (object_id in ['AURA', 'SOMA']):
        if(not system.get_qb_entry_state(id=data().QB_004)==COMPLETE)and (not data().BringtTier):
            if(not system.get_qb_entry_state(id=data().QB_003)==COMPLETE):
                if data().KnowShanti:
                    dialogs.initDlg_174_SpielerUntersuchtShantisWarane()
                else:
                    dialogs.initDlg_173_SpielerUntersuchtWarane()
            else:
                if not data().warane_nach_questannahme_gesehen:
                    data().warane_nach_questannahme_gesehen = True
                    dialogs.initDlg_175_SpielerUntersuchtShantisWaraneBrauchtTier()
                else:
                    dialogs.initDlg_173_SpielerUntersuchtWarane()
        elif (system.get_qb_entry_state(id=data().QB_004)==globals.COMPLETE):
            dialogs.initDlg_176_SpielerUntersuchtAuraQB4Complete()
        else:
            dialogs.initDlg_173_SpielerUntersuchtWarane()
    
## generatorkasten
    elif (object_id=='ZONE_8_BUILDING_2334'):
        for Dialog in data().DialogActive:
            dialog.jump_to(follower='ENDDIALOG', dialog_id=Dialog)
            dialogs.DialogEnfID(Dialog)
        on_examine_generator_start(character_id)
        on_examine_generator(character_id, object_id)
        return True
            
    return False

## generator untersuchen hilfsfunktionen
def on_examine_generator_start(char):
    data().Plan = True
    data().TMP = char
    system.start_cutscene()
    character.unequip_hands(char)
    system.set_camera_view(CAMVIEW_GENERATOR_AUS_FERN)
    if not object.is_destroyed('TORWACHE1'):
        character.set_approachable_state('TORWACHE1', NOTAPPROACHABLE)
    if not object.is_destroyed('TORWACHE2'):
        character.set_approachable_state('TORWACHE2', NOTAPPROACHABLE)
    if (object.get_attribute(char, 'technic') >= 75):
        data().Schwarzblende=6
    else:
        data().Schwarzblende=7
    
def on_examine_generator(char, obj):
    object.move_to(char, 423.56, 540.5, speed=MT_SLOW, grid="landscape")
    object.step_to(char, 423.76, 540.3, speed=MT_SLOW)
    object.turn_to_object(char, obj, callback=['ONEND', on_examine_generator_work])

def on_examine_generator_work(char):
    character.play_animation(char, 'CM_STEHEN_VERLETZTE_BEHANDELN_ANSCHRITT')
    character.play_animation(char, 'CM_STEHEN_VERLETZTE_BEHANDELN_LOOP', callback=['ONEND', on_examine_generator_end])
    character.play_animation(char, 'CM_STEHEN_VERLETZTE_BEHANDELN_ENDSCHRITT', callback=['ONEND',on_examine_generator_end2])
    
def on_examine_generator_end(char):
    system.fade(FADE_OUT)

def on_examine_generator_end2(char):
    object.step_to(char, 423.56, 540.52, speed=MT_SLOW)
    system.notify_timer(data().Timer_Blende,data().Timervalue_BlendeNorm)


def can_exchange( character_id, target_id, item_id, item_type ):
#print '[debug: can_exchange(', character_id, target_id, item_id, item_type ,')]'
    if (item_id=='Z8 TOBACCO' 
        and target_id == "ANGUS"
        and character_id in system.get_pcs()):
            return True
    elif (target_id=="SHANTI"
          and (item_id==data().Donk or item_id==data().Rattenfleisch)
          and character_id == "ALTER_EGO"):
            return True
    elif ((target_id=="FAIR" or target_id=="MATILDA")
          and (item_id==data().WasserschuesselMitWasser or item_id==data().Tuecher or item_id==data().Tauchsieder)
          and character_id == "ALTER_EGO"):
              return True
    elif (target_id=="AARON"
          and item_id==data().SandKleber
          and character_id=="ALTER_EGO"):
              return True
    
    return object_events.can_exchange( character_id, target_id, item_id, item_type )

def on_exchange( character_id, target_id, item_id, item_type ):
#print "exchange %s %s %s %s" % (character_id, target_id, item_id, item_type)
    if (target_id=="ANGUS" and
        item_id=='Z8 TOBACCO'):
        if character_id in system.get_pcs():
            dialogs.initDlg_037_SpielerBringtAngusTabak()
            return True
    
    return object_events.on_exchange( character_id, target_id, item_id, item_type )

def on_pick_up( character_id, item_id, item_type ):
    return True


def on_give_menu_filter( taker, source, item, item_type ):
#print "item_panel_filter",taker, item, item_type
    if (not object.has_attribute(item, "generic_item")) and (not character.is_equiped(source, item_type)):
        if taker == "SHANTI":
            if (item_type in data().FleischSorten):
                return True
        if taker == "ANGUS":
            return True
    return False

def on_give_menu_closed( taker, items ):
#print "item_panel_closed", taker, items
    item_types = []
    for act_item in items:
        item_types.append(object.get_attribute(act_item, "typeid"))
#print item_types
    
    if taker == "SHANTI":
        if len(items) >= 1:
            dialog.jump_to('D_003_T_009')
            return True
        else:
            dialog.jump_to('D_003_C_001')
            return False
            
    if taker == "ANGUS":
#print 'Debug', taker, items
        if len(items) >= 1:
            summe = 0
            for I in items:
                summe=summe+object.get_attribute(object=I, attribute='value')
            if data().HasTradedWithMeet:
                if(summe >= 3):
                    dialog.jump_to('D_027_T_010')
                    data().BrauchFleisch=False
                    object.transfer_item(source=taker, equipment=data().Rattenfleisch, target='ALTER_EGO')
                    return True
                else:
                    data().HasTradedWithMeet=False
                    dialog.jump_to('D_027_T_008')
                    return False
            if data().HasTradeWithBirthKit:
                if(summe >= 10):
                    dialog.jump_to('D_078_T_005')
                    object.transfer_item(source=taker, equipment=data().Geburtskit, target='ALTER_EGO')
# data().BrauchHebamme=False
                    return True
                else:
                    dialog.jump_to(follower='D_078_T_006')
                    data().HasTradeWithBirthKit=False
                    return False
    return False

def on_give_menu_cancel( taker ):
##print "item_panel_cancel", taker
    if taker == "SHANTI":
        dialog.jump_to('D_003_C_001')
    if taker == "ANGUS":
        if data().HasTradedWithMeet:
            data().HasTradedWithMeet=False
            dialog.jump_to('D_027_T_008')
        if data().HasTradeWithBirthKit:
            dialog.jump_to(follower='D_078_T_006')
            data().HasTradeWithBirthKit=False
    

############
# on_trade #
############
def on_trade(target,operator):
    if target=="BERNIE":
        system.trading_screen(trader="BERNIE",char=operator)

def on_update_trader(trader):
    object_events.on_update_trader(trader)

def on_exit_trader(trader_id, negotiator_id, trade_result):
    object_events.on_exit_trader(trader_id, negotiator_id, trade_result)
    object.set_attribute("ALTER_EGO", 'trader', False)
#pass
    
def on_enemy_spotted(object_id):
#print ">>> enemy spotted:",object_id
#wachen am generator
    if object_id in data().FitnessWachen:
        if not AlleBlaumaennerAn():
            if (dialog.is_dialog_active()):
                for Dialog in data().DialogActive:
#print Dialog 
#print'soll beendet werden'
                    dialog.jump_to(follower='ENDDIALOG', dialog_id=Dialog)
                    dialogs.DialogEnfID(Dialog)
            if not data().WachenAEGesehen:
                dialogs.initDlg_199_WachenEndeckenSpieler(object_id)
                data().WachenAEGesehen = True
#wachen 
    if object_id in data().BasisWachen and data().Alarm_Ausgeloest:
        enemies = character.get_visible_enemies(object_id)
        for char in enemies:
            if not object.get_attribute(char, 'clothes') != 'SET_OVERALL':
                object.cancel_commandos(object_id)
                if len(enemies):
                    object.attack(object_id, random.choice(enemies))
                    Alarm()

def on_button_down(Button):
    return False
    
def on_wait_for_commando(id):
    
    if not data().BruchMitHayes:
        """
#wachen am fitness center
        if id in data().FitnessWachen:
            enemy_id = enemy_script.is_enemy_close(id)
            if not enemy_id:
                return schedules.Activity(id)
    
            elif (not AlleBlaumaennerAn()):
                for id_ in data().FitnessWachen:
                    if ((not object.is_destroyed(object=id_)) 
                        and (not object.has_attribute(id_, "foes"))):
                        object.turn_to_object(id_, enemy_id)
                        object.set_attribute(object=id_, attribute="foes", value=["UISPIELER"])
                        return False
        """
        
        if id == "ALTER_EGO":
            if data().WeaponUp:
                return False
    
        """
#wachen an der basis der schatten
        if id in data().BasisWachen:
            enemy_id = enemy_script.is_enemy_close(id)
            if not enemy_id:
                return schedules.Activity(id)
            elif (not AlleBlaumaennerAn())and data().UeberZaun and (not (data().BruchMitHayes)):
                for R in data().UeberZaun:
                    if enemy_id==R:
                        Alarm()
                        return False
        """
    return schedules.Activity(id)

############## Zonen spezifische Funktionen#######################################
def AnieSchocken(char_id):
    dialogs.initCutscene_143_AnieIstGeschockt()

def OpenTor():
    object.set_active_state(object=data().TorZu, state=False)
    object.set_active_state(object=data().TorAuf, state=True)
    data().TorIstAuf=True
    object.play_animation(object=data().TorAuf, animation='ANIM_TOR_OPEN')

def CloseTor():
    object.play_animation(object=data().TorAuf, animation='ANIM_TOR_CLOSE', callback=['ONEND', Torwechsel])
    
def Torwechsel(obj=None):
    object.set_active_state(object=data().TorZu, state=True)
    object.set_active_state(object=data().TorAuf, state=False)
    data().TorIstAuf=False
    
def Alarm(char=None):
    if not data().Alarm_Ausgeloest:
        data().Alarm_Ausgeloest = True
        if (not object.is_destroyed(object='WACHE1')):
            object.move_to(object='WACHE1',x = 416.25, y = 491.58, speed=globals.MT_FAST)
        
#tor oeffnen
        if not data().TorIstAuf:
            OpenTor()
        
        system.notify_timer(data().Timer_Alarm,data().Timervalue_Alarm)
        if (not object.is_destroyed(object='BASISWACHEF')):
            object.move_to(object='BASISWACHEF',x=405.00,y=355.00,speed=globals.MT_FAST)
        if (not object.is_destroyed(object='BASISWACHEG')):
            object.move_to(object='BASISWACHEG',x=408.00,y=374.00,speed=globals.MT_FAST)
        if (not object.is_destroyed(object='BASISWACHEA')):
            object.move_to(object='BASISWACHEA',x=423.00,y=368.00,speed=globals.MT_FAST)
        if (not object.is_destroyed(object='BASISWACHEB')):
            object.move_to(object='BASISWACHEB',x=425.00,y=350.00,speed=globals.MT_FAST)
        if (not object.is_destroyed(object='BASISWACHE6')):
            object.move_to(object='BASISWACHE6',x=422.00,y=358.00,speed=globals.MT_FAST)
    
        for id in data().BasisWachen:
            if (not object.is_destroyed(object=id)):
                object.set_attribute(id, "foes", system.get_pcs())
                
            
        character.set_main_quest_npc_state(char="TORWACHE1", state=False)
        character.update_appearance("TORWACHE1")
        
        character.set_main_quest_npc_state(char="TORWACHE2", state=False)
        character.update_appearance("TORWACHE2")
    

## moves a char along a specified route #####################################
# moves a char along a specified route, might be used for looping patrols
# params:
#    id             - id of the mover
#    route         - route for moving (list waypoints with [x,y] position)
#    patrol_type - type of patrol
#      'single'    > partols from a to b to c and back again to b to a
#      'loop'     > partols from a to b to c, when finished position is a again
#      'none'     > simple routed moveto, mover stops at end
#    speed         - speed for moving
#    cancel         - if True: cancels former commandos of mover
#############################################################################
def RoutedMoveTo(id,route,patrol_type='none',speed=MT_SLOW, cancel=True):
    if cancel:
        object.cancel_commandos(id)

    object.set_attribute(id,"route",route)
    object.set_attribute(id,"route_type",patrol_type)
    object.set_attribute(id,"route_speed",speed)

    if patrol_type == 'none':
        for waypoint in route:
            object.move_to(id,waypoint[0],waypoint[1],"landscape",speed)
    else:
        doPatrol(id,route,patrol_type)

## doPatrol ###########################################################################################
# makes a char patrol in circels or in straight route, waypoints are routed fifo
# params:
#    see routedmoveto function
#######################################################################################################
def doPatrol(id,route,patrol_type,speed=MT_SLOW):
#waypoint = route[0]
    patrol_continue = True #const.WAYPOINT_MAP[id][1] and not npc.isEnemyInRange(id)
#object.move_to(id,waypoint[0]*2,waypoint[1]*2,"landscape",MT_SLOW)
    if patrol_continue:
        max=len(route)
        for index in range(1,max):
            if True: #const.WAYPOINT_MAP[id][1] and not npc.isEnemyInRange(id):
                waypoint = route[index]
                if (index<(max-1)):
                    object.move_to(id,waypoint[0],waypoint[1],"landscape",speed)
                else:
                    lambdaprefix = '(id="'+id+'",route='+str(route)+',patrol_type="'+patrol_type+'",speed='+str(speed)+')'
                    if patrol_type=='loop':
                        lambdastring = 'doReversePatrol'+lambdaprefix
                        object.move_to(id,waypoint[0],waypoint[1],"landscape",speed,callback=["ONEND",Lambda(lambdastring)])
                    else:
                        lambdastring = 'doPatrol'+lambdaprefix
                        object.move_to(id,waypoint[0],waypoint[1],"landscape",speed,callback=["ONEND",Lambda(lambdastring)])


## doReversePatrol ####################################################################################
# same as dopatrol function, but waypoints are routed lifo
# params:
#    see routedmoveto function
#######################################################################################################
def doReversePatrol(id,route,patrol_type,speed=MT_SLOW):
    patrol_continue = True #const.WAYPOINT_MAP[id][1] and not npc.isEnemyInRange(id)
    if patrol_continue:
        max=len(route)
        index=max-2
        while (index > 0):
            if True: #const.WAYPOINT_MAP[id][1] and not npc.isEnemyInRange(id):
                waypoint=route[index]
                object.move_to(id,waypoint[0],waypoint[1],"landscape",speed)
                index-=1
        if True: #const.WAYPOINT_MAP[id][1] and not npc.isEnemyInRange(id):
            waypoint=route[0]
            lambdaprefix = '(id="'+id+'",route='+str(route)+',patrol_type="'+patrol_type+'",speed='+str(speed)+')'
            if patrol_type=='loop':
                lambdastring = 'doReversePatrol'+lambdaprefix
                object.move_to(id,waypoint[0],waypoint[1],"landscape",speed,callback=["ONEND",Lambda(lambdastring)])
            else:
                lambdastring = 'doPatrol'+lambdaprefix
                object.move_to(id,waypoint[0],waypoint[1],"landscape",speed,callback=["ONEND",Lambda(lambdastring)])

def MineKaBumm(id):
    system.start_effect(    startx=object.get_x(id),
                starty=object.get_y(id),
                startz=0,
                dirx=object.get_x(id),
                diry=object.get_y(id),
                dirz=0,
                parameter=fx_explosion_medium)
    sounds.play_3d_sound(sfx_id="landmine_explo",
                x=object.get_x(id),
                y=object.get_y(id),
                z=0.0)

def AlleBlaumaennerAn():
    char = system.get_pcs()
    for id in char:
        if (not id==data().anie_escorting_char) and (object.get_distance('ALTER_EGO', id)<=20):
            BlauAn=False
            for R in data().Blaumaenner:
                if (character.is_equiped(id, R))and not((character.is_equiped(id, character.get_primary_weapon(id))) or (character.is_equiped(id, character.get_secondary_weapon(id)))):
                    data().TarnMuellmaenner.append(id)
                    BlauAn=True
            if (not BlauAn):
                return False
    return True
    
def Aufwachen(char_id=None):
    system.fade(FADE_IN)
    dialogs.initCutscene_151_SpielerErwacht()
        
def fxLagerFeuer(_objectid):
    system.start_effect_object(object=_objectid,node="effekt_feuer",parameter=fx_fire_lagerfeuer)
#system.start_effect_object(object=_objectid,node="effekt_feuer",parameter=fx_smoke_lagerfeuer)
    if (not(_objectid=='ZONE_8_BUILDING_13833'))and(not(_objectid=='ZONE_8_BUILDING_13783')):
            system.start_effect_object(object=_objectid,node="effekt_feuer01",parameter=fx_fire_lagerfeuer_01)
            system.start_effect_object(object=_objectid,node="effekt_feuer02",parameter=fx_fire_lagerfeuer_02)
            system.start_effect_object(object=_objectid,node="effekt_feuer03",parameter=fx_fire_lagerfeuer_03)
            system.start_effect_object(object=_objectid,node="effekt_feuer04",parameter=fx_fire_lagerfeuer_04)
    sounds.play_3d_sound_object(sfx_id="campfire_big",object=_objectid,loop=True)

def can_climb( character_id, object_id ):
#print '[debug: can_climb(', character_id, object_id,' )]'
    high_voltage = not data().GeneratorAus
#(system.get_qb_entry_state(data().QB_002)==COMPLETE)
    type_id = object.get_attribute(object_id, "typeid")
    if (type_id in ["RES3D_ELEKTROZAUN1", "RES3D_ELEKTROZAUN2", "RES3D_ELEKTROZAUN3", "RES3D_ELEKTROZAUN4", "RES3D_ELEKTROZAUN6_TOR" ]):
        if high_voltage:
            if not ('D_094' in data().DialogActive) and (object.get_distance(character_id, object_id)<=10):
                dialogs.initDlg_094_SpielerVersuchUeberAktivenZaunZuKlettern()
            return False
        else:
            if data().GeneratorLeiseAus:
                if (not ('D_095' in data().DialogActive)) and (not data().UeberZaun):
                    dialogs.initDlg_095_SpielerKlettertUeberZaunMitTechnikskillAusgeschaltet()
            else:
                if (not ('D_096' in data().DialogActive)) and (not data().UeberZaun):
                    dialogs.initDlg_096_SpielerKlettertUeberZaunOhneTechnikskillAusgeschaltet()
            if not data().BruchMitHayes:
                for char in data().BasisWachen:
                    if object.has_attribute(char, 'foes'):
                        if not data().Alarm_Ausgeloest:
                            value_neu = object.get_attribute(object=char, attribute="foes").append(character_id)
                    else:
                        value_neu = [character_id]
                    if not data().Alarm_Ausgeloest:
                        object.set_attribute(object=char, attribute="foes", value=value_neu)
    return object_events.can_climb( character_id, object_id )
    
def  post_climb( char_id ):
#print '[debug: post_climb(', char_id ,')]'
    if char_id in data().BlueManGroup_In_Basis:
        data().BlueManGroup_In_Basis.remove(char_id)
    elif not char_id in data().BlueManGroup_In_Basis:
        data().BlueManGroup_In_Basis.append(char_id)
    if not data().Alarm_Ausgeloest and object.get_attribute(char_id, 'clothes') == 'SET_OVERALL':
        object.set_attribute(object=char_id, attribute="foes", value= None)
        

def initVehicles():
    system.create_object("SET_BUGGY", 270.95, 455.12, "Z8 BUGGY", globals.DIR_SOUTH_WEST)
    object.set_attribute("Z8 BUGGY","accepted_drivers",['UISPIELER'])

## init hfl minefield
def init_hfl_minefield():
    system.add_region("HFL_MINE_1", 605.93, 388.08, 604.33, 385.73)
    system.add_region("HFL_MINE_2", 600.87, 391.28, 599.48, 388.93)
    system.add_region("HFL_MINE_3", 600.03, 382.83, 598.51, 384.42)
    system.add_region("HFL_MINE_4", 593.63, 388.30, 592.00, 385.71)
    system.add_region("HFL_MINE_5", 606.30, 405.30, 603.22, 398.93)
    system.add_region("HFL_MINE_6", 597.81, 406.81, 594.76, 400.00)
    system.add_region("HFL_MINE_7", 605.51, 416.40, 601.77, 411.96)
    system.add_region("HFL_MINE_8", 597.58, 420.86, 593.39, 415.79)
    system.add_region("HFL_MINE_9", 591.64, 409.59, 590.75, 405.68)
    system.add_region("HFL_MINE_10", 601.84, 424.20, 599.53, 422.45)
    system.add_region("HFL_MINE_11", 595.33, 431.63, 592.72, 428.23)
    system.add_region("HFL_MINE_12", 593.24, 420.00, 591.68, 416.54)
    system.add_region("HFL_MINE_13", 585.31, 433.26, 583.25, 429.09)
    system.add_region("HFL_MINE_14", 574.75, 432.16, 573.75, 428.57)
    system.add_region("HFL_MINE_15", 564.46, 445.12, 562.79, 440.97)
    system.add_region("HFL_MINE_16", 554.12, 440.06, 553.37, 436.08)
    system.add_region("HFL_MINE_17", 556.26, 430.54, 554.15, 425.33)
    system.add_region("HFL_MINE_18", 550.49, 423.10, 549.04, 420.48)
    system.add_region("HFL_MINE_19", 545.67, 433.13, 544.95, 429.96)
    system.add_region("HFL_MINE_20", 545.18, 414.71, 544.33, 411.02)
    system.add_region("HFL_MINE_21", 545.37, 399.40, 544.40, 395.08)
    system.add_region("HFL_MINE_22", 540.90, 387.18, 539.11, 383.48)
    system.add_region("HFL_MINE_23", 553.85, 386.46, 552.47, 383.26)
    system.add_region("HFL_MINE_24", 564.01, 384.75, 562.28, 381.29)
    system.add_region("HFL_MINE_25", 561.76, 392.28, 559.11, 386.84)
    system.add_region("HFL_MINE_26", 569.94, 391.77, 567.56, 386.90)
    system.add_region("HFL_MINE_27", 575.65, 388.93, 573.42, 384.52)
    system.add_region("HFL_MINE_28", 571.13, 386.38, 568.96, 382.70)
    system.add_region("HFL_MINE_29", 573.06, 381.73, 571.88, 379.40)
    system.add_region("HFL_MINE_30", 559.24, 394.81, 557.71, 390.75)
    system.add_region("HFL_MINE_31", 600.90, 385.83, 599.08, 382.82)
    system.add_region("HFL_MINE_32", 608.35, 383.36, 607.08, 380.81)
    system.add_region("HFL_MINE_33", 596.84, 395.43, 593.17, 389.48)
    system.add_region("HFL_MINE_34", 568.01, 441.86, 565.53, 437.65)
    system.add_region("HFL_MINE_35", 562.74, 450.66, 560.87, 446.13)
    system.add_region("HFL_MINE_36", 578.97, 451.86, 577.87, 448.17)
    system.add_region("HFL_MINE_37", 569.96, 451.70, 567.19, 446.42)
    system.add_region("HFL_MINE_38", 587.88, 447.83, 585.69, 444.13)
    system.add_region("HFL_MINE_39", 583.27, 436.51, 580.83, 432.44)
    
    for i in range(1,40):
        region = "HFL_MINE_%i" %(i)
        system.notify_region_entered(region, partyid="UISPIELER")

## check if player entered hfl minefield
def check_player_in_hfl_minefield(region, char):
    for i in range(1,40):
        check_region = "HFL_MINE_%i" %(i)
        if region == check_region:
            return True
    return False
    
## check if player leaves hfl region
def check_player_leave_hfl_region(obj, obj_list, region):
#print "zone betreten:", region
    if isinstance(obj_list, list):
        obj_list.sort()
#print ">>> liste der objekte in der zone", str(obj_list)
    if len(data().has_triggerd_region_hfl):
        data().has_triggerd_region_hfl.sort()
#print ">>> liste der objekte in der zone 2", str(data().has_triggerd_region_hfl)
        
    if obj in data().has_triggerd_region_hfl:
        data().has_triggerd_region_hfl.remove(obj)
#print ">>> removing id",obj
        return True
    else:
        data().has_triggerd_region_hfl.append(obj)
#print ">>> adding id",obj
        return False

def on_begin_cutscene():

    """is called when a cutscene is started""" 
    mobs = system.get_pcs() + system.get_npcs() + system.get_animals()

    for mob in mobs:
        system_events.save_foes(mob)
        system_events.save_speedfactor(mob)

# make sure AE is available
    if object.is_unconscious("ALTER_EGO"):
        import object_events
        object_events.on_resuscitate("ALTER_EGO", "ALTER_EGO")
        
## makes chars stand
    for pc in system.get_pcs():
        object.cancel_commandos(pc)
        character.change_body_mode(pc, "STAND")
    
#make npcs and animals visible during a cutscene
#deactivate visibility fading
    for id in (system.get_npcs() + system.get_animals()):
        object.set_attribute(id, "visibility", UIVIS_VISIBLE)
        object.set_attribute(id, "visibility_fade", False)

def on_end_cutscene():
    
    """is called when a cutscene ends""" 
    mobs = system.get_pcs() + system.get_npcs() + system.get_animals()
    
    for mob in mobs:
        if object.has_attribute(mob, "skin"):
            if object.get_attribute(mob, "skin") == "grey":
                if not data().BruchMitHayes:
                    system_events.restore_foes(mob)
            else:
                system_events.restore_foes(mob)
        system_events.restore_speedfactor(mob)
#activate visibilty fading
    for id in (system.get_npcs() + system.get_animals()):
        object.set_attribute(id,"visibility_fade", True)

def InitChestsSafes():
    object.add_closed_lock("BUILDING_19464", "lock1", closure_type='normal')
    object.add_closed_lock("BUILDING_19465", "lock1", closure_type='booby-trap')
    object.add_closed_lock("BUILDING_19516", "lock1", closure_type='lock-trap')
    object.add_closed_lock("BUILDING_19518", "lock1", closure_type='normal')
    object.add_closed_lock("BUILDING_19531", "lock1", closure_type='lock-trap')
    object.add_closed_lock("BUILDING_19536", "lock1", closure_type='normal')
    object.add_closed_lock("BUILDING_19547", "lock1", closure_type='lock-trap')
    object.add_closed_lock("BUILDING_14267", "lock1", closure_type='booby-trap')
    object.add_closed_lock("BUILDING_19560", "lock1", closure_type='normal')
    object.add_closed_lock("BUILDING_19561", "lock1", closure_type='booby-trap')
    object.add_closed_lock("BUILDING_19562", "lock1", closure_type='normal')

def init_patch():
    character.set_approachable_state("AGNES", NOTAPPROACHABLE)
    init_main_npcs()
def init_main_npcs():
    npcs = system.get_npcs()
    if "BERNIE" in npcs:
        character.set_main_quest_npc_state(char="BERNIE", state=True)
