# -*- coding: utf-8 -*-
from globals import *
from const import *
import npc
from dynamic_camera import *
# from text import *
import enemy_script

#*** actual revison - Revision 13, 21.10.2004 ***********************************

def check_leiche_dabei(char):
    if object.has_attribute(char,"is_carrying"):
        if object.has_attribute(char,"carried_char"):
            cc = object.get_attribute(char,"carried_char")
            return (cc == "MERCENARY_SEVENSOULS")
    return False

def on_approach( target, operator ):

    if dialog.is_dialog_active():
        return

    if operator != "ALTER_EGO":
        initDlg_PartyMemberDenyTalk(partymemberid)
        return

    if (target in ["STITCH", "SHUFFLE"]):
        if ((object.get_distance("STITCH", "MERCENARY_SEVENSOULS") < 10 or
            object.get_distance("SHUFFLE", "MERCENARY_SEVENSOULS") < 10) and
            data().Leiche2 == 0):
                data().Leiche = 1

        if (data().Ende2 == 1 and data().Leiche == 0):
            initDlg_007_STUNDST_Wollen_ImmernochL()

        elif (    data().Leiche == 1 and 
            data().Ende2 == 1 and
            data().Leiche2 == 0 and 
            not data().Leiche_nicht_mehr_frisch and
            (check_leiche_dabei(operator) or data().leiche_bei_stitch_und_shuffle)):
            initCutscene_008_SpielerGibtLeicheAb()

        elif (    data().Leiche2 == 1 and 
            data().Leiche == 1 and 
            data().Leiche3 == 0 and 
            data().Leiche_nicht_mehr_frisch and
            (check_leiche_dabei(operator) or data().leiche_bei_stitch_und_shuffle)):
            initCutscene_013_StuffleUndStitchHabenKeineLeicheMehr()

        elif data().Leiche2 == 1:
            if data().Leiche_nicht_mehr_frisch:
                initCutscene_014_StitchUndShuffleSindMiedDrauf()
            else:
                initCutscene_009_StuffleUndStitchHattenGenugZuEssen()
        else:
            if not (system.get_qb_entry_state(data().QB_001) in [IMPOSSIBLE, COMPLETE]):
                initDlg_002_InsLabyrinth()
            else:
                initDlg_007_STUNDST_Wollen_ImmernochL()

    if target == "HICKEY":
        if data().Hickey2 == 1:
            initDlg_006_Hickey2()
        else:
            initDlg_005_Hickey()

    if target == "MERCENARY_SEVENSOULS":
        if not data().player_knows_Siebenseele:
            data().player_knows_Siebenseele = True
            system.add_minimap_marker(343.15, 498.53,"MM_002")# Siebenseele
        if (data().SiebenseeleGeheilt == 0 and
            data().SiebenseeleHeilen == 0 and
            not data().spieler_will_seven_nicht_helfen):
            initDlg_003_Siebenseele_gefunden()
        elif ((data().spieler_will_seven_nicht_helfen or 
            data().SiebenseeleHeilen == 1) and
            not data().Siebenseele_geht_zur_stadt):
            initDlg_012_Siebenseele_hofft_auf_Rettung()
        if system.get_qb_entry_state(data().QB_001)==IMPOSSIBLE and "MERCENARY_SEVENSOULS" in system.get_npcs():
#        if data().Siebenseele_geht_zur_stadt == 1 :
            initDlg_011_SpeakAfterSaveHim_7Souls()
#Siebenseele_geht_zur_stadt

# Erstes Ansprechen von Stitch und Stuffel

def initDlg_001_Ankommen():
    system.start_cutscene()
    system.set_camera_view(CAMVIEW_STUNDSH_INTRO)
    object.cancel_commandos("ALTER_EGO")
    object.move_to("ALTER_EGO",288.35,636.40,"landscape",MT_FAST,callback=["ONEND",onDlg_001_StUndStKommen])
    object.move_to("STITCH",288.33,634.91,"landscape",MT_FAST)
    object.move_to("SHUFFLE",286.23,636.09,"landscape",MT_FAST)
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_001_T_001', speaker="STITCH", follower='ENDDIALOG')
    dialog.start()

def onDlg_001_StUndStKommen(char_id):
    object.turn_to_object("STITCH","ALTER_EGO")
    object.turn_to_object("SHUFFLE","ALTER_EGO")
    object.turn_to_object("ALTER_EGO","SHUFFLE")
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_001_T_002', speaker="SHUFFLE", follower='ENDDIALOG', callback = onDlgInsLabyrinth)
    dialog.start()

def onDlgInsLabyrinth():
    object.cancel_commandos("STITCH")
    object.turn_to_object("STITCH","ALTER_EGO",["ONEND", onDlg_001_StartDialog_002])

def onDlg_001_StartDialog_002(char_id):
    system.end_cutscene()
    initDlg_002_InsLabyrinth()

def initDlg_002_InsLabyrinth():
    dialog.init_dialog(type=DIALOGLARGE)
    if data().Ende3 == 1 :
        data().Ende3 = 0
        dialog.add_text(text='D_002_T_047', speaker="SHUFFLE")
        dialog.add_text(text='D_002_T_048', speaker="STITCH", follower='D_002_C_001')
#if data().d_002_c_001[0]:
        dialog.add_choice(text='D_002_C_001_1', follower='D_002_T_006', callback=Lambda('data().d_002_c_001[0] = False'))
        dialog.add_choice(text='D_002_C_001_4', follower='ENDDIALOG')

    elif data().Ende4 == 1:
        data().Ende4 = 0
        dialog.add_text(text='D_002_T_049', speaker="STITCH")
        dialog.add_text(text='D_002_T_050', speaker="SHUFFLE", follower='D_002_C_002')

    elif data().Ende5 == 1:
        data().Ende5 = 0
        dialog.add_text(text='D_002_T_051', speaker="STITCH")
        dialog.add_text(text='D_002_T_052', speaker="SHUFFLE", follower='D_002_C_003')

    elif data().Ende6 == 1:
        data().Ende6 = 0
        dialog.add_text(text='D_002_T_053', speaker="STITCH")
        dialog.add_text(text='D_002_T_054', speaker="SHUFFLE", follower='D_002_C_004')

    elif data().Ende7 == 1:
        data().Ende7 = 0
        dialog.add_text(text='D_002_T_055', speaker="STITCH")
        dialog.add_text(text='D_002_T_056', speaker="SHUFFLE", follower='D_002_C_005')

    elif data().Ende8 == 1:
        data().Ende8 = 0
        dialog.add_text(text='D_002_T_057', speaker="STITCH", follower='D_002_C_006')

    else:
        dialog.add_text(text='D_002_T_001', speaker="STITCH")
        dialog.add_text(text='D_002_T_002', speaker="SHUFFLE")
        dialog.add_text(text='D_002_T_003', speaker="STITCH")
        dialog.add_text(text='D_002_T_004', speaker="SHUFFLE")
        dialog.add_text(text='D_002_T_005', speaker="STITCH", follower='D_002_C_001')
#if data().d_002_c_001[0]:
        dialog.add_choice(text='D_002_C_001_1', follower='D_002_T_006', callback=Lambda('data().d_002_c_001[0] = False'))
#if data().d_002_c_001[1]:
        dialog.add_choice(text='D_002_C_001_2', follower='D_002_T_042', callback=Lambda('data().d_002_c_001[1] = False'))
#if data().d_002_c_001[2]:
        dialog.add_choice(text='D_002_C_001_3', follower='D_002_T_045', callback=Lambda('data().d_002_c_001[2] = False'))
        dialog.add_choice(text='D_002_C_001_4', follower='ENDDIALOG', callback=Lambda('data().Ende3=1'))# ENDE 3
    dialog.add_text(text='D_002_T_006', speaker="STITCH")
    dialog.add_text(text='D_002_T_007', speaker="SHUFFLE")
    dialog.add_text(text='D_002_T_008', speaker="STITCH")
    dialog.add_text(text='D_002_T_009', speaker="SHUFFLE", follower='D_002_C_002')
#if data().d_002_c_002[0]:
    dialog.add_choice(text='D_002_C_002_1', follower='D_002_T_010', callback=Lambda('data().d_002_c_002[0] = False'))
    dialog.add_choice(text='D_002_C_002_2', follower='ENDDIALOG', callback=Lambda('data().Ende4 = 1'))# ENDE 4
    dialog.add_text(text='D_002_T_010', speaker="STITCH")
    dialog.add_text(text='D_002_T_011', speaker="SHUFFLE")
    dialog.add_text(text='D_002_T_012', speaker="STITCH")
    dialog.add_text(text='D_002_T_013', speaker="SHUFFLE", follower='D_002_C_003')
#if data().d_002_c_003[0]:
    dialog.add_choice(text='D_002_C_003_1', follower='D_002_T_014', callback=Lambda('data().d_002_c_003[0] = False'))
#if data().d_002_c_003[1]:
    dialog.add_choice(text='D_002_C_003_2', follower='D_002_T_017', callback=Lambda('data().d_002_c_003[1] = False'))
    dialog.add_choice(text='D_002_C_003_3', follower='ENDDIALOG', callback=Lambda('data().Ende5 = 1'))# ENDE 5
    dialog.add_text(text='D_002_T_014', speaker="SHUFFLE")
    dialog.add_text(text='D_002_T_015', speaker="STITCH")
    dialog.add_text(text='D_002_T_016', speaker="SHUFFLE", follower='D_002_C_003')
    dialog.add_text(text='D_002_T_017', speaker="STITCH")
    dialog.add_text(text='D_002_T_018', speaker="SHUFFLE")
    dialog.add_text(text='D_002_T_019', speaker="STITCH")
    dialog.add_text(text='D_002_T_020', speaker="SHUFFLE", follower='D_002_C_004')
#if data().d_002_c_004[0]:
    dialog.add_choice(text='D_002_C_004_1', follower='D_002_T_021', callback=Lambda('data().d_002_c_004[0] = False'))
    dialog.add_choice(text='D_002_C_004_2', follower='ENDDIALOG', callback=Lambda('data().Ende6 = 1'))# ENDE 6
    dialog.add_text(text='D_002_T_021', speaker="STITCH")
    dialog.add_text(text='D_002_T_022', speaker="SHUFFLE")
    dialog.add_text(text='D_002_T_023', speaker="STITCH")
    dialog.add_text(text='D_002_T_024', speaker="SHUFFLE", follower='D_002_C_005')
#if data().d_002_c_005[0]:
    dialog.add_choice(text='D_002_C_005_1', follower='D_002_T_025', order=5, callback=Lambda('data().d_002_c_005[0] = False'))
#if data().d_002_c_005[1]:
    dialog.add_choice(text='D_002_C_005_2', follower='D_002_T_027', order=4, callback=Lambda('data().d_002_c_005[1] = False'))
    dialog.add_choice(text='D_002_C_005_4', follower='ENDDIALOG', order=2, callback=Lambda('data().Ende7 = 1'))# ENDE 7
    dialog.add_text(text='D_002_T_025', speaker="STITCH")
    dialog.add_text(text='D_002_T_026', speaker="SHUFFLE", follower='D_002_C_005')
    dialog.add_text(text='D_002_T_027', speaker="SHUFFLE")
    dialog.add_text(text='D_002_T_028', speaker="STITCH")
    dialog.add_text(text='D_002_T_029', speaker="SHUFFLE")
    dialog.add_text(text='D_002_T_030', speaker="STITCH")
    dialog.add_text(text='D_002_T_031', speaker="SHUFFLE", follower='D_002_C_005',callback=Lambda("dialog.add_choice(text='D_002_C_005_3', order=3, follower='D_002_T_032')"))
    dialog.add_text(text='D_002_T_032', speaker="STITCH")
    dialog.add_text(text='D_002_T_033', speaker="SHUFFLE")
    dialog.add_text(text='D_002_T_034', speaker="STITCH")
    dialog.add_text(text='D_002_T_035', speaker="SHUFFLE")
    dialog.add_text(text='D_002_T_036', speaker="ALTER_EGO")
    dialog.add_text(text='D_002_T_037', speaker="STITCH")
    dialog.add_text(text='D_002_T_038', speaker="SHUFFLE")
    dialog.add_text(text='D_002_T_039', speaker="STITCH", follower='D_002_C_006')
#if data().d_002_c_006[0]:
    dialog.add_choice(text='D_002_C_006_1', follower='D_002_T_040', callback=Lambda('data().d_002_c_006[0] = False'))
    dialog.add_choice(text='D_002_C_006_2', follower='ENDDIALOG', callback=Lambda('data().Ende8 = 1'))# ENDE 8
    dialog.add_text(text='D_002_T_040', speaker="STITCH")
    dialog.add_text(text='D_002_T_041', speaker="SHUFFLE", follower='D_002_C_007',callback=Lambda('data().mediziner = 1'))
    dialog.add_choice(text='D_002_C_007_1', follower='ENDDIALOG', callback=[Dlg_002_Ende_2])
    dialog.add_choice(text='D_002_C_007_2', follower='ENDDIALOG')# ENDE 1
    dialog.add_text(text='D_002_T_042', speaker="STITCH")
    dialog.add_text(text='D_002_T_043', speaker="SHUFFLE")
    dialog.add_text(text='D_002_T_044', speaker="STITCH", follower='D_002_C_001')# C_001_2 inaktiv
    dialog.add_text(text='D_002_T_045', speaker="SHUFFLE")
    if object.get_attribute("ALTER_EGO", "gender") == MALE:
        dialog.add_text(text='D_002_T_046', speaker="STITCH", follower='D_002_C_001')# C_001_3 inaktiv
    else:
        dialog.add_text(text='D_002_T_046F', speaker="STITCH", follower='D_002_C_001')# C_001_3 inaktiv

    dialog.start(False)

def Dlg_002_Ende_2():
    data().Ende2 = 1
    data().mediziner= 1
    system.set_qb_entry_state(data().QB_001, UNCOMPLETE)

# erneutes Ansprechen ohne Leiche

def initDlg_007_STUNDST_Wollen_ImmernochL():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_007_T_001', speaker="STITCH")
    dialog.add_text(text='D_007_T_002', speaker="SHUFFLE", follower='ENDDIALOG')
    dialog.start()

# Leiche ist DA
def initCutscene_008_SpielerGibtLeicheAb():
    system.start_cutscene()
    set_conversation("STITCH", cam_x=-3, cam_y=0, mode="medium")
    if check_leiche_dabei("ALTER_EGO"):
        object.move_to("ALTER_EGO",288.66, 637.73,"landscape",MT_FAST, callback=['ONEND', on_dialog_008_lay_down_char])
    else:
        on_dialog_008_init('ALTER_EGO')

def on_dialog_008_lay_down_char(char):
    character.lay_down_char("ALTER_EGO", 288.66, 637.73)
    object.turn_to_object("ALTER_EGO","STITCH", callback=["ONEND",on_dialog_008_init])

def on_dialog_008_init(char):
    init_cutscene("ALTER_EGO", "STITCH", dx=1.4, dy=1.4)
    object.turn_to_object("ALTER_EGO","STITCH", callback=["ONEND",on_dialog_008_start])

def on_dialog_008_start(char_id):
    dialog.init_dialog(type=DIALOGSMALL)
    set_conversation("ALTER_EGO","STITCH",mode="medium_deep")
    dialog.add_text(text='D_008_T_003', speaker="ALTER_EGO", callback=Lambda('set_conversation("STITCH","ALTER_EGO",mode="medium_deep")'))
    dialog.add_text(text='D_008_T_004', speaker="STITCH", callback=Lambda('set_conversation("SHUFFLE","ALTER_EGO",mode="close_deep")'))
    dialog.add_text(text='D_008_T_005', speaker="SHUFFLE", callback=Lambda('set_conversation("ALTER_EGO","SHUFFLE",mode="close_deep")'))
    dialog.add_text(text='D_008_T_006', speaker="ALTER_EGO", callback=Lambda('set_conversation("STITCH","ALTER_EGO",mode="close_deep")'))
    dialog.add_text(text='D_008_T_007', speaker="STITCH", callback=Lambda('set_conversation("SHUFFLE","ALTER_EGO",mode="close_deep")'))
    dialog.add_text(text='D_008_T_008', speaker="SHUFFLE", follower='ENDDIALOG', callback=onDlg_008_Ende)
    dialog.start()

def onDlg_008_Ende():
    system.set_qb_entry_state(data().QB_001, COMPLETE)
    end_cutscene(chars=["STITCH", "SHUFFLE", "ALTER_EGO"])
    data().Leiche2 = 1
    data().leiche_bei_stitch_und_shuffle = False
    enemy_script.delay(60.0, Lambda('object.set_active_state("MERCENARY_SEVENSOULS", INACTIVE)'))
    object.create_item_in_inventory(object="ALTER_EGO",equipment=["SET_REMINGTON_M870","SET_AMMOPACK_2_12_MM","SET_AMMOPACK_2_12_MM"])
    enemy_script.delay(1.0, Lambda('initDlg_015_SpielerIstNochNichtZufrieden()'))

# Die beiden hatten genug zu essen
def initCutscene_009_StuffleUndStitchHattenGenugZuEssen():
    system.start_cutscene()
    system.set_camera_view(CAMVIEW_STUNDSH_FINAL)
    init_cutscene("ALTER_EGO", "STITCH", dx=1.4, dy=1.4)
#object.move_to("ALTER_EGO",288.35,634.40,"landscape",MT_FAST)
    object.turn_to_object("ALTER_EGO","STITCH", callback=["ONEND",onDlg_009_StartDialog])

def onDlg_009_StartDialog(char_id):
    dialog.init_dialog(type=DIALOGSMALL)
    set_conversation("STITCH","ALTER_EGO",mode="medium_deep")
    dialog.add_text(text='D_009_T_001', speaker="STITCH", callback=Lambda('set_conversation("SHUFFLE","ALTER_EGO",mode="medium_deep")'))
    dialog.add_text(text='D_009_T_002', speaker="SHUFFLE", callback=Lambda('set_conversation("ALTER_EGO","SHUFFLE",mode="close_deep")'))
    dialog.add_text(text='D_009_T_003', speaker="ALTER_EGO", callback=Lambda('set_conversation("STITCH","ALTER_EGO",mode="close_deep")'))
    dialog.add_text(text='D_009_T_004', speaker="STITCH", callback=Lambda('set_conversation("SHUFFLE","ALTER_EGO",mode="close_deep")'))
    dialog.add_text(text='D_009_T_005', speaker="SHUFFLE", follower='ENDDIALOG', callback=Lambda('end_cutscene(chars=["ALTER_EGO", "STITCH", "SHUFFLE"])'))
    dialog.start()

def initCutscene_013_StuffleUndStitchHabenKeineLeicheMehr():
    system.start_cutscene()
    system.set_camera_view(CAMVIEW_STUNDSH_FINAL)
#object.move_to("ALTER_EGO",288.35,634.40,"landscape",MT_FAST)
    init_cutscene("ALTER_EGO", "STITCH", dx=1.4, dy=1.4)
    object.turn_to_object("ALTER_EGO","STITCH", callback=["ONEND",onDlg_013_StartDialog])

def onDlg_013_StartDialog(char_id):
    dialog.init_dialog(type=DIALOGSMALL)
    set_conversation("STITCH","ALTER_EGO",mode="medium_deep")
    dialog.add_text(text='D_013_T_001', speaker="STITCH", callback=Lambda('set_conversation("ALTER_EGO","STITCH",mode="medium_deep")'))
    dialog.add_text(text='D_013_T_002', speaker="ALTER_EGO", callback=Lambda('set_conversation("SHUFFLE","ALTER_EGO",mode="medium_deep")'))
    dialog.add_text(text='D_013_T_003', speaker="SHUFFLE", callback=Lambda('set_conversation("STITCH","ALTER_EGO",mode="close_deep")'))
    dialog.add_text(text='D_013_T_004', speaker="STITCH", follower='ENDDIALOG', callback=onDlg_013_Ende)
    dialog.start()


def onDlg_013_Ende():
    end_cutscene(chars=['ALTER_EGO', 'STITCH', 'SHUFFLE'])
    system.set_qb_entry_state(data().QB_001, IMPOSSIBLE)
    data().leiche_bei_stitch_und_shuffle = False
    object.set_active_state("MERCENARY_SEVENSOULS", INACTIVE)
    data().Leiche3 = 1

# Hickey der Seeker Freund
def initDlg_005_Hickey():
    object.turn_to_object("HICKEY","ALTER_EGO", callback = ['ONEND', onDlg_005_Hickey])
    object.turn_to_object("ALTER_EGO","HICKEY", callback = ['ONEND', onDlg_005_Hickey])

def onDlg_005_Hickey(id):
    data().Counter += 1
    if data().Counter == 2:
        data().Counter = 0
        initDlg_005_Hickey_()


# Hickey der Seeker Freund
def initDlg_005_Hickey_():

    dialog.init_dialog(type=DIALOGLARGE)
    if data().Hickey1 == 0:
        dialog.add_text(text='D_005_T_001', speaker="HICKEY", follower='D_005_C_001')
    else:
        dialog.add_text(text='D_005_T_010', speaker="HICKEY", follower='D_005_C_001')
    if data().d_005_c_001[0]:
        dialog.add_choice(text='D_005_C_001_1', follower='D_005_T_002', callback=Lambda('data().d_005_c_001[0] = False'))
    if data().d_005_c_001[1]:
        dialog.add_choice(text='D_005_C_001_2', follower='D_005_T_008', callback=Lambda('data().d_005_c_001[1] = False'))
    dialog.add_choice(text='D_005_C_001_3', follower='ENDDIALOG', callback=Lambda('data().Hickey1 = 1'))
    dialog.add_text(text='D_005_T_002', speaker="HICKEY", follower='D_005_C_002')
    if data().d_005_c_002[0]:
        dialog.add_choice(text='D_005_C_002_1', follower='D_005_T_003', callback=Lambda('data().d_005_c_002[0] = False'))
    dialog.add_choice(text='D_005_C_002_2', follower='ENDDIALOG', callback = onDlg_005_Hickey_Kampf)
    dialog.add_choice(text='D_005_C_002_3', follower='ENDDIALOG', callback=Lambda('data().Hickey1 = 1'))

    if data().mediziner == 1:
        dialog.add_text(text='D_005_T_003', speaker="HICKEY", follower='D_005_T_004')
    else:
        dialog.add_text(text='D_005_T_003', speaker="HICKEY", follower='D_005_T_009')

    dialog.add_text(text='D_005_T_004', speaker="ALTER_EGO")
    dialog.add_text(text='D_005_T_005', speaker="HICKEY")
    dialog.add_text(text='D_005_T_006', speaker="ALTER_EGO")
    dialog.add_text(text='D_005_T_007', speaker="HICKEY", follower='ENDDIALOG', callback=Lambda('data().Hickey2 = 1'))
    dialog.add_text(text='D_005_T_008', speaker="HICKEY", follower='D_005_C_001')
    dialog.add_text(text='D_005_T_009', speaker="ALTER_EGO", follower='ENDDIALOG', callback=Lambda('data().Hickey2 = 1'))# ENDE 2

    dialog.start(False)

# Hickey wills wissen und Kaempft

def onDlg_005_Hickey_Kampf():
    object.cancel_commandos("HICKEY")
    character.arm_direct( "HICKEY" )
    object.set_immortal_state( "HICKEY" , False )
    object.set_attribute( "HICKEY", attribute="foes", value= ['UISPIELER'])

def initDlg_006_Hickey2():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_006_T_001', speaker="ALTER_EGO")
    dialog.add_text(text='D_006_T_002', speaker="HICKEY", follower='ENDDIALOG')
    dialog.start()

# Siebenseele ist gefunden

def initDlg_003_Siebenseele_gefunden():

    dialog.init_dialog(type=DIALOGLARGE)

    if data().SiebenseeleNeu == 1:
        dialog.add_text(text='D_003_T_006', speaker="MERCENARY_SEVENSOULS", follower='D_003_C_003')
    else:
        if data().d_003_c_001[0]:
            dialog.add_choice(text='D_003_C_001_1', follower='D_003_T_001', callback=Lambda('data().d_003_c_001[0] = False'))
        if data().d_003_c_001[1]:
            dialog.add_choice(text='D_003_C_001_2', follower='D_003_T_002', callback=Lambda('data().d_003_c_001[1] = False'))
        if data().d_003_c_001[2]:
            dialog.add_choice(text='D_003_C_001_3', follower='D_003_T_007', callback=Lambda('data().d_003_c_001[2] = False'))
        dialog.add_choice(text='D_003_C_001_4', follower='ENDDIALOG', callback=onDlg_003_SevenStirbt)# ENDE 1
    dialog.add_text(text='D_003_T_001', speaker="MERCENARY_SEVENSOULS", follower='D_003_C_001')
    dialog.add_text(text='D_003_T_002', speaker="MERCENARY_SEVENSOULS", follower='D_003_C_002')
    if data().d_003_c_002[0]:
        dialog.add_choice(text='D_003_C_002_1', follower='D_003_T_003', callback=Lambda('data().d_003_c_002[0] = False'))
    if data().d_003_c_002[1]:
        dialog.add_choice(text='D_003_C_002_2', follower='D_003_T_004', callback=Lambda('data().d_003_c_002[1] = False'))
    if data().d_003_c_002[2]:
        dialog.add_choice(text='D_003_C_002_3', follower='D_003_T_005', callback=Lambda('data().d_003_c_002[2] = False'))
    dialog.add_text(text='D_003_T_003', speaker="MERCENARY_SEVENSOULS", follower='D_003_C_002')
    dialog.add_text(text='D_003_T_004', speaker="MERCENARY_SEVENSOULS", follower='ENDDIALOG', callback = onDlg_003_Siebenseele_Kampf)# ENDE 2 (Angriff)
    dialog.add_text(text='D_003_T_005', speaker="MERCENARY_SEVENSOULS", follower='D_003_C_003')
    dialog.add_choice(text='D_003_C_003_1', follower='ENDDIALOG', callback=[onDlg_003_Untersuchen,onDlg_003_SevenStirbt])# ENDE 3
    dialog.add_choice(text='D_003_C_003_2', follower='ENDDIALOG', callback=Lambda('data().SiebenseeleNeu = 1'))# ENDE 4 (Neustart bei T_006)
    dialog.add_text(text='D_003_T_007', speaker="MERCENARY_SEVENSOULS", follower='D_003_C_001')
    dialog.start(False)

def onDlg_003_Untersuchen():
    system.notify_timer(data().Timer_Untersuch,data().Timervalue_Untersuch)

def onDlg_003_SevenStirbt():
    data().spieler_will_seven_nicht_helfen = True
    system.notify_timer(data().Timer_SevenStirbt,data().Timervalue_SevenStirbt)

# Rausfinden wie man Siebenseele retten kann
def initDlg_004_Siebenseele_Untersuchung():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_004_T_001', speaker="ALTER_EGO", follower='ENDDIALOG', callback=Lambda('data().SiebenseeleHeilen = 1'))
    dialog.start()

# Siebenseele wieder fit
def initDlg_010_Siebenseele_Gerettet():
    onDlg_010_StartDialog()

def onDlg_010_StartDialog():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_010_T_001', speaker="MERCENARY_SEVENSOULS", follower='D_010_C_001')
## nur wenn man platz im team hat
    if (len(system.get_pcs()) < 6):
        dialog.add_choice(text='D_010_C_001_1', follower='ENDDIALOG', callback=[onDlg_010_Ende,Lambda('system.switch_party("MERCENARY_SEVENSOULS", "UISPIELER")')])# ENDE 1
    dialog.add_choice(text='D_010_C_001_2', follower='D_010_T_002')
    dialog.add_text(text='D_010_T_002', speaker="MERCENARY_SEVENSOULS", follower='ENDDIALOG',callback=[onDlg_010_Ende, onDlg_010_SiebenseeleMovesToCity])# ENDE 2
    dialog.start(False)

def onDlg_010_Ende():
    character.add_experience_party(data().Exp_SiebenseeleGerettet)
    system.set_qb_entry_state(data().QB_001, IMPOSSIBLE)
    data().SiebenseeleGeheilt = 1

def onDlg_010_SiebenseeleMovesToCity():
#    data().Siebenseele_geht_zur_stadt = True
    character.set_approachable_state("MERCENARY_SEVENSOULS",APPROACHABLE)
## fixme: ... system.notify_timer(data().Timer_SevenBrichtAuf,data().Timervalue_SevenBrichtAuf)
#	system.notify_timer(data().Timer_SevenStirbt,data().Timervalue_SevenStirbt)

#[M] Dialog 011: Siebenseele will sich immer noch der Party anschließen
def initDlg_011_SpeakAfterSaveHim_7Souls():
    dialog.init_dialog(type=DIALOGLARGE)
    dialog.add_text(text='D_011_T_001', speaker="MERCENARY_SEVENSOULS")
    if (len(system.get_pcs()) < 6):
        dialog.add_choice(text='D_011_C_001_1', follower='ENDDIALOG', callback=endDlg_011)
    dialog.add_choice(text='D_011_C_001_3', follower='D_011_T_003')
    dialog.add_choice(text='D_011_C_001_2', follower='ENDDIALOG')
    dialog.add_text(text='D_011_T_003', speaker="MERCENARY_SEVENSOULS", follower='ENDDIALOG',\
        callback=Lambda('system.idcard(["MERCENARY_SEVENSOULS"])'))
#    data().Siebenseele_geht_zur_stadt = True
    dialog.start(False)

def endDlg_011():
    system.switch_party("MERCENARY_SEVENSOULS", "UISPIELER")
    data().Siebenseele_geht_zur_stadt = True

#[NM] Dialog 012: Siebenseele hofft auf Rettung
def initDlg_012_Siebenseele_hofft_auf_Rettung():
    dialog.init_dialog(type=DIALOGSMALL)
    dialog.add_text(text='D_012_T_001', speaker="MERCENARY_SEVENSOULS")
    dialog.add_text(text='D_012_T_002', speaker="ALTER_EGO", follower='ENDDIALOG')
    dialog.start()

# Siebenseele ist sauer und greift an
def onDlg_003_Siebenseele_Kampf():
    character.play_animation("MERCENARY_SEVENSOULS", "CM_NPC_SIEBENSEELE_AUFSTEHEN", callback=["ONEND", onDlg_003_SiebenSeeleAttack])

def onDlg_003_SiebenSeeleAttack(char_id):
    character.arm_direct( "MERCENARY_SEVENSOULS" )
    object.set_attribute( "MERCENARY_SEVENSOULS", attribute="foes", value= ['UISPIELER'])
    character.set_approachable_state("MERCENARY_SEVENSOULS",NOTAPPROACHABLE)

#[NM/CS] Dialog 014: Stitch und Shuffle sind mies drauf
def initCutscene_014_StitchUndShuffleSindMiedDrauf():
    system.start_cutscene()
    system.set_camera_view(CAMVIEW_STUNDSH_FINAL)
#object.move_to("ALTER_EGO",288.35,634.40,"landscape",MT_FAST)
    init_cutscene("ALTER_EGO", "STITCH", dx=1.4, dy=1.4)
    object.turn_to_object("ALTER_EGO","STITCH", callback=["ONEND",onDlg_014_StartDialog])

def onDlg_014_StartDialog(char_id):
    dialog.init_dialog(type=DIALOGSMALL)
    set_conversation("STITCH", "ALTER_EGO", mode="medium_deep")
    dialog.add_text(text='D_014_T_001', speaker="STITCH", callback=Lambda('set_conversation("SHUFFLE", "ALTER_EGO", mode="medium_deep")'))
    if object.get_attribute("ALTER_EGO","gender") == MALE:
        dialog.add_text(text='D_014_T_002', speaker="SHUFFLE", callback=Lambda('set_conversation("ALTER_EGO","SHUFFLE", mode="medium_deep")'))
    else:
        dialog.add_text(text='D_014_T_002F', speaker="SHUFFLE", callback=Lambda('set_conversation("ALTER_EGO","SHUFFLE", mode="medium_deep")'))
    dialog.add_text(text='D_014_T_003', speaker="ALTER_EGO", callback=Lambda('set_conversation("STITCH","ALTER_EGO",mode="medium_deep")'))
    dialog.add_text(text='D_014_T_004', speaker="STITCH", callback=Lambda('set_conversation("SHUFFLE","ALTER_EGO",mode="medium_deep")'))
    dialog.add_text(text='D_014_T_005', speaker="SHUFFLE", follower='ENDDIALOG', callback=Lambda('end_cutscene(chars=["STITCH", "SHUFFLE", "ALTER_EGO"])'))
    dialog.start(False)

#[M] Dialog 015: Der Spieler ist noch nicht zufrieden
def initDlg_015_SpielerIstNochNichtZufrieden():
    dialog.init_dialog(type=DIALOGLARGE)
    if object.get_attribute('ALTER_EGO', 'speech') > 75:
        dialog.add_choice(text='D_015_C_001_1', follower="D_015_T_001")
    else:
        dialog.add_choice(text='D_015_C_001_1', follower="D_015_T_004")
    dialog.add_choice(text='D_015_C_001_2', follower="ENDDIALOG", callback=on_dialog_015_ende1)
    dialog.add_text(text='D_015_T_001', speaker="STITCH")
    dialog.add_text(text='D_015_T_002', speaker="SHUFFLE")
    dialog.add_text(text='D_015_T_003', speaker="STITCH", follower="ENDDIALOG", callback=on_dialog_015_ende2)
    dialog.add_text(text='D_015_T_004', speaker="STITCH")
    dialog.add_text(text='D_015_T_005', speaker="SHUFFLE", follower="ENDDIALOG", callback=on_dialog_015_ende1)
    dialog.start(False)

def on_dialog_015_ende1():
    pass

def on_dialog_015_ende2():
    object.create_item_in_inventory("ALTER_EGO", ["SET_AMMOPACK_2_12_MM","SET_AMMOPACK_2_12_MM_QB_8"])